/* Generated automatically by the program `genoutput'
   from the machine description file `md'.  */

#define IN_TARGET_CODE 1
#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "tree.h"
#include "rtl.h"
#include "flags.h"
#include "alias.h"
#include "varasm.h"
#include "stor-layout.h"
#include "calls.h"
#include "insn-config.h"
#include "expmed.h"
#include "dojump.h"
#include "explow.h"
#include "memmodel.h"
#include "emit-rtl.h"
#include "stmt.h"
#include "expr.h"
#include "insn-codes.h"
#include "tm_p.h"
#include "regs.h"
#include "conditions.h"
#include "insn-attr.h"

#include "recog.h"

#include "diagnostic-core.h"
#include "output.h"
#include "target.h"
#include "tm-constrs.h"

static const char *
output_1 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 473 "../../../gcc/config/aarch64/aarch64.md"
{
    output_asm_insn ("br\t%0", operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char * const output_3[] = {
  "ccmp\t%w2, %w3, %k5, %m4",
  "ccmp\t%w2, %3, %k5, %m4",
  "ccmn\t%w2, #%n3, %k5, %m4",
};

static const char * const output_4[] = {
  "ccmp\t%x2, %x3, %k5, %m4",
  "ccmp\t%x2, %3, %k5, %m4",
  "ccmn\t%x2, #%n3, %k5, %m4",
};

static const char * const output_9[] = {
  "ccmp\t%w2, %w3, %k5, %M4",
  "ccmp\t%w2, %3, %k5, %M4",
  "ccmn\t%w2, #%n3, %k5, %M4",
};

static const char * const output_10[] = {
  "ccmp\t%x2, %x3, %k5, %M4",
  "ccmp\t%x2, %3, %k5, %M4",
  "ccmn\t%x2, #%n3, %k5, %M4",
};

static const char *
output_15 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 662 "../../../gcc/config/aarch64/aarch64.md"
{
    /* GCC's traditional style has been to use "beq" instead of "b.eq", etc.,
       but the "." is required for SVE conditions.  */
    bool use_dot_p = GET_MODE (operands[1]) == CC_NZCmode;
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 2, "Lbcond",
				     use_dot_p ? "b.%M0\t" : "b%M0\t");
    else
      return use_dot_p ? "b.%m0\t%l2" : "b%m0\t%l2";
  }
}

static const char *
output_24 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 792 "../../../gcc/config/aarch64/aarch64.md"

  return aarch64_output_casesi (operands);
  
}

static const char *
output_26 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 811 "../../../gcc/config/aarch64/aarch64.md"
{
    const char * pftype[2][4] =
    {
      {"prfm\tPLDL1STRM, %0",
       "prfm\tPLDL3KEEP, %0",
       "prfm\tPLDL2KEEP, %0",
       "prfm\tPLDL1KEEP, %0"},
      {"prfm\tPSTL1STRM, %0",
       "prfm\tPSTL3KEEP, %0",
       "prfm\tPSTL2KEEP, %0",
       "prfm\tPSTL1KEEP, %0"},
    };

    int locality = INTVAL (operands[2]);

    gcc_assert (IN_RANGE (locality, 0, 3));

    /* PRFM accepts the same addresses as a 64-bit LDR so wrap
       the address into a DImode MEM so that aarch64_print_operand knows
       how to print it.  */
    operands[0] = gen_rtx_MEM (DImode, operands[0]);
    return pftype[INTVAL(operands[1])][locality];
  }
}

static const char *
output_28 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 873 "../../../gcc/config/aarch64/aarch64.md"
{
    const char *ret = NULL;
    if (aarch64_return_address_signing_enabled ()
	&& (TARGET_PAUTH)
	&& !crtl->calls_eh_return)
      {
	if (aarch64_ra_sign_key == AARCH64_KEY_B)
	  ret = "retab";
	else
	  ret = "retaa";
      }
    else
      ret = "ret";
    output_asm_insn (ret, operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char *
output_29 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 902 "../../../gcc/config/aarch64/aarch64.md"
{
    output_asm_insn ("ret", operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char *
output_30 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 916 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbnz\t%w0, ");
    else
      return "cbz\t%w0, %l1";
  }
}

static const char *
output_31 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 916 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbz\t%w0, ");
    else
      return "cbnz\t%w0, %l1";
  }
}

static const char *
output_32 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 916 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbnz\t%x0, ");
    else
      return "cbz\t%x0, %l1";
  }
}

static const char *
output_33 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 916 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbz\t%x0, ");
    else
      return "cbnz\t%x0, %l1";
  }
}

static const char *
output_34 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 946 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_35 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 946 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_36 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 946 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%x0, %1, %l2";
  }
}

static const char *
output_37 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 946 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%x0, %1, %l2";
  }
}

static const char *
output_38 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 982 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #7, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (QImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #7, %l1";
  }
}

static const char *
output_39 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 982 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #7, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (QImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #7, %l1";
  }
}

static const char *
output_40 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 982 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #15, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (HImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #15, %l1";
  }
}

static const char *
output_41 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 982 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #15, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (HImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #15, %l1";
  }
}

static const char *
output_42 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 982 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #31, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (SImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #31, %l1";
  }
}

static const char *
output_43 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 982 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #31, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (SImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #31, %l1";
  }
}

static const char *
output_44 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 982 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%x0, #63, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (DImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%x0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%x0, #63, %l1";
  }
}

static const char *
output_45 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 982 "../../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%x0, #63, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (DImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%x0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%x0, #63, %l1";
  }
}

static const char *
output_46 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_indirect_call_asm (operands[0]);
    case 1: return "bl\t%c0";
      default: gcc_unreachable ();
    }
}

static const char *
output_47 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_indirect_call_asm (operands[1]);
    case 1: return "bl\t%c1";
      default: gcc_unreachable ();
    }
}

static const char *
output_48 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1104 "../../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      {
	output_asm_insn ("br\t%0", operands);
	return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
      }
    return "b\t%c0";
  }
}

static const char *
output_49 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1124 "../../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      {
	output_asm_insn ("br\t%1", operands);
	return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
      }
    return "b\t%c1";
  }
}

static const char *
output_50 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1190 "../../../gcc/config/aarch64/aarch64.md"
{
   switch (which_alternative)
     {
     case 0:
       return "mov\t%w0, %w1";
     case 1:
       return "mov\t%w0, %1";
     case 2:
       return aarch64_output_scalar_simd_mov_immediate (operands[1],
							QImode);
     case 3:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
     case 4:
       return "ldrb\t%w0, %1";
     case 5:
       return "ldr\t%b0, %1";
     case 6:
       return "strb\t%w1, %0";
     case 7:
       return "str\t%b1, %0";
     case 8:
       return "umov\t%w0, %1.b[0]";
     case 9:
       return "dup\t%0.8b, %w1";
     case 10:
       return "dup\t%b0, %1.b[0]";
     default:
       gcc_unreachable ();
     }
}
}

static const char *
output_51 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1190 "../../../gcc/config/aarch64/aarch64.md"
{
   switch (which_alternative)
     {
     case 0:
       return "mov\t%w0, %w1";
     case 1:
       return "mov\t%w0, %1";
     case 2:
       return aarch64_output_scalar_simd_mov_immediate (operands[1],
							HImode);
     case 3:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
     case 4:
       return "ldrh\t%w0, %1";
     case 5:
       return "ldr\t%h0, %1";
     case 6:
       return "strh\t%w1, %0";
     case 7:
       return "str\t%h1, %0";
     case 8:
       return "umov\t%w0, %1.h[0]";
     case 9:
       return "dup\t%0.4h, %w1";
     case 10:
       return "dup\t%h0, %1.h[0]";
     default:
       gcc_unreachable ();
     }
}
}

static const char *
output_52 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%w0, %w1";
    case 1: return "mov\t%w0, %w1";
    case 2: return "mov\t%w0, %w1";
    case 3: return "mov\t%w0, %1";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 6: return "ldr\t%w0, %1";
    case 7: return "ldr\t%s0, %1";
    case 8: return "str\t%w1, %0";
    case 9: return "str\t%s1, %0";
    case 10: return "adr\t%x0, %c1";
    case 11: return "adrp\t%x0, %A1";
    case 12: return "fmov\t%s0, %w1";
    case 13: return "fmov\t%w0, %s1";
    case 14: return "fmov\t%s0, %s1";
    case 15:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
      default: gcc_unreachable ();
    }
}

static const char *
output_53 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%x0, %x1";
    case 1: return "mov\t%0, %x1";
    case 2: return "mov\t%x0, %1";
    case 3: return "mov\t%x0, %1";
    case 4: return "mov\t%w0, %1";
    case 5: return "#";
    case 6:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 7: return "ldr\t%x0, %1";
    case 8: return "ldr\t%d0, %1";
    case 9: return "str\t%x1, %0";
    case 10: return "str\t%d1, %0";
    case 11: return "adr\t%x0, %c1";
    case 12: return "adrp\t%x0, %A1";
    case 13: return "fmov\t%d0, %x1";
    case 14: return "fmov\t%x0, %d1";
    case 15: return "fmov\t%d0, %d1";
    case 16:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
      default: gcc_unreachable ();
    }
}

static const char *
output_56 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1341 "../../../gcc/config/aarch64/aarch64.md"
{
    int shift = aarch64_movk_shift (rtx_mode_t (operands[2], SImode),
				    rtx_mode_t (operands[3], SImode));
    operands[2] = gen_int_mode (UINTVAL (operands[3]) >> shift, SImode);
    operands[3] = gen_int_mode (shift, SImode);
    return "movk\t%w0, #%X2, lsl %3";
  }
}

static const char *
output_57 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1341 "../../../gcc/config/aarch64/aarch64.md"
{
    int shift = aarch64_movk_shift (rtx_mode_t (operands[2], DImode),
				    rtx_mode_t (operands[3], DImode));
    operands[2] = gen_int_mode (UINTVAL (operands[3]) >> shift, SImode);
    operands[3] = gen_int_mode (shift, SImode);
    return "movk\t%x0, #%X2, lsl %3";
  }
}

static const char * const output_58[] = {
  "#",
  "movi\t%0.2d, #0",
  "#",
  "#",
  "mov\t%0.16b, %1.16b",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
};

static const char *
output_59 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.4h, #0";
    case 1: return "fmov\t%h0, %w1";
    case 2: return "dup\t%w0.4h, %w1";
    case 3: return "umov\t%w0, %1.h[0]";
    case 4: return "mov\t%0.h[0], %1.h[0]";
    case 5: return "fmov\t%h0, %1";
    case 6:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], HImode);
    case 7: return "ldr\t%h0, %1";
    case 8: return "str\t%h1, %0";
    case 9: return "ldrh\t%w0, %1";
    case 10: return "strh\t%w1, %0";
    case 11: return "mov\t%w0, %w1";
      default: gcc_unreachable ();
    }
}

static const char *
output_60 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.4h, #0";
    case 1: return "fmov\t%h0, %w1";
    case 2: return "dup\t%w0.4h, %w1";
    case 3: return "umov\t%w0, %1.h[0]";
    case 4: return "mov\t%0.h[0], %1.h[0]";
    case 5: return "fmov\t%h0, %1";
    case 6:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], HImode);
    case 7: return "ldr\t%h0, %1";
    case 8: return "str\t%h1, %0";
    case 9: return "ldrh\t%w0, %1";
    case 10: return "strh\t%w1, %0";
    case 11: return "mov\t%w0, %w1";
      default: gcc_unreachable ();
    }
}

static const char *
output_61 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.2s, #0";
    case 1: return "fmov\t%s0, %w1";
    case 2: return "fmov\t%w0, %s1";
    case 3: return "fmov\t%s0, %s1";
    case 4: return "fmov\t%s0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
    case 6: return "ldr\t%s0, %1";
    case 7: return "str\t%s1, %0";
    case 8: return "ldr\t%w0, %1";
    case 9: return "str\t%w1, %0";
    case 10: return "mov\t%w0, %w1";
    case 11: return "mov\t%w0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_62 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%d0, #0";
    case 1: return "fmov\t%d0, %x1";
    case 2: return "fmov\t%x0, %d1";
    case 3: return "fmov\t%d0, %d1";
    case 4: return "fmov\t%d0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
    case 6: return "ldr\t%d0, %1";
    case 7: return "str\t%d1, %0";
    case 8: return "ldr\t%x0, %1";
    case 9: return "str\t%x1, %0";
    case 10: return "mov\t%x0, %x1";
    case 11: return "mov\t%x0, %1";
      default: gcc_unreachable ();
    }
}

static const char * const output_63[] = {
  "mov\t%0.16b, %1.16b",
  "#",
  "#",
  "#",
  "movi\t%0.2d, #0",
  "fmov\t%s0, wzr",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
};

static const char * const output_64[] = {
  "ldp\t%w0, %w2, %z1",
  "ldp\t%s0, %s2, %z1",
};

static const char * const output_65[] = {
  "ldp\t%w0, %w2, %z1",
  "ldp\t%s0, %s2, %z1",
};

static const char * const output_66[] = {
  "ldp\t%w0, %w2, %z1",
  "ldp\t%s0, %s2, %z1",
};

static const char * const output_67[] = {
  "ldp\t%w0, %w2, %z1",
  "ldp\t%s0, %s2, %z1",
};

static const char * const output_68[] = {
  "ldp\t%x0, %x2, %z1",
  "ldp\t%d0, %d2, %z1",
};

static const char * const output_69[] = {
  "ldp\t%x0, %x2, %z1",
  "ldp\t%d0, %d2, %z1",
};

static const char * const output_70[] = {
  "ldp\t%x0, %x2, %z1",
  "ldp\t%d0, %d2, %z1",
};

static const char * const output_71[] = {
  "ldp\t%x0, %x2, %z1",
  "ldp\t%d0, %d2, %z1",
};

static const char * const output_73[] = {
  "stp\t%w1, %w3, %z0",
  "stp\t%s1, %s3, %z0",
};

static const char * const output_74[] = {
  "stp\t%w1, %w3, %z0",
  "stp\t%s1, %s3, %z0",
};

static const char * const output_75[] = {
  "stp\t%w1, %w3, %z0",
  "stp\t%s1, %s3, %z0",
};

static const char * const output_76[] = {
  "stp\t%w1, %w3, %z0",
  "stp\t%s1, %s3, %z0",
};

static const char * const output_77[] = {
  "stp\t%x1, %x3, %z0",
  "stp\t%d1, %d3, %z0",
};

static const char * const output_78[] = {
  "stp\t%x1, %x3, %z0",
  "stp\t%d1, %d3, %z0",
};

static const char * const output_79[] = {
  "stp\t%x1, %x3, %z0",
  "stp\t%d1, %d3, %z0",
};

static const char * const output_80[] = {
  "stp\t%x1, %x3, %z0",
  "stp\t%d1, %d3, %z0",
};

static const char * const output_106[] = {
  "sxtw\t%0, %w1",
  "ldrsw\t%0, %1",
};

static const char * const output_108[] = {
  "uxtw\t%0, %w1",
  "ldr\t%w0, %1",
  "fmov\t%s0, %w1",
  "ldr\t%s0, %1",
  "fmov\t%w0, %s1",
  "fmov\t%s0, %s1",
};

static const char * const output_109[] = {
  "ldp\t%w0, %w2, %z1",
  "ldp\t%s0, %s2, %z1",
};

static const char * const output_110[] = {
  "sxtb\t%w0, %w1",
  "ldrsb\t%w0, %1",
};

static const char * const output_111[] = {
  "sxth\t%w0, %w1",
  "ldrsh\t%w0, %1",
};

static const char * const output_112[] = {
  "sxtb\t%x0, %w1",
  "ldrsb\t%x0, %1",
};

static const char * const output_113[] = {
  "sxth\t%x0, %w1",
  "ldrsh\t%x0, %1",
};

static const char * const output_114[] = {
  "and\t%w0, %w1, 255",
  "ldrb\t%w0, %1",
  "ldr\t%b0, %1",
};

static const char * const output_115[] = {
  "and\t%w0, %w1, 65535",
  "ldrh\t%w0, %1",
  "ldr\t%h0, %1",
};

static const char * const output_116[] = {
  "and\t%x0, %x1, 255",
  "ldrb\t%w0, %1",
  "ldr\t%b0, %1",
};

static const char * const output_117[] = {
  "and\t%x0, %x1, 65535",
  "ldrh\t%w0, %1",
  "ldr\t%h0, %1",
};

static const char * const output_118[] = {
  "sxtb\t%w0, %w1",
  "ldrsb\t%w0, %1",
};

static const char * const output_119[] = {
  "and\t%w0, %w1, 255",
  "ldrb\t%w0, %1",
};

static const char *
output_120 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%w0, %w1, %2";
    case 1: return "add\t%w0, %w1, %w2";
    case 2: return "add\t%0.2s, %1.2s, %2.2s";
    case 3: return "sub\t%w0, %w1, #%n2";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 6:
       return aarch64_output_sve_addvl_addpl (operands[2]);
      default: gcc_unreachable ();
    }
}

static const char *
output_121 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%x0, %x1, %2";
    case 1: return "add\t%x0, %x1, %x2";
    case 2: return "add\t%d0, %d1, %d2";
    case 3: return "sub\t%x0, %x1, #%n2";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 6:
       return aarch64_output_sve_addvl_addpl (operands[2]);
      default: gcc_unreachable ();
    }
}

static const char * const output_122[] = {
  "add\t%w0, %w1, %2",
  "add\t%w0, %w1, %w2",
  "sub\t%w0, %w1, #%n2",
  "#",
};

static const char *
output_123 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%w0, %w1, %2";
    case 1: return "add\t%w0, %w1, %w2";
    case 2: return "sub\t%w0, %w1, #%n2";
    case 3: return "#";
    case 4:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 5:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 6: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_124 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%x0, %x1, %2";
    case 1: return "add\t%x0, %x1, %x2";
    case 2: return "sub\t%x0, %x1, #%n2";
    case 3: return "#";
    case 4:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 5:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 6: return "#";
      default: gcc_unreachable ();
    }
}

static const char * const output_125[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_126[] = {
  "adds\t%x0, %x1, %x2",
  "adds\t%x0, %x1, %2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_127[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_128[] = {
  "cmn\t%w0, %w1",
  "cmn\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_129[] = {
  "cmn\t%x0, %x1",
  "cmn\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char * const output_130[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_131[] = {
  "adds\t%x0, %x1, %x2",
  "adds\t%x0, %x1, %2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_132[] = {
  "cmn\t%w0, %w1",
  "cmp\t%w0, #%n1",
};

static const char * const output_133[] = {
  "cmn\t%x0, %x1",
  "cmp\t%x0, #%n1",
};

static const char * const output_136[] = {
  "adds\t%w0, %w1, %w2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_137[] = {
  "adds\t%x0, %x1, %x2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_200[] = {
  "cmn\t%w0, %w1",
  "cmn\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_201[] = {
  "cmn\t%x0, %x1",
  "cmn\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char *
output_262 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2713 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL(operands[2]),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_263 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2713 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL(operands[2]),
					   INTVAL (operands[3])));
  return "add\t%x0, %x4, %w1, uxt%e3 %2";
}

static const char *
output_264 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2730 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char * const output_267[] = {
  "sub\t%x0, %x1, %x2",
  "sub\t%d0, %d1, %d2",
};

static const char * const output_270[] = {
  "subs\t%w0, %w1, %2",
  "adds\t%w0, %w1, #%n2",
};

static const char * const output_271[] = {
  "subs\t%x0, %x1, %2",
  "adds\t%x0, %x1, #%n2",
};

static const char * const output_276[] = {
  "cmp\t%w0, %w1",
  "cmp\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_277[] = {
  "cmp\t%x0, %x1",
  "cmp\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char * const output_283[] = {
  "subs\t%w0, %w1, %2",
  "adds\t%w0, %w1, #%n2",
};

static const char * const output_284[] = {
  "subs\t%x0, %x1, %2",
  "adds\t%x0, %x1, #%n2",
};

static const char *
output_347 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3417 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_348 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3417 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%x0, %x4, %w1, uxt%e3 %2";
}

static const char *
output_349 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3434 "../../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char * const output_350[] = {
  "neg\t%w0, %w1",
  "neg\t%0.2s, %1.2s",
};

static const char * const output_351[] = {
  "neg\t%x0, %x1",
  "neg\t%d0, %d1",
};

static const char * const output_402[] = {
  "cmp\t%w0, %w1",
  "cmp\t%w0, %1",
  "cmn\t%w0, #%n1",
};

static const char * const output_403[] = {
  "cmp\t%x0, %x1",
  "cmp\t%x0, %1",
  "cmn\t%x0, #%n1",
};

static const char * const output_404[] = {
  "fcmp\t%s0, #0.0",
  "fcmp\t%s0, %s1",
};

static const char * const output_405[] = {
  "fcmp\t%d0, #0.0",
  "fcmp\t%d0, %d1",
};

static const char * const output_406[] = {
  "fcmpe\t%s0, #0.0",
  "fcmpe\t%s0, %s1",
};

static const char * const output_407[] = {
  "fcmpe\t%d0, #0.0",
  "fcmpe\t%d0, %d1",
};

static const char * const output_452[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_453[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_454[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_455[] = {
  "csel\t%x0, %x3, %x4, %m1",
  "csinv\t%x0, %x3, xzr, %m1",
  "csinv\t%x0, %x4, xzr, %M1",
  "csinc\t%x0, %x3, xzr, %m1",
  "csinc\t%x0, %x4, xzr, %M1",
  "mov\t%x0, -1",
  "mov\t%x0, 1",
};

static const char * const output_456[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char *
output_460 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4129 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (QImode) >= 64)
      return "crc32b\t%w0, %w1, %x2";
    else
      return "crc32b\t%w0, %w1, %w2";
  }
}

static const char *
output_461 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4129 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (HImode) >= 64)
      return "crc32h\t%w0, %w1, %x2";
    else
      return "crc32h\t%w0, %w1, %w2";
  }
}

static const char *
output_462 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4129 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (SImode) >= 64)
      return "crc32w\t%w0, %w1, %x2";
    else
      return "crc32w\t%w0, %w1, %w2";
  }
}

static const char *
output_463 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4129 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (DImode) >= 64)
      return "crc32x\t%w0, %w1, %x2";
    else
      return "crc32x\t%w0, %w1, %w2";
  }
}

static const char *
output_464 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4129 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (QImode) >= 64)
      return "crc32cb\t%w0, %w1, %x2";
    else
      return "crc32cb\t%w0, %w1, %w2";
  }
}

static const char *
output_465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4129 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (HImode) >= 64)
      return "crc32ch\t%w0, %w1, %x2";
    else
      return "crc32ch\t%w0, %w1, %w2";
  }
}

static const char *
output_466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4129 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (SImode) >= 64)
      return "crc32cw\t%w0, %w1, %x2";
    else
      return "crc32cw\t%w0, %w1, %w2";
  }
}

static const char *
output_467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4129 "../../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (DImode) >= 64)
      return "crc32cx\t%w0, %w1, %x2";
    else
      return "crc32cx\t%w0, %w1, %w2";
  }
}

static const char *
output_483 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4283 "../../../gcc/config/aarch64/aarch64.md"
{
    return aarch64_output_sve_cnt_immediate ("uqdec", "%w0", operands[2]);
  }
}

static const char *
output_484 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4283 "../../../gcc/config/aarch64/aarch64.md"
{
    return aarch64_output_sve_cnt_immediate ("uqdec", "%x0", operands[2]);
  }
}

static const char * const output_487[] = {
  "and\t%w0, %w1, %w2",
  "and\t%w0, %w1, %2",
  "and\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_488[] = {
  "orr\t%w0, %w1, %w2",
  "orr\t%w0, %w1, %2",
  "orr\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_489[] = {
  "eor\t%w0, %w1, %w2",
  "eor\t%w0, %w1, %2",
  "eor\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_490[] = {
  "and\t%x0, %x1, %x2",
  "and\t%x0, %x1, %2",
  "and\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_491[] = {
  "orr\t%x0, %x1, %x2",
  "orr\t%x0, %x1, %2",
  "orr\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_492[] = {
  "eor\t%x0, %x1, %x2",
  "eor\t%x0, %x1, %2",
  "eor\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_493[] = {
  "and\t%w0, %w1, %w2",
  "and\t%w0, %w1, %2",
};

static const char * const output_494[] = {
  "orr\t%w0, %w1, %w2",
  "orr\t%w0, %w1, %2",
};

static const char * const output_495[] = {
  "eor\t%w0, %w1, %w2",
  "eor\t%w0, %w1, %2",
};

static const char * const output_496[] = {
  "ands\t%w0, %w1, %w2",
  "ands\t%w0, %w1, %2",
};

static const char * const output_497[] = {
  "ands\t%x0, %x1, %x2",
  "ands\t%x0, %x1, %2",
};

static const char * const output_498[] = {
  "ands\t%w0, %w1, %w2",
  "ands\t%w0, %w1, %2",
};

static const char * const output_556[] = {
  "mvn\t%w0, %w1",
  "mvn\t%0.8b, %1.8b",
};

static const char * const output_557[] = {
  "mvn\t%x0, %x1",
  "mvn\t%0.8b, %1.8b",
};

static const char * const output_567[] = {
  "bic\t%w0, %w2, %w1",
  "bic\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_568[] = {
  "orn\t%w0, %w2, %w1",
  "orn\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_569[] = {
  "bic\t%x0, %x2, %x1",
  "bic\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_570[] = {
  "orn\t%x0, %x2, %x1",
  "orn\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_574[] = {
  "eon\t%w0, %w1, %w2",
  "#",
};

static const char * const output_575[] = {
  "eon\t%x0, %x1, %x2",
  "#",
};

static const char * const output_651[] = {
  "tst\t%w0, %w1",
  "tst\t%w0, %1",
};

static const char * const output_652[] = {
  "tst\t%x0, %x1",
  "tst\t%x0, %1",
};

static const char *
output_653 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4814 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[1]
      = aarch64_mask_from_zextract_ops (operands[1], operands[2]);
    return "tst\t%w0, %1";
  }
}

static const char *
output_654 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4814 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[1]
      = aarch64_mask_from_zextract_ops (operands[1], operands[2]);
    return "tst\t%x0, %1";
  }
}

static const char *
output_681 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5018 "../../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("lsl\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_682 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5018 "../../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("asr\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_683 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5018 "../../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("lsr\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_684 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5018 "../../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("ror\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char * const output_691[] = {
  "lsl\t%w0, %w1, %2",
  "lsl\t%w0, %w1, %w2",
  "shl\t%0.2s, %1.2s, %2",
  "ushl\t%0.2s, %1.2s, %2.2s",
};

static const char * const output_692[] = {
  "lsl\t%x0, %x1, %2",
  "lsl\t%x0, %x1, %x2",
  "shl\t%d0, %d1, %2",
  "ushl\t%d0, %d1, %d2",
};

static const char * const output_693[] = {
  "lsr\t%w0, %w1, %2",
  "lsr\t%w0, %w1, %w2",
  "ushr\t%0.2s, %1.2s, %2",
  "#",
  "#",
};

static const char * const output_694[] = {
  "lsr\t%x0, %x1, %2",
  "lsr\t%x0, %x1, %x2",
  "ushr\t%d0, %d1, %2",
  "#",
  "#",
};

static const char * const output_695[] = {
  "asr\t%w0, %w1, %2",
  "asr\t%w0, %w1, %w2",
  "sshr\t%0.2s, %1.2s, %2",
  "#",
  "#",
};

static const char * const output_696[] = {
  "asr\t%x0, %x1, %2",
  "asr\t%x0, %x1, %x2",
  "sshr\t%d0, %d1, %2",
  "#",
  "#",
};

static const char * const output_702[] = {
  "ror\t%w0, %w1, %2",
  "ror\t%w0, %w1, %w2",
};

static const char * const output_703[] = {
  "ror\t%x0, %x1, %2",
  "ror\t%x0, %x1, %x2",
};

static const char * const output_704[] = {
  "lsl\t%w0, %w1, %2",
  "lsl\t%w0, %w1, %w2",
};

static const char * const output_705[] = {
  "asr\t%w0, %w1, %2",
  "asr\t%w0, %w1, %w2",
};

static const char * const output_706[] = {
  "lsr\t%w0, %w1, %2",
  "lsr\t%w0, %w1, %w2",
};

static const char * const output_707[] = {
  "ror\t%w0, %w1, %2",
  "ror\t%w0, %w1, %w2",
};

static const char *
output_708 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5250 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_709 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5250 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_710 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5250 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_711 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5250 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_712 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5250 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_713 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5250 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_720 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5316 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ror\t%w0, %w1, %3";
}
}

static const char *
output_721 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5316 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ror\t%x0, %x1, %3";
}
}

static const char *
output_722 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5330 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ror\t%w0, %w1, %3";
}
}

static const char *
output_723 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5343 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_724 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5343 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_725 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5343 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_726 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5343 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_727 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5343 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_728 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5343 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_729 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5343 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_730 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5343 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_731 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5356 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_732 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5356 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_733 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5356 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_734 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5356 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_735 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5369 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_736 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5369 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_737 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5369 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_738 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5369 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_755 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5530 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (SImode) - UINTVAL (operands[4]));
  return "bfi\t%w0, %w3, %4, %5";
}
}

static const char *
output_756 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5530 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (DImode) - UINTVAL (operands[4]));
  return "bfi\t%x0, %x3, %4, %5";
}
}

static const char *
output_757 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5547 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (SImode) - UINTVAL (operands[2]));
  return "bfi\t%w0, %w1, %2, %5";
}
}

static const char *
output_758 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5547 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (DImode) - UINTVAL (operands[2]));
  return "bfi\t%x0, %x1, %2, %5";
}
}

static const char *
output_765 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5602 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_766 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5602 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_767 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5602 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_768 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5602 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_769 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5602 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_770 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5602 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_771 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5602 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_772 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5602 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_773 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5602 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_774 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5602 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_775 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5602 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_776 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5602 "../../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_785 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5695 "../../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%w0, %w1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%w0, %w2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_786 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5695 "../../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%x0, %x1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%x0, %x2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_787 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5722 "../../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%0, %1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%0, %2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_874 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5816 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%w0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_875 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5816 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%w0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_876 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5816 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%w0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_877 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5816 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%w0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_878 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5816 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%x0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_879 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5816 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%x0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_880 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5816 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%x0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_881 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5816 "../../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%x0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char * const output_900[] = {
  "fcvtzs\t%s0, %s1",
  "fcvtzs\t%w0, %s1",
};

static const char * const output_901[] = {
  "fcvtzu\t%s0, %s1",
  "fcvtzu\t%w0, %s1",
};

static const char * const output_902[] = {
  "fcvtzs\t%d0, %d1",
  "fcvtzs\t%x0, %d1",
};

static const char * const output_903[] = {
  "fcvtzu\t%d0, %d1",
  "fcvtzu\t%x0, %d1",
};

static const char *
output_914 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6020 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "scvtf\t%s0, %s1, #%2";
      case 1:
	return "scvtf\t%s0, %w1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_915 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6020 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "ucvtf\t%s0, %s1, #%2";
      case 1:
	return "ucvtf\t%s0, %w1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_916 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6020 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "scvtf\t%d0, %d1, #%2";
      case 1:
	return "scvtf\t%d0, %x1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_917 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6020 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "ucvtf\t%d0, %d1, #%2";
      case 1:
	return "ucvtf\t%d0, %x1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_918 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6043 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "scvtf\t%s0, %x1, #%2";
  }
}

static const char *
output_919 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6043 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "ucvtf\t%s0, %x1, #%2";
  }
}

static const char *
output_920 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6043 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "scvtf\t%d0, %w1, #%2";
  }
}

static const char *
output_921 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6043 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "ucvtf\t%d0, %w1, #%2";
  }
}

static const char * const output_922[] = {
  "scvtf\t%s0, %s1",
  "scvtf\t%s0, %w1",
};

static const char * const output_923[] = {
  "ucvtf\t%s0, %s1",
  "ucvtf\t%s0, %w1",
};

static const char * const output_924[] = {
  "scvtf\t%d0, %d1",
  "scvtf\t%d0, %x1",
};

static const char * const output_925[] = {
  "ucvtf\t%d0, %d1",
  "ucvtf\t%d0, %x1",
};

static const char * const output_934[] = {
  "fcvtzs\t%w0, %s1, #%2",
  "fcvtzs\t%s0, %s1, #%2",
};

static const char * const output_935[] = {
  "fcvtzu\t%w0, %s1, #%2",
  "fcvtzu\t%s0, %s1, #%2",
};

static const char * const output_936[] = {
  "fcvtzs\t%x0, %d1, #%2",
  "fcvtzs\t%d0, %d1, #%2",
};

static const char * const output_937[] = {
  "fcvtzu\t%x0, %d1, #%2",
  "fcvtzu\t%d0, %d1, #%2",
};

static const char * const output_938[] = {
  "scvtf\t%s0, %w1, #%2",
  "scvtf\t%s0, %s1, #%2",
};

static const char * const output_939[] = {
  "ucvtf\t%s0, %w1, #%2",
  "ucvtf\t%s0, %s1, #%2",
};

static const char * const output_940[] = {
  "scvtf\t%d0, %x1, #%2",
  "scvtf\t%d0, %d1, #%2",
};

static const char * const output_941[] = {
  "ucvtf\t%d0, %x1, #%2",
  "ucvtf\t%d0, %d1, #%2",
};

static const char * const output_995[] = {
  "bsl\t%0.8b, %2.8b, %1.8b",
  "bit\t%0.8b, %2.8b, %3.8b",
  "bif\t%0.8b, %1.8b, %3.8b",
  "bfxil\t%w0, %w1, #0, #31",
};

static const char * const output_996[] = {
  "bsl\t%0.8b, %2.8b, %1.8b",
  "bit\t%0.8b, %2.8b, %3.8b",
  "bif\t%0.8b, %1.8b, %3.8b",
  "bfxil\t%x0, %x1, #0, #63",
};

static const char *
output_1050 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6875 "../../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_stack_range (operands[0], operands[2]);
}
}

static const char *
output_1051 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6893 "../../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_sve_stack_clash (operands[0], operands[2],
					       operands[3], operands[4]);
}
}

static const char *
output_1052 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6893 "../../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_sve_stack_clash (operands[0], operands[2],
					       operands[3], operands[4]);
}
}

static const char *
output_1053 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6943 "../../../gcc/config/aarch64/aarch64.md"
{
   char buf[150];
   snprintf (buf, 150, "mrs\t%%w0, %s",
	    aarch64_stack_protector_guard_reg_str);
   output_asm_insn (buf, operands);
   return "";
 }
}

static const char *
output_1054 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6943 "../../../gcc/config/aarch64/aarch64.md"
{
   char buf[150];
   snprintf (buf, 150, "mrs\t%%x0, %s",
	    aarch64_stack_protector_guard_reg_str);
   output_asm_insn (buf, operands);
   return "";
 }
}

static const char *
output_1067 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7070 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[1] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("csel\t%1, %1, xzr, %m0", operands);
    return "";
  }
}

static const char *
output_1068 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7084 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[1] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("csel\t%1, %1, xzr, %M0", operands);
    return "";
  }
}

static const char *
output_1074 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7170 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1075 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7170 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1076 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7170 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1077 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7170 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%x0, %x1, %x2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1078 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7190 "../../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn
      ("cmp\t%3, #0\n\tcsel\t%0, %1, %2, ne\n\tcsel\t%H0, %H1, %H2, ne\n\thint\t0x14 // csdb",
       operands);
    return "";
  }
}

static const char * const output_1116[] = {
  "dup\t%0.8b, %1.b[0]",
  "dup\t%0.8b, %w1",
};

static const char * const output_1117[] = {
  "dup\t%0.16b, %1.b[0]",
  "dup\t%0.16b, %w1",
};

static const char * const output_1118[] = {
  "dup\t%0.4h, %1.h[0]",
  "dup\t%0.4h, %w1",
};

static const char * const output_1119[] = {
  "dup\t%0.8h, %1.h[0]",
  "dup\t%0.8h, %w1",
};

static const char * const output_1120[] = {
  "dup\t%0.2s, %1.s[0]",
  "dup\t%0.2s, %w1",
};

static const char * const output_1121[] = {
  "dup\t%0.4s, %1.s[0]",
  "dup\t%0.4s, %w1",
};

static const char * const output_1122[] = {
  "dup\t%0.2d, %1.d[0]",
  "dup\t%0.2d, %x1",
};

static const char *
output_1130 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "dup\t%0.8b, %1.b[%2]";
  }
}

static const char *
output_1131 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "dup\t%0.16b, %1.b[%2]";
  }
}

static const char *
output_1132 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1133 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1134 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1135 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1136 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "dup\t%0.2d, %1.d[%2]";
  }
}

static const char *
output_1137 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1138 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1139 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1140 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1141 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1142 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1143 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 82 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "dup\t%0.2d, %1.d[%2]";
  }
}

static const char *
output_1144 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "dup\t%0.8b, %1.b[%2]";
  }
}

static const char *
output_1145 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "dup\t%0.16b, %1.b[%2]";
  }
}

static const char *
output_1146 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1147 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1148 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1149 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1150 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1151 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1152 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1153 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 97 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1154 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1155 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1156 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1157 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1158 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1159 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 112 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   switch (which_alternative)
     {
     case 0: return "ldr\t%d0, %1";
     case 1: return "str\txzr, %0";
     case 2: return "str\t%d1, %0";
     case 3: return "mov\t%0.8b, %1.8b";
     case 4: return "umov\t%0, %1.d[0]";
     case 5: return "fmov\t%d0, %1";
     case 6: return "mov\t%0, %1";
     case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 64);
     default: gcc_unreachable ();
     }
}
}

static const char *
output_1160 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1161 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1162 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1163 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1164 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1165 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1166 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char *
output_1167 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  switch (which_alternative)
    {
    case 0:
	return "ldr\t%q0, %1";
    case 1:
	return "stp\txzr, xzr, %0";
    case 2:
	return "str\t%q1, %0";
    case 3:
	return "mov\t%0.16b, %1.16b";
    case 4:
    case 5:
    case 6:
	return "#";
    case 7:
	return aarch64_output_simd_mov_immediate (operands[1], 128);
    default:
	gcc_unreachable ();
    }
}
}

static const char * const output_1382[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1383[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1384[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1385[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1386[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1387[] = {
  "#",
  "umov\t%0, %1.d[0]",
};

static const char * const output_1388[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1389[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1390[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1391[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1392[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char * const output_1393[] = {
  "dup\t%d0, %1.d[1]",
  "umov\t%0, %1.d[1]",
};

static const char *
output_1465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1468 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1469 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #0";
}
}

static const char *
output_1470 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #90";
}
}

static const char *
output_1471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #180";
}
}

static const char *
output_1472 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #270";
}
}

static const char *
output_1473 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #0";
}
}

static const char *
output_1474 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #90";
}
}

static const char *
output_1475 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #180";
}
}

static const char *
output_1476 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #270";
}
}

static const char *
output_1477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #0";
}
}

static const char *
output_1478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #90";
}
}

static const char *
output_1479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #180";
}
}

static const char *
output_1480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #270";
}
}

static const char *
output_1481 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #0";
}
}

static const char *
output_1482 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #90";
}
}

static const char *
output_1483 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #180";
}
}

static const char *
output_1484 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 480 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #270";
}
}

static const char *
output_1485 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 495 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1486 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 495 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1487 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 495 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1488 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 495 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1489 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 510 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #0";
}
}

static const char *
output_1490 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 510 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #90";
}
}

static const char *
output_1491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 510 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #180";
}
}

static const char *
output_1492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 510 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #270";
}
}

static const char *
output_1493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 510 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #0";
}
}

static const char *
output_1494 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 510 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #90";
}
}

static const char *
output_1495 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 510 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #180";
}
}

static const char *
output_1496 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 510 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #270";
}
}

static const char *
output_1503 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 628 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1504 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 628 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1505 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 628 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1506 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 628 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1507 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 643 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1508 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 643 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1509 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 643 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1510 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 643 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1511 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1512 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1513 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1514 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1515 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1516 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1517 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 697 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mul\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 697 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mul\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 697 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 697 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 697 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "fmul\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 697 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "fmul\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 697 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 697 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 697 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmul\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_1528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 713 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mul\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 713 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mul\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 713 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 713 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 713 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmul\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 713 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmul\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1559 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 766 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmul\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_1644 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 931 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1645 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 931 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1646 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 931 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1647 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 931 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1648 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 931 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1649 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 931 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1650 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 931 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "and\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_BIC);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1651 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 952 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1652 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 952 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1653 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 952 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1654 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 952 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1655 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 952 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.8b, %1.8b, %2.8b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 64,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1656 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 952 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1657 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 952 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    switch (which_alternative)
      {
      case 0:
	return "orr\t%0.16b, %1.16b, %2.16b";
      case 1:
	return aarch64_output_simd_mov_immediate (operands[2], 128,
						  AARCH64_CHECK_ORR);
      default:
	gcc_unreachable ();
      }
  }
}

static const char *
output_1672 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.b[%p2], %1.b[0]";
     case 1:
	return "ins\t%0.b[%p2], %w1";
     case 2:
        return "ld1\t{%0.b}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1673 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.b[%p2], %1.b[0]";
     case 1:
	return "ins\t%0.b[%p2], %w1";
     case 2:
        return "ld1\t{%0.b}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1674 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1675 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1676 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1677 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1678 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.d[%p2], %1.d[0]";
     case 1:
	return "ins\t%0.d[%p2], %x1";
     case 2:
        return "ld1\t{%0.d}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1679 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1680 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1681 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %<vwcore>1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1682 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %<vwcore>1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1683 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1684 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1685 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 992 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.d[%p2], %1.d[0]";
     case 1:
	return "ins\t%0.d[%p2], %x1";
     case 2:
        return "ld1\t{%0.d}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1686 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1687 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1688 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1689 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1690 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1691 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1692 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[4]));

    return "ins\t%0.d[%p2], %3.d[%4]";
  }
}

static const char *
output_1693 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1694 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1695 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1696 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1697 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1698 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1699 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1021 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[4]));

    return "ins\t%0.d[%p2], %3.d[%4]";
  }
}

static const char *
output_1700 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1042 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1701 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1042 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1702 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1042 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1703 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1042 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1704 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1042 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1705 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1042 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1706 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1042 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1707 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1042 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1708 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1042 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1709 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1042 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1766 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1317 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1767 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1317 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1768 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1317 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1769 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1317 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1770 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1317 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1771 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1317 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1778 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1362 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1779 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1362 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1780 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1362 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1781 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1362 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1782 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1380 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1783 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1380 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1784 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1380 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1785 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1380 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1796 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1420 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1797 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1420 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1798 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1420 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1799 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1420 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_1800 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1438 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1801 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1438 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_1802 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1438 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_1803 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1438 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char * const output_1876[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1877[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1878[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1879[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1880[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1881[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1882[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1883[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1884[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1885[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1886[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1887[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1888[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1889[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1890[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1891[] = {
  "dup\t%d0, %1.d[0]",
  "fmov\t%d0, %1",
  "dup\t%d0, %1",
};

static const char * const output_1892[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1893[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1894[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1895[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1896[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1897[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1898[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1899[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1900[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1901[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1902[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1903[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1904[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1905[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1906[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char * const output_1907[] = {
  "ins\t%0.d[1], %1.d[0]",
  "ins\t%0.d[1], %1",
};

static const char *
output_1911 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1688 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   if (BYTES_BIG_ENDIAN)
     return "xtn\t%0.8b, %2.8h\n\txtn2\t%0.16b, %1.8h";
   else
     return "xtn\t%0.8b, %1.8h\n\txtn2\t%0.16b, %2.8h";
 }
}

static const char *
output_1912 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1688 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   if (BYTES_BIG_ENDIAN)
     return "xtn\t%0.4h, %2.4s\n\txtn2\t%0.8h, %1.4s";
   else
     return "xtn\t%0.4h, %1.4s\n\txtn2\t%0.8h, %2.4s";
 }
}

static const char *
output_1913 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1688 "../../../gcc/config/aarch64/aarch64-simd.md"
{
   if (BYTES_BIG_ENDIAN)
     return "xtn\t%0.2s, %2.2d\n\txtn2\t%0.4s, %1.2d";
   else
     return "xtn\t%0.2s, %1.2d\n\txtn2\t%0.4s, %2.2d";
 }
}

static const char *
output_1980 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1932 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "smull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_1981 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1932 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "umull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_1982 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1932 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "smull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_1983 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1932 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "umull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_1984 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1932 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "smull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_1985 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1932 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "umull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_1986 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1932 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "smull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_1987 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1932 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "umull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_1988 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "smlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_1989 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "umlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_1990 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "smlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_1991 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "umlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_1992 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "smlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_1993 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "umlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_1994 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "smlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_1995 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1953 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "umlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2031 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2069 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2032 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2069 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2033 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2069 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmla\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2034 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2035 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2086 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2045 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2114 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmla\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2051 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2143 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2052 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2143 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2053 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2143 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmls\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2054 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2161 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2055 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2161 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2065 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2191 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmls\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2165 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2257 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.2s, %%1.2s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2166 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2257 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.2s, %%1.2s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2167 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2257 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.4s, %%1.4s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2168 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2257 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.4s, %%1.4s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2169 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2257 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.2d, %%1.2d, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2170 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2257 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.2d, %%1.2d, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char * const output_2323[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2324[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2325[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2326[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2327[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2328[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2329[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2330[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2331[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2332[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2333[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2334[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2335[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2336[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2337[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
  "#",
};

static const char * const output_2338[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
  "#",
};

static const char *
output_2339 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3289 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2340 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3289 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.b[%2]";
  }
}

static const char *
output_2341 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3289 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2342 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3289 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.b[%2]";
  }
}

static const char *
output_2343 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3289 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2344 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3289 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.h[%2]";
  }
}

static const char *
output_2345 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3289 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2346 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3289 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.h[%2]";
  }
}

static const char *
output_2347 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2348 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2349 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2350 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2351 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2352 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2353 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2354 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3304 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2355 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2356 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2357 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2358 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2359 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2360 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2361 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2362 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2363 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2364 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%<vwcore>0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2365 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%<vwcore>0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2366 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2367 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2368 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3321 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char * const output_2377[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2378[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2379[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2380[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2381[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2382[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2383[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2384[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2385[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2386[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2387[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2388[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2389[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2390[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2391[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2392[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2393[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2394[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2395[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2396[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2397[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2398[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2399[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char * const output_2400[] = {
  "mov\t%0.8b, %1.8b",
  "fmov\t%d0, %1",
  "ldr\t%d0, %1",
};

static const char *
output_2543 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3829 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2544 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3829 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2545 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3848 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2546 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3848 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2547 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3848 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2d, %1.2d, %2.d[%3]";
  }
}

static const char *
output_2553 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3882 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%s0, %s1, %2.s[%3]";
  }
}

static const char *
output_2554 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3882 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%s0, %s1, %2.s[%3]";
  }
}

static const char *
output_2555 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3882 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmulx\t%d0, %d1, %2.d[%3]";
  }
}

static const char *
output_2686 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4007 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2687 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4007 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2688 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4007 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2689 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4007 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2690 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4007 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2691 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4007 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2692 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4007 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2693 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4007 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2694 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4022 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2695 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4022 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_2696 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4022 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2697 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4022 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_2698 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4022 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2699 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4022 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_2700 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4022 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2701 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4022 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_2702 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4037 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2703 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4037 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2704 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4037 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2705 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4037 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2706 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4052 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2707 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4052 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_2708 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4052 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2709 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4052 "../../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_2722 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4084 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2723 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4084 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2724 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4084 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2725 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4084 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2726 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4084 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2727 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4084 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2728 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4084 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2729 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4084 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2730 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4102 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2731 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4102 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2732 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4102 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2733 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4102 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2734 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4122 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2735 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4122 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_2736 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4122 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2737 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4122 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_2738 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4122 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2739 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4122 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_2740 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4122 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2741 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4122 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_2742 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2743 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_2744 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2745 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4140 "../../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_2754 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4184 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2755 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4184 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2756 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4184 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2757 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4184 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2758 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2759 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2760 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2761 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4208 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2762 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4231 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2763 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4231 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2764 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4231 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2765 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4231 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2766 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4254 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2767 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4254 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_2768 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4254 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2769 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4254 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_2778 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4349 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2779 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4349 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2780 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4349 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2781 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4349 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2782 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4375 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2783 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4375 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_2784 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4375 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2785 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4375 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_2794 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4522 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2795 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4522 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2796 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4543 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2797 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4543 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2798 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4563 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull\t%s0, %h1, %2.h[%3]";
  }
}

static const char *
output_2799 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4563 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull\t%d0, %s1, %2.s[%3]";
  }
}

static const char *
output_2800 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4583 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull\t%s0, %h1, %2.h[%3]";
  }
}

static const char *
output_2801 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4583 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull\t%d0, %s1, %2.s[%3]";
  }
}

static const char *
output_2806 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.4s, %1.8h, %2.h[%3]";
  }
}

static const char *
output_2807 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4661 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.2d, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2808 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4684 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.4s, %1.8h, %2.h[%3]";
  }
}

static const char *
output_2809 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4684 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.2d, %1.4s, %2.s[%3]";
  }
}

static const char *
output_2888 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4819 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll\t%0.8h, %1.8b, %3";
    else
      return "sshll\t%0.8h, %1.8b, %3";
  }
}

static const char *
output_2889 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4819 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll\t%0.8h, %1.8b, %3";
    else
      return "ushll\t%0.8h, %1.8b, %3";
  }
}

static const char *
output_2890 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4819 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll\t%0.4s, %1.4h, %3";
    else
      return "sshll\t%0.4s, %1.4h, %3";
  }
}

static const char *
output_2891 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4819 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll\t%0.4s, %1.4h, %3";
    else
      return "ushll\t%0.4s, %1.4h, %3";
  }
}

static const char *
output_2892 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4819 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll\t%0.2d, %1.2s, %3";
    else
      return "sshll\t%0.2d, %1.2s, %3";
  }
}

static const char *
output_2893 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4819 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll\t%0.2d, %1.2s, %3";
    else
      return "ushll\t%0.2d, %1.2s, %3";
  }
}

static const char *
output_2894 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4837 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll2\t%0.8h, %1.16b, %3";
    else
      return "sshll2\t%0.8h, %1.16b, %3";
  }
}

static const char *
output_2895 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4837 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll2\t%0.8h, %1.16b, %3";
    else
      return "ushll2\t%0.8h, %1.16b, %3";
  }
}

static const char *
output_2896 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4837 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll2\t%0.4s, %1.8h, %3";
    else
      return "sshll2\t%0.4s, %1.8h, %3";
  }
}

static const char *
output_2897 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4837 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll2\t%0.4s, %1.8h, %3";
    else
      return "ushll2\t%0.4s, %1.8h, %3";
  }
}

static const char *
output_2898 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4837 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll2\t%0.2d, %1.4s, %3";
    else
      return "sshll2\t%0.2d, %1.4s, %3";
  }
}

static const char *
output_2899 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4837 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[3]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll2\t%0.2d, %1.4s, %3";
    else
      return "ushll2\t%0.2d, %1.4s, %3";
  }
}

static const char *
output_2900 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4853 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8QImode))
      return "shll\t%0.8h, %1.8b, %2";
    else
      return "sshll\t%0.8h, %1.8b, %2";
  }
}

static const char *
output_2901 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4853 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8QImode))
      return "shll\t%0.8h, %1.8b, %2";
    else
      return "ushll\t%0.8h, %1.8b, %2";
  }
}

static const char *
output_2902 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4853 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4HImode))
      return "shll\t%0.4s, %1.4h, %2";
    else
      return "sshll\t%0.4s, %1.4h, %2";
  }
}

static const char *
output_2903 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4853 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4HImode))
      return "shll\t%0.4s, %1.4h, %2";
    else
      return "ushll\t%0.4s, %1.4h, %2";
  }
}

static const char *
output_2904 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4853 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V2SImode))
      return "shll\t%0.2d, %1.2s, %2";
    else
      return "sshll\t%0.2d, %1.2s, %2";
  }
}

static const char *
output_2905 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4853 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V2SImode))
      return "shll\t%0.2d, %1.2s, %2";
    else
      return "ushll\t%0.2d, %1.2s, %2";
  }
}

static const char *
output_2906 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4870 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll2\t%0.8h, %1.16b, %2";
    else
      return "sshll2\t%0.8h, %1.16b, %2";
  }
}

static const char *
output_2907 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4870 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V16QImode))
      return "shll2\t%0.8h, %1.16b, %2";
    else
      return "ushll2\t%0.8h, %1.16b, %2";
  }
}

static const char *
output_2908 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4870 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll2\t%0.4s, %1.8h, %2";
    else
      return "sshll2\t%0.4s, %1.8h, %2";
  }
}

static const char *
output_2909 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4870 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V8HImode))
      return "shll2\t%0.4s, %1.8h, %2";
    else
      return "ushll2\t%0.4s, %1.8h, %2";
  }
}

static const char *
output_2910 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4870 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll2\t%0.2d, %1.4s, %2";
    else
      return "sshll2\t%0.2d, %1.4s, %2";
  }
}

static const char *
output_2911 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4870 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    if (INTVAL (operands[2]) == GET_MODE_UNIT_BITSIZE (V4SImode))
      return "shll2\t%0.2d, %1.4s, %2";
    else
      return "ushll2\t%0.2d, %1.4s, %2";
  }
}

static const char * const output_3079[] = {
  "cmgt\t%0.8b, %2.8b, %1.8b",
  "cmlt\t%0.8b, %1.8b, #0",
};

static const char * const output_3080[] = {
  "cmge\t%0.8b, %2.8b, %1.8b",
  "cmle\t%0.8b, %1.8b, #0",
};

static const char * const output_3081[] = {
  "cmeq\t%0.8b, %1.8b, %2.8b",
  "cmeq\t%0.8b, %1.8b, #0",
};

static const char * const output_3082[] = {
  "cmge\t%0.8b, %1.8b, %2.8b",
  "cmge\t%0.8b, %1.8b, #0",
};

static const char * const output_3083[] = {
  "cmgt\t%0.8b, %1.8b, %2.8b",
  "cmgt\t%0.8b, %1.8b, #0",
};

static const char * const output_3084[] = {
  "cmgt\t%0.16b, %2.16b, %1.16b",
  "cmlt\t%0.16b, %1.16b, #0",
};

static const char * const output_3085[] = {
  "cmge\t%0.16b, %2.16b, %1.16b",
  "cmle\t%0.16b, %1.16b, #0",
};

static const char * const output_3086[] = {
  "cmeq\t%0.16b, %1.16b, %2.16b",
  "cmeq\t%0.16b, %1.16b, #0",
};

static const char * const output_3087[] = {
  "cmge\t%0.16b, %1.16b, %2.16b",
  "cmge\t%0.16b, %1.16b, #0",
};

static const char * const output_3088[] = {
  "cmgt\t%0.16b, %1.16b, %2.16b",
  "cmgt\t%0.16b, %1.16b, #0",
};

static const char * const output_3089[] = {
  "cmgt\t%0.4h, %2.4h, %1.4h",
  "cmlt\t%0.4h, %1.4h, #0",
};

static const char * const output_3090[] = {
  "cmge\t%0.4h, %2.4h, %1.4h",
  "cmle\t%0.4h, %1.4h, #0",
};

static const char * const output_3091[] = {
  "cmeq\t%0.4h, %1.4h, %2.4h",
  "cmeq\t%0.4h, %1.4h, #0",
};

static const char * const output_3092[] = {
  "cmge\t%0.4h, %1.4h, %2.4h",
  "cmge\t%0.4h, %1.4h, #0",
};

static const char * const output_3093[] = {
  "cmgt\t%0.4h, %1.4h, %2.4h",
  "cmgt\t%0.4h, %1.4h, #0",
};

static const char * const output_3094[] = {
  "cmgt\t%0.8h, %2.8h, %1.8h",
  "cmlt\t%0.8h, %1.8h, #0",
};

static const char * const output_3095[] = {
  "cmge\t%0.8h, %2.8h, %1.8h",
  "cmle\t%0.8h, %1.8h, #0",
};

static const char * const output_3096[] = {
  "cmeq\t%0.8h, %1.8h, %2.8h",
  "cmeq\t%0.8h, %1.8h, #0",
};

static const char * const output_3097[] = {
  "cmge\t%0.8h, %1.8h, %2.8h",
  "cmge\t%0.8h, %1.8h, #0",
};

static const char * const output_3098[] = {
  "cmgt\t%0.8h, %1.8h, %2.8h",
  "cmgt\t%0.8h, %1.8h, #0",
};

static const char * const output_3099[] = {
  "cmgt\t%0.2s, %2.2s, %1.2s",
  "cmlt\t%0.2s, %1.2s, #0",
};

static const char * const output_3100[] = {
  "cmge\t%0.2s, %2.2s, %1.2s",
  "cmle\t%0.2s, %1.2s, #0",
};

static const char * const output_3101[] = {
  "cmeq\t%0.2s, %1.2s, %2.2s",
  "cmeq\t%0.2s, %1.2s, #0",
};

static const char * const output_3102[] = {
  "cmge\t%0.2s, %1.2s, %2.2s",
  "cmge\t%0.2s, %1.2s, #0",
};

static const char * const output_3103[] = {
  "cmgt\t%0.2s, %1.2s, %2.2s",
  "cmgt\t%0.2s, %1.2s, #0",
};

static const char * const output_3104[] = {
  "cmgt\t%0.4s, %2.4s, %1.4s",
  "cmlt\t%0.4s, %1.4s, #0",
};

static const char * const output_3105[] = {
  "cmge\t%0.4s, %2.4s, %1.4s",
  "cmle\t%0.4s, %1.4s, #0",
};

static const char * const output_3106[] = {
  "cmeq\t%0.4s, %1.4s, %2.4s",
  "cmeq\t%0.4s, %1.4s, #0",
};

static const char * const output_3107[] = {
  "cmge\t%0.4s, %1.4s, %2.4s",
  "cmge\t%0.4s, %1.4s, #0",
};

static const char * const output_3108[] = {
  "cmgt\t%0.4s, %1.4s, %2.4s",
  "cmgt\t%0.4s, %1.4s, #0",
};

static const char * const output_3109[] = {
  "cmgt\t%0.2d, %2.2d, %1.2d",
  "cmlt\t%0.2d, %1.2d, #0",
};

static const char * const output_3110[] = {
  "cmge\t%0.2d, %2.2d, %1.2d",
  "cmle\t%0.2d, %1.2d, #0",
};

static const char * const output_3111[] = {
  "cmeq\t%0.2d, %1.2d, %2.2d",
  "cmeq\t%0.2d, %1.2d, #0",
};

static const char * const output_3112[] = {
  "cmge\t%0.2d, %1.2d, %2.2d",
  "cmge\t%0.2d, %1.2d, #0",
};

static const char * const output_3113[] = {
  "cmgt\t%0.2d, %1.2d, %2.2d",
  "cmgt\t%0.2d, %1.2d, #0",
};

static const char * const output_3119[] = {
  "cmgt\t%d0, %d2, %d1",
  "cmlt\t%d0, %d1, #0",
};

static const char * const output_3120[] = {
  "cmge\t%d0, %d2, %d1",
  "cmle\t%d0, %d1, #0",
};

static const char * const output_3121[] = {
  "cmeq\t%d0, %d1, %d2",
  "cmeq\t%d0, %d1, #0",
};

static const char * const output_3122[] = {
  "cmge\t%d0, %d1, %d2",
  "cmge\t%d0, %d1, #0",
};

static const char * const output_3123[] = {
  "cmgt\t%d0, %d1, %d2",
  "cmgt\t%d0, %d1, #0",
};

static const char * const output_3169[] = {
  "fcmgt\t%0.4h, %2.4h, %1.4h",
  "fcmlt\t%0.4h, %1.4h, 0",
};

static const char * const output_3170[] = {
  "fcmge\t%0.4h, %2.4h, %1.4h",
  "fcmle\t%0.4h, %1.4h, 0",
};

static const char * const output_3171[] = {
  "fcmeq\t%0.4h, %1.4h, %2.4h",
  "fcmeq\t%0.4h, %1.4h, 0",
};

static const char * const output_3172[] = {
  "fcmge\t%0.4h, %1.4h, %2.4h",
  "fcmge\t%0.4h, %1.4h, 0",
};

static const char * const output_3173[] = {
  "fcmgt\t%0.4h, %1.4h, %2.4h",
  "fcmgt\t%0.4h, %1.4h, 0",
};

static const char * const output_3174[] = {
  "fcmgt\t%0.8h, %2.8h, %1.8h",
  "fcmlt\t%0.8h, %1.8h, 0",
};

static const char * const output_3175[] = {
  "fcmge\t%0.8h, %2.8h, %1.8h",
  "fcmle\t%0.8h, %1.8h, 0",
};

static const char * const output_3176[] = {
  "fcmeq\t%0.8h, %1.8h, %2.8h",
  "fcmeq\t%0.8h, %1.8h, 0",
};

static const char * const output_3177[] = {
  "fcmge\t%0.8h, %1.8h, %2.8h",
  "fcmge\t%0.8h, %1.8h, 0",
};

static const char * const output_3178[] = {
  "fcmgt\t%0.8h, %1.8h, %2.8h",
  "fcmgt\t%0.8h, %1.8h, 0",
};

static const char * const output_3179[] = {
  "fcmgt\t%0.2s, %2.2s, %1.2s",
  "fcmlt\t%0.2s, %1.2s, 0",
};

static const char * const output_3180[] = {
  "fcmge\t%0.2s, %2.2s, %1.2s",
  "fcmle\t%0.2s, %1.2s, 0",
};

static const char * const output_3181[] = {
  "fcmeq\t%0.2s, %1.2s, %2.2s",
  "fcmeq\t%0.2s, %1.2s, 0",
};

static const char * const output_3182[] = {
  "fcmge\t%0.2s, %1.2s, %2.2s",
  "fcmge\t%0.2s, %1.2s, 0",
};

static const char * const output_3183[] = {
  "fcmgt\t%0.2s, %1.2s, %2.2s",
  "fcmgt\t%0.2s, %1.2s, 0",
};

static const char * const output_3184[] = {
  "fcmgt\t%0.4s, %2.4s, %1.4s",
  "fcmlt\t%0.4s, %1.4s, 0",
};

static const char * const output_3185[] = {
  "fcmge\t%0.4s, %2.4s, %1.4s",
  "fcmle\t%0.4s, %1.4s, 0",
};

static const char * const output_3186[] = {
  "fcmeq\t%0.4s, %1.4s, %2.4s",
  "fcmeq\t%0.4s, %1.4s, 0",
};

static const char * const output_3187[] = {
  "fcmge\t%0.4s, %1.4s, %2.4s",
  "fcmge\t%0.4s, %1.4s, 0",
};

static const char * const output_3188[] = {
  "fcmgt\t%0.4s, %1.4s, %2.4s",
  "fcmgt\t%0.4s, %1.4s, 0",
};

static const char * const output_3189[] = {
  "fcmgt\t%0.2d, %2.2d, %1.2d",
  "fcmlt\t%0.2d, %1.2d, 0",
};

static const char * const output_3190[] = {
  "fcmge\t%0.2d, %2.2d, %1.2d",
  "fcmle\t%0.2d, %1.2d, 0",
};

static const char * const output_3191[] = {
  "fcmeq\t%0.2d, %1.2d, %2.2d",
  "fcmeq\t%0.2d, %1.2d, 0",
};

static const char * const output_3192[] = {
  "fcmge\t%0.2d, %1.2d, %2.2d",
  "fcmge\t%0.2d, %1.2d, 0",
};

static const char * const output_3193[] = {
  "fcmgt\t%0.2d, %1.2d, %2.2d",
  "fcmgt\t%0.2d, %1.2d, 0",
};

static const char * const output_3194[] = {
  "fcmgt\t%h0, %h2, %h1",
  "fcmlt\t%h0, %h1, 0",
};

static const char * const output_3195[] = {
  "fcmge\t%h0, %h2, %h1",
  "fcmle\t%h0, %h1, 0",
};

static const char * const output_3196[] = {
  "fcmeq\t%h0, %h1, %h2",
  "fcmeq\t%h0, %h1, 0",
};

static const char * const output_3197[] = {
  "fcmge\t%h0, %h1, %h2",
  "fcmge\t%h0, %h1, 0",
};

static const char * const output_3198[] = {
  "fcmgt\t%h0, %h1, %h2",
  "fcmgt\t%h0, %h1, 0",
};

static const char * const output_3199[] = {
  "fcmgt\t%s0, %s2, %s1",
  "fcmlt\t%s0, %s1, 0",
};

static const char * const output_3200[] = {
  "fcmge\t%s0, %s2, %s1",
  "fcmle\t%s0, %s1, 0",
};

static const char * const output_3201[] = {
  "fcmeq\t%s0, %s1, %s2",
  "fcmeq\t%s0, %s1, 0",
};

static const char * const output_3202[] = {
  "fcmge\t%s0, %s1, %s2",
  "fcmge\t%s0, %s1, 0",
};

static const char * const output_3203[] = {
  "fcmgt\t%s0, %s1, %s2",
  "fcmgt\t%s0, %s1, 0",
};

static const char * const output_3204[] = {
  "fcmgt\t%d0, %d2, %d1",
  "fcmlt\t%d0, %d1, 0",
};

static const char * const output_3205[] = {
  "fcmge\t%d0, %d2, %d1",
  "fcmle\t%d0, %d1, 0",
};

static const char * const output_3206[] = {
  "fcmeq\t%d0, %d1, %d2",
  "fcmeq\t%d0, %d1, 0",
};

static const char * const output_3207[] = {
  "fcmge\t%d0, %d1, %d2",
  "fcmge\t%d0, %d1, 0",
};

static const char * const output_3208[] = {
  "fcmgt\t%d0, %d1, %d2",
  "fcmgt\t%d0, %d1, 0",
};

static const char *
output_3274 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[3]));
    return "ld2\t{%S0.b - %T0.b}[%3], %1";
  }
}

static const char *
output_3275 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[3]));
    return "ld2\t{%S0.b - %T0.b}[%3], %1";
  }
}

static const char *
output_3276 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3277 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3278 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_3279 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_3280 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3281 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3282 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_3283 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3284 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_3285 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_3286 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_3287 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_3288 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_3289 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5267 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_3298 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "st2\t{%S1.b - %T1.b}[%2], %0";
  }
}

static const char *
output_3299 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "st2\t{%S1.b - %T1.b}[%2], %0";
  }
}

static const char *
output_3300 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3301 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3302 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_3303 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_3304 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3305 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3306 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_3307 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3308 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_3309 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_3310 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_3311 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_3312 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_3313 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5311 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_3338 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[3]));
    return "ld3\t{%S0.b - %U0.b}[%3], %1";
}
}

static const char *
output_3339 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[3]));
    return "ld3\t{%S0.b - %U0.b}[%3], %1";
}
}

static const char *
output_3340 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3341 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3342 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_3343 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_3344 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3345 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3346 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_3347 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3348 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_3349 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_3350 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_3351 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_3352 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_3353 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5365 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_3362 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "st3\t{%S1.b - %U1.b}[%2], %0";
  }
}

static const char *
output_3363 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "st3\t{%S1.b - %U1.b}[%2], %0";
  }
}

static const char *
output_3364 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3365 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3366 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_3367 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_3368 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3369 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3370 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_3371 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3372 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_3373 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_3374 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_3375 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_3376 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_3377 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5409 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_3402 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[3]));
    return "ld4\t{%S0.b - %V0.b}[%3], %1";
}
}

static const char *
output_3403 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[3]));
    return "ld4\t{%S0.b - %V0.b}[%3], %1";
}
}

static const char *
output_3404 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3405 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3406 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_3407 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_3408 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3409 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3410 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_3411 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3412 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_3413 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_3414 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_3415 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_3416 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_3417 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5463 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_3426 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "st4\t{%S1.b - %V1.b}[%2], %0";
  }
}

static const char *
output_3427 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "st4\t{%S1.b - %V1.b}[%2], %0";
  }
}

static const char *
output_3428 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3429 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3430 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_3431 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_3432 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3433 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3434 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_3435 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3436 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_3437 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_3438 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_3439 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_3440 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_3441 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5507 "../../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char * const output_3525[] = {
  "#",
  "st1\t{%S1.16b - %T1.16b}, %0",
  "ld1\t{%S0.16b - %T0.16b}, %1",
};

static const char * const output_3526[] = {
  "#",
  "st1\t{%S1.16b - %U1.16b}, %0",
  "ld1\t{%S0.16b - %U0.16b}, %1",
};

static const char * const output_3527[] = {
  "#",
  "st1\t{%S1.16b - %V1.16b}, %0",
  "ld1\t{%S0.16b - %V0.16b}, %1",
};

static const char * const output_3558[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char *
output_3685 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8QImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3686 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V16QImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3687 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4HImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3688 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8HImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3689 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2SImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3690 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4SImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3691 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2DImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3692 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4HFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3693 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8HFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3694 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4BFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3695 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8BFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3696 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2SFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_3697 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4SFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3698 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6156 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2DFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_3900 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7438 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.2s, %2.4h, %3.2h[%4]";
}
}

static const char *
output_3901 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7438 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V8BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.2s, %2.4h, %3.2h[%4]";
}
}

static const char *
output_3902 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7438 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.4s, %2.8h, %3.2h[%4]";
}
}

static const char *
output_3903 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7438 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V8BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.4s, %2.8h, %3.2h[%4]";
}
}

static const char *
output_3907 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7500 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));
  return "bfmlalb\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_3908 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7500 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));
  return "bfmlalt\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_3909 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7500 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));
  return "bfmlalb\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_3910 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7500 "../../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));
  return "bfmlalt\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_3927 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 129 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "casb\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casab\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "caslb\t%w0, %w2, %1";
  else
    return "casalb\t%w0, %w2, %1";
}
}

static const char *
output_3928 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 129 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cash\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casah\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "caslh\t%w0, %w2, %1";
  else
    return "casalh\t%w0, %w2, %1";
}
}

static const char *
output_3929 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cas\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casa\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "casl\t%w0, %w2, %1";
  else
    return "casal\t%w0, %w2, %1";
}
}

static const char *
output_3930 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cas\t%x0, %x2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casa\t%x0, %x2, %1";
  else if (is_mm_release (model))
    return "casl\t%x0, %x2, %1";
  else
    return "casal\t%x0, %x2, %1";
}
}

static const char *
output_3931 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 173 "../../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "casp\t%0, %R0, %2, %R2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "caspa\t%0, %R0, %2, %R2, %1";
  else if (is_mm_release (model))
    return "caspl\t%0, %R0, %2, %R2, %1";
  else
    return "caspal\t%0, %R0, %2, %R2, %1";
}
}

static const char *
output_3936 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swpb\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpab\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swplb\t%w2, %w0, %1";
    else
      return "swpalb\t%w2, %w0, %1";
  }
}

static const char *
output_3937 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swph\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpah\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swplh\t%w2, %w0, %1";
    else
      return "swpalh\t%w2, %w0, %1";
  }
}

static const char *
output_3938 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swp\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpa\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swpl\t%w2, %w0, %1";
    else
      return "swpal\t%w2, %w0, %1";
  }
}

static const char *
output_3939 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swp\t%x2, %x0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpa\t%x2, %x0, %1";
    else if (is_mm_release (model))
      return "swpl\t%x2, %x0, %1";
    else
      return "swpal\t%x2, %x0, %1";
  }
}

static const char *
output_3960 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldsetb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetab\t%w1, %w3, %0";
   else
     return "ldsetalb\t%w1, %w3, %0";
  }
}

static const char *
output_3961 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclrb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrab\t%w1, %w3, %0";
   else
     return "ldclralb\t%w1, %w3, %0";
  }
}

static const char *
output_3962 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeorb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorab\t%w1, %w3, %0";
   else
     return "ldeoralb\t%w1, %w3, %0";
  }
}

static const char *
output_3963 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldaddb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddab\t%w1, %w3, %0";
   else
     return "ldaddalb\t%w1, %w3, %0";
  }
}

static const char *
output_3964 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldseth\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetah\t%w1, %w3, %0";
   else
     return "ldsetalh\t%w1, %w3, %0";
  }
}

static const char *
output_3965 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclrh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrah\t%w1, %w3, %0";
   else
     return "ldclralh\t%w1, %w3, %0";
  }
}

static const char *
output_3966 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeorh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorah\t%w1, %w3, %0";
   else
     return "ldeoralh\t%w1, %w3, %0";
  }
}

static const char *
output_3967 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldaddh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddah\t%w1, %w3, %0";
   else
     return "ldaddalh\t%w1, %w3, %0";
  }
}

static const char *
output_3968 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldset\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%w1, %w3, %0";
   else
     return "ldsetal\t%w1, %w3, %0";
  }
}

static const char *
output_3969 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclr\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%w1, %w3, %0";
   else
     return "ldclral\t%w1, %w3, %0";
  }
}

static const char *
output_3970 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeor\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%w1, %w3, %0";
   else
     return "ldeoral\t%w1, %w3, %0";
  }
}

static const char *
output_3971 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldadd\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%w1, %w3, %0";
   else
     return "ldaddal\t%w1, %w3, %0";
  }
}

static const char *
output_3972 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldset\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldsetl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%x1, %x3, %0";
   else
     return "ldsetal\t%x1, %x3, %0";
  }
}

static const char *
output_3973 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclr\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldclrl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%x1, %x3, %0";
   else
     return "ldclral\t%x1, %x3, %0";
  }
}

static const char *
output_3974 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeor\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldeorl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%x1, %x3, %0";
   else
     return "ldeoral\t%x1, %x3, %0";
  }
}

static const char *
output_3975 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldadd\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldaddl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%x1, %x3, %0";
   else
     return "ldaddal\t%x1, %x3, %0";
  }
}

static const char *
output_4000 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldsetb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetlb\t%w2, %w0, %1";
   else
     return "ldsetalb\t%w2, %w0, %1";
  }
}

static const char *
output_4001 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclrb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrlb\t%w2, %w0, %1";
   else
     return "ldclralb\t%w2, %w0, %1";
  }
}

static const char *
output_4002 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeorb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorlb\t%w2, %w0, %1";
   else
     return "ldeoralb\t%w2, %w0, %1";
  }
}

static const char *
output_4003 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldaddb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddlb\t%w2, %w0, %1";
   else
     return "ldaddalb\t%w2, %w0, %1";
  }
}

static const char *
output_4004 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldseth\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetlh\t%w2, %w0, %1";
   else
     return "ldsetalh\t%w2, %w0, %1";
  }
}

static const char *
output_4005 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclrh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrlh\t%w2, %w0, %1";
   else
     return "ldclralh\t%w2, %w0, %1";
  }
}

static const char *
output_4006 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeorh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorlh\t%w2, %w0, %1";
   else
     return "ldeoralh\t%w2, %w0, %1";
  }
}

static const char *
output_4007 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldaddh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddlh\t%w2, %w0, %1";
   else
     return "ldaddalh\t%w2, %w0, %1";
  }
}

static const char *
output_4008 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldset\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetl\t%w2, %w0, %1";
   else
     return "ldsetal\t%w2, %w0, %1";
  }
}

static const char *
output_4009 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclr\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrl\t%w2, %w0, %1";
   else
     return "ldclral\t%w2, %w0, %1";
  }
}

static const char *
output_4010 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeor\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorl\t%w2, %w0, %1";
   else
     return "ldeoral\t%w2, %w0, %1";
  }
}

static const char *
output_4011 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldadd\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddl\t%w2, %w0, %1";
   else
     return "ldaddal\t%w2, %w0, %1";
  }
}

static const char *
output_4012 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldset\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldsetl\t%x2, %x0, %1";
   else
     return "ldsetal\t%x2, %x0, %1";
  }
}

static const char *
output_4013 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclr\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldclrl\t%x2, %x0, %1";
   else
     return "ldclral\t%x2, %x0, %1";
  }
}

static const char *
output_4014 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeor\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldeorl\t%x2, %x0, %1";
   else
     return "ldeoral\t%x2, %x0, %1";
  }
}

static const char *
output_4015 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldadd\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldaddl\t%x2, %x0, %1";
   else
     return "ldaddal\t%x2, %x0, %1";
  }
}

static const char *
output_4044 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrb\t%w0, %1";
    else
      return "ldarb\t%w0, %1";
  }
}

static const char *
output_4045 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrh\t%w0, %1";
    else
      return "ldarh\t%w0, %1";
  }
}

static const char *
output_4046 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%w0, %1";
    else
      return "ldar\t%w0, %1";
  }
}

static const char *
output_4047 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 650 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%x0, %1";
    else
      return "ldar\t%x0, %1";
  }
}

static const char *
output_4048 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "strb\t%w1, %0";
    else if (which_alternative == 0)
      return "stlrb\t%w1, %0";
    else
      return "stlurb\t%w1, %0";
  }
}

static const char *
output_4049 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "strh\t%w1, %0";
    else if (which_alternative == 0)
      return "stlrh\t%w1, %0";
    else
      return "stlurh\t%w1, %0";
  }
}

static const char *
output_4050 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "str\t%w1, %0";
    else if (which_alternative == 0)
      return "stlr\t%w1, %0";
    else
      return "stlur\t%w1, %0";
  }
}

static const char *
output_4051 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 666 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "str\t%x1, %0";
    else if (which_alternative == 0)
      return "stlr\t%x1, %0";
    else
      return "stlur\t%x1, %0";
  }
}

static const char *
output_4052 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 686 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxrb\t%w0, %1";
    else
      return "ldaxrb\t%w0, %1";
  }
}

static const char *
output_4053 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 686 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxrh\t%w0, %1";
    else
      return "ldaxrh\t%w0, %1";
  }
}

static const char *
output_4054 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 702 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxr\t%w0, %1";
    else
      return "ldaxr\t%w0, %1";
  }
}

static const char *
output_4055 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 702 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxr\t%x0, %1";
    else
      return "ldaxr\t%x0, %1";
  }
}

static const char *
output_4056 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 720 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxp\t%0, %1, %2";
    else
      return "ldaxp\t%0, %1, %2";
  }
}

static const char *
output_4057 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 738 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxrb\t%w0, %w2, %1";
    else
      return "stlxrb\t%w0, %w2, %1";
  }
}

static const char *
output_4058 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 738 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxrh\t%w0, %w2, %1";
    else
      return "stlxrh\t%w0, %w2, %1";
  }
}

static const char *
output_4059 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 738 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxr\t%w0, %w2, %1";
    else
      return "stlxr\t%w0, %w2, %1";
  }
}

static const char *
output_4060 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 738 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxr\t%w0, %x2, %1";
    else
      return "stlxr\t%w0, %x2, %1";
  }
}

static const char *
output_4061 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 757 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[4]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxp\t%w0, %x2, %x3, %1";
    else
      return "stlxp\t%w0, %x2, %x3, %1";
  }
}

static const char *
output_4062 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 793 "../../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[1]));
    if (is_mm_acquire (model))
      return "dmb\tishld";
    else
      return "dmb\tish";
  }
}

static const char *
output_4063 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4064 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4065 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4066 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4067 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4068 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4069 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4070 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4071 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4072 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4073 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4074 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4075 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4076 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4077 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4078 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4079 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4080 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4081 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4082 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4083 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4084 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4085 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4086 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4087 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4088 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char * const output_4089[] = {
  "#",
  "ld1b\t%0.b, %1/z, %2",
  "st1b\t%2.b, %1, %0",
};

static const char * const output_4090[] = {
  "#",
  "ld1b\t%0.h, %1/z, %2",
  "st1b\t%2.h, %1, %0",
};

static const char * const output_4091[] = {
  "#",
  "ld1b\t%0.s, %1/z, %2",
  "st1b\t%2.s, %1, %0",
};

static const char * const output_4092[] = {
  "#",
  "ld1b\t%0.d, %1/z, %2",
  "st1b\t%2.d, %1, %0",
};

static const char * const output_4093[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_4094[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_4095[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_4096[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_4097[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_4098[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_4099[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_4100[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_4101[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_4102[] = {
  "#",
  "ld1w\t%0.s, %1/z, %2",
  "st1w\t%2.s, %1, %0",
};

static const char * const output_4103[] = {
  "#",
  "ld1w\t%0.d, %1/z, %2",
  "st1w\t%2.d, %1, %0",
};

static const char * const output_4104[] = {
  "#",
  "ld1w\t%0.s, %1/z, %2",
  "st1w\t%2.s, %1, %0",
};

static const char * const output_4105[] = {
  "#",
  "ld1w\t%0.d, %1/z, %2",
  "st1w\t%2.d, %1, %0",
};

static const char * const output_4106[] = {
  "#",
  "ld1d\t%0.d, %1/z, %2",
  "st1d\t%2.d, %1, %0",
};

static const char * const output_4107[] = {
  "#",
  "ld1d\t%0.d, %1/z, %2",
  "st1d\t%2.d, %1, %0",
};

static const char *
output_4218 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4219 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4220 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4221 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_4222 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4223 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1006 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4224 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1006 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4225 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1006 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4226 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1032 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4227 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1058 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4228 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1058 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_4229 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1058 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char * const output_4230[] = {
  "setffr",
  "wrffr\t%0.b",
};

static const char * const output_4367[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4368[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4369[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4370[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4371[] = {
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4372[] = {
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4373[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4374[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4375[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4376[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4377[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4378[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4379[] = {
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4380[] = {
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4381[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4382[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4383[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4384[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4385[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4386[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4387[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4388[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4389[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4390[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4391[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4392[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4393[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4394[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4395[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4396[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4397[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4398[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4399[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4400[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4401[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4402[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4403[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4404[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4405[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4406[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4407[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4408[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4409[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4410[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4411[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4412[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4413[] = {
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4414[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4415[] = {
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4416[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4417[] = {
  "ld1sh\t%0.s, %5/z, [%2.s]",
  "ld1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4418[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4419[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4420[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4421[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4422[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4423[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4424[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4425[] = {
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4426[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4427[] = {
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4428[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4429[] = {
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4430[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4431[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4432[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4433[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4434[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4435[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4436[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4437[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4438[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4439[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4440[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4441[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4442[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4443[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4444[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4445[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4446[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4447[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4448[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4449[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4450[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4451[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4452[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4453[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4454[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4455[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4456[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4457[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4458[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4459[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4460[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4461[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4462[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4463[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4464[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4465[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4466[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4467[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4468[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4469[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4470[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4471[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4472[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4473[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4474[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4475[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4476[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4477[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4478[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4479[] = {
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4480[] = {
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4481[] = {
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4482[] = {
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4483[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4484[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4485[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4486[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4487[] = {
  "ldff1sb\t%0.s, %5/z, [%2.s]",
  "ldff1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4488[] = {
  "ldff1b\t%0.s, %5/z, [%2.s]",
  "ldff1b\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4489[] = {
  "ldff1sh\t%0.s, %5/z, [%2.s]",
  "ldff1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4490[] = {
  "ldff1h\t%0.s, %5/z, [%2.s]",
  "ldff1h\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_4491[] = {
  "ldff1sb\t%0.d, %5/z, [%2.d]",
  "ldff1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4492[] = {
  "ldff1b\t%0.d, %5/z, [%2.d]",
  "ldff1b\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4493[] = {
  "ldff1sh\t%0.d, %5/z, [%2.d]",
  "ldff1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4494[] = {
  "ldff1h\t%0.d, %5/z, [%2.d]",
  "ldff1h\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4495[] = {
  "ldff1sw\t%0.d, %5/z, [%2.d]",
  "ldff1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4496[] = {
  "ldff1w\t%0.d, %5/z, [%2.d]",
  "ldff1w\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_4497[] = {
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4498[] = {
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4499[] = {
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4500[] = {
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4501[] = {
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4502[] = {
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_4503[] = {
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4504[] = {
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4505[] = {
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4506[] = {
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4507[] = {
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_4508[] = {
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char *
output_4509 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1949 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx16QImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfb", operands[2], "%0, %1");
  }
}

static const char *
output_4510 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1949 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx8HImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfh", operands[2], "%0, %1");
  }
}

static const char *
output_4511 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1949 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx4SImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfw", operands[2], "%0, %1");
  }
}

static const char *
output_4512 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1949 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx2DImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfd", operands[2], "%0, %1");
  }
}

static const char *
output_4513 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1989 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%2.s]",
      "prfb", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfb", "%0, [%1, %2.s, sxtw %p4]",
      "prfb", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4514 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1989 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfh", "%0, [%2.s]",
      "prfh", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfh", "%0, [%1, %2.s, sxtw %p4]",
      "prfh", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4515 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1989 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfw", "%0, [%2.s]",
      "prfw", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfw", "%0, [%1, %2.s, sxtw %p4]",
      "prfw", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4516 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1989 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfd", "%0, [%2.s]",
      "prfd", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfd", "%0, [%1, %2.s, sxtw %p4]",
      "prfd", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4517 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2018 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%2.d]",
      "prfb", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfb", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2018 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfh", "%0, [%2.d]",
      "prfh", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfh", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2018 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfw", "%0, [%2.d]",
      "prfw", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfw", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2018 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfd", "%0, [%2.d]",
      "prfd", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfd", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2049 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfb", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2049 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfh", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2049 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfw", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2049 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfd", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfb", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfh", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfw", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_4528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfd", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char * const output_4586[] = {
  "st1b\t%4.s, %5, [%1.s]",
  "st1b\t%4.s, %5, [%1.s, #%0]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4587[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4588[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4589[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4590[] = {
  "st1w\t%4.s, %5, [%1.s]",
  "st1w\t%4.s, %5, [%1.s, #%0]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4591[] = {
  "st1w\t%4.s, %5, [%1.s]",
  "st1w\t%4.s, %5, [%1.s, #%0]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4592[] = {
  "st1b\t%4.d, %5, [%1.d]",
  "st1b\t%4.d, %5, [%1.d, #%0]",
  "st1b\t%4.d, %5, [%0, %1.d]",
  "st1b\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4593[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4594[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4595[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4596[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4597[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4598[] = {
  "st1d\t%4.d, %5, [%1.d]",
  "st1d\t%4.d, %5, [%1.d, #%0]",
  "st1d\t%4.d, %5, [%0, %1.d]",
  "st1d\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4599[] = {
  "st1d\t%4.d, %5, [%1.d]",
  "st1d\t%4.d, %5, [%1.d, #%0]",
  "st1d\t%4.d, %5, [%0, %1.d]",
  "st1d\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4600[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4601[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4602[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4603[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4604[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4605[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4606[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4607[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4608[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4609[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4610[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4611[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4612[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4613[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4614[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4615[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4616[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4617[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4618[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4619[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4620[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4621[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4622[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4623[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4624[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4625[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4626[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4627[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4628[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4629[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4630[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4631[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4632[] = {
  "st1b\t%4.s, %5, [%1.s]",
  "st1b\t%4.s, %5, [%1.s, #%0]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4633[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_4634[] = {
  "st1b\t%4.d, %5, [%1.d]",
  "st1b\t%4.d, %5, [%1.d, #%0]",
  "st1b\t%4.d, %5, [%0, %1.d]",
  "st1b\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4635[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4636[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_4637[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4638[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4639[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_4640[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4641[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4642[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_4643[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_4644[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_4645[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_4646[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_4647[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4648[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4649[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4650[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4651[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4652[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4653[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4654[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4655[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_4656[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_4657[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_4658[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_4659[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_4660[] = {
  "mov\t%0.d, %x1",
  "mov\t%0.d, %d1",
  "#",
};

static const char * const output_4661[] = {
  "mov\t%0.d, %x1",
  "mov\t%0.d, %d1",
  "#",
};

static const char *
output_4662 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx16QImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4663 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4664 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4665 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4666 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8BFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4667 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4668 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4669 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2541 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4670 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx16QImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4671 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4672 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4673 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4674 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8BFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4675 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4676 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4677 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2562 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_4697 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (QImode, XEXP (operands[1], 0));
    return "ld1rqb\t%0.b, %2/z, %1";
  }
}

static const char *
output_4698 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HImode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4699 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SImode, XEXP (operands[1], 0));
    return "ld1rqw\t%0.s, %2/z, %1";
  }
}

static const char *
output_4700 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DImode, XEXP (operands[1], 0));
    return "ld1rqd\t%0.d, %2/z, %1";
  }
}

static const char *
output_4701 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (BFmode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4702 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HFmode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4703 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SFmode, XEXP (operands[1], 0));
    return "ld1rqw\t%0.s, %2/z, %1";
  }
}

static const char *
output_4704 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2592 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DFmode, XEXP (operands[1], 0));
    return "ld1rqd\t%0.d, %2/z, %1";
  }
}

static const char *
output_4705 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (QImode, XEXP (operands[1], 0));
    return "ld1rob\t%0.b, %2/z, %1";
  }
}

static const char *
output_4706 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HImode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4707 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SImode, XEXP (operands[1], 0));
    return "ld1row\t%0.s, %2/z, %1";
  }
}

static const char *
output_4708 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DImode, XEXP (operands[1], 0));
    return "ld1rod\t%0.d, %2/z, %1";
  }
}

static const char *
output_4709 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (BFmode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4710 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HFmode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_4711 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SFmode, XEXP (operands[1], 0));
    return "ld1row\t%0.s, %2/z, %1";
  }
}

static const char *
output_4712 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2606 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DFmode, XEXP (operands[1], 0));
    return "ld1rod\t%0.d, %2/z, %1";
  }
}

static const char * const output_4713[] = {
  "insr\t%0.b, %w2",
  "insr\t%0.b, %b2",
  "movprfx\t%0, %1\n\tinsr\t%0.b, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.b, %b2",
};

static const char * const output_4714[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_4715[] = {
  "insr\t%0.s, %w2",
  "insr\t%0.s, %s2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %s2",
};

static const char * const output_4716[] = {
  "insr\t%0.d, %x2",
  "insr\t%0.d, %d2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %x2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %d2",
};

static const char * const output_4717[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_4718[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_4719[] = {
  "insr\t%0.s, %w2",
  "insr\t%0.s, %s2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %s2",
};

static const char * const output_4720[] = {
  "insr\t%0.d, %x2",
  "insr\t%0.d, %d2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %x2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %d2",
};

static const char * const output_4721[] = {
  "index\t%0.b, #%1, %w2",
  "index\t%0.b, %w1, #%2",
  "index\t%0.b, %w1, %w2",
};

static const char * const output_4722[] = {
  "index\t%0.h, #%1, %w2",
  "index\t%0.h, %w1, #%2",
  "index\t%0.h, %w1, %w2",
};

static const char * const output_4723[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_4724[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_4725[] = {
  "index\t%0.h, #%1, %w2",
  "index\t%0.h, %w1, #%2",
  "index\t%0.h, %w1, %w2",
};

static const char * const output_4726[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_4727[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_4728[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_4729[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_4730[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char *
output_4731 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.b, %w1, #%2";
  }
}

static const char *
output_4732 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.h, %w1, #%2";
  }
}

static const char *
output_4733 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_4734 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_4735 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.h, %w1, #%2";
  }
}

static const char *
output_4736 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_4737 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_4738 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_4739 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_4740 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2673 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_4741 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V16QImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.b}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4742 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4743 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.s}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4744 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.d}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4745 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8BFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4746 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4747 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.s}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4748 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2764 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.d}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4749 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V16QImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4750 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4751 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4752 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4753 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8BFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4754 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4755 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4756 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2799 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_4757 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx16QImode, REGNO (operands[0]));
    return "dup\t%0.b, %1.b[%2]";
  }
}

static const char *
output_4758 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HImode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_4759 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SImode, REGNO (operands[0]));
    return "dup\t%0.s, %1.s[%2]";
  }
}

static const char *
output_4760 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DImode, REGNO (operands[0]));
    return "dup\t%0.d, %1.d[%2]";
  }
}

static const char *
output_4761 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8BFmode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_4762 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HFmode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_4763 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SFmode, REGNO (operands[0]));
    return "dup\t%0.s, %1.s[%2]";
  }
}

static const char *
output_4764 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2825 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DFmode, REGNO (operands[0]));
    return "dup\t%0.d, %1.d[%2]";
  }
}

static const char *
output_4765 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx16QImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (QImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4766 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (HImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4767 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (SImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4768 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (DImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4769 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8BFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (BFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4770 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (HFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4771 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (SFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_4772 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2839 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (DFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char * const output_4773[] = {
  "lasta\t%w0, %1, %2.b",
  "lasta\t%b0, %1, %2.b",
};

static const char * const output_4774[] = {
  "lastb\t%w0, %1, %2.b",
  "lastb\t%b0, %1, %2.b",
};

static const char * const output_4775[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_4776[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_4777[] = {
  "lasta\t%w0, %1, %2.s",
  "lasta\t%s0, %1, %2.s",
};

static const char * const output_4778[] = {
  "lastb\t%w0, %1, %2.s",
  "lastb\t%s0, %1, %2.s",
};

static const char * const output_4779[] = {
  "lasta\t%x0, %1, %2.d",
  "lasta\t%d0, %1, %2.d",
};

static const char * const output_4780[] = {
  "lastb\t%x0, %1, %2.d",
  "lastb\t%d0, %1, %2.d",
};

static const char * const output_4781[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_4782[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_4783[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_4784[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_4785[] = {
  "lasta\t%w0, %1, %2.s",
  "lasta\t%s0, %1, %2.s",
};

static const char * const output_4786[] = {
  "lastb\t%w0, %1, %2.s",
  "lastb\t%s0, %1, %2.s",
};

static const char * const output_4787[] = {
  "lasta\t%x0, %1, %2.d",
  "lasta\t%d0, %1, %2.d",
};

static const char * const output_4788[] = {
  "lastb\t%x0, %1, %2.d",
  "lastb\t%d0, %1, %2.d",
};

static const char * const output_4789[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4790[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4791[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4792[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4793[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4794[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4795[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4796[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4797[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4798[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4799[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4800[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4801[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4802[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4803[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4804[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4805[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4806[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4807[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4808[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4809[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4810[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4811[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4812[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4813[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4814[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4815[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4816[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4817[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4818[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4819[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4820[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4821[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4822[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4823[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4824[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4825[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4826[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4827[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4828[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4829[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4830[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4831[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4832[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4833[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4834[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4835[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4836[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4837[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4838[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4839[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4840[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4841[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4842[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4843[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4844[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4845[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4846[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4847[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_4848[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_4849[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_4850[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_4851[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4852[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4853[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4854[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4855[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_4856[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_4857[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_4858[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_4859[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4860[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4861[] = {
  "abs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4862[] = {
  "neg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4863[] = {
  "not\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tnot\t%0.d, %1/m, %2.d",
};

static const char * const output_4864[] = {
  "cls\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tcls\t%0.d, %1/m, %2.d",
};

static const char * const output_4865[] = {
  "clz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tclz\t%0.d, %1/m, %2.d",
};

static const char * const output_4866[] = {
  "cnt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tcnt\t%0.d, %1/m, %2.d",
};

static const char * const output_4867[] = {
  "sqabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsqabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4868[] = {
  "sqneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsqneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4869[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4870[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4871[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4872[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4873[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4874[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4875[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4876[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4877[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4878[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4879[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4880[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4881[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4882[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4883[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4884[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4885[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4886[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4887[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4888[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4889[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4890[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4891[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4892[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4893[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4894[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4895[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4896[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4897[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4898[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4899[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4900[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4901[] = {
  "abs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4902[] = {
  "neg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4903[] = {
  "not\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4904[] = {
  "cls\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4905[] = {
  "clz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4906[] = {
  "cnt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4907[] = {
  "sqabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4908[] = {
  "sqneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4909[] = {
  "abs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4910[] = {
  "neg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4911[] = {
  "not\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4912[] = {
  "cls\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4913[] = {
  "clz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4914[] = {
  "cnt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4915[] = {
  "sqabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4916[] = {
  "sqneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4917[] = {
  "abs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4918[] = {
  "neg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4919[] = {
  "not\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4920[] = {
  "cls\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4921[] = {
  "clz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4922[] = {
  "cnt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4923[] = {
  "sqabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4924[] = {
  "sqneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4925[] = {
  "abs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4926[] = {
  "neg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4927[] = {
  "not\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_4928[] = {
  "cls\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_4929[] = {
  "clz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_4930[] = {
  "cnt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_4931[] = {
  "sqabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4932[] = {
  "sqneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4933[] = {
  "abs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4934[] = {
  "neg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4935[] = {
  "not\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_4936[] = {
  "cls\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_4937[] = {
  "clz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_4938[] = {
  "cnt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_4939[] = {
  "sqabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_4940[] = {
  "sqneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_4941[] = {
  "abs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4942[] = {
  "neg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4943[] = {
  "not\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tnot\t%0.d, %1/m, %2.d",
};

static const char * const output_4944[] = {
  "cls\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcls\t%0.d, %1/m, %2.d",
};

static const char * const output_4945[] = {
  "clz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tclz\t%0.d, %1/m, %2.d",
};

static const char * const output_4946[] = {
  "cnt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcnt\t%0.d, %1/m, %2.d",
};

static const char * const output_4947[] = {
  "sqabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tsqabs\t%0.d, %1/m, %2.d",
};

static const char * const output_4948[] = {
  "sqneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tsqneg\t%0.d, %1/m, %2.d",
};

static const char * const output_4949[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4950[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4951[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4952[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4953[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4954[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4955[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4956[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4957[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4958[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4959[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4960[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4961[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4962[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4963[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4964[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4965[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4966[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4967[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4968[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4969[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4970[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4971[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4972[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4973[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4974[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4975[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_4976[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_4977[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_4978[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_4979[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_4980[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_4981[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4982[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4983[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4984[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4985[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tclz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4986[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4987[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4988[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4989[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4990[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4991[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_4992[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_4993[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tclz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_4994[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_4995[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4996[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4997[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_4998[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_4999[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5000[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_5001[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tclz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_5002[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_5003[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5004[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5005[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5006[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5007[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5008[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_5009[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tclz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_5010[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_5011[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5012[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5013[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5014[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5015[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5016[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_5017[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tclz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_5018[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_5019[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5020[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5021[] = {
  "abs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5022[] = {
  "neg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5023[] = {
  "not\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tnot\t%0.d, %1/m, %2.d",
};

static const char * const output_5024[] = {
  "cls\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcls\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tcls\t%0.d, %1/m, %2.d",
};

static const char * const output_5025[] = {
  "clz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tclz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tclz\t%0.d, %1/m, %2.d",
};

static const char * const output_5026[] = {
  "cnt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcnt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tcnt\t%0.d, %1/m, %2.d",
};

static const char * const output_5027[] = {
  "sqabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsqabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5028[] = {
  "sqneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsqneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5029[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_5030[] = {
  "rbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_5031[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_5032[] = {
  "rbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_5033[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_5034[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_5035[] = {
  "rbit\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trbit\t%0.d, %1/m, %2.d",
};

static const char * const output_5036[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_5037[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_5038[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5039[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_5040[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_5041[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_5042[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_5043[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_5044[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_5045[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_5046[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_5047[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5048[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_5049[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5050[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_5051[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5052[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_5053[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5054[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5055[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5056[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_5057[] = {
  "rbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_5058[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trevb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_5059[] = {
  "rbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_5060[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trevb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_5061[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trevh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_5062[] = {
  "rbit\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trbit\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trbit\t%0.d, %1/m, %2.d",
};

static const char * const output_5063[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_5064[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_5065[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_5066[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5067[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5068[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5069[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5070[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5071[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5072[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_5073[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_5074[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_5075[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_5076[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_5077[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_5078[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_5079[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_5080[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_5081[] = {
  "uxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_5082[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_5083[] = {
  "uxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxth\t%0.d, %1/m, %2.d",
};

static const char * const output_5084[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_5085[] = {
  "uxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_5086[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5087[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_5088[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_5089[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_5090[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_5091[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_5092[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_5093[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_5094[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_5095[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_5096[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_5097[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_5098[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5099[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5100[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5101[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5102[] = {
  "uxt%e3\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_5103[] = {
  "uxt%e3\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_5104[] = {
  "uxt%e3\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_5105[] = {
  "uxt%e3\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_5106[] = {
  "uxt%e3\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_5107[] = {
  "uxt%e3\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.d, %1/m, %2.d",
};

static const char * const output_5108[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5109[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5110[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5111[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_5112[] = {
  "uxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_5113[] = {
  "uxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_5114[] = {
  "uxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_5115[] = {
  "uxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_5116[] = {
  "uxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_5117[] = {
  "uxt%e3\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuxt%e3\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.d, %1/m, %2.d",
};

static const char * const output_5128[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5129[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5130[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5131[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5132[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5133[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5134[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5135[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5136[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5137[] = {
  "cnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_5138[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5139[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5140[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5141[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5142[] = {
  "cnot\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5143[] = {
  "cnot\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5144[] = {
  "cnot\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5145[] = {
  "cnot\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5146[] = {
  "cnot\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5147[] = {
  "cnot\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_5148[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5149[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5150[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5151[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_5152[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %6\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5153[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %6\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5154[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %6\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_5155[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %6\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5156[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %6\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_5157[] = {
  "cnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %6\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_5167[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5168[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5169[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_5170[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_5171[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_5172[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_5173[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_5174[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_5175[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_5176[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_5177[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_5178[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5179[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5180[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_5181[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_5182[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_5183[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_5184[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_5185[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_5186[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_5187[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_5188[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_5189[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5190[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5191[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_5192[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_5193[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_5194[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_5195[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_5196[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5197[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5198[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5199[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5200[] = {
  "fabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5201[] = {
  "fneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5202[] = {
  "frecpx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_5203[] = {
  "frinta\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_5204[] = {
  "frinti\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_5205[] = {
  "frintm\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_5206[] = {
  "frintn\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_5207[] = {
  "frintp\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_5208[] = {
  "frintx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_5209[] = {
  "frintz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_5210[] = {
  "fsqrt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_5211[] = {
  "fabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5212[] = {
  "fneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5213[] = {
  "frecpx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_5214[] = {
  "frinta\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_5215[] = {
  "frinti\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_5216[] = {
  "frintm\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_5217[] = {
  "frintn\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_5218[] = {
  "frintp\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_5219[] = {
  "frintx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_5220[] = {
  "frintz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_5221[] = {
  "fsqrt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_5222[] = {
  "fabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5223[] = {
  "fneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5224[] = {
  "frecpx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_5225[] = {
  "frinta\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_5226[] = {
  "frinti\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_5227[] = {
  "frintm\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_5228[] = {
  "frintn\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_5229[] = {
  "frintp\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5230[] = {
  "frintx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5231[] = {
  "frintz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5232[] = {
  "fsqrt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5233[] = {
  "fabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5234[] = {
  "fneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5235[] = {
  "frecpx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_5236[] = {
  "frinta\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_5237[] = {
  "frinti\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_5238[] = {
  "frintm\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_5239[] = {
  "frintn\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_5240[] = {
  "frintp\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_5241[] = {
  "frintx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_5242[] = {
  "frintz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_5243[] = {
  "fsqrt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_5244[] = {
  "fabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5245[] = {
  "fneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5246[] = {
  "frecpx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_5247[] = {
  "frinta\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_5248[] = {
  "frinti\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_5249[] = {
  "frintm\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_5250[] = {
  "frintn\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_5251[] = {
  "frintp\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_5252[] = {
  "frintx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_5253[] = {
  "frintz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_5254[] = {
  "fsqrt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_5255[] = {
  "fabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5256[] = {
  "fneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5257[] = {
  "frecpx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_5258[] = {
  "frinta\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_5259[] = {
  "frinti\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_5260[] = {
  "frintm\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_5261[] = {
  "frintn\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_5262[] = {
  "frintp\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5263[] = {
  "frintx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5264[] = {
  "frintz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5265[] = {
  "fsqrt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5266[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5267[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5268[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_5269[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_5270[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_5271[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_5272[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_5273[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_5274[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_5275[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_5276[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_5277[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5278[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5279[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_5280[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_5281[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_5282[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_5283[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_5284[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_5285[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_5286[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_5287[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_5288[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5289[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5290[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_5291[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_5292[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_5293[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_5294[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_5295[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5296[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5297[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5298[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5299[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_5300[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_5301[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_5302[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_5303[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_5304[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_5305[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_5306[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_5307[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_5308[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_5309[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_5310[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_5311[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_5312[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_5313[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_5314[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_5315[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_5316[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_5317[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_5318[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_5319[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_5320[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_5321[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_5322[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_5323[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_5324[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_5325[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_5326[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_5327[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_5328[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_5329[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_5330[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_5331[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_5336[] = {
  "#",
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5337[] = {
  "#",
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5338[] = {
  "#",
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5339[] = {
  "#",
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5340[] = {
  "#",
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5341[] = {
  "#",
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5342[] = {
  "#",
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5343[] = {
  "#",
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5344[] = {
  "#",
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5345[] = {
  "#",
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5346[] = {
  "#",
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5347[] = {
  "#",
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5348[] = {
  "#",
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5349[] = {
  "#",
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5350[] = {
  "#",
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5351[] = {
  "#",
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5352[] = {
  "#",
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5353[] = {
  "#",
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5354[] = {
  "#",
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5355[] = {
  "#",
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5356[] = {
  "#",
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5357[] = {
  "#",
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5358[] = {
  "#",
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5359[] = {
  "#",
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5360[] = {
  "#",
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5361[] = {
  "#",
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5362[] = {
  "#",
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5363[] = {
  "#",
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5364[] = {
  "#",
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5365[] = {
  "#",
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5366[] = {
  "#",
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5367[] = {
  "#",
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5368[] = {
  "#",
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5369[] = {
  "#",
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5370[] = {
  "#",
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5371[] = {
  "#",
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5372[] = {
  "#",
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5373[] = {
  "#",
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5374[] = {
  "#",
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5375[] = {
  "#",
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5376[] = {
  "#",
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5377[] = {
  "#",
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5378[] = {
  "#",
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5379[] = {
  "#",
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5380[] = {
  "#",
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5381[] = {
  "#",
  "mul\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5382[] = {
  "#",
  "smax\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5383[] = {
  "#",
  "smin\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5384[] = {
  "#",
  "umax\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tumax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5385[] = {
  "#",
  "umin\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "movprfx\t%0, %2\n\tumin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5386[] = {
  "mul\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.b, %0.b, #%2",
};

static const char * const output_5387[] = {
  "smax\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.b, %0.b, #%2",
};

static const char * const output_5388[] = {
  "smin\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.b, %0.b, #%2",
};

static const char * const output_5389[] = {
  "umax\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.b, %0.b, #%D2",
};

static const char * const output_5390[] = {
  "umin\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.b, %0.b, #%D2",
};

static const char * const output_5391[] = {
  "mul\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.b, %0.b, #%2",
};

static const char * const output_5392[] = {
  "smax\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.b, %0.b, #%2",
};

static const char * const output_5393[] = {
  "smin\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.b, %0.b, #%2",
};

static const char * const output_5394[] = {
  "umax\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.b, %0.b, #%D2",
};

static const char * const output_5395[] = {
  "umin\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.b, %0.b, #%D2",
};

static const char * const output_5396[] = {
  "mul\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.b, %0.b, #%2",
};

static const char * const output_5397[] = {
  "smax\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.b, %0.b, #%2",
};

static const char * const output_5398[] = {
  "smin\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.b, %0.b, #%2",
};

static const char * const output_5399[] = {
  "umax\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.b, %0.b, #%D2",
};

static const char * const output_5400[] = {
  "umin\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.b, %0.b, #%D2",
};

static const char * const output_5401[] = {
  "mul\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.b, %0.b, #%2",
};

static const char * const output_5402[] = {
  "smax\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.b, %0.b, #%2",
};

static const char * const output_5403[] = {
  "smin\t%0.b, %0.b, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.b, %0.b, #%2",
};

static const char * const output_5404[] = {
  "umax\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.b, %0.b, #%D2",
};

static const char * const output_5405[] = {
  "umin\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.b, %0.b, #%D2",
};

static const char * const output_5406[] = {
  "mul\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.h, %0.h, #%2",
};

static const char * const output_5407[] = {
  "smax\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.h, %0.h, #%2",
};

static const char * const output_5408[] = {
  "smin\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.h, %0.h, #%2",
};

static const char * const output_5409[] = {
  "umax\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.h, %0.h, #%D2",
};

static const char * const output_5410[] = {
  "umin\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.h, %0.h, #%D2",
};

static const char * const output_5411[] = {
  "mul\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.h, %0.h, #%2",
};

static const char * const output_5412[] = {
  "smax\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.h, %0.h, #%2",
};

static const char * const output_5413[] = {
  "smin\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.h, %0.h, #%2",
};

static const char * const output_5414[] = {
  "umax\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.h, %0.h, #%D2",
};

static const char * const output_5415[] = {
  "umin\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.h, %0.h, #%D2",
};

static const char * const output_5416[] = {
  "mul\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.h, %0.h, #%2",
};

static const char * const output_5417[] = {
  "smax\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.h, %0.h, #%2",
};

static const char * const output_5418[] = {
  "smin\t%0.h, %0.h, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.h, %0.h, #%2",
};

static const char * const output_5419[] = {
  "umax\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.h, %0.h, #%D2",
};

static const char * const output_5420[] = {
  "umin\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.h, %0.h, #%D2",
};

static const char * const output_5421[] = {
  "mul\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.s, %0.s, #%2",
};

static const char * const output_5422[] = {
  "smax\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.s, %0.s, #%2",
};

static const char * const output_5423[] = {
  "smin\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.s, %0.s, #%2",
};

static const char * const output_5424[] = {
  "umax\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.s, %0.s, #%D2",
};

static const char * const output_5425[] = {
  "umin\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.s, %0.s, #%D2",
};

static const char * const output_5426[] = {
  "mul\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.s, %0.s, #%2",
};

static const char * const output_5427[] = {
  "smax\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.s, %0.s, #%2",
};

static const char * const output_5428[] = {
  "smin\t%0.s, %0.s, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.s, %0.s, #%2",
};

static const char * const output_5429[] = {
  "umax\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.s, %0.s, #%D2",
};

static const char * const output_5430[] = {
  "umin\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.s, %0.s, #%D2",
};

static const char * const output_5431[] = {
  "mul\t%0.d, %0.d, #%2",
  "movprfx\t%0, %1\n\tmul\t%0.d, %0.d, #%2",
};

static const char * const output_5432[] = {
  "smax\t%0.d, %0.d, #%2",
  "movprfx\t%0, %1\n\tsmax\t%0.d, %0.d, #%2",
};

static const char * const output_5433[] = {
  "smin\t%0.d, %0.d, #%2",
  "movprfx\t%0, %1\n\tsmin\t%0.d, %0.d, #%2",
};

static const char * const output_5434[] = {
  "umax\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tumax\t%0.d, %0.d, #%D2",
};

static const char * const output_5435[] = {
  "umin\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tumin\t%0.d, %0.d, #%D2",
};

static const char * const output_5436[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5437[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5438[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5439[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5440[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5441[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5442[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5443[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5444[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5445[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5446[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5447[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5448[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5449[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5450[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5451[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5452[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5453[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5454[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5455[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5456[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5457[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5458[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5459[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5460[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5461[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5462[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5463[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5464[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5465[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5466[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5467[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5468[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5469[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5470[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5471[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5472[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5473[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5474[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5475[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5476[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5477[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5478[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5479[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5480[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5481[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5482[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5483[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5484[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5485[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5486[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5487[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5488[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5489[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5490[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5491[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5492[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5493[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5494[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5495[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5496[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5497[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5498[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5499[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5500[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5501[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5502[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5503[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5504[] = {
  "add\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5505[] = {
  "sub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5506[] = {
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5507[] = {
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5508[] = {
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5509[] = {
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5510[] = {
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5511[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5512[] = {
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5513[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5514[] = {
  "and\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tand\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5515[] = {
  "orr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\torr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5516[] = {
  "eor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\teor\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5517[] = {
  "sqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5518[] = {
  "uqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5519[] = {
  "sqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5520[] = {
  "uqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5521[] = {
  "add\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5522[] = {
  "sub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5523[] = {
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5524[] = {
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5525[] = {
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5526[] = {
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5527[] = {
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5528[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5529[] = {
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5530[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5531[] = {
  "and\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tand\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5532[] = {
  "orr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\torr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5533[] = {
  "eor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\teor\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5534[] = {
  "sqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5535[] = {
  "uqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5536[] = {
  "sqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5537[] = {
  "uqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5538[] = {
  "add\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5539[] = {
  "sub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5540[] = {
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5541[] = {
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5542[] = {
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5543[] = {
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5544[] = {
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5545[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5546[] = {
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5547[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5548[] = {
  "and\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tand\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5549[] = {
  "orr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\torr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5550[] = {
  "eor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\teor\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5551[] = {
  "sqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5552[] = {
  "uqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5553[] = {
  "sqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5554[] = {
  "uqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5555[] = {
  "add\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5556[] = {
  "sub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5557[] = {
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5558[] = {
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5559[] = {
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5560[] = {
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5561[] = {
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5562[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5563[] = {
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5564[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5565[] = {
  "and\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tand\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5566[] = {
  "orr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\torr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5567[] = {
  "eor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\teor\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5568[] = {
  "sqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5569[] = {
  "uqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5570[] = {
  "sqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5571[] = {
  "uqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5572[] = {
  "add\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5573[] = {
  "sub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5574[] = {
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5575[] = {
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5576[] = {
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5577[] = {
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5578[] = {
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5579[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5580[] = {
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5581[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5582[] = {
  "and\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tand\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5583[] = {
  "orr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\torr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5584[] = {
  "eor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\teor\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5585[] = {
  "sqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5586[] = {
  "uqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5587[] = {
  "sqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5588[] = {
  "uqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5589[] = {
  "add\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5590[] = {
  "sub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5591[] = {
  "mul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5592[] = {
  "smax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5593[] = {
  "umax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5594[] = {
  "smin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5595[] = {
  "umin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5596[] = {
  "lsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5597[] = {
  "asr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5598[] = {
  "lsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5599[] = {
  "and\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tand\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5600[] = {
  "orr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\torr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5601[] = {
  "eor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\teor\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5602[] = {
  "sqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5603[] = {
  "uqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5604[] = {
  "sqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5605[] = {
  "uqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5606[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5607[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5608[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5609[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5610[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5611[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5612[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5613[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5614[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5615[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5616[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5617[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5618[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5619[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5620[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5621[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5622[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5623[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5624[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5625[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5626[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5627[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5628[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5629[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5630[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5631[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5632[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5633[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5634[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5635[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5636[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5637[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5638[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5639[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5640[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5641[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5642[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5643[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5644[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5645[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5646[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5647[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5648[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5649[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5650[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5651[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5652[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5653[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5654[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5655[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5656[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5657[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5658[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5659[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5660[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5661[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5662[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5663[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5664[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5665[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5666[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5667[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5668[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5669[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5670[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5671[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5672[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5673[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_5674[] = {
  "add\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5675[] = {
  "subr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5676[] = {
  "mul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5677[] = {
  "smax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5678[] = {
  "umax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5679[] = {
  "smin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5680[] = {
  "umin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5681[] = {
  "lslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5682[] = {
  "asrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5683[] = {
  "lsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5684[] = {
  "and\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tand\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5685[] = {
  "orr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\torr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5686[] = {
  "eor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\teor\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5687[] = {
  "sqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5688[] = {
  "uqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5689[] = {
  "sqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5690[] = {
  "uqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5691[] = {
  "add\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5692[] = {
  "subr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5693[] = {
  "mul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5694[] = {
  "smax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5695[] = {
  "umax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5696[] = {
  "smin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5697[] = {
  "umin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5698[] = {
  "lslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5699[] = {
  "asrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5700[] = {
  "lsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5701[] = {
  "and\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tand\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5702[] = {
  "orr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\torr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5703[] = {
  "eor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\teor\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5704[] = {
  "sqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5705[] = {
  "uqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5706[] = {
  "sqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5707[] = {
  "uqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5708[] = {
  "add\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5709[] = {
  "subr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5710[] = {
  "mul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5711[] = {
  "smax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5712[] = {
  "umax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5713[] = {
  "smin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5714[] = {
  "umin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5715[] = {
  "lslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5716[] = {
  "asrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5717[] = {
  "lsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5718[] = {
  "and\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tand\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5719[] = {
  "orr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\torr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5720[] = {
  "eor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\teor\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5721[] = {
  "sqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5722[] = {
  "uqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5723[] = {
  "sqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5724[] = {
  "uqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_5725[] = {
  "add\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5726[] = {
  "subr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5727[] = {
  "mul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5728[] = {
  "smax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5729[] = {
  "umax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5730[] = {
  "smin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5731[] = {
  "umin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5732[] = {
  "lslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5733[] = {
  "asrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5734[] = {
  "lsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5735[] = {
  "and\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tand\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5736[] = {
  "orr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\torr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5737[] = {
  "eor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\teor\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5738[] = {
  "sqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5739[] = {
  "uqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5740[] = {
  "sqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5741[] = {
  "uqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5742[] = {
  "add\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5743[] = {
  "subr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5744[] = {
  "mul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5745[] = {
  "smax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5746[] = {
  "umax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5747[] = {
  "smin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5748[] = {
  "umin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5749[] = {
  "lslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5750[] = {
  "asrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5751[] = {
  "lsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5752[] = {
  "and\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tand\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5753[] = {
  "orr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\torr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5754[] = {
  "eor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\teor\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5755[] = {
  "sqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5756[] = {
  "uqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5757[] = {
  "sqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5758[] = {
  "uqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_5759[] = {
  "add\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5760[] = {
  "subr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5761[] = {
  "mul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5762[] = {
  "smax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5763[] = {
  "umax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tumax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5764[] = {
  "smin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5765[] = {
  "umin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tumin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5766[] = {
  "lslr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tlslr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5767[] = {
  "asrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tasrr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5768[] = {
  "lsrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tlsrr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5769[] = {
  "and\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tand\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5770[] = {
  "orr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\torr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5771[] = {
  "eor\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\teor\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5772[] = {
  "sqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5773[] = {
  "uqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5774[] = {
  "sqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5775[] = {
  "uqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_5776[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5777[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5778[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5779[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5780[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5781[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5782[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5783[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5784[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5785[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5786[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5787[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5788[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5789[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5790[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5791[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5792[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5793[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5794[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5795[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5796[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5797[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5798[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5799[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5800[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5801[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5802[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5803[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5804[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5805[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5806[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5807[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5808[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5809[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5810[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5811[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5812[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5813[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5814[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5815[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5816[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5817[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5818[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5819[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5820[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5821[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5822[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5823[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5824[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5825[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5826[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5827[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5828[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5829[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5830[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5831[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5832[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5833[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5834[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5835[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5836[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5837[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5838[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5839[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5840[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5841[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5842[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5843[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_5844[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5845[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5846[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5847[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5848[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5849[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5850[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5851[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5852[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5853[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5854[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5855[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5856[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5857[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5858[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5859[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5860[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5861[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5862[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5863[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5864[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5865[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5866[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5867[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5868[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5869[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5870[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5871[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5872[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5873[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5874[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5875[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5876[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5877[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5878[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5879[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5880[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5881[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5882[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5883[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5884[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5885[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5886[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5887[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5888[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5889[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5890[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5891[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5892[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5893[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5894[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_5895[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5896[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5897[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5898[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5899[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5900[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5901[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5902[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5903[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5904[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5905[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5906[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5907[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5908[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5909[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5910[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5911[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5912[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5913[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5914[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5915[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5916[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5917[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5918[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5919[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5920[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5921[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5922[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5923[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5924[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5925[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5926[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5927[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5928[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_5929[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5930[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5931[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5932[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5933[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tumax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5934[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5935[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tumin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5936[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tlslr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5937[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tasrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5938[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tlsrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5939[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tand\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5940[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\torr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5941[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\teor\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5942[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5943[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5944[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_5945[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char *
output_5946 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_5947 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_5948 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_5949 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_5950 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_5951 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_5952 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_5953 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.s, %0.s, #%D2";
    case 1: return "sub\t%0.s, %0.s, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.s", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.s, %0.s, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.s, %0.s, #%N2";
    case 5: return "add\t%0.s, %1.s, %2.s";
      default: gcc_unreachable ();
    }
}

static const char *
output_5954 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.s, %0.s, #%D2";
    case 1: return "sub\t%0.s, %0.s, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.s", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.s, %0.s, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.s, %0.s, #%N2";
    case 5: return "add\t%0.s, %1.s, %2.s";
      default: gcc_unreachable ();
    }
}

static const char *
output_5955 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.d, %0.d, #%D2";
    case 1: return "sub\t%0.d, %0.d, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.d", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.d, %0.d, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.d, %0.d, #%N2";
    case 5: return "add\t%0.d, %1.d, %2.d";
      default: gcc_unreachable ();
    }
}

static const char * const output_5956[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_5957[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_5958[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_5959[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_5960[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.h, %0.h, #%D1",
};

static const char * const output_5961[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.h, %0.h, #%D1",
};

static const char * const output_5962[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.h, %0.h, #%D1",
};

static const char * const output_5963[] = {
  "sub\t%0.s, %1.s, %2.s",
  "subr\t%0.s, %0.s, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.s, %0.s, #%D1",
};

static const char * const output_5964[] = {
  "sub\t%0.s, %1.s, %2.s",
  "subr\t%0.s, %0.s, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.s, %0.s, #%D1",
};

static const char * const output_5965[] = {
  "sub\t%0.d, %1.d, %2.d",
  "subr\t%0.d, %0.d, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.d, %0.d, #%D1",
};

static const char * const output_5980[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5981[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5982[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5983[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5984[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5985[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5986[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5987[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_5988[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5989[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5990[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5991[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5992[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5993[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_5994[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5995[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5996[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5997[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_5998[] = {
  "sabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_5999[] = {
  "uabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6000[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6001[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6002[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6003[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6004[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6005[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6006[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6007[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6008[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6009[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6010[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6011[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6012[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6013[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6014[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6015[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6016[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6017[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6018[] = {
  "sabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6019[] = {
  "uabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6020[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6021[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6022[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6023[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6024[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6025[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6026[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6027[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_6028[] = {
  "sabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6029[] = {
  "uabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6030[] = {
  "sabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6031[] = {
  "uabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6032[] = {
  "sabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6033[] = {
  "uabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6034[] = {
  "sabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6035[] = {
  "uabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6036[] = {
  "sabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6037[] = {
  "uabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6038[] = {
  "sabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6039[] = {
  "uabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6040[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6041[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6042[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6043[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6044[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6045[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6046[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6047[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6048[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6049[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6050[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6051[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6052[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6053[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6054[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6055[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6056[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6057[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6058[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6059[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6060[] = {
  "sqadd\t%0.b, %0.b, #%D2",
  "sqsub\t%0.b, %0.b, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.b, %0.b, #%N2",
  "sqadd\t%0.b, %1.b, %2.b",
};

static const char * const output_6061[] = {
  "sqsub\t%0.b, %0.b, #%D2",
  "sqadd\t%0.b, %0.b, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%N2",
  "sqsub\t%0.b, %1.b, %2.b",
};

static const char * const output_6062[] = {
  "sqadd\t%0.h, %0.h, #%D2",
  "sqsub\t%0.h, %0.h, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.h, %0.h, #%N2",
  "sqadd\t%0.h, %1.h, %2.h",
};

static const char * const output_6063[] = {
  "sqsub\t%0.h, %0.h, #%D2",
  "sqadd\t%0.h, %0.h, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%N2",
  "sqsub\t%0.h, %1.h, %2.h",
};

static const char * const output_6064[] = {
  "sqadd\t%0.s, %0.s, #%D2",
  "sqsub\t%0.s, %0.s, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.s, %0.s, #%N2",
  "sqadd\t%0.s, %1.s, %2.s",
};

static const char * const output_6065[] = {
  "sqsub\t%0.s, %0.s, #%D2",
  "sqadd\t%0.s, %0.s, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%N2",
  "sqsub\t%0.s, %1.s, %2.s",
};

static const char * const output_6066[] = {
  "sqadd\t%0.d, %0.d, #%D2",
  "sqsub\t%0.d, %0.d, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.d, %0.d, #%N2",
  "sqadd\t%0.d, %1.d, %2.d",
};

static const char * const output_6067[] = {
  "sqsub\t%0.d, %0.d, #%D2",
  "sqadd\t%0.d, %0.d, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%N2",
  "sqsub\t%0.d, %1.d, %2.d",
};

static const char * const output_6068[] = {
  "uqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.b, %0.b, #%D2",
  "uqadd\t%0.b, %1.b, %2.b",
};

static const char * const output_6069[] = {
  "uqsub\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.b, %0.b, #%D2",
  "uqsub\t%0.b, %1.b, %2.b",
};

static const char * const output_6070[] = {
  "uqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.h, %0.h, #%D2",
  "uqadd\t%0.h, %1.h, %2.h",
};

static const char * const output_6071[] = {
  "uqsub\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.h, %0.h, #%D2",
  "uqsub\t%0.h, %1.h, %2.h",
};

static const char * const output_6072[] = {
  "uqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.s, %0.s, #%D2",
  "uqadd\t%0.s, %1.s, %2.s",
};

static const char * const output_6073[] = {
  "uqsub\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.s, %0.s, #%D2",
  "uqsub\t%0.s, %1.s, %2.s",
};

static const char * const output_6074[] = {
  "uqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.d, %0.d, #%D2",
  "uqadd\t%0.d, %1.d, %2.d",
};

static const char * const output_6075[] = {
  "uqsub\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.d, %0.d, #%D2",
  "uqsub\t%0.d, %1.d, %2.d",
};

static const char * const output_6076[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6077[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6078[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6079[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6080[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6081[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6082[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6083[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6084[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6085[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6086[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6087[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6088[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6089[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6090[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6091[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6092[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6093[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6094[] = {
  "smulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6095[] = {
  "umulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6096[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6097[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6098[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6099[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6100[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6101[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6102[] = {
  "smulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6103[] = {
  "umulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6104[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6105[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6106[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6107[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6108[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6109[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6110[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6111[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6112[] = {
  "sdiv\t%0.s, %1/m, %0.s, %3.s",
  "sdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6113[] = {
  "udiv\t%0.s, %1/m, %0.s, %3.s",
  "udivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6114[] = {
  "sdiv\t%0.d, %1/m, %0.d, %3.d",
  "sdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6115[] = {
  "udiv\t%0.d, %1/m, %0.d, %3.d",
  "udivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6116[] = {
  "sdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6117[] = {
  "udiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6118[] = {
  "sdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6119[] = {
  "udiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6120[] = {
  "sdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6121[] = {
  "udivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tudivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6122[] = {
  "sdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6123[] = {
  "udivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tudivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6124[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6125[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tudivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6126[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6127[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tudivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6128[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6129[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6130[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6131[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6132[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6133[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6134[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6135[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6136[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6137[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6138[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6139[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6140[] = {
  "and\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6141[] = {
  "orr\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6142[] = {
  "eor\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6143[] = {
  "and\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6144[] = {
  "orr\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6145[] = {
  "eor\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6146[] = {
  "and\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6147[] = {
  "orr\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6148[] = {
  "eor\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6149[] = {
  "and\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.s, %0.s, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6150[] = {
  "orr\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.s, %0.s, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6151[] = {
  "eor\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.s, %0.s, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6152[] = {
  "and\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.s, %0.s, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6153[] = {
  "orr\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.s, %0.s, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6154[] = {
  "eor\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.s, %0.s, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6155[] = {
  "and\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.d, %0.d, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_6156[] = {
  "orr\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.d, %0.d, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_6157[] = {
  "eor\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.d, %0.d, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_6168[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6169[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6170[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6171[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6172[] = {
  "bic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbic\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6173[] = {
  "bic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbic\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6174[] = {
  "bic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbic\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6175[] = {
  "bic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tbic\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6176[] = {
  "bic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tbic\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6177[] = {
  "bic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tbic\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6178[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6179[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6180[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6181[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_6182[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6183[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6184[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6185[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6186[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6187[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6188[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6189[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6190[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6191[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6192[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6193[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6194[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6195[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6196[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6197[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6198[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6199[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_6200[] = {
  "#",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "lslr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6201[] = {
  "#",
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "asrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6202[] = {
  "#",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "lsrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6203[] = {
  "#",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "lslr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6204[] = {
  "#",
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "asrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6205[] = {
  "#",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "lsrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6206[] = {
  "#",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "lslr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6207[] = {
  "#",
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "asrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6208[] = {
  "#",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "lsrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6209[] = {
  "#",
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "lslr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6210[] = {
  "#",
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "asrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6211[] = {
  "#",
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "lsrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6212[] = {
  "#",
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "lslr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6213[] = {
  "#",
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "asrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6214[] = {
  "#",
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "lsrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6215[] = {
  "#",
  "lsl\t%0.d, %1/m, %0.d, %3.d",
  "lslr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6216[] = {
  "#",
  "asr\t%0.d, %1/m, %0.d, %3.d",
  "asrr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6217[] = {
  "#",
  "lsr\t%0.d, %1/m, %0.d, %3.d",
  "lsrr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6248[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6249[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6250[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6251[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6252[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6253[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6254[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6255[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6256[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6257[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6258[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6259[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6260[] = {
  "lsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6261[] = {
  "asr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6262[] = {
  "lsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6263[] = {
  "lsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6264[] = {
  "asr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6265[] = {
  "lsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6266[] = {
  "lsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6267[] = {
  "asr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6268[] = {
  "lsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6269[] = {
  "lsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6270[] = {
  "asr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6271[] = {
  "lsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6272[] = {
  "lsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6273[] = {
  "asr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6274[] = {
  "lsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6275[] = {
  "lsl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6276[] = {
  "asr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6277[] = {
  "lsr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6278[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6279[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6280[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6281[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6282[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6283[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6284[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6285[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6286[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6287[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6288[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6289[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6290[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6291[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6292[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6293[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6294[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6295[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6296[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6297[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6298[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6299[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6300[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6301[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6302[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6303[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6304[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6305[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tlsl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsl\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6306[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tasr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tasr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6307[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tlsr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6317[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_6318[] = {
  "asr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_6319[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_6320[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_6321[] = {
  "asr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_6322[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_6323[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_6324[] = {
  "asr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_6325[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_6326[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_6327[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_6328[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_6329[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_6330[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_6331[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_6332[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_6333[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_6334[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_6335[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6336[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6337[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6338[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6339[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6340[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6341[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6342[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6343[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6344[] = {
  "asrd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6345[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6346[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6347[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6348[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6349[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6350[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6351[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6352[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6353[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6354[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6355[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6356[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6357[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6358[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6359[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6360[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_6361[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6362[] = {
  "sqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6363[] = {
  "srshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6364[] = {
  "urshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6365[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6366[] = {
  "sqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6367[] = {
  "srshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6368[] = {
  "urshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6369[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6370[] = {
  "sqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6371[] = {
  "srshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6372[] = {
  "urshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6373[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6374[] = {
  "sqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6375[] = {
  "srshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6376[] = {
  "urshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6377[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6378[] = {
  "sqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6379[] = {
  "srshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6380[] = {
  "urshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6381[] = {
  "asrd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6382[] = {
  "sqshlu\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6383[] = {
  "srshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6384[] = {
  "urshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6385[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6386[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6387[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6388[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6389[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6390[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6391[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6392[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6393[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6394[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6395[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6396[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6397[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6398[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6399[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6400[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_6401[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6402[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6403[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6404[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6405[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6406[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6407[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6408[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6409[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6410[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6411[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6412[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6413[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6414[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6415[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6416[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6417[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6418[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6419[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6420[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6421[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tasrd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tasrd\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6422[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6423[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6424[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\turshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\turshr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6431[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6432[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6433[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6434[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6435[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6436[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6437[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6438[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6439[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6440[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6441[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6442[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6443[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6444[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6445[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6461[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6462[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6463[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6464[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6465[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6466[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6467[] = {
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6468[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6469[] = {
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6470[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6471[] = {
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6472[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6473[] = {
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6474[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6475[] = {
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6476[] = {
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6477[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6478[] = {
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6479[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6480[] = {
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6481[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6482[] = {
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6483[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6484[] = {
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6485[] = {
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6486[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6487[] = {
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6488[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6489[] = {
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6490[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6491[] = {
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6492[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6493[] = {
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6494[] = {
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6495[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6496[] = {
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6497[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6498[] = {
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6499[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6500[] = {
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6501[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6502[] = {
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6503[] = {
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6504[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6505[] = {
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6506[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6507[] = {
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6508[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6509[] = {
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6510[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6511[] = {
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6512[] = {
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6513[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6514[] = {
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6515[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6516[] = {
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6517[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6518[] = {
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6519[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6520[] = {
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6521[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6522[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6523[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6524[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6525[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6526[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6527[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6528[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6529[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6530[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6531[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6532[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6533[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6534[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6535[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6536[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6537[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6538[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6539[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6540[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_6541[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6542[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6543[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6544[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6545[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_6546[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6547[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6548[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6549[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6550[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_6551[] = {
  "fadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6552[] = {
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6553[] = {
  "fmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6554[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6555[] = {
  "fmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6556[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6557[] = {
  "fmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6558[] = {
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6559[] = {
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6560[] = {
  "fadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6561[] = {
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6562[] = {
  "fmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6563[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6564[] = {
  "fmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6565[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6566[] = {
  "fmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6567[] = {
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6568[] = {
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6569[] = {
  "fadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6570[] = {
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6571[] = {
  "fmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6572[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6573[] = {
  "fmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6574[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6575[] = {
  "fmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6576[] = {
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6577[] = {
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6578[] = {
  "fadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6579[] = {
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6580[] = {
  "fmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6581[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6582[] = {
  "fmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6583[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6584[] = {
  "fmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6585[] = {
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6586[] = {
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6587[] = {
  "fadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6588[] = {
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6589[] = {
  "fmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6590[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6591[] = {
  "fmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6592[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6593[] = {
  "fmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6594[] = {
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6595[] = {
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6596[] = {
  "fadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6597[] = {
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6598[] = {
  "fmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6599[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6600[] = {
  "fmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6601[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6602[] = {
  "fmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6603[] = {
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6604[] = {
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6605[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6606[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6607[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6608[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6609[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6610[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6611[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6612[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6613[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6614[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6615[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6616[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6617[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6618[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6619[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6620[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6621[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6622[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6623[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6624[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6625[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6626[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6627[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6628[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6629[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6630[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6631[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6632[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6633[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6634[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6635[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6636[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6637[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6638[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6639[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6640[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6641[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6642[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6643[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6644[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6645[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6646[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6647[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6648[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6649[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6650[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6651[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6652[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6653[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6654[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6655[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6656[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6657[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6658[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6659[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6660[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6661[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6662[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6663[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6664[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6665[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6666[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6667[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6668[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6669[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6670[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6671[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6672[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6673[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6674[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6675[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6676[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6677[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6678[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_6679[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6680[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6681[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6682[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6683[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_6684[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6685[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6686[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6687[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6688[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_6689[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6690[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6691[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6692[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
};

static const char * const output_6693[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
};

static const char * const output_6694[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
};

static const char * const output_6695[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
};

static const char * const output_6696[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
};

static const char * const output_6697[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
};

static const char * const output_6698[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "#",
};

static const char * const output_6699[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "#",
};

static const char * const output_6700[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "#",
};

static const char * const output_6701[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "#",
};

static const char * const output_6702[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "#",
};

static const char * const output_6703[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "#",
};

static const char * const output_6704[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_6705[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_6706[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_6707[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_6708[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_6709[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_6710[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_6711[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_6712[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_6713[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_6714[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_6715[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_6716[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_6717[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_6718[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_6719[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_6720[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_6721[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_6722[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "#",
};

static const char * const output_6723[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "#",
};

static const char * const output_6724[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "#",
};

static const char * const output_6725[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "#",
};

static const char * const output_6726[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "#",
};

static const char * const output_6727[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "#",
};

static const char * const output_6728[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "#",
};

static const char * const output_6729[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "#",
};

static const char * const output_6730[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "#",
};

static const char * const output_6731[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "#",
};

static const char * const output_6732[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "#",
};

static const char * const output_6733[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "#",
};

static const char * const output_6734[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6735[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6736[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6737[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
};

static const char * const output_6738[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
};

static const char * const output_6739[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
};

static const char * const output_6740[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
};

static const char * const output_6741[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
};

static const char * const output_6742[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
};

static const char * const output_6743[] = {
  "movprfx\t%0.h, %1/z, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0.h, %1/m, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
};

static const char * const output_6744[] = {
  "movprfx\t%0.s, %1/z, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0.s, %1/m, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
};

static const char * const output_6745[] = {
  "movprfx\t%0.d, %1/z, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0.d, %1/m, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
};

static const char * const output_6746[] = {
  "movprfx\t%0.h, %1/z, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0.h, %1/m, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
};

static const char * const output_6747[] = {
  "movprfx\t%0.s, %1/z, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0.s, %1/m, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
};

static const char * const output_6748[] = {
  "movprfx\t%0.d, %1/z, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0.d, %1/m, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
};

static const char * const output_6749[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6750[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6751[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6752[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6753[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6754[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6755[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6756[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6757[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6758[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6759[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6760[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6761[] = {
  "fabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6762[] = {
  "fabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6763[] = {
  "fabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6764[] = {
  "fabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_6765[] = {
  "fabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_6766[] = {
  "fabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_6767[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6768[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6769[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6770[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_6771[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_6772[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_6773[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "#",
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6774[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "#",
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6775[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "#",
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6788[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6789[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6790[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6791[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_6792[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6793[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6794[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6795[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_6796[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6797[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6798[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6799[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_6888[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6889[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6890[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6891[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6892[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6893[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6894[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6895[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6896[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6897[] = {
  "mad\t%0.d, %1/m, %3.d, %4.d",
  "mla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6898[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_6899[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_6900[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_6901[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_6902[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6903[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6904[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6905[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6906[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6907[] = {
  "mad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_6908[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6909[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6910[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6911[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6912[] = {
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6913[] = {
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6914[] = {
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6915[] = {
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6916[] = {
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6917[] = {
  "mla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6918[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_6919[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_6920[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_6921[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_6922[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6923[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6924[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6925[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6926[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6927[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_6928[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6929[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6930[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6931[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6932[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6933[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6934[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6935[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6936[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6937[] = {
  "msb\t%0.d, %1/m, %3.d, %4.d",
  "mls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6938[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_6939[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_6940[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_6941[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_6942[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6943[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6944[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6945[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6946[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6947[] = {
  "msb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_6948[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6949[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6950[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6951[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_6952[] = {
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6953[] = {
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6954[] = {
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6955[] = {
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6956[] = {
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6957[] = {
  "mls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6958[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_6959[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_6960[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_6961[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_6962[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6963[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6964[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_6965[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6966[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_6967[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_6968[] = {
  "sdot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tsdot\t%0.s, %1.b, %2.b",
};

static const char * const output_6969[] = {
  "udot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tudot\t%0.s, %1.b, %2.b",
};

static const char * const output_6970[] = {
  "sdot\t%0.d, %1.h, %2.h",
  "movprfx\t%0, %3\n\tsdot\t%0.d, %1.h, %2.h",
};

static const char * const output_6971[] = {
  "udot\t%0.d, %1.h, %2.h",
  "movprfx\t%0, %3\n\tudot\t%0.d, %1.h, %2.h",
};

static const char * const output_6972[] = {
  "sdot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_6973[] = {
  "udot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_6974[] = {
  "sdot\t%0.d, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.d, %1.h, %2.h[%3]",
};

static const char * const output_6975[] = {
  "udot\t%0.d, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.d, %1.h, %2.h[%3]",
};

static const char * const output_6976[] = {
  "usdot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tusdot\t%0.s, %1.b, %2.b",
};

static const char * const output_6977[] = {
  "usdot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tusdot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_6978[] = {
  "sudot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tsudot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_6979[] = {
  "smmla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmmla\t%0.s, %2.b, %3.b",
};

static const char * const output_6980[] = {
  "ummla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tummla\t%0.s, %2.b, %3.b",
};

static const char * const output_6981[] = {
  "usmmla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tusmmla\t%0.s, %2.b, %3.b",
};

static const char * const output_6982[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6983[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6984[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6985[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_6986[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6987[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6988[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6989[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_6990[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6991[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6992[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6993[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_6994[] = {
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6995[] = {
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6996[] = {
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6997[] = {
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_6998[] = {
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_6999[] = {
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7000[] = {
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7001[] = {
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7002[] = {
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7003[] = {
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7004[] = {
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7005[] = {
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7006[] = {
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7007[] = {
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7008[] = {
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7009[] = {
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_7010[] = {
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7011[] = {
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7012[] = {
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7013[] = {
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_7014[] = {
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7015[] = {
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7016[] = {
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7017[] = {
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_7018[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7019[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7020[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7021[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7022[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7023[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7024[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7025[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7026[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7027[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7028[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7029[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7030[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7031[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7032[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7033[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_7034[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7035[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7036[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7037[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_7038[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7039[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7040[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7041[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_7042[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7043[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7044[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7045[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7046[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7047[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7048[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7049[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7050[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7051[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7052[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7053[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7054[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7055[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7056[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7057[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_7058[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7059[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7060[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7061[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_7062[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7063[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7064[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7065[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_7066[] = {
  "fmla\t%0.h, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1.h, %2.h[%3]",
};

static const char * const output_7067[] = {
  "fmls\t%0.h, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1.h, %2.h[%3]",
};

static const char * const output_7068[] = {
  "fmla\t%0.s, %1.s, %2.s[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1.s, %2.s[%3]",
};

static const char * const output_7069[] = {
  "fmls\t%0.s, %1.s, %2.s[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1.s, %2.s[%3]",
};

static const char * const output_7070[] = {
  "fmla\t%0.d, %1.d, %2.d[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1.d, %2.d[%3]",
};

static const char * const output_7071[] = {
  "fmls\t%0.d, %1.d, %2.d[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1.d, %2.d[%3]",
};

static const char * const output_7072[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_7073[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_7074[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_7075[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_7076[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_7077[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_7078[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_7079[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_7080[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_7081[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_7082[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_7083[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_7084[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_7085[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_7086[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_7087[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_7088[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_7089[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_7090[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_7091[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_7092[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_7093[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_7094[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_7095[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_7096[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_7097[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_7098[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_7099[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_7100[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_7101[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_7102[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_7103[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_7104[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_7105[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_7106[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_7107[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_7108[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "#",
};

static const char * const output_7109[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "#",
};

static const char * const output_7110[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "#",
};

static const char * const output_7111[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "#",
};

static const char * const output_7112[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "#",
};

static const char * const output_7113[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "#",
};

static const char * const output_7114[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "#",
};

static const char * const output_7115[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "#",
};

static const char * const output_7116[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "#",
};

static const char * const output_7117[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "#",
};

static const char * const output_7118[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "#",
};

static const char * const output_7119[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "#",
};

static const char * const output_7120[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "#",
};

static const char * const output_7121[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "#",
};

static const char * const output_7122[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "#",
};

static const char * const output_7123[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "#",
};

static const char * const output_7124[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "#",
};

static const char * const output_7125[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "#",
};

static const char * const output_7126[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "#",
};

static const char * const output_7127[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "#",
};

static const char * const output_7128[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "#",
};

static const char * const output_7129[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "#",
};

static const char * const output_7130[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "#",
};

static const char * const output_7131[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "#",
};

static const char * const output_7132[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #0",
};

static const char * const output_7133[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #90",
};

static const char * const output_7134[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #180",
};

static const char * const output_7135[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #270",
};

static const char * const output_7136[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #0",
};

static const char * const output_7137[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #90",
};

static const char * const output_7138[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #180",
};

static const char * const output_7139[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #270",
};

static const char * const output_7140[] = {
  "ftmad\t%0.h, %0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.h, %0.h, %2.h, #%3",
};

static const char * const output_7141[] = {
  "ftmad\t%0.s, %0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.s, %0.s, %2.s, #%3",
};

static const char * const output_7142[] = {
  "ftmad\t%0.d, %0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.d, %0.d, %2.d, #%3",
};

static const char * const output_7143[] = {
  "bfdot\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfdot\t%0.s, %2.h, %3.h",
};

static const char * const output_7144[] = {
  "bfmlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_7145[] = {
  "bfmlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_7146[] = {
  "bfmmla\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmmla\t%0.s, %2.h, %3.h",
};

static const char * const output_7147[] = {
  "bfdot\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfdot\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7148[] = {
  "bfmlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7149[] = {
  "bfmlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_7150[] = {
  "fmmla\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tfmmla\t%0.s, %2.s, %3.s",
};

static const char * const output_7151[] = {
  "fmmla\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tfmmla\t%0.d, %2.d, %3.d",
};

static const char * const output_7152[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_7153[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_7154[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_7155[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_7156[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7157[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7158[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7159[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7160[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7161[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7162[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7163[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7164[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_7165[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_7166[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_7167[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_7168[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_7169[] = {
  "sel\t%0.d, %3, %1.d, %2.d",
  "mov\t%0.d, %3/m, #%I1",
  "mov\t%0.d, %3/z, #%I1",
  "fmov\t%0.d, %3/m, #%1",
  "movprfx\t%0.d, %3/z, %0.d\n\tfmov\t%0.d, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.d, %3/m, #%1",
};

static const char * const output_7170[] = {
  "sel\t%0.d, %3, %1.d, %2.d",
  "mov\t%0.d, %3/m, #%I1",
  "mov\t%0.d, %3/z, #%I1",
  "fmov\t%0.d, %3/m, #%1",
  "movprfx\t%0.d, %3/z, %0.d\n\tfmov\t%0.d, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.d, %3/m, #%1",
};

static const char * const output_7171[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_7172[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_7173[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_7174[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_7175[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7176[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7177[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7178[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7179[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7180[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7181[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7182[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7183[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_7184[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_7185[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_7186[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_7187[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_7188[] = {
  "mov\t%0.d, %3/m, %x1",
  "mov\t%0.d, %3/m, %d1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %d1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %d1",
};

static const char * const output_7189[] = {
  "mov\t%0.d, %3/m, %x1",
  "mov\t%0.d, %3/m, %d1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %d1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %d1",
};

static const char * const output_7190[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7191[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7192[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7193[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7194[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7195[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7196[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7197[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7198[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7199[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7200[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7201[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7202[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7203[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7204[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7205[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7206[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7207[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7208[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7209[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7210[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7211[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7212[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7213[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7214[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7215[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7216[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7217[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7218[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7219[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7220[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7221[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7222[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7223[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7224[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7225[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7226[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7227[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7228[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7229[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_7230[] = {
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7231[] = {
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7232[] = {
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7233[] = {
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7234[] = {
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7235[] = {
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7236[] = {
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7237[] = {
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7238[] = {
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7239[] = {
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7240[] = {
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7241[] = {
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7242[] = {
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7243[] = {
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7244[] = {
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7245[] = {
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7246[] = {
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7247[] = {
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7248[] = {
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7249[] = {
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7250[] = {
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7251[] = {
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7252[] = {
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7253[] = {
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7254[] = {
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7255[] = {
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7256[] = {
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7257[] = {
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7258[] = {
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7259[] = {
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7260[] = {
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7261[] = {
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7262[] = {
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7263[] = {
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7264[] = {
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7265[] = {
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7266[] = {
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7267[] = {
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7268[] = {
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7269[] = {
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7270[] = {
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7271[] = {
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7272[] = {
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7273[] = {
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7274[] = {
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7275[] = {
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7276[] = {
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7277[] = {
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7278[] = {
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7279[] = {
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7280[] = {
  "cmplt\t%0.d, %1/z, %3.d, #%4",
  "cmplt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7281[] = {
  "cmple\t%0.d, %1/z, %3.d, #%4",
  "cmple\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7282[] = {
  "cmpeq\t%0.d, %1/z, %3.d, #%4",
  "cmpeq\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7283[] = {
  "cmpne\t%0.d, %1/z, %3.d, #%4",
  "cmpne\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7284[] = {
  "cmpge\t%0.d, %1/z, %3.d, #%4",
  "cmpge\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7285[] = {
  "cmpgt\t%0.d, %1/z, %3.d, #%4",
  "cmpgt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7286[] = {
  "cmplo\t%0.d, %1/z, %3.d, #%4",
  "cmplo\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7287[] = {
  "cmpls\t%0.d, %1/z, %3.d, #%4",
  "cmpls\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7288[] = {
  "cmphs\t%0.d, %1/z, %3.d, #%4",
  "cmphs\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7289[] = {
  "cmphi\t%0.d, %1/z, %3.d, #%4",
  "cmphi\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7290[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7291[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7292[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7293[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7294[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7295[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7296[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7297[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7298[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7299[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7300[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7301[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7302[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7303[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7304[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7305[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7306[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7307[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7308[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7309[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7310[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7311[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7312[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7313[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7314[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7315[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7316[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7317[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7318[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7319[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7320[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7321[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7322[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7323[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7324[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7325[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7326[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7327[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7328[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7329[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7330[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7331[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7332[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7333[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7334[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7335[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7336[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7337[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7338[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7339[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7340[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7341[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7342[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7343[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7344[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7345[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7346[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7347[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7348[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7349[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7350[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7351[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7352[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7353[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7354[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7355[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7356[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7357[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7358[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7359[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7360[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7361[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7362[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7363[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7364[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7365[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7366[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7367[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7368[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7369[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7370[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7371[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7372[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7373[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7374[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7375[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7376[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7377[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7378[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7379[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7380[] = {
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7381[] = {
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7382[] = {
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7383[] = {
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7384[] = {
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7385[] = {
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7386[] = {
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7387[] = {
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7388[] = {
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7389[] = {
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7390[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7391[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7392[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7393[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7394[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7395[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7396[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7397[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7398[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7399[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7400[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7401[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7402[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7403[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7404[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7405[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7406[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7407[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7408[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7409[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7410[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7411[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7412[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7413[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7414[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7415[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7416[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7417[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7418[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7419[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7420[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7421[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7422[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7423[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7424[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7425[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7426[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7427[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7428[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7429[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_7430[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7431[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7432[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7433[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7434[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7435[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7436[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7437[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7438[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7439[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7440[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7441[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7442[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7443[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7444[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7445[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7446[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7447[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7448[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7449[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7450[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7451[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7452[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7453[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7454[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7455[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7456[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7457[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7458[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7459[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_7460[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7461[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7462[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7463[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7464[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7465[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7466[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7467[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7468[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7469[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7470[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7471[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7472[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7473[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7474[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7475[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7476[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7477[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7478[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7479[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_7480[] = {
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7481[] = {
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7482[] = {
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7483[] = {
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7484[] = {
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7485[] = {
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7486[] = {
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7487[] = {
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7488[] = {
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7489[] = {
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_7920[] = {
  "fcmeq\t%0.h, %1/z, %3.h, #0.0",
  "fcmeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7921[] = {
  "fcmge\t%0.h, %1/z, %3.h, #0.0",
  "fcmge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7922[] = {
  "fcmgt\t%0.h, %1/z, %3.h, #0.0",
  "fcmgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7923[] = {
  "fcmle\t%0.h, %1/z, %3.h, #0.0",
  "fcmle\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7924[] = {
  "fcmlt\t%0.h, %1/z, %3.h, #0.0",
  "fcmlt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7925[] = {
  "fcmne\t%0.h, %1/z, %3.h, #0.0",
  "fcmne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_7926[] = {
  "fcmeq\t%0.s, %1/z, %3.s, #0.0",
  "fcmeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7927[] = {
  "fcmge\t%0.s, %1/z, %3.s, #0.0",
  "fcmge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7928[] = {
  "fcmgt\t%0.s, %1/z, %3.s, #0.0",
  "fcmgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7929[] = {
  "fcmle\t%0.s, %1/z, %3.s, #0.0",
  "fcmle\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7930[] = {
  "fcmlt\t%0.s, %1/z, %3.s, #0.0",
  "fcmlt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7931[] = {
  "fcmne\t%0.s, %1/z, %3.s, #0.0",
  "fcmne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_7932[] = {
  "fcmeq\t%0.d, %1/z, %3.d, #0.0",
  "fcmeq\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7933[] = {
  "fcmge\t%0.d, %1/z, %3.d, #0.0",
  "fcmge\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7934[] = {
  "fcmgt\t%0.d, %1/z, %3.d, #0.0",
  "fcmgt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7935[] = {
  "fcmle\t%0.d, %1/z, %3.d, #0.0",
  "fcmle\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7936[] = {
  "fcmlt\t%0.d, %1/z, %3.d, #0.0",
  "fcmlt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7937[] = {
  "fcmne\t%0.d, %1/z, %3.d, #0.0",
  "fcmne\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_7994[] = {
  "clasta\t%w0, %2, %w0, %3.b",
  "clasta\t%b0, %2, %b0, %3.b",
};

static const char * const output_7995[] = {
  "clastb\t%w0, %2, %w0, %3.b",
  "clastb\t%b0, %2, %b0, %3.b",
};

static const char * const output_7996[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_7997[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_7998[] = {
  "clasta\t%w0, %2, %w0, %3.s",
  "clasta\t%s0, %2, %s0, %3.s",
};

static const char * const output_7999[] = {
  "clastb\t%w0, %2, %w0, %3.s",
  "clastb\t%s0, %2, %s0, %3.s",
};

static const char * const output_8000[] = {
  "clasta\t%x0, %2, %x0, %3.d",
  "clasta\t%d0, %2, %d0, %3.d",
};

static const char * const output_8001[] = {
  "clastb\t%x0, %2, %x0, %3.d",
  "clastb\t%d0, %2, %d0, %3.d",
};

static const char * const output_8002[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_8003[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_8004[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_8005[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_8006[] = {
  "clasta\t%w0, %2, %w0, %3.s",
  "clasta\t%s0, %2, %s0, %3.s",
};

static const char * const output_8007[] = {
  "clastb\t%w0, %2, %w0, %3.s",
  "clastb\t%s0, %2, %s0, %3.s",
};

static const char * const output_8008[] = {
  "clasta\t%x0, %2, %x0, %3.d",
  "clasta\t%d0, %2, %d0, %3.d",
};

static const char * const output_8009[] = {
  "clastb\t%x0, %2, %x0, %3.d",
  "clastb\t%d0, %2, %d0, %3.d",
};

static const char * const output_8010[] = {
  "clasta\t%0.b, %2, %0.b, %3.b",
  "movprfx\t%0, %1\n\tclasta\t%0.b, %2, %0.b, %3.b",
};

static const char * const output_8011[] = {
  "clastb\t%0.b, %2, %0.b, %3.b",
  "movprfx\t%0, %1\n\tclastb\t%0.b, %2, %0.b, %3.b",
};

static const char * const output_8012[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_8013[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_8014[] = {
  "clasta\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclasta\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_8015[] = {
  "clastb\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclastb\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_8016[] = {
  "clasta\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclasta\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_8017[] = {
  "clastb\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclastb\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_8018[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_8019[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_8020[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_8021[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_8022[] = {
  "clasta\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclasta\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_8023[] = {
  "clastb\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclastb\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_8024[] = {
  "clasta\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclasta\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_8025[] = {
  "clastb\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclastb\t%0.d, %2, %0.d, %3.d",
};

static const char *
output_8110 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8535 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (QImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8111 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8535 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (HImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8112 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8535 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (SImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8113 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8535 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (DImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8114 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8535 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (BFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8115 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8535 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (HFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8116 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8535 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (SFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_8117 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8535 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (DFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char * const output_8137[] = {
  "splice\t%0.b, %1, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsplice\t%0.b, %1, %0.b, %3.b",
};

static const char * const output_8138[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_8139[] = {
  "splice\t%0.s, %1, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsplice\t%0.s, %1, %0.s, %3.s",
};

static const char * const output_8140[] = {
  "splice\t%0.d, %1, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsplice\t%0.d, %1, %0.d, %3.d",
};

static const char * const output_8141[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_8142[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_8143[] = {
  "splice\t%0.s, %1, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsplice\t%0.s, %1, %0.s, %3.s",
};

static const char * const output_8144[] = {
  "splice\t%0.d, %1, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsplice\t%0.d, %1, %0.d, %3.d",
};

static const char *
output_8307 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 8 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8308 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8309 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8310 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8311 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8312 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8313 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8314 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8315 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8316 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8317 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8318 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8319 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8320 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8321 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8322 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8323 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8324 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_8325 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8616 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char * const output_8369[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_8370[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_8371[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_8372[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_8373[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_8374[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_8375[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_8376[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_8377[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_8378[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_8379[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_8380[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_8381[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_8382[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_8383[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_8384[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_8385[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_8386[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_8387[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_8388[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_8389[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_8390[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_8391[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_8392[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_8393[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_8394[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_8395[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_8396[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_8397[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_8398[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_8399[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_8400[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_8401[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_8402[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_8403[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_8404[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_8405[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_8406[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_8407[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_8408[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_8409[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_8410[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_8411[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_8412[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_8413[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_8414[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_8415[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_8416[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_8417[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_8418[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_8419[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_8420[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_8421[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_8422[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_8423[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_8424[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_8425[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_8426[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_8427[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_8428[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_8429[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_8430[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_8431[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_8432[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_8433[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_8434[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_8435[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_8436[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_8437[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_8438[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_8439[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_8440[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_8441[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_8442[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_8443[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_8444[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_8445[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_8446[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_8447[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_8448[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_8449[] = {
  "fcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_8450[] = {
  "fcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvt\t%0.h, %1/m, %2.d",
};

static const char * const output_8451[] = {
  "fcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.d",
};

static const char * const output_8452[] = {
  "fcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_8453[] = {
  "fcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvt\t%0.h, %1/m, %2.d",
};

static const char * const output_8454[] = {
  "fcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.d",
};

static const char * const output_8455[] = {
  "bfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tbfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_8456[] = {
  "bfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tbfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_8458[] = {
  "fcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.h",
};

static const char * const output_8459[] = {
  "fcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvt\t%0.d, %1/m, %2.h",
};

static const char * const output_8460[] = {
  "fcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.d, %1/m, %2.s",
};

static const char * const output_8461[] = {
  "fcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.h",
};

static const char * const output_8462[] = {
  "fcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvt\t%0.d, %1/m, %2.h",
};

static const char * const output_8463[] = {
  "fcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.d, %1/m, %2.s",
};

static const char * const output_8473[] = {
  "brka\t%0.b, %1/z, %2.b",
  "brka\t%0.b, %1/m, %2.b",
};

static const char * const output_8474[] = {
  "brkb\t%0.b, %1/z, %2.b",
  "brkb\t%0.b, %1/m, %2.b",
};

static const char * const output_8475[] = {
  "brkas\t%0.b, %1/z, %2.b",
  "brkas\t%0.b, %1/m, %2.b",
};

static const char * const output_8476[] = {
  "brkbs\t%0.b, %1/z, %2.b",
  "brkbs\t%0.b, %1/m, %2.b",
};

static const char * const output_8477[] = {
  "brkas\t%0.b, %1/z, %2.b",
  "brkas\t%0.b, %1/m, %2.b",
};

static const char * const output_8478[] = {
  "brkbs\t%0.b, %1/z, %2.b",
  "brkbs\t%0.b, %1/m, %2.b",
};

static const char *
output_8503 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9629 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("cnt", "%x0", operands + 1);
  }
}

static const char *
output_8504 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9654 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%x0",
						 operands + 2);
  }
}

static const char *
output_8505 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9654 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%x0",
						 operands + 2);
  }
}

static const char *
output_8506 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9654 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%x0",
						 operands + 2);
  }
}

static const char *
output_8507 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9671 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%x0", operands + 2);
  }
}

static const char *
output_8508 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9690 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (SS_PLUS == SS_PLUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", registers,
						 operands + 2);
  }
}

static const char *
output_8509 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9690 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (US_PLUS == SS_PLUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", registers,
						 operands + 2);
  }
}

static const char *
output_8510 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9719 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_8511 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9719 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_8512 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9719 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_8513 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9740 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_8514 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9740 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_8515 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9740 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_8516 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9775 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_8517 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9775 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_8518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9775 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_8519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9804 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%x0",
						 operands + 2);
  }
}

static const char *
output_8520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9804 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%x0",
						 operands + 2);
  }
}

static const char *
output_8521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9804 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%x0",
						 operands + 2);
  }
}

static const char *
output_8522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9821 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%x0", operands + 2);
  }
}

static const char *
output_8523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9840 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (SS_MINUS == SS_MINUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", registers,
						 operands + 2);
  }
}

static const char *
output_8524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9840 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (US_MINUS == SS_MINUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", registers,
						 operands + 2);
  }
}

static const char *
output_8525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9869 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_8526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9869 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_8527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9869 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_8528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9890 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_8529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9890 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_8530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9890 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_8531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9925 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_8532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9925 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_8533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9925 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_8554 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10044 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.b, %w0";
    else
      return "sqincp\t%w0, %2.b";
  }
}

static const char *
output_8555 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10044 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.b, %w0";
    else
      return "uqincp\t%w0, %2.b";
  }
}

static const char *
output_8556 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10044 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.h, %w0";
    else
      return "sqincp\t%w0, %2.h";
  }
}

static const char *
output_8557 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10044 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.h, %w0";
    else
      return "uqincp\t%w0, %2.h";
  }
}

static const char *
output_8558 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10044 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.s, %w0";
    else
      return "sqincp\t%w0, %2.s";
  }
}

static const char *
output_8559 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10044 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.s, %w0";
    else
      return "uqincp\t%w0, %2.s";
  }
}

static const char *
output_8560 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10044 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.d, %w0";
    else
      return "sqincp\t%w0, %2.d";
  }
}

static const char *
output_8561 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10044 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.d, %w0";
    else
      return "uqincp\t%w0, %2.d";
  }
}

static const char * const output_8562[] = {
  "incp\t%0.d, %2",
  "movprfx\t%0, %1\n\tincp\t%0.d, %2",
};

static const char * const output_8563[] = {
  "sqincp\t%0.d, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.d, %2",
};

static const char * const output_8564[] = {
  "uqincp\t%0.d, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.d, %2",
};

static const char * const output_8565[] = {
  "incp\t%0.s, %2",
  "movprfx\t%0, %1\n\tincp\t%0.s, %2",
};

static const char * const output_8566[] = {
  "sqincp\t%0.s, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.s, %2",
};

static const char * const output_8567[] = {
  "uqincp\t%0.s, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.s, %2",
};

static const char * const output_8568[] = {
  "incp\t%0.h, %2",
  "movprfx\t%0, %1\n\tincp\t%0.h, %2",
};

static const char * const output_8569[] = {
  "sqincp\t%0.h, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.h, %2",
};

static const char * const output_8570[] = {
  "uqincp\t%0.h, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.h, %2",
};

static const char *
output_8587 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10277 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.b, %w0";
    else
      return "sqdecp\t%w0, %2.b";
  }
}

static const char *
output_8588 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10277 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.b, %w0";
    else
      return "uqdecp\t%w0, %2.b";
  }
}

static const char *
output_8589 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10277 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.h, %w0";
    else
      return "sqdecp\t%w0, %2.h";
  }
}

static const char *
output_8590 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10277 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.h, %w0";
    else
      return "uqdecp\t%w0, %2.h";
  }
}

static const char *
output_8591 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10277 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.s, %w0";
    else
      return "sqdecp\t%w0, %2.s";
  }
}

static const char *
output_8592 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10277 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.s, %w0";
    else
      return "uqdecp\t%w0, %2.s";
  }
}

static const char *
output_8593 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10277 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.d, %w0";
    else
      return "sqdecp\t%w0, %2.d";
  }
}

static const char *
output_8594 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10277 "../../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.d, %w0";
    else
      return "uqdecp\t%w0, %2.d";
  }
}

static const char * const output_8595[] = {
  "decp\t%0.d, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.d, %2",
};

static const char * const output_8596[] = {
  "sqdecp\t%0.d, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.d, %2",
};

static const char * const output_8597[] = {
  "uqdecp\t%0.d, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.d, %2",
};

static const char * const output_8598[] = {
  "decp\t%0.s, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.s, %2",
};

static const char * const output_8599[] = {
  "sqdecp\t%0.s, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.s, %2",
};

static const char * const output_8600[] = {
  "uqdecp\t%0.s, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.s, %2",
};

static const char * const output_8601[] = {
  "decp\t%0.h, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.h, %2",
};

static const char * const output_8602[] = {
  "sqdecp\t%0.h, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.h, %2",
};

static const char * const output_8603[] = {
  "uqdecp\t%0.h, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.h, %2",
};

static const char * const output_8604[] = {
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_8605[] = {
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8606[] = {
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_8607[] = {
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8608[] = {
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_8609[] = {
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_8610[] = {
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8611[] = {
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8612[] = {
  "ldnt1sh\t%0.s, %1/z, [%3.s]",
  "ldnt1sh\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_8613[] = {
  "ldnt1h\t%0.s, %1/z, [%3.s]",
  "ldnt1h\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_8614[] = {
  "ldnt1sh\t%0.d, %1/z, [%3.d]",
  "ldnt1sh\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8615[] = {
  "ldnt1h\t%0.d, %1/z, [%3.d]",
  "ldnt1h\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8616[] = {
  "ldnt1sw\t%0.d, %1/z, [%3.d]",
  "ldnt1sw\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8617[] = {
  "ldnt1w\t%0.d, %1/z, [%3.d]",
  "ldnt1w\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_8618[] = {
  "stnt1w\t%3.s, %0, [%2.s]",
  "stnt1w\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_8619[] = {
  "stnt1d\t%3.d, %0, [%2.d]",
  "stnt1d\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_8620[] = {
  "stnt1w\t%3.s, %0, [%2.s]",
  "stnt1w\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_8621[] = {
  "stnt1d\t%3.d, %0, [%2.d]",
  "stnt1d\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_8622[] = {
  "stnt1b\t%3.s, %0, [%2.s]",
  "stnt1b\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_8623[] = {
  "stnt1b\t%3.d, %0, [%2.d]",
  "stnt1b\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_8624[] = {
  "stnt1h\t%3.s, %0, [%2.s]",
  "stnt1h\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_8625[] = {
  "stnt1h\t%3.d, %0, [%2.d]",
  "stnt1h\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_8626[] = {
  "stnt1w\t%3.d, %0, [%2.d]",
  "stnt1w\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_8630[] = {
  "sqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%D2",
};

static const char * const output_8631[] = {
  "sqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%D2",
};

static const char * const output_8632[] = {
  "sqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%D2",
};

static const char * const output_8633[] = {
  "sqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%D2",
};

static const char * const output_8634[] = {
  "shadd\t%0.b, %1/m, %0.b, %3.b",
  "shadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8635[] = {
  "shsub\t%0.b, %1/m, %0.b, %3.b",
  "shsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8636[] = {
  "sqrshl\t%0.b, %1/m, %0.b, %3.b",
  "sqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8637[] = {
  "srhadd\t%0.b, %1/m, %0.b, %3.b",
  "srhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8638[] = {
  "srshl\t%0.b, %1/m, %0.b, %3.b",
  "srshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8639[] = {
  "uhadd\t%0.b, %1/m, %0.b, %3.b",
  "uhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8640[] = {
  "uhsub\t%0.b, %1/m, %0.b, %3.b",
  "uhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8641[] = {
  "uqrshl\t%0.b, %1/m, %0.b, %3.b",
  "uqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8642[] = {
  "urhadd\t%0.b, %1/m, %0.b, %3.b",
  "urhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8643[] = {
  "urshl\t%0.b, %1/m, %0.b, %3.b",
  "urshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\turshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8644[] = {
  "shadd\t%0.h, %1/m, %0.h, %3.h",
  "shadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8645[] = {
  "shsub\t%0.h, %1/m, %0.h, %3.h",
  "shsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8646[] = {
  "sqrshl\t%0.h, %1/m, %0.h, %3.h",
  "sqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8647[] = {
  "srhadd\t%0.h, %1/m, %0.h, %3.h",
  "srhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8648[] = {
  "srshl\t%0.h, %1/m, %0.h, %3.h",
  "srshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8649[] = {
  "uhadd\t%0.h, %1/m, %0.h, %3.h",
  "uhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8650[] = {
  "uhsub\t%0.h, %1/m, %0.h, %3.h",
  "uhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8651[] = {
  "uqrshl\t%0.h, %1/m, %0.h, %3.h",
  "uqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8652[] = {
  "urhadd\t%0.h, %1/m, %0.h, %3.h",
  "urhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8653[] = {
  "urshl\t%0.h, %1/m, %0.h, %3.h",
  "urshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\turshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8654[] = {
  "shadd\t%0.s, %1/m, %0.s, %3.s",
  "shadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8655[] = {
  "shsub\t%0.s, %1/m, %0.s, %3.s",
  "shsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8656[] = {
  "sqrshl\t%0.s, %1/m, %0.s, %3.s",
  "sqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8657[] = {
  "srhadd\t%0.s, %1/m, %0.s, %3.s",
  "srhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8658[] = {
  "srshl\t%0.s, %1/m, %0.s, %3.s",
  "srshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8659[] = {
  "uhadd\t%0.s, %1/m, %0.s, %3.s",
  "uhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8660[] = {
  "uhsub\t%0.s, %1/m, %0.s, %3.s",
  "uhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8661[] = {
  "uqrshl\t%0.s, %1/m, %0.s, %3.s",
  "uqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8662[] = {
  "urhadd\t%0.s, %1/m, %0.s, %3.s",
  "urhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8663[] = {
  "urshl\t%0.s, %1/m, %0.s, %3.s",
  "urshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\turshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8664[] = {
  "shadd\t%0.d, %1/m, %0.d, %3.d",
  "shadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8665[] = {
  "shsub\t%0.d, %1/m, %0.d, %3.d",
  "shsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8666[] = {
  "sqrshl\t%0.d, %1/m, %0.d, %3.d",
  "sqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8667[] = {
  "srhadd\t%0.d, %1/m, %0.d, %3.d",
  "srhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8668[] = {
  "srshl\t%0.d, %1/m, %0.d, %3.d",
  "srshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8669[] = {
  "uhadd\t%0.d, %1/m, %0.d, %3.d",
  "uhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8670[] = {
  "uhsub\t%0.d, %1/m, %0.d, %3.d",
  "uhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8671[] = {
  "uqrshl\t%0.d, %1/m, %0.d, %3.d",
  "uqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8672[] = {
  "urhadd\t%0.d, %1/m, %0.d, %3.d",
  "urhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8673[] = {
  "urshl\t%0.d, %1/m, %0.d, %3.d",
  "urshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\turshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8674[] = {
  "shadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8675[] = {
  "shsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8676[] = {
  "sqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8677[] = {
  "srhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8678[] = {
  "srshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8679[] = {
  "suqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8680[] = {
  "uhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8681[] = {
  "uhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8682[] = {
  "uqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8683[] = {
  "urhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8684[] = {
  "urshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\turshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8685[] = {
  "usqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8686[] = {
  "shadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8687[] = {
  "shsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8688[] = {
  "sqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8689[] = {
  "srhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8690[] = {
  "srshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8691[] = {
  "suqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8692[] = {
  "uhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8693[] = {
  "uhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8694[] = {
  "uqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8695[] = {
  "urhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8696[] = {
  "urshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\turshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8697[] = {
  "usqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8698[] = {
  "shadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8699[] = {
  "shsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8700[] = {
  "sqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8701[] = {
  "srhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8702[] = {
  "srshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8703[] = {
  "suqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8704[] = {
  "uhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8705[] = {
  "uhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8706[] = {
  "uqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8707[] = {
  "urhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8708[] = {
  "urshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\turshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8709[] = {
  "usqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8710[] = {
  "shadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8711[] = {
  "shsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8712[] = {
  "sqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8713[] = {
  "srhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8714[] = {
  "srshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8715[] = {
  "suqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8716[] = {
  "uhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8717[] = {
  "uhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8718[] = {
  "uqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8719[] = {
  "urhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8720[] = {
  "urshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\turshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8721[] = {
  "usqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8722[] = {
  "shadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tshadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8723[] = {
  "shsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tshsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8724[] = {
  "sqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8725[] = {
  "srhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsrhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8726[] = {
  "srshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8727[] = {
  "uhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8728[] = {
  "uhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuhsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8729[] = {
  "uqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8730[] = {
  "urhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\turhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8731[] = {
  "urshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\turshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8732[] = {
  "shadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tshadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8733[] = {
  "shsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tshsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8734[] = {
  "sqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8735[] = {
  "srhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsrhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8736[] = {
  "srshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8737[] = {
  "uhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8738[] = {
  "uhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuhsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8739[] = {
  "uqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8740[] = {
  "urhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\turhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8741[] = {
  "urshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\turshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8742[] = {
  "shadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tshadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8743[] = {
  "shsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tshsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8744[] = {
  "sqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8745[] = {
  "srhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsrhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8746[] = {
  "srshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8747[] = {
  "uhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8748[] = {
  "uhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuhsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8749[] = {
  "uqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8750[] = {
  "urhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\turhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8751[] = {
  "urshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\turshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8752[] = {
  "shadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tshadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8753[] = {
  "shsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tshsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8754[] = {
  "sqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8755[] = {
  "srhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsrhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8756[] = {
  "srshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8757[] = {
  "uhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8758[] = {
  "uhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuhsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8759[] = {
  "uqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8760[] = {
  "urhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\turhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8761[] = {
  "urshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\turshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8762[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tshadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8763[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tshsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8764[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8765[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsrhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8766[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8767[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8768[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8769[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8770[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\turhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8771[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\turshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8772[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tshadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8773[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tshsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8774[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8775[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsrhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8776[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8777[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8778[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8779[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8780[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\turhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8781[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\turshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8782[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tshadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8783[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tshsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8784[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8785[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsrhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8786[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8787[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8788[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8789[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8790[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\turhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8791[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\turshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8792[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tshadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8793[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tshsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8794[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8795[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsrhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8796[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8797[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8798[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8799[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8800[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\turhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8801[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\turshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8802[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8803[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8804[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8805[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8806[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8807[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8808[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8809[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8824[] = {
  "sqshl\t%0.b, %1/m, %0.b, #%3",
  "sqshl\t%0.b, %1/m, %0.b, %3.b",
  "sqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8825[] = {
  "uqshl\t%0.b, %1/m, %0.b, #%3",
  "uqshl\t%0.b, %1/m, %0.b, %3.b",
  "uqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8826[] = {
  "sqshl\t%0.h, %1/m, %0.h, #%3",
  "sqshl\t%0.h, %1/m, %0.h, %3.h",
  "sqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8827[] = {
  "uqshl\t%0.h, %1/m, %0.h, #%3",
  "uqshl\t%0.h, %1/m, %0.h, %3.h",
  "uqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8828[] = {
  "sqshl\t%0.s, %1/m, %0.s, #%3",
  "sqshl\t%0.s, %1/m, %0.s, %3.s",
  "sqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8829[] = {
  "uqshl\t%0.s, %1/m, %0.s, #%3",
  "uqshl\t%0.s, %1/m, %0.s, %3.s",
  "uqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8830[] = {
  "sqshl\t%0.d, %1/m, %0.d, #%3",
  "sqshl\t%0.d, %1/m, %0.d, %3.d",
  "sqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8831[] = {
  "uqshl\t%0.d, %1/m, %0.d, #%3",
  "uqshl\t%0.d, %1/m, %0.d, %3.d",
  "uqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8832[] = {
  "sqshl\t%0.b, %1/m, %0.b, #%3",
  "sqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8833[] = {
  "uqshl\t%0.b, %1/m, %0.b, #%3",
  "uqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8834[] = {
  "sqshl\t%0.h, %1/m, %0.h, #%3",
  "sqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8835[] = {
  "uqshl\t%0.h, %1/m, %0.h, #%3",
  "uqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8836[] = {
  "sqshl\t%0.s, %1/m, %0.s, #%3",
  "sqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8837[] = {
  "uqshl\t%0.s, %1/m, %0.s, #%3",
  "uqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8838[] = {
  "sqshl\t%0.d, %1/m, %0.d, #%3",
  "sqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8839[] = {
  "uqshl\t%0.d, %1/m, %0.d, #%3",
  "uqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8840[] = {
  "sqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8841[] = {
  "uqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8842[] = {
  "sqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8843[] = {
  "uqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8844[] = {
  "sqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8845[] = {
  "uqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8846[] = {
  "sqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8847[] = {
  "uqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8848[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "#",
};

static const char * const output_8849[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "#",
};

static const char * const output_8850[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "#",
};

static const char * const output_8851[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "#",
};

static const char * const output_8852[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "#",
};

static const char * const output_8853[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "#",
};

static const char * const output_8854[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "#",
};

static const char * const output_8855[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "#",
};

static const char * const output_8856[] = {
  "adclb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tadclb\t%0.b, %2.b, %3.b",
};

static const char * const output_8857[] = {
  "adclt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tadclt\t%0.b, %2.b, %3.b",
};

static const char * const output_8858[] = {
  "eorbt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\teorbt\t%0.b, %2.b, %3.b",
};

static const char * const output_8859[] = {
  "eortb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\teortb\t%0.b, %2.b, %3.b",
};

static const char * const output_8860[] = {
  "sbclb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsbclb\t%0.b, %2.b, %3.b",
};

static const char * const output_8861[] = {
  "sbclt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsbclt\t%0.b, %2.b, %3.b",
};

static const char * const output_8862[] = {
  "sqrdmlah\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.b, %2.b, %3.b",
};

static const char * const output_8863[] = {
  "sqrdmlsh\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.b, %2.b, %3.b",
};

static const char * const output_8864[] = {
  "adclb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tadclb\t%0.h, %2.h, %3.h",
};

static const char * const output_8865[] = {
  "adclt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tadclt\t%0.h, %2.h, %3.h",
};

static const char * const output_8866[] = {
  "eorbt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\teorbt\t%0.h, %2.h, %3.h",
};

static const char * const output_8867[] = {
  "eortb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\teortb\t%0.h, %2.h, %3.h",
};

static const char * const output_8868[] = {
  "sbclb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsbclb\t%0.h, %2.h, %3.h",
};

static const char * const output_8869[] = {
  "sbclt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsbclt\t%0.h, %2.h, %3.h",
};

static const char * const output_8870[] = {
  "sqrdmlah\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.h, %2.h, %3.h",
};

static const char * const output_8871[] = {
  "sqrdmlsh\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.h, %2.h, %3.h",
};

static const char * const output_8872[] = {
  "adclb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tadclb\t%0.s, %2.s, %3.s",
};

static const char * const output_8873[] = {
  "adclt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tadclt\t%0.s, %2.s, %3.s",
};

static const char * const output_8874[] = {
  "eorbt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\teorbt\t%0.s, %2.s, %3.s",
};

static const char * const output_8875[] = {
  "eortb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\teortb\t%0.s, %2.s, %3.s",
};

static const char * const output_8876[] = {
  "sbclb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsbclb\t%0.s, %2.s, %3.s",
};

static const char * const output_8877[] = {
  "sbclt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsbclt\t%0.s, %2.s, %3.s",
};

static const char * const output_8878[] = {
  "sqrdmlah\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.s, %2.s, %3.s",
};

static const char * const output_8879[] = {
  "sqrdmlsh\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.s, %2.s, %3.s",
};

static const char * const output_8880[] = {
  "adclb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tadclb\t%0.d, %2.d, %3.d",
};

static const char * const output_8881[] = {
  "adclt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tadclt\t%0.d, %2.d, %3.d",
};

static const char * const output_8882[] = {
  "eorbt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\teorbt\t%0.d, %2.d, %3.d",
};

static const char * const output_8883[] = {
  "eortb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\teortb\t%0.d, %2.d, %3.d",
};

static const char * const output_8884[] = {
  "sbclb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsbclb\t%0.d, %2.d, %3.d",
};

static const char * const output_8885[] = {
  "sbclt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsbclt\t%0.d, %2.d, %3.d",
};

static const char * const output_8886[] = {
  "sqrdmlah\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.d, %2.d, %3.d",
};

static const char * const output_8887[] = {
  "sqrdmlsh\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.d, %2.d, %3.d",
};

static const char * const output_8888[] = {
  "sqrdmlah\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_8889[] = {
  "sqrdmlsh\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_8890[] = {
  "sqrdmlah\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_8891[] = {
  "sqrdmlsh\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_8892[] = {
  "sqrdmlah\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_8893[] = {
  "sqrdmlsh\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_8894[] = {
  "mla\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_8895[] = {
  "mla\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_8896[] = {
  "mla\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_8897[] = {
  "mls\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_8898[] = {
  "mls\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_8899[] = {
  "mls\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_8900[] = {
  "xar\t%0.b, %0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\txar\t%0.b, %0.b, %2.b, #%3",
};

static const char * const output_8901[] = {
  "xar\t%0.h, %0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\txar\t%0.h, %0.h, %2.h, #%3",
};

static const char * const output_8902[] = {
  "xar\t%0.s, %0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\txar\t%0.s, %0.s, %2.s, #%3",
};

static const char * const output_8903[] = {
  "xar\t%0.d, %0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\txar\t%0.d, %0.d, %2.d, #%3",
};

static const char * const output_8904[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8905[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8906[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8907[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8908[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8909[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8910[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8911[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8912[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_8913[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_8914[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_8915[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_8916[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_8917[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_8918[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_8919[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_8920[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_8921[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8922[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_8923[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8924[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_8925[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8926[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_8927[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8928[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_8929[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8930[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_8931[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8932[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_8933[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8934[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_8935[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8936[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_8937[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8938[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_8939[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8940[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_8941[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8942[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_8943[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_8944[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_8945[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_8946[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_8947[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_8948[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_8949[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_8950[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_8951[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_8952[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_8953[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_8954[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_8955[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_8956[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_8957[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_8958[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_8959[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_8960[] = {
  "ssra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.b, %2.b, #%3",
};

static const char * const output_8961[] = {
  "usra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.b, %2.b, #%3",
};

static const char * const output_8962[] = {
  "ssra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.h, %2.h, #%3",
};

static const char * const output_8963[] = {
  "usra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.h, %2.h, #%3",
};

static const char * const output_8964[] = {
  "ssra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.s, %2.s, #%3",
};

static const char * const output_8965[] = {
  "usra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.s, %2.s, #%3",
};

static const char * const output_8966[] = {
  "ssra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.d, %2.d, #%3",
};

static const char * const output_8967[] = {
  "usra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.d, %2.d, #%3",
};

static const char * const output_8968[] = {
  "srsra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.b, %2.b, #%3",
};

static const char * const output_8969[] = {
  "ursra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.b, %2.b, #%3",
};

static const char * const output_8970[] = {
  "srsra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.h, %2.h, #%3",
};

static const char * const output_8971[] = {
  "ursra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.h, %2.h, #%3",
};

static const char * const output_8972[] = {
  "srsra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.s, %2.s, #%3",
};

static const char * const output_8973[] = {
  "ursra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.s, %2.s, #%3",
};

static const char * const output_8974[] = {
  "srsra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.d, %2.d, #%3",
};

static const char * const output_8975[] = {
  "ursra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.d, %2.d, #%3",
};

static const char * const output_8984[] = {
  "saba\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsaba\t%0.b, %2.b, %3.b",
};

static const char * const output_8985[] = {
  "uaba\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuaba\t%0.b, %2.b, %3.b",
};

static const char * const output_8986[] = {
  "saba\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsaba\t%0.h, %2.h, %3.h",
};

static const char * const output_8987[] = {
  "uaba\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuaba\t%0.h, %2.h, %3.h",
};

static const char * const output_8988[] = {
  "saba\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsaba\t%0.s, %2.s, %3.s",
};

static const char * const output_8989[] = {
  "uaba\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuaba\t%0.s, %2.s, %3.s",
};

static const char * const output_8990[] = {
  "saba\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsaba\t%0.d, %2.d, %3.d",
};

static const char * const output_8991[] = {
  "uaba\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tuaba\t%0.d, %2.d, %3.d",
};

static const char * const output_9103[] = {
  "sabalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsabalb\t%0.h, %2.b, %3.b",
};

static const char * const output_9104[] = {
  "sabalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsabalt\t%0.h, %2.b, %3.b",
};

static const char * const output_9105[] = {
  "smlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_9106[] = {
  "smlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_9107[] = {
  "uabalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuabalb\t%0.h, %2.b, %3.b",
};

static const char * const output_9108[] = {
  "uabalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuabalt\t%0.h, %2.b, %3.b",
};

static const char * const output_9109[] = {
  "umlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_9110[] = {
  "umlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_9111[] = {
  "sabalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsabalb\t%0.s, %2.h, %3.h",
};

static const char * const output_9112[] = {
  "sabalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsabalt\t%0.s, %2.h, %3.h",
};

static const char * const output_9113[] = {
  "smlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_9114[] = {
  "smlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_9115[] = {
  "uabalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuabalb\t%0.s, %2.h, %3.h",
};

static const char * const output_9116[] = {
  "uabalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuabalt\t%0.s, %2.h, %3.h",
};

static const char * const output_9117[] = {
  "umlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_9118[] = {
  "umlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_9119[] = {
  "sabalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsabalb\t%0.d, %2.s, %3.s",
};

static const char * const output_9120[] = {
  "sabalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsabalt\t%0.d, %2.s, %3.s",
};

static const char * const output_9121[] = {
  "smlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_9122[] = {
  "smlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_9123[] = {
  "uabalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuabalb\t%0.d, %2.s, %3.s",
};

static const char * const output_9124[] = {
  "uabalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuabalt\t%0.d, %2.s, %3.s",
};

static const char * const output_9125[] = {
  "umlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_9126[] = {
  "umlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_9127[] = {
  "smlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9128[] = {
  "smlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9129[] = {
  "umlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9130[] = {
  "umlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9131[] = {
  "smlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9132[] = {
  "smlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9133[] = {
  "umlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9134[] = {
  "umlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9135[] = {
  "sqdmlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_9136[] = {
  "sqdmlalbt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.h, %2.b, %3.b",
};

static const char * const output_9137[] = {
  "sqdmlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_9138[] = {
  "sqdmlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_9139[] = {
  "sqdmlalbt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.s, %2.h, %3.h",
};

static const char * const output_9140[] = {
  "sqdmlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_9141[] = {
  "sqdmlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_9142[] = {
  "sqdmlalbt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.d, %2.s, %3.s",
};

static const char * const output_9143[] = {
  "sqdmlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_9144[] = {
  "sqdmlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9145[] = {
  "sqdmlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9146[] = {
  "sqdmlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9147[] = {
  "sqdmlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9148[] = {
  "smlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_9149[] = {
  "smlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_9150[] = {
  "umlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_9151[] = {
  "umlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_9152[] = {
  "smlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_9153[] = {
  "smlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_9154[] = {
  "umlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_9155[] = {
  "umlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_9156[] = {
  "smlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_9157[] = {
  "smlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_9158[] = {
  "umlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_9159[] = {
  "umlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_9160[] = {
  "smlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9161[] = {
  "smlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9162[] = {
  "umlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9163[] = {
  "umlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9164[] = {
  "smlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9165[] = {
  "smlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9166[] = {
  "umlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9167[] = {
  "umlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9168[] = {
  "sqdmlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_9169[] = {
  "sqdmlslbt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.h, %2.b, %3.b",
};

static const char * const output_9170[] = {
  "sqdmlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_9171[] = {
  "sqdmlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_9172[] = {
  "sqdmlslbt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.s, %2.h, %3.h",
};

static const char * const output_9173[] = {
  "sqdmlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_9174[] = {
  "sqdmlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_9175[] = {
  "sqdmlslbt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.d, %2.s, %3.s",
};

static const char * const output_9176[] = {
  "sqdmlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_9177[] = {
  "sqdmlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9178[] = {
  "sqdmlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9179[] = {
  "sqdmlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9180[] = {
  "sqdmlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_9181[] = {
  "fmlalb\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlalb\t%0.s, %1.h, %2.h",
};

static const char * const output_9182[] = {
  "fmlalt\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlalt\t%0.s, %1.h, %2.h",
};

static const char * const output_9183[] = {
  "fmlslb\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlslb\t%0.s, %1.h, %2.h",
};

static const char * const output_9184[] = {
  "fmlslt\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlslt\t%0.s, %1.h, %2.h",
};

static const char * const output_9185[] = {
  "fmlalb\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlalb\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_9186[] = {
  "fmlalt\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlalt\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_9187[] = {
  "fmlslb\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlslb\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_9188[] = {
  "fmlslt\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlslt\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_9279[] = {
  "addp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\taddp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_9280[] = {
  "smaxp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmaxp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_9281[] = {
  "sminp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsminp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_9282[] = {
  "umaxp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumaxp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_9283[] = {
  "uminp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuminp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_9284[] = {
  "addp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\taddp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9285[] = {
  "smaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9286[] = {
  "sminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9287[] = {
  "umaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9288[] = {
  "uminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9289[] = {
  "addp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\taddp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9290[] = {
  "smaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9291[] = {
  "sminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9292[] = {
  "umaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9293[] = {
  "uminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9294[] = {
  "addp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\taddp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9295[] = {
  "smaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9296[] = {
  "sminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9297[] = {
  "umaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9298[] = {
  "uminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9299[] = {
  "faddp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfaddp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9300[] = {
  "fmaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9301[] = {
  "fmaxnmp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9302[] = {
  "fminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9303[] = {
  "fminnmp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnmp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9304[] = {
  "faddp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfaddp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9305[] = {
  "fmaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9306[] = {
  "fmaxnmp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9307[] = {
  "fminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9308[] = {
  "fminnmp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnmp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9309[] = {
  "faddp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfaddp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9310[] = {
  "fmaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9311[] = {
  "fmaxnmp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9312[] = {
  "fminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9313[] = {
  "fminnmp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnmp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9314[] = {
  "sadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0, %2\n\tsadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_9315[] = {
  "uadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0, %2\n\tuadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_9316[] = {
  "sadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0, %2\n\tsadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_9317[] = {
  "uadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0, %2\n\tuadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_9318[] = {
  "sadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0, %2\n\tsadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_9319[] = {
  "uadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0, %2\n\tuadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_9320[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0.h, %1/z, %2.h\n\tsadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_9321[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0.h, %1/z, %2.h\n\tuadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_9322[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tsadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_9323[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tuadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_9324[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tsadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_9325[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tuadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_9326[] = {
  "cadd\t%0.b, %0.b, %2.b, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.b, %0.b, %2.b, #90",
};

static const char * const output_9327[] = {
  "cadd\t%0.b, %0.b, %2.b, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.b, %0.b, %2.b, #270",
};

static const char * const output_9328[] = {
  "sqcadd\t%0.b, %0.b, %2.b, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.b, %0.b, %2.b, #90",
};

static const char * const output_9329[] = {
  "sqcadd\t%0.b, %0.b, %2.b, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.b, %0.b, %2.b, #270",
};

static const char * const output_9330[] = {
  "cadd\t%0.h, %0.h, %2.h, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.h, %0.h, %2.h, #90",
};

static const char * const output_9331[] = {
  "cadd\t%0.h, %0.h, %2.h, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.h, %0.h, %2.h, #270",
};

static const char * const output_9332[] = {
  "sqcadd\t%0.h, %0.h, %2.h, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.h, %0.h, %2.h, #90",
};

static const char * const output_9333[] = {
  "sqcadd\t%0.h, %0.h, %2.h, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.h, %0.h, %2.h, #270",
};

static const char * const output_9334[] = {
  "cadd\t%0.s, %0.s, %2.s, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.s, %0.s, %2.s, #90",
};

static const char * const output_9335[] = {
  "cadd\t%0.s, %0.s, %2.s, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.s, %0.s, %2.s, #270",
};

static const char * const output_9336[] = {
  "sqcadd\t%0.s, %0.s, %2.s, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.s, %0.s, %2.s, #90",
};

static const char * const output_9337[] = {
  "sqcadd\t%0.s, %0.s, %2.s, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.s, %0.s, %2.s, #270",
};

static const char * const output_9338[] = {
  "cadd\t%0.d, %0.d, %2.d, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.d, %0.d, %2.d, #90",
};

static const char * const output_9339[] = {
  "cadd\t%0.d, %0.d, %2.d, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.d, %0.d, %2.d, #270",
};

static const char * const output_9340[] = {
  "sqcadd\t%0.d, %0.d, %2.d, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.d, %0.d, %2.d, #90",
};

static const char * const output_9341[] = {
  "sqcadd\t%0.d, %0.d, %2.d, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.d, %0.d, %2.d, #270",
};

static const char * const output_9342[] = {
  "cmla\t%0.b, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #0",
};

static const char * const output_9343[] = {
  "cmla\t%0.b, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #90",
};

static const char * const output_9344[] = {
  "cmla\t%0.b, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #180",
};

static const char * const output_9345[] = {
  "cmla\t%0.b, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #270",
};

static const char * const output_9346[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #0",
};

static const char * const output_9347[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #90",
};

static const char * const output_9348[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #180",
};

static const char * const output_9349[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #270",
};

static const char * const output_9350[] = {
  "cmla\t%0.h, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #0",
};

static const char * const output_9351[] = {
  "cmla\t%0.h, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #90",
};

static const char * const output_9352[] = {
  "cmla\t%0.h, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #180",
};

static const char * const output_9353[] = {
  "cmla\t%0.h, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #270",
};

static const char * const output_9354[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #0",
};

static const char * const output_9355[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #90",
};

static const char * const output_9356[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #180",
};

static const char * const output_9357[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #270",
};

static const char * const output_9358[] = {
  "cmla\t%0.s, %2.s, %3.s, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #0",
};

static const char * const output_9359[] = {
  "cmla\t%0.s, %2.s, %3.s, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #90",
};

static const char * const output_9360[] = {
  "cmla\t%0.s, %2.s, %3.s, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #180",
};

static const char * const output_9361[] = {
  "cmla\t%0.s, %2.s, %3.s, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #270",
};

static const char * const output_9362[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #0",
};

static const char * const output_9363[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #90",
};

static const char * const output_9364[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #180",
};

static const char * const output_9365[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #270",
};

static const char * const output_9366[] = {
  "cmla\t%0.d, %2.d, %3.d, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #0",
};

static const char * const output_9367[] = {
  "cmla\t%0.d, %2.d, %3.d, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #90",
};

static const char * const output_9368[] = {
  "cmla\t%0.d, %2.d, %3.d, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #180",
};

static const char * const output_9369[] = {
  "cmla\t%0.d, %2.d, %3.d, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #270",
};

static const char * const output_9370[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #0",
};

static const char * const output_9371[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #90",
};

static const char * const output_9372[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #180",
};

static const char * const output_9373[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #270",
};

static const char * const output_9374[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #0",
};

static const char * const output_9375[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #90",
};

static const char * const output_9376[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #180",
};

static const char * const output_9377[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #270",
};

static const char * const output_9378[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #0",
};

static const char * const output_9379[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #90",
};

static const char * const output_9380[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #180",
};

static const char * const output_9381[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #270",
};

static const char * const output_9382[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #0",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #0",
};

static const char * const output_9383[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #90",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #90",
};

static const char * const output_9384[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #180",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #180",
};

static const char * const output_9385[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #270",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #270",
};

static const char * const output_9386[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #0",
};

static const char * const output_9387[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #90",
};

static const char * const output_9388[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #180",
};

static const char * const output_9389[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #270",
};

static const char * const output_9390[] = {
  "cdot\t%0.s, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #0",
};

static const char * const output_9391[] = {
  "cdot\t%0.s, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #90",
};

static const char * const output_9392[] = {
  "cdot\t%0.s, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #180",
};

static const char * const output_9393[] = {
  "cdot\t%0.s, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #270",
};

static const char * const output_9394[] = {
  "cdot\t%0.d, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #0",
};

static const char * const output_9395[] = {
  "cdot\t%0.d, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #90",
};

static const char * const output_9396[] = {
  "cdot\t%0.d, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #180",
};

static const char * const output_9397[] = {
  "cdot\t%0.d, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #270",
};

static const char * const output_9398[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #0",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #0",
};

static const char * const output_9399[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #90",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #90",
};

static const char * const output_9400[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #180",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #180",
};

static const char * const output_9401[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #270",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #270",
};

static const char * const output_9402[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #0",
};

static const char * const output_9403[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #90",
};

static const char * const output_9404[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #180",
};

static const char * const output_9405[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #270",
};

static const char * const output_9414[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_9415[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_9416[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_9418[] = {
  "urecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\turecpe\t%0.s, %1/m, %2.s",
};

static const char * const output_9419[] = {
  "ursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tursqrte\t%0.s, %1/m, %2.s",
};

static const char * const output_9420[] = {
  "urecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\turecpe\t%0.s, %1/m, %2.s",
};

static const char * const output_9421[] = {
  "ursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tursqrte\t%0.s, %1/m, %2.s",
};

static const char * const output_9422[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_9423[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_9424[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tflogb\t%0.d, %1/m, %2.d",
};

static const char * const output_9425[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tflogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_9426[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tflogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_9427[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tflogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tflogb\t%0.d, %1/m, %2.d",
};

static const char * const output_9428[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tflogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_9429[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tflogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_9430[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tflogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tflogb\t%0.d, %1/m, %2.d",
};



static const struct insn_operand_data operand_data[] = 
{
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ccmp_operand,
    "r,Uss,Usn",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ccmp_operand,
    "r,Uss,Usn",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPEmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPEmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_prefetch_operand,
    "Dp",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucr,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucs,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucs,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=r,r,w,r,r,w,m,m,r,w,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,M,Dq,Usv,m,m,rZ,w,w,r,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=r,r,w,r,r,w,m,m,r,w,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,M,Dh,Usv,m,m,rZ,w,w,r,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=r,k,r,r,r,r,r,w,m,m,r,r,w,r,w,w",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,r,k,M,n,Usv,m,m,rZ,w,Usa,Ush,rZ,w,w,Ds",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=r,k,r,r,r,r,r,r,w,m,m,r,r,w,r,w,w",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "r,r,k,N,M,n,Usv,m,m,rZ,w,Usa,Ush,rZ,w,w,Dd",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=r,w,w,r,w,r,m,m,w,m",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_movti_operand,
    "rUti,Z,r,w,w,m,r,Z,m,w",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,w,?r,w,w,w,w,m,r,m,r",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,?r,w,w,Ufc,Uvi,m,w,m,rY,r",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,w,?r,w,w,w,w,m,r,m,r",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,?r,w,w,Ufc,Uvi,m,w,m,rY,r",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,M",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,N",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,?r,w,?r,w,?w,w,m,?r,m,m",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,?rY,?r,w,Y,Y,m,w,m,?r,Y",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump,Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_zero_or_fp_zero,
    "rYZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&k",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_offset,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w,w,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,r,m,w,w",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump,Ump",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=rk,rk,w,rk,r,r,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,w,rk,rk,0,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,w,J,Uaa,Uai,Uav",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,rk,w,rk,r,r,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,w,rk,rk,0,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,w,J,Uaa,Uai,Uav",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,rk,rk,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,J,Uaa",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk,rk,0,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "I,r,J,Uaa,Uav,Uai,Uat",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk,rk,0,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "I,r,J,Uaa,Uav,Uai,Uat",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ,rkZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "J,I",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ,rkZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "J,I",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "Y,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "Y,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_QImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cnt_immediate,
    "Usv",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cnt_immediate,
    "Usv",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_and_immediate,
    "UsO",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_and_immediate,
    "UsP",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,L,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,L",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,?w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r,Uss,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r,Usd,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r,Usg,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r,Usj,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Uss,r,Usg,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt,Dt",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt,Dt",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,X",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,X",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "L",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "L",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "=m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_uimm6,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_memtag_tag_offset,
    "i",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_simm9,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_simm9,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,m,w,?r,?w,?r,w",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,?r,?w,?r,w",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,r,r,Dn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "=m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_operand,
    "=Ump",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_bic_imm,
    "w,Db",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_general_operand,
    "w,?r,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "w,?r,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=w,Utv,w",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_general_operand,
    "w,w,Utv",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "Usd",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_imm,
    "rn",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plushi_operand,
    "rUph",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_BLKmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_minus_one,
    "Dm,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPb",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPh",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPw",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPd",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_b,
    "UOb",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_w,
    "UOw",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_d,
    "UOd",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_w,
    "UOw",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_d,
    "UOd",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm64_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_bytes_per_sve_vector_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_bytes_per_sve_vector_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
};


#if GCC_VERSION >= 2007
__extension__
#endif

const struct insn_data_d insn_data[] = 
{
  /* <internal>:0 */
  {
    "*placeholder_for_nothing",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { 0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:470 */
  {
    "indirect_jump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1 },
#else
    { 0, 0, output_1 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_indirect_jump },
    &operand_data[1],
    1,
    1,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:481 */
  {
    "jump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "b\t%l0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_jump },
    &operand_data[2],
    1,
    1,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:526 */
  {
    "ccmpccsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3 },
#else
    { 0, output_3, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccsi },
    &operand_data[3],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:526 */
  {
    "ccmpccdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4 },
#else
    { 0, output_4, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccdi },
    &operand_data[9],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:546 */
  {
    "ccmpccfpsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%s2, %s3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpsf },
    &operand_data[15],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:546 */
  {
    "ccmpccfpdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%d2, %d3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpdf },
    &operand_data[21],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:546 */
  {
    "ccmpccfpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%s2, %s3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpesf },
    &operand_data[27],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:546 */
  {
    "ccmpccfpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%d2, %d3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpedf },
    &operand_data[33],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:563 */
  {
    "ccmpccsi_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9 },
#else
    { 0, output_9, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccsi_rev },
    &operand_data[3],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:563 */
  {
    "ccmpccdi_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10 },
#else
    { 0, output_10, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccdi_rev },
    &operand_data[9],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:583 */
  {
    "ccmpccfpsf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%s2, %s3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpsf_rev },
    &operand_data[15],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:583 */
  {
    "ccmpccfpdf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%d2, %d3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpdf_rev },
    &operand_data[21],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:583 */
  {
    "ccmpccfpesf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%s2, %s3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpesf_rev },
    &operand_data[27],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:583 */
  {
    "ccmpccfpedf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%d2, %d3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpedf_rev },
    &operand_data[33],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:656 */
  {
    "condjump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_15 },
#else
    { 0, 0, output_15 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_condjump },
    &operand_data[39],
    3,
    3,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:695 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:695 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:695 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:695 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[42],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:695 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:695 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:695 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:695 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[45],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:781 */
  {
    "*casesi_dispatch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_24 },
#else
    { 0, 0, output_24 },
#endif
    { 0 },
    &operand_data[48],
    3,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:799 */
  {
    "nop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nop },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:806 */
  {
    "prefetch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_26 },
#else
    { 0, 0, output_26 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_prefetch },
    &operand_data[53],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:837 */
  {
    "trap",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brk #1000",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_trap },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:870 */
  {
    "*do_return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_28 },
#else
    { 0, 0, output_28 },
#endif
    { 0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:899 */
  {
    "simple_return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_29 },
#else
    { 0, 0, output_29 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_simple_return },
    &operand_data[0],
    0,
    0,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:910 */
  {
    "*cbeqsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_30 },
#else
    { 0, 0, output_30 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:910 */
  {
    "*cbnesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_31 },
#else
    { 0, 0, output_31 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:910 */
  {
    "*cbeqdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_32 },
#else
    { 0, 0, output_32 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:910 */
  {
    "*cbnedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_33 },
#else
    { 0, 0, output_33 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:935 */
  {
    "*tbeqsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_34 },
#else
    { 0, 0, output_34 },
#endif
    { 0 },
    &operand_data[56],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:935 */
  {
    "*tbnesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_35 },
#else
    { 0, 0, output_35 },
#endif
    { 0 },
    &operand_data[56],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:935 */
  {
    "*tbeqdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_36 },
#else
    { 0, 0, output_36 },
#endif
    { 0 },
    &operand_data[59],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:935 */
  {
    "*tbnedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_37 },
#else
    { 0, 0, output_37 },
#endif
    { 0 },
    &operand_data[59],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:975 */
  {
    "*cbltqi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_38 },
#else
    { 0, 0, output_38 },
#endif
    { 0 },
    &operand_data[62],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:975 */
  {
    "*cbgeqi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_39 },
#else
    { 0, 0, output_39 },
#endif
    { 0 },
    &operand_data[62],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:975 */
  {
    "*cblthi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_40 },
#else
    { 0, 0, output_40 },
#endif
    { 0 },
    &operand_data[64],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:975 */
  {
    "*cbgehi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_41 },
#else
    { 0, 0, output_41 },
#endif
    { 0 },
    &operand_data[64],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:975 */
  {
    "*cbltsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_42 },
#else
    { 0, 0, output_42 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:975 */
  {
    "*cbgesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_43 },
#else
    { 0, 0, output_43 },
#endif
    { 0 },
    &operand_data[49],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:975 */
  {
    "*cbltdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_44 },
#else
    { 0, 0, output_44 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:975 */
  {
    "*cbgedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_45 },
#else
    { 0, 0, output_45 },
#endif
    { 0 },
    &operand_data[1],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1032 */
  {
    "*call_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_46 },
#else
    { 0, 0, output_46 },
#endif
    { 0 },
    &operand_data[66],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1058 */
  {
    "*call_value_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_47 },
#else
    { 0, 0, output_47 },
#endif
    { 0 },
    &operand_data[65],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1098 */
  {
    "*sibcall_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_48 },
#else
    { 0, 0, output_48 },
#endif
    { 0 },
    &operand_data[69],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1116 */
  {
    "*sibcall_value_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_49 },
#else
    { 0, 0, output_49 },
#endif
    { 0 },
    &operand_data[72],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1185 */
  {
    "*movqi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_50 },
#else
    { 0, 0, output_50 },
#endif
    { 0 },
    &operand_data[76],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1185 */
  {
    "*movhi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_51 },
#else
    { 0, 0, output_51 },
#endif
    { 0 },
    &operand_data[78],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1250 */
  {
    "*movsi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_52 },
#else
    { 0, 0, output_52 },
#endif
    { 0 },
    &operand_data[80],
    2,
    2,
    0,
    16,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1285 */
  {
    "*movdi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_53 },
#else
    { 0, 0, output_53 },
#endif
    { 0 },
    &operand_data[82],
    2,
    2,
    0,
    17,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1322 */
  {
    "insv_immsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movk\t%w0, %X2, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insv_immsi },
    &operand_data[84],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1322 */
  {
    "insv_immdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movk\t%x0, %X2, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insv_immdi },
    &operand_data[87],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1334 */
  {
    "aarch64_movksi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_56 },
#else
    { 0, 0, output_56 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movksi },
    &operand_data[90],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1334 */
  {
    "aarch64_movkdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_57 },
#else
    { 0, 0, output_57 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movkdi },
    &operand_data[94],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1369 */
  {
    "*movti_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_58 },
#else
    { 0, output_58, 0 },
#endif
    { 0 },
    &operand_data[98],
    2,
    2,
    0,
    10,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1429 */
  {
    "*movhf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_59 },
#else
    { 0, 0, output_59 },
#endif
    { 0 },
    &operand_data[100],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1429 */
  {
    "*movbf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_60 },
#else
    { 0, 0, output_60 },
#endif
    { 0 },
    &operand_data[102],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1452 */
  {
    "*movsf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_61 },
#else
    { 0, 0, output_61 },
#endif
    { 0 },
    &operand_data[104],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1476 */
  {
    "*movdf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_62 },
#else
    { 0, 0, output_62 },
#endif
    { 0 },
    &operand_data[106],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1520 */
  {
    "*movtf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_63 },
#else
    { 0, output_63, 0 },
#endif
    { 0 },
    &operand_data[108],
    2,
    2,
    0,
    11,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1594 */
  {
    "load_pair_sw_sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_64 },
#else
    { 0, output_64, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_sw_sisi },
    &operand_data[110],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1594 */
  {
    "load_pair_sw_sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_65 },
#else
    { 0, output_65, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_sw_sfsi },
    &operand_data[114],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1594 */
  {
    "load_pair_sw_sisf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_66 },
#else
    { 0, output_66, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_sw_sisf },
    &operand_data[118],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1594 */
  {
    "load_pair_sw_sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_67 },
#else
    { 0, output_67, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_sw_sfsf },
    &operand_data[122],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1611 */
  {
    "load_pair_dw_didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_68 },
#else
    { 0, output_68, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_didi },
    &operand_data[126],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1611 */
  {
    "load_pair_dw_didf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_69 },
#else
    { 0, output_69, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_didf },
    &operand_data[130],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1611 */
  {
    "load_pair_dw_dfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_70 },
#else
    { 0, output_70, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_dfdi },
    &operand_data[134],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1611 */
  {
    "load_pair_dw_dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_71 },
#else
    { 0, output_71, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_dfdf },
    &operand_data[138],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1627 */
  {
    "load_pair_dw_tftf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_dw_tftf },
    &operand_data[142],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1644 */
  {
    "store_pair_sw_sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_73 },
#else
    { 0, output_73, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_sw_sisi },
    &operand_data[146],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1644 */
  {
    "store_pair_sw_sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_74 },
#else
    { 0, output_74, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_sw_sfsi },
    &operand_data[150],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1644 */
  {
    "store_pair_sw_sisf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_75 },
#else
    { 0, output_75, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_sw_sisf },
    &operand_data[154],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1644 */
  {
    "store_pair_sw_sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_76 },
#else
    { 0, output_76, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_sw_sfsf },
    &operand_data[158],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1661 */
  {
    "store_pair_dw_didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_77 },
#else
    { 0, output_77, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_didi },
    &operand_data[162],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1661 */
  {
    "store_pair_dw_didf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_78 },
#else
    { 0, output_78, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_didf },
    &operand_data[166],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1661 */
  {
    "store_pair_dw_dfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_79 },
#else
    { 0, output_79, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_dfdi },
    &operand_data[170],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1661 */
  {
    "store_pair_dw_dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_80 },
#else
    { 0, output_80, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_dfdf },
    &operand_data[174],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1677 */
  {
    "store_pair_dw_tftf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_dw_tftf },
    &operand_data[178],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1694 */
  {
    "loadwb_pairsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%w2, %w3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsi_si },
    &operand_data[182],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1694 */
  {
    "loadwb_pairsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%w2, %w3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsi_di },
    &operand_data[188],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1694 */
  {
    "loadwb_pairdi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%x2, %x3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdi_si },
    &operand_data[194],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1694 */
  {
    "loadwb_pairdi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%x2, %x3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdi_di },
    &operand_data[200],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1709 */
  {
    "loadwb_pairsf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%s2, %s3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsf_si },
    &operand_data[206],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1709 */
  {
    "loadwb_pairdf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d2, %d3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdf_si },
    &operand_data[212],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1709 */
  {
    "loadwb_pairsf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%s2, %s3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairsf_di },
    &operand_data[218],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1709 */
  {
    "loadwb_pairdf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d2, %d3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairdf_di },
    &operand_data[224],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1724 */
  {
    "loadwb_pairti_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairti_si },
    &operand_data[230],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1724 */
  {
    "loadwb_pairtf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairtf_si },
    &operand_data[236],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1724 */
  {
    "loadwb_pairti_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairti_di },
    &operand_data[242],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1724 */
  {
    "loadwb_pairtf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_loadwb_pairtf_di },
    &operand_data[248],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1741 */
  {
    "storewb_pairsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%w2, %w3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsi_si },
    &operand_data[254],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1741 */
  {
    "storewb_pairsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%w2, %w3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsi_di },
    &operand_data[260],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1741 */
  {
    "storewb_pairdi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%x2, %x3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdi_si },
    &operand_data[266],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1741 */
  {
    "storewb_pairdi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%x2, %x3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdi_di },
    &operand_data[272],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1757 */
  {
    "storewb_pairsf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%s2, %s3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsf_si },
    &operand_data[278],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1757 */
  {
    "storewb_pairdf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d2, %d3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdf_si },
    &operand_data[284],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1757 */
  {
    "storewb_pairsf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%s2, %s3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairsf_di },
    &operand_data[290],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1757 */
  {
    "storewb_pairdf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d2, %d3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairdf_di },
    &operand_data[296],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1773 */
  {
    "storewb_pairti_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairti_si },
    &operand_data[302],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1773 */
  {
    "storewb_pairtf_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairtf_si },
    &operand_data[308],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1773 */
  {
    "storewb_pairti_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairti_di },
    &operand_data[314],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1773 */
  {
    "storewb_pairtf_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_storewb_pairtf_di },
    &operand_data[320],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1801 */
  {
    "*extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_106 },
#else
    { 0, output_106, 0 },
#endif
    { 0 },
    &operand_data[326],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1811 */
  {
    "*load_pair_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldpsw\t%0, %2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[328],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1824 */
  {
    "*zero_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_108 },
#else
    { 0, output_108, 0 },
#endif
    { 0 },
    &operand_data[332],
    2,
    2,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1839 */
  {
    "*load_pair_zero_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_109 },
#else
    { 0, output_109, 0 },
#endif
    { 0 },
    &operand_data[334],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1861 */
  {
    "*extendqisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_110 },
#else
    { 0, output_110, 0 },
#endif
    { 0 },
    &operand_data[338],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1861 */
  {
    "*extendhisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_111 },
#else
    { 0, output_111, 0 },
#endif
    { 0 },
    &operand_data[340],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1861 */
  {
    "*extendqidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_112 },
#else
    { 0, output_112, 0 },
#endif
    { 0 },
    &operand_data[342],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1861 */
  {
    "*extendhidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_113 },
#else
    { 0, output_113, 0 },
#endif
    { 0 },
    &operand_data[344],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1871 */
  {
    "*zero_extendqisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_114 },
#else
    { 0, output_114, 0 },
#endif
    { 0 },
    &operand_data[346],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1871 */
  {
    "*zero_extendhisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_115 },
#else
    { 0, output_115, 0 },
#endif
    { 0 },
    &operand_data[348],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1871 */
  {
    "*zero_extendqidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_116 },
#else
    { 0, output_116, 0 },
#endif
    { 0 },
    &operand_data[350],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1871 */
  {
    "*zero_extendhidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_117 },
#else
    { 0, output_117, 0 },
#endif
    { 0 },
    &operand_data[352],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1889 */
  {
    "*extendqihi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_118 },
#else
    { 0, output_118, 0 },
#endif
    { 0 },
    &operand_data[354],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1899 */
  {
    "*zero_extendqihi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_119 },
#else
    { 0, output_119, 0 },
#endif
    { 0 },
    &operand_data[354],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1942 */
  {
    "*addsi3_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_120 },
#else
    { 0, 0, output_120 },
#endif
    { 0 },
    &operand_data[356],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1942 */
  {
    "*adddi3_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_121 },
#else
    { 0, 0, output_121 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1963 */
  {
    "*addsi3_aarch64_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_122 },
#else
    { 0, output_122, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2036 */
  {
    "*addsi3_poly_1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_123 },
#else
    { 0, 0, output_123 },
#endif
    { 0 },
    &operand_data[365],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2036 */
  {
    "*adddi3_poly_1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_124 },
#else
    { 0, 0, output_124 },
#endif
    { 0 },
    &operand_data[368],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2213 */
  {
    "addsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_125 },
#else
    { 0, output_125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compare0 },
    &operand_data[371],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2213 */
  {
    "adddi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_126 },
#else
    { 0, output_126, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compare0 },
    &operand_data[374],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2230 */
  {
    "*addsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_127 },
#else
    { 0, output_127, 0 },
#endif
    { 0 },
    &operand_data[377],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2246 */
  {
    "*addsi3_compareC_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_128 },
#else
    { 0, output_128, 0 },
#endif
    { 0 },
    &operand_data[380],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2246 */
  {
    "*adddi3_compareC_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_129 },
#else
    { 0, output_129, 0 },
#endif
    { 0 },
    &operand_data[382],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2261 */
  {
    "addsi3_compareC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_130 },
#else
    { 0, output_130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareC },
    &operand_data[384],
    3,
    3,
    3,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2261 */
  {
    "adddi3_compareC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_131 },
#else
    { 0, output_131, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareC },
    &operand_data[387],
    3,
    3,
    3,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2278 */
  {
    "*addsi3_compareV_cconly_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_132 },
#else
    { 0, output_132, 0 },
#endif
    { 0 },
    &operand_data[390],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2278 */
  {
    "*adddi3_compareV_cconly_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_133 },
#else
    { 0, output_133, 0 },
#endif
    { 0 },
    &operand_data[393],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2295 */
  {
    "*addsi3_compareV_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[256],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2295 */
  {
    "*adddi3_compareV_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[268],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2307 */
  {
    "addsi3_compareV_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_136 },
#else
    { 0, output_136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareV_imm },
    &operand_data[396],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2307 */
  {
    "adddi3_compareV_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_137 },
#else
    { 0, output_137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareV_imm },
    &operand_data[399],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2325 */
  {
    "addsi3_compareV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareV },
    &operand_data[402],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2325 */
  {
    "adddi3_compareV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareV },
    &operand_data[405],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2339 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2339 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2339 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2339 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2339 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2339 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2355 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsl %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[416],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2355 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, asr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[416],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2355 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[416],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2355 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsl %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[420],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2355 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, asr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[420],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2355 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[420],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2371 */
  {
    "*adds_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[424],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2371 */
  {
    "*adds_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[424],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2371 */
  {
    "*adds_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[427],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2371 */
  {
    "*adds_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[427],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2371 */
  {
    "*adds_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[430],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2371 */
  {
    "*adds_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[430],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2371 */
  {
    "*adds_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[433],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2371 */
  {
    "*adds_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[433],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2371 */
  {
    "*adds_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2371 */
  {
    "*adds_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[436],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2371 */
  {
    "*adds_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2371 */
  {
    "*adds_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2385 */
  {
    "*subs_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[442],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2385 */
  {
    "*subs_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[442],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2385 */
  {
    "*subs_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[445],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2385 */
  {
    "*subs_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[445],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2385 */
  {
    "*subs_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[448],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2385 */
  {
    "*subs_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[448],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2385 */
  {
    "*subs_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2385 */
  {
    "*subs_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2385 */
  {
    "*subs_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[402],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2385 */
  {
    "*subs_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[402],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2385 */
  {
    "*subs_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[454],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2385 */
  {
    "*subs_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[454],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*adds_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[457],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*adds_zero_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[457],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*adds_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[461],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*adds_zero_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[461],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*adds_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[465],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*adds_zero_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[465],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*adds_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[469],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*adds_zero_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[469],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*adds_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[473],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*adds_zero_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[473],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*adds_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[477],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2399 */
  {
    "*adds_zero_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[477],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*subs_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[481],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*subs_zero_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[481],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*subs_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*subs_zero_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*subs_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[489],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*subs_zero_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[489],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*subs_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[493],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*subs_zero_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[493],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*subs_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*subs_zero_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*subs_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2417 */
  {
    "*subs_zero_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2435 */
  {
    "*addsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_200 },
#else
    { 0, output_200, 0 },
#endif
    { 0 },
    &operand_data[505],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2435 */
  {
    "*adddi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_201 },
#else
    { 0, output_201, 0 },
#endif
    { 0 },
    &operand_data[507],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2449 */
  {
    "aarch64_subsi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subsi_compare0 },
    &operand_data[509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2449 */
  {
    "aarch64_subdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subdi_compare0 },
    &operand_data[511],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2460 */
  {
    "*compare_negsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%w1, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[256],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2460 */
  {
    "*compare_negdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%x1, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[268],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2470 */
  {
    "*add_lsl_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2470 */
  {
    "*add_asr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2470 */
  {
    "*add_lsr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2470 */
  {
    "*add_lsl_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2470 */
  {
    "*add_asr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2470 */
  {
    "*add_lsr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2481 */
  {
    "*add_lsl_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2481 */
  {
    "*add_asr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2481 */
  {
    "*add_lsr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2492 */
  {
    "*add_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2492 */
  {
    "*add_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[517],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2492 */
  {
    "*add_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2492 */
  {
    "*add_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2492 */
  {
    "*add_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[523],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2492 */
  {
    "*add_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[523],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2492 */
  {
    "*add_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[526],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2492 */
  {
    "*add_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[526],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2492 */
  {
    "*add_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[529],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2492 */
  {
    "*add_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[529],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2492 */
  {
    "*add_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[532],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2492 */
  {
    "*add_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[532],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2502 */
  {
    "*add_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[535],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2502 */
  {
    "*add_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[535],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2502 */
  {
    "*add_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[538],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2502 */
  {
    "*add_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[538],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2502 */
  {
    "*add_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2502 */
  {
    "*add_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[520],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2502 */
  {
    "*add_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[526],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2502 */
  {
    "*add_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[526],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2512 */
  {
    "*add_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2512 */
  {
    "*add_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2512 */
  {
    "*add_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[545],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2512 */
  {
    "*add_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[545],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2512 */
  {
    "*add_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[549],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2512 */
  {
    "*add_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[549],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2512 */
  {
    "*add_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[553],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2512 */
  {
    "*add_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[553],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2512 */
  {
    "*add_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[557],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2512 */
  {
    "*add_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[557],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2512 */
  {
    "*add_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[561],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2512 */
  {
    "*add_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[561],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2524 */
  {
    "*add_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[565],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2524 */
  {
    "*add_zero_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[565],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2524 */
  {
    "*add_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[569],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2524 */
  {
    "*add_zero_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[569],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2550 */
  {
    "*addsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[573],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2550 */
  {
    "*adddi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[577],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2563 */
  {
    "*addsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2603 */
  {
    "*addsi3_carryinC_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[585],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2603 */
  {
    "*adddi3_carryinC_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[590],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2619 */
  {
    "*addsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[595],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2619 */
  {
    "*adddi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[601],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2665 */
  {
    "*addsi3_carryinV_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[585],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2665 */
  {
    "*adddi3_carryinV_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[590],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2682 */
  {
    "*addsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[595],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2682 */
  {
    "*adddi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[601],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2705 */
  {
    "*add_uxtsi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_262 },
#else
    { 0, 0, output_262 },
#endif
    { 0 },
    &operand_data[607],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2705 */
  {
    "*add_uxtdi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_263 },
#else
    { 0, 0, output_263 },
#endif
    { 0 },
    &operand_data[612],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2721 */
  {
    "*add_uxtsi_shift2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_264 },
#else
    { 0, 0, output_264 },
#endif
    { 0 },
    &operand_data[617],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2737 */
  {
    "subsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3 },
    &operand_data[497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2747 */
  {
    "*subsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[622],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2757 */
  {
    "subdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_267 },
#else
    { 0, output_267, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3 },
    &operand_data[625],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2785 */
  {
    "subvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi_insn },
    &operand_data[402],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2785 */
  {
    "subvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi_insn },
    &operand_data[405],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2801 */
  {
    "subvsi_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_270 },
#else
    { 0, output_270, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi_imm },
    &operand_data[396],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2801 */
  {
    "subvdi_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_271 },
#else
    { 0, output_271, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi_imm },
    &operand_data[399],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2832 */
  {
    "negvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi_insn },
    &operand_data[408],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2832 */
  {
    "negvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_insn },
    &operand_data[412],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2845 */
  {
    "negvsi_cmp_only",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%wzr, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi_cmp_only },
    &operand_data[42],
    1,
    1,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2845 */
  {
    "negvdi_cmp_only",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%xzr, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_cmp_only },
    &operand_data[1],
    1,
    1,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2856 */
  {
    "*cmpvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_276 },
#else
    { 0, output_276, 0 },
#endif
    { 0 },
    &operand_data[380],
    2,
    2,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2856 */
  {
    "*cmpvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_277 },
#else
    { 0, output_277, 0 },
#endif
    { 0 },
    &operand_data[382],
    2,
    2,
    2,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2959 */
  {
    "negdi_carryout",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi_carryout },
    &operand_data[412],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2970 */
  {
    "negvdi_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngcs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_carryinV },
    &operand_data[412],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2987 */
  {
    "*subsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[402],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2987 */
  {
    "*subdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[405],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3000 */
  {
    "*subsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[628],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3012 */
  {
    "subsi3_compare1_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_283 },
#else
    { 0, output_283, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_compare1_imm },
    &operand_data[631],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3012 */
  {
    "subdi3_compare1_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_284 },
#else
    { 0, output_284, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_compare1_imm },
    &operand_data[635],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3028 */
  {
    "subsi3_compare1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_compare1 },
    &operand_data[639],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3028 */
  {
    "subdi3_compare1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_compare1 },
    &operand_data[642],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3116 */
  {
    "*sub_lsl_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3116 */
  {
    "*sub_asr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3116 */
  {
    "*sub_lsr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3116 */
  {
    "*sub_lsl_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3116 */
  {
    "*sub_asr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3116 */
  {
    "*sub_lsr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3128 */
  {
    "*sub_lsl_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3128 */
  {
    "*sub_asr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3128 */
  {
    "*sub_lsr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3140 */
  {
    "*sub_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[481],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3140 */
  {
    "*sub_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[481],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3140 */
  {
    "*sub_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3140 */
  {
    "*sub_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3140 */
  {
    "*sub_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[489],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3140 */
  {
    "*sub_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[489],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3140 */
  {
    "*sub_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3140 */
  {
    "*sub_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3140 */
  {
    "*sub_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3140 */
  {
    "*sub_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3140 */
  {
    "*sub_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3140 */
  {
    "*sub_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3151 */
  {
    "*sub_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[645],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3151 */
  {
    "*sub_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[645],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3151 */
  {
    "*sub_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[648],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3151 */
  {
    "*sub_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[648],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3162 */
  {
    "*sub_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[481],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3162 */
  {
    "*sub_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[481],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3162 */
  {
    "*sub_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3162 */
  {
    "*sub_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3162 */
  {
    "*sub_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[489],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3162 */
  {
    "*sub_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[489],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3162 */
  {
    "*sub_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[493],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3162 */
  {
    "*sub_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[493],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3162 */
  {
    "*sub_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3162 */
  {
    "*sub_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[497],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3162 */
  {
    "*sub_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3162 */
  {
    "*sub_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[501],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3174 */
  {
    "*sub_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[651],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3174 */
  {
    "*sub_zero_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[651],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3174 */
  {
    "*sub_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[655],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3174 */
  {
    "*sub_zero_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[655],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*subsi3_carryin0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3192 */
  {
    "*subdi3_carryin0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[662],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3203 */
  {
    "*subsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[665],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3225 */
  {
    "*subsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[668],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3225 */
  {
    "*subdi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[672],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3239 */
  {
    "*subsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[676],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3253 */
  {
    "*subsi3_carryin_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[668],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3253 */
  {
    "*subdi3_carryin_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[672],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3266 */
  {
    "*subsi3_carryin_alt_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[676],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3296 */
  {
    "*usubsi3_carryinC_z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, wzr, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[680],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3296 */
  {
    "*usubdi3_carryinC_z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, xzr, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[684],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3313 */
  {
    "*usubsi3_carryinC_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[680],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3313 */
  {
    "*usubdi3_carryinC_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[684],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3328 */
  {
    "*usubsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[688],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3328 */
  {
    "*usubdi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[693],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3368 */
  {
    "*subsi3_carryinV_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[680],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3368 */
  {
    "*subdi3_carryinV_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[684],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3385 */
  {
    "*subsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[688],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3385 */
  {
    "*subdi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[693],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3409 */
  {
    "*sub_uxtsi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_347 },
#else
    { 0, 0, output_347 },
#endif
    { 0 },
    &operand_data[698],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3409 */
  {
    "*sub_uxtdi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_348 },
#else
    { 0, 0, output_348 },
#endif
    { 0 },
    &operand_data[703],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3425 */
  {
    "*sub_uxtsi_shift2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_349 },
#else
    { 0, 0, output_349 },
#endif
    { 0 },
    &operand_data[708],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3453 */
  {
    "negsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_350 },
#else
    { 0, output_350, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsi2 },
    &operand_data[713],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3453 */
  {
    "negdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_351 },
#else
    { 0, output_351, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi2 },
    &operand_data[715],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3465 */
  {
    "*negsi2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3473 */
  {
    "*ngcsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3473 */
  {
    "*ngcdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3483 */
  {
    "*ngcsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[723],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3494 */
  {
    "negsi2_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsi2_compare0 },
    &operand_data[408],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3494 */
  {
    "negdi2_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi2_compare0 },
    &operand_data[412],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3506 */
  {
    "*negsi2_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3517 */
  {
    "*neg_lslsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3517 */
  {
    "*neg_asrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3517 */
  {
    "*neg_lsrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3517 */
  {
    "*neg_lsldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3517 */
  {
    "*neg_asrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3517 */
  {
    "*neg_lsrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3531 */
  {
    "*neg_lsl_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3531 */
  {
    "*neg_asr_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3531 */
  {
    "*neg_lsr_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3531 */
  {
    "*neg_lsl_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3531 */
  {
    "*neg_asr_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3531 */
  {
    "*neg_lsr_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3542 */
  {
    "*neg_lsl_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3542 */
  {
    "*neg_asr_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3542 */
  {
    "*neg_lsr_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3553 */
  {
    "mulsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsi3 },
    &operand_data[416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3553 */
  {
    "muldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_muldi3 },
    &operand_data[420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3563 */
  {
    "*mulsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3573 */
  {
    "maddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maddsi },
    &operand_data[726],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3573 */
  {
    "madddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%x0, %x1, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_madddi },
    &operand_data[730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3584 */
  {
    "*maddsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[734],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3595 */
  {
    "*msubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[726],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3595 */
  {
    "*msubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%x0, %x1, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3607 */
  {
    "*msubsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[734],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3619 */
  {
    "*mulsi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3619 */
  {
    "*muldi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3630 */
  {
    "*mulsi_neg_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3641 */
  {
    "mulsidi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsidi3 },
    &operand_data[581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3641 */
  {
    "umulsidi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulsidi3 },
    &operand_data[581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3650 */
  {
    "maddsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaddl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maddsidi4 },
    &operand_data[738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3650 */
  {
    "umaddsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaddl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaddsidi4 },
    &operand_data[738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3661 */
  {
    "msubsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smsubl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_msubsidi4 },
    &operand_data[738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3661 */
  {
    "umsubsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umsubl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umsubsidi4 },
    &operand_data[738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3673 */
  {
    "*mulsidi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smnegl\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3673 */
  {
    "*umulsidi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umnegl\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3725 */
  {
    "smuldi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smulh\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smuldi3_highpart },
    &operand_data[420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3725 */
  {
    "umuldi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umulh\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umuldi3_highpart },
    &operand_data[420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3738 */
  {
    "divsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divsi3 },
    &operand_data[416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3738 */
  {
    "udivsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivsi3 },
    &operand_data[416],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3738 */
  {
    "divdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divdi3 },
    &operand_data[420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3738 */
  {
    "udivdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivdi3 },
    &operand_data[420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*divsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3748 */
  {
    "*udivsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3762 */
  {
    "cmpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_402 },
#else
    { 0, output_402, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmpsi },
    &operand_data[385],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3762 */
  {
    "cmpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_403 },
#else
    { 0, output_403, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmpdi },
    &operand_data[388],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3774 */
  {
    "fcmpsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_404 },
#else
    { 0, output_404, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpsf },
    &operand_data[742],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3774 */
  {
    "fcmpdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_405 },
#else
    { 0, output_405, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpdf },
    &operand_data[744],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3785 */
  {
    "fcmpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_406 },
#else
    { 0, output_406, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpesf },
    &operand_data[742],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3785 */
  {
    "fcmpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_407 },
#else
    { 0, output_407, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpedf },
    &operand_data[744],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3796 */
  {
    "*cmp_swp_lsl_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[746],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3796 */
  {
    "*cmp_swp_asr_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[746],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3796 */
  {
    "*cmp_swp_lsr_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[746],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3796 */
  {
    "*cmp_swp_lsl_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[749],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3796 */
  {
    "*cmp_swp_asr_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[749],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3796 */
  {
    "*cmp_swp_lsr_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[749],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3807 */
  {
    "*cmp_swp_extendqi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3807 */
  {
    "*cmp_swp_zero_extendqi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3807 */
  {
    "*cmp_swp_extendqi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3807 */
  {
    "*cmp_swp_zero_extendqi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3807 */
  {
    "*cmp_swp_extendhi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3807 */
  {
    "*cmp_swp_zero_extendhi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3807 */
  {
    "*cmp_swp_extendhi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[527],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3807 */
  {
    "*cmp_swp_zero_extendhi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[527],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3807 */
  {
    "*cmp_swp_extendsi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[256],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3807 */
  {
    "*cmp_swp_zero_extendsi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[256],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3807 */
  {
    "*cmp_swp_extendsi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3807 */
  {
    "*cmp_swp_zero_extendsi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[533],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*cmp_swp_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[542],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*cmp_swp_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[542],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*cmp_swp_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, sxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[546],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*cmp_swp_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, uxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[546],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*cmp_swp_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[550],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*cmp_swp_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[550],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*cmp_swp_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, sxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*cmp_swp_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, uxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*cmp_swp_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[558],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*cmp_swp_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[558],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*cmp_swp_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, sxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[562],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3817 */
  {
    "*cmp_swp_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, uxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[562],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3871 */
  {
    "aarch64_cstoreqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoreqi },
    &operand_data[752],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3871 */
  {
    "aarch64_cstorehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstorehi },
    &operand_data[755],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3871 */
  {
    "aarch64_cstoresi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoresi },
    &operand_data[758],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3871 */
  {
    "aarch64_cstoredi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%x0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoredi },
    &operand_data[761],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3890 */
  {
    "*compare_cstoresi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[764],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3890 */
  {
    "*compare_cstoresi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[764],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3890 */
  {
    "*compare_cstoredi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[767],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3890 */
  {
    "*compare_cstoredi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[767],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3916 */
  {
    "*cstoresi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3926 */
  {
    "cstoreqi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoreqi_neg },
    &operand_data[752],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3926 */
  {
    "cstorehi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstorehi_neg },
    &operand_data[755],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3926 */
  {
    "cstoresi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresi_neg },
    &operand_data[758],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3926 */
  {
    "cstoredi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%x0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredi_neg },
    &operand_data[761],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3936 */
  {
    "*cstoresi_neg_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3978 */
  {
    "*cmovqi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_452 },
#else
    { 0, output_452, 0 },
#endif
    { 0 },
    &operand_data[773],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3978 */
  {
    "*cmovhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_453 },
#else
    { 0, output_453, 0 },
#endif
    { 0 },
    &operand_data[778],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3978 */
  {
    "*cmovsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_454 },
#else
    { 0, output_454, 0 },
#endif
    { 0 },
    &operand_data[783],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3978 */
  {
    "*cmovdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_455 },
#else
    { 0, output_455, 0 },
#endif
    { 0 },
    &operand_data[788],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4000 */
  {
    "*cmovsi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_456 },
#else
    { 0, output_456, 0 },
#endif
    { 0 },
    &operand_data[793],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4022 */
  {
    "*cmovdi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csel\t%w0, %w3, %w4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[798],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4034 */
  {
    "*cmovsf_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcsel\t%s0, %s3, %s4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[803],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4034 */
  {
    "*cmovdf_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcsel\t%d0, %d3, %d4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[808],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4123 */
  {
    "aarch64_crc32b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_460 },
#else
    { 0, 0, output_460 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32b },
    &operand_data[813],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4123 */
  {
    "aarch64_crc32h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_461 },
#else
    { 0, 0, output_461 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32h },
    &operand_data[816],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4123 */
  {
    "aarch64_crc32w",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_462 },
#else
    { 0, 0, output_462 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32w },
    &operand_data[416],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4123 */
  {
    "aarch64_crc32x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_463 },
#else
    { 0, 0, output_463 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32x },
    &operand_data[819],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4123 */
  {
    "aarch64_crc32cb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_464 },
#else
    { 0, 0, output_464 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cb },
    &operand_data[813],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4123 */
  {
    "aarch64_crc32ch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_465 },
#else
    { 0, 0, output_465 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32ch },
    &operand_data[816],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4123 */
  {
    "aarch64_crc32cw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_466 },
#else
    { 0, 0, output_466 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cw },
    &operand_data[416],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4123 */
  {
    "aarch64_crc32cx",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_467 },
#else
    { 0, 0, output_467 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cx },
    &operand_data[819],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4138 */
  {
    "*csinc2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cinc\t%w0, %w1, %m2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[822],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4138 */
  {
    "*csinc2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cinc\t%x0, %x1, %m2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[825],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4147 */
  {
    "csinc3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinc\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csinc3si_insn },
    &operand_data[828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4147 */
  {
    "csinc3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinc\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csinc3di_insn },
    &operand_data[832],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4159 */
  {
    "*csinv3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4159 */
  {
    "*csinv3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[832],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4170 */
  {
    "csneg3_uxtw_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3_uxtw_insn },
    &operand_data[836],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4182 */
  {
    "csneg3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3si_insn },
    &operand_data[828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4182 */
  {
    "csneg3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3di_insn },
    &operand_data[832],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4193 */
  {
    "*csinv3_uxtw_insn1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w2, %w3, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[840],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4193 */
  {
    "*csinv3_uxtw_insn1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w2, %w3, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[840],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4206 */
  {
    "*csinv3_uxtw_insn2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[840],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4206 */
  {
    "*csinv3_uxtw_insn2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[840],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4219 */
  {
    "*csinv3_uxtw_insn3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, wzr, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[836],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4219 */
  {
    "*csinv3_uxtw_insn3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, wzr, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[836],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4276 */
  {
    "aarch64_uqdecsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_483 },
#else
    { 0, 0, output_483 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqdecsi },
    &operand_data[844],
    3,
    3,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4276 */
  {
    "aarch64_uqdecdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_484 },
#else
    { 0, 0, output_484 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqdecdi },
    &operand_data[847],
    3,
    3,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4293 */
  {
    "*aarch64_andsi_imm2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[850],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4293 */
  {
    "*aarch64_anddi_imm2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4312 */
  {
    "andsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_487 },
#else
    { 0, output_487, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andsi3 },
    &operand_data[856],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4312 */
  {
    "iorsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_488 },
#else
    { 0, output_488, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorsi3 },
    &operand_data[856],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4312 */
  {
    "xorsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_489 },
#else
    { 0, output_489, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsi3 },
    &operand_data[856],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4312 */
  {
    "anddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_490 },
#else
    { 0, output_490, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_anddi3 },
    &operand_data[859],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4312 */
  {
    "iordi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_491 },
#else
    { 0, output_491, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iordi3 },
    &operand_data[859],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4312 */
  {
    "xordi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_492 },
#else
    { 0, output_492, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xordi3 },
    &operand_data[859],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4326 */
  {
    "*andsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_493 },
#else
    { 0, output_493, 0 },
#endif
    { 0 },
    &operand_data[862],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4326 */
  {
    "*iorsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_494 },
#else
    { 0, output_494, 0 },
#endif
    { 0 },
    &operand_data[862],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4326 */
  {
    "*xorsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_495 },
#else
    { 0, output_495, 0 },
#endif
    { 0 },
    &operand_data[862],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4338 */
  {
    "*andsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_496 },
#else
    { 0, output_496, 0 },
#endif
    { 0 },
    &operand_data[865],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4338 */
  {
    "*anddi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_497 },
#else
    { 0, output_497, 0 },
#endif
    { 0 },
    &operand_data[868],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4354 */
  {
    "*andsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_498 },
#else
    { 0, output_498, 0 },
#endif
    { 0 },
    &operand_data[871],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*and_ashlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*and_ashrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*and_lshrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*and_rotrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*and_ashldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*and_ashrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*and_lshrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4369 */
  {
    "*and_rotrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4385 */
  {
    "*and_ashlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4385 */
  {
    "*and_ashrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4385 */
  {
    "*and_lshrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4385 */
  {
    "*and_rotrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*and_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*ior_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*xor_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*and_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*ior_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*xor_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*and_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*ior_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*xor_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*and_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*ior_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*xor_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*and_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*ior_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*xor_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*and_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*ior_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*xor_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*and_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*ior_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*xor_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*and_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*ior_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4401 */
  {
    "*xor_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4412 */
  {
    "*and_rolsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4412 */
  {
    "*ior_rolsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4412 */
  {
    "*xor_rolsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4412 */
  {
    "*and_roldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x3, %x1, ror (64 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4412 */
  {
    "*ior_roldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%x0, %x3, %x1, ror (64 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4412 */
  {
    "*xor_roldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%x0, %x3, %x1, ror (64 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4424 */
  {
    "*and_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4424 */
  {
    "*ior_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4424 */
  {
    "*xor_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4424 */
  {
    "*and_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4424 */
  {
    "*ior_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4424 */
  {
    "*xor_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4424 */
  {
    "*and_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4424 */
  {
    "*ior_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4424 */
  {
    "*xor_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4424 */
  {
    "*and_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4424 */
  {
    "*ior_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4424 */
  {
    "*xor_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4436 */
  {
    "*and_rolsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4436 */
  {
    "*ior_rolsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4436 */
  {
    "*xor_rolsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%w0, %w3, %w1, ror (32 - %2)",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4448 */
  {
    "one_cmplsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_556 },
#else
    { 0, output_556, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplsi2 },
    &operand_data[713],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4448 */
  {
    "one_cmpldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_557 },
#else
    { 0, output_557, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmpldi2 },
    &operand_data[715],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4459 */
  {
    "*one_cmpl_zero_extend",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4468 */
  {
    "*one_cmpl_ashlsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4468 */
  {
    "*one_cmpl_ashrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4468 */
  {
    "*one_cmpl_lshrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4468 */
  {
    "*one_cmpl_rotrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4468 */
  {
    "*one_cmpl_ashldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4468 */
  {
    "*one_cmpl_ashrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4468 */
  {
    "*one_cmpl_lshrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4468 */
  {
    "*one_cmpl_rotrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%x0, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4479 */
  {
    "*and_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_567 },
#else
    { 0, output_567, 0 },
#endif
    { 0 },
    &operand_data[874],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4479 */
  {
    "*ior_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_568 },
#else
    { 0, output_568, 0 },
#endif
    { 0 },
    &operand_data[874],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4479 */
  {
    "*and_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_569 },
#else
    { 0, output_569, 0 },
#endif
    { 0 },
    &operand_data[877],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4479 */
  {
    "*ior_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_570 },
#else
    { 0, output_570, 0 },
#endif
    { 0 },
    &operand_data[877],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4491 */
  {
    "*and_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4491 */
  {
    "*ior_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4501 */
  {
    "*xor_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4513 */
  {
    "*xor_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_574 },
#else
    { 0, output_574, 0 },
#endif
    { 0 },
    &operand_data[880],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4513 */
  {
    "*xor_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_575 },
#else
    { 0, output_575, 0 },
#endif
    { 0 },
    &operand_data[883],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4531 */
  {
    "*and_one_cmplsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[416],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4531 */
  {
    "*and_one_cmpldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x2, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[420],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4546 */
  {
    "*and_one_cmplsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[581],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4560 */
  {
    "*and_one_cmplsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w1, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[256],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4560 */
  {
    "*and_one_cmpldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x1, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[268],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "and_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashlsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "ior_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashlsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "xor_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashlsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "and_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "ior_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "xor_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "and_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "ior_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "xor_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "and_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "ior_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "xor_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrsi3 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "and_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashldi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "ior_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashldi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "xor_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashldi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "and_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "ior_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "xor_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "and_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "ior_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "xor_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "and_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "ior_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4572 */
  {
    "xor_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrdi3 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4584 */
  {
    "*eor_one_cmpl_ashlsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4584 */
  {
    "*eor_one_cmpl_ashrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4584 */
  {
    "*eor_one_cmpl_lshrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4584 */
  {
    "*eor_one_cmpl_rotrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4584 */
  {
    "*eor_one_cmpl_ashldi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4584 */
  {
    "*eor_one_cmpl_ashrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4584 */
  {
    "*eor_one_cmpl_lshrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4584 */
  {
    "*eor_one_cmpl_rotrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4597 */
  {
    "*eor_one_cmpl_ashlsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4597 */
  {
    "*eor_one_cmpl_ashrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4597 */
  {
    "*eor_one_cmpl_lshrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4597 */
  {
    "*eor_one_cmpl_rotrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4610 */
  {
    "*and_one_cmpl_ashlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4610 */
  {
    "*and_one_cmpl_ashrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4610 */
  {
    "*and_one_cmpl_lshrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4610 */
  {
    "*and_one_cmpl_rotrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[408],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4610 */
  {
    "*and_one_cmpl_ashldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4610 */
  {
    "*and_one_cmpl_ashrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4610 */
  {
    "*and_one_cmpl_lshrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4610 */
  {
    "*and_one_cmpl_rotrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x3, %x1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[412],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4629 */
  {
    "*and_one_cmpl_ashlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4629 */
  {
    "*and_one_cmpl_ashrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4629 */
  {
    "*and_one_cmpl_lshrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4629 */
  {
    "*and_one_cmpl_rotrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w3, %w1, ror %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[513],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4647 */
  {
    "*and_one_cmpl_ashlsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4647 */
  {
    "*and_one_cmpl_ashrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4647 */
  {
    "*and_one_cmpl_lshrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4647 */
  {
    "*and_one_cmpl_rotrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w2, %w0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4647 */
  {
    "*and_one_cmpl_ashldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4647 */
  {
    "*and_one_cmpl_ashrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4647 */
  {
    "*and_one_cmpl_lshrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4647 */
  {
    "*and_one_cmpl_rotrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x2, %x0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4661 */
  {
    "clzsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzsi2 },
    &operand_data[408],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4661 */
  {
    "clzdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzdi2 },
    &operand_data[412],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4715 */
  {
    "clrsbsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbsi2 },
    &operand_data[408],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4715 */
  {
    "clrsbdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbdi2 },
    &operand_data[412],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4723 */
  {
    "rbitsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitsi2 },
    &operand_data[408],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4723 */
  {
    "rbitdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitdi2 },
    &operand_data[412],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4736 */
  {
    "ctzsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzsi2 },
    &operand_data[408],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4736 */
  {
    "ctzdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzdi2 },
    &operand_data[412],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4749 */
  {
    "*andqi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w0, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[62],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4749 */
  {
    "*andhi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w0, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[64],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4759 */
  {
    "*andssi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w1, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[424],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4759 */
  {
    "*andssi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w1, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[430],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4759 */
  {
    "*andsdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x1, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[427],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4759 */
  {
    "*andsdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x1, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[433],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4771 */
  {
    "*andsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_651 },
#else
    { 0, output_651, 0 },
#endif
    { 0 },
    &operand_data[863],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4771 */
  {
    "*anddi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_652 },
#else
    { 0, output_652, 0 },
#endif
    { 0 },
    &operand_data[869],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4800 */
  {
    "*andsi3nr_compare0_zextract",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_653 },
#else
    { 0, 0, output_653 },
#endif
    { 0 },
    &operand_data[886],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4800 */
  {
    "*anddi3nr_compare0_zextract",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_654 },
#else
    { 0, 0, output_654 },
#endif
    { 0 },
    &operand_data[889],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4822 */
  {
    "*and_ashlsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4822 */
  {
    "*and_ashrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4822 */
  {
    "*and_lshrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4822 */
  {
    "*and_rotrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w2, %w0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[409],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4822 */
  {
    "*and_ashldi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4822 */
  {
    "*and_ashrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4822 */
  {
    "*and_lshrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4822 */
  {
    "*and_rotrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%x2, %x0, ror %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[413],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4946 */
  {
    "*aarch64_ashl_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[892],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4946 */
  {
    "*aarch64_ashr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[892],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4946 */
  {
    "*aarch64_lshr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[892],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4946 */
  {
    "*aarch64_rotr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[892],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4946 */
  {
    "*aarch64_ashl_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[897],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4946 */
  {
    "*aarch64_ashr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[897],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4946 */
  {
    "*aarch64_lshr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[897],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4946 */
  {
    "*aarch64_rotr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[897],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4958 */
  {
    "*aarch64_ashl_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[902],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4958 */
  {
    "*aarch64_ashr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[902],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4958 */
  {
    "*aarch64_lshr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[902],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4958 */
  {
    "*aarch64_rotr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[902],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4958 */
  {
    "*aarch64_ashl_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4958 */
  {
    "*aarch64_ashr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4958 */
  {
    "*aarch64_lshr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4958 */
  {
    "*aarch64_rotr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4982 */
  {
    "*aarch64_ashl_reg_si3_minus_mask",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[912],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4982 */
  {
    "*aarch64_ashl_reg_di3_minus_mask",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[918],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5010 */
  {
    "*aarch64_ashl_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_681 },
#else
    { 0, 0, output_681 },
#endif
    { 0 },
    &operand_data[924],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5010 */
  {
    "*aarch64_ashr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_682 },
#else
    { 0, 0, output_682 },
#endif
    { 0 },
    &operand_data[924],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5010 */
  {
    "*aarch64_lshr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_683 },
#else
    { 0, 0, output_683 },
#endif
    { 0 },
    &operand_data[924],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5010 */
  {
    "*aarch64_rotr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_684 },
#else
    { 0, 0, output_684 },
#endif
    { 0 },
    &operand_data[924],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5029 */
  {
    "*aarch64_ashl_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[929],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5029 */
  {
    "*aarch64_ashr_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[929],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5029 */
  {
    "*aarch64_lshr_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[929],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5029 */
  {
    "*aarch64_ashl_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[933],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5029 */
  {
    "*aarch64_ashr_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[933],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5029 */
  {
    "*aarch64_lshr_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[933],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5059 */
  {
    "*aarch64_ashl_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_691 },
#else
    { 0, output_691, 0 },
#endif
    { 0 },
    &operand_data[937],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5059 */
  {
    "*aarch64_ashl_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_692 },
#else
    { 0, output_692, 0 },
#endif
    { 0 },
    &operand_data[940],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5075 */
  {
    "*aarch64_lshr_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_693 },
#else
    { 0, output_693, 0 },
#endif
    { 0 },
    &operand_data[943],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5075 */
  {
    "*aarch64_lshr_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_694 },
#else
    { 0, output_694, 0 },
#endif
    { 0 },
    &operand_data[946],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5123 */
  {
    "*aarch64_ashr_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_695 },
#else
    { 0, output_695, 0 },
#endif
    { 0 },
    &operand_data[949],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5123 */
  {
    "*aarch64_ashr_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_696 },
#else
    { 0, output_696, 0 },
#endif
    { 0 },
    &operand_data[946],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5170 */
  {
    "*aarch64_sisd_ushl",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[952],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5180 */
  {
    "*aarch64_ushl_2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[955],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5190 */
  {
    "*aarch64_sisd_sshl",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[952],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5200 */
  {
    "*aarch64_sshl_2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[955],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5210 */
  {
    "*aarch64_sisd_neg_qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[958],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5220 */
  {
    "*rorsi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_702 },
#else
    { 0, output_702, 0 },
#endif
    { 0 },
    &operand_data[960],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5220 */
  {
    "*rordi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_703 },
#else
    { 0, output_703, 0 },
#endif
    { 0 },
    &operand_data[963],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5233 */
  {
    "*ashlsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_704 },
#else
    { 0, output_704, 0 },
#endif
    { 0 },
    &operand_data[966],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5233 */
  {
    "*ashrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_705 },
#else
    { 0, output_705, 0 },
#endif
    { 0 },
    &operand_data[966],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5233 */
  {
    "*lshrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_706 },
#else
    { 0, output_706, 0 },
#endif
    { 0 },
    &operand_data[966],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5233 */
  {
    "*rotrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_707 },
#else
    { 0, output_707, 0 },
#endif
    { 0 },
    &operand_data[966],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5245 */
  {
    "*ashlqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_708 },
#else
    { 0, 0, output_708 },
#endif
    { 0 },
    &operand_data[969],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5245 */
  {
    "*ashrqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_709 },
#else
    { 0, 0, output_709 },
#endif
    { 0 },
    &operand_data[969],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5245 */
  {
    "*lshrqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_710 },
#else
    { 0, 0, output_710 },
#endif
    { 0 },
    &operand_data[969],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5245 */
  {
    "*ashlhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_711 },
#else
    { 0, 0, output_711 },
#endif
    { 0 },
    &operand_data[972],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5245 */
  {
    "*ashrhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_712 },
#else
    { 0, 0, output_712 },
#endif
    { 0 },
    &operand_data[972],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5245 */
  {
    "*lshrhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_713 },
#else
    { 0, 0, output_713 },
#endif
    { 0 },
    &operand_data[972],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5257 */
  {
    "*extrsi5_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[975],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5257 */
  {
    "*extrdi5_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%x0, %x1, %x2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[980],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5271 */
  {
    "*extrsi5_insn_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[975],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5271 */
  {
    "*extrdi5_insn_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%x0, %x1, %x2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[980],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5285 */
  {
    "*extrsi5_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[985],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5298 */
  {
    "*extrsi5_insn_uxtw_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[985],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5311 */
  {
    "*rorsi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_720 },
#else
    { 0, 0, output_720 },
#endif
    { 0 },
    &operand_data[990],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5311 */
  {
    "*rordi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_721 },
#else
    { 0, 0, output_721 },
#endif
    { 0 },
    &operand_data[993],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5324 */
  {
    "*rorsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_722 },
#else
    { 0, 0, output_722 },
#endif
    { 0 },
    &operand_data[996],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5337 */
  {
    "*extendsi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_723 },
#else
    { 0, 0, output_723 },
#endif
    { 0 },
    &operand_data[999],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5337 */
  {
    "*zero_extendsi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_724 },
#else
    { 0, 0, output_724 },
#endif
    { 0 },
    &operand_data[999],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5337 */
  {
    "*extendsi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_725 },
#else
    { 0, 0, output_725 },
#endif
    { 0 },
    &operand_data[1002],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5337 */
  {
    "*zero_extendsi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_726 },
#else
    { 0, 0, output_726 },
#endif
    { 0 },
    &operand_data[1002],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5337 */
  {
    "*extenddi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_727 },
#else
    { 0, 0, output_727 },
#endif
    { 0 },
    &operand_data[1005],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5337 */
  {
    "*zero_extenddi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_728 },
#else
    { 0, 0, output_728 },
#endif
    { 0 },
    &operand_data[1005],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5337 */
  {
    "*extenddi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_729 },
#else
    { 0, 0, output_729 },
#endif
    { 0 },
    &operand_data[1008],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5337 */
  {
    "*zero_extenddi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_730 },
#else
    { 0, 0, output_730 },
#endif
    { 0 },
    &operand_data[1008],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5350 */
  {
    "*zero_extendsi_lshrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_731 },
#else
    { 0, 0, output_731 },
#endif
    { 0 },
    &operand_data[999],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5350 */
  {
    "*zero_extendsi_lshrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_732 },
#else
    { 0, 0, output_732 },
#endif
    { 0 },
    &operand_data[1002],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5350 */
  {
    "*zero_extenddi_lshrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_733 },
#else
    { 0, 0, output_733 },
#endif
    { 0 },
    &operand_data[1005],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5350 */
  {
    "*zero_extenddi_lshrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_734 },
#else
    { 0, 0, output_734 },
#endif
    { 0 },
    &operand_data[1008],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5363 */
  {
    "*extendsi_ashrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_735 },
#else
    { 0, 0, output_735 },
#endif
    { 0 },
    &operand_data[999],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5363 */
  {
    "*extendsi_ashrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_736 },
#else
    { 0, 0, output_736 },
#endif
    { 0 },
    &operand_data[1002],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5363 */
  {
    "*extenddi_ashrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_737 },
#else
    { 0, 0, output_737 },
#endif
    { 0 },
    &operand_data[1005],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5363 */
  {
    "*extenddi_ashrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_738 },
#else
    { 0, 0, output_738 },
#endif
    { 0 },
    &operand_data[1008],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5395 */
  {
    "*extvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfx\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1011],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5395 */
  {
    "*extzvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfx\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1011],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5395 */
  {
    "*extvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfx\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5395 */
  {
    "*extzvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfx\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5459 */
  {
    "*insv_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5459 */
  {
    "*insv_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1023],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5471 */
  {
    "*aarch64_bfisiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1027],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5471 */
  {
    "*aarch64_bfidiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1031],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5471 */
  {
    "*aarch64_bfisihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1035],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5471 */
  {
    "*aarch64_bfidihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5471 */
  {
    "*aarch64_bfisisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5471 */
  {
    "*aarch64_bfidisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1043],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5487 */
  {
    "*aarch64_bfisi5_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %4, %P5",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1047],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5487 */
  {
    "*aarch64_bfidi5_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %4, %P5",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1053],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5502 */
  {
    "*aarch64_bfisi5_shift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1059],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5502 */
  {
    "*aarch64_bfidi5_shift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1065],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5520 */
  {
    "*aarch64_bfisi4_noand",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_755 },
#else
    { 0, 0, output_755 },
#endif
    { 0 },
    &operand_data[1047],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5520 */
  {
    "*aarch64_bfidi4_noand",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_756 },
#else
    { 0, 0, output_756 },
#endif
    { 0 },
    &operand_data[1053],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5537 */
  {
    "*aarch64_bfisi4_noand_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_757 },
#else
    { 0, 0, output_757 },
#endif
    { 0 },
    &operand_data[1071],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5537 */
  {
    "*aarch64_bfidi4_noand_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_758 },
#else
    { 0, 0, output_758 },
#endif
    { 0 },
    &operand_data[1076],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5558 */
  {
    "*aarch64_bfisi4_noshift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1081],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5558 */
  {
    "*aarch64_bfidi4_noshift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1086],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5570 */
  {
    "*aarch64_bfisi4_noshift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1081],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5570 */
  {
    "*aarch64_bfidi4_noshift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1086],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5582 */
  {
    "*extr_insv_lower_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%w0, %w2, %3, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1091],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5582 */
  {
    "*extr_insv_lower_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%x0, %x2, %3, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1095],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5596 */
  {
    "*extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_765 },
#else
    { 0, 0, output_765 },
#endif
    { 0 },
    &operand_data[999],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5596 */
  {
    "*zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_766 },
#else
    { 0, 0, output_766 },
#endif
    { 0 },
    &operand_data[999],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5596 */
  {
    "*extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_767 },
#else
    { 0, 0, output_767 },
#endif
    { 0 },
    &operand_data[1005],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5596 */
  {
    "*zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_768 },
#else
    { 0, 0, output_768 },
#endif
    { 0 },
    &operand_data[1005],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5596 */
  {
    "*extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_769 },
#else
    { 0, 0, output_769 },
#endif
    { 0 },
    &operand_data[1002],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5596 */
  {
    "*zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_770 },
#else
    { 0, 0, output_770 },
#endif
    { 0 },
    &operand_data[1002],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5596 */
  {
    "*extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_771 },
#else
    { 0, 0, output_771 },
#endif
    { 0 },
    &operand_data[1008],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5596 */
  {
    "*zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_772 },
#else
    { 0, 0, output_772 },
#endif
    { 0 },
    &operand_data[1008],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5596 */
  {
    "*extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_773 },
#else
    { 0, 0, output_773 },
#endif
    { 0 },
    &operand_data[990],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5596 */
  {
    "*zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_774 },
#else
    { 0, 0, output_774 },
#endif
    { 0 },
    &operand_data[990],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5596 */
  {
    "*extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_775 },
#else
    { 0, 0, output_775 },
#endif
    { 0 },
    &operand_data[996],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5596 */
  {
    "*zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_776 },
#else
    { 0, 0, output_776 },
#endif
    { 0 },
    &operand_data[996],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5613 */
  {
    "*andim_ashiftsi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfiz\t%w0, %w1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1099],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5613 */
  {
    "*andim_ashiftdi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfiz\t%x0, %x1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1103],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5625 */
  {
    "*ashiftsi_extv_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1011],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5625 */
  {
    "*ashiftdi_extv_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5637 */
  {
    "*ashiftsi_extvdi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1107],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5670 */
  {
    "bswapsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapsi2 },
    &operand_data[408],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5670 */
  {
    "bswapdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapdi2 },
    &operand_data[412],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5678 */
  {
    "bswaphi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswaphi2 },
    &operand_data[972],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5686 */
  {
    "*aarch64_bfxilsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_785 },
#else
    { 0, 0, output_785 },
#endif
    { 0 },
    &operand_data[1112],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5686 */
  {
    "*aarch64_bfxildi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_786 },
#else
    { 0, 0, output_786 },
#endif
    { 0 },
    &operand_data[1117],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5712 */
  {
    "*aarch64_bfxilsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_787 },
#else
    { 0, 0, output_787 },
#endif
    { 0 },
    &operand_data[1122],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5742 */
  {
    "rev16si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16si2 },
    &operand_data[1127],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5742 */
  {
    "rev16di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16di2 },
    &operand_data[1131],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5756 */
  {
    "rev16si2_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16si2_alt },
    &operand_data[1127],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5756 */
  {
    "rev16di2_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rev16di2_alt },
    &operand_data[1131],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5771 */
  {
    "*bswapsi2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "btrunchf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btrunchf2 },
    &operand_data[1135],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "ceilhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilhf2 },
    &operand_data[1135],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "floorhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorhf2 },
    &operand_data[1135],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "frintnhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnhf2 },
    &operand_data[1135],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "nearbyinthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyinthf2 },
    &operand_data[1135],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "rinthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rinthf2 },
    &operand_data[1135],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "roundhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundhf2 },
    &operand_data[1135],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "btruncsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncsf2 },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "ceilsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilsf2 },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "floorsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorsf2 },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "frintnsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnsf2 },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "nearbyintsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintsf2 },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "rintsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintsf2 },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "roundsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundsf2 },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "btruncdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncdf2 },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "ceildf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceildf2 },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "floordf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floordf2 },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "frintndf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintndf2 },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "nearbyintdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintdf2 },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "rintdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintdf2 },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5786 */
  {
    "rounddf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rounddf2 },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lbtrunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfsi2 },
    &operand_data[1141],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lceilhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfsi2 },
    &operand_data[1141],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfloorhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfsi2 },
    &operand_data[1141],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lroundhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfsi2 },
    &operand_data[1141],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfrintnhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfsi2 },
    &operand_data[1141],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lbtruncuhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfsi2 },
    &operand_data[1141],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lceiluhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfsi2 },
    &operand_data[1141],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lflooruhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfsi2 },
    &operand_data[1141],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lrounduhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfsi2 },
    &operand_data[1141],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfrintnuhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfsi2 },
    &operand_data[1141],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lbtruncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncsfsi2 },
    &operand_data[1143],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lceilsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilsfsi2 },
    &operand_data[1143],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfloorsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorsfsi2 },
    &operand_data[1143],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lroundsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundsfsi2 },
    &operand_data[1143],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfrintnsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnsfsi2 },
    &operand_data[1143],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lbtruncusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncusfsi2 },
    &operand_data[1143],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lceilusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilusfsi2 },
    &operand_data[1143],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfloorusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorusfsi2 },
    &operand_data[1143],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lroundusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundusfsi2 },
    &operand_data[1143],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfrintnusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnusfsi2 },
    &operand_data[1143],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lbtruncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncdfsi2 },
    &operand_data[1145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lceildfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceildfsi2 },
    &operand_data[1145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfloordfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloordfsi2 },
    &operand_data[1145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lrounddfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounddfsi2 },
    &operand_data[1145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfrintndfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintndfsi2 },
    &operand_data[1145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lbtruncudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncudfsi2 },
    &operand_data[1145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lceiludfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiludfsi2 },
    &operand_data[1145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfloorudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorudfsi2 },
    &operand_data[1145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lroundudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundudfsi2 },
    &operand_data[1145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfrintnudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnudfsi2 },
    &operand_data[1145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lbtrunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfdi2 },
    &operand_data[1147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lceilhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfdi2 },
    &operand_data[1147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfloorhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfdi2 },
    &operand_data[1147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lroundhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfdi2 },
    &operand_data[1147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfrintnhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfdi2 },
    &operand_data[1147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lbtruncuhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfdi2 },
    &operand_data[1147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lceiluhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfdi2 },
    &operand_data[1147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lflooruhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfdi2 },
    &operand_data[1147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lrounduhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfdi2 },
    &operand_data[1147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfrintnuhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfdi2 },
    &operand_data[1147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lbtruncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncsfdi2 },
    &operand_data[1149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lceilsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilsfdi2 },
    &operand_data[1149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfloorsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorsfdi2 },
    &operand_data[1149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lroundsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundsfdi2 },
    &operand_data[1149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfrintnsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnsfdi2 },
    &operand_data[1149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lbtruncusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncusfdi2 },
    &operand_data[1149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lceilusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilusfdi2 },
    &operand_data[1149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfloorusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorusfdi2 },
    &operand_data[1149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lroundusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundusfdi2 },
    &operand_data[1149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfrintnusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnusfdi2 },
    &operand_data[1149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lbtruncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncdfdi2 },
    &operand_data[1151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lceildfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceildfdi2 },
    &operand_data[1151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfloordfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloordfdi2 },
    &operand_data[1151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lrounddfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounddfdi2 },
    &operand_data[1151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfrintndfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintndfdi2 },
    &operand_data[1151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lbtruncudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncudfdi2 },
    &operand_data[1151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lceiludfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiludfdi2 },
    &operand_data[1151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfloorudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorudfdi2 },
    &operand_data[1151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lroundudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundudfdi2 },
    &operand_data[1151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5797 */
  {
    "lfrintnudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnudfdi2 },
    &operand_data[1151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5807 */
  {
    "*aarch64_fcvtsfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_874 },
#else
    { 0, 0, output_874 },
#endif
    { 0 },
    &operand_data[1153],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5807 */
  {
    "*aarch64_fcvtusfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_875 },
#else
    { 0, 0, output_875 },
#endif
    { 0 },
    &operand_data[1153],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5807 */
  {
    "*aarch64_fcvtdfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_876 },
#else
    { 0, 0, output_876 },
#endif
    { 0 },
    &operand_data[1156],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5807 */
  {
    "*aarch64_fcvtudfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_877 },
#else
    { 0, 0, output_877 },
#endif
    { 0 },
    &operand_data[1156],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5807 */
  {
    "*aarch64_fcvtsfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_878 },
#else
    { 0, 0, output_878 },
#endif
    { 0 },
    &operand_data[1159],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5807 */
  {
    "*aarch64_fcvtusfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_879 },
#else
    { 0, 0, output_879 },
#endif
    { 0 },
    &operand_data[1159],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5807 */
  {
    "*aarch64_fcvtdfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_880 },
#else
    { 0, 0, output_880 },
#endif
    { 0 },
    &operand_data[1162],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5807 */
  {
    "*aarch64_fcvtudfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_881 },
#else
    { 0, 0, output_881 },
#endif
    { 0 },
    &operand_data[1162],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5839 */
  {
    "*aarch64_fmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%h0, %h2, %h3, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1165],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5839 */
  {
    "*aarch64_fmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1169],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5839 */
  {
    "*aarch64_fmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1173],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5858 */
  {
    "*aarch64_fnmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%h0, %h2, %h3, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1165],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5858 */
  {
    "*aarch64_fnmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1169],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5858 */
  {
    "*aarch64_fnmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1173],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5878 */
  {
    "*aarch64_fmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmsub\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1169],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5878 */
  {
    "*aarch64_fmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmsub\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1173],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5896 */
  {
    "*aarch64_fnmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1169],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5896 */
  {
    "*aarch64_fnmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1173],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5907 */
  {
    "*aarch64_fnmaddsf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1169],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5907 */
  {
    "*aarch64_fnmadddf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1173],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5921 */
  {
    "extendsfdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%d0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendsfdf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5929 */
  {
    "extendhfsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%s0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhfsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5937 */
  {
    "extendhfdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%d0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhfdf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5945 */
  {
    "truncdfsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncdfsf2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5953 */
  {
    "truncsfhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncsfhf2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5961 */
  {
    "truncdfhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%h0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncdfhf2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5972 */
  {
    "fix_truncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_900 },
#else
    { 0, output_900, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncsfsi2 },
    &operand_data[1189],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5972 */
  {
    "fixuns_truncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_901 },
#else
    { 0, output_901, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncsfsi2 },
    &operand_data[1189],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5972 */
  {
    "fix_truncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_902 },
#else
    { 0, output_902, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncdfdi2 },
    &operand_data[1191],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5972 */
  {
    "fixuns_truncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_903 },
#else
    { 0, output_903, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncdfdi2 },
    &operand_data[1191],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5984 */
  {
    "fix_trunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfsi2 },
    &operand_data[1141],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5984 */
  {
    "fixuns_trunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfsi2 },
    &operand_data[1141],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5984 */
  {
    "fix_trunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfdi2 },
    &operand_data[1147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5984 */
  {
    "fixuns_trunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfdi2 },
    &operand_data[1147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5995 */
  {
    "fix_truncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncdfsi2 },
    &operand_data[1145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5995 */
  {
    "fixuns_truncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncdfsi2 },
    &operand_data[1145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5995 */
  {
    "fix_truncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncsfdi2 },
    &operand_data[1149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5995 */
  {
    "fixuns_truncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncsfdi2 },
    &operand_data[1149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6003 */
  {
    "*fix_to_zero_extendsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6003 */
  {
    "*fix_to_zero_extenddfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6014 */
  {
    "*aarch64_scvtfsisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_914 },
#else
    { 0, 0, output_914 },
#endif
    { 0 },
    &operand_data[1193],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6014 */
  {
    "*aarch64_ucvtfsisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_915 },
#else
    { 0, 0, output_915 },
#endif
    { 0 },
    &operand_data[1193],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6014 */
  {
    "*aarch64_scvtfdidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_916 },
#else
    { 0, 0, output_916 },
#endif
    { 0 },
    &operand_data[1196],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6014 */
  {
    "*aarch64_ucvtfdidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_917 },
#else
    { 0, 0, output_917 },
#endif
    { 0 },
    &operand_data[1196],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6037 */
  {
    "*aarch64_scvtfdisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_918 },
#else
    { 0, 0, output_918 },
#endif
    { 0 },
    &operand_data[1199],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6037 */
  {
    "*aarch64_ucvtfdisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_919 },
#else
    { 0, 0, output_919 },
#endif
    { 0 },
    &operand_data[1199],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6037 */
  {
    "*aarch64_scvtfsidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_920 },
#else
    { 0, 0, output_920 },
#endif
    { 0 },
    &operand_data[1202],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6037 */
  {
    "*aarch64_ucvtfsidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_921 },
#else
    { 0, 0, output_921 },
#endif
    { 0 },
    &operand_data[1202],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6051 */
  {
    "floatsisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_922 },
#else
    { 0, output_922, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsisf2 },
    &operand_data[1193],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6051 */
  {
    "floatunssisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_923 },
#else
    { 0, output_923, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssisf2 },
    &operand_data[1193],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6051 */
  {
    "floatdidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_924 },
#else
    { 0, output_924, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdidf2 },
    &operand_data[1196],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6051 */
  {
    "floatunsdidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_925 },
#else
    { 0, output_925, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdidf2 },
    &operand_data[1196],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6063 */
  {
    "floatdisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%s0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdisf2 },
    &operand_data[1199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6063 */
  {
    "floatunsdisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%s0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdisf2 },
    &operand_data[1199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6063 */
  {
    "floatsidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%d0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsidf2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6063 */
  {
    "floatunssidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%d0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssidf2 },
    &operand_data[1202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6078 */
  {
    "aarch64_fp16_floatsihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatsihf2 },
    &operand_data[1205],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6078 */
  {
    "aarch64_fp16_floatunssihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatunssihf2 },
    &operand_data[1205],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6078 */
  {
    "aarch64_fp16_floatdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatdihf2 },
    &operand_data[1207],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6078 */
  {
    "aarch64_fp16_floatunsdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatunsdihf2 },
    &operand_data[1207],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6135 */
  {
    "fcvtzssf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_934 },
#else
    { 0, output_934, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzssf3 },
    &operand_data[1209],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6135 */
  {
    "fcvtzusf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_935 },
#else
    { 0, output_935, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzusf3 },
    &operand_data[1209],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6135 */
  {
    "fcvtzsdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_936 },
#else
    { 0, output_936, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsdf3 },
    &operand_data[1212],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6135 */
  {
    "fcvtzudf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_937 },
#else
    { 0, output_937, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzudf3 },
    &operand_data[1212],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6148 */
  {
    "scvtfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_938 },
#else
    { 0, output_938, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfsi3 },
    &operand_data[1215],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6148 */
  {
    "ucvtfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_939 },
#else
    { 0, output_939, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfsi3 },
    &operand_data[1215],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6148 */
  {
    "scvtfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_940 },
#else
    { 0, output_940, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfdi3 },
    &operand_data[1218],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6148 */
  {
    "ucvtfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_941 },
#else
    { 0, output_941, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfdi3 },
    &operand_data[1218],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6161 */
  {
    "fcvtzshfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshfsi3 },
    &operand_data[1221],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6161 */
  {
    "fcvtzuhfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhfsi3 },
    &operand_data[1221],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6161 */
  {
    "fcvtzshfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshfdi3 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6161 */
  {
    "fcvtzuhfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhfdi3 },
    &operand_data[1224],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6171 */
  {
    "scvtfsihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %w1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfsihf3 },
    &operand_data[1227],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6171 */
  {
    "ucvtfsihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %w1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfsihf3 },
    &operand_data[1227],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6171 */
  {
    "scvtfdihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %x1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfdihf3 },
    &operand_data[1230],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6171 */
  {
    "ucvtfdihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %x1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfdihf3 },
    &operand_data[1230],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6181 */
  {
    "fcvtzshf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshf3 },
    &operand_data[1233],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6181 */
  {
    "fcvtzuhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhf3 },
    &operand_data[1233],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6191 */
  {
    "scvtfhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfhi3 },
    &operand_data[1236],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6191 */
  {
    "ucvtfhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfhi3 },
    &operand_data[1236],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6205 */
  {
    "addhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addhf3 },
    &operand_data[1165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6205 */
  {
    "addsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsf3 },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6205 */
  {
    "adddf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddf3 },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6215 */
  {
    "subhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subhf3 },
    &operand_data[1165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6215 */
  {
    "subsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsf3 },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6215 */
  {
    "subdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdf3 },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6225 */
  {
    "mulhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulhf3 },
    &operand_data[1165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6225 */
  {
    "mulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsf3 },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6225 */
  {
    "muldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_muldf3 },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6235 */
  {
    "*fnmulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6235 */
  {
    "*fnmuldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6245 */
  {
    "*fnmulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6245 */
  {
    "*fnmuldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6267 */
  {
    "*divhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6267 */
  {
    "*divsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6267 */
  {
    "*divdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6276 */
  {
    "neghf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_neghf2 },
    &operand_data[1135],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6276 */
  {
    "negsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsf2 },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6276 */
  {
    "negdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdf2 },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6293 */
  {
    "*sqrthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1135],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6293 */
  {
    "*sqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6293 */
  {
    "*sqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6301 */
  {
    "abshf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abshf2 },
    &operand_data[1135],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6301 */
  {
    "abssf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abssf2 },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6301 */
  {
    "absdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absdf2 },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6313 */
  {
    "smaxsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxsf3 },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6313 */
  {
    "smaxdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxdf3 },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6322 */
  {
    "sminsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminsf3 },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6322 */
  {
    "smindf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smindf3 },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6334 */
  {
    "smax_nanhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanhf3 },
    &operand_data[1165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6334 */
  {
    "smin_nanhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanhf3 },
    &operand_data[1165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6334 */
  {
    "fmaxhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxhf3 },
    &operand_data[1165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6334 */
  {
    "fminhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminhf3 },
    &operand_data[1165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6334 */
  {
    "smax_nansf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nansf3 },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6334 */
  {
    "smin_nansf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nansf3 },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6334 */
  {
    "fmaxsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxsf3 },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6334 */
  {
    "fminsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminsf3 },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6334 */
  {
    "smax_nandf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nandf3 },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6334 */
  {
    "smin_nandf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nandf3 },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6334 */
  {
    "fmaxdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxdf3 },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6334 */
  {
    "fmindf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmindf3 },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6388 */
  {
    "copysignsf3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_995 },
#else
    { 0, output_995, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignsf3_insn },
    &operand_data[1239],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6388 */
  {
    "copysigndf3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_996 },
#else
    { 0, output_996, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysigndf3_insn },
    &operand_data[1243],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6491 */
  {
    "aarch64_movdi_tilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tilow },
    &operand_data[1247],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6491 */
  {
    "aarch64_movdi_tflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tflow },
    &operand_data[1249],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6501 */
  {
    "aarch64_movdi_tihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tihigh },
    &operand_data[1247],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6501 */
  {
    "aarch64_movdi_tfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tfhigh },
    &operand_data[1249],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6511 */
  {
    "aarch64_movtihigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtihigh_di },
    &operand_data[1251],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6511 */
  {
    "aarch64_movtfhigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtfhigh_di },
    &operand_data[1253],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6521 */
  {
    "aarch64_movtilow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtilow_di },
    &operand_data[1255],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6521 */
  {
    "aarch64_movtflow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtflow_di },
    &operand_data[1257],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6530 */
  {
    "aarch64_movtilow_tilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtilow_tilow },
    &operand_data[1259],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6561 */
  {
    "add_losym_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, :lo12:%c2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym_si },
    &operand_data[1261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6561 */
  {
    "add_losym_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, :lo12:%c2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym_di },
    &operand_data[1264],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6570 */
  {
    "ldr_got_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:got_lo12:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_si },
    &operand_data[1267],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6570 */
  {
    "ldr_got_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, [%1, #:got_lo12:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_di },
    &operand_data[1270],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6581 */
  {
    "ldr_got_small_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:got_lo12:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_sidi },
    &operand_data[1270],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6593 */
  {
    "ldr_got_small_28k_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:gotpage_lo14:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_si },
    &operand_data[1267],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6593 */
  {
    "ldr_got_small_28k_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, [%1, #:gotpage_lo15:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_di },
    &operand_data[1270],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6604 */
  {
    "ldr_got_small_28k_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:gotpage_lo14:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_sidi },
    &operand_data[1270],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6616 */
  {
    "ldr_got_tiny_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_si },
    &operand_data[1273],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6616 */
  {
    "ldr_got_tiny_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_di },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6625 */
  {
    "ldr_got_tiny_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_sidi },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6635 */
  {
    "aarch64_load_tp_hard",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, tpidr_el0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_tp_hard },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6657 */
  {
    "*tlsgd_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A1\n\tadd\tx0, x0, %L1\n\tbl\t%2\n\tnop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6657 */
  {
    "*tlsgd_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A1\n\tadd\tx0, x0, %L1\n\tbl\t%2\n\tnop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6669 */
  {
    "tlsie_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%w0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_si },
    &operand_data[1283],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6669 */
  {
    "tlsie_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%x0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_di },
    &operand_data[1285],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6679 */
  {
    "tlsie_small_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%w0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_sidi },
    &operand_data[1285],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6690 */
  {
    "tlsie_tiny_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1\n\tadd\t%w0, %w0, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_si },
    &operand_data[1287],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6690 */
  {
    "tlsie_tiny_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, %L1\n\tadd\t%x0, %x0, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_di },
    &operand_data[1290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6701 */
  {
    "tlsie_tiny_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1\n\tadd\t%w0, %w0, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_sidi },
    &operand_data[1290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6714 */
  {
    "tlsle12_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle12_si },
    &operand_data[1293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6714 */
  {
    "tlsle12_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle12_di },
    &operand_data[1296],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6725 */
  {
    "tlsle24_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, #%G2, lsl #12\n\tadd\t%w0, %w0, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle24_si },
    &operand_data[1293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6725 */
  {
    "tlsle24_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, #%G2, lsl #12\n\tadd\t%x0, %x0, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle24_di },
    &operand_data[1296],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6736 */
  {
    "tlsle32_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%w0, #:tprel_g1:%1\n\tmovk\t%w0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle32_si },
    &operand_data[1299],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6736 */
  {
    "tlsle32_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%x0, #:tprel_g1:%1\n\tmovk\t%x0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle32_di },
    &operand_data[1301],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6746 */
  {
    "tlsle48_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%w0, #:tprel_g2:%1\n\tmovk\t%w0, #:tprel_g1_nc:%1\n\tmovk\t%w0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle48_si },
    &operand_data[1299],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6746 */
  {
    "tlsle48_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%x0, #:tprel_g2:%1\n\tmovk\t%x0, #:tprel_g1_nc:%1\n\tmovk\t%x0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle48_di },
    &operand_data[1301],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6775 */
  {
    "tlsdesc_small_advsimd_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%w1, [x0, #%L0]\n\tadd\tw0, w0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_advsimd_si },
    &operand_data[1303],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6775 */
  {
    "tlsdesc_small_advsimd_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%x1, [x0, #%L0]\n\tadd\tx0, x0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_advsimd_di },
    &operand_data[1303],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6791 */
  {
    "tlsdesc_small_sve_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%w2, [x0, #%L0]\n\tadd\tw0, w0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_sve_si },
    &operand_data[1305],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6791 */
  {
    "tlsdesc_small_sve_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%x2, [x0, #%L0]\n\tadd\tx0, x0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_sve_di },
    &operand_data[1305],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6805 */
  {
    "stack_tie",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_tie },
    &operand_data[1308],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6815 */
  {
    "aarch64_fjcvtzs",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fjcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fjcvtzs },
    &operand_data[1145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6834 */
  {
    "paciasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t25 // paciasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_paciasp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6834 */
  {
    "autiasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t29 // autiasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autiasp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6834 */
  {
    "pacibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t27 // pacibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacibsp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6834 */
  {
    "autibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t31 // autibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autibsp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6843 */
  {
    "pacia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t8 // pacia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacia1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6843 */
  {
    "autia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t12 // autia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autia1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6843 */
  {
    "pacib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t10 // pacib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacib1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6843 */
  {
    "autib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t14 // autib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autib1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6852 */
  {
    "xpaclri",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t7 // xpaclri",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xpaclri },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6861 */
  {
    "blockage",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_blockage },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6869 */
  {
    "probe_stack_range",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1050 },
#else
    { 0, 0, output_1050 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_stack_range },
    &operand_data[1310],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6885 */
  {
    "probe_sve_stack_clash_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1051 },
#else
    { 0, 0, output_1051 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_sve_stack_clash_si },
    &operand_data[1313],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6885 */
  {
    "probe_sve_stack_clash_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1052 },
#else
    { 0, 0, output_1052 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_sve_stack_clash_di },
    &operand_data[1318],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6938 */
  {
    "reg_stack_protect_address_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1053 },
#else
    { 0, 0, output_1053 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reg_stack_protect_address_si },
    &operand_data[1323],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6938 */
  {
    "reg_stack_protect_address_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1054 },
#else
    { 0, 0, output_1054 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reg_stack_protect_address_di },
    &operand_data[1325],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6954 */
  {
    "stack_protect_set_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w2, %1\n\tstr\t%w2, %0\n\tmov\t%w2, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set_si },
    &operand_data[1327],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6954 */
  {
    "stack_protect_set_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x2, %1\n\tstr\t%x2, %0\n\tmov\t%x2, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set_di },
    &operand_data[1330],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6999 */
  {
    "stack_protect_test_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w2, %0\n\tldr\t%w3, %1\n\tsubs\t%w2, %w2, %w3\n\tmov\t%3, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test_si },
    &operand_data[1333],
    2,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6999 */
  {
    "stack_protect_test_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x2, %0\n\tldr\t%x3, %1\n\tsubs\t%x2, %x2, %x3\n\tmov\t%3, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test_di },
    &operand_data[1337],
    2,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7012 */
  {
    "aarch64_set_fpsrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpsr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpsrsi },
    &operand_data[42],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7012 */
  {
    "aarch64_set_fpcrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpcr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpcrsi },
    &operand_data[42],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7012 */
  {
    "aarch64_set_fpsrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpsr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpsrdi },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7012 */
  {
    "aarch64_set_fpcrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpcr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpcrdi },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7019 */
  {
    "aarch64_get_fpsrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpsrsi },
    &operand_data[90],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7019 */
  {
    "aarch64_get_fpcrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpcrsi },
    &operand_data[90],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7019 */
  {
    "aarch64_get_fpsrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpsrdi },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7019 */
  {
    "aarch64_get_fpcrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpcrdi },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7065 */
  {
    "speculation_tracker",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1067 },
#else
    { 0, 0, output_1067 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_tracker },
    &operand_data[2],
    1,
    1,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7079 */
  {
    "speculation_tracker_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1068 },
#else
    { 0, 0, output_1068 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_tracker_rev },
    &operand_data[2],
    1,
    1,
    0,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7093 */
  {
    "bti_noarg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t32 // bti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_noarg },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7100 */
  {
    "bti_c",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t34 // bti c",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_c },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7107 */
  {
    "bti_j",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t36 // bti j",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_j },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7114 */
  {
    "bti_jc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t38 // bti jc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_jc },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7122 */
  {
    "speculation_barrier",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "isb\n\tdsb\tsy",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_barrier },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7162 */
  {
    "*despeculate_copyqi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1074 },
#else
    { 0, 0, output_1074 },
#endif
    { 0 },
    &operand_data[1341],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7162 */
  {
    "*despeculate_copyhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1075 },
#else
    { 0, 0, output_1075 },
#endif
    { 0 },
    &operand_data[1344],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7162 */
  {
    "*despeculate_copysi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1076 },
#else
    { 0, 0, output_1076 },
#endif
    { 0 },
    &operand_data[1347],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7162 */
  {
    "*despeculate_copydi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1077 },
#else
    { 0, 0, output_1077 },
#endif
    { 0 },
    &operand_data[1350],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7182 */
  {
    "*despeculate_copyti_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1078 },
#else
    { 0, 0, output_1078 },
#endif
    { 0 },
    &operand_data[1353],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7202 */
  {
    "despeculate_simpleqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpleqi },
    &operand_data[1356],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7202 */
  {
    "despeculate_simplehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simplehi },
    &operand_data[1359],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7202 */
  {
    "despeculate_simplesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simplesi },
    &operand_data[1362],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7202 */
  {
    "despeculate_simpledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x1, %x2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpledi },
    &operand_data[1365],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7215 */
  {
    "despeculate_simpleti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0, %1, %2\n\tand\t%H0, %H1, %2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpleti },
    &operand_data[1368],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint32zv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv2sf },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint32xv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv2sf },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint64zv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv2sf },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint64xv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv2sf },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint32zv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv4sf },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint32xv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv4sf },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint64zv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv4sf },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint64xv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv4sf },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint32zv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv2df },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint32xv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv2df },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint64zv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv2df },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint64xv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv2df },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint32zdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zdf },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint32xdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xdf },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint64zdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zdf },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint64xdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xdf },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint32zsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zsf },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint32xsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xsf },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint64zsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zsf },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "aarch64_frint64xsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xsf },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7240 */
  {
    "tstart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tstart\t%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tstart },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7249 */
  {
    "ttest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ttest\t%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ttest },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7258 */
  {
    "tcommit",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tcommit",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tcommit },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7266 */
  {
    "tcancel",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tcancel\t#%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tcancel },
    &operand_data[610],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7275 */
  {
    "aarch64_rndr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, RNDR",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rndr },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7285 */
  {
    "aarch64_rndrrs",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, RNDRRS",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rndrrs },
    &operand_data[94],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7297 */
  {
    "irg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "irg\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_irg },
    &operand_data[1377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7310 */
  {
    "gmi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "gmi\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gmi },
    &operand_data[405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7323 */
  {
    "addg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addg\t%0, %1, #%2, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addg },
    &operand_data[1380],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7340 */
  {
    "subp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subp\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subp },
    &operand_data[1384],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7353 */
  {
    "ldg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldg\t%0, [%1, #%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldg },
    &operand_data[1387],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7370 */
  {
    "stg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stg\t%0, [%1, #%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stg },
    &operand_data[1390],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1116 },
#else
    { 0, output_1116, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8qi },
    &operand_data[1393],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1117 },
#else
    { 0, output_1117, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv16qi },
    &operand_data[1395],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1118 },
#else
    { 0, output_1118, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4hi },
    &operand_data[1397],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1119 },
#else
    { 0, output_1119, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8hi },
    &operand_data[1399],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1120 },
#else
    { 0, output_1120, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2si },
    &operand_data[1401],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1121 },
#else
    { 0, output_1121, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4si },
    &operand_data[1403],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:54 */
  {
    "aarch64_simd_dupv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1122 },
#else
    { 0, output_1122, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2di },
    &operand_data[1405],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4hf },
    &operand_data[1407],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8hf },
    &operand_data[1409],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2sf },
    &operand_data[1411],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4sf },
    &operand_data[1413],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2df },
    &operand_data[1415],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4bf },
    &operand_data[1417],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:65 */
  {
    "aarch64_simd_dupv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8bf },
    &operand_data[1419],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1130 },
#else
    { 0, 0, output_1130 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8qi },
    &operand_data[1421],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1131 },
#else
    { 0, 0, output_1131 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev16qi },
    &operand_data[1424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1132 },
#else
    { 0, 0, output_1132 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4hi },
    &operand_data[1427],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1133 },
#else
    { 0, 0, output_1133 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8hi },
    &operand_data[1430],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1134 },
#else
    { 0, 0, output_1134 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2si },
    &operand_data[1433],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1135 },
#else
    { 0, 0, output_1135 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4si },
    &operand_data[1436],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1136 },
#else
    { 0, 0, output_1136 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2di },
    &operand_data[1439],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1137 },
#else
    { 0, 0, output_1137 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4hf },
    &operand_data[1442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1138 },
#else
    { 0, 0, output_1138 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8hf },
    &operand_data[1445],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1139 },
#else
    { 0, 0, output_1139 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4bf },
    &operand_data[1448],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1140 },
#else
    { 0, 0, output_1140 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8bf },
    &operand_data[1451],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1141 },
#else
    { 0, 0, output_1141 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2sf },
    &operand_data[1454],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1142 },
#else
    { 0, 0, output_1142 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4sf },
    &operand_data[1457],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:74 */
  {
    "aarch64_dup_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1143 },
#else
    { 0, 0, output_1143 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2df },
    &operand_data[1460],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1144 },
#else
    { 0, 0, output_1144 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v8qi },
    &operand_data[1463],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1145 },
#else
    { 0, 0, output_1145 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v16qi },
    &operand_data[1466],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1146 },
#else
    { 0, 0, output_1146 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v4hi },
    &operand_data[1469],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1147 },
#else
    { 0, 0, output_1147 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v8hi },
    &operand_data[1472],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1148 },
#else
    { 0, 0, output_1148 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v2si },
    &operand_data[1475],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1149 },
#else
    { 0, 0, output_1149 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v4si },
    &operand_data[1478],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1150 },
#else
    { 0, 0, output_1150 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v4hf },
    &operand_data[1481],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1151 },
#else
    { 0, 0, output_1151 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v8hf },
    &operand_data[1484],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1152 },
#else
    { 0, 0, output_1152 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v2sf },
    &operand_data[1487],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:89 */
  {
    "aarch64_dup_lane_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1153 },
#else
    { 0, 0, output_1153 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v4sf },
    &operand_data[1490],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1154 },
#else
    { 0, 0, output_1154 },
#endif
    { 0 },
    &operand_data[1493],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1155 },
#else
    { 0, 0, output_1155 },
#endif
    { 0 },
    &operand_data[1495],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1156 },
#else
    { 0, 0, output_1156 },
#endif
    { 0 },
    &operand_data[1497],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1157 },
#else
    { 0, 0, output_1157 },
#endif
    { 0 },
    &operand_data[1499],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1158 },
#else
    { 0, 0, output_1158 },
#endif
    { 0 },
    &operand_data[1501],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "*aarch64_simd_movv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1159 },
#else
    { 0, 0, output_1159 },
#endif
    { 0 },
    &operand_data[1503],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1160 },
#else
    { 0, 0, output_1160 },
#endif
    { 0 },
    &operand_data[1505],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1161 },
#else
    { 0, 0, output_1161 },
#endif
    { 0 },
    &operand_data[1507],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1162 },
#else
    { 0, 0, output_1162 },
#endif
    { 0 },
    &operand_data[1509],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1163 },
#else
    { 0, 0, output_1163 },
#endif
    { 0 },
    &operand_data[1511],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1164 },
#else
    { 0, 0, output_1164 },
#endif
    { 0 },
    &operand_data[1513],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1165 },
#else
    { 0, 0, output_1165 },
#endif
    { 0 },
    &operand_data[1515],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1166 },
#else
    { 0, 0, output_1166 },
#endif
    { 0 },
    &operand_data[1517],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:132 */
  {
    "*aarch64_simd_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1167 },
#else
    { 0, 0, output_1167 },
#endif
    { 0 },
    &operand_data[1519],
    2,
    2,
    0,
    8,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%b1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8qi },
    &operand_data[1521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%b1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v16qi },
    &operand_data[1524],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4hi },
    &operand_data[1527],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8hi },
    &operand_data[1530],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2si },
    &operand_data[1533],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4si },
    &operand_data[1536],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%d1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2di },
    &operand_data[1539],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4hf },
    &operand_data[1542],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8hf },
    &operand_data[1545],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4bf },
    &operand_data[1548],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8bf },
    &operand_data[1551],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2sf },
    &operand_data[1554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4sf },
    &operand_data[1557],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:170 */
  {
    "aarch64_store_lane0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%d1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2df },
    &operand_data[1560],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv8qi },
    &operand_data[1563],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv8qi },
    &operand_data[1567],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv8qi },
    &operand_data[1571],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2siv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv8qi },
    &operand_data[1575],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv8qi },
    &operand_data[1579],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairdfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv8qi },
    &operand_data[1583],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv8qiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv4hi },
    &operand_data[1587],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv4hi },
    &operand_data[1591],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv4hi },
    &operand_data[1595],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2siv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv4hi },
    &operand_data[1599],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv4hi },
    &operand_data[1603],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairdfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv4hi },
    &operand_data[1607],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv8qiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv4hf },
    &operand_data[1611],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv4hf },
    &operand_data[1615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv4hf },
    &operand_data[1619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2siv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv4hf },
    &operand_data[1623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv4hf },
    &operand_data[1627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairdfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv4hf },
    &operand_data[1631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv8qiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv2si },
    &operand_data[1635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv2si },
    &operand_data[1639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv2si },
    &operand_data[1643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv2si },
    &operand_data[1647],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv2si },
    &operand_data[1651],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairdfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv2si },
    &operand_data[1655],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv8qiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qiv2sf },
    &operand_data[1659],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hiv2sf },
    &operand_data[1663],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfv2sf },
    &operand_data[1667],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2siv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2siv2sf },
    &operand_data[1671],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfv2sf },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairdfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfv2sf },
    &operand_data[1679],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv8qidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8qidf },
    &operand_data[1683],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hidf },
    &operand_data[1687],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv4hfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4hfdf },
    &operand_data[1691],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sidf },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairv2sfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2sfdf },
    &operand_data[1699],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:180 */
  {
    "load_pairdfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%d0, %d2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairdfdf },
    &operand_data[1703],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv8qi },
    &operand_data[1707],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv8qi },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv8qi },
    &operand_data[1715],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2siv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv8qi },
    &operand_data[1719],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv8qi },
    &operand_data[1723],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairdfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv8qi },
    &operand_data[1727],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv8qiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv4hi },
    &operand_data[1731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv4hi },
    &operand_data[1735],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv4hi },
    &operand_data[1739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2siv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv4hi },
    &operand_data[1743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv4hi },
    &operand_data[1747],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairdfv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv4hi },
    &operand_data[1751],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv8qiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv4hf },
    &operand_data[1755],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv4hf },
    &operand_data[1759],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv4hf },
    &operand_data[1763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2siv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv4hf },
    &operand_data[1767],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv4hf },
    &operand_data[1771],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairdfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv4hf },
    &operand_data[1775],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv8qiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv2si },
    &operand_data[1779],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv2si },
    &operand_data[1783],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv2si },
    &operand_data[1787],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv2si },
    &operand_data[1791],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv2si },
    &operand_data[1795],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairdfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv2si },
    &operand_data[1799],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv8qiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qiv2sf },
    &operand_data[1803],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hiv2sf },
    &operand_data[1807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfv2sf },
    &operand_data[1811],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2siv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2siv2sf },
    &operand_data[1815],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfv2sf },
    &operand_data[1819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairdfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfv2sf },
    &operand_data[1823],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv8qidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8qidf },
    &operand_data[1827],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hidf },
    &operand_data[1831],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv4hfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4hfdf },
    &operand_data[1835],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sidf },
    &operand_data[1839],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairv2sfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2sfdf },
    &operand_data[1843],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:194 */
  {
    "vec_store_pairdfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%d1, %d3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairdfdf },
    &operand_data[1847],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv16qi },
    &operand_data[1851],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv8hi },
    &operand_data[1855],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv4si },
    &operand_data[1859],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv2di },
    &operand_data[1863],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv8hf },
    &operand_data[1867],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv8bf },
    &operand_data[1871],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv4sf },
    &operand_data[1875],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv16qiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv16qiv2df },
    &operand_data[1879],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv16qi },
    &operand_data[1883],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv8hi },
    &operand_data[1887],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv4si },
    &operand_data[1891],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv2di },
    &operand_data[1895],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv8hf },
    &operand_data[1899],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv8bf },
    &operand_data[1903],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv4sf },
    &operand_data[1907],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hiv2df },
    &operand_data[1911],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv16qi },
    &operand_data[1915],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv8hi },
    &operand_data[1919],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv4si },
    &operand_data[1923],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv2di },
    &operand_data[1927],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv8hf },
    &operand_data[1931],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv8bf },
    &operand_data[1935],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv4sf },
    &operand_data[1939],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4siv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4siv2df },
    &operand_data[1943],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div16qi },
    &operand_data[1947],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div8hi },
    &operand_data[1951],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div4si },
    &operand_data[1955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div2di },
    &operand_data[1959],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div8hf },
    &operand_data[1963],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div8bf },
    &operand_data[1967],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div4sf },
    &operand_data[1971],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2div2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2div2df },
    &operand_data[1975],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv16qi },
    &operand_data[1979],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv8hi },
    &operand_data[1983],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv4si },
    &operand_data[1987],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv2di },
    &operand_data[1991],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv8hf },
    &operand_data[1995],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv8bf },
    &operand_data[1999],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv4sf },
    &operand_data[2003],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8hfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8hfv2df },
    &operand_data[2007],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv16qi },
    &operand_data[2011],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv8hi },
    &operand_data[2015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv4si },
    &operand_data[2019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv2di },
    &operand_data[2023],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv8hf },
    &operand_data[2027],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv8bf },
    &operand_data[2031],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv4sf },
    &operand_data[2035],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv4sfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv4sfv2df },
    &operand_data[2039],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv16qi },
    &operand_data[2043],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv8hi },
    &operand_data[2047],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv4si },
    &operand_data[2051],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv2di },
    &operand_data[2055],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv8hf },
    &operand_data[2059],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv8bf },
    &operand_data[2063],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv4sf },
    &operand_data[2067],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv2dfv2df },
    &operand_data[2071],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv16qi },
    &operand_data[2075],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv8hi },
    &operand_data[2079],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv4si },
    &operand_data[2083],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv2di },
    &operand_data[2087],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv8hf },
    &operand_data[2091],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv8bf },
    &operand_data[2095],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv4sf },
    &operand_data[2099],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:208 */
  {
    "load_pairv8bfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pairv8bfv2df },
    &operand_data[2103],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv16qi },
    &operand_data[2107],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv8hi },
    &operand_data[2111],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv2di },
    &operand_data[2119],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv8hf },
    &operand_data[2123],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv8bf },
    &operand_data[2127],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv4sf },
    &operand_data[2131],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv16qiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv16qiv2df },
    &operand_data[2135],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv16qi },
    &operand_data[2139],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv8hi },
    &operand_data[2143],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv4si },
    &operand_data[2147],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv2di },
    &operand_data[2151],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv8hf },
    &operand_data[2155],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv8bf },
    &operand_data[2159],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv4sf },
    &operand_data[2163],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hiv2df },
    &operand_data[2167],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv16qi },
    &operand_data[2171],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv8hi },
    &operand_data[2175],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv4si },
    &operand_data[2179],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv2di },
    &operand_data[2183],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv8hf },
    &operand_data[2187],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv8bf },
    &operand_data[2191],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv4sf },
    &operand_data[2195],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4siv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4siv2df },
    &operand_data[2199],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div16qi },
    &operand_data[2203],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div8hi },
    &operand_data[2207],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div4si },
    &operand_data[2211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div2di },
    &operand_data[2215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div8hf },
    &operand_data[2219],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div8bf },
    &operand_data[2223],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div4sf },
    &operand_data[2227],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2div2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2div2df },
    &operand_data[2231],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv16qi },
    &operand_data[2235],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv8hi },
    &operand_data[2239],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv4si },
    &operand_data[2243],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv2di },
    &operand_data[2247],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv8hf },
    &operand_data[2251],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv8bf },
    &operand_data[2255],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv4sf },
    &operand_data[2259],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8hfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8hfv2df },
    &operand_data[2263],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv16qi },
    &operand_data[2267],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv8hi },
    &operand_data[2271],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv4si },
    &operand_data[2275],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv2di },
    &operand_data[2279],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv8hf },
    &operand_data[2283],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv8bf },
    &operand_data[2287],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv4sf },
    &operand_data[2291],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv4sfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv4sfv2df },
    &operand_data[2295],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv16qi },
    &operand_data[2299],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv8hi },
    &operand_data[2303],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv4si },
    &operand_data[2307],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv2di },
    &operand_data[2311],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv8hf },
    &operand_data[2315],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv8bf },
    &operand_data[2319],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv4sf },
    &operand_data[2323],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv2dfv2df },
    &operand_data[2327],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv16qi },
    &operand_data[2331],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv8hi },
    &operand_data[2335],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv4si },
    &operand_data[2339],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv2di },
    &operand_data[2343],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv8hf },
    &operand_data[2347],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv8bf },
    &operand_data[2351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv4sf },
    &operand_data[2355],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:222 */
  {
    "vec_store_pairv8bfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q3, %z0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_pairv8bfv2df },
    &operand_data[2359],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:300 */
  {
    "aarch64_simd_mov_from_v16qilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1382 },
#else
    { 0, output_1382, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v16qilow },
    &operand_data[2363],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:300 */
  {
    "aarch64_simd_mov_from_v8hilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1383 },
#else
    { 0, output_1383, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hilow },
    &operand_data[2366],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:300 */
  {
    "aarch64_simd_mov_from_v4silow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1384 },
#else
    { 0, output_1384, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4silow },
    &operand_data[2369],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:300 */
  {
    "aarch64_simd_mov_from_v8hflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1385 },
#else
    { 0, output_1385, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hflow },
    &operand_data[2372],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:300 */
  {
    "aarch64_simd_mov_from_v8bflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1386 },
#else
    { 0, output_1386, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8bflow },
    &operand_data[2375],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:300 */
  {
    "aarch64_simd_mov_from_v4sflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1387 },
#else
    { 0, output_1387, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sflow },
    &operand_data[2378],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:318 */
  {
    "aarch64_simd_mov_from_v16qihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1388 },
#else
    { 0, output_1388, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v16qihigh },
    &operand_data[2381],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:318 */
  {
    "aarch64_simd_mov_from_v8hihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1389 },
#else
    { 0, output_1389, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hihigh },
    &operand_data[2384],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:318 */
  {
    "aarch64_simd_mov_from_v4sihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1390 },
#else
    { 0, output_1390, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sihigh },
    &operand_data[2387],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:318 */
  {
    "aarch64_simd_mov_from_v8hfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1391 },
#else
    { 0, output_1391, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hfhigh },
    &operand_data[2390],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:318 */
  {
    "aarch64_simd_mov_from_v8bfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1392 },
#else
    { 0, output_1392, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8bfhigh },
    &operand_data[2393],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:318 */
  {
    "aarch64_simd_mov_from_v4sfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1393 },
#else
    { 0, output_1393, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sfhigh },
    &operand_data[2396],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv8qi3 },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv16qi3 },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv4hi3 },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv8hi3 },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv2si3 },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv4si3 },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:331 */
  {
    "ornv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ornv2di3 },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv8qi3 },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv16qi3 },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv4hi3 },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv8hi3 },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv2si3 },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv4si3 },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:340 */
  {
    "bicv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bicv2di3 },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8qi3 },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv16qi3 },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hi3 },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8hi3 },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2si3 },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4si3 },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:349 */
  {
    "addv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2di3 },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8qi3 },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv16qi3 },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hi3 },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8hi3 },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2si3 },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4si3 },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:358 */
  {
    "subv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2di3 },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:367 */
  {
    "mulv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8qi3 },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:367 */
  {
    "mulv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv16qi3 },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:367 */
  {
    "mulv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hi3 },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:367 */
  {
    "mulv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8hi3 },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:367 */
  {
    "mulv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2si3 },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:367 */
  {
    "mulv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4si3 },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:376 */
  {
    "bswapv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv4hi2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:376 */
  {
    "bswapv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv8hi2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:376 */
  {
    "bswapv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv2si2 },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:376 */
  {
    "bswapv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv4si2 },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:376 */
  {
    "bswapv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv2di2 },
    &operand_data[1439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:384 */
  {
    "aarch64_rbitv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv8qi },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:384 */
  {
    "aarch64_rbitv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.8h, %1.8h, %2.8h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.8h, %1.8h, %2.8h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4s, %1.4s, %2.4s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4s, %1.4s, %2.4s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2d, %1.2d, %2.2d, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:442 */
  {
    "aarch64_fcadd270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2d, %1.2d, %2.2d, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4hf },
    &operand_data[2435],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4hf },
    &operand_data[2435],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4hf },
    &operand_data[2435],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4hf },
    &operand_data[2435],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v8hf },
    &operand_data[2439],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v8hf },
    &operand_data[2439],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v8hf },
    &operand_data[2439],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v8hf },
    &operand_data[2439],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2sf },
    &operand_data[2443],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2sf },
    &operand_data[2443],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla180v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2sf },
    &operand_data[2443],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2sf },
    &operand_data[2443],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4sf },
    &operand_data[2447],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4sf },
    &operand_data[2447],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4sf },
    &operand_data[2447],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4sf },
    &operand_data[2447],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2df },
    &operand_data[2451],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2df },
    &operand_data[2451],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla180v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2df },
    &operand_data[2451],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:460 */
  {
    "aarch64_fcmla270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2df },
    &operand_data[2451],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1465 },
#else
    { 0, 0, output_1465 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4hf },
    &operand_data[2455],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1466 },
#else
    { 0, 0, output_1466 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4hf },
    &operand_data[2455],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1467 },
#else
    { 0, 0, output_1467 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4hf },
    &operand_data[2455],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1468 },
#else
    { 0, 0, output_1468 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4hf },
    &operand_data[2455],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1469 },
#else
    { 0, 0, output_1469 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v8hf },
    &operand_data[2460],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1470 },
#else
    { 0, 0, output_1470 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v8hf },
    &operand_data[2460],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1471 },
#else
    { 0, 0, output_1471 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v8hf },
    &operand_data[2460],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1472 },
#else
    { 0, 0, output_1472 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v8hf },
    &operand_data[2460],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1473 },
#else
    { 0, 0, output_1473 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2sf },
    &operand_data[2465],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1474 },
#else
    { 0, 0, output_1474 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2sf },
    &operand_data[2465],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane180v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1475 },
#else
    { 0, 0, output_1475 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2sf },
    &operand_data[2465],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1476 },
#else
    { 0, 0, output_1476 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2sf },
    &operand_data[2465],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1477 },
#else
    { 0, 0, output_1477 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4sf },
    &operand_data[2470],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1478 },
#else
    { 0, 0, output_1478 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4sf },
    &operand_data[2470],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1479 },
#else
    { 0, 0, output_1479 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4sf },
    &operand_data[2470],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1480 },
#else
    { 0, 0, output_1480 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4sf },
    &operand_data[2470],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1481 },
#else
    { 0, 0, output_1481 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2df },
    &operand_data[2475],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1482 },
#else
    { 0, 0, output_1482 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2df },
    &operand_data[2475],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane180v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1483 },
#else
    { 0, 0, output_1483 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2df },
    &operand_data[2475],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:472 */
  {
    "aarch64_fcmla_lane270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1484 },
#else
    { 0, 0, output_1484 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2df },
    &operand_data[2475],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:487 */
  {
    "aarch64_fcmla_laneq0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1485 },
#else
    { 0, 0, output_1485 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq0v4hf },
    &operand_data[2480],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:487 */
  {
    "aarch64_fcmla_laneq90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1486 },
#else
    { 0, 0, output_1486 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq90v4hf },
    &operand_data[2480],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:487 */
  {
    "aarch64_fcmla_laneq180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1487 },
#else
    { 0, 0, output_1487 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq180v4hf },
    &operand_data[2480],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:487 */
  {
    "aarch64_fcmla_laneq270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1488 },
#else
    { 0, 0, output_1488 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq270v4hf },
    &operand_data[2480],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:502 */
  {
    "aarch64_fcmlaq_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1489 },
#else
    { 0, 0, output_1489 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane0v8hf },
    &operand_data[2485],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:502 */
  {
    "aarch64_fcmlaq_lane90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1490 },
#else
    { 0, 0, output_1490 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane90v8hf },
    &operand_data[2485],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:502 */
  {
    "aarch64_fcmlaq_lane180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1491 },
#else
    { 0, 0, output_1491 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane180v8hf },
    &operand_data[2485],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:502 */
  {
    "aarch64_fcmlaq_lane270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1492 },
#else
    { 0, 0, output_1492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane270v8hf },
    &operand_data[2485],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:502 */
  {
    "aarch64_fcmlaq_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1493 },
#else
    { 0, 0, output_1493 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane0v4sf },
    &operand_data[2490],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:502 */
  {
    "aarch64_fcmlaq_lane90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1494 },
#else
    { 0, 0, output_1494 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane90v4sf },
    &operand_data[2490],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:502 */
  {
    "aarch64_fcmlaq_lane180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1495 },
#else
    { 0, 0, output_1495 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane180v4sf },
    &operand_data[2490],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:502 */
  {
    "aarch64_fcmlaq_lane270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1496 },
#else
    { 0, 0, output_1496 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane270v4sf },
    &operand_data[2490],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:558 */
  {
    "aarch64_sdotv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.2s, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdotv8qi },
    &operand_data[2495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:558 */
  {
    "aarch64_udotv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.2s, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udotv8qi },
    &operand_data[2495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:558 */
  {
    "aarch64_sdotv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdotv16qi },
    &operand_data[2499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:558 */
  {
    "aarch64_udotv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udotv16qi },
    &operand_data[2499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:571 */
  {
    "aarch64_usdotv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.2s, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdotv8qi },
    &operand_data[2495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:571 */
  {
    "aarch64_usdotv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdotv16qi },
    &operand_data[2499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:620 */
  {
    "aarch64_sdot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1503 },
#else
    { 0, 0, output_1503 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev8qi },
    &operand_data[2503],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:620 */
  {
    "aarch64_udot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1504 },
#else
    { 0, 0, output_1504 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev8qi },
    &operand_data[2503],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:620 */
  {
    "aarch64_sdot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1505 },
#else
    { 0, 0, output_1505 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev16qi },
    &operand_data[2508],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:620 */
  {
    "aarch64_udot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1506 },
#else
    { 0, 0, output_1506 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev16qi },
    &operand_data[2508],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:635 */
  {
    "aarch64_sdot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1507 },
#else
    { 0, 0, output_1507 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv8qi },
    &operand_data[2513],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:635 */
  {
    "aarch64_udot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1508 },
#else
    { 0, 0, output_1508 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv8qi },
    &operand_data[2513],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:635 */
  {
    "aarch64_sdot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1509 },
#else
    { 0, 0, output_1509 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv16qi },
    &operand_data[2518],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:635 */
  {
    "aarch64_udot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1510 },
#else
    { 0, 0, output_1510 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv16qi },
    &operand_data[2518],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:652 */
  {
    "aarch64_usdot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1511 },
#else
    { 0, 0, output_1511 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev8qi },
    &operand_data[2503],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:652 */
  {
    "aarch64_sudot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1512 },
#else
    { 0, 0, output_1512 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev8qi },
    &operand_data[2503],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:652 */
  {
    "aarch64_usdot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1513 },
#else
    { 0, 0, output_1513 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev16qi },
    &operand_data[2508],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:652 */
  {
    "aarch64_sudot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1514 },
#else
    { 0, 0, output_1514 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev16qi },
    &operand_data[2508],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:652 */
  {
    "aarch64_usdot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1515 },
#else
    { 0, 0, output_1515 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv8qi },
    &operand_data[2513],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:652 */
  {
    "aarch64_sudot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1516 },
#else
    { 0, 0, output_1516 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv8qi },
    &operand_data[2513],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:652 */
  {
    "aarch64_usdot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1517 },
#else
    { 0, 0, output_1517 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv16qi },
    &operand_data[2518],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:652 */
  {
    "aarch64_sudot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1518 },
#else
    { 0, 0, output_1518 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv16qi },
    &operand_data[2518],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:688 */
  {
    "*aarch64_mul3_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1519 },
#else
    { 0, 0, output_1519 },
#endif
    { 0 },
    &operand_data[2523],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:688 */
  {
    "*aarch64_mul3_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1520 },
#else
    { 0, 0, output_1520 },
#endif
    { 0 },
    &operand_data[2527],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:688 */
  {
    "*aarch64_mul3_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1521 },
#else
    { 0, 0, output_1521 },
#endif
    { 0 },
    &operand_data[2531],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:688 */
  {
    "*aarch64_mul3_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1522 },
#else
    { 0, 0, output_1522 },
#endif
    { 0 },
    &operand_data[2535],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:688 */
  {
    "*aarch64_mul3_eltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1523 },
#else
    { 0, 0, output_1523 },
#endif
    { 0 },
    &operand_data[2539],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:688 */
  {
    "*aarch64_mul3_eltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1524 },
#else
    { 0, 0, output_1524 },
#endif
    { 0 },
    &operand_data[2543],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:688 */
  {
    "*aarch64_mul3_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1525 },
#else
    { 0, 0, output_1525 },
#endif
    { 0 },
    &operand_data[2547],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:688 */
  {
    "*aarch64_mul3_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1526 },
#else
    { 0, 0, output_1526 },
#endif
    { 0 },
    &operand_data[2551],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:688 */
  {
    "*aarch64_mul3_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1527 },
#else
    { 0, 0, output_1527 },
#endif
    { 0 },
    &operand_data[2555],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:704 */
  {
    "*aarch64_mul3_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1528 },
#else
    { 0, 0, output_1528 },
#endif
    { 0 },
    &operand_data[2559],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:704 */
  {
    "*aarch64_mul3_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1529 },
#else
    { 0, 0, output_1529 },
#endif
    { 0 },
    &operand_data[2563],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:704 */
  {
    "*aarch64_mul3_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1530 },
#else
    { 0, 0, output_1530 },
#endif
    { 0 },
    &operand_data[2567],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:704 */
  {
    "*aarch64_mul3_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1531 },
#else
    { 0, 0, output_1531 },
#endif
    { 0 },
    &operand_data[2571],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:704 */
  {
    "*aarch64_mul3_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1532 },
#else
    { 0, 0, output_1532 },
#endif
    { 0 },
    &operand_data[2575],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:704 */
  {
    "*aarch64_mul3_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1533 },
#else
    { 0, 0, output_1533 },
#endif
    { 0 },
    &operand_data[2579],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:720 */
  {
    "*aarch64_mul3_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2583],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:720 */
  {
    "*aarch64_mul3_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2586],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:720 */
  {
    "*aarch64_mul3_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2589],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:720 */
  {
    "*aarch64_mul3_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2592],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:720 */
  {
    "*aarch64_mul3_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2595],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:720 */
  {
    "*aarch64_mul3_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2598],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:720 */
  {
    "*aarch64_mul3_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2601],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:720 */
  {
    "*aarch64_mul3_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2604],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:720 */
  {
    "*aarch64_mul3_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2607],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:731 */
  {
    "aarch64_rsqrtev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev4hf },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:731 */
  {
    "aarch64_rsqrtev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev8hf },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:731 */
  {
    "aarch64_rsqrtev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev2sf },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:731 */
  {
    "aarch64_rsqrtev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev4sf },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:731 */
  {
    "aarch64_rsqrtev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev2df },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:731 */
  {
    "aarch64_rsqrtehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtehf },
    &operand_data[1135],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:731 */
  {
    "aarch64_rsqrtesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtesf },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:731 */
  {
    "aarch64_rsqrtedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtedf },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:739 */
  {
    "aarch64_rsqrtsv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:739 */
  {
    "aarch64_rsqrtsv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:739 */
  {
    "aarch64_rsqrtsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:739 */
  {
    "aarch64_rsqrtsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:739 */
  {
    "aarch64_rsqrtsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:739 */
  {
    "aarch64_rsqrtshf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtshf },
    &operand_data[1165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:739 */
  {
    "aarch64_rsqrtssf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtssf },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:739 */
  {
    "aarch64_rsqrtsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsdf },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:758 */
  {
    "*aarch64_mul3_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1559 },
#else
    { 0, 0, output_1559 },
#endif
    { 0 },
    &operand_data[2610],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:773 */
  {
    "negv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8qi2 },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:773 */
  {
    "negv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv16qi2 },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:773 */
  {
    "negv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hi2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:773 */
  {
    "negv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8hi2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:773 */
  {
    "negv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2si2 },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:773 */
  {
    "negv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4si2 },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:773 */
  {
    "negv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2di2 },
    &operand_data[1439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:781 */
  {
    "absv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8qi2 },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:781 */
  {
    "absv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv16qi2 },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:781 */
  {
    "absv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hi2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:781 */
  {
    "absv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8hi2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:781 */
  {
    "absv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2si2 },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:781 */
  {
    "absv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4si2 },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:781 */
  {
    "absv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2di2 },
    &operand_data[1439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:792 */
  {
    "aarch64_absv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8qi },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:792 */
  {
    "aarch64_absv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:792 */
  {
    "aarch64_absv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4hi },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:792 */
  {
    "aarch64_absv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8hi },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:792 */
  {
    "aarch64_absv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2si },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:792 */
  {
    "aarch64_absv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4si },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:792 */
  {
    "aarch64_absv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2di },
    &operand_data[1439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:792 */
  {
    "aarch64_absdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absdi },
    &operand_data[952],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:807 */
  {
    "aarch64_sabdv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8qi },
    &operand_data[2399],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:807 */
  {
    "aarch64_uabdv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8qi },
    &operand_data[2399],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:807 */
  {
    "aarch64_sabdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv16qi },
    &operand_data[2402],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:807 */
  {
    "aarch64_uabdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv16qi },
    &operand_data[2402],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:807 */
  {
    "aarch64_sabdv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4hi },
    &operand_data[2405],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:807 */
  {
    "aarch64_uabdv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4hi },
    &operand_data[2405],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:807 */
  {
    "aarch64_sabdv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8hi },
    &operand_data[2408],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:807 */
  {
    "aarch64_uabdv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8hi },
    &operand_data[2408],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:807 */
  {
    "aarch64_sabdv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv2si },
    &operand_data[2411],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:807 */
  {
    "aarch64_uabdv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv2si },
    &operand_data[2411],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:807 */
  {
    "aarch64_sabdv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4si },
    &operand_data[2414],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:807 */
  {
    "aarch64_uabdv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4si },
    &operand_data[2414],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:821 */
  {
    "aarch64_sabdl2v8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v8qi_3 },
    &operand_data[2614],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:821 */
  {
    "aarch64_uabdl2v8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v8qi_3 },
    &operand_data[2614],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:821 */
  {
    "aarch64_sabdl2v16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v16qi_3 },
    &operand_data[2617],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:821 */
  {
    "aarch64_uabdl2v16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v16qi_3 },
    &operand_data[2617],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:821 */
  {
    "aarch64_sabdl2v4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v4hi_3 },
    &operand_data[2620],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:821 */
  {
    "aarch64_uabdl2v4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v4hi_3 },
    &operand_data[2620],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:821 */
  {
    "aarch64_sabdl2v8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v8hi_3 },
    &operand_data[2623],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:821 */
  {
    "aarch64_uabdl2v8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v8hi_3 },
    &operand_data[2623],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:821 */
  {
    "aarch64_sabdl2v4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v4si_3 },
    &operand_data[2626],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:821 */
  {
    "aarch64_uabdl2v4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v4si_3 },
    &operand_data[2626],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:831 */
  {
    "aarch64_sabalv8qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.8h, %1.<Vhalftype>, %2.<Vhalftype>",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv8qi_4 },
    &operand_data[2629],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:831 */
  {
    "aarch64_uabalv8qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.8h, %1.<Vhalftype>, %2.<Vhalftype>",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv8qi_4 },
    &operand_data[2629],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:831 */
  {
    "aarch64_sabalv16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv16qi_4 },
    &operand_data[2633],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:831 */
  {
    "aarch64_uabalv16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv16qi_4 },
    &operand_data[2633],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:831 */
  {
    "aarch64_sabalv4hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.4s, %1.<Vhalftype>, %2.<Vhalftype>",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv4hi_4 },
    &operand_data[2637],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:831 */
  {
    "aarch64_uabalv4hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.4s, %1.<Vhalftype>, %2.<Vhalftype>",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv4hi_4 },
    &operand_data[2637],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:831 */
  {
    "aarch64_sabalv8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv8hi_4 },
    &operand_data[2641],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:831 */
  {
    "aarch64_uabalv8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv8hi_4 },
    &operand_data[2641],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:831 */
  {
    "aarch64_sabalv4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv4si_4 },
    &operand_data[2645],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:831 */
  {
    "aarch64_uabalv4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv4si_4 },
    &operand_data[2645],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:842 */
  {
    "aarch64_sadalpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv8qi },
    &operand_data[2649],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:842 */
  {
    "aarch64_uadalpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv8qi },
    &operand_data[2649],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:842 */
  {
    "aarch64_sadalpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv16qi },
    &operand_data[2652],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:842 */
  {
    "aarch64_uadalpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv16qi },
    &operand_data[2652],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:842 */
  {
    "aarch64_sadalpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv4hi },
    &operand_data[2655],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:842 */
  {
    "aarch64_uadalpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv4hi },
    &operand_data[2655],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:842 */
  {
    "aarch64_sadalpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv8hi },
    &operand_data[2658],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:842 */
  {
    "aarch64_uadalpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv8hi },
    &operand_data[2658],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:842 */
  {
    "aarch64_sadalpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv4si },
    &operand_data[2661],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:842 */
  {
    "aarch64_uadalpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv4si },
    &operand_data[2661],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:899 */
  {
    "aarch64_sabav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav8qi },
    &operand_data[2664],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:899 */
  {
    "aarch64_uabav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav8qi },
    &operand_data[2664],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:899 */
  {
    "aarch64_sabav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav16qi },
    &operand_data[2668],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:899 */
  {
    "aarch64_uabav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav16qi },
    &operand_data[2668],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:899 */
  {
    "aarch64_sabav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav4hi },
    &operand_data[2672],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:899 */
  {
    "aarch64_uabav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav4hi },
    &operand_data[2672],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:899 */
  {
    "aarch64_sabav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav8hi },
    &operand_data[2676],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:899 */
  {
    "aarch64_uabav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav8hi },
    &operand_data[2676],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:899 */
  {
    "aarch64_sabav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav2si },
    &operand_data[2680],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:899 */
  {
    "aarch64_uabav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav2si },
    &operand_data[2680],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:899 */
  {
    "aarch64_sabav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav4si },
    &operand_data[2684],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:899 */
  {
    "aarch64_uabav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav4si },
    &operand_data[2684],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:914 */
  {
    "fabdv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4hf3 },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:914 */
  {
    "fabdv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv8hf3 },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:914 */
  {
    "fabdv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2sf3 },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:914 */
  {
    "fabdv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4sf3 },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:914 */
  {
    "fabdv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2df3 },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:914 */
  {
    "fabdhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdhf3 },
    &operand_data[1165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:914 */
  {
    "fabdsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdsf3 },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:914 */
  {
    "fabddf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabddf3 },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "andv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1644 },
#else
    { 0, 0, output_1644 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8qi3 },
    &operand_data[2688],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "andv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1645 },
#else
    { 0, 0, output_1645 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv16qi3 },
    &operand_data[2691],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "andv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1646 },
#else
    { 0, 0, output_1646 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4hi3 },
    &operand_data[2694],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "andv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1647 },
#else
    { 0, 0, output_1647 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8hi3 },
    &operand_data[2697],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "andv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1648 },
#else
    { 0, 0, output_1648 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2si3 },
    &operand_data[2700],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "andv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1649 },
#else
    { 0, 0, output_1649 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4si3 },
    &operand_data[2703],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "andv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1650 },
#else
    { 0, 0, output_1650 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2di3 },
    &operand_data[2706],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:947 */
  {
    "iorv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1651 },
#else
    { 0, 0, output_1651 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8qi3 },
    &operand_data[2709],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:947 */
  {
    "iorv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1652 },
#else
    { 0, 0, output_1652 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv16qi3 },
    &operand_data[2712],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:947 */
  {
    "iorv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1653 },
#else
    { 0, 0, output_1653 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4hi3 },
    &operand_data[2715],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:947 */
  {
    "iorv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1654 },
#else
    { 0, 0, output_1654 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8hi3 },
    &operand_data[2718],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:947 */
  {
    "iorv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1655 },
#else
    { 0, 0, output_1655 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2si3 },
    &operand_data[2721],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:947 */
  {
    "iorv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1656 },
#else
    { 0, 0, output_1656 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4si3 },
    &operand_data[2724],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:947 */
  {
    "iorv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1657 },
#else
    { 0, 0, output_1657 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2di3 },
    &operand_data[2727],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:967 */
  {
    "xorv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8qi3 },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:967 */
  {
    "xorv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv16qi3 },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:967 */
  {
    "xorv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4hi3 },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:967 */
  {
    "xorv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8hi3 },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:967 */
  {
    "xorv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2si3 },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:967 */
  {
    "xorv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4si3 },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:967 */
  {
    "xorv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2di3 },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:976 */
  {
    "one_cmplv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8qi2 },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:976 */
  {
    "one_cmplv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv16qi2 },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:976 */
  {
    "one_cmplv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4hi2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:976 */
  {
    "one_cmplv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8hi2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:976 */
  {
    "one_cmplv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2si2 },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:976 */
  {
    "one_cmplv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4si2 },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:976 */
  {
    "one_cmplv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2di2 },
    &operand_data[1439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1672 },
#else
    { 0, 0, output_1672 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8qi },
    &operand_data[2730],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1673 },
#else
    { 0, 0, output_1673 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv16qi },
    &operand_data[2734],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1674 },
#else
    { 0, 0, output_1674 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4hi },
    &operand_data[2738],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1675 },
#else
    { 0, 0, output_1675 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8hi },
    &operand_data[2742],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1676 },
#else
    { 0, 0, output_1676 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2si },
    &operand_data[2746],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1677 },
#else
    { 0, 0, output_1677 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4si },
    &operand_data[2750],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1678 },
#else
    { 0, 0, output_1678 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2di },
    &operand_data[2754],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1679 },
#else
    { 0, 0, output_1679 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4hf },
    &operand_data[2758],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1680 },
#else
    { 0, 0, output_1680 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8hf },
    &operand_data[2762],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1681 },
#else
    { 0, 0, output_1681 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4bf },
    &operand_data[2766],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1682 },
#else
    { 0, 0, output_1682 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8bf },
    &operand_data[2770],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1683 },
#else
    { 0, 0, output_1683 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2sf },
    &operand_data[2774],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1684 },
#else
    { 0, 0, output_1684 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4sf },
    &operand_data[2778],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:984 */
  {
    "aarch64_simd_vec_setv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1685 },
#else
    { 0, 0, output_1685 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2df },
    &operand_data[2782],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1686 },
#else
    { 0, 0, output_1686 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8qi },
    &operand_data[2786],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1687 },
#else
    { 0, 0, output_1687 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev16qi },
    &operand_data[2791],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1688 },
#else
    { 0, 0, output_1688 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4hi },
    &operand_data[2796],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1689 },
#else
    { 0, 0, output_1689 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8hi },
    &operand_data[2801],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1690 },
#else
    { 0, 0, output_1690 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2si },
    &operand_data[2806],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1691 },
#else
    { 0, 0, output_1691 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4si },
    &operand_data[2811],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1692 },
#else
    { 0, 0, output_1692 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2di },
    &operand_data[2816],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1693 },
#else
    { 0, 0, output_1693 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4hf },
    &operand_data[2821],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1694 },
#else
    { 0, 0, output_1694 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8hf },
    &operand_data[2826],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1695 },
#else
    { 0, 0, output_1695 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4bf },
    &operand_data[2831],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1696 },
#else
    { 0, 0, output_1696 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8bf },
    &operand_data[2836],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1697 },
#else
    { 0, 0, output_1697 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2sf },
    &operand_data[2841],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1698 },
#else
    { 0, 0, output_1698 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4sf },
    &operand_data[2846],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1010 */
  {
    "aarch64_simd_vec_copy_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1699 },
#else
    { 0, 0, output_1699 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2df },
    &operand_data[2851],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1031 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1700 },
#else
    { 0, 0, output_1700 },
#endif
    { 0 },
    &operand_data[2856],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1031 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1701 },
#else
    { 0, 0, output_1701 },
#endif
    { 0 },
    &operand_data[2861],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1031 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1702 },
#else
    { 0, 0, output_1702 },
#endif
    { 0 },
    &operand_data[2866],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1031 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1703 },
#else
    { 0, 0, output_1703 },
#endif
    { 0 },
    &operand_data[2871],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1031 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1704 },
#else
    { 0, 0, output_1704 },
#endif
    { 0 },
    &operand_data[2876],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1031 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1705 },
#else
    { 0, 0, output_1705 },
#endif
    { 0 },
    &operand_data[2881],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1031 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1706 },
#else
    { 0, 0, output_1706 },
#endif
    { 0 },
    &operand_data[2886],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1031 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1707 },
#else
    { 0, 0, output_1707 },
#endif
    { 0 },
    &operand_data[2891],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1031 */
  {
    "*aarch64_simd_vec_copy_lane_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1708 },
#else
    { 0, 0, output_1708 },
#endif
    { 0 },
    &operand_data[2896],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1031 */
  {
    "*aarch64_simd_vec_copy_lane_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1709 },
#else
    { 0, 0, output_1709 },
#endif
    { 0 },
    &operand_data[2901],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1068 */
  {
    "aarch64_simd_lshrv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8qi },
    &operand_data[2906],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1068 */
  {
    "aarch64_simd_lshrv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv16qi },
    &operand_data[2909],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1068 */
  {
    "aarch64_simd_lshrv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4hi },
    &operand_data[2912],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1068 */
  {
    "aarch64_simd_lshrv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8hi },
    &operand_data[2915],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1068 */
  {
    "aarch64_simd_lshrv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2si },
    &operand_data[2918],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1068 */
  {
    "aarch64_simd_lshrv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4si },
    &operand_data[2921],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1068 */
  {
    "aarch64_simd_lshrv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2di },
    &operand_data[2924],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_ashrv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8qi },
    &operand_data[2906],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_ashrv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv16qi },
    &operand_data[2909],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_ashrv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4hi },
    &operand_data[2912],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_ashrv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8hi },
    &operand_data[2915],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_ashrv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2si },
    &operand_data[2918],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_ashrv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4si },
    &operand_data[2921],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1077 */
  {
    "aarch64_simd_ashrv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2di },
    &operand_data[2924],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2927],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2927],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2931],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2931],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2935],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2935],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2939],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2939],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2943],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2943],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2947],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2947],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2951],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1086 */
  {
    "*aarch64_simd_srav2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2951],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1098 */
  {
    "aarch64_simd_imm_shlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8qi },
    &operand_data[2955],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1098 */
  {
    "aarch64_simd_imm_shlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv16qi },
    &operand_data[2958],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1098 */
  {
    "aarch64_simd_imm_shlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4hi },
    &operand_data[2961],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1098 */
  {
    "aarch64_simd_imm_shlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8hi },
    &operand_data[2964],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1098 */
  {
    "aarch64_simd_imm_shlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2si },
    &operand_data[2967],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1098 */
  {
    "aarch64_simd_imm_shlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4si },
    &operand_data[2970],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1098 */
  {
    "aarch64_simd_imm_shlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2di },
    &operand_data[2973],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1107 */
  {
    "aarch64_simd_reg_sshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1107 */
  {
    "aarch64_simd_reg_sshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1107 */
  {
    "aarch64_simd_reg_sshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1107 */
  {
    "aarch64_simd_reg_sshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1107 */
  {
    "aarch64_simd_reg_sshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1107 */
  {
    "aarch64_simd_reg_sshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1107 */
  {
    "aarch64_simd_reg_sshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1116 */
  {
    "aarch64_simd_reg_shlv8qi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_unsigned },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1116 */
  {
    "aarch64_simd_reg_shlv16qi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv16qi_unsigned },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1116 */
  {
    "aarch64_simd_reg_shlv4hi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_unsigned },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1116 */
  {
    "aarch64_simd_reg_shlv8hi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8hi_unsigned },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1116 */
  {
    "aarch64_simd_reg_shlv2si_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_unsigned },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1116 */
  {
    "aarch64_simd_reg_shlv4si_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4si_unsigned },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1116 */
  {
    "aarch64_simd_reg_shlv2di_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2di_unsigned },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1126 */
  {
    "aarch64_simd_reg_shlv8qi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_signed },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1126 */
  {
    "aarch64_simd_reg_shlv16qi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv16qi_signed },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1126 */
  {
    "aarch64_simd_reg_shlv4hi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_signed },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1126 */
  {
    "aarch64_simd_reg_shlv8hi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8hi_signed },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1126 */
  {
    "aarch64_simd_reg_shlv2si_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_signed },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1126 */
  {
    "aarch64_simd_reg_shlv4si_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4si_signed },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1126 */
  {
    "aarch64_simd_reg_shlv2di_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2di_signed },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1311 */
  {
    "vec_shr_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1766 },
#else
    { 0, 0, output_1766 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v8qi },
    &operand_data[1421],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1311 */
  {
    "vec_shr_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1767 },
#else
    { 0, 0, output_1767 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hi },
    &operand_data[1427],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1311 */
  {
    "vec_shr_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1768 },
#else
    { 0, 0, output_1768 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hf },
    &operand_data[1442],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1311 */
  {
    "vec_shr_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1769 },
#else
    { 0, 0, output_1769 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2si },
    &operand_data[1433],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1311 */
  {
    "vec_shr_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1770 },
#else
    { 0, 0, output_1770 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2sf },
    &operand_data[1454],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1311 */
  {
    "vec_shr_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1771 },
#else
    { 0, 0, output_1771 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4bf },
    &operand_data[1448],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1340 */
  {
    "aarch64_mlav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8qi },
    &operand_data[2664],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1340 */
  {
    "aarch64_mlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav16qi },
    &operand_data[2668],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1340 */
  {
    "aarch64_mlav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4hi },
    &operand_data[2672],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1340 */
  {
    "aarch64_mlav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8hi },
    &operand_data[2676],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1340 */
  {
    "aarch64_mlav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav2si },
    &operand_data[2680],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1340 */
  {
    "aarch64_mlav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4si },
    &operand_data[2684],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1351 */
  {
    "*aarch64_mla_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1778 },
#else
    { 0, 0, output_1778 },
#endif
    { 0 },
    &operand_data[2976],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1351 */
  {
    "*aarch64_mla_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1779 },
#else
    { 0, 0, output_1779 },
#endif
    { 0 },
    &operand_data[2981],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1351 */
  {
    "*aarch64_mla_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1780 },
#else
    { 0, 0, output_1780 },
#endif
    { 0 },
    &operand_data[2986],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1351 */
  {
    "*aarch64_mla_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1781 },
#else
    { 0, 0, output_1781 },
#endif
    { 0 },
    &operand_data[2991],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1369 */
  {
    "*aarch64_mla_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1782 },
#else
    { 0, 0, output_1782 },
#endif
    { 0 },
    &operand_data[2996],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1369 */
  {
    "*aarch64_mla_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1783 },
#else
    { 0, 0, output_1783 },
#endif
    { 0 },
    &operand_data[3001],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1369 */
  {
    "*aarch64_mla_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1784 },
#else
    { 0, 0, output_1784 },
#endif
    { 0 },
    &operand_data[3006],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1369 */
  {
    "*aarch64_mla_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1785 },
#else
    { 0, 0, output_1785 },
#endif
    { 0 },
    &operand_data[3011],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1387 */
  {
    "*aarch64_mla_elt_mergev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3016],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1387 */
  {
    "*aarch64_mla_elt_mergev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3020],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1387 */
  {
    "*aarch64_mla_elt_mergev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3024],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1387 */
  {
    "*aarch64_mla_elt_mergev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3028],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1399 */
  {
    "aarch64_mlsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8qi },
    &operand_data[2664],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1399 */
  {
    "aarch64_mlsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv16qi },
    &operand_data[2668],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1399 */
  {
    "aarch64_mlsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4hi },
    &operand_data[2672],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1399 */
  {
    "aarch64_mlsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8hi },
    &operand_data[2676],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1399 */
  {
    "aarch64_mlsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv2si },
    &operand_data[2680],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1399 */
  {
    "aarch64_mlsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4si },
    &operand_data[2684],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "*aarch64_mls_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1796 },
#else
    { 0, 0, output_1796 },
#endif
    { 0 },
    &operand_data[2976],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "*aarch64_mls_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1797 },
#else
    { 0, 0, output_1797 },
#endif
    { 0 },
    &operand_data[2981],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "*aarch64_mls_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1798 },
#else
    { 0, 0, output_1798 },
#endif
    { 0 },
    &operand_data[2986],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "*aarch64_mls_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1799 },
#else
    { 0, 0, output_1799 },
#endif
    { 0 },
    &operand_data[2991],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1427 */
  {
    "*aarch64_mls_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1800 },
#else
    { 0, 0, output_1800 },
#endif
    { 0 },
    &operand_data[2996],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1427 */
  {
    "*aarch64_mls_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1801 },
#else
    { 0, 0, output_1801 },
#endif
    { 0 },
    &operand_data[3001],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1427 */
  {
    "*aarch64_mls_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1802 },
#else
    { 0, 0, output_1802 },
#endif
    { 0 },
    &operand_data[3006],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1427 */
  {
    "*aarch64_mls_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1803 },
#else
    { 0, 0, output_1803 },
#endif
    { 0 },
    &operand_data[3011],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1445 */
  {
    "*aarch64_mls_elt_mergev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %3.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3032],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1445 */
  {
    "*aarch64_mls_elt_mergev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8h, %3.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3036],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1445 */
  {
    "*aarch64_mls_elt_mergev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %3.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3040],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1445 */
  {
    "*aarch64_mls_elt_mergev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4s, %3.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3044],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "smaxv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8qi3 },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "sminv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8qi3 },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "umaxv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8qi3 },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "uminv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8qi3 },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "smaxv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv16qi3 },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "sminv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv16qi3 },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "umaxv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv16qi3 },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "uminv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv16qi3 },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "smaxv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hi3 },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "sminv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hi3 },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "umaxv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4hi3 },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "uminv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4hi3 },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "smaxv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8hi3 },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "sminv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8hi3 },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "umaxv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8hi3 },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "uminv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8hi3 },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "smaxv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2si3 },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "sminv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2si3 },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "umaxv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2si3 },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "uminv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2si3 },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "smaxv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4si3 },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "sminv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4si3 },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "umaxv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4si3 },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1458 */
  {
    "uminv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4si3 },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_umaxpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_uminpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_smaxpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_sminpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_umaxpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_uminpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_smaxpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_sminpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_umaxpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_uminpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_smaxpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_sminpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_umaxpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_uminpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_smaxpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_sminpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_umaxpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_uminpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_smaxpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_sminpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_umaxpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_uminpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_smaxpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1501 */
  {
    "aarch64_sminpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smax_nanpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smin_nanpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smaxpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_sminpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smax_nanpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smin_nanpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smaxpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_sminpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smax_nanpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smin_nanpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smaxpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_sminpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smax_nanpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smin_nanpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smaxpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_sminpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smax_nanpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smin_nanpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_smaxpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1512 */
  {
    "aarch64_sminpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "move_lo_quad_internal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1876 },
#else
    { 0, output_1876, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v16qi },
    &operand_data[3048],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "move_lo_quad_internal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1877 },
#else
    { 0, output_1877, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v8hi },
    &operand_data[3050],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "move_lo_quad_internal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1878 },
#else
    { 0, output_1878, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v4si },
    &operand_data[3052],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "move_lo_quad_internal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1879 },
#else
    { 0, output_1879, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v8hf },
    &operand_data[3054],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "move_lo_quad_internal_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1880 },
#else
    { 0, output_1880, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v8bf },
    &operand_data[3056],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "move_lo_quad_internal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1881 },
#else
    { 0, output_1881, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v4sf },
    &operand_data[3058],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1547 */
  {
    "move_lo_quad_internal_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1882 },
#else
    { 0, output_1882, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v2di },
    &operand_data[3060],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1547 */
  {
    "move_lo_quad_internal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1883 },
#else
    { 0, output_1883, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_v2df },
    &operand_data[3062],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1562 */
  {
    "move_lo_quad_internal_be_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1884 },
#else
    { 0, output_1884, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v16qi },
    &operand_data[3048],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1562 */
  {
    "move_lo_quad_internal_be_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1885 },
#else
    { 0, output_1885, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v8hi },
    &operand_data[3050],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1562 */
  {
    "move_lo_quad_internal_be_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1886 },
#else
    { 0, output_1886, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v4si },
    &operand_data[3052],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1562 */
  {
    "move_lo_quad_internal_be_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1887 },
#else
    { 0, output_1887, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v8hf },
    &operand_data[3054],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1562 */
  {
    "move_lo_quad_internal_be_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1888 },
#else
    { 0, output_1888, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v8bf },
    &operand_data[3056],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1562 */
  {
    "move_lo_quad_internal_be_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1889 },
#else
    { 0, output_1889, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v4sf },
    &operand_data[3058],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1577 */
  {
    "move_lo_quad_internal_be_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1890 },
#else
    { 0, output_1890, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v2di },
    &operand_data[3060],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1577 */
  {
    "move_lo_quad_internal_be_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1891 },
#else
    { 0, output_1891, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_internal_be_v2df },
    &operand_data[3062],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1610 */
  {
    "aarch64_simd_move_hi_quad_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1892 },
#else
    { 0, output_1892, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v16qi },
    &operand_data[3064],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1610 */
  {
    "aarch64_simd_move_hi_quad_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1893 },
#else
    { 0, output_1893, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v8hi },
    &operand_data[3067],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1610 */
  {
    "aarch64_simd_move_hi_quad_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1894 },
#else
    { 0, output_1894, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v4si },
    &operand_data[3070],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1610 */
  {
    "aarch64_simd_move_hi_quad_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1895 },
#else
    { 0, output_1895, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v2di },
    &operand_data[3073],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1610 */
  {
    "aarch64_simd_move_hi_quad_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1896 },
#else
    { 0, output_1896, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v8hf },
    &operand_data[3076],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1610 */
  {
    "aarch64_simd_move_hi_quad_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1897 },
#else
    { 0, output_1897, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v8bf },
    &operand_data[3079],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1610 */
  {
    "aarch64_simd_move_hi_quad_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1898 },
#else
    { 0, output_1898, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v4sf },
    &operand_data[3082],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1610 */
  {
    "aarch64_simd_move_hi_quad_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1899 },
#else
    { 0, output_1899, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_v2df },
    &operand_data[3085],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1624 */
  {
    "aarch64_simd_move_hi_quad_be_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1900 },
#else
    { 0, output_1900, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v16qi },
    &operand_data[3064],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1624 */
  {
    "aarch64_simd_move_hi_quad_be_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1901 },
#else
    { 0, output_1901, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v8hi },
    &operand_data[3067],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1624 */
  {
    "aarch64_simd_move_hi_quad_be_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1902 },
#else
    { 0, output_1902, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v4si },
    &operand_data[3070],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1624 */
  {
    "aarch64_simd_move_hi_quad_be_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1903 },
#else
    { 0, output_1903, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v2di },
    &operand_data[3073],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1624 */
  {
    "aarch64_simd_move_hi_quad_be_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1904 },
#else
    { 0, output_1904, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v8hf },
    &operand_data[3076],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1624 */
  {
    "aarch64_simd_move_hi_quad_be_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1905 },
#else
    { 0, output_1905, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v8bf },
    &operand_data[3079],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1624 */
  {
    "aarch64_simd_move_hi_quad_be_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1906 },
#else
    { 0, output_1906, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v4sf },
    &operand_data[3082],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1624 */
  {
    "aarch64_simd_move_hi_quad_be_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1907 },
#else
    { 0, output_1907, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_move_hi_quad_be_v2df },
    &operand_data[3085],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1656 */
  {
    "aarch64_simd_vec_pack_trunc_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_pack_trunc_v8hi },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1656 */
  {
    "aarch64_simd_vec_pack_trunc_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_pack_trunc_v4si },
    &operand_data[3090],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1656 */
  {
    "aarch64_simd_vec_pack_trunc_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_pack_trunc_v2di },
    &operand_data[3092],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1682 */
  {
    "vec_pack_trunc_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1911 },
#else
    { 0, 0, output_1911 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v8hi },
    &operand_data[3094],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1682 */
  {
    "vec_pack_trunc_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1912 },
#else
    { 0, 0, output_1912 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v4si },
    &operand_data[3097],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1682 */
  {
    "vec_pack_trunc_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1913 },
#else
    { 0, 0, output_1913 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2di },
    &operand_data[3100],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "aarch64_simd_vec_unpacks_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v16qi },
    &operand_data[3103],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "aarch64_simd_vec_unpacku_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_lo_v16qi },
    &operand_data[3103],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "aarch64_simd_vec_unpacks_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v8hi },
    &operand_data[3106],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "aarch64_simd_vec_unpacku_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_lo_v8hi },
    &operand_data[3106],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "aarch64_simd_vec_unpacks_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v4si },
    &operand_data[3109],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "aarch64_simd_vec_unpacku_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_lo_v4si },
    &operand_data[3109],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1711 */
  {
    "aarch64_simd_vec_unpacks_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v16qi },
    &operand_data[3112],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1711 */
  {
    "aarch64_simd_vec_unpacku_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v16qi },
    &operand_data[3112],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1711 */
  {
    "aarch64_simd_vec_unpacks_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v8hi },
    &operand_data[3115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1711 */
  {
    "aarch64_simd_vec_unpacku_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v8hi },
    &operand_data[3115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1711 */
  {
    "aarch64_simd_vec_unpacks_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v4si },
    &operand_data[3118],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1711 */
  {
    "aarch64_simd_vec_unpacku_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v4si },
    &operand_data[3118],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1748 */
  {
    "*aarch64_smlal_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3121],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1748 */
  {
    "*aarch64_umlal_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3121],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1748 */
  {
    "*aarch64_smlal_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3126],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1748 */
  {
    "*aarch64_umlal_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3126],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1748 */
  {
    "*aarch64_smlal_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3131],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1748 */
  {
    "*aarch64_umlal_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3131],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1764 */
  {
    "*aarch64_smlal_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3136],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1764 */
  {
    "*aarch64_umlal_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3136],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1764 */
  {
    "*aarch64_smlal_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3141],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1764 */
  {
    "*aarch64_umlal_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3141],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1764 */
  {
    "*aarch64_smlal_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3146],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1764 */
  {
    "*aarch64_umlal_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3146],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1780 */
  {
    "*aarch64_smlsl_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3121],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1780 */
  {
    "*aarch64_umlsl_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3121],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1780 */
  {
    "*aarch64_smlsl_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3126],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1780 */
  {
    "*aarch64_umlsl_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3126],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1780 */
  {
    "*aarch64_smlsl_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3131],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1780 */
  {
    "*aarch64_umlsl_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3131],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1796 */
  {
    "aarch64_smlsl_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv16qi_insn },
    &operand_data[3136],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1796 */
  {
    "aarch64_umlsl_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv16qi_insn },
    &operand_data[3136],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1796 */
  {
    "aarch64_smlsl_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv8hi_insn },
    &operand_data[3141],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1796 */
  {
    "aarch64_umlsl_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv8hi_insn },
    &operand_data[3141],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1796 */
  {
    "aarch64_smlsl_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv4si_insn },
    &operand_data[3146],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1796 */
  {
    "aarch64_umlsl_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv4si_insn },
    &operand_data[3146],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1826 */
  {
    "*aarch64_smlalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3151],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1826 */
  {
    "*aarch64_umlalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3151],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1826 */
  {
    "*aarch64_smlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3155],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1826 */
  {
    "*aarch64_umlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3155],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1826 */
  {
    "*aarch64_smlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3159],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1826 */
  {
    "*aarch64_umlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3159],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1840 */
  {
    "aarch64_smlslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlslv8qi },
    &operand_data[3163],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1840 */
  {
    "aarch64_umlslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlslv8qi },
    &operand_data[3163],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1840 */
  {
    "aarch64_smlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlslv4hi },
    &operand_data[3167],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1840 */
  {
    "aarch64_umlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlslv4hi },
    &operand_data[3167],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1840 */
  {
    "aarch64_smlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlslv2si },
    &operand_data[3171],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1840 */
  {
    "aarch64_umlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlslv2si },
    &operand_data[3171],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1854 */
  {
    "aarch64_simd_vec_smult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v16qi },
    &operand_data[3175],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1854 */
  {
    "aarch64_simd_vec_umult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v16qi },
    &operand_data[3175],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1854 */
  {
    "aarch64_simd_vec_smult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v8hi },
    &operand_data[3179],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1854 */
  {
    "aarch64_simd_vec_umult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v8hi },
    &operand_data[3179],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1854 */
  {
    "aarch64_simd_vec_smult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v4si },
    &operand_data[3183],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1854 */
  {
    "aarch64_simd_vec_umult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v4si },
    &operand_data[3183],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1867 */
  {
    "aarch64_intrinsic_vec_smult_lo_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v8qi },
    &operand_data[3151],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1867 */
  {
    "aarch64_intrinsic_vec_umult_lo_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v8qi },
    &operand_data[3151],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1867 */
  {
    "aarch64_intrinsic_vec_smult_lo_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v4hi },
    &operand_data[3155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1867 */
  {
    "aarch64_intrinsic_vec_umult_lo_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v4hi },
    &operand_data[3155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1867 */
  {
    "aarch64_intrinsic_vec_smult_lo_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v2si },
    &operand_data[3159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1867 */
  {
    "aarch64_intrinsic_vec_umult_lo_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v2si },
    &operand_data[3159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1892 */
  {
    "aarch64_simd_vec_smult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v16qi },
    &operand_data[3187],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1892 */
  {
    "aarch64_simd_vec_umult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v16qi },
    &operand_data[3187],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1892 */
  {
    "aarch64_simd_vec_smult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v8hi },
    &operand_data[3191],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1892 */
  {
    "aarch64_simd_vec_umult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v8hi },
    &operand_data[3191],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1892 */
  {
    "aarch64_simd_vec_smult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v4si },
    &operand_data[3195],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1892 */
  {
    "aarch64_simd_vec_umult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v4si },
    &operand_data[3195],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1921 */
  {
    "aarch64_vec_smult_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1980 },
#else
    { 0, 0, output_1980 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_lane_v4hi },
    &operand_data[3199],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1921 */
  {
    "aarch64_vec_umult_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1981 },
#else
    { 0, 0, output_1981 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_lane_v4hi },
    &operand_data[3199],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1921 */
  {
    "aarch64_vec_smult_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1982 },
#else
    { 0, 0, output_1982 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_laneq_v4hi },
    &operand_data[3203],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1921 */
  {
    "aarch64_vec_umult_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1983 },
#else
    { 0, 0, output_1983 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_laneq_v4hi },
    &operand_data[3203],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1921 */
  {
    "aarch64_vec_smult_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1984 },
#else
    { 0, 0, output_1984 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_lane_v2si },
    &operand_data[3207],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1921 */
  {
    "aarch64_vec_umult_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1985 },
#else
    { 0, 0, output_1985 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_lane_v2si },
    &operand_data[3207],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1921 */
  {
    "aarch64_vec_smult_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1986 },
#else
    { 0, 0, output_1986 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_laneq_v2si },
    &operand_data[3211],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1921 */
  {
    "aarch64_vec_umult_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1987 },
#else
    { 0, 0, output_1987 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_laneq_v2si },
    &operand_data[3211],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1940 */
  {
    "aarch64_vec_smlal_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1988 },
#else
    { 0, 0, output_1988 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_lane_v4hi },
    &operand_data[3215],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1940 */
  {
    "aarch64_vec_umlal_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1989 },
#else
    { 0, 0, output_1989 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_lane_v4hi },
    &operand_data[3215],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1940 */
  {
    "aarch64_vec_smlal_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1990 },
#else
    { 0, 0, output_1990 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_laneq_v4hi },
    &operand_data[3220],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1940 */
  {
    "aarch64_vec_umlal_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1991 },
#else
    { 0, 0, output_1991 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_laneq_v4hi },
    &operand_data[3220],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1940 */
  {
    "aarch64_vec_smlal_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1992 },
#else
    { 0, 0, output_1992 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_lane_v2si },
    &operand_data[3225],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1940 */
  {
    "aarch64_vec_umlal_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1993 },
#else
    { 0, 0, output_1993 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_lane_v2si },
    &operand_data[3225],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1940 */
  {
    "aarch64_vec_smlal_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1994 },
#else
    { 0, 0, output_1994 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_laneq_v2si },
    &operand_data[3230],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1940 */
  {
    "aarch64_vec_umlal_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1995 },
#else
    { 0, 0, output_1995 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_laneq_v2si },
    &operand_data[3230],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1985 */
  {
    "addv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hf3 },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1985 */
  {
    "addv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8hf3 },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1985 */
  {
    "addv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2sf3 },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1985 */
  {
    "addv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4sf3 },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1985 */
  {
    "addv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2df3 },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1994 */
  {
    "subv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hf3 },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1994 */
  {
    "subv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8hf3 },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1994 */
  {
    "subv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2sf3 },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1994 */
  {
    "subv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4sf3 },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1994 */
  {
    "subv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2df3 },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2003 */
  {
    "mulv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hf3 },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2003 */
  {
    "mulv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8hf3 },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2003 */
  {
    "mulv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2sf3 },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2003 */
  {
    "mulv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4sf3 },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2003 */
  {
    "mulv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2df3 },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2024 */
  {
    "*divv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2024 */
  {
    "*divv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2024 */
  {
    "*divv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2024 */
  {
    "*divv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2024 */
  {
    "*divv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2033 */
  {
    "negv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hf2 },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2033 */
  {
    "negv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8hf2 },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2033 */
  {
    "negv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2sf2 },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2033 */
  {
    "negv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4sf2 },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2033 */
  {
    "negv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2df2 },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2041 */
  {
    "absv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hf2 },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2041 */
  {
    "absv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8hf2 },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2041 */
  {
    "absv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2sf2 },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2041 */
  {
    "absv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4sf2 },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2041 */
  {
    "absv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2df2 },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2049 */
  {
    "fmav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4hf4 },
    &operand_data[3235],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2049 */
  {
    "fmav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav8hf4 },
    &operand_data[3239],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2049 */
  {
    "fmav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2sf4 },
    &operand_data[3243],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2049 */
  {
    "fmav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4sf4 },
    &operand_data[3247],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2049 */
  {
    "fmav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2df4 },
    &operand_data[3251],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2059 */
  {
    "*aarch64_fma4_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2031 },
#else
    { 0, 0, output_2031 },
#endif
    { 0 },
    &operand_data[3255],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2059 */
  {
    "*aarch64_fma4_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2032 },
#else
    { 0, 0, output_2032 },
#endif
    { 0 },
    &operand_data[3260],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2059 */
  {
    "*aarch64_fma4_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2033 },
#else
    { 0, 0, output_2033 },
#endif
    { 0 },
    &operand_data[3265],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2076 */
  {
    "*aarch64_fma4_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2034 },
#else
    { 0, 0, output_2034 },
#endif
    { 0 },
    &operand_data[3270],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2076 */
  {
    "*aarch64_fma4_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2035 },
#else
    { 0, 0, output_2035 },
#endif
    { 0 },
    &operand_data[3275],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2093 */
  {
    "*aarch64_fma4_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3016],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2093 */
  {
    "*aarch64_fma4_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3020],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2093 */
  {
    "*aarch64_fma4_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3024],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2093 */
  {
    "*aarch64_fma4_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3028],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2093 */
  {
    "*aarch64_fma4_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3280],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2093 */
  {
    "*aarch64_fma4_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3284],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2093 */
  {
    "*aarch64_fma4_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3288],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2093 */
  {
    "*aarch64_fma4_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3292],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2093 */
  {
    "*aarch64_fma4_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3296],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2105 */
  {
    "*aarch64_fma4_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2045 },
#else
    { 0, 0, output_2045 },
#endif
    { 0 },
    &operand_data[3300],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2121 */
  {
    "fnmav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4hf4 },
    &operand_data[3235],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2121 */
  {
    "fnmav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav8hf4 },
    &operand_data[3239],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2121 */
  {
    "fnmav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2sf4 },
    &operand_data[3243],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2121 */
  {
    "fnmav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4sf4 },
    &operand_data[3247],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2121 */
  {
    "fnmav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2df4 },
    &operand_data[3251],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2132 */
  {
    "*aarch64_fnma4_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2051 },
#else
    { 0, 0, output_2051 },
#endif
    { 0 },
    &operand_data[3255],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2132 */
  {
    "*aarch64_fnma4_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2052 },
#else
    { 0, 0, output_2052 },
#endif
    { 0 },
    &operand_data[3260],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2132 */
  {
    "*aarch64_fnma4_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2053 },
#else
    { 0, 0, output_2053 },
#endif
    { 0 },
    &operand_data[3265],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2150 */
  {
    "*aarch64_fnma4_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2054 },
#else
    { 0, 0, output_2054 },
#endif
    { 0 },
    &operand_data[3270],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2150 */
  {
    "*aarch64_fnma4_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2055 },
#else
    { 0, 0, output_2055 },
#endif
    { 0 },
    &operand_data[3275],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2168 */
  {
    "*aarch64_fnma4_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3016],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2168 */
  {
    "*aarch64_fnma4_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3020],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2168 */
  {
    "*aarch64_fnma4_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3024],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2168 */
  {
    "*aarch64_fnma4_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3028],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2168 */
  {
    "*aarch64_fnma4_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3280],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2168 */
  {
    "*aarch64_fnma4_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3284],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2168 */
  {
    "*aarch64_fnma4_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3288],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2168 */
  {
    "*aarch64_fnma4_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3292],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2168 */
  {
    "*aarch64_fnma4_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3296],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2181 */
  {
    "*aarch64_fnma4_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2065 },
#else
    { 0, 0, output_2065 },
#endif
    { 0 },
    &operand_data[3300],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "btruncv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4hf2 },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "ceilv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4hf2 },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "floorv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4hf2 },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "frintnv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv4hf2 },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "nearbyintv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4hf2 },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "rintv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4hf2 },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "roundv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4hf2 },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "btruncv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv8hf2 },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "ceilv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv8hf2 },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "floorv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv8hf2 },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "frintnv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv8hf2 },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "nearbyintv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv8hf2 },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "rintv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv8hf2 },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "roundv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv8hf2 },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "btruncv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2sf2 },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "ceilv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2sf2 },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "floorv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2sf2 },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "frintnv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv2sf2 },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "nearbyintv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2sf2 },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "rintv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2sf2 },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "roundv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2sf2 },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "btruncv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4sf2 },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "ceilv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4sf2 },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "floorv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4sf2 },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "frintnv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv4sf2 },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "nearbyintv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4sf2 },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "rintv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4sf2 },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "roundv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4sf2 },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "btruncv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2df2 },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "ceilv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2df2 },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "floorv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2df2 },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "frintnv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnv2df2 },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "nearbyintv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2df2 },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "rintv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2df2 },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2200 */
  {
    "roundv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2df2 },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lbtruncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv4hfv4hi2 },
    &operand_data[3305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lceilv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv4hfv4hi2 },
    &operand_data[3305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfloorv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv4hfv4hi2 },
    &operand_data[3305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lroundv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv4hfv4hi2 },
    &operand_data[3305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfrintnv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv4hfv4hi2 },
    &operand_data[3305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lbtruncuv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv4hfv4hi2 },
    &operand_data[3305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lceiluv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv4hfv4hi2 },
    &operand_data[3305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lflooruv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv4hfv4hi2 },
    &operand_data[3305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lrounduv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv4hfv4hi2 },
    &operand_data[3305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfrintnuv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv4hfv4hi2 },
    &operand_data[3305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lbtruncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv8hfv8hi2 },
    &operand_data[3307],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lceilv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv8hfv8hi2 },
    &operand_data[3307],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfloorv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv8hfv8hi2 },
    &operand_data[3307],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lroundv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv8hfv8hi2 },
    &operand_data[3307],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfrintnv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv8hfv8hi2 },
    &operand_data[3307],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lbtruncuv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv8hfv8hi2 },
    &operand_data[3307],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lceiluv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv8hfv8hi2 },
    &operand_data[3307],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lflooruv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv8hfv8hi2 },
    &operand_data[3307],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lrounduv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv8hfv8hi2 },
    &operand_data[3307],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfrintnuv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv8hfv8hi2 },
    &operand_data[3307],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lbtruncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv2sfv2si2 },
    &operand_data[3309],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lceilv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv2sfv2si2 },
    &operand_data[3309],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfloorv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv2sfv2si2 },
    &operand_data[3309],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lroundv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv2sfv2si2 },
    &operand_data[3309],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfrintnv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv2sfv2si2 },
    &operand_data[3309],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lbtruncuv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv2sfv2si2 },
    &operand_data[3309],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lceiluv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv2sfv2si2 },
    &operand_data[3309],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lflooruv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv2sfv2si2 },
    &operand_data[3309],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lrounduv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv2sfv2si2 },
    &operand_data[3309],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfrintnuv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv2sfv2si2 },
    &operand_data[3309],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lbtruncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv4sfv4si2 },
    &operand_data[3311],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lceilv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv4sfv4si2 },
    &operand_data[3311],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfloorv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv4sfv4si2 },
    &operand_data[3311],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lroundv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv4sfv4si2 },
    &operand_data[3311],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfrintnv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv4sfv4si2 },
    &operand_data[3311],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lbtruncuv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv4sfv4si2 },
    &operand_data[3311],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lceiluv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv4sfv4si2 },
    &operand_data[3311],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lflooruv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv4sfv4si2 },
    &operand_data[3311],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lrounduv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv4sfv4si2 },
    &operand_data[3311],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfrintnuv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv4sfv4si2 },
    &operand_data[3311],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lbtruncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv2dfv2di2 },
    &operand_data[3313],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lceilv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv2dfv2di2 },
    &operand_data[3313],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfloorv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv2dfv2di2 },
    &operand_data[3313],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lroundv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv2dfv2di2 },
    &operand_data[3313],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfrintnv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv2dfv2di2 },
    &operand_data[3313],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lbtruncuv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv2dfv2di2 },
    &operand_data[3313],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lceiluv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv2dfv2di2 },
    &operand_data[3313],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lflooruv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv2dfv2di2 },
    &operand_data[3313],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lrounduv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv2dfv2di2 },
    &operand_data[3313],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2211 */
  {
    "lfrintnuv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv2dfv2di2 },
    &operand_data[3313],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2222 */
  {
    "lbtrunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfhi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2222 */
  {
    "lceilhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfhi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2222 */
  {
    "lfloorhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfhi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2222 */
  {
    "lroundhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfhi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2222 */
  {
    "lfrintnhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfhi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2222 */
  {
    "lbtruncuhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfhi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2222 */
  {
    "lceiluhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfhi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2222 */
  {
    "lflooruhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfhi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2222 */
  {
    "lrounduhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfhi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2222 */
  {
    "lfrintnuhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfhi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2231 */
  {
    "fix_trunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfhi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2231 */
  {
    "fixuns_trunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfhi2 },
    &operand_data[1233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2239 */
  {
    "floathihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floathihf2 },
    &operand_data[1236],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2239 */
  {
    "floatunshihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunshihf2 },
    &operand_data[1236],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2247 */
  {
    "*aarch64_fcvtv2sfv2si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2165 },
#else
    { 0, 0, output_2165 },
#endif
    { 0 },
    &operand_data[3315],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2247 */
  {
    "*aarch64_fcvtuv2sfv2si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2166 },
#else
    { 0, 0, output_2166 },
#endif
    { 0 },
    &operand_data[3315],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2247 */
  {
    "*aarch64_fcvtv4sfv4si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2167 },
#else
    { 0, 0, output_2167 },
#endif
    { 0 },
    &operand_data[3318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2247 */
  {
    "*aarch64_fcvtuv4sfv4si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2168 },
#else
    { 0, 0, output_2168 },
#endif
    { 0 },
    &operand_data[3318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2247 */
  {
    "*aarch64_fcvtv2dfv2di2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2169 },
#else
    { 0, 0, output_2169 },
#endif
    { 0 },
    &operand_data[3321],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2247 */
  {
    "*aarch64_fcvtuv2dfv2di2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2170 },
#else
    { 0, 0, output_2170 },
#endif
    { 0 },
    &operand_data[3321],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2290 */
  {
    "floatv4hiv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv4hiv4hf2 },
    &operand_data[3324],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2290 */
  {
    "floatunsv4hiv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv4hiv4hf2 },
    &operand_data[3324],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2290 */
  {
    "floatv8hiv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv8hiv8hf2 },
    &operand_data[3326],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2290 */
  {
    "floatunsv8hiv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv8hiv8hf2 },
    &operand_data[3326],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2290 */
  {
    "floatv2siv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv2siv2sf2 },
    &operand_data[3328],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2290 */
  {
    "floatunsv2siv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv2siv2sf2 },
    &operand_data[3328],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2290 */
  {
    "floatv4siv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv4siv4sf2 },
    &operand_data[3330],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2290 */
  {
    "floatunsv4siv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv4siv4sf2 },
    &operand_data[3330],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2290 */
  {
    "floatv2div2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv2div2df2 },
    &operand_data[3332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2290 */
  {
    "floatunsv2div2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv2div2df2 },
    &operand_data[3332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2305 */
  {
    "aarch64_simd_vec_unpacks_lo_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v8hf },
    &operand_data[3334],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2305 */
  {
    "aarch64_simd_vec_unpacks_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v4sf },
    &operand_data[3337],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2318 */
  {
    "fcvtzsv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv4hf3 },
    &operand_data[3340],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2318 */
  {
    "fcvtzuv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv4hf3 },
    &operand_data[3340],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2318 */
  {
    "fcvtzsv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv8hf3 },
    &operand_data[3343],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2318 */
  {
    "fcvtzuv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv8hf3 },
    &operand_data[3343],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2318 */
  {
    "fcvtzsv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv2sf3 },
    &operand_data[3346],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2318 */
  {
    "fcvtzuv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv2sf3 },
    &operand_data[3346],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2318 */
  {
    "fcvtzsv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv4sf3 },
    &operand_data[3349],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2318 */
  {
    "fcvtzuv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv4sf3 },
    &operand_data[3349],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2318 */
  {
    "fcvtzsv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv2df3 },
    &operand_data[3352],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2318 */
  {
    "fcvtzuv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv2df3 },
    &operand_data[3352],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2329 */
  {
    "scvtfv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv4hi3 },
    &operand_data[3355],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2329 */
  {
    "ucvtfv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv4hi3 },
    &operand_data[3355],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2329 */
  {
    "scvtfv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv8hi3 },
    &operand_data[3358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2329 */
  {
    "ucvtfv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv8hi3 },
    &operand_data[3358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2329 */
  {
    "scvtfv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv2si3 },
    &operand_data[3361],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2329 */
  {
    "ucvtfv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv2si3 },
    &operand_data[3361],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2329 */
  {
    "scvtfv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv4si3 },
    &operand_data[3364],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2329 */
  {
    "ucvtfv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv4si3 },
    &operand_data[3364],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2329 */
  {
    "scvtfv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv2di3 },
    &operand_data[3367],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2329 */
  {
    "ucvtfv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv2di3 },
    &operand_data[3367],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2361 */
  {
    "aarch64_simd_vec_unpacks_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v8hf },
    &operand_data[3370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2361 */
  {
    "aarch64_simd_vec_unpacks_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v4sf },
    &operand_data[3373],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2383 */
  {
    "aarch64_float_extend_lo_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_extend_lo_v2df },
    &operand_data[3376],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2383 */
  {
    "aarch64_float_extend_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_extend_lo_v4sf },
    &operand_data[3378],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2394 */
  {
    "aarch64_float_truncate_lo_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_lo_v2sf },
    &operand_data[3380],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2394 */
  {
    "aarch64_float_truncate_lo_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_lo_v4hf },
    &operand_data[3382],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2403 */
  {
    "aarch64_float_truncate_hi_v4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf_le },
    &operand_data[3384],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2403 */
  {
    "aarch64_float_truncate_hi_v8hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf_le },
    &operand_data[3387],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2414 */
  {
    "aarch64_float_truncate_hi_v4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf_be },
    &operand_data[3384],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2414 */
  {
    "aarch64_float_truncate_hi_v8hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf_be },
    &operand_data[3387],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2496 */
  {
    "smaxv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hf3 },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2496 */
  {
    "sminv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hf3 },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2496 */
  {
    "smaxv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8hf3 },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2496 */
  {
    "sminv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8hf3 },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2496 */
  {
    "smaxv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2sf3 },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2496 */
  {
    "sminv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2sf3 },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2496 */
  {
    "smaxv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4sf3 },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2496 */
  {
    "sminv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4sf3 },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2496 */
  {
    "smaxv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2df3 },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2496 */
  {
    "sminv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2df3 },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "smax_nanv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv4hf3 },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "smin_nanv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv4hf3 },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "fmaxv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4hf3 },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "fminv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4hf3 },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "smax_nanv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv8hf3 },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "smin_nanv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv8hf3 },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "fmaxv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv8hf3 },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "fminv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv8hf3 },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "smax_nanv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv2sf3 },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "smin_nanv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv2sf3 },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "fmaxv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2sf3 },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "fminv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2sf3 },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "smax_nanv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv4sf3 },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "smin_nanv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv4sf3 },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "fmaxv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4sf3 },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "fminv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4sf3 },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "smax_nanv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanv2df3 },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "smin_nanv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanv2df3 },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "fmaxv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2df3 },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2508 */
  {
    "fminv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2df3 },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2534 */
  {
    "aarch64_faddpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2534 */
  {
    "aarch64_faddpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2534 */
  {
    "aarch64_faddpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2534 */
  {
    "aarch64_faddpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2534 */
  {
    "aarch64_faddpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2544 */
  {
    "aarch64_reduc_plus_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv8qi },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2544 */
  {
    "aarch64_reduc_plus_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2544 */
  {
    "aarch64_reduc_plus_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv4hi },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2544 */
  {
    "aarch64_reduc_plus_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv8hi },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2544 */
  {
    "aarch64_reduc_plus_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv4si },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2544 */
  {
    "aarch64_reduc_plus_internalv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv2di },
    &operand_data[1439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2554 */
  {
    "aarch64_zero_extendsi_reduc_plus_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v8qi },
    &operand_data[3390],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2554 */
  {
    "aarch64_zero_extenddi_reduc_plus_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v8qi },
    &operand_data[3392],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2554 */
  {
    "aarch64_zero_extendsi_reduc_plus_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v16qi },
    &operand_data[3394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2554 */
  {
    "aarch64_zero_extenddi_reduc_plus_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v16qi },
    &operand_data[3396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2554 */
  {
    "aarch64_zero_extendsi_reduc_plus_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v4hi },
    &operand_data[3398],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2554 */
  {
    "aarch64_zero_extenddi_reduc_plus_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v4hi },
    &operand_data[3400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2554 */
  {
    "aarch64_zero_extendsi_reduc_plus_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v8hi },
    &operand_data[3402],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2554 */
  {
    "aarch64_zero_extenddi_reduc_plus_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v8hi },
    &operand_data[3404],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2564 */
  {
    "aarch64_reduc_plus_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_plus_internalv2si },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2573 */
  {
    "reduc_plus_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2sf },
    &operand_data[3406],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2573 */
  {
    "reduc_plus_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2df },
    &operand_data[2610],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2596 */
  {
    "clrsbv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8qi2 },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2596 */
  {
    "clrsbv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv16qi2 },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2596 */
  {
    "clrsbv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4hi2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2596 */
  {
    "clrsbv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8hi2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2596 */
  {
    "clrsbv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv2si2 },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2596 */
  {
    "clrsbv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4si2 },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2604 */
  {
    "clzv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8qi2 },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2604 */
  {
    "clzv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv16qi2 },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2604 */
  {
    "clzv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4hi2 },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2604 */
  {
    "clzv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8hi2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2604 */
  {
    "clzv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv2si2 },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2604 */
  {
    "clzv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4si2 },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2612 */
  {
    "popcountv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv8qi2 },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2612 */
  {
    "popcountv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv16qi2 },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_umax_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv8qi },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_umin_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv8qi },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_smax_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8qi },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_smin_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8qi },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_umax_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_umin_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_smax_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_smin_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_umax_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv4hi },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_umin_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv4hi },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_smax_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4hi },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_smin_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4hi },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_umax_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv8hi },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_umin_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv8hi },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_smax_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8hi },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_smin_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8hi },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_umax_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv4si },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_umin_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv4si },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_smax_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4si },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2655 */
  {
    "aarch64_reduc_smin_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4si },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2664 */
  {
    "aarch64_reduc_umax_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv2si },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2664 */
  {
    "aarch64_reduc_umin_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv2si },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2664 */
  {
    "aarch64_reduc_smax_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2si },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2664 */
  {
    "aarch64_reduc_smin_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2si },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smax_nan_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv4hf },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smin_nan_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv4hf },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smax_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4hf },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smin_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4hf },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smax_nan_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv8hf },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smin_nan_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv8hf },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smax_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8hf },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smin_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8hf },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smax_nan_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv2sf },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smin_nan_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv2sf },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smax_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2sf },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smin_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2sf },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smax_nan_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv4sf },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smin_nan_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv4sf },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smax_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4sf },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smin_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4sf },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smax_nan_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv2df },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smin_nan_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv2df },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smax_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2df },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2673 */
  {
    "aarch64_reduc_smin_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2df },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2702 */
  {
    "aarch64_simd_bslv8qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2323 },
#else
    { 0, output_2323, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi_internal },
    &operand_data[3408],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2702 */
  {
    "aarch64_simd_bslv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2324 },
#else
    { 0, output_2324, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv16qi_internal },
    &operand_data[3412],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2702 */
  {
    "aarch64_simd_bslv4hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2325 },
#else
    { 0, output_2325, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi_internal },
    &operand_data[3416],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2702 */
  {
    "aarch64_simd_bslv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2326 },
#else
    { 0, output_2326, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hi_internal },
    &operand_data[3420],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2702 */
  {
    "aarch64_simd_bslv2si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2327 },
#else
    { 0, output_2327, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si_internal },
    &operand_data[3424],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2702 */
  {
    "aarch64_simd_bslv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2328 },
#else
    { 0, output_2328, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4si_internal },
    &operand_data[3428],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2702 */
  {
    "aarch64_simd_bslv2di_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2329 },
#else
    { 0, output_2329, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2di_internal },
    &operand_data[3432],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2726 */
  {
    "*aarch64_simd_bslv8qi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2330 },
#else
    { 0, output_2330, 0 },
#endif
    { 0 },
    &operand_data[3436],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2726 */
  {
    "*aarch64_simd_bslv16qi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2331 },
#else
    { 0, output_2331, 0 },
#endif
    { 0 },
    &operand_data[3440],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2726 */
  {
    "*aarch64_simd_bslv4hi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2332 },
#else
    { 0, output_2332, 0 },
#endif
    { 0 },
    &operand_data[3444],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2726 */
  {
    "*aarch64_simd_bslv8hi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2333 },
#else
    { 0, output_2333, 0 },
#endif
    { 0 },
    &operand_data[3448],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2726 */
  {
    "*aarch64_simd_bslv2si_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2334 },
#else
    { 0, output_2334, 0 },
#endif
    { 0 },
    &operand_data[3452],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2726 */
  {
    "*aarch64_simd_bslv4si_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2335 },
#else
    { 0, output_2335, 0 },
#endif
    { 0 },
    &operand_data[3456],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2726 */
  {
    "*aarch64_simd_bslv2di_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2336 },
#else
    { 0, output_2336, 0 },
#endif
    { 0 },
    &operand_data[3460],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2753 */
  {
    "aarch64_simd_bsldi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2337 },
#else
    { 0, output_2337, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi_internal },
    &operand_data[3464],
    4,
    4,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2795 */
  {
    "aarch64_simd_bsldi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2338 },
#else
    { 0, output_2338, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi_alt },
    &operand_data[3468],
    4,
    4,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3282 */
  {
    "*aarch64_get_lane_extendsiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2339 },
#else
    { 0, 0, output_2339 },
#endif
    { 0 },
    &operand_data[3472],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3282 */
  {
    "*aarch64_get_lane_extenddiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2340 },
#else
    { 0, 0, output_2340 },
#endif
    { 0 },
    &operand_data[3475],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3282 */
  {
    "*aarch64_get_lane_extendsiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2341 },
#else
    { 0, 0, output_2341 },
#endif
    { 0 },
    &operand_data[3478],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3282 */
  {
    "*aarch64_get_lane_extenddiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2342 },
#else
    { 0, 0, output_2342 },
#endif
    { 0 },
    &operand_data[3481],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3282 */
  {
    "*aarch64_get_lane_extendsiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2343 },
#else
    { 0, 0, output_2343 },
#endif
    { 0 },
    &operand_data[3484],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3282 */
  {
    "*aarch64_get_lane_extenddiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2344 },
#else
    { 0, 0, output_2344 },
#endif
    { 0 },
    &operand_data[3487],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3282 */
  {
    "*aarch64_get_lane_extendsiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2345 },
#else
    { 0, 0, output_2345 },
#endif
    { 0 },
    &operand_data[3490],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3282 */
  {
    "*aarch64_get_lane_extenddiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2346 },
#else
    { 0, 0, output_2346 },
#endif
    { 0 },
    &operand_data[3493],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3297 */
  {
    "*aarch64_get_lane_zero_extendsiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2347 },
#else
    { 0, 0, output_2347 },
#endif
    { 0 },
    &operand_data[3472],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3297 */
  {
    "*aarch64_get_lane_zero_extenddiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2348 },
#else
    { 0, 0, output_2348 },
#endif
    { 0 },
    &operand_data[3475],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3297 */
  {
    "*aarch64_get_lane_zero_extendsiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2349 },
#else
    { 0, 0, output_2349 },
#endif
    { 0 },
    &operand_data[3478],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3297 */
  {
    "*aarch64_get_lane_zero_extenddiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2350 },
#else
    { 0, 0, output_2350 },
#endif
    { 0 },
    &operand_data[3481],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3297 */
  {
    "*aarch64_get_lane_zero_extendsiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2351 },
#else
    { 0, 0, output_2351 },
#endif
    { 0 },
    &operand_data[3484],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3297 */
  {
    "*aarch64_get_lane_zero_extenddiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2352 },
#else
    { 0, 0, output_2352 },
#endif
    { 0 },
    &operand_data[3487],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3297 */
  {
    "*aarch64_get_lane_zero_extendsiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2353 },
#else
    { 0, 0, output_2353 },
#endif
    { 0 },
    &operand_data[3490],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3297 */
  {
    "*aarch64_get_lane_zero_extenddiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2354 },
#else
    { 0, 0, output_2354 },
#endif
    { 0 },
    &operand_data[3493],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2355 },
#else
    { 0, 0, output_2355 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8qi },
    &operand_data[3496],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2356 },
#else
    { 0, 0, output_2356 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev16qi },
    &operand_data[3499],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2357 },
#else
    { 0, 0, output_2357 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4hi },
    &operand_data[3502],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2358 },
#else
    { 0, 0, output_2358 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8hi },
    &operand_data[3505],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2359 },
#else
    { 0, 0, output_2359 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2si },
    &operand_data[3508],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2360 },
#else
    { 0, 0, output_2360 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4si },
    &operand_data[3511],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2361 },
#else
    { 0, 0, output_2361 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2di },
    &operand_data[3514],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2362 },
#else
    { 0, 0, output_2362 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4hf },
    &operand_data[3517],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2363 },
#else
    { 0, 0, output_2363 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8hf },
    &operand_data[3520],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2364 },
#else
    { 0, 0, output_2364 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4bf },
    &operand_data[3523],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2365 },
#else
    { 0, 0, output_2365 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8bf },
    &operand_data[3526],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2366 },
#else
    { 0, 0, output_2366 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2sf },
    &operand_data[3529],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2367 },
#else
    { 0, 0, output_2367 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4sf },
    &operand_data[3532],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "aarch64_get_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2368 },
#else
    { 0, 0, output_2368 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2df },
    &operand_data[3535],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "load_pair_lanesv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv8qi },
    &operand_data[3538],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "load_pair_lanesv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4hi },
    &operand_data[3541],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "load_pair_lanesv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4bf },
    &operand_data[3544],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "load_pair_lanesv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4hf },
    &operand_data[3547],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "load_pair_lanesv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv2si },
    &operand_data[3550],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "load_pair_lanesv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv2sf },
    &operand_data[3553],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "load_pair_lanesdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesdi },
    &operand_data[3556],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3338 */
  {
    "load_pair_lanesdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesdf },
    &operand_data[3559],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "store_pair_lanesv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2377 },
#else
    { 0, output_2377, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv8qi },
    &operand_data[3562],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "store_pair_lanesv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2378 },
#else
    { 0, output_2378, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4hi },
    &operand_data[3565],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "store_pair_lanesv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2379 },
#else
    { 0, output_2379, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4bf },
    &operand_data[3568],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "store_pair_lanesv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2380 },
#else
    { 0, output_2380, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4hf },
    &operand_data[3571],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "store_pair_lanesv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2381 },
#else
    { 0, output_2381, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv2si },
    &operand_data[3574],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "store_pair_lanesv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2382 },
#else
    { 0, output_2382, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv2sf },
    &operand_data[3577],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "store_pair_lanesdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2383 },
#else
    { 0, output_2383, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesdi },
    &operand_data[3580],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3352 */
  {
    "store_pair_lanesdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2384 },
#else
    { 0, output_2384, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesdf },
    &operand_data[3583],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3367 */
  {
    "aarch64_combinezv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2385 },
#else
    { 0, output_2385, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv8qi },
    &operand_data[3586],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3367 */
  {
    "aarch64_combinezv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2386 },
#else
    { 0, output_2386, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv4hi },
    &operand_data[3589],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3367 */
  {
    "aarch64_combinezv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2387 },
#else
    { 0, output_2387, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv4bf },
    &operand_data[3592],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3367 */
  {
    "aarch64_combinezv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2388 },
#else
    { 0, output_2388, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv4hf },
    &operand_data[3595],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3367 */
  {
    "aarch64_combinezv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2389 },
#else
    { 0, output_2389, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv2si },
    &operand_data[3598],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3367 */
  {
    "aarch64_combinezv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2390 },
#else
    { 0, output_2390, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezv2sf },
    &operand_data[3601],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3367 */
  {
    "aarch64_combinezdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2391 },
#else
    { 0, output_2391, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezdi },
    &operand_data[3604],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3367 */
  {
    "aarch64_combinezdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2392 },
#else
    { 0, output_2392, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinezdf },
    &operand_data[3607],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3381 */
  {
    "aarch64_combinez_bev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2393 },
#else
    { 0, output_2393, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev8qi },
    &operand_data[3586],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3381 */
  {
    "aarch64_combinez_bev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2394 },
#else
    { 0, output_2394, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev4hi },
    &operand_data[3589],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3381 */
  {
    "aarch64_combinez_bev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2395 },
#else
    { 0, output_2395, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev4bf },
    &operand_data[3592],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3381 */
  {
    "aarch64_combinez_bev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2396 },
#else
    { 0, output_2396, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev4hf },
    &operand_data[3595],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3381 */
  {
    "aarch64_combinez_bev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2397 },
#else
    { 0, output_2397, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev2si },
    &operand_data[3598],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3381 */
  {
    "aarch64_combinez_bev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2398 },
#else
    { 0, output_2398, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bev2sf },
    &operand_data[3601],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3381 */
  {
    "aarch64_combinez_bedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2399 },
#else
    { 0, output_2399, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bedi },
    &operand_data[3604],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3381 */
  {
    "aarch64_combinez_bedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2400 },
#else
    { 0, output_2400, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinez_bedf },
    &operand_data[3607],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3431 */
  {
    "aarch64_saddlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv16qi_hi_internal },
    &operand_data[3187],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3431 */
  {
    "aarch64_ssublv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv16qi_hi_internal },
    &operand_data[3187],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3431 */
  {
    "aarch64_uaddlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv16qi_hi_internal },
    &operand_data[3187],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3431 */
  {
    "aarch64_usublv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv16qi_hi_internal },
    &operand_data[3187],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3431 */
  {
    "aarch64_saddlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8hi_hi_internal },
    &operand_data[3191],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3431 */
  {
    "aarch64_ssublv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8hi_hi_internal },
    &operand_data[3191],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3431 */
  {
    "aarch64_uaddlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8hi_hi_internal },
    &operand_data[3191],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3431 */
  {
    "aarch64_usublv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8hi_hi_internal },
    &operand_data[3191],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3431 */
  {
    "aarch64_saddlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4si_hi_internal },
    &operand_data[3195],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3431 */
  {
    "aarch64_ssublv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4si_hi_internal },
    &operand_data[3195],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3431 */
  {
    "aarch64_uaddlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4si_hi_internal },
    &operand_data[3195],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3431 */
  {
    "aarch64_usublv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4si_hi_internal },
    &operand_data[3195],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "aarch64_saddlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv16qi_lo_internal },
    &operand_data[3175],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "aarch64_ssublv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv16qi_lo_internal },
    &operand_data[3175],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "aarch64_uaddlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv16qi_lo_internal },
    &operand_data[3175],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "aarch64_usublv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv16qi_lo_internal },
    &operand_data[3175],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "aarch64_saddlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8hi_lo_internal },
    &operand_data[3179],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "aarch64_ssublv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8hi_lo_internal },
    &operand_data[3179],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "aarch64_uaddlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8hi_lo_internal },
    &operand_data[3179],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "aarch64_usublv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8hi_lo_internal },
    &operand_data[3179],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "aarch64_saddlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4si_lo_internal },
    &operand_data[3183],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "aarch64_ssublv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4si_lo_internal },
    &operand_data[3183],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "aarch64_uaddlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4si_lo_internal },
    &operand_data[3183],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3444 */
  {
    "aarch64_usublv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4si_lo_internal },
    &operand_data[3183],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_saddlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8qi },
    &operand_data[3151],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_ssublv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8qi },
    &operand_data[3151],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_uaddlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8qi },
    &operand_data[3151],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_usublv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8qi },
    &operand_data[3151],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_saddlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4hi },
    &operand_data[3155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_ssublv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4hi },
    &operand_data[3155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_uaddlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4hi },
    &operand_data[3155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_usublv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4hi },
    &operand_data[3155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_saddlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv2si },
    &operand_data[3159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_ssublv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv2si },
    &operand_data[3159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_uaddlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv2si },
    &operand_data[3159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3553 */
  {
    "aarch64_usublv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv2si },
    &operand_data[3159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3622 */
  {
    "aarch64_ssubwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv8qi },
    &operand_data[3610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3622 */
  {
    "aarch64_usubwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv8qi },
    &operand_data[3610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3622 */
  {
    "aarch64_ssubwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv4hi },
    &operand_data[3613],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3622 */
  {
    "aarch64_usubwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv4hi },
    &operand_data[3613],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3622 */
  {
    "aarch64_ssubwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv2si },
    &operand_data[3616],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3622 */
  {
    "aarch64_usubwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv2si },
    &operand_data[3616],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_ssubwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv16qi_internal },
    &operand_data[3619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_usubwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv16qi_internal },
    &operand_data[3619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_ssubwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv8hi_internal },
    &operand_data[3623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_usubwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv8hi_internal },
    &operand_data[3623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_ssubwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv4si_internal },
    &operand_data[3627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "aarch64_usubwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv4si_internal },
    &operand_data[3627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3644 */
  {
    "aarch64_ssubw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v16qi_internal },
    &operand_data[3631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3644 */
  {
    "aarch64_usubw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v16qi_internal },
    &operand_data[3631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3644 */
  {
    "aarch64_ssubw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v8hi_internal },
    &operand_data[3635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3644 */
  {
    "aarch64_usubw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v8hi_internal },
    &operand_data[3635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3644 */
  {
    "aarch64_ssubw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v4si_internal },
    &operand_data[3639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3644 */
  {
    "aarch64_usubw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v4si_internal },
    &operand_data[3639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_saddwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv8qi },
    &operand_data[3610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_uaddwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv8qi },
    &operand_data[3610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_saddwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv4hi },
    &operand_data[3613],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_uaddwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv4hi },
    &operand_data[3613],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_saddwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv2si },
    &operand_data[3616],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3656 */
  {
    "aarch64_uaddwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv2si },
    &operand_data[3616],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3666 */
  {
    "aarch64_saddwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv16qi_internal },
    &operand_data[3619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3666 */
  {
    "aarch64_uaddwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv16qi_internal },
    &operand_data[3619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3666 */
  {
    "aarch64_saddwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv8hi_internal },
    &operand_data[3623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3666 */
  {
    "aarch64_uaddwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv8hi_internal },
    &operand_data[3623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3666 */
  {
    "aarch64_saddwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv4si_internal },
    &operand_data[3627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3666 */
  {
    "aarch64_uaddwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv4si_internal },
    &operand_data[3627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3679 */
  {
    "aarch64_saddw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v16qi_internal },
    &operand_data[3631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3679 */
  {
    "aarch64_uaddw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v16qi_internal },
    &operand_data[3631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3679 */
  {
    "aarch64_saddw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v8hi_internal },
    &operand_data[3635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3679 */
  {
    "aarch64_uaddw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v8hi_internal },
    &operand_data[3635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3679 */
  {
    "aarch64_saddw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v4si_internal },
    &operand_data[3639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3679 */
  {
    "aarch64_uaddw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v4si_internal },
    &operand_data[3639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_shaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_uhaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_srhaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_urhaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_shsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_uhsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_shaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_uhaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_srhaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_urhaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_shsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_uhsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_shaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_uhaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_srhaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_urhaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_shsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_uhsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_shaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_uhaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_srhaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_urhaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_shsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_uhsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_shaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_uhaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_srhaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_urhaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_shsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_uhsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_shaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shaddv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_uhaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhaddv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_srhaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srhaddv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_urhaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urhaddv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_shsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3759 */
  {
    "aarch64_uhsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3771 */
  {
    "aarch64_addhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv8hi },
    &operand_data[3643],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3771 */
  {
    "aarch64_raddhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv8hi },
    &operand_data[3643],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3771 */
  {
    "aarch64_subhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv8hi },
    &operand_data[3643],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3771 */
  {
    "aarch64_rsubhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv8hi },
    &operand_data[3643],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3771 */
  {
    "aarch64_addhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv4si },
    &operand_data[3646],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3771 */
  {
    "aarch64_raddhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv4si },
    &operand_data[3646],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3771 */
  {
    "aarch64_subhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv4si },
    &operand_data[3646],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3771 */
  {
    "aarch64_rsubhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv4si },
    &operand_data[3646],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3771 */
  {
    "aarch64_addhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv2di },
    &operand_data[3649],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3771 */
  {
    "aarch64_raddhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv2di },
    &operand_data[3649],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3771 */
  {
    "aarch64_subhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv2di },
    &operand_data[3649],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3771 */
  {
    "aarch64_rsubhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv2di },
    &operand_data[3649],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3781 */
  {
    "aarch64_addhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v8hi },
    &operand_data[3652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3781 */
  {
    "aarch64_raddhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v8hi },
    &operand_data[3652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3781 */
  {
    "aarch64_subhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v8hi },
    &operand_data[3652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3781 */
  {
    "aarch64_rsubhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v8hi },
    &operand_data[3652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3781 */
  {
    "aarch64_addhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v4si },
    &operand_data[3656],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3781 */
  {
    "aarch64_raddhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v4si },
    &operand_data[3656],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3781 */
  {
    "aarch64_subhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v4si },
    &operand_data[3656],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3781 */
  {
    "aarch64_rsubhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v4si },
    &operand_data[3656],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3781 */
  {
    "aarch64_addhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v2di },
    &operand_data[3660],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3781 */
  {
    "aarch64_raddhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v2di },
    &operand_data[3660],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3781 */
  {
    "aarch64_subhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v2di },
    &operand_data[3660],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3781 */
  {
    "aarch64_rsubhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v2di },
    &operand_data[3660],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3794 */
  {
    "aarch64_pmulv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmulv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3794 */
  {
    "aarch64_pmulv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmulv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3806 */
  {
    "aarch64_fmulxv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3806 */
  {
    "aarch64_fmulxv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3806 */
  {
    "aarch64_fmulxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3806 */
  {
    "aarch64_fmulxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3806 */
  {
    "aarch64_fmulxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3806 */
  {
    "aarch64_fmulxhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxhf },
    &operand_data[1165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3806 */
  {
    "aarch64_fmulxsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxsf },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3806 */
  {
    "aarch64_fmulxdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxdf },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3819 */
  {
    "*aarch64_mulx_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2543 },
#else
    { 0, 0, output_2543 },
#endif
    { 0 },
    &operand_data[3664],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3819 */
  {
    "*aarch64_mulx_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2544 },
#else
    { 0, 0, output_2544 },
#endif
    { 0 },
    &operand_data[3668],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "*aarch64_mulx_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2545 },
#else
    { 0, 0, output_2545 },
#endif
    { 0 },
    &operand_data[3672],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "*aarch64_mulx_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2546 },
#else
    { 0, 0, output_2546 },
#endif
    { 0 },
    &operand_data[3676],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3838 */
  {
    "*aarch64_mulx_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2547 },
#else
    { 0, 0, output_2547 },
#endif
    { 0 },
    &operand_data[3680],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3857 */
  {
    "*aarch64_mulx_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3684],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3857 */
  {
    "*aarch64_mulx_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3857 */
  {
    "*aarch64_mulx_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3690],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3857 */
  {
    "*aarch64_mulx_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3693],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3857 */
  {
    "*aarch64_mulx_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2d, %1.2d, %2.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3696],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3873 */
  {
    "*aarch64_vgetfmulxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2553 },
#else
    { 0, 0, output_2553 },
#endif
    { 0 },
    &operand_data[3699],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3873 */
  {
    "*aarch64_vgetfmulxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2554 },
#else
    { 0, 0, output_2554 },
#endif
    { 0 },
    &operand_data[3703],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3873 */
  {
    "*aarch64_vgetfmulxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2555 },
#else
    { 0, 0, output_2555 },
#endif
    { 0 },
    &operand_data[3707],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqsubv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqsubv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddqi },
    &operand_data[3711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddqi },
    &operand_data[3711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqsubqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubqi },
    &operand_data[3711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqsubqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubqi },
    &operand_data[3711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddhi },
    &operand_data[3714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddhi },
    &operand_data[3714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqsubhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubhi },
    &operand_data[3714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqsubhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubhi },
    &operand_data[3714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqaddsi },
    &operand_data[3717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqaddsi },
    &operand_data[3717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqsubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubsi },
    &operand_data[3717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqsubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubsi },
    &operand_data[3717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqadddi },
    &operand_data[3720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqadddi },
    &operand_data[3720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_sqsubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsubdi },
    &operand_data[3720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3890 */
  {
    "aarch64_uqsubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsubdi },
    &operand_data[3720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_suqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8qi },
    &operand_data[2664],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_usqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8qi },
    &operand_data[2664],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_suqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv16qi },
    &operand_data[2668],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_usqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv16qi },
    &operand_data[2668],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_suqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4hi },
    &operand_data[2672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_usqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4hi },
    &operand_data[2672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_suqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8hi },
    &operand_data[2676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_usqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8hi },
    &operand_data[2676],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_suqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2si },
    &operand_data[2680],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_usqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2si },
    &operand_data[2680],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_suqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4si },
    &operand_data[2684],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_usqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4si },
    &operand_data[2684],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_suqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2di },
    &operand_data[3723],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_usqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2di },
    &operand_data[3723],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_suqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%b0, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddqi },
    &operand_data[3726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_usqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%b0, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddqi },
    &operand_data[3726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_suqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%h0, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddhi },
    &operand_data[3729],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_usqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%h0, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddhi },
    &operand_data[3729],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_suqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%s0, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddsi },
    &operand_data[3732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_usqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%s0, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddsi },
    &operand_data[3732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_suqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqadddi },
    &operand_data[3735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3901 */
  {
    "aarch64_usqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqadddi },
    &operand_data[3735],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3913 */
  {
    "aarch64_sqmovunv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv8hi },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3913 */
  {
    "aarch64_sqmovunv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv4si },
    &operand_data[3090],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3913 */
  {
    "aarch64_sqmovunv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv2di },
    &operand_data[3092],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3913 */
  {
    "aarch64_sqmovunhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunhi },
    &operand_data[3738],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3913 */
  {
    "aarch64_sqmovunsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunsi },
    &operand_data[3740],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3913 */
  {
    "aarch64_sqmovundi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovundi },
    &operand_data[3742],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3924 */
  {
    "aarch64_sqmovnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv8hi },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3924 */
  {
    "aarch64_uqmovnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv8hi },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3924 */
  {
    "aarch64_sqmovnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv4si },
    &operand_data[3090],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3924 */
  {
    "aarch64_uqmovnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv4si },
    &operand_data[3090],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3924 */
  {
    "aarch64_sqmovnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv2di },
    &operand_data[3092],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3924 */
  {
    "aarch64_uqmovnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv2di },
    &operand_data[3092],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3924 */
  {
    "aarch64_sqmovnhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnhi },
    &operand_data[3738],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3924 */
  {
    "aarch64_uqmovnhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnhi },
    &operand_data[3738],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3924 */
  {
    "aarch64_sqmovnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnsi },
    &operand_data[3740],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3924 */
  {
    "aarch64_uqmovnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnsi },
    &operand_data[3740],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3924 */
  {
    "aarch64_sqmovndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovndi },
    &operand_data[3742],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3924 */
  {
    "aarch64_uqmovndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovndi },
    &operand_data[3742],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3933 */
  {
    "aarch64_sqxtn2v8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v8hi_le },
    &operand_data[3652],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3933 */
  {
    "aarch64_uqxtn2v8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v8hi_le },
    &operand_data[3652],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3933 */
  {
    "aarch64_sqxtn2v4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v4si_le },
    &operand_data[3656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3933 */
  {
    "aarch64_uqxtn2v4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v4si_le },
    &operand_data[3656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3933 */
  {
    "aarch64_sqxtn2v2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v2di_le },
    &operand_data[3660],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3933 */
  {
    "aarch64_uqxtn2v2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v2di_le },
    &operand_data[3660],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3944 */
  {
    "aarch64_sqxtn2v8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v8hi_be },
    &operand_data[3652],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3944 */
  {
    "aarch64_uqxtn2v8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v8hi_be },
    &operand_data[3652],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3944 */
  {
    "aarch64_sqxtn2v4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v4si_be },
    &operand_data[3656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3944 */
  {
    "aarch64_uqxtn2v4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v4si_be },
    &operand_data[3656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3944 */
  {
    "aarch64_sqxtn2v2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v2di_be },
    &operand_data[3660],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3944 */
  {
    "aarch64_uqxtn2v2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v2di_be },
    &operand_data[3660],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqnegv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8qi },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqabsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8qi },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqnegv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqabsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqnegv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4hi },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqabsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4hi },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqnegv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8hi },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqabsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8hi },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqnegv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2si },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqabsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2si },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqnegv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4si },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqabsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4si },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqnegv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2di },
    &operand_data[1439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqabsv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2di },
    &operand_data[1439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqnegqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%b0, %b1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegqi },
    &operand_data[958],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqabsqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%b0, %b1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsqi },
    &operand_data[958],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqneghi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqneghi },
    &operand_data[3714],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqabshi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabshi },
    &operand_data[3714],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqnegsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegsi },
    &operand_data[955],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqabssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabssi },
    &operand_data[955],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqnegdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegdi },
    &operand_data[952],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3974 */
  {
    "aarch64_sqabsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsdi },
    &operand_data[952],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3985 */
  {
    "aarch64_sqdmulhv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3985 */
  {
    "aarch64_sqrdmulhv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3985 */
  {
    "aarch64_sqdmulhv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3985 */
  {
    "aarch64_sqrdmulhv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3985 */
  {
    "aarch64_sqdmulhv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3985 */
  {
    "aarch64_sqrdmulhv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3985 */
  {
    "aarch64_sqdmulhv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3985 */
  {
    "aarch64_sqrdmulhv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3985 */
  {
    "aarch64_sqdmulhhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhhi },
    &operand_data[3714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3985 */
  {
    "aarch64_sqrdmulhhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhhi },
    &operand_data[3714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3985 */
  {
    "aarch64_sqdmulhsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhsi },
    &operand_data[3717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3985 */
  {
    "aarch64_sqrdmulhsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhsi },
    &operand_data[3717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3998 */
  {
    "aarch64_sqdmulh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2686 },
#else
    { 0, 0, output_2686 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4hi },
    &operand_data[3744],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3998 */
  {
    "aarch64_sqrdmulh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2687 },
#else
    { 0, 0, output_2687 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4hi },
    &operand_data[3744],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3998 */
  {
    "aarch64_sqdmulh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2688 },
#else
    { 0, 0, output_2688 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev8hi },
    &operand_data[3748],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3998 */
  {
    "aarch64_sqrdmulh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2689 },
#else
    { 0, 0, output_2689 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev8hi },
    &operand_data[3748],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3998 */
  {
    "aarch64_sqdmulh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2690 },
#else
    { 0, 0, output_2690 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev2si },
    &operand_data[3752],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3998 */
  {
    "aarch64_sqrdmulh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2691 },
#else
    { 0, 0, output_2691 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev2si },
    &operand_data[3752],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3998 */
  {
    "aarch64_sqdmulh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2692 },
#else
    { 0, 0, output_2692 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4si },
    &operand_data[3756],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3998 */
  {
    "aarch64_sqrdmulh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2693 },
#else
    { 0, 0, output_2693 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4si },
    &operand_data[3756],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4013 */
  {
    "aarch64_sqdmulh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2694 },
#else
    { 0, 0, output_2694 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4hi },
    &operand_data[3760],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4013 */
  {
    "aarch64_sqrdmulh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2695 },
#else
    { 0, 0, output_2695 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4hi },
    &operand_data[3760],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4013 */
  {
    "aarch64_sqdmulh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2696 },
#else
    { 0, 0, output_2696 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv8hi },
    &operand_data[3764],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4013 */
  {
    "aarch64_sqrdmulh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2697 },
#else
    { 0, 0, output_2697 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv8hi },
    &operand_data[3764],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4013 */
  {
    "aarch64_sqdmulh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2698 },
#else
    { 0, 0, output_2698 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv2si },
    &operand_data[3768],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4013 */
  {
    "aarch64_sqrdmulh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2699 },
#else
    { 0, 0, output_2699 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv2si },
    &operand_data[3768],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4013 */
  {
    "aarch64_sqdmulh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2700 },
#else
    { 0, 0, output_2700 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4si },
    &operand_data[3772],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4013 */
  {
    "aarch64_sqrdmulh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2701 },
#else
    { 0, 0, output_2701 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4si },
    &operand_data[3772],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4028 */
  {
    "aarch64_sqdmulh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2702 },
#else
    { 0, 0, output_2702 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanehi },
    &operand_data[3776],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4028 */
  {
    "aarch64_sqrdmulh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2703 },
#else
    { 0, 0, output_2703 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanehi },
    &operand_data[3776],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4028 */
  {
    "aarch64_sqdmulh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2704 },
#else
    { 0, 0, output_2704 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanesi },
    &operand_data[3780],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4028 */
  {
    "aarch64_sqrdmulh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2705 },
#else
    { 0, 0, output_2705 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanesi },
    &operand_data[3780],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4043 */
  {
    "aarch64_sqdmulh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2706 },
#else
    { 0, 0, output_2706 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqhi },
    &operand_data[3784],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4043 */
  {
    "aarch64_sqrdmulh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2707 },
#else
    { 0, 0, output_2707 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqhi },
    &operand_data[3784],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4043 */
  {
    "aarch64_sqdmulh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2708 },
#else
    { 0, 0, output_2708 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqsi },
    &operand_data[3788],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4043 */
  {
    "aarch64_sqrdmulh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2709 },
#else
    { 0, 0, output_2709 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqsi },
    &operand_data[3788],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4060 */
  {
    "aarch64_sqrdmlahv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4hi },
    &operand_data[2672],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4060 */
  {
    "aarch64_sqrdmlshv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4hi },
    &operand_data[2672],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4060 */
  {
    "aarch64_sqrdmlahv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv8hi },
    &operand_data[2676],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4060 */
  {
    "aarch64_sqrdmlshv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv8hi },
    &operand_data[2676],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4060 */
  {
    "aarch64_sqrdmlahv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv2si },
    &operand_data[2680],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4060 */
  {
    "aarch64_sqrdmlshv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv2si },
    &operand_data[2680],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4060 */
  {
    "aarch64_sqrdmlahv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4si },
    &operand_data[2684],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4060 */
  {
    "aarch64_sqrdmlshv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4si },
    &operand_data[2684],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4060 */
  {
    "aarch64_sqrdmlahhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%h0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahhi },
    &operand_data[3792],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4060 */
  {
    "aarch64_sqrdmlshhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%h0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshhi },
    &operand_data[3792],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4060 */
  {
    "aarch64_sqrdmlahsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%s0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahsi },
    &operand_data[3796],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4060 */
  {
    "aarch64_sqrdmlshsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%s0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshsi },
    &operand_data[3796],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4074 */
  {
    "aarch64_sqrdmlah_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2722 },
#else
    { 0, 0, output_2722 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4hi },
    &operand_data[3800],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4074 */
  {
    "aarch64_sqrdmlsh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2723 },
#else
    { 0, 0, output_2723 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4hi },
    &operand_data[3800],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4074 */
  {
    "aarch64_sqrdmlah_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2724 },
#else
    { 0, 0, output_2724 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev8hi },
    &operand_data[3805],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4074 */
  {
    "aarch64_sqrdmlsh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2725 },
#else
    { 0, 0, output_2725 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev8hi },
    &operand_data[3805],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4074 */
  {
    "aarch64_sqrdmlah_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2726 },
#else
    { 0, 0, output_2726 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev2si },
    &operand_data[3810],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4074 */
  {
    "aarch64_sqrdmlsh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2727 },
#else
    { 0, 0, output_2727 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev2si },
    &operand_data[3810],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4074 */
  {
    "aarch64_sqrdmlah_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2728 },
#else
    { 0, 0, output_2728 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4si },
    &operand_data[3815],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4074 */
  {
    "aarch64_sqrdmlsh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2729 },
#else
    { 0, 0, output_2729 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4si },
    &operand_data[3815],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4092 */
  {
    "aarch64_sqrdmlah_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2730 },
#else
    { 0, 0, output_2730 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanehi },
    &operand_data[3820],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4092 */
  {
    "aarch64_sqrdmlsh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2731 },
#else
    { 0, 0, output_2731 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanehi },
    &operand_data[3820],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4092 */
  {
    "aarch64_sqrdmlah_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2732 },
#else
    { 0, 0, output_2732 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanesi },
    &operand_data[3825],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4092 */
  {
    "aarch64_sqrdmlsh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2733 },
#else
    { 0, 0, output_2733 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanesi },
    &operand_data[3825],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4112 */
  {
    "aarch64_sqrdmlah_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2734 },
#else
    { 0, 0, output_2734 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4hi },
    &operand_data[3830],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4112 */
  {
    "aarch64_sqrdmlsh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2735 },
#else
    { 0, 0, output_2735 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4hi },
    &operand_data[3830],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4112 */
  {
    "aarch64_sqrdmlah_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2736 },
#else
    { 0, 0, output_2736 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv8hi },
    &operand_data[3835],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4112 */
  {
    "aarch64_sqrdmlsh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2737 },
#else
    { 0, 0, output_2737 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv8hi },
    &operand_data[3835],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4112 */
  {
    "aarch64_sqrdmlah_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2738 },
#else
    { 0, 0, output_2738 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv2si },
    &operand_data[3840],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4112 */
  {
    "aarch64_sqrdmlsh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2739 },
#else
    { 0, 0, output_2739 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv2si },
    &operand_data[3840],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4112 */
  {
    "aarch64_sqrdmlah_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2740 },
#else
    { 0, 0, output_2740 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4si },
    &operand_data[3845],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4112 */
  {
    "aarch64_sqrdmlsh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2741 },
#else
    { 0, 0, output_2741 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4si },
    &operand_data[3845],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4130 */
  {
    "aarch64_sqrdmlah_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2742 },
#else
    { 0, 0, output_2742 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqhi },
    &operand_data[3850],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4130 */
  {
    "aarch64_sqrdmlsh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2743 },
#else
    { 0, 0, output_2743 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqhi },
    &operand_data[3850],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4130 */
  {
    "aarch64_sqrdmlah_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2744 },
#else
    { 0, 0, output_2744 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqsi },
    &operand_data[3855],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4130 */
  {
    "aarch64_sqrdmlsh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2745 },
#else
    { 0, 0, output_2745 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqsi },
    &operand_data[3855],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4150 */
  {
    "aarch64_sqdmlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalv4hi },
    &operand_data[3167],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4150 */
  {
    "aarch64_sqdmlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslv4hi },
    &operand_data[3167],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4150 */
  {
    "aarch64_sqdmlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalv2si },
    &operand_data[3171],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4150 */
  {
    "aarch64_sqdmlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslv2si },
    &operand_data[3171],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4150 */
  {
    "aarch64_sqdmlalhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%s0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalhi },
    &operand_data[3860],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4150 */
  {
    "aarch64_sqdmlslhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%s0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslhi },
    &operand_data[3860],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4150 */
  {
    "aarch64_sqdmlalsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%d0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalsi },
    &operand_data[3864],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4150 */
  {
    "aarch64_sqdmlslsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%d0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslsi },
    &operand_data[3864],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4168 */
  {
    "aarch64_sqdmlal_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2754 },
#else
    { 0, 0, output_2754 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanev4hi },
    &operand_data[3215],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4168 */
  {
    "aarch64_sqdmlsl_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2755 },
#else
    { 0, 0, output_2755 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanev4hi },
    &operand_data[3215],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4168 */
  {
    "aarch64_sqdmlal_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2756 },
#else
    { 0, 0, output_2756 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanev2si },
    &operand_data[3225],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4168 */
  {
    "aarch64_sqdmlsl_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2757 },
#else
    { 0, 0, output_2757 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanev2si },
    &operand_data[3225],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4192 */
  {
    "aarch64_sqdmlal_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2758 },
#else
    { 0, 0, output_2758 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqv4hi },
    &operand_data[3220],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4192 */
  {
    "aarch64_sqdmlsl_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2759 },
#else
    { 0, 0, output_2759 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqv4hi },
    &operand_data[3220],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4192 */
  {
    "aarch64_sqdmlal_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2760 },
#else
    { 0, 0, output_2760 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqv2si },
    &operand_data[3230],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4192 */
  {
    "aarch64_sqdmlsl_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2761 },
#else
    { 0, 0, output_2761 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqv2si },
    &operand_data[3230],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4216 */
  {
    "aarch64_sqdmlal_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2762 },
#else
    { 0, 0, output_2762 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanehi },
    &operand_data[3868],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4216 */
  {
    "aarch64_sqdmlsl_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2763 },
#else
    { 0, 0, output_2763 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanehi },
    &operand_data[3868],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4216 */
  {
    "aarch64_sqdmlal_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2764 },
#else
    { 0, 0, output_2764 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanesi },
    &operand_data[3873],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4216 */
  {
    "aarch64_sqdmlsl_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2765 },
#else
    { 0, 0, output_2765 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanesi },
    &operand_data[3873],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4239 */
  {
    "aarch64_sqdmlal_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2766 },
#else
    { 0, 0, output_2766 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqhi },
    &operand_data[3878],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4239 */
  {
    "aarch64_sqdmlsl_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2767 },
#else
    { 0, 0, output_2767 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqhi },
    &operand_data[3878],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4239 */
  {
    "aarch64_sqdmlal_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2768 },
#else
    { 0, 0, output_2768 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqsi },
    &operand_data[3883],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4239 */
  {
    "aarch64_sqdmlsl_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2769 },
#else
    { 0, 0, output_2769 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqsi },
    &operand_data[3883],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4264 */
  {
    "aarch64_sqdmlal_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_nv4hi },
    &operand_data[3888],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4264 */
  {
    "aarch64_sqdmlsl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_nv4hi },
    &operand_data[3888],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4264 */
  {
    "aarch64_sqdmlal_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_nv2si },
    &operand_data[3892],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4264 */
  {
    "aarch64_sqdmlsl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_nv2si },
    &operand_data[3892],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4283 */
  {
    "aarch64_sqdmlal2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v8hi_internal },
    &operand_data[3896],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4283 */
  {
    "aarch64_sqdmlsl2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v8hi_internal },
    &operand_data[3896],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4283 */
  {
    "aarch64_sqdmlal2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v4si_internal },
    &operand_data[3901],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4283 */
  {
    "aarch64_sqdmlsl2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v4si_internal },
    &operand_data[3901],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4331 */
  {
    "aarch64_sqdmlal2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2778 },
#else
    { 0, 0, output_2778 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev8hi_internal },
    &operand_data[3906],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4331 */
  {
    "aarch64_sqdmlsl2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2779 },
#else
    { 0, 0, output_2779 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev8hi_internal },
    &operand_data[3906],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4331 */
  {
    "aarch64_sqdmlal2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2780 },
#else
    { 0, 0, output_2780 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev4si_internal },
    &operand_data[3912],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4331 */
  {
    "aarch64_sqdmlsl2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2781 },
#else
    { 0, 0, output_2781 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev4si_internal },
    &operand_data[3912],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4357 */
  {
    "aarch64_sqdmlal2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2782 },
#else
    { 0, 0, output_2782 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv8hi_internal },
    &operand_data[3918],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4357 */
  {
    "aarch64_sqdmlsl2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2783 },
#else
    { 0, 0, output_2783 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv8hi_internal },
    &operand_data[3918],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4357 */
  {
    "aarch64_sqdmlal2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2784 },
#else
    { 0, 0, output_2784 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv4si_internal },
    &operand_data[3924],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4357 */
  {
    "aarch64_sqdmlsl2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2785 },
#else
    { 0, 0, output_2785 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv4si_internal },
    &operand_data[3924],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4443 */
  {
    "aarch64_sqdmlal2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.4s, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv8hi_internal },
    &operand_data[3930],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4443 */
  {
    "aarch64_sqdmlsl2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.4s, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv8hi_internal },
    &operand_data[3930],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4443 */
  {
    "aarch64_sqdmlal2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.2d, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv4si_internal },
    &operand_data[3935],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4443 */
  {
    "aarch64_sqdmlsl2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.2d, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv4si_internal },
    &operand_data[3935],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4492 */
  {
    "aarch64_sqdmullv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullv4hi },
    &operand_data[3155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4492 */
  {
    "aarch64_sqdmullv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullv2si },
    &operand_data[3159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4492 */
  {
    "aarch64_sqdmullhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%s0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullhi },
    &operand_data[3940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4492 */
  {
    "aarch64_sqdmullsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%d0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullsi },
    &operand_data[3943],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_sqdmull_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2794 },
#else
    { 0, 0, output_2794 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanev4hi },
    &operand_data[3199],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4508 */
  {
    "aarch64_sqdmull_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2795 },
#else
    { 0, 0, output_2795 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanev2si },
    &operand_data[3207],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4529 */
  {
    "aarch64_sqdmull_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2796 },
#else
    { 0, 0, output_2796 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqv4hi },
    &operand_data[3203],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4529 */
  {
    "aarch64_sqdmull_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2797 },
#else
    { 0, 0, output_2797 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqv2si },
    &operand_data[3211],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4550 */
  {
    "aarch64_sqdmull_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2798 },
#else
    { 0, 0, output_2798 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanehi },
    &operand_data[3946],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4550 */
  {
    "aarch64_sqdmull_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2799 },
#else
    { 0, 0, output_2799 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanesi },
    &operand_data[3950],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4570 */
  {
    "aarch64_sqdmull_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2800 },
#else
    { 0, 0, output_2800 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqhi },
    &operand_data[3954],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4570 */
  {
    "aarch64_sqdmull_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2801 },
#else
    { 0, 0, output_2801 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqsi },
    &operand_data[3958],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4592 */
  {
    "aarch64_sqdmull_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.4s, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_nv4hi },
    &operand_data[3962],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4592 */
  {
    "aarch64_sqdmull_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.2d, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_nv2si },
    &operand_data[3965],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4612 */
  {
    "aarch64_sqdmull2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v8hi_internal },
    &operand_data[3191],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4612 */
  {
    "aarch64_sqdmull2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v4si_internal },
    &operand_data[3195],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4645 */
  {
    "aarch64_sqdmull2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2806 },
#else
    { 0, 0, output_2806 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev8hi_internal },
    &operand_data[3968],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4645 */
  {
    "aarch64_sqdmull2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2807 },
#else
    { 0, 0, output_2807 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev4si_internal },
    &operand_data[3973],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4668 */
  {
    "aarch64_sqdmull2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2808 },
#else
    { 0, 0, output_2808 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv8hi_internal },
    &operand_data[3978],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4668 */
  {
    "aarch64_sqdmull2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2809 },
#else
    { 0, 0, output_2809 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv4si_internal },
    &operand_data[3983],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4721 */
  {
    "aarch64_sqdmull2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.4s, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv8hi_internal },
    &operand_data[3988],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4721 */
  {
    "aarch64_sqdmull2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.2d, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv4si_internal },
    &operand_data[3992],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_sshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_ushlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_srshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_urshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_sshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_ushlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_srshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_urshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_sshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_ushlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_srshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_urshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_sshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_ushlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_srshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_urshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_sshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_ushlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_srshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_urshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_sshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_ushlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_srshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_urshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_sshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_ushlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_srshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_urshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_sshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshldi },
    &operand_data[3720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_ushldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushldi },
    &operand_data[3720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_srshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshldi },
    &operand_data[3720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4753 */
  {
    "aarch64_urshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshldi },
    &operand_data[3720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqrshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqrshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqrshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqrshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqrshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqrshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqrshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqrshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqrshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqrshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqrshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqrshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqrshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqrshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlqi },
    &operand_data[3711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlqi },
    &operand_data[3711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqrshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlqi },
    &operand_data[3711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqrshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlqi },
    &operand_data[3711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlhi },
    &operand_data[3714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlhi },
    &operand_data[3714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqrshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlhi },
    &operand_data[3714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqrshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlhi },
    &operand_data[3714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlsi },
    &operand_data[3717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlsi },
    &operand_data[3717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqrshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlsi },
    &operand_data[3717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqrshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlsi },
    &operand_data[3717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshldi },
    &operand_data[3720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshldi },
    &operand_data[3720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_sqrshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshldi },
    &operand_data[3720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4767 */
  {
    "aarch64_uqrshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshldi },
    &operand_data[3720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4810 */
  {
    "aarch64_sshllv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2888 },
#else
    { 0, 0, output_2888 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshllv16qi_internal },
    &operand_data[3996],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4810 */
  {
    "aarch64_ushllv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2889 },
#else
    { 0, 0, output_2889 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushllv16qi_internal },
    &operand_data[3996],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4810 */
  {
    "aarch64_sshllv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2890 },
#else
    { 0, 0, output_2890 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshllv8hi_internal },
    &operand_data[4000],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4810 */
  {
    "aarch64_ushllv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2891 },
#else
    { 0, 0, output_2891 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushllv8hi_internal },
    &operand_data[4000],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4810 */
  {
    "aarch64_sshllv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2892 },
#else
    { 0, 0, output_2892 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshllv4si_internal },
    &operand_data[4004],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4810 */
  {
    "aarch64_ushllv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2893 },
#else
    { 0, 0, output_2893 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushllv4si_internal },
    &operand_data[4004],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4828 */
  {
    "aarch64_sshll2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2894 },
#else
    { 0, 0, output_2894 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2v16qi_internal },
    &operand_data[4008],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4828 */
  {
    "aarch64_ushll2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2895 },
#else
    { 0, 0, output_2895 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2v16qi_internal },
    &operand_data[4008],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4828 */
  {
    "aarch64_sshll2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2896 },
#else
    { 0, 0, output_2896 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2v8hi_internal },
    &operand_data[4012],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4828 */
  {
    "aarch64_ushll2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2897 },
#else
    { 0, 0, output_2897 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2v8hi_internal },
    &operand_data[4012],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4828 */
  {
    "aarch64_sshll2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2898 },
#else
    { 0, 0, output_2898 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2v4si_internal },
    &operand_data[4016],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4828 */
  {
    "aarch64_ushll2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2899 },
#else
    { 0, 0, output_2899 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2v4si_internal },
    &operand_data[4016],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_sshll_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2900 },
#else
    { 0, 0, output_2900 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv8qi },
    &operand_data[4020],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_ushll_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2901 },
#else
    { 0, 0, output_2901 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv8qi },
    &operand_data[4020],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_sshll_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2902 },
#else
    { 0, 0, output_2902 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv4hi },
    &operand_data[4023],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_ushll_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2903 },
#else
    { 0, 0, output_2903 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv4hi },
    &operand_data[4023],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_sshll_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2904 },
#else
    { 0, 0, output_2904 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv2si },
    &operand_data[4026],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4846 */
  {
    "aarch64_ushll_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2905 },
#else
    { 0, 0, output_2905 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv2si },
    &operand_data[4026],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4864 */
  {
    "aarch64_sshll2_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2906 },
#else
    { 0, 0, output_2906 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv16qi },
    &operand_data[4029],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4864 */
  {
    "aarch64_ushll2_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2907 },
#else
    { 0, 0, output_2907 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv16qi },
    &operand_data[4029],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4864 */
  {
    "aarch64_sshll2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2908 },
#else
    { 0, 0, output_2908 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv8hi },
    &operand_data[4032],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4864 */
  {
    "aarch64_ushll2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2909 },
#else
    { 0, 0, output_2909 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv8hi },
    &operand_data[4032],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4864 */
  {
    "aarch64_sshll2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2910 },
#else
    { 0, 0, output_2910 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv4si },
    &operand_data[4035],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4864 */
  {
    "aarch64_ushll2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2911 },
#else
    { 0, 0, output_2911 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv4si },
    &operand_data[4035],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_srshr_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8qi },
    &operand_data[4038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_urshr_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8qi },
    &operand_data[4038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_srshr_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv16qi },
    &operand_data[4041],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_urshr_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv16qi },
    &operand_data[4041],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_srshr_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4hi },
    &operand_data[4044],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_urshr_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4hi },
    &operand_data[4044],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_srshr_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8hi },
    &operand_data[4047],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_urshr_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8hi },
    &operand_data[4047],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_srshr_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2si },
    &operand_data[4050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_urshr_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2si },
    &operand_data[4050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_srshr_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4si },
    &operand_data[4053],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_urshr_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4si },
    &operand_data[4053],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_srshr_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2di },
    &operand_data[4056],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_urshr_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2di },
    &operand_data[4056],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_srshr_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_ndi },
    &operand_data[4059],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4881 */
  {
    "aarch64_urshr_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_ndi },
    &operand_data[4059],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ssra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8qi },
    &operand_data[4062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_usra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8qi },
    &operand_data[4062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_srsra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8qi },
    &operand_data[4062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ursra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8qi },
    &operand_data[4062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ssra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv16qi },
    &operand_data[4066],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_usra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv16qi },
    &operand_data[4066],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_srsra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv16qi },
    &operand_data[4066],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ursra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv16qi },
    &operand_data[4066],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ssra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4hi },
    &operand_data[4070],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_usra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4hi },
    &operand_data[4070],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_srsra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4hi },
    &operand_data[4070],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ursra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4hi },
    &operand_data[4070],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ssra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8hi },
    &operand_data[4074],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_usra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8hi },
    &operand_data[4074],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_srsra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8hi },
    &operand_data[4074],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ursra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8hi },
    &operand_data[4074],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ssra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2si },
    &operand_data[4078],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_usra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2si },
    &operand_data[4078],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_srsra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2si },
    &operand_data[4078],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ursra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2si },
    &operand_data[4078],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ssra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4si },
    &operand_data[4082],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_usra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4si },
    &operand_data[4082],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_srsra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4si },
    &operand_data[4082],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ursra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4si },
    &operand_data[4082],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ssra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2di },
    &operand_data[4086],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_usra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2di },
    &operand_data[4086],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_srsra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2di },
    &operand_data[4086],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ursra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2di },
    &operand_data[4086],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ssra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_ndi },
    &operand_data[4090],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_usra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_ndi },
    &operand_data[4090],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_srsra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_ndi },
    &operand_data[4090],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4894 */
  {
    "aarch64_ursra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_ndi },
    &operand_data[4090],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssli_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv8qi },
    &operand_data[4094],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usli_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv8qi },
    &operand_data[4094],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssri_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv8qi },
    &operand_data[4062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usri_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv8qi },
    &operand_data[4062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssli_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv16qi },
    &operand_data[4098],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usli_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv16qi },
    &operand_data[4098],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssri_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv16qi },
    &operand_data[4066],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usri_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv16qi },
    &operand_data[4066],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssli_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv4hi },
    &operand_data[4102],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usli_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv4hi },
    &operand_data[4102],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssri_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv4hi },
    &operand_data[4070],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usri_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv4hi },
    &operand_data[4070],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssli_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv8hi },
    &operand_data[4106],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usli_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv8hi },
    &operand_data[4106],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssri_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv8hi },
    &operand_data[4074],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usri_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv8hi },
    &operand_data[4074],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssli_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv2si },
    &operand_data[4110],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usli_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv2si },
    &operand_data[4110],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssri_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv2si },
    &operand_data[4078],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usri_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv2si },
    &operand_data[4078],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssli_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv4si },
    &operand_data[4114],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usli_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv4si },
    &operand_data[4114],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssri_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv4si },
    &operand_data[4082],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usri_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv4si },
    &operand_data[4082],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssli_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv2di },
    &operand_data[4118],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usli_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv2di },
    &operand_data[4118],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssri_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv2di },
    &operand_data[4086],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usri_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv2di },
    &operand_data[4086],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssli_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_ndi },
    &operand_data[4122],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usli_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_ndi },
    &operand_data[4122],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_ssri_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_ndi },
    &operand_data[4090],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4908 */
  {
    "aarch64_usri_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_ndi },
    &operand_data[4090],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshlu_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv8qi },
    &operand_data[4126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshl_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv8qi },
    &operand_data[4126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_uqshl_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv8qi },
    &operand_data[4126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshlu_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv16qi },
    &operand_data[4129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshl_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv16qi },
    &operand_data[4129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_uqshl_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv16qi },
    &operand_data[4129],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshlu_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv4hi },
    &operand_data[4132],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv4hi },
    &operand_data[4132],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_uqshl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv4hi },
    &operand_data[4132],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshlu_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv8hi },
    &operand_data[4135],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshl_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv8hi },
    &operand_data[4135],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_uqshl_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv8hi },
    &operand_data[4135],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshlu_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv2si },
    &operand_data[4138],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv2si },
    &operand_data[4138],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_uqshl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv2si },
    &operand_data[4138],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshlu_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv4si },
    &operand_data[4141],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshl_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv4si },
    &operand_data[4141],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_uqshl_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv4si },
    &operand_data[4141],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshlu_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv2di },
    &operand_data[4144],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshl_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv2di },
    &operand_data[4144],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_uqshl_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv2di },
    &operand_data[4144],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshlu_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nqi },
    &operand_data[4147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshl_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nqi },
    &operand_data[4147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_uqshl_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nqi },
    &operand_data[4147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshlu_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nhi },
    &operand_data[4150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshl_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nhi },
    &operand_data[4150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_uqshl_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nhi },
    &operand_data[4150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshlu_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nsi },
    &operand_data[4153],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshl_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nsi },
    &operand_data[4153],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_uqshl_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nsi },
    &operand_data[4153],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshlu_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_ndi },
    &operand_data[4156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_sqshl_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_ndi },
    &operand_data[4156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4922 */
  {
    "aarch64_uqshl_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_ndi },
    &operand_data[4156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqshrun_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv8hi },
    &operand_data[4159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqrshrun_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv8hi },
    &operand_data[4159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv8hi },
    &operand_data[4159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_uqshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv8hi },
    &operand_data[4159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqrshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv8hi },
    &operand_data[4159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_uqrshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv8hi },
    &operand_data[4159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqshrun_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv4si },
    &operand_data[4162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqrshrun_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv4si },
    &operand_data[4162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv4si },
    &operand_data[4162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_uqshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv4si },
    &operand_data[4162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqrshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv4si },
    &operand_data[4162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_uqrshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv4si },
    &operand_data[4162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqshrun_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv2di },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqrshrun_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv2di },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv2di },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_uqshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv2di },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqrshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv2di },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_uqrshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv2di },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqshrun_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nhi },
    &operand_data[4168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqrshrun_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nhi },
    &operand_data[4168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nhi },
    &operand_data[4168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_uqshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nhi },
    &operand_data[4168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqrshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nhi },
    &operand_data[4168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_uqrshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nhi },
    &operand_data[4168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqshrun_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nsi },
    &operand_data[4171],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqrshrun_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nsi },
    &operand_data[4171],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nsi },
    &operand_data[4171],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_uqshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nsi },
    &operand_data[4171],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqrshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nsi },
    &operand_data[4171],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_uqrshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nsi },
    &operand_data[4171],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqshrun_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_ndi },
    &operand_data[4174],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqrshrun_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_ndi },
    &operand_data[4174],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_ndi },
    &operand_data[4174],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_uqshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_ndi },
    &operand_data[4174],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_sqrshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_ndi },
    &operand_data[4174],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4936 */
  {
    "aarch64_uqrshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_ndi },
    &operand_data[4174],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_sqshrun2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv8hi },
    &operand_data[4177],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_sqrshrun2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv8hi },
    &operand_data[4177],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_sqshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn2_nv8hi },
    &operand_data[4177],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_uqshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn2_nv8hi },
    &operand_data[4177],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_sqrshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv8hi },
    &operand_data[4177],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_uqrshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv8hi },
    &operand_data[4177],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_sqshrun2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv4si },
    &operand_data[4181],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_sqrshrun2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv4si },
    &operand_data[4181],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_sqshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn2_nv4si },
    &operand_data[4181],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_uqshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn2_nv4si },
    &operand_data[4181],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_sqrshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv4si },
    &operand_data[4181],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_uqrshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv4si },
    &operand_data[4181],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_sqshrun2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv2di },
    &operand_data[4185],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_sqrshrun2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv2di },
    &operand_data[4185],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_sqshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn2_nv2di },
    &operand_data[4185],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_uqshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn2_nv2di },
    &operand_data[4185],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_sqrshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv2di },
    &operand_data[4185],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4947 */
  {
    "aarch64_uqrshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv2di },
    &operand_data[4185],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmltv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3079 },
#else
    { 0, output_3079, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8qi },
    &operand_data[4189],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmlev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3080 },
#else
    { 0, output_3080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8qi },
    &operand_data[4189],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmeqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3081 },
#else
    { 0, output_3081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8qi },
    &operand_data[4189],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3082 },
#else
    { 0, output_3082, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8qi },
    &operand_data[4189],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgtv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3083 },
#else
    { 0, output_3083, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8qi },
    &operand_data[4189],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmltv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3084 },
#else
    { 0, output_3084, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv16qi },
    &operand_data[4192],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmlev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3085 },
#else
    { 0, output_3085, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev16qi },
    &operand_data[4192],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmeqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3086 },
#else
    { 0, output_3086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv16qi },
    &operand_data[4192],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3087 },
#else
    { 0, output_3087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev16qi },
    &operand_data[4192],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgtv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3088 },
#else
    { 0, output_3088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv16qi },
    &operand_data[4192],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3089 },
#else
    { 0, output_3089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hi },
    &operand_data[4195],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmlev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3090 },
#else
    { 0, output_3090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hi },
    &operand_data[4195],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmeqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3091 },
#else
    { 0, output_3091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hi },
    &operand_data[4195],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3092 },
#else
    { 0, output_3092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hi },
    &operand_data[4195],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgtv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3093 },
#else
    { 0, output_3093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hi },
    &operand_data[4195],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3094 },
#else
    { 0, output_3094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8hi },
    &operand_data[4198],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmlev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3095 },
#else
    { 0, output_3095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8hi },
    &operand_data[4198],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmeqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3096 },
#else
    { 0, output_3096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8hi },
    &operand_data[4198],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3097 },
#else
    { 0, output_3097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8hi },
    &operand_data[4198],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgtv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3098 },
#else
    { 0, output_3098, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8hi },
    &operand_data[4198],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3099 },
#else
    { 0, output_3099, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2si },
    &operand_data[4201],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmlev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3100 },
#else
    { 0, output_3100, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2si },
    &operand_data[4201],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmeqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3101 },
#else
    { 0, output_3101, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2si },
    &operand_data[4201],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3102 },
#else
    { 0, output_3102, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2si },
    &operand_data[4201],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgtv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3103 },
#else
    { 0, output_3103, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2si },
    &operand_data[4201],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3104 },
#else
    { 0, output_3104, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4si },
    &operand_data[4204],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmlev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3105 },
#else
    { 0, output_3105, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4si },
    &operand_data[4204],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmeqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3106 },
#else
    { 0, output_3106, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4si },
    &operand_data[4204],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3107 },
#else
    { 0, output_3107, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4si },
    &operand_data[4204],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgtv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3108 },
#else
    { 0, output_3108, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4si },
    &operand_data[4204],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmltv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3109 },
#else
    { 0, output_3109, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2di },
    &operand_data[4207],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmlev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3110 },
#else
    { 0, output_3110, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2di },
    &operand_data[4207],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmeqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3111 },
#else
    { 0, output_3111, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2di },
    &operand_data[4207],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3112 },
#else
    { 0, output_3112, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2di },
    &operand_data[4207],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4963 */
  {
    "aarch64_cmgtv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3113 },
#else
    { 0, output_3113, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2di },
    &operand_data[4207],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4977 */
  {
    "aarch64_cmltdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdi },
    &operand_data[4210],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4977 */
  {
    "aarch64_cmledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledi },
    &operand_data[4210],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4977 */
  {
    "aarch64_cmeqdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdi },
    &operand_data[4210],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4977 */
  {
    "aarch64_cmgedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedi },
    &operand_data[4210],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4977 */
  {
    "aarch64_cmgtdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdi },
    &operand_data[4210],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5012 */
  {
    "*aarch64_cmltdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3119 },
#else
    { 0, output_3119, 0 },
#endif
    { 0 },
    &operand_data[4213],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5012 */
  {
    "*aarch64_cmledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3120 },
#else
    { 0, output_3120, 0 },
#endif
    { 0 },
    &operand_data[4213],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5012 */
  {
    "*aarch64_cmeqdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3121 },
#else
    { 0, output_3121, 0 },
#endif
    { 0 },
    &operand_data[4213],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5012 */
  {
    "*aarch64_cmgedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3122 },
#else
    { 0, output_3122, 0 },
#endif
    { 0 },
    &operand_data[4213],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5012 */
  {
    "*aarch64_cmgtdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3123 },
#else
    { 0, output_3123, 0 },
#endif
    { 0 },
    &operand_data[4213],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmltuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmleuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgeuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgtuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmltuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmleuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgeuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgtuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmltuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmleuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgeuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgtuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmltuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmleuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgeuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgtuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmltuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmleuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgeuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgtuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmltuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmleuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgeuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgtuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmltuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmleuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgeuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5028 */
  {
    "aarch64_cmgtuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5040 */
  {
    "aarch64_cmltudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltudi },
    &operand_data[4216],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5040 */
  {
    "aarch64_cmleudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleudi },
    &operand_data[4216],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5040 */
  {
    "aarch64_cmgeudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeudi },
    &operand_data[4216],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5040 */
  {
    "aarch64_cmgtudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtudi },
    &operand_data[4216],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5075 */
  {
    "*aarch64_cmltudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4219],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5075 */
  {
    "*aarch64_cmleudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4219],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5075 */
  {
    "*aarch64_cmgeudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4219],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5075 */
  {
    "*aarch64_cmgtudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4219],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5095 */
  {
    "aarch64_cmtstv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8qi },
    &operand_data[4222],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5095 */
  {
    "aarch64_cmtstv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv16qi },
    &operand_data[4227],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5095 */
  {
    "aarch64_cmtstv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4hi },
    &operand_data[4232],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5095 */
  {
    "aarch64_cmtstv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8hi },
    &operand_data[4237],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5095 */
  {
    "aarch64_cmtstv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2si },
    &operand_data[4242],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5095 */
  {
    "aarch64_cmtstv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4si },
    &operand_data[4247],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5095 */
  {
    "aarch64_cmtstv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2di },
    &operand_data[4252],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5110 */
  {
    "aarch64_cmtstdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstdi },
    &operand_data[4257],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5148 */
  {
    "*aarch64_cmtstdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3169 },
#else
    { 0, output_3169, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hf },
    &operand_data[4260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmlev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3170 },
#else
    { 0, output_3170, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hf },
    &operand_data[4260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmeqv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3171 },
#else
    { 0, output_3171, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hf },
    &operand_data[4260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3172 },
#else
    { 0, output_3172, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hf },
    &operand_data[4260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgtv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3173 },
#else
    { 0, output_3173, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hf },
    &operand_data[4260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3174 },
#else
    { 0, output_3174, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8hf },
    &operand_data[4263],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmlev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3175 },
#else
    { 0, output_3175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8hf },
    &operand_data[4263],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmeqv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3176 },
#else
    { 0, output_3176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8hf },
    &operand_data[4263],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3177 },
#else
    { 0, output_3177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8hf },
    &operand_data[4263],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgtv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3178 },
#else
    { 0, output_3178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8hf },
    &operand_data[4263],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3179 },
#else
    { 0, output_3179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2sf },
    &operand_data[4266],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmlev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3180 },
#else
    { 0, output_3180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2sf },
    &operand_data[4266],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmeqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3181 },
#else
    { 0, output_3181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2sf },
    &operand_data[4266],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3182 },
#else
    { 0, output_3182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2sf },
    &operand_data[4266],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgtv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3183 },
#else
    { 0, output_3183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2sf },
    &operand_data[4266],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3184 },
#else
    { 0, output_3184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4sf },
    &operand_data[4269],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmlev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3185 },
#else
    { 0, output_3185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4sf },
    &operand_data[4269],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmeqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3186 },
#else
    { 0, output_3186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4sf },
    &operand_data[4269],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3187 },
#else
    { 0, output_3187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4sf },
    &operand_data[4269],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgtv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3188 },
#else
    { 0, output_3188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4sf },
    &operand_data[4269],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3189 },
#else
    { 0, output_3189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2df },
    &operand_data[4272],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmlev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3190 },
#else
    { 0, output_3190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2df },
    &operand_data[4272],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmeqv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3191 },
#else
    { 0, output_3191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2df },
    &operand_data[4272],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3192 },
#else
    { 0, output_3192, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2df },
    &operand_data[4272],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgtv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3193 },
#else
    { 0, output_3193, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2df },
    &operand_data[4272],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmlthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3194 },
#else
    { 0, output_3194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlthf },
    &operand_data[4275],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmlehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3195 },
#else
    { 0, output_3195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlehf },
    &operand_data[4275],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmeqhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3196 },
#else
    { 0, output_3196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqhf },
    &operand_data[4275],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3197 },
#else
    { 0, output_3197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgehf },
    &operand_data[4275],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3198 },
#else
    { 0, output_3198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgthf },
    &operand_data[4275],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmltsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3199 },
#else
    { 0, output_3199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltsf },
    &operand_data[4278],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmlesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3200 },
#else
    { 0, output_3200, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlesf },
    &operand_data[4278],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmeqsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3201 },
#else
    { 0, output_3201, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqsf },
    &operand_data[4278],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3202 },
#else
    { 0, output_3202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgesf },
    &operand_data[4278],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3203 },
#else
    { 0, output_3203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtsf },
    &operand_data[4278],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmltdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3204 },
#else
    { 0, output_3204, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdf },
    &operand_data[4281],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmledf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3205 },
#else
    { 0, output_3205, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledf },
    &operand_data[4281],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmeqdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3206 },
#else
    { 0, output_3206, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdf },
    &operand_data[4281],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3207 },
#else
    { 0, output_3207, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedf },
    &operand_data[4281],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5163 */
  {
    "aarch64_cmgtdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3208 },
#else
    { 0, output_3208, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdf },
    &operand_data[4281],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4hf },
    &operand_data[4284],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_faclev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4hf },
    &operand_data[4284],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4hf },
    &operand_data[4284],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgtv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4hf },
    &operand_data[4284],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv8hf },
    &operand_data[4287],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_faclev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev8hf },
    &operand_data[4287],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev8hf },
    &operand_data[4287],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgtv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv8hf },
    &operand_data[4287],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2sf },
    &operand_data[4290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_faclev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2sf },
    &operand_data[4290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2sf },
    &operand_data[4290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgtv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2sf },
    &operand_data[4290],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4sf },
    &operand_data[4293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_faclev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4sf },
    &operand_data[4293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4sf },
    &operand_data[4293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgtv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4sf },
    &operand_data[4293],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2df },
    &operand_data[4296],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_faclev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2df },
    &operand_data[4296],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2df },
    &operand_data[4296],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgtv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2df },
    &operand_data[4296],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_faclthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%h0, %h2, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclthf },
    &operand_data[4299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_faclehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%h0, %h2, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclehf },
    &operand_data[4299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgehf },
    &operand_data[4299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgthf },
    &operand_data[4299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facltsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%s0, %s2, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltsf },
    &operand_data[4302],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_faclesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%s0, %s2, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclesf },
    &operand_data[4302],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgesf },
    &operand_data[4302],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtsf },
    &operand_data[4302],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facltdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltdf },
    &operand_data[4305],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facledf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facledf },
    &operand_data[4305],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgedf },
    &operand_data[4305],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5181 */
  {
    "aarch64_facgtdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtdf },
    &operand_data[4305],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5197 */
  {
    "aarch64_addpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5197 */
  {
    "aarch64_addpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5197 */
  {
    "aarch64_addpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5208 */
  {
    "aarch64_addpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpdi },
    &operand_data[4308],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5229 */
  {
    "*sqrtv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5229 */
  {
    "*sqrtv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5229 */
  {
    "*sqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5229 */
  {
    "*sqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5229 */
  {
    "*sqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5239 */
  {
    "aarch64_simd_ld2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v16qi },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5239 */
  {
    "aarch64_simd_ld2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8hi },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5239 */
  {
    "aarch64_simd_ld2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v4si },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5239 */
  {
    "aarch64_simd_ld2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v2di },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5239 */
  {
    "aarch64_simd_ld2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8hf },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5239 */
  {
    "aarch64_simd_ld2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v4sf },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5239 */
  {
    "aarch64_simd_ld2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v2df },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5239 */
  {
    "aarch64_simd_ld2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8bf },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8qi },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv16qi },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4hi },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8hi },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2si },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4si },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4bf },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8bf },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2di },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4hf },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8hf },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2sf },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4sf },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2df },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rdi },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5249 */
  {
    "aarch64_simd_ld2rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rdf },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3274 },
#else
    { 0, 0, output_3274 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8qi },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3275 },
#else
    { 0, 0, output_3275 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev16qi },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3276 },
#else
    { 0, 0, output_3276 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4hi },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3277 },
#else
    { 0, 0, output_3277 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8hi },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3278 },
#else
    { 0, 0, output_3278 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2si },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3279 },
#else
    { 0, 0, output_3279 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4si },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3280 },
#else
    { 0, 0, output_3280 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4bf },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3281 },
#else
    { 0, 0, output_3281 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8bf },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3282 },
#else
    { 0, 0, output_3282 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2di },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3283 },
#else
    { 0, 0, output_3283 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4hf },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3284 },
#else
    { 0, 0, output_3284 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev8hf },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3285 },
#else
    { 0, 0, output_3285 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2sf },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3286 },
#else
    { 0, 0, output_3286 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev4sf },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3287 },
#else
    { 0, 0, output_3287 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanev2df },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3288 },
#else
    { 0, 0, output_3288 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanedi },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5259 */
  {
    "aarch64_vec_load_lanesoi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3289 },
#else
    { 0, 0, output_3289 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesoi_lanedf },
    &operand_data[4312],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5293 */
  {
    "aarch64_simd_st2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.16b - %T1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v16qi },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5293 */
  {
    "aarch64_simd_st2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8hi },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5293 */
  {
    "aarch64_simd_st2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v4si },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5293 */
  {
    "aarch64_simd_st2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v2di },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5293 */
  {
    "aarch64_simd_st2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8hf },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5293 */
  {
    "aarch64_simd_st2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v4sf },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5293 */
  {
    "aarch64_simd_st2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v2df },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5293 */
  {
    "aarch64_simd_st2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8bf },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3298 },
#else
    { 0, 0, output_3298 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8qi },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3299 },
#else
    { 0, 0, output_3299 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev16qi },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3300 },
#else
    { 0, 0, output_3300 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4hi },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3301 },
#else
    { 0, 0, output_3301 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8hi },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3302 },
#else
    { 0, 0, output_3302 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2si },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3303 },
#else
    { 0, 0, output_3303 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4si },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3304 },
#else
    { 0, 0, output_3304 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4bf },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3305 },
#else
    { 0, 0, output_3305 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8bf },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3306 },
#else
    { 0, 0, output_3306 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2di },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3307 },
#else
    { 0, 0, output_3307 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4hf },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3308 },
#else
    { 0, 0, output_3308 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev8hf },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3309 },
#else
    { 0, 0, output_3309 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2sf },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3310 },
#else
    { 0, 0, output_3310 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev4sf },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3311 },
#else
    { 0, 0, output_3311 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanev2df },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3312 },
#else
    { 0, 0, output_3312 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanedi },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5304 */
  {
    "aarch64_vec_store_lanesoi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3313 },
#else
    { 0, 0, output_3313 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesoi_lanedf },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5337 */
  {
    "aarch64_simd_ld3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v16qi },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5337 */
  {
    "aarch64_simd_ld3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8hi },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5337 */
  {
    "aarch64_simd_ld3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v4si },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5337 */
  {
    "aarch64_simd_ld3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v2di },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5337 */
  {
    "aarch64_simd_ld3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8hf },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5337 */
  {
    "aarch64_simd_ld3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v4sf },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5337 */
  {
    "aarch64_simd_ld3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v2df },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5337 */
  {
    "aarch64_simd_ld3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8bf },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8qi },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv16qi },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4hi },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8hi },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2si },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4si },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4bf },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8bf },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2di },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4hf },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8hf },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2sf },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4sf },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2df },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rdi },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5347 */
  {
    "aarch64_simd_ld3rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rdf },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3338 },
#else
    { 0, 0, output_3338 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8qi },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3339 },
#else
    { 0, 0, output_3339 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev16qi },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3340 },
#else
    { 0, 0, output_3340 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4hi },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3341 },
#else
    { 0, 0, output_3341 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8hi },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3342 },
#else
    { 0, 0, output_3342 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2si },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3343 },
#else
    { 0, 0, output_3343 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4si },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3344 },
#else
    { 0, 0, output_3344 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4bf },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3345 },
#else
    { 0, 0, output_3345 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8bf },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3346 },
#else
    { 0, 0, output_3346 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2di },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3347 },
#else
    { 0, 0, output_3347 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4hf },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3348 },
#else
    { 0, 0, output_3348 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev8hf },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3349 },
#else
    { 0, 0, output_3349 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2sf },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3350 },
#else
    { 0, 0, output_3350 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev4sf },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3351 },
#else
    { 0, 0, output_3351 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanev2df },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3352 },
#else
    { 0, 0, output_3352 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanedi },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5357 */
  {
    "aarch64_vec_load_lanesci_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3353 },
#else
    { 0, 0, output_3353 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesci_lanedf },
    &operand_data[4323],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5391 */
  {
    "aarch64_simd_st3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.16b - %U1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v16qi },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5391 */
  {
    "aarch64_simd_st3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8hi },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5391 */
  {
    "aarch64_simd_st3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v4si },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5391 */
  {
    "aarch64_simd_st3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v2di },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5391 */
  {
    "aarch64_simd_st3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8hf },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5391 */
  {
    "aarch64_simd_st3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v4sf },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5391 */
  {
    "aarch64_simd_st3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v2df },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5391 */
  {
    "aarch64_simd_st3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8bf },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3362 },
#else
    { 0, 0, output_3362 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8qi },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3363 },
#else
    { 0, 0, output_3363 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev16qi },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3364 },
#else
    { 0, 0, output_3364 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4hi },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3365 },
#else
    { 0, 0, output_3365 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8hi },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3366 },
#else
    { 0, 0, output_3366 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2si },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3367 },
#else
    { 0, 0, output_3367 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4si },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3368 },
#else
    { 0, 0, output_3368 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4bf },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3369 },
#else
    { 0, 0, output_3369 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8bf },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3370 },
#else
    { 0, 0, output_3370 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2di },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3371 },
#else
    { 0, 0, output_3371 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4hf },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3372 },
#else
    { 0, 0, output_3372 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev8hf },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3373 },
#else
    { 0, 0, output_3373 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2sf },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3374 },
#else
    { 0, 0, output_3374 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev4sf },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3375 },
#else
    { 0, 0, output_3375 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanev2df },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3376 },
#else
    { 0, 0, output_3376 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanedi },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5402 */
  {
    "aarch64_vec_store_lanesci_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3377 },
#else
    { 0, 0, output_3377 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesci_lanedf },
    &operand_data[4329],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5435 */
  {
    "aarch64_simd_ld4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v16qi },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5435 */
  {
    "aarch64_simd_ld4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8hi },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5435 */
  {
    "aarch64_simd_ld4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v4si },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5435 */
  {
    "aarch64_simd_ld4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v2di },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5435 */
  {
    "aarch64_simd_ld4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8hf },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5435 */
  {
    "aarch64_simd_ld4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v4sf },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5435 */
  {
    "aarch64_simd_ld4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v2df },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5435 */
  {
    "aarch64_simd_ld4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8bf },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8qi },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv16qi },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4hi },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8hi },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2si },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4si },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4bf },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8bf },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2di },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4hf },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8hf },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2sf },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4sf },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2df },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rdi },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5445 */
  {
    "aarch64_simd_ld4rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rdf },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3402 },
#else
    { 0, 0, output_3402 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8qi },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3403 },
#else
    { 0, 0, output_3403 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev16qi },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3404 },
#else
    { 0, 0, output_3404 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4hi },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3405 },
#else
    { 0, 0, output_3405 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8hi },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3406 },
#else
    { 0, 0, output_3406 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2si },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3407 },
#else
    { 0, 0, output_3407 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4si },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3408 },
#else
    { 0, 0, output_3408 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4bf },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3409 },
#else
    { 0, 0, output_3409 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8bf },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3410 },
#else
    { 0, 0, output_3410 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2di },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3411 },
#else
    { 0, 0, output_3411 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4hf },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3412 },
#else
    { 0, 0, output_3412 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev8hf },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3413 },
#else
    { 0, 0, output_3413 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2sf },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3414 },
#else
    { 0, 0, output_3414 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev4sf },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3415 },
#else
    { 0, 0, output_3415 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanev2df },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3416 },
#else
    { 0, 0, output_3416 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanedi },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5455 */
  {
    "aarch64_vec_load_lanesxi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3417 },
#else
    { 0, 0, output_3417 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesxi_lanedf },
    &operand_data[4334],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5489 */
  {
    "aarch64_simd_st4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.16b - %V1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v16qi },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5489 */
  {
    "aarch64_simd_st4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8hi },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5489 */
  {
    "aarch64_simd_st4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v4si },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5489 */
  {
    "aarch64_simd_st4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v2di },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5489 */
  {
    "aarch64_simd_st4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8hf },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5489 */
  {
    "aarch64_simd_st4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v4sf },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5489 */
  {
    "aarch64_simd_st4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v2df },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5489 */
  {
    "aarch64_simd_st4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8bf },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3426 },
#else
    { 0, 0, output_3426 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8qi },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3427 },
#else
    { 0, 0, output_3427 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev16qi },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3428 },
#else
    { 0, 0, output_3428 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4hi },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3429 },
#else
    { 0, 0, output_3429 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8hi },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3430 },
#else
    { 0, 0, output_3430 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2si },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3431 },
#else
    { 0, 0, output_3431 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4si },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3432 },
#else
    { 0, 0, output_3432 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4bf },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3433 },
#else
    { 0, 0, output_3433 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8bf },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3434 },
#else
    { 0, 0, output_3434 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2di },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3435 },
#else
    { 0, 0, output_3435 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4hf },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3436 },
#else
    { 0, 0, output_3436 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev8hf },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3437 },
#else
    { 0, 0, output_3437 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2sf },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3438 },
#else
    { 0, 0, output_3438 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev4sf },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3439 },
#else
    { 0, 0, output_3439 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanev2df },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3440 },
#else
    { 0, 0, output_3440 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanedi },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5500 */
  {
    "aarch64_vec_store_lanesxi_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3441 },
#else
    { 0, 0, output_3441 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesxi_lanedf },
    &operand_data[4340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5533 */
  {
    "aarch64_rev_reglistoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistoi },
    &operand_data[4343],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5533 */
  {
    "aarch64_rev_reglistci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistci },
    &operand_data[4346],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5533 */
  {
    "aarch64_rev_reglistxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistxi },
    &operand_data[4349],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8qi },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v16qi },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4hi },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8hi },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2si },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4si },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4bf },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8bf },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2di },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4hf },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8hf },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2sf },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4sf },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2df },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_di },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5584 */
  {
    "aarch64_ld1_x3_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_df },
    &operand_data[4321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8qi },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v16qi },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4hi },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8hi },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2si },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4si },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4bf },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8bf },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2di },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4hf },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8hf },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2sf },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4sf },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2df },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_di },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5605 */
  {
    "aarch64_ld1_x4_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_df },
    &operand_data[4332],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %T1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8qi },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %T1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v16qi },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4hi },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8hi },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2si },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4si },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4bf },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8bf },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2di },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4hf },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8hf },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2sf },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4sf },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2df },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_di },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5627 */
  {
    "aarch64_st1_x2_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_df },
    &operand_data[4316],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %U1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8qi },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %U1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v16qi },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4hi },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8hi },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2si },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4si },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4bf },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8bf },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2di },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4hf },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8hf },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2sf },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4sf },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2df },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_di },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5648 */
  {
    "aarch64_st1_x3_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_df },
    &operand_data[4327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %V1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8qi },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %V1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v16qi },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4hi },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8hi },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2si },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4si },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4bf },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8bf },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2di },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4hf },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8hf },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2sf },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4sf },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2df },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_di },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5669 */
  {
    "aarch64_st1_x4_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_df },
    &operand_data[4338],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5680 */
  {
    "*aarch64_movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3525 },
#else
    { 0, output_3525, 0 },
#endif
    { 0 },
    &operand_data[4352],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5680 */
  {
    "*aarch64_movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3526 },
#else
    { 0, output_3526, 0 },
#endif
    { 0 },
    &operand_data[4354],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5680 */
  {
    "*aarch64_movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3527 },
#else
    { 0, output_3527, 0 },
#endif
    { 0 },
    &operand_data[4356],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8qi },
    &operand_data[4358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v16qi },
    &operand_data[4360],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4hi },
    &operand_data[4362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8hi },
    &operand_data[4364],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2si },
    &operand_data[4366],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4si },
    &operand_data[4368],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2di },
    &operand_data[4370],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4hf },
    &operand_data[4372],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8hf },
    &operand_data[4374],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4bf },
    &operand_data[4376],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8bf },
    &operand_data[4378],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2sf },
    &operand_data[4380],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4sf },
    &operand_data[4382],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2df },
    &operand_data[4384],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5695 */
  {
    "aarch64_be_ld1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1di },
    &operand_data[4386],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8qi },
    &operand_data[4388],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v16qi },
    &operand_data[4390],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4hi },
    &operand_data[4392],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8hi },
    &operand_data[4394],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2si },
    &operand_data[4396],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4si },
    &operand_data[4398],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2di },
    &operand_data[4400],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4hf },
    &operand_data[4402],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8hf },
    &operand_data[4404],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4bf },
    &operand_data[4406],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8bf },
    &operand_data[4408],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2sf },
    &operand_data[4410],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4sf },
    &operand_data[4412],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2df },
    &operand_data[4414],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5705 */
  {
    "aarch64_be_st1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1di },
    &operand_data[4416],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5714 */
  {
    "*aarch64_be_movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3558 },
#else
    { 0, output_3558, 0 },
#endif
    { 0 },
    &operand_data[4418],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5728 */
  {
    "*aarch64_be_movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4420],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5739 */
  {
    "*aarch64_be_movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4422],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5827 */
  {
    "aarch64_ld2v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8qi_dreg },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5827 */
  {
    "aarch64_ld2v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hi_dreg },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5827 */
  {
    "aarch64_ld2v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hf_dreg },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5827 */
  {
    "aarch64_ld2v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2si_dreg },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5827 */
  {
    "aarch64_ld2v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2sf_dreg },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5827 */
  {
    "aarch64_ld2v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4bf_dreg },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5837 */
  {
    "aarch64_ld2di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2di_dreg },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5837 */
  {
    "aarch64_ld2df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2df_dreg },
    &operand_data[4312],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5847 */
  {
    "aarch64_ld3v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8qi_dreg },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5847 */
  {
    "aarch64_ld3v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hi_dreg },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5847 */
  {
    "aarch64_ld3v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hf_dreg },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5847 */
  {
    "aarch64_ld3v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2si_dreg },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5847 */
  {
    "aarch64_ld3v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2sf_dreg },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5847 */
  {
    "aarch64_ld3v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4bf_dreg },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5857 */
  {
    "aarch64_ld3di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3di_dreg },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5857 */
  {
    "aarch64_ld3df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3df_dreg },
    &operand_data[4323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5867 */
  {
    "aarch64_ld4v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8qi_dreg },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5867 */
  {
    "aarch64_ld4v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hi_dreg },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5867 */
  {
    "aarch64_ld4v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hf_dreg },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5867 */
  {
    "aarch64_ld4v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2si_dreg },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5867 */
  {
    "aarch64_ld4v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2sf_dreg },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5867 */
  {
    "aarch64_ld4v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4bf_dreg },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5877 */
  {
    "aarch64_ld4di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4di_dreg },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5877 */
  {
    "aarch64_ld4df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4df_dreg },
    &operand_data[4334],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6027 */
  {
    "aarch64_tbl1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.8b, {%1.16b}, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl1v8qi },
    &operand_data[4424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6027 */
  {
    "aarch64_tbl1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.16b, {%1.16b}, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl1v16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6039 */
  {
    "aarch64_tbl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.16b, {%S1.16b - %T1.16b}, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl2v16qi },
    &operand_data[4427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6049 */
  {
    "aarch64_tbl3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %T1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl3v8qi },
    &operand_data[4430],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6049 */
  {
    "aarch64_tbl3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %T1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbl3v16qi },
    &operand_data[4427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6059 */
  {
    "aarch64_tbx4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %T2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbx4v8qi },
    &operand_data[4433],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6059 */
  {
    "aarch64_tbx4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %T2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbx4v16qi },
    &operand_data[4437],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6072 */
  {
    "aarch64_qtbl3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %U1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl3v8qi },
    &operand_data[4441],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6072 */
  {
    "aarch64_qtbl3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %U1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl3v16qi },
    &operand_data[4444],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6082 */
  {
    "aarch64_qtbx3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %U2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx3v8qi },
    &operand_data[4447],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6082 */
  {
    "aarch64_qtbx3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %U2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx3v16qi },
    &operand_data[4451],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6095 */
  {
    "aarch64_qtbl4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %V1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl4v8qi },
    &operand_data[4455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6095 */
  {
    "aarch64_qtbl4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %V1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl4v16qi },
    &operand_data[4458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6105 */
  {
    "aarch64_qtbx4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %V2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx4v8qi },
    &operand_data[4461],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6105 */
  {
    "aarch64_qtbx4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %V2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx4v16qi },
    &operand_data[4465],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6116 */
  {
    "aarch64_combinev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev16qi },
    &operand_data[4469],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8qi },
    &operand_data[2399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v16qi },
    &operand_data[2402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hi },
    &operand_data[2405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8hi },
    &operand_data[2408],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2si },
    &operand_data[2411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4bf },
    &operand_data[4472],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4bf },
    &operand_data[4472],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4bf },
    &operand_data[4472],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4bf },
    &operand_data[4472],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4bf },
    &operand_data[4472],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4bf },
    &operand_data[4472],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8bf },
    &operand_data[4475],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8bf },
    &operand_data[4475],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8bf },
    &operand_data[4475],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8bf },
    &operand_data[4475],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8bf },
    &operand_data[4475],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8bf },
    &operand_data[4475],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_zip2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_trn2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6135 */
  {
    "aarch64_uzp2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3685 },
#else
    { 0, 0, output_3685 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8qi },
    &operand_data[4478],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3686 },
#else
    { 0, 0, output_3686 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv16qi },
    &operand_data[4482],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3687 },
#else
    { 0, 0, output_3687 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4hi },
    &operand_data[4486],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3688 },
#else
    { 0, 0, output_3688 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8hi },
    &operand_data[4490],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3689 },
#else
    { 0, 0, output_3689 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2si },
    &operand_data[3752],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3690 },
#else
    { 0, 0, output_3690 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4si },
    &operand_data[3772],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3691 },
#else
    { 0, 0, output_3691 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2di },
    &operand_data[4494],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3692 },
#else
    { 0, 0, output_3692 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4hf },
    &operand_data[4498],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3693 },
#else
    { 0, 0, output_3693 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8hf },
    &operand_data[4502],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3694 },
#else
    { 0, 0, output_3694 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4bf },
    &operand_data[4506],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3695 },
#else
    { 0, 0, output_3695 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8bf },
    &operand_data[4510],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3696 },
#else
    { 0, 0, output_3696 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2sf },
    &operand_data[3672],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3697 },
#else
    { 0, 0, output_3697 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4sf },
    &operand_data[3676],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6149 */
  {
    "aarch64_extv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3698 },
#else
    { 0, 0, output_3698 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2df },
    &operand_data[3680],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8qi },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8qi },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8qi },
    &operand_data[1421],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hi },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hi },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hi },
    &operand_data[1427],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8hi },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8hi },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8hi },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2si },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2si },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2si },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4si },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4si },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4si },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2di },
    &operand_data[1439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2di },
    &operand_data[1439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2di },
    &operand_data[1439],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hf },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hf },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hf },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8hf },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8hf },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8hf },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4bf },
    &operand_data[1448],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4bf },
    &operand_data[1448],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4bf },
    &operand_data[1448],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8bf },
    &operand_data[1451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8bf },
    &operand_data[1451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8bf },
    &operand_data[1451],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2sf },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2sf },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2sf },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4sf },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4sf },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4sf },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2df },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev32v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2df },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6167 */
  {
    "aarch64_rev16v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2df },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6176 */
  {
    "aarch64_st2v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8b - %T1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8qi_dreg },
    &operand_data[4318],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6176 */
  {
    "aarch64_st2v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hi_dreg },
    &operand_data[4318],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6176 */
  {
    "aarch64_st2v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hf_dreg },
    &operand_data[4318],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6176 */
  {
    "aarch64_st2v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2si_dreg },
    &operand_data[4318],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6176 */
  {
    "aarch64_st2v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2sf_dreg },
    &operand_data[4318],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6176 */
  {
    "aarch64_st2v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4bf_dreg },
    &operand_data[4318],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6186 */
  {
    "aarch64_st2di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2di_dreg },
    &operand_data[4318],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6186 */
  {
    "aarch64_st2df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2df_dreg },
    &operand_data[4318],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6196 */
  {
    "aarch64_st3v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8b - %U1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8qi_dreg },
    &operand_data[4329],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6196 */
  {
    "aarch64_st3v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hi_dreg },
    &operand_data[4329],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6196 */
  {
    "aarch64_st3v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hf_dreg },
    &operand_data[4329],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6196 */
  {
    "aarch64_st3v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2si_dreg },
    &operand_data[4329],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6196 */
  {
    "aarch64_st3v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2sf_dreg },
    &operand_data[4329],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6196 */
  {
    "aarch64_st3v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4bf_dreg },
    &operand_data[4329],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6206 */
  {
    "aarch64_st3di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3di_dreg },
    &operand_data[4329],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6206 */
  {
    "aarch64_st3df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3df_dreg },
    &operand_data[4329],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6216 */
  {
    "aarch64_st4v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8b - %V1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8qi_dreg },
    &operand_data[4340],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6216 */
  {
    "aarch64_st4v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hi_dreg },
    &operand_data[4340],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6216 */
  {
    "aarch64_st4v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hf_dreg },
    &operand_data[4340],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6216 */
  {
    "aarch64_st4v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2si_dreg },
    &operand_data[4340],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6216 */
  {
    "aarch64_st4v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2sf_dreg },
    &operand_data[4340],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6216 */
  {
    "aarch64_st4v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4bf_dreg },
    &operand_data[4340],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6226 */
  {
    "aarch64_st4di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4di_dreg },
    &operand_data[4340],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6226 */
  {
    "aarch64_st4df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4df_dreg },
    &operand_data[4340],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4514],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4516],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4518],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4520],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4522],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4524],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4526],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4528],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4530],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4532],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4534],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4536],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4538],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6335 */
  {
    "*aarch64_simd_ld1rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4540],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6344 */
  {
    "aarch64_simd_ld1v16qi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v16qi_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6344 */
  {
    "aarch64_simd_ld1v8hi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8hi_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6344 */
  {
    "aarch64_simd_ld1v4si_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4si_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6344 */
  {
    "aarch64_simd_ld1v2di_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2di_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6344 */
  {
    "aarch64_simd_ld1v8hf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8hf_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6344 */
  {
    "aarch64_simd_ld1v4sf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4sf_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6344 */
  {
    "aarch64_simd_ld1v2df_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2df_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6344 */
  {
    "aarch64_simd_ld1v8bf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8bf_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6354 */
  {
    "aarch64_simd_ld1v8qi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8qi_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6354 */
  {
    "aarch64_simd_ld1v4hi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4hi_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6354 */
  {
    "aarch64_simd_ld1v4bf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4bf_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6354 */
  {
    "aarch64_simd_ld1v4hf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4hf_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6354 */
  {
    "aarch64_simd_ld1v2si_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2si_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6354 */
  {
    "aarch64_simd_ld1v2sf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2sf_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6354 */
  {
    "aarch64_simd_ld1di_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1di_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6354 */
  {
    "aarch64_simd_ld1df_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1df_x2 },
    &operand_data[4310],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6365 */
  {
    "aarch64_frecpev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev4hf },
    &operand_data[1442],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6365 */
  {
    "aarch64_frecpev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev8hf },
    &operand_data[1445],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6365 */
  {
    "aarch64_frecpev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev2sf },
    &operand_data[1371],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6365 */
  {
    "aarch64_frecpev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev4sf },
    &operand_data[1373],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6365 */
  {
    "aarch64_frecpev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev2df },
    &operand_data[1375],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6365 */
  {
    "aarch64_frecpehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpehf },
    &operand_data[1135],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6365 */
  {
    "aarch64_frecpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpesf },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6365 */
  {
    "aarch64_frecpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpedf },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6375 */
  {
    "aarch64_frecpxhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxhf },
    &operand_data[1135],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6375 */
  {
    "aarch64_frecpxsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxsf },
    &operand_data[1137],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6375 */
  {
    "aarch64_frecpxdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxdf },
    &operand_data[1139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6384 */
  {
    "aarch64_frecpsv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv4hf },
    &operand_data[2420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6384 */
  {
    "aarch64_frecpsv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv8hf },
    &operand_data[2423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6384 */
  {
    "aarch64_frecpsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv2sf },
    &operand_data[2426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6384 */
  {
    "aarch64_frecpsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv4sf },
    &operand_data[2429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6384 */
  {
    "aarch64_frecpsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv2df },
    &operand_data[2432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6384 */
  {
    "aarch64_frecpshf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpshf },
    &operand_data[1165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6384 */
  {
    "aarch64_frecpssf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpssf },
    &operand_data[1169],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6384 */
  {
    "aarch64_frecpsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsdf },
    &operand_data[1173],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6395 */
  {
    "aarch64_urecpev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urecpe\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urecpev2si },
    &operand_data[1433],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6395 */
  {
    "aarch64_urecpev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urecpe\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urecpev4si },
    &operand_data[1436],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6447 */
  {
    "aarch64_crypto_aesev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesev16qi },
    &operand_data[4542],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6447 */
  {
    "aarch64_crypto_aesdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesdv16qi },
    &operand_data[4542],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6459 */
  {
    "aarch64_crypto_aesmcv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesmc\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesmcv16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6459 */
  {
    "aarch64_crypto_aesimcv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesimc\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesimcv16qi },
    &operand_data[1424],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6473 */
  {
    "*aarch64_crypto_aese_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.16b, %2.16b\n\taesmc\t%0.16b, %0.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4542],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6494 */
  {
    "*aarch64_crypto_aesd_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.16b, %2.16b\n\taesimc\t%0.16b, %0.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4542],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6512 */
  {
    "aarch64_crypto_sha1hsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1hsi },
    &operand_data[955],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6522 */
  {
    "aarch64_crypto_sha1hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1hv4si },
    &operand_data[4545],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6532 */
  {
    "aarch64_be_crypto_sha1hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_crypto_sha1hv4si },
    &operand_data[4545],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6542 */
  {
    "aarch64_crypto_sha1su1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1su1\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1su1v4si },
    &operand_data[2684],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6552 */
  {
    "aarch64_crypto_sha1cv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1c\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1cv4si },
    &operand_data[3044],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6552 */
  {
    "aarch64_crypto_sha1mv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1m\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1mv4si },
    &operand_data[3044],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6552 */
  {
    "aarch64_crypto_sha1pv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1p\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1pv4si },
    &operand_data[3044],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6563 */
  {
    "aarch64_crypto_sha1su0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1su0\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1su0v4si },
    &operand_data[2684],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6576 */
  {
    "aarch64_crypto_sha256hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256h\t%q0, %q2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256hv4si },
    &operand_data[2684],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6576 */
  {
    "aarch64_crypto_sha256h2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256h2\t%q0, %q2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256h2v4si },
    &operand_data[2684],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6587 */
  {
    "aarch64_crypto_sha256su0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256su0\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256su0v4si },
    &operand_data[2684],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6597 */
  {
    "aarch64_crypto_sha256su1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256su1\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256su1v4si },
    &operand_data[2684],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6610 */
  {
    "aarch64_crypto_sha512hqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512h\t%q0, %q2, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512hqv2di },
    &operand_data[4547],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6610 */
  {
    "aarch64_crypto_sha512h2qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512h2\t%q0, %q2, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512h2qv2di },
    &operand_data[4547],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6621 */
  {
    "aarch64_crypto_sha512su0qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512su0\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512su0qv2di },
    &operand_data[3723],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6631 */
  {
    "aarch64_crypto_sha512su1qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512su1\t%0.2d, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512su1qv2di },
    &operand_data[4547],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "eor3qv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv16qi4 },
    &operand_data[4551],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "eor3qv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv8hi4 },
    &operand_data[4555],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "eor3qv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv4si4 },
    &operand_data[4559],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6644 */
  {
    "eor3qv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv2di4 },
    &operand_data[4563],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6656 */
  {
    "aarch64_rax1qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rax1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rax1qv2di },
    &operand_data[2417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6668 */
  {
    "aarch64_xarqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xar\t%0.2d, %1.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xarqv2di },
    &operand_data[4567],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6680 */
  {
    "bcaxqv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv16qi4 },
    &operand_data[4551],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6680 */
  {
    "bcaxqv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv8hi4 },
    &operand_data[4555],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6680 */
  {
    "bcaxqv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv4si4 },
    &operand_data[4559],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6680 */
  {
    "bcaxqv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv2di4 },
    &operand_data[4563],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6694 */
  {
    "aarch64_sm3ss1qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3ss1\t%0.4s, %1.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3ss1qv4si },
    &operand_data[4559],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6706 */
  {
    "aarch64_sm3tt1aqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt1a\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt1aqv4si },
    &operand_data[4571],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6706 */
  {
    "aarch64_sm3tt1bqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt1b\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt1bqv4si },
    &operand_data[4571],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6706 */
  {
    "aarch64_sm3tt2aqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt2a\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt2aqv4si },
    &operand_data[4571],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6706 */
  {
    "aarch64_sm3tt2bqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt2b\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt2bqv4si },
    &operand_data[4571],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6718 */
  {
    "aarch64_sm3partw1qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3partw1\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3partw1qv4si },
    &operand_data[2684],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6718 */
  {
    "aarch64_sm3partw2qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3partw2\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3partw2qv4si },
    &operand_data[2684],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6731 */
  {
    "aarch64_sm4eqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4e\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm4eqv4si },
    &operand_data[2684],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6741 */
  {
    "aarch64_sm4ekeyqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4ekey\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm4ekeyqv4si },
    &operand_data[2414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6796 */
  {
    "aarch64_simd_fmlal_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lowv2sf },
    &operand_data[4576],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6796 */
  {
    "aarch64_simd_fmlalq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lowv4sf },
    &operand_data[4582],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6813 */
  {
    "aarch64_simd_fmlsl_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lowv2sf },
    &operand_data[4576],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6813 */
  {
    "aarch64_simd_fmlslq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lowv4sf },
    &operand_data[4582],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6831 */
  {
    "aarch64_simd_fmlal_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_highv2sf },
    &operand_data[4588],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6831 */
  {
    "aarch64_simd_fmlalq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_highv4sf },
    &operand_data[4594],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6848 */
  {
    "aarch64_simd_fmlsl_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_highv2sf },
    &operand_data[4588],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6848 */
  {
    "aarch64_simd_fmlslq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_highv4sf },
    &operand_data[4594],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6907 */
  {
    "aarch64_simd_fmlal_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lane_lowv2sf },
    &operand_data[4600],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6925 */
  {
    "aarch64_simd_fmlsl_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lane_lowv2sf },
    &operand_data[4600],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6944 */
  {
    "aarch64_simd_fmlal_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lane_highv2sf },
    &operand_data[4606],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_simd_fmlsl_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lane_highv2sf },
    &operand_data[4606],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7021 */
  {
    "aarch64_simd_fmlalq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_laneq_lowv4sf },
    &operand_data[4612],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7039 */
  {
    "aarch64_simd_fmlslq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_laneq_lowv4sf },
    &operand_data[4612],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7058 */
  {
    "aarch64_simd_fmlalq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_laneq_highv4sf },
    &operand_data[4618],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7076 */
  {
    "aarch64_simd_fmlslq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_laneq_highv4sf },
    &operand_data[4618],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7137 */
  {
    "aarch64_simd_fmlal_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_laneq_lowv2sf },
    &operand_data[4624],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7155 */
  {
    "aarch64_simd_fmlsl_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_laneq_lowv2sf },
    &operand_data[4624],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7174 */
  {
    "aarch64_simd_fmlal_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_laneq_highv2sf },
    &operand_data[4630],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7192 */
  {
    "aarch64_simd_fmlsl_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_laneq_highv2sf },
    &operand_data[4630],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7251 */
  {
    "aarch64_simd_fmlalq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lane_lowv4sf },
    &operand_data[4636],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7269 */
  {
    "aarch64_simd_fmlslq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lane_lowv4sf },
    &operand_data[4636],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7288 */
  {
    "aarch64_simd_fmlalq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lane_highv4sf },
    &operand_data[4642],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7306 */
  {
    "aarch64_simd_fmlslq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lane_highv4sf },
    &operand_data[4642],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7327 */
  {
    "aarch64_crypto_pmulldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull\t%0.1q, %1.1d, %2.1d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_pmulldi },
    &operand_data[4648],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7337 */
  {
    "aarch64_crypto_pmullv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull2\t%0.1q, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_pmullv2di },
    &operand_data[4651],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7348 */
  {
    "extendv8qiv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv8qiv8hi2 },
    &operand_data[3151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7348 */
  {
    "zero_extendv8qiv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv8qiv8hi2 },
    &operand_data[3151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7348 */
  {
    "extendv4hiv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv4hiv4si2 },
    &operand_data[3155],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7348 */
  {
    "zero_extendv4hiv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv4hiv4si2 },
    &operand_data[3155],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7348 */
  {
    "extendv2siv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv2siv2di2 },
    &operand_data[3159],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7348 */
  {
    "zero_extendv2siv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv2siv2di2 },
    &operand_data[3159],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7371 */
  {
    "truncv8hiv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv8hiv8qi2 },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7371 */
  {
    "truncv4siv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4siv4hi2 },
    &operand_data[3090],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7371 */
  {
    "truncv2div2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2div2si2 },
    &operand_data[3092],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7379 */
  {
    "aarch64_xtn2v8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v8hi_le },
    &operand_data[3652],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7379 */
  {
    "aarch64_xtn2v4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v4si_le },
    &operand_data[3656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7379 */
  {
    "aarch64_xtn2v2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v2di_le },
    &operand_data[3660],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7389 */
  {
    "aarch64_xtn2v8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v8hi_be },
    &operand_data[3652],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7389 */
  {
    "aarch64_xtn2v4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v4si_be },
    &operand_data[3656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7389 */
  {
    "aarch64_xtn2v2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v2di_be },
    &operand_data[3660],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7415 */
  {
    "aarch64_bfdotv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\t%0.2s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdotv2sf },
    &operand_data[4654],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7415 */
  {
    "aarch64_bfdotv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdotv4sf },
    &operand_data[4658],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7428 */
  {
    "aarch64_bfdot_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3900 },
#else
    { 0, 0, output_3900 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_lanev2sf },
    &operand_data[4662],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7428 */
  {
    "aarch64_bfdot_laneqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3901 },
#else
    { 0, 0, output_3901 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_laneqv2sf },
    &operand_data[4667],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7428 */
  {
    "aarch64_bfdot_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3902 },
#else
    { 0, 0, output_3902 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_lanev4sf },
    &operand_data[4672],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7428 */
  {
    "aarch64_bfdot_laneqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3903 },
#else
    { 0, 0, output_3903 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_laneqv4sf },
    &operand_data[4677],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7469 */
  {
    "aarch64_bfmmlaqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmmla\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmmlaqv4sf },
    &operand_data[4658],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7481 */
  {
    "aarch64_bfmlalbv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlalb\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalbv4sf },
    &operand_data[4658],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7481 */
  {
    "aarch64_bfmlaltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlalt\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlaltv4sf },
    &operand_data[4658],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7492 */
  {
    "aarch64_bfmlalb_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3907 },
#else
    { 0, 0, output_3907 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalb_lanev4sf },
    &operand_data[4672],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7492 */
  {
    "aarch64_bfmlalt_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3908 },
#else
    { 0, 0, output_3908 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalt_lanev4sf },
    &operand_data[4672],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7492 */
  {
    "aarch64_bfmlalb_lane_qv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3909 },
#else
    { 0, 0, output_3909 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalb_lane_qv4sf },
    &operand_data[4677],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7492 */
  {
    "aarch64_bfmlalt_lane_qv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3910 },
#else
    { 0, 0, output_3910 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalt_lane_qv4sf },
    &operand_data[4677],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7508 */
  {
    "aarch64_simd_smmlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smmla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_smmlav16qi },
    &operand_data[2499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7508 */
  {
    "aarch64_simd_ummlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ummla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ummlav16qi },
    &operand_data[2499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7508 */
  {
    "aarch64_simd_usmmlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usmmla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_usmmlav16qi },
    &operand_data[2499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7520 */
  {
    "aarch64_bfcvtnv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtnv4bf },
    &operand_data[4682],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7520 */
  {
    "aarch64_bfcvtn_qv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtn_qv8bf },
    &operand_data[4684],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7529 */
  {
    "aarch64_bfcvtn2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtn2v8bf },
    &operand_data[4686],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7539 */
  {
    "aarch64_bfcvtbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvt\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtbf },
    &operand_data[4689],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7549 */
  {
    "aarch64_vbfcvtv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll\t%0.4s, %1.4h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvtv4bf },
    &operand_data[4691],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7549 */
  {
    "aarch64_vbfcvtv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll\t%0.4s, %1.4h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvtv8bf },
    &operand_data[4693],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7558 */
  {
    "aarch64_vbfcvt_highv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll2\t%0.4s, %1.8h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvt_highv8bf },
    &operand_data[4693],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_bfcvtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%d0, %d1, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtsf },
    &operand_data[4695],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:44 */
  {
    "aarch64_compare_and_swapqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapqi },
    &operand_data[4697],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:44 */
  {
    "aarch64_compare_and_swaphi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swaphi },
    &operand_data[4705],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:70 */
  {
    "aarch64_compare_and_swapsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapsi },
    &operand_data[4713],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:70 */
  {
    "aarch64_compare_and_swapdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapdi },
    &operand_data[4721],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:94 */
  {
    "aarch64_compare_and_swapti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapti },
    &operand_data[4729],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:118 */
  {
    "aarch64_compare_and_swapqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3927 },
#else
    { 0, 0, output_3927 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapqi_lse },
    &operand_data[4737],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:118 */
  {
    "aarch64_compare_and_swaphi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3928 },
#else
    { 0, 0, output_3928 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swaphi_lse },
    &operand_data[4741],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:141 */
  {
    "aarch64_compare_and_swapsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3929 },
#else
    { 0, 0, output_3929 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapsi_lse },
    &operand_data[4745],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:141 */
  {
    "aarch64_compare_and_swapdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3930 },
#else
    { 0, 0, output_3930 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapdi_lse },
    &operand_data[4749],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:163 */
  {
    "aarch64_compare_and_swapti_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3931 },
#else
    { 0, 0, output_3931 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapti_lse },
    &operand_data[4753],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangeqi },
    &operand_data[4757],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangehi },
    &operand_data[4762],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangesi },
    &operand_data[4767],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangedi },
    &operand_data[4772],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangeqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3936 },
#else
    { 0, 0, output_3936 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangeqi_lse },
    &operand_data[4777],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangehi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3937 },
#else
    { 0, 0, output_3937 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangehi_lse },
    &operand_data[4781],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangesi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3938 },
#else
    { 0, 0, output_3938 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangesi_lse },
    &operand_data[4785],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangedi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3939 },
#else
    { 0, 0, output_3939 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangedi_lse },
    &operand_data[4789],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addqi },
    &operand_data[4793],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subqi },
    &operand_data[4793],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orqi },
    &operand_data[4798],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorqi },
    &operand_data[4798],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andqi },
    &operand_data[4798],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addhi },
    &operand_data[4803],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subhi },
    &operand_data[4803],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orhi },
    &operand_data[4808],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorhi },
    &operand_data[4808],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andhi },
    &operand_data[4808],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addsi },
    &operand_data[4813],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subsi },
    &operand_data[4813],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orsi },
    &operand_data[4818],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorsi },
    &operand_data[4818],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andsi },
    &operand_data[4818],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_adddi },
    &operand_data[4823],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subdi },
    &operand_data[4823],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_ordi },
    &operand_data[4828],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xordi },
    &operand_data[4828],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_anddi },
    &operand_data[4828],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3960 },
#else
    { 0, 0, output_3960 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorqi_lse },
    &operand_data[4833],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3961 },
#else
    { 0, 0, output_3961 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicqi_lse },
    &operand_data[4833],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3962 },
#else
    { 0, 0, output_3962 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorqi_lse },
    &operand_data[4833],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3963 },
#else
    { 0, 0, output_3963 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addqi_lse },
    &operand_data[4833],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3964 },
#else
    { 0, 0, output_3964 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorhi_lse },
    &operand_data[4837],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bichi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3965 },
#else
    { 0, 0, output_3965 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bichi_lse },
    &operand_data[4837],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3966 },
#else
    { 0, 0, output_3966 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorhi_lse },
    &operand_data[4837],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3967 },
#else
    { 0, 0, output_3967 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addhi_lse },
    &operand_data[4837],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3968 },
#else
    { 0, 0, output_3968 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorsi_lse },
    &operand_data[4841],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3969 },
#else
    { 0, 0, output_3969 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicsi_lse },
    &operand_data[4841],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3970 },
#else
    { 0, 0, output_3970 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorsi_lse },
    &operand_data[4841],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3971 },
#else
    { 0, 0, output_3971 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addsi_lse },
    &operand_data[4841],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3972 },
#else
    { 0, 0, output_3972 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iordi_lse },
    &operand_data[4845],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3973 },
#else
    { 0, 0, output_3973 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicdi_lse },
    &operand_data[4845],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3974 },
#else
    { 0, 0, output_3974 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xordi_lse },
    &operand_data[4845],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_adddi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3975 },
#else
    { 0, 0, output_3975 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_adddi_lse },
    &operand_data[4845],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandqi },
    &operand_data[4798],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandhi },
    &operand_data[4808],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandsi },
    &operand_data[4818],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nanddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nanddi },
    &operand_data[4828],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addqi },
    &operand_data[4849],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subqi },
    &operand_data[4849],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orqi },
    &operand_data[4855],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorqi },
    &operand_data[4855],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andqi },
    &operand_data[4855],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addhi },
    &operand_data[4861],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subhi },
    &operand_data[4861],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orhi },
    &operand_data[4867],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorhi },
    &operand_data[4867],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andhi },
    &operand_data[4867],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addsi },
    &operand_data[4873],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subsi },
    &operand_data[4873],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orsi },
    &operand_data[4879],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorsi },
    &operand_data[4879],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andsi },
    &operand_data[4879],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_adddi },
    &operand_data[4885],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subdi },
    &operand_data[4885],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_ordi },
    &operand_data[4891],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xordi },
    &operand_data[4891],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_anddi },
    &operand_data[4891],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4000 },
#else
    { 0, 0, output_4000 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorqi_lse },
    &operand_data[4897],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4001 },
#else
    { 0, 0, output_4001 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicqi_lse },
    &operand_data[4897],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4002 },
#else
    { 0, 0, output_4002 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorqi_lse },
    &operand_data[4897],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4003 },
#else
    { 0, 0, output_4003 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addqi_lse },
    &operand_data[4897],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4004 },
#else
    { 0, 0, output_4004 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorhi_lse },
    &operand_data[4901],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bichi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4005 },
#else
    { 0, 0, output_4005 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bichi_lse },
    &operand_data[4901],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4006 },
#else
    { 0, 0, output_4006 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorhi_lse },
    &operand_data[4901],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4007 },
#else
    { 0, 0, output_4007 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addhi_lse },
    &operand_data[4901],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4008 },
#else
    { 0, 0, output_4008 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorsi_lse },
    &operand_data[4905],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4009 },
#else
    { 0, 0, output_4009 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicsi_lse },
    &operand_data[4905],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4010 },
#else
    { 0, 0, output_4010 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorsi_lse },
    &operand_data[4905],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4011 },
#else
    { 0, 0, output_4011 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addsi_lse },
    &operand_data[4905],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4012 },
#else
    { 0, 0, output_4012 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iordi_lse },
    &operand_data[4909],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4013 },
#else
    { 0, 0, output_4013 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicdi_lse },
    &operand_data[4909],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4014 },
#else
    { 0, 0, output_4014 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xordi_lse },
    &operand_data[4909],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_adddi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4015 },
#else
    { 0, 0, output_4015 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_adddi_lse },
    &operand_data[4909],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandqi },
    &operand_data[4855],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandhi },
    &operand_data[4867],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandsi },
    &operand_data[4879],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nanddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nanddi },
    &operand_data[4891],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchqi },
    &operand_data[4913],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchqi },
    &operand_data[4913],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchqi },
    &operand_data[4918],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchqi },
    &operand_data[4918],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchqi },
    &operand_data[4918],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchhi },
    &operand_data[4923],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchhi },
    &operand_data[4923],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchhi },
    &operand_data[4928],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchhi },
    &operand_data[4928],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchhi },
    &operand_data[4928],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchsi },
    &operand_data[4873],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchsi },
    &operand_data[4873],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchsi },
    &operand_data[4879],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchsi },
    &operand_data[4879],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchsi },
    &operand_data[4879],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchdi },
    &operand_data[4933],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchdi },
    &operand_data[4933],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchdi },
    &operand_data[4938],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchdi },
    &operand_data[4938],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchdi },
    &operand_data[4938],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchqi },
    &operand_data[4918],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchhi },
    &operand_data[4928],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchsi },
    &operand_data[4879],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchdi },
    &operand_data[4938],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loadqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4044 },
#else
    { 0, 0, output_4044 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadqi },
    &operand_data[4943],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loadhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4045 },
#else
    { 0, 0, output_4045 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadhi },
    &operand_data[4946],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loadsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4046 },
#else
    { 0, 0, output_4046 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadsi },
    &operand_data[4949],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:643 */
  {
    "atomic_loaddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4047 },
#else
    { 0, 0, output_4047 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loaddi },
    &operand_data[4952],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4048 },
#else
    { 0, 0, output_4048 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storeqi },
    &operand_data[4955],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4049 },
#else
    { 0, 0, output_4049 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storehi },
    &operand_data[4958],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4050 },
#else
    { 0, 0, output_4050 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storesi },
    &operand_data[4961],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:659 */
  {
    "atomic_storedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4051 },
#else
    { 0, 0, output_4051 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storedi },
    &operand_data[4964],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:678 */
  {
    "aarch64_load_exclusiveqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4052 },
#else
    { 0, 0, output_4052 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusiveqi },
    &operand_data[4967],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:678 */
  {
    "aarch64_load_exclusivehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4053 },
#else
    { 0, 0, output_4053 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivehi },
    &operand_data[4970],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:695 */
  {
    "aarch64_load_exclusivesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4054 },
#else
    { 0, 0, output_4054 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivesi },
    &operand_data[4949],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:695 */
  {
    "aarch64_load_exclusivedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4055 },
#else
    { 0, 0, output_4055 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivedi },
    &operand_data[4952],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:711 */
  {
    "aarch64_load_exclusive_pair",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4056 },
#else
    { 0, 0, output_4056 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusive_pair },
    &operand_data[4973],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:729 */
  {
    "aarch64_store_exclusiveqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4057 },
#else
    { 0, 0, output_4057 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusiveqi },
    &operand_data[4977],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:729 */
  {
    "aarch64_store_exclusivehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4058 },
#else
    { 0, 0, output_4058 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivehi },
    &operand_data[4981],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:729 */
  {
    "aarch64_store_exclusivesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4059 },
#else
    { 0, 0, output_4059 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivesi },
    &operand_data[4985],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:729 */
  {
    "aarch64_store_exclusivedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4060 },
#else
    { 0, 0, output_4060 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivedi },
    &operand_data[4989],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:747 */
  {
    "aarch64_store_exclusive_pair",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4061 },
#else
    { 0, 0, output_4061 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusive_pair },
    &operand_data[4993],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/atomics.md:788 */
  {
    "*dmb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4062 },
#else
    { 0, 0, output_4062 },
#endif
    { 0 },
    &operand_data[4998],
    2,
    2,
    1,
    0,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx16qi_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4063 },
#else
    { 0, 0, output_4063 },
#endif
    { 0 },
    &operand_data[5000],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx8hi_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4064 },
#else
    { 0, 0, output_4064 },
#endif
    { 0 },
    &operand_data[5002],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx4si_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4065 },
#else
    { 0, 0, output_4065 },
#endif
    { 0 },
    &operand_data[5004],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx2di_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4066 },
#else
    { 0, 0, output_4066 },
#endif
    { 0 },
    &operand_data[5006],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx8bf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4067 },
#else
    { 0, 0, output_4067 },
#endif
    { 0 },
    &operand_data[5008],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx8hf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4068 },
#else
    { 0, 0, output_4068 },
#endif
    { 0 },
    &operand_data[5010],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx4sf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4069 },
#else
    { 0, 0, output_4069 },
#endif
    { 0 },
    &operand_data[5012],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx2df_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4070 },
#else
    { 0, 0, output_4070 },
#endif
    { 0 },
    &operand_data[5014],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx8qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4071 },
#else
    { 0, 0, output_4071 },
#endif
    { 0 },
    &operand_data[5016],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4072 },
#else
    { 0, 0, output_4072 },
#endif
    { 0 },
    &operand_data[5018],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4073 },
#else
    { 0, 0, output_4073 },
#endif
    { 0 },
    &operand_data[5020],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx8hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4074 },
#else
    { 0, 0, output_4074 },
#endif
    { 0 },
    &operand_data[5022],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4075 },
#else
    { 0, 0, output_4075 },
#endif
    { 0 },
    &operand_data[5024],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4076 },
#else
    { 0, 0, output_4076 },
#endif
    { 0 },
    &operand_data[5026],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx8hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4077 },
#else
    { 0, 0, output_4077 },
#endif
    { 0 },
    &operand_data[5028],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4078 },
#else
    { 0, 0, output_4078 },
#endif
    { 0 },
    &operand_data[5030],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4079 },
#else
    { 0, 0, output_4079 },
#endif
    { 0 },
    &operand_data[5032],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx8bf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4080 },
#else
    { 0, 0, output_4080 },
#endif
    { 0 },
    &operand_data[5034],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4bf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4081 },
#else
    { 0, 0, output_4081 },
#endif
    { 0 },
    &operand_data[5036],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2bf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4082 },
#else
    { 0, 0, output_4082 },
#endif
    { 0 },
    &operand_data[5038],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4si_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4083 },
#else
    { 0, 0, output_4083 },
#endif
    { 0 },
    &operand_data[5040],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2si_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4084 },
#else
    { 0, 0, output_4084 },
#endif
    { 0 },
    &operand_data[5042],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx4sf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4085 },
#else
    { 0, 0, output_4085 },
#endif
    { 0 },
    &operand_data[5044],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2sf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4086 },
#else
    { 0, 0, output_4086 },
#endif
    { 0 },
    &operand_data[5046],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2di_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4087 },
#else
    { 0, 0, output_4087 },
#endif
    { 0 },
    &operand_data[5048],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:707 */
  {
    "*aarch64_sve_movvnx2df_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4088 },
#else
    { 0, 0, output_4088 },
#endif
    { 0 },
    &operand_data[5050],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4089 },
#else
    { 0, output_4089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16qi },
    &operand_data[5052],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4090 },
#else
    { 0, output_4090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8qi },
    &operand_data[5055],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4091 },
#else
    { 0, output_4091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4qi },
    &operand_data[5058],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4092 },
#else
    { 0, output_4092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2qi },
    &operand_data[5061],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4093 },
#else
    { 0, output_4093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8hi },
    &operand_data[5064],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4094 },
#else
    { 0, output_4094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4hi },
    &operand_data[5067],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4095 },
#else
    { 0, output_4095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2hi },
    &operand_data[5070],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4096 },
#else
    { 0, output_4096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8hf },
    &operand_data[5073],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4097 },
#else
    { 0, output_4097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4hf },
    &operand_data[5076],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4098 },
#else
    { 0, output_4098, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2hf },
    &operand_data[5079],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4099 },
#else
    { 0, output_4099, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8bf },
    &operand_data[5082],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4100 },
#else
    { 0, output_4100, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4bf },
    &operand_data[5085],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4101 },
#else
    { 0, output_4101, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2bf },
    &operand_data[5088],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4102 },
#else
    { 0, output_4102, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4si },
    &operand_data[5091],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4103 },
#else
    { 0, output_4103, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2si },
    &operand_data[5094],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4104 },
#else
    { 0, output_4104, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4sf },
    &operand_data[5097],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4105 },
#else
    { 0, output_4105, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2sf },
    &operand_data[5100],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4106 },
#else
    { 0, output_4106, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2di },
    &operand_data[5103],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:745 */
  {
    "aarch64_pred_movvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4107 },
#else
    { 0, output_4107, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2df },
    &operand_data[5106],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx16qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5109],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx8qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5112],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5118],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx8hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5121],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5124],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5127],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx8hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5130],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5133],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5136],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx8bf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4bf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2bf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5145],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4si_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5148],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2si_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5151],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx4sf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5154],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2sf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5157],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2di_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:767 */
  {
    "*aarch64_sve_movvnx2df_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5163],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5166],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5168],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5170],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5172],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5174],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5176],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5178],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5180],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5182],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5184],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5186],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5188],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5190],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5192],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5194],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5196],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5198],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5200],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:804 */
  {
    "*aarch64_sve_reinterpretvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5202],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx32qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5204],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5206],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx8si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5208],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx4di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5210],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5212],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5214],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx8sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5216],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx4df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5218],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx48qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5220],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx24hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5222],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx12si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5224],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx6di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5226],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx24bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5228],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx24hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5230],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx12sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5232],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx6df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5234],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx64qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5236],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx32hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5238],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5240],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx8di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5242],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx32bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5244],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx32hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5246],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx16sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5248],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:849 */
  {
    "*aarch64_sve_movvnx8df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5250],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx32qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5252],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5254],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx8si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5256],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx4di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5258],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5260],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5262],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx8sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5264],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx4df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5266],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx48qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5268],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx24hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5270],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx12si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5272],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx6di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5274],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx24bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5276],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx24hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5278],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx12sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5280],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx6df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5282],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx64qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5284],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx32hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5286],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5288],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx8di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5290],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx32bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5292],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx32hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5294],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx16sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5296],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:859 */
  {
    "*aarch64_sve_movvnx8df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5298],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32qi },
    &operand_data[5300],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16hi },
    &operand_data[5303],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8si },
    &operand_data[5306],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4di },
    &operand_data[5309],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16bf },
    &operand_data[5312],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16hf },
    &operand_data[5315],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8sf },
    &operand_data[5318],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4df },
    &operand_data[5321],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx48qi },
    &operand_data[5324],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24hi },
    &operand_data[5327],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx12si },
    &operand_data[5330],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx6di },
    &operand_data[5333],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24bf },
    &operand_data[5336],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24hf },
    &operand_data[5339],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx12sf },
    &operand_data[5342],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx6df },
    &operand_data[5345],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx64qi },
    &operand_data[5348],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32hi },
    &operand_data[5351],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16si },
    &operand_data[5354],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8di },
    &operand_data[5357],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32bf },
    &operand_data[5360],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32hf },
    &operand_data[5363],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16sf },
    &operand_data[5366],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:895 */
  {
    "aarch64_pred_movvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8df },
    &operand_data[5369],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:951 */
  {
    "*aarch64_sve_movvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4218 },
#else
    { 0, 0, output_4218 },
#endif
    { 0 },
    &operand_data[5372],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:951 */
  {
    "*aarch64_sve_movvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4219 },
#else
    { 0, 0, output_4219 },
#endif
    { 0 },
    &operand_data[5374],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:951 */
  {
    "*aarch64_sve_movvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4220 },
#else
    { 0, 0, output_4220 },
#endif
    { 0 },
    &operand_data[5376],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:951 */
  {
    "*aarch64_sve_movvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4221 },
#else
    { 0, 0, output_4221 },
#endif
    { 0 },
    &operand_data[5378],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:965 */
  {
    "*aarch64_sve_ptruevnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4222 },
#else
    { 0, 0, output_4222 },
#endif
    { 0 },
    &operand_data[5380],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:990 */
  {
    "*aarch64_sve_ptruevnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4223 },
#else
    { 0, 0, output_4223 },
#endif
    { 0 },
    &operand_data[5386],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:990 */
  {
    "*aarch64_sve_ptruevnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4224 },
#else
    { 0, 0, output_4224 },
#endif
    { 0 },
    &operand_data[5392],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:990 */
  {
    "*aarch64_sve_ptruevnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4225 },
#else
    { 0, 0, output_4225 },
#endif
    { 0 },
    &operand_data[5398],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1018 */
  {
    "*aarch64_sve_ptruevnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4226 },
#else
    { 0, 0, output_4226 },
#endif
    { 0 },
    &operand_data[5404],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1043 */
  {
    "*aarch64_sve_ptruevnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4227 },
#else
    { 0, 0, output_4227 },
#endif
    { 0 },
    &operand_data[5410],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1043 */
  {
    "*aarch64_sve_ptruevnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4228 },
#else
    { 0, 0, output_4228 },
#endif
    { 0 },
    &operand_data[5416],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1043 */
  {
    "*aarch64_sve_ptruevnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4229 },
#else
    { 0, 0, output_4229 },
#endif
    { 0 },
    &operand_data[5422],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1080 */
  {
    "aarch64_wrffr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4230 },
#else
    { 0, output_4230, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_wrffr },
    &operand_data[5428],
    1,
    1,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1097 */
  {
    "aarch64_update_ffr_for_load",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_update_ffr_for_load },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1112 */
  {
    "aarch64_copy_ffr_to_ffrt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_copy_ffr_to_ffrt },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1123 */
  {
    "aarch64_rdffr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffr\t%0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rdffr },
    &operand_data[5380],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1131 */
  {
    "aarch64_rdffr_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffr\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rdffr_z },
    &operand_data[5429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1141 */
  {
    "*aarch64_rdffr_z_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffrs\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5431],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1157 */
  {
    "*aarch64_rdffr_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffrs\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5431],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1171 */
  {
    "*aarch64_rdffr_z_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffrs\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5434],
    3,
    3,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1190 */
  {
    "*aarch64_rdffr_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffrs\t%0.b, %1/z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5429],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1208 */
  {
    "aarch64_update_ffrt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_update_ffrt },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx16qivnx16bi },
    &operand_data[5437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8qivnx8bi },
    &operand_data[5440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4qivnx4bi },
    &operand_data[5443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2qivnx2bi },
    &operand_data[5446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8hivnx8bi },
    &operand_data[5449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4hivnx4bi },
    &operand_data[5452],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2hivnx2bi },
    &operand_data[5455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8hfvnx8bi },
    &operand_data[5458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4hfvnx4bi },
    &operand_data[5461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2hfvnx2bi },
    &operand_data[5464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8bfvnx8bi },
    &operand_data[5467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4bfvnx4bi },
    &operand_data[5470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2bfvnx2bi },
    &operand_data[5473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4sivnx4bi },
    &operand_data[5476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2sivnx2bi },
    &operand_data[5479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4sfvnx4bi },
    &operand_data[5482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2sfvnx2bi },
    &operand_data[5485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2divnx2bi },
    &operand_data[5488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1243 */
  {
    "maskloadvnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2dfvnx2bi },
    &operand_data[5491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32qivnx16qi },
    &operand_data[5494],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16hivnx8hi },
    &operand_data[5497],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8sivnx4si },
    &operand_data[5500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx4divnx2di },
    &operand_data[5503],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16bfvnx8bf },
    &operand_data[5506],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16hfvnx8hf },
    &operand_data[5509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8sfvnx4sf },
    &operand_data[5512],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx4dfvnx2df },
    &operand_data[5515],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx48qivnx16qi },
    &operand_data[5518],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24hivnx8hi },
    &operand_data[5521],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx12sivnx4si },
    &operand_data[5524],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx6divnx2di },
    &operand_data[5527],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24bfvnx8bf },
    &operand_data[5530],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24hfvnx8hf },
    &operand_data[5533],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx12sfvnx4sf },
    &operand_data[5536],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx6dfvnx2df },
    &operand_data[5539],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx64qivnx16qi },
    &operand_data[5542],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32hivnx8hi },
    &operand_data[5545],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16sivnx4si },
    &operand_data[5548],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8divnx2di },
    &operand_data[5551],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32bfvnx8bf },
    &operand_data[5554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32hfvnx8hf },
    &operand_data[5557],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16sfvnx4sf },
    &operand_data[5560],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1267 */
  {
    "vec_mask_load_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8dfvnx2df },
    &operand_data[5563],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx8qi },
    &operand_data[5566],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx8qi },
    &operand_data[5566],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx4qi },
    &operand_data[5570],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx4qi },
    &operand_data[5570],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx2qi },
    &operand_data[5574],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx2qi },
    &operand_data[5574],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx4qi },
    &operand_data[5578],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx4qi },
    &operand_data[5578],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx4hi },
    &operand_data[5582],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx4hi },
    &operand_data[5582],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx2qi },
    &operand_data[5586],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx2qi },
    &operand_data[5586],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx2hi },
    &operand_data[5590],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx2hi },
    &operand_data[5590],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2qi },
    &operand_data[5594],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2qi },
    &operand_data[5594],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2hi },
    &operand_data[5598],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2hi },
    &operand_data[5598],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2si },
    &operand_data[5602],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1290 */
  {
    "aarch64_load_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2si },
    &operand_data[5602],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx16qi },
    &operand_data[5606],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx16qi },
    &operand_data[5609],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8hi },
    &operand_data[5612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8hi },
    &operand_data[5615],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx4si },
    &operand_data[5618],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx4si },
    &operand_data[5621],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx2di },
    &operand_data[5624],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx2di },
    &operand_data[5627],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8bf },
    &operand_data[5630],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8bf },
    &operand_data[5633],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8hf },
    &operand_data[5636],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8hf },
    &operand_data[5639],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx4sf },
    &operand_data[5642],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx4sf },
    &operand_data[5645],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldff1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx2df },
    &operand_data[5648],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1323 */
  {
    "aarch64_ldnf1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx2df },
    &operand_data[5651],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx8qi },
    &operand_data[5654],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx8qi },
    &operand_data[5658],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx8qi },
    &operand_data[5654],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx8qi },
    &operand_data[5658],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx4qi },
    &operand_data[5662],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx4qi },
    &operand_data[5666],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx4qi },
    &operand_data[5662],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx4qi },
    &operand_data[5666],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx2qi },
    &operand_data[5670],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx2qi },
    &operand_data[5674],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx2qi },
    &operand_data[5670],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx2qi },
    &operand_data[5674],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx4qi },
    &operand_data[5678],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx4qi },
    &operand_data[5682],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx4qi },
    &operand_data[5678],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx4qi },
    &operand_data[5682],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx4hi },
    &operand_data[5686],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx4hi },
    &operand_data[5690],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx4hi },
    &operand_data[5686],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx4hi },
    &operand_data[5690],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx2qi },
    &operand_data[5694],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx2qi },
    &operand_data[5698],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx2qi },
    &operand_data[5694],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx2qi },
    &operand_data[5698],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx2hi },
    &operand_data[5702],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx2hi },
    &operand_data[5706],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx2hi },
    &operand_data[5702],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx2hi },
    &operand_data[5706],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2qi },
    &operand_data[5710],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2qi },
    &operand_data[5714],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2qi },
    &operand_data[5710],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2qi },
    &operand_data[5714],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2hi },
    &operand_data[5718],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2hi },
    &operand_data[5722],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2hi },
    &operand_data[5718],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2hi },
    &operand_data[5722],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2si },
    &operand_data[5726],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2si },
    &operand_data[5730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2si },
    &operand_data[5726],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1353 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2si },
    &operand_data[5730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16qi },
    &operand_data[5437],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8hi },
    &operand_data[5449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4si },
    &operand_data[5476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx2di },
    &operand_data[5488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8bf },
    &operand_data[5467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8hf },
    &operand_data[5458],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4sf },
    &operand_data[5482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1383 */
  {
    "aarch64_ldnt1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx2df },
    &operand_data[5491],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4367 },
#else
    { 0, output_4367, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4qivnx4si },
    &operand_data[5734],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4368 },
#else
    { 0, output_4368, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4hivnx4si },
    &operand_data[5740],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4369 },
#else
    { 0, output_4369, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4hfvnx4si },
    &operand_data[5746],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4370 },
#else
    { 0, output_4370, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4bfvnx4si },
    &operand_data[5752],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4371 },
#else
    { 0, output_4371, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4sivnx4si },
    &operand_data[5758],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1420 */
  {
    "mask_gather_loadvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4372 },
#else
    { 0, output_4372, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4sfvnx4si },
    &operand_data[5764],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4373 },
#else
    { 0, output_4373, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2qivnx2di },
    &operand_data[5770],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4374 },
#else
    { 0, output_4374, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2hivnx2di },
    &operand_data[5776],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4375 },
#else
    { 0, output_4375, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2hfvnx2di },
    &operand_data[5782],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4376 },
#else
    { 0, output_4376, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2bfvnx2di },
    &operand_data[5788],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4377 },
#else
    { 0, output_4377, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2sivnx2di },
    &operand_data[5794],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4378 },
#else
    { 0, output_4378, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2sfvnx2di },
    &operand_data[5800],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4379 },
#else
    { 0, output_4379, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2divnx2di },
    &operand_data[5806],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1442 */
  {
    "mask_gather_loadvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4380 },
#else
    { 0, output_4380, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2dfvnx2di },
    &operand_data[5812],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2qivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4381 },
#else
    { 0, output_4381, 0 },
#endif
    { 0 },
    &operand_data[5818],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2qivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4382 },
#else
    { 0, output_4382, 0 },
#endif
    { 0 },
    &operand_data[5818],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2hivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4383 },
#else
    { 0, output_4383, 0 },
#endif
    { 0 },
    &operand_data[5825],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2hivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4384 },
#else
    { 0, output_4384, 0 },
#endif
    { 0 },
    &operand_data[5825],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2hfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4385 },
#else
    { 0, output_4385, 0 },
#endif
    { 0 },
    &operand_data[5832],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2hfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4386 },
#else
    { 0, output_4386, 0 },
#endif
    { 0 },
    &operand_data[5832],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2bfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4387 },
#else
    { 0, output_4387, 0 },
#endif
    { 0 },
    &operand_data[5839],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2bfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4388 },
#else
    { 0, output_4388, 0 },
#endif
    { 0 },
    &operand_data[5839],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2sivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4389 },
#else
    { 0, output_4389, 0 },
#endif
    { 0 },
    &operand_data[5846],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2sivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4390 },
#else
    { 0, output_4390, 0 },
#endif
    { 0 },
    &operand_data[5846],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2sfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4391 },
#else
    { 0, output_4391, 0 },
#endif
    { 0 },
    &operand_data[5853],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2sfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4392 },
#else
    { 0, output_4392, 0 },
#endif
    { 0 },
    &operand_data[5853],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2divnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4393 },
#else
    { 0, output_4393, 0 },
#endif
    { 0 },
    &operand_data[5860],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2divnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4394 },
#else
    { 0, output_4394, 0 },
#endif
    { 0 },
    &operand_data[5860],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2dfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4395 },
#else
    { 0, output_4395, 0 },
#endif
    { 0 },
    &operand_data[5867],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1461 */
  {
    "*mask_gather_loadvnx2dfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4396 },
#else
    { 0, output_4396, 0 },
#endif
    { 0 },
    &operand_data[5867],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4397 },
#else
    { 0, output_4397, 0 },
#endif
    { 0 },
    &operand_data[5874],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4398 },
#else
    { 0, output_4398, 0 },
#endif
    { 0 },
    &operand_data[5881],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2hfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4399 },
#else
    { 0, output_4399, 0 },
#endif
    { 0 },
    &operand_data[5888],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2bfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4400 },
#else
    { 0, output_4400, 0 },
#endif
    { 0 },
    &operand_data[5895],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4401 },
#else
    { 0, output_4401, 0 },
#endif
    { 0 },
    &operand_data[5902],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2sfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4402 },
#else
    { 0, output_4402, 0 },
#endif
    { 0 },
    &operand_data[5909],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4403 },
#else
    { 0, output_4403, 0 },
#endif
    { 0 },
    &operand_data[5916],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1487 */
  {
    "*mask_gather_loadvnx2dfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4404 },
#else
    { 0, output_4404, 0 },
#endif
    { 0 },
    &operand_data[5923],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4405 },
#else
    { 0, output_4405, 0 },
#endif
    { 0 },
    &operand_data[5930],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4406 },
#else
    { 0, output_4406, 0 },
#endif
    { 0 },
    &operand_data[5937],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2hfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4407 },
#else
    { 0, output_4407, 0 },
#endif
    { 0 },
    &operand_data[5944],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2bfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4408 },
#else
    { 0, output_4408, 0 },
#endif
    { 0 },
    &operand_data[5951],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4409 },
#else
    { 0, output_4409, 0 },
#endif
    { 0 },
    &operand_data[5958],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2sfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4410 },
#else
    { 0, output_4410, 0 },
#endif
    { 0 },
    &operand_data[5965],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4411 },
#else
    { 0, output_4411, 0 },
#endif
    { 0 },
    &operand_data[5972],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1514 */
  {
    "*mask_gather_loadvnx2dfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4412 },
#else
    { 0, output_4412, 0 },
#endif
    { 0 },
    &operand_data[5979],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4413 },
#else
    { 0, output_4413, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4hivnx4qi },
    &operand_data[5986],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4414 },
#else
    { 0, output_4414, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4hivnx4qi },
    &operand_data[5986],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4415 },
#else
    { 0, output_4415, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4sivnx4qi },
    &operand_data[5993],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4416 },
#else
    { 0, output_4416, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4sivnx4qi },
    &operand_data[5993],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4417 },
#else
    { 0, output_4417, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4sivnx4hi },
    &operand_data[6000],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1546 */
  {
    "aarch64_gather_load_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4418 },
#else
    { 0, output_4418, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4sivnx4hi },
    &operand_data[6000],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4419 },
#else
    { 0, output_4419, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2hivnx2qi },
    &operand_data[6007],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4420 },
#else
    { 0, output_4420, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2hivnx2qi },
    &operand_data[6007],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4421 },
#else
    { 0, output_4421, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2sivnx2qi },
    &operand_data[6014],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4422 },
#else
    { 0, output_4422, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2sivnx2qi },
    &operand_data[6014],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4423 },
#else
    { 0, output_4423, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2qi },
    &operand_data[6021],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4424 },
#else
    { 0, output_4424, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2qi },
    &operand_data[6021],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4425 },
#else
    { 0, output_4425, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2sivnx2hi },
    &operand_data[6028],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4426 },
#else
    { 0, output_4426, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2sivnx2hi },
    &operand_data[6028],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4427 },
#else
    { 0, output_4427, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2hi },
    &operand_data[6035],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4428 },
#else
    { 0, output_4428, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2hi },
    &operand_data[6035],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4429 },
#else
    { 0, output_4429, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2si },
    &operand_data[6042],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1576 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4430 },
#else
    { 0, output_4430, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2si },
    &operand_data[6042],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4431 },
#else
    { 0, output_4431, 0 },
#endif
    { 0 },
    &operand_data[6049],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4432 },
#else
    { 0, output_4432, 0 },
#endif
    { 0 },
    &operand_data[6049],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4433 },
#else
    { 0, output_4433, 0 },
#endif
    { 0 },
    &operand_data[6049],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4434 },
#else
    { 0, output_4434, 0 },
#endif
    { 0 },
    &operand_data[6049],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4435 },
#else
    { 0, output_4435, 0 },
#endif
    { 0 },
    &operand_data[6057],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4436 },
#else
    { 0, output_4436, 0 },
#endif
    { 0 },
    &operand_data[6057],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4437 },
#else
    { 0, output_4437, 0 },
#endif
    { 0 },
    &operand_data[6057],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4438 },
#else
    { 0, output_4438, 0 },
#endif
    { 0 },
    &operand_data[6057],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4439 },
#else
    { 0, output_4439, 0 },
#endif
    { 0 },
    &operand_data[6065],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4440 },
#else
    { 0, output_4440, 0 },
#endif
    { 0 },
    &operand_data[6065],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4441 },
#else
    { 0, output_4441, 0 },
#endif
    { 0 },
    &operand_data[6065],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4442 },
#else
    { 0, output_4442, 0 },
#endif
    { 0 },
    &operand_data[6065],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4443 },
#else
    { 0, output_4443, 0 },
#endif
    { 0 },
    &operand_data[6073],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4444 },
#else
    { 0, output_4444, 0 },
#endif
    { 0 },
    &operand_data[6073],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4445 },
#else
    { 0, output_4445, 0 },
#endif
    { 0 },
    &operand_data[6073],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4446 },
#else
    { 0, output_4446, 0 },
#endif
    { 0 },
    &operand_data[6073],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4447 },
#else
    { 0, output_4447, 0 },
#endif
    { 0 },
    &operand_data[6081],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4448 },
#else
    { 0, output_4448, 0 },
#endif
    { 0 },
    &operand_data[6081],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4449 },
#else
    { 0, output_4449, 0 },
#endif
    { 0 },
    &operand_data[6081],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4450 },
#else
    { 0, output_4450, 0 },
#endif
    { 0 },
    &operand_data[6081],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4451 },
#else
    { 0, output_4451, 0 },
#endif
    { 0 },
    &operand_data[6089],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4452 },
#else
    { 0, output_4452, 0 },
#endif
    { 0 },
    &operand_data[6089],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4453 },
#else
    { 0, output_4453, 0 },
#endif
    { 0 },
    &operand_data[6089],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1603 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4454 },
#else
    { 0, output_4454, 0 },
#endif
    { 0 },
    &operand_data[6089],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4455 },
#else
    { 0, output_4455, 0 },
#endif
    { 0 },
    &operand_data[6097],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4456 },
#else
    { 0, output_4456, 0 },
#endif
    { 0 },
    &operand_data[6097],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4457 },
#else
    { 0, output_4457, 0 },
#endif
    { 0 },
    &operand_data[6105],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4458 },
#else
    { 0, output_4458, 0 },
#endif
    { 0 },
    &operand_data[6105],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4459 },
#else
    { 0, output_4459, 0 },
#endif
    { 0 },
    &operand_data[6113],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4460 },
#else
    { 0, output_4460, 0 },
#endif
    { 0 },
    &operand_data[6113],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4461 },
#else
    { 0, output_4461, 0 },
#endif
    { 0 },
    &operand_data[6121],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4462 },
#else
    { 0, output_4462, 0 },
#endif
    { 0 },
    &operand_data[6121],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4463 },
#else
    { 0, output_4463, 0 },
#endif
    { 0 },
    &operand_data[6129],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4464 },
#else
    { 0, output_4464, 0 },
#endif
    { 0 },
    &operand_data[6129],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4465 },
#else
    { 0, output_4465, 0 },
#endif
    { 0 },
    &operand_data[6137],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1634 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4466 },
#else
    { 0, output_4466, 0 },
#endif
    { 0 },
    &operand_data[6137],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4467 },
#else
    { 0, output_4467, 0 },
#endif
    { 0 },
    &operand_data[6145],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4468 },
#else
    { 0, output_4468, 0 },
#endif
    { 0 },
    &operand_data[6145],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4469 },
#else
    { 0, output_4469, 0 },
#endif
    { 0 },
    &operand_data[6153],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4470 },
#else
    { 0, output_4470, 0 },
#endif
    { 0 },
    &operand_data[6153],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4471 },
#else
    { 0, output_4471, 0 },
#endif
    { 0 },
    &operand_data[6161],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4472 },
#else
    { 0, output_4472, 0 },
#endif
    { 0 },
    &operand_data[6161],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4473 },
#else
    { 0, output_4473, 0 },
#endif
    { 0 },
    &operand_data[6169],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4474 },
#else
    { 0, output_4474, 0 },
#endif
    { 0 },
    &operand_data[6169],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4475 },
#else
    { 0, output_4475, 0 },
#endif
    { 0 },
    &operand_data[6177],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4476 },
#else
    { 0, output_4476, 0 },
#endif
    { 0 },
    &operand_data[6177],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4477 },
#else
    { 0, output_4477, 0 },
#endif
    { 0 },
    &operand_data[6185],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1666 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4478 },
#else
    { 0, output_4478, 0 },
#endif
    { 0 },
    &operand_data[6185],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1702 */
  {
    "aarch64_ldff1_gathervnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4479 },
#else
    { 0, output_4479, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx4si },
    &operand_data[6193],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1702 */
  {
    "aarch64_ldff1_gathervnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4480 },
#else
    { 0, output_4480, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx4sf },
    &operand_data[6199],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "aarch64_ldff1_gathervnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4481 },
#else
    { 0, output_4481, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx2di },
    &operand_data[5806],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1725 */
  {
    "aarch64_ldff1_gathervnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4482 },
#else
    { 0, output_4482, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx2df },
    &operand_data[5812],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1745 */
  {
    "*aarch64_ldff1_gathervnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4483 },
#else
    { 0, output_4483, 0 },
#endif
    { 0 },
    &operand_data[5916],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1745 */
  {
    "*aarch64_ldff1_gathervnx2df_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4484 },
#else
    { 0, output_4484, 0 },
#endif
    { 0 },
    &operand_data[5923],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1772 */
  {
    "*aarch64_ldff1_gathervnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4485 },
#else
    { 0, output_4485, 0 },
#endif
    { 0 },
    &operand_data[5972],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1772 */
  {
    "*aarch64_ldff1_gathervnx2df_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4486 },
#else
    { 0, output_4486, 0 },
#endif
    { 0 },
    &operand_data[5979],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1805 */
  {
    "aarch64_ldff1_gather_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4487 },
#else
    { 0, output_4487, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx4sivnx4qi },
    &operand_data[6205],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1805 */
  {
    "aarch64_ldff1_gather_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4488 },
#else
    { 0, output_4488, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx4sivnx4qi },
    &operand_data[6205],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1805 */
  {
    "aarch64_ldff1_gather_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4489 },
#else
    { 0, output_4489, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx4sivnx4hi },
    &operand_data[6212],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1805 */
  {
    "aarch64_ldff1_gather_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4490 },
#else
    { 0, output_4490, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx4sivnx4hi },
    &operand_data[6212],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4491 },
#else
    { 0, output_4491, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2qi },
    &operand_data[6021],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4492 },
#else
    { 0, output_4492, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2qi },
    &operand_data[6021],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4493 },
#else
    { 0, output_4493, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2hi },
    &operand_data[6035],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4494 },
#else
    { 0, output_4494, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2hi },
    &operand_data[6035],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4495 },
#else
    { 0, output_4495, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2si },
    &operand_data[6042],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1836 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4496 },
#else
    { 0, output_4496, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2si },
    &operand_data[6042],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4497 },
#else
    { 0, output_4497, 0 },
#endif
    { 0 },
    &operand_data[6113],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4498 },
#else
    { 0, output_4498, 0 },
#endif
    { 0 },
    &operand_data[6113],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4499 },
#else
    { 0, output_4499, 0 },
#endif
    { 0 },
    &operand_data[6129],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4500 },
#else
    { 0, output_4500, 0 },
#endif
    { 0 },
    &operand_data[6129],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4501 },
#else
    { 0, output_4501, 0 },
#endif
    { 0 },
    &operand_data[6137],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1864 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4502 },
#else
    { 0, output_4502, 0 },
#endif
    { 0 },
    &operand_data[6137],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4503 },
#else
    { 0, output_4503, 0 },
#endif
    { 0 },
    &operand_data[6161],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4504 },
#else
    { 0, output_4504, 0 },
#endif
    { 0 },
    &operand_data[6161],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4505 },
#else
    { 0, output_4505, 0 },
#endif
    { 0 },
    &operand_data[6177],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4506 },
#else
    { 0, output_4506, 0 },
#endif
    { 0 },
    &operand_data[6177],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4507 },
#else
    { 0, output_4507, 0 },
#endif
    { 0 },
    &operand_data[6185],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1896 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4508 },
#else
    { 0, output_4508, 0 },
#endif
    { 0 },
    &operand_data[6185],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1940 */
  {
    "aarch64_sve_prefetchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4509 },
#else
    { 0, 0, output_4509 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx16qi },
    &operand_data[6219],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1940 */
  {
    "aarch64_sve_prefetchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4510 },
#else
    { 0, 0, output_4510 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx8hi },
    &operand_data[6224],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1940 */
  {
    "aarch64_sve_prefetchvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4511 },
#else
    { 0, 0, output_4511 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx4si },
    &operand_data[6229],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1940 */
  {
    "aarch64_sve_prefetchvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4512 },
#else
    { 0, 0, output_4512 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx2di },
    &operand_data[6234],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1976 */
  {
    "aarch64_sve_gather_prefetchvnx16qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4513 },
#else
    { 0, 0, output_4513 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx16qivnx4si },
    &operand_data[6239],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1976 */
  {
    "aarch64_sve_gather_prefetchvnx8hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4514 },
#else
    { 0, 0, output_4514 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx8hivnx4si },
    &operand_data[6248],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1976 */
  {
    "aarch64_sve_gather_prefetchvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4515 },
#else
    { 0, 0, output_4515 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx4sivnx4si },
    &operand_data[6257],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1976 */
  {
    "aarch64_sve_gather_prefetchvnx2divnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4516 },
#else
    { 0, 0, output_4516 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx2divnx4si },
    &operand_data[6266],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2005 */
  {
    "aarch64_sve_gather_prefetchvnx16qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4517 },
#else
    { 0, 0, output_4517 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx16qivnx2di },
    &operand_data[6275],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2005 */
  {
    "aarch64_sve_gather_prefetchvnx8hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4518 },
#else
    { 0, 0, output_4518 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx8hivnx2di },
    &operand_data[6284],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2005 */
  {
    "aarch64_sve_gather_prefetchvnx4sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4519 },
#else
    { 0, 0, output_4519 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx4sivnx2di },
    &operand_data[6293],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2005 */
  {
    "aarch64_sve_gather_prefetchvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4520 },
#else
    { 0, 0, output_4520 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx2divnx2di },
    &operand_data[6302],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2031 */
  {
    "*aarch64_sve_gather_prefetchvnx16qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4521 },
#else
    { 0, 0, output_4521 },
#endif
    { 0 },
    &operand_data[6311],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2031 */
  {
    "*aarch64_sve_gather_prefetchvnx8hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4522 },
#else
    { 0, 0, output_4522 },
#endif
    { 0 },
    &operand_data[6321],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2031 */
  {
    "*aarch64_sve_gather_prefetchvnx4sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4523 },
#else
    { 0, 0, output_4523 },
#endif
    { 0 },
    &operand_data[6331],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2031 */
  {
    "*aarch64_sve_gather_prefetchvnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4524 },
#else
    { 0, 0, output_4524 },
#endif
    { 0 },
    &operand_data[6341],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2064 */
  {
    "*aarch64_sve_gather_prefetchvnx16qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4525 },
#else
    { 0, 0, output_4525 },
#endif
    { 0 },
    &operand_data[6351],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2064 */
  {
    "*aarch64_sve_gather_prefetchvnx8hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4526 },
#else
    { 0, 0, output_4526 },
#endif
    { 0 },
    &operand_data[6361],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2064 */
  {
    "*aarch64_sve_gather_prefetchvnx4sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4527 },
#else
    { 0, 0, output_4527 },
#endif
    { 0 },
    &operand_data[6371],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2064 */
  {
    "*aarch64_sve_gather_prefetchvnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4528 },
#else
    { 0, 0, output_4528 },
#endif
    { 0 },
    &operand_data[6381],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.b, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx16qivnx16bi },
    &operand_data[6391],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8qivnx8bi },
    &operand_data[6394],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4qivnx4bi },
    &operand_data[6397],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2qivnx2bi },
    &operand_data[6400],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8hivnx8bi },
    &operand_data[6403],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4hivnx4bi },
    &operand_data[6406],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2hivnx2bi },
    &operand_data[6409],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8hfvnx8bi },
    &operand_data[6412],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4hfvnx4bi },
    &operand_data[6415],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2hfvnx2bi },
    &operand_data[6418],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8bfvnx8bi },
    &operand_data[6421],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4bfvnx4bi },
    &operand_data[6424],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2bfvnx2bi },
    &operand_data[6427],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4sivnx4bi },
    &operand_data[6430],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2sivnx2bi },
    &operand_data[6433],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4sfvnx4bi },
    &operand_data[6436],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2sfvnx2bi },
    &operand_data[6439],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2divnx2bi },
    &operand_data[6442],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2116 */
  {
    "maskstorevnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2dfvnx2bi },
    &operand_data[6445],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32qivnx16qi },
    &operand_data[6448],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16hivnx8hi },
    &operand_data[6451],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8sivnx4si },
    &operand_data[6454],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx4divnx2di },
    &operand_data[6457],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16bfvnx8bf },
    &operand_data[6460],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16hfvnx8hf },
    &operand_data[6463],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8sfvnx4sf },
    &operand_data[6466],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx4dfvnx2df },
    &operand_data[6469],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx48qivnx16qi },
    &operand_data[6472],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24hivnx8hi },
    &operand_data[6475],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx12sivnx4si },
    &operand_data[6478],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx6divnx2di },
    &operand_data[6481],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24bfvnx8bf },
    &operand_data[6484],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24hfvnx8hf },
    &operand_data[6487],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx12sfvnx4sf },
    &operand_data[6490],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx6dfvnx2df },
    &operand_data[6493],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx64qivnx16qi },
    &operand_data[6496],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32hivnx8hi },
    &operand_data[6499],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16sivnx4si },
    &operand_data[6502],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8divnx2di },
    &operand_data[6505],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32bfvnx8bf },
    &operand_data[6508],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32hfvnx8hf },
    &operand_data[6511],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16sfvnx4sf },
    &operand_data[6514],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2146 */
  {
    "vec_mask_store_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8dfvnx2df },
    &operand_data[6517],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2167 */
  {
    "aarch64_store_truncvnx8qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx8qivnx8hi },
    &operand_data[6520],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2180 */
  {
    "aarch64_store_truncvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx4qivnx4si },
    &operand_data[6523],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2180 */
  {
    "aarch64_store_truncvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx4hivnx4si },
    &operand_data[6526],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2193 */
  {
    "aarch64_store_truncvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2qivnx2di },
    &operand_data[6529],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2193 */
  {
    "aarch64_store_truncvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2hivnx2di },
    &operand_data[6532],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2193 */
  {
    "aarch64_store_truncvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2sivnx2di },
    &operand_data[6535],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t%1.b, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16qi },
    &operand_data[6391],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8hi },
    &operand_data[6403],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4si },
    &operand_data[6430],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx2di },
    &operand_data[6442],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8bf },
    &operand_data[6421],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8hf },
    &operand_data[6412],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4sf },
    &operand_data[6436],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2215 */
  {
    "aarch64_stnt1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx2df },
    &operand_data[6445],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4586 },
#else
    { 0, output_4586, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4qivnx4si },
    &operand_data[6538],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4587 },
#else
    { 0, output_4587, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4hivnx4si },
    &operand_data[6544],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4588 },
#else
    { 0, output_4588, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4hfvnx4si },
    &operand_data[6550],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4589 },
#else
    { 0, output_4589, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4bfvnx4si },
    &operand_data[6556],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4590 },
#else
    { 0, output_4590, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4sivnx4si },
    &operand_data[6562],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2253 */
  {
    "mask_scatter_storevnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4591 },
#else
    { 0, output_4591, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4sfvnx4si },
    &operand_data[6568],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4592 },
#else
    { 0, output_4592, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2qivnx2di },
    &operand_data[6574],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4593 },
#else
    { 0, output_4593, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2hivnx2di },
    &operand_data[6580],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4594 },
#else
    { 0, output_4594, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2hfvnx2di },
    &operand_data[6586],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4595 },
#else
    { 0, output_4595, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2bfvnx2di },
    &operand_data[6592],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4596 },
#else
    { 0, output_4596, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2sivnx2di },
    &operand_data[6598],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4597 },
#else
    { 0, output_4597, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2sfvnx2di },
    &operand_data[6604],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4598 },
#else
    { 0, output_4598, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2divnx2di },
    &operand_data[6610],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2275 */
  {
    "mask_scatter_storevnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4599 },
#else
    { 0, output_4599, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2dfvnx2di },
    &operand_data[6616],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2qivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4600 },
#else
    { 0, output_4600, 0 },
#endif
    { 0 },
    &operand_data[6622],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2qivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4601 },
#else
    { 0, output_4601, 0 },
#endif
    { 0 },
    &operand_data[6622],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2hivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4602 },
#else
    { 0, output_4602, 0 },
#endif
    { 0 },
    &operand_data[6629],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2hivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4603 },
#else
    { 0, output_4603, 0 },
#endif
    { 0 },
    &operand_data[6629],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2hfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4604 },
#else
    { 0, output_4604, 0 },
#endif
    { 0 },
    &operand_data[6636],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2hfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4605 },
#else
    { 0, output_4605, 0 },
#endif
    { 0 },
    &operand_data[6636],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2bfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4606 },
#else
    { 0, output_4606, 0 },
#endif
    { 0 },
    &operand_data[6643],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2bfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4607 },
#else
    { 0, output_4607, 0 },
#endif
    { 0 },
    &operand_data[6643],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2sivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4608 },
#else
    { 0, output_4608, 0 },
#endif
    { 0 },
    &operand_data[6650],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2sivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4609 },
#else
    { 0, output_4609, 0 },
#endif
    { 0 },
    &operand_data[6650],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2sfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4610 },
#else
    { 0, output_4610, 0 },
#endif
    { 0 },
    &operand_data[6657],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2sfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4611 },
#else
    { 0, output_4611, 0 },
#endif
    { 0 },
    &operand_data[6657],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2divnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4612 },
#else
    { 0, output_4612, 0 },
#endif
    { 0 },
    &operand_data[6664],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2divnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4613 },
#else
    { 0, output_4613, 0 },
#endif
    { 0 },
    &operand_data[6664],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2dfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4614 },
#else
    { 0, output_4614, 0 },
#endif
    { 0 },
    &operand_data[6671],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2294 */
  {
    "*mask_scatter_storevnx2dfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4615 },
#else
    { 0, output_4615, 0 },
#endif
    { 0 },
    &operand_data[6671],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4616 },
#else
    { 0, output_4616, 0 },
#endif
    { 0 },
    &operand_data[6678],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4617 },
#else
    { 0, output_4617, 0 },
#endif
    { 0 },
    &operand_data[6685],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2hfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4618 },
#else
    { 0, output_4618, 0 },
#endif
    { 0 },
    &operand_data[6692],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2bfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4619 },
#else
    { 0, output_4619, 0 },
#endif
    { 0 },
    &operand_data[6699],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4620 },
#else
    { 0, output_4620, 0 },
#endif
    { 0 },
    &operand_data[6706],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2sfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4621 },
#else
    { 0, output_4621, 0 },
#endif
    { 0 },
    &operand_data[6713],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4622 },
#else
    { 0, output_4622, 0 },
#endif
    { 0 },
    &operand_data[6720],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "*mask_scatter_storevnx2dfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4623 },
#else
    { 0, output_4623, 0 },
#endif
    { 0 },
    &operand_data[6727],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4624 },
#else
    { 0, output_4624, 0 },
#endif
    { 0 },
    &operand_data[6734],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4625 },
#else
    { 0, output_4625, 0 },
#endif
    { 0 },
    &operand_data[6741],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2hfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4626 },
#else
    { 0, output_4626, 0 },
#endif
    { 0 },
    &operand_data[6748],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2bfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4627 },
#else
    { 0, output_4627, 0 },
#endif
    { 0 },
    &operand_data[6755],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4628 },
#else
    { 0, output_4628, 0 },
#endif
    { 0 },
    &operand_data[6762],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2sfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4629 },
#else
    { 0, output_4629, 0 },
#endif
    { 0 },
    &operand_data[6769],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4630 },
#else
    { 0, output_4630, 0 },
#endif
    { 0 },
    &operand_data[6776],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2347 */
  {
    "*mask_scatter_storevnx2dfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4631 },
#else
    { 0, output_4631, 0 },
#endif
    { 0 },
    &operand_data[6783],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2376 */
  {
    "aarch64_scatter_store_truncvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4632 },
#else
    { 0, output_4632, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx4qivnx4si },
    &operand_data[6790],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2376 */
  {
    "aarch64_scatter_store_truncvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4633 },
#else
    { 0, output_4633, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx4hivnx4si },
    &operand_data[6796],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2399 */
  {
    "aarch64_scatter_store_truncvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4634 },
#else
    { 0, output_4634, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2qivnx2di },
    &operand_data[6802],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2399 */
  {
    "aarch64_scatter_store_truncvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4635 },
#else
    { 0, output_4635, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2hivnx2di },
    &operand_data[6808],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2399 */
  {
    "aarch64_scatter_store_truncvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4636 },
#else
    { 0, output_4636, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2sivnx2di },
    &operand_data[6814],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2419 */
  {
    "*aarch64_scatter_store_truncvnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4637 },
#else
    { 0, output_4637, 0 },
#endif
    { 0 },
    &operand_data[6820],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2419 */
  {
    "*aarch64_scatter_store_truncvnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4638 },
#else
    { 0, output_4638, 0 },
#endif
    { 0 },
    &operand_data[6827],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2419 */
  {
    "*aarch64_scatter_store_truncvnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4639 },
#else
    { 0, output_4639, 0 },
#endif
    { 0 },
    &operand_data[6834],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2446 */
  {
    "*aarch64_scatter_store_truncvnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4640 },
#else
    { 0, output_4640, 0 },
#endif
    { 0 },
    &operand_data[6841],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2446 */
  {
    "*aarch64_scatter_store_truncvnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4641 },
#else
    { 0, output_4641, 0 },
#endif
    { 0 },
    &operand_data[6848],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2446 */
  {
    "*aarch64_scatter_store_truncvnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4642 },
#else
    { 0, output_4642, 0 },
#endif
    { 0 },
    &operand_data[6855],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx16qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4643 },
#else
    { 0, output_4643, 0 },
#endif
    { 0 },
    &operand_data[6862],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx8qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4644 },
#else
    { 0, output_4644, 0 },
#endif
    { 0 },
    &operand_data[6865],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4645 },
#else
    { 0, output_4645, 0 },
#endif
    { 0 },
    &operand_data[6868],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4646 },
#else
    { 0, output_4646, 0 },
#endif
    { 0 },
    &operand_data[6871],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx8hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4647 },
#else
    { 0, output_4647, 0 },
#endif
    { 0 },
    &operand_data[6874],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4648 },
#else
    { 0, output_4648, 0 },
#endif
    { 0 },
    &operand_data[6877],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4649 },
#else
    { 0, output_4649, 0 },
#endif
    { 0 },
    &operand_data[6880],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx8hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4650 },
#else
    { 0, output_4650, 0 },
#endif
    { 0 },
    &operand_data[6883],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4651 },
#else
    { 0, output_4651, 0 },
#endif
    { 0 },
    &operand_data[6886],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4652 },
#else
    { 0, output_4652, 0 },
#endif
    { 0 },
    &operand_data[6889],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx8bf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4653 },
#else
    { 0, output_4653, 0 },
#endif
    { 0 },
    &operand_data[6892],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4bf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4654 },
#else
    { 0, output_4654, 0 },
#endif
    { 0 },
    &operand_data[6895],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2bf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4655 },
#else
    { 0, output_4655, 0 },
#endif
    { 0 },
    &operand_data[6898],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4si_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4656 },
#else
    { 0, output_4656, 0 },
#endif
    { 0 },
    &operand_data[6901],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2si_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4657 },
#else
    { 0, output_4657, 0 },
#endif
    { 0 },
    &operand_data[6904],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx4sf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4658 },
#else
    { 0, output_4658, 0 },
#endif
    { 0 },
    &operand_data[6907],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2sf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4659 },
#else
    { 0, output_4659, 0 },
#endif
    { 0 },
    &operand_data[6910],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2di_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4660 },
#else
    { 0, output_4660, 0 },
#endif
    { 0 },
    &operand_data[6913],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2511 */
  {
    "*vec_duplicatevnx2df_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4661 },
#else
    { 0, output_4661, 0 },
#endif
    { 0 },
    &operand_data[6916],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx16qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4662 },
#else
    { 0, 0, output_4662 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx16qi_le },
    &operand_data[6919],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4663 },
#else
    { 0, 0, output_4663 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hi_le },
    &operand_data[6921],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4664 },
#else
    { 0, 0, output_4664 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4si_le },
    &operand_data[6923],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4665 },
#else
    { 0, 0, output_4665 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2di_le },
    &operand_data[6925],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx8bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4666 },
#else
    { 0, 0, output_4666 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8bf_le },
    &operand_data[6927],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx8hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4667 },
#else
    { 0, 0, output_4667 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hf_le },
    &operand_data[6929],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4668 },
#else
    { 0, 0, output_4668 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4sf_le },
    &operand_data[6931],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2536 */
  {
    "aarch64_vec_duplicate_vqvnx2df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4669 },
#else
    { 0, 0, output_4669 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2df_le },
    &operand_data[6933],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx16qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4670 },
#else
    { 0, 0, output_4670 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx16qi_be },
    &operand_data[6935],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4671 },
#else
    { 0, 0, output_4671 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hi_be },
    &operand_data[6938],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4672 },
#else
    { 0, 0, output_4672 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4si_be },
    &operand_data[6941],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4673 },
#else
    { 0, 0, output_4673 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2di_be },
    &operand_data[6944],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx8bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4674 },
#else
    { 0, 0, output_4674 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8bf_be },
    &operand_data[6947],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx8hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4675 },
#else
    { 0, 0, output_4675 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hf_be },
    &operand_data[6950],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4676 },
#else
    { 0, 0, output_4676 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4sf_be },
    &operand_data[6953],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2552 */
  {
    "aarch64_vec_duplicate_vqvnx2df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4677 },
#else
    { 0, 0, output_4677 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2df_be },
    &operand_data[6956],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx16qi },
    &operand_data[6959],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8qi },
    &operand_data[6963],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4qi },
    &operand_data[6967],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2qi },
    &operand_data[6971],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8hi },
    &operand_data[6975],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4hi },
    &operand_data[6979],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2hi },
    &operand_data[6983],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8hf },
    &operand_data[6987],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4hf },
    &operand_data[6991],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2hf },
    &operand_data[6995],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8bf },
    &operand_data[6999],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4bf },
    &operand_data[7003],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2bf },
    &operand_data[7007],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4si },
    &operand_data[7011],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2si },
    &operand_data[7015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4sf },
    &operand_data[7019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2sf },
    &operand_data[7023],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2di },
    &operand_data[7027],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2571 */
  {
    "sve_ld1rvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2df },
    &operand_data[7031],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4697 },
#else
    { 0, 0, output_4697 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx16qi },
    &operand_data[7035],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4698 },
#else
    { 0, 0, output_4698 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8hi },
    &operand_data[7038],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4699 },
#else
    { 0, 0, output_4699 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx4si },
    &operand_data[7041],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4700 },
#else
    { 0, 0, output_4700 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx2di },
    &operand_data[7044],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4701 },
#else
    { 0, 0, output_4701 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8bf },
    &operand_data[7047],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4702 },
#else
    { 0, 0, output_4702 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8hf },
    &operand_data[7050],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4703 },
#else
    { 0, 0, output_4703 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx4sf },
    &operand_data[7053],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2585 */
  {
    "aarch64_sve_ld1rqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4704 },
#else
    { 0, 0, output_4704 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx2df },
    &operand_data[7056],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4705 },
#else
    { 0, 0, output_4705 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx16qi },
    &operand_data[7059],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4706 },
#else
    { 0, 0, output_4706 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8hi },
    &operand_data[7062],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4707 },
#else
    { 0, 0, output_4707 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx4si },
    &operand_data[7065],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4708 },
#else
    { 0, 0, output_4708 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx2di },
    &operand_data[7068],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4709 },
#else
    { 0, 0, output_4709 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8bf },
    &operand_data[7071],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4710 },
#else
    { 0, 0, output_4710 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8hf },
    &operand_data[7074],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4711 },
#else
    { 0, 0, output_4711 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx4sf },
    &operand_data[7077],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2598 */
  {
    "aarch64_sve_ld1rovnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4712 },
#else
    { 0, 0, output_4712 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx2df },
    &operand_data[7080],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4713 },
#else
    { 0, output_4713, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx16qi },
    &operand_data[7083],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4714 },
#else
    { 0, output_4714, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8hi },
    &operand_data[7086],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4715 },
#else
    { 0, output_4715, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx4si },
    &operand_data[7089],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4716 },
#else
    { 0, output_4716, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx2di },
    &operand_data[7092],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4717 },
#else
    { 0, output_4717, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8bf },
    &operand_data[7095],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4718 },
#else
    { 0, output_4718, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8hf },
    &operand_data[7098],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4719 },
#else
    { 0, output_4719, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx4sf },
    &operand_data[7101],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2630 */
  {
    "vec_shl_insert_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4720 },
#else
    { 0, output_4720, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx2df },
    &operand_data[7104],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4721 },
#else
    { 0, output_4721, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx16qi },
    &operand_data[7107],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4722 },
#else
    { 0, output_4722, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx8qi },
    &operand_data[7110],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4723 },
#else
    { 0, output_4723, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4qi },
    &operand_data[7113],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4724 },
#else
    { 0, output_4724, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2qi },
    &operand_data[7116],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4725 },
#else
    { 0, output_4725, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx8hi },
    &operand_data[7119],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4726 },
#else
    { 0, output_4726, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4hi },
    &operand_data[7122],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4727 },
#else
    { 0, output_4727, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2hi },
    &operand_data[7125],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4728 },
#else
    { 0, output_4728, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4si },
    &operand_data[7128],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4729 },
#else
    { 0, output_4729, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2si },
    &operand_data[7131],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2652 */
  {
    "vec_seriesvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4730 },
#else
    { 0, output_4730, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2di },
    &operand_data[7134],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4731 },
#else
    { 0, 0, output_4731 },
#endif
    { 0 },
    &operand_data[7137],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx8qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4732 },
#else
    { 0, 0, output_4732 },
#endif
    { 0 },
    &operand_data[7140],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx4qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4733 },
#else
    { 0, 0, output_4733 },
#endif
    { 0 },
    &operand_data[7143],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx2qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4734 },
#else
    { 0, 0, output_4734 },
#endif
    { 0 },
    &operand_data[7146],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4735 },
#else
    { 0, 0, output_4735 },
#endif
    { 0 },
    &operand_data[7149],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx4hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4736 },
#else
    { 0, 0, output_4736 },
#endif
    { 0 },
    &operand_data[7152],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx2hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4737 },
#else
    { 0, 0, output_4737 },
#endif
    { 0 },
    &operand_data[7155],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4738 },
#else
    { 0, 0, output_4738 },
#endif
    { 0 },
    &operand_data[7158],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx2si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4739 },
#else
    { 0, 0, output_4739 },
#endif
    { 0 },
    &operand_data[7161],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2666 */
  {
    "*vec_seriesvnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4740 },
#else
    { 0, 0, output_4740 },
#endif
    { 0 },
    &operand_data[7164],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx16qiqi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4741 },
#else
    { 0, 0, output_4741 },
#endif
    { 0 },
    &operand_data[7167],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx8hihi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4742 },
#else
    { 0, 0, output_4742 },
#endif
    { 0 },
    &operand_data[7169],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx4sisi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4743 },
#else
    { 0, 0, output_4743 },
#endif
    { 0 },
    &operand_data[7171],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx2didi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4744 },
#else
    { 0, 0, output_4744 },
#endif
    { 0 },
    &operand_data[7173],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx8bfbf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4745 },
#else
    { 0, 0, output_4745 },
#endif
    { 0 },
    &operand_data[7175],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx8hfhf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4746 },
#else
    { 0, 0, output_4746 },
#endif
    { 0 },
    &operand_data[7177],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx4sfsf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4747 },
#else
    { 0, 0, output_4747 },
#endif
    { 0 },
    &operand_data[7179],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2758 */
  {
    "*vec_extractvnx2dfdf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4748 },
#else
    { 0, 0, output_4748 },
#endif
    { 0 },
    &operand_data[7181],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx16qiqi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4749 },
#else
    { 0, 0, output_4749 },
#endif
    { 0 },
    &operand_data[7183],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx8hihi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4750 },
#else
    { 0, 0, output_4750 },
#endif
    { 0 },
    &operand_data[7186],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx4sisi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4751 },
#else
    { 0, 0, output_4751 },
#endif
    { 0 },
    &operand_data[7189],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx2didi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4752 },
#else
    { 0, 0, output_4752 },
#endif
    { 0 },
    &operand_data[7192],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx8bfbf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4753 },
#else
    { 0, 0, output_4753 },
#endif
    { 0 },
    &operand_data[7195],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx8hfhf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4754 },
#else
    { 0, 0, output_4754 },
#endif
    { 0 },
    &operand_data[7198],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx4sfsf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4755 },
#else
    { 0, 0, output_4755 },
#endif
    { 0 },
    &operand_data[7201],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2792 */
  {
    "*vec_extractvnx2dfdf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4756 },
#else
    { 0, 0, output_4756 },
#endif
    { 0 },
    &operand_data[7204],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx16qiqi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4757 },
#else
    { 0, 0, output_4757 },
#endif
    { 0 },
    &operand_data[7207],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx8hihi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4758 },
#else
    { 0, 0, output_4758 },
#endif
    { 0 },
    &operand_data[7210],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx4sisi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4759 },
#else
    { 0, 0, output_4759 },
#endif
    { 0 },
    &operand_data[7213],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx2didi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4760 },
#else
    { 0, 0, output_4760 },
#endif
    { 0 },
    &operand_data[7216],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx8bfbf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4761 },
#else
    { 0, 0, output_4761 },
#endif
    { 0 },
    &operand_data[7219],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx8hfhf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4762 },
#else
    { 0, 0, output_4762 },
#endif
    { 0 },
    &operand_data[7222],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx4sfsf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4763 },
#else
    { 0, 0, output_4763 },
#endif
    { 0 },
    &operand_data[7225],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2818 */
  {
    "*vec_extractvnx2dfdf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4764 },
#else
    { 0, 0, output_4764 },
#endif
    { 0 },
    &operand_data[7228],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx16qiqi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4765 },
#else
    { 0, 0, output_4765 },
#endif
    { 0 },
    &operand_data[7231],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx8hihi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4766 },
#else
    { 0, 0, output_4766 },
#endif
    { 0 },
    &operand_data[7234],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx4sisi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4767 },
#else
    { 0, 0, output_4767 },
#endif
    { 0 },
    &operand_data[7237],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx2didi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4768 },
#else
    { 0, 0, output_4768 },
#endif
    { 0 },
    &operand_data[7240],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx8bfbf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4769 },
#else
    { 0, 0, output_4769 },
#endif
    { 0 },
    &operand_data[7243],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx8hfhf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4770 },
#else
    { 0, 0, output_4770 },
#endif
    { 0 },
    &operand_data[7246],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx4sfsf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4771 },
#else
    { 0, 0, output_4771 },
#endif
    { 0 },
    &operand_data[7249],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2833 */
  {
    "*vec_extractvnx2dfdf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4772 },
#else
    { 0, 0, output_4772 },
#endif
    { 0 },
    &operand_data[7252],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4773 },
#else
    { 0, output_4773, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx16qi },
    &operand_data[7255],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4774 },
#else
    { 0, output_4774, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx16qi },
    &operand_data[7255],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4775 },
#else
    { 0, output_4775, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8hi },
    &operand_data[7258],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4776 },
#else
    { 0, output_4776, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8hi },
    &operand_data[7258],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4777 },
#else
    { 0, output_4777, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx4si },
    &operand_data[7261],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4778 },
#else
    { 0, output_4778, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx4si },
    &operand_data[7261],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4779 },
#else
    { 0, output_4779, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx2di },
    &operand_data[7264],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4780 },
#else
    { 0, output_4780, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx2di },
    &operand_data[7264],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4781 },
#else
    { 0, output_4781, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8bf },
    &operand_data[7267],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4782 },
#else
    { 0, output_4782, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8bf },
    &operand_data[7267],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4783 },
#else
    { 0, output_4783, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8hf },
    &operand_data[7270],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4784 },
#else
    { 0, output_4784, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8hf },
    &operand_data[7270],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4785 },
#else
    { 0, output_4785, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx4sf },
    &operand_data[7273],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4786 },
#else
    { 0, output_4786, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx4sf },
    &operand_data[7273],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4787 },
#else
    { 0, output_4787, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx2df },
    &operand_data[7276],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2859 */
  {
    "extract_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4788 },
#else
    { 0, output_4788, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx2df },
    &operand_data[7276],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4789 },
#else
    { 0, output_4789, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx16qi },
    &operand_data[7279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4790 },
#else
    { 0, output_4790, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx16qi },
    &operand_data[7279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4791 },
#else
    { 0, output_4791, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx16qi },
    &operand_data[7279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4792 },
#else
    { 0, output_4792, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx16qi },
    &operand_data[7279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4793 },
#else
    { 0, output_4793, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx16qi },
    &operand_data[7279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4794 },
#else
    { 0, output_4794, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx16qi },
    &operand_data[7279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4795 },
#else
    { 0, output_4795, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx16qi },
    &operand_data[7279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4796 },
#else
    { 0, output_4796, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx16qi },
    &operand_data[7279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4797 },
#else
    { 0, output_4797, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8qi },
    &operand_data[7282],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4798 },
#else
    { 0, output_4798, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8qi },
    &operand_data[7282],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4799 },
#else
    { 0, output_4799, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx8qi },
    &operand_data[7282],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4800 },
#else
    { 0, output_4800, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx8qi },
    &operand_data[7282],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4801 },
#else
    { 0, output_4801, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx8qi },
    &operand_data[7282],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4802 },
#else
    { 0, output_4802, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx8qi },
    &operand_data[7282],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4803 },
#else
    { 0, output_4803, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx8qi },
    &operand_data[7282],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4804 },
#else
    { 0, output_4804, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx8qi },
    &operand_data[7282],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4805 },
#else
    { 0, output_4805, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4qi },
    &operand_data[7285],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4806 },
#else
    { 0, output_4806, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4qi },
    &operand_data[7285],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4807 },
#else
    { 0, output_4807, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx4qi },
    &operand_data[7285],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4808 },
#else
    { 0, output_4808, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx4qi },
    &operand_data[7285],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4809 },
#else
    { 0, output_4809, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx4qi },
    &operand_data[7285],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4810 },
#else
    { 0, output_4810, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx4qi },
    &operand_data[7285],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4811 },
#else
    { 0, output_4811, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx4qi },
    &operand_data[7285],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4812 },
#else
    { 0, output_4812, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx4qi },
    &operand_data[7285],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4813 },
#else
    { 0, output_4813, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2qi },
    &operand_data[7288],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4814 },
#else
    { 0, output_4814, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2qi },
    &operand_data[7288],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4815 },
#else
    { 0, output_4815, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2qi },
    &operand_data[7288],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4816 },
#else
    { 0, output_4816, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2qi },
    &operand_data[7288],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4817 },
#else
    { 0, output_4817, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2qi },
    &operand_data[7288],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4818 },
#else
    { 0, output_4818, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2qi },
    &operand_data[7288],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4819 },
#else
    { 0, output_4819, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2qi },
    &operand_data[7288],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4820 },
#else
    { 0, output_4820, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2qi },
    &operand_data[7288],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4821 },
#else
    { 0, output_4821, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8hi },
    &operand_data[7291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4822 },
#else
    { 0, output_4822, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8hi },
    &operand_data[7291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4823 },
#else
    { 0, output_4823, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx8hi },
    &operand_data[7291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4824 },
#else
    { 0, output_4824, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx8hi },
    &operand_data[7291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4825 },
#else
    { 0, output_4825, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx8hi },
    &operand_data[7291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4826 },
#else
    { 0, output_4826, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx8hi },
    &operand_data[7291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4827 },
#else
    { 0, output_4827, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx8hi },
    &operand_data[7291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4828 },
#else
    { 0, output_4828, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx8hi },
    &operand_data[7291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4829 },
#else
    { 0, output_4829, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4hi },
    &operand_data[7294],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4830 },
#else
    { 0, output_4830, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4hi },
    &operand_data[7294],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4831 },
#else
    { 0, output_4831, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx4hi },
    &operand_data[7294],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4832 },
#else
    { 0, output_4832, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx4hi },
    &operand_data[7294],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4833 },
#else
    { 0, output_4833, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx4hi },
    &operand_data[7294],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4834 },
#else
    { 0, output_4834, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx4hi },
    &operand_data[7294],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4835 },
#else
    { 0, output_4835, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx4hi },
    &operand_data[7294],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4836 },
#else
    { 0, output_4836, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx4hi },
    &operand_data[7294],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4837 },
#else
    { 0, output_4837, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2hi },
    &operand_data[7297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4838 },
#else
    { 0, output_4838, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2hi },
    &operand_data[7297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4839 },
#else
    { 0, output_4839, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2hi },
    &operand_data[7297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4840 },
#else
    { 0, output_4840, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2hi },
    &operand_data[7297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4841 },
#else
    { 0, output_4841, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2hi },
    &operand_data[7297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4842 },
#else
    { 0, output_4842, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2hi },
    &operand_data[7297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4843 },
#else
    { 0, output_4843, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2hi },
    &operand_data[7297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4844 },
#else
    { 0, output_4844, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2hi },
    &operand_data[7297],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4845 },
#else
    { 0, output_4845, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4si },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4846 },
#else
    { 0, output_4846, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4si },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4847 },
#else
    { 0, output_4847, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx4si },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4848 },
#else
    { 0, output_4848, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx4si },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4849 },
#else
    { 0, output_4849, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx4si },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4850 },
#else
    { 0, output_4850, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx4si },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4851 },
#else
    { 0, output_4851, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx4si },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4852 },
#else
    { 0, output_4852, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx4si },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4853 },
#else
    { 0, output_4853, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2si },
    &operand_data[7303],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4854 },
#else
    { 0, output_4854, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2si },
    &operand_data[7303],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4855 },
#else
    { 0, output_4855, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2si },
    &operand_data[7303],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4856 },
#else
    { 0, output_4856, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2si },
    &operand_data[7303],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4857 },
#else
    { 0, output_4857, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2si },
    &operand_data[7303],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4858 },
#else
    { 0, output_4858, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2si },
    &operand_data[7303],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4859 },
#else
    { 0, output_4859, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2si },
    &operand_data[7303],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4860 },
#else
    { 0, output_4860, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2si },
    &operand_data[7303],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_absvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4861 },
#else
    { 0, output_4861, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2di },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_negvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4862 },
#else
    { 0, output_4862, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2di },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_one_cmplvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4863 },
#else
    { 0, output_4863, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2di },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clrsbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4864 },
#else
    { 0, output_4864, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2di },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_clzvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4865 },
#else
    { 0, output_4865, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2di },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_popcountvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4866 },
#else
    { 0, output_4866, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2di },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qabsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4867 },
#else
    { 0, output_4867, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2di },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2927 */
  {
    "aarch64_pred_qnegvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4868 },
#else
    { 0, output_4868, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2di },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4869 },
#else
    { 0, output_4869, 0 },
#endif
    { 0 },
    &operand_data[7279],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4870 },
#else
    { 0, output_4870, 0 },
#endif
    { 0 },
    &operand_data[7279],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4871 },
#else
    { 0, output_4871, 0 },
#endif
    { 0 },
    &operand_data[7279],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4872 },
#else
    { 0, output_4872, 0 },
#endif
    { 0 },
    &operand_data[7279],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4873 },
#else
    { 0, output_4873, 0 },
#endif
    { 0 },
    &operand_data[7279],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4874 },
#else
    { 0, output_4874, 0 },
#endif
    { 0 },
    &operand_data[7279],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4875 },
#else
    { 0, output_4875, 0 },
#endif
    { 0 },
    &operand_data[7279],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4876 },
#else
    { 0, output_4876, 0 },
#endif
    { 0 },
    &operand_data[7279],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4877 },
#else
    { 0, output_4877, 0 },
#endif
    { 0 },
    &operand_data[7282],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4878 },
#else
    { 0, output_4878, 0 },
#endif
    { 0 },
    &operand_data[7282],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4879 },
#else
    { 0, output_4879, 0 },
#endif
    { 0 },
    &operand_data[7282],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4880 },
#else
    { 0, output_4880, 0 },
#endif
    { 0 },
    &operand_data[7282],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4881 },
#else
    { 0, output_4881, 0 },
#endif
    { 0 },
    &operand_data[7282],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4882 },
#else
    { 0, output_4882, 0 },
#endif
    { 0 },
    &operand_data[7282],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4883 },
#else
    { 0, output_4883, 0 },
#endif
    { 0 },
    &operand_data[7282],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4884 },
#else
    { 0, output_4884, 0 },
#endif
    { 0 },
    &operand_data[7282],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4885 },
#else
    { 0, output_4885, 0 },
#endif
    { 0 },
    &operand_data[7285],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4886 },
#else
    { 0, output_4886, 0 },
#endif
    { 0 },
    &operand_data[7285],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4887 },
#else
    { 0, output_4887, 0 },
#endif
    { 0 },
    &operand_data[7285],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4888 },
#else
    { 0, output_4888, 0 },
#endif
    { 0 },
    &operand_data[7285],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4889 },
#else
    { 0, output_4889, 0 },
#endif
    { 0 },
    &operand_data[7285],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4890 },
#else
    { 0, output_4890, 0 },
#endif
    { 0 },
    &operand_data[7285],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4891 },
#else
    { 0, output_4891, 0 },
#endif
    { 0 },
    &operand_data[7285],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4892 },
#else
    { 0, output_4892, 0 },
#endif
    { 0 },
    &operand_data[7285],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4893 },
#else
    { 0, output_4893, 0 },
#endif
    { 0 },
    &operand_data[7288],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4894 },
#else
    { 0, output_4894, 0 },
#endif
    { 0 },
    &operand_data[7288],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4895 },
#else
    { 0, output_4895, 0 },
#endif
    { 0 },
    &operand_data[7288],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4896 },
#else
    { 0, output_4896, 0 },
#endif
    { 0 },
    &operand_data[7288],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4897 },
#else
    { 0, output_4897, 0 },
#endif
    { 0 },
    &operand_data[7288],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4898 },
#else
    { 0, output_4898, 0 },
#endif
    { 0 },
    &operand_data[7288],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4899 },
#else
    { 0, output_4899, 0 },
#endif
    { 0 },
    &operand_data[7288],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4900 },
#else
    { 0, output_4900, 0 },
#endif
    { 0 },
    &operand_data[7288],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4901 },
#else
    { 0, output_4901, 0 },
#endif
    { 0 },
    &operand_data[7291],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4902 },
#else
    { 0, output_4902, 0 },
#endif
    { 0 },
    &operand_data[7291],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4903 },
#else
    { 0, output_4903, 0 },
#endif
    { 0 },
    &operand_data[7291],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4904 },
#else
    { 0, output_4904, 0 },
#endif
    { 0 },
    &operand_data[7291],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4905 },
#else
    { 0, output_4905, 0 },
#endif
    { 0 },
    &operand_data[7291],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4906 },
#else
    { 0, output_4906, 0 },
#endif
    { 0 },
    &operand_data[7291],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4907 },
#else
    { 0, output_4907, 0 },
#endif
    { 0 },
    &operand_data[7291],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4908 },
#else
    { 0, output_4908, 0 },
#endif
    { 0 },
    &operand_data[7291],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4909 },
#else
    { 0, output_4909, 0 },
#endif
    { 0 },
    &operand_data[7294],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4910 },
#else
    { 0, output_4910, 0 },
#endif
    { 0 },
    &operand_data[7294],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4911 },
#else
    { 0, output_4911, 0 },
#endif
    { 0 },
    &operand_data[7294],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4912 },
#else
    { 0, output_4912, 0 },
#endif
    { 0 },
    &operand_data[7294],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4913 },
#else
    { 0, output_4913, 0 },
#endif
    { 0 },
    &operand_data[7294],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4914 },
#else
    { 0, output_4914, 0 },
#endif
    { 0 },
    &operand_data[7294],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4915 },
#else
    { 0, output_4915, 0 },
#endif
    { 0 },
    &operand_data[7294],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4916 },
#else
    { 0, output_4916, 0 },
#endif
    { 0 },
    &operand_data[7294],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4917 },
#else
    { 0, output_4917, 0 },
#endif
    { 0 },
    &operand_data[7297],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4918 },
#else
    { 0, output_4918, 0 },
#endif
    { 0 },
    &operand_data[7297],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4919 },
#else
    { 0, output_4919, 0 },
#endif
    { 0 },
    &operand_data[7297],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4920 },
#else
    { 0, output_4920, 0 },
#endif
    { 0 },
    &operand_data[7297],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4921 },
#else
    { 0, output_4921, 0 },
#endif
    { 0 },
    &operand_data[7297],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4922 },
#else
    { 0, output_4922, 0 },
#endif
    { 0 },
    &operand_data[7297],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4923 },
#else
    { 0, output_4923, 0 },
#endif
    { 0 },
    &operand_data[7297],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4924 },
#else
    { 0, output_4924, 0 },
#endif
    { 0 },
    &operand_data[7297],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4925 },
#else
    { 0, output_4925, 0 },
#endif
    { 0 },
    &operand_data[7300],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4926 },
#else
    { 0, output_4926, 0 },
#endif
    { 0 },
    &operand_data[7300],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4927 },
#else
    { 0, output_4927, 0 },
#endif
    { 0 },
    &operand_data[7300],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4928 },
#else
    { 0, output_4928, 0 },
#endif
    { 0 },
    &operand_data[7300],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4929 },
#else
    { 0, output_4929, 0 },
#endif
    { 0 },
    &operand_data[7300],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4930 },
#else
    { 0, output_4930, 0 },
#endif
    { 0 },
    &operand_data[7300],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4931 },
#else
    { 0, output_4931, 0 },
#endif
    { 0 },
    &operand_data[7300],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4932 },
#else
    { 0, output_4932, 0 },
#endif
    { 0 },
    &operand_data[7300],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4933 },
#else
    { 0, output_4933, 0 },
#endif
    { 0 },
    &operand_data[7303],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4934 },
#else
    { 0, output_4934, 0 },
#endif
    { 0 },
    &operand_data[7303],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4935 },
#else
    { 0, output_4935, 0 },
#endif
    { 0 },
    &operand_data[7303],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4936 },
#else
    { 0, output_4936, 0 },
#endif
    { 0 },
    &operand_data[7303],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4937 },
#else
    { 0, output_4937, 0 },
#endif
    { 0 },
    &operand_data[7303],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4938 },
#else
    { 0, output_4938, 0 },
#endif
    { 0 },
    &operand_data[7303],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4939 },
#else
    { 0, output_4939, 0 },
#endif
    { 0 },
    &operand_data[7303],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4940 },
#else
    { 0, output_4940, 0 },
#endif
    { 0 },
    &operand_data[7303],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_absvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4941 },
#else
    { 0, output_4941, 0 },
#endif
    { 0 },
    &operand_data[7306],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_negvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4942 },
#else
    { 0, output_4942, 0 },
#endif
    { 0 },
    &operand_data[7306],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_one_cmplvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4943 },
#else
    { 0, output_4943, 0 },
#endif
    { 0 },
    &operand_data[7306],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clrsbvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4944 },
#else
    { 0, output_4944, 0 },
#endif
    { 0 },
    &operand_data[7306],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_clzvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4945 },
#else
    { 0, output_4945, 0 },
#endif
    { 0 },
    &operand_data[7306],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_popcountvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4946 },
#else
    { 0, output_4946, 0 },
#endif
    { 0 },
    &operand_data[7306],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qabsvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4947 },
#else
    { 0, output_4947, 0 },
#endif
    { 0 },
    &operand_data[7306],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2954 */
  {
    "*cond_qnegvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4948 },
#else
    { 0, output_4948, 0 },
#endif
    { 0 },
    &operand_data[7306],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4949 },
#else
    { 0, output_4949, 0 },
#endif
    { 0 },
    &operand_data[7309],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4950 },
#else
    { 0, output_4950, 0 },
#endif
    { 0 },
    &operand_data[7309],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4951 },
#else
    { 0, output_4951, 0 },
#endif
    { 0 },
    &operand_data[7309],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4952 },
#else
    { 0, output_4952, 0 },
#endif
    { 0 },
    &operand_data[7309],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4953 },
#else
    { 0, output_4953, 0 },
#endif
    { 0 },
    &operand_data[7309],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4954 },
#else
    { 0, output_4954, 0 },
#endif
    { 0 },
    &operand_data[7309],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4955 },
#else
    { 0, output_4955, 0 },
#endif
    { 0 },
    &operand_data[7309],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4956 },
#else
    { 0, output_4956, 0 },
#endif
    { 0 },
    &operand_data[7309],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4957 },
#else
    { 0, output_4957, 0 },
#endif
    { 0 },
    &operand_data[7313],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4958 },
#else
    { 0, output_4958, 0 },
#endif
    { 0 },
    &operand_data[7313],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4959 },
#else
    { 0, output_4959, 0 },
#endif
    { 0 },
    &operand_data[7313],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4960 },
#else
    { 0, output_4960, 0 },
#endif
    { 0 },
    &operand_data[7313],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4961 },
#else
    { 0, output_4961, 0 },
#endif
    { 0 },
    &operand_data[7313],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4962 },
#else
    { 0, output_4962, 0 },
#endif
    { 0 },
    &operand_data[7313],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4963 },
#else
    { 0, output_4963, 0 },
#endif
    { 0 },
    &operand_data[7313],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4964 },
#else
    { 0, output_4964, 0 },
#endif
    { 0 },
    &operand_data[7313],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4965 },
#else
    { 0, output_4965, 0 },
#endif
    { 0 },
    &operand_data[7317],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4966 },
#else
    { 0, output_4966, 0 },
#endif
    { 0 },
    &operand_data[7317],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4967 },
#else
    { 0, output_4967, 0 },
#endif
    { 0 },
    &operand_data[7317],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4968 },
#else
    { 0, output_4968, 0 },
#endif
    { 0 },
    &operand_data[7317],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4969 },
#else
    { 0, output_4969, 0 },
#endif
    { 0 },
    &operand_data[7317],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4970 },
#else
    { 0, output_4970, 0 },
#endif
    { 0 },
    &operand_data[7317],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4971 },
#else
    { 0, output_4971, 0 },
#endif
    { 0 },
    &operand_data[7317],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4972 },
#else
    { 0, output_4972, 0 },
#endif
    { 0 },
    &operand_data[7317],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4973 },
#else
    { 0, output_4973, 0 },
#endif
    { 0 },
    &operand_data[7321],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4974 },
#else
    { 0, output_4974, 0 },
#endif
    { 0 },
    &operand_data[7321],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4975 },
#else
    { 0, output_4975, 0 },
#endif
    { 0 },
    &operand_data[7321],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4976 },
#else
    { 0, output_4976, 0 },
#endif
    { 0 },
    &operand_data[7321],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4977 },
#else
    { 0, output_4977, 0 },
#endif
    { 0 },
    &operand_data[7321],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4978 },
#else
    { 0, output_4978, 0 },
#endif
    { 0 },
    &operand_data[7321],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4979 },
#else
    { 0, output_4979, 0 },
#endif
    { 0 },
    &operand_data[7321],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4980 },
#else
    { 0, output_4980, 0 },
#endif
    { 0 },
    &operand_data[7321],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4981 },
#else
    { 0, output_4981, 0 },
#endif
    { 0 },
    &operand_data[7325],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4982 },
#else
    { 0, output_4982, 0 },
#endif
    { 0 },
    &operand_data[7325],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4983 },
#else
    { 0, output_4983, 0 },
#endif
    { 0 },
    &operand_data[7325],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4984 },
#else
    { 0, output_4984, 0 },
#endif
    { 0 },
    &operand_data[7325],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4985 },
#else
    { 0, output_4985, 0 },
#endif
    { 0 },
    &operand_data[7325],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4986 },
#else
    { 0, output_4986, 0 },
#endif
    { 0 },
    &operand_data[7325],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4987 },
#else
    { 0, output_4987, 0 },
#endif
    { 0 },
    &operand_data[7325],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4988 },
#else
    { 0, output_4988, 0 },
#endif
    { 0 },
    &operand_data[7325],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4989 },
#else
    { 0, output_4989, 0 },
#endif
    { 0 },
    &operand_data[7329],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4990 },
#else
    { 0, output_4990, 0 },
#endif
    { 0 },
    &operand_data[7329],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4991 },
#else
    { 0, output_4991, 0 },
#endif
    { 0 },
    &operand_data[7329],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4992 },
#else
    { 0, output_4992, 0 },
#endif
    { 0 },
    &operand_data[7329],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4993 },
#else
    { 0, output_4993, 0 },
#endif
    { 0 },
    &operand_data[7329],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4994 },
#else
    { 0, output_4994, 0 },
#endif
    { 0 },
    &operand_data[7329],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4995 },
#else
    { 0, output_4995, 0 },
#endif
    { 0 },
    &operand_data[7329],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4996 },
#else
    { 0, output_4996, 0 },
#endif
    { 0 },
    &operand_data[7329],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4997 },
#else
    { 0, output_4997, 0 },
#endif
    { 0 },
    &operand_data[7333],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4998 },
#else
    { 0, output_4998, 0 },
#endif
    { 0 },
    &operand_data[7333],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4999 },
#else
    { 0, output_4999, 0 },
#endif
    { 0 },
    &operand_data[7333],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5000 },
#else
    { 0, output_5000, 0 },
#endif
    { 0 },
    &operand_data[7333],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5001 },
#else
    { 0, output_5001, 0 },
#endif
    { 0 },
    &operand_data[7333],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5002 },
#else
    { 0, output_5002, 0 },
#endif
    { 0 },
    &operand_data[7333],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5003 },
#else
    { 0, output_5003, 0 },
#endif
    { 0 },
    &operand_data[7333],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5004 },
#else
    { 0, output_5004, 0 },
#endif
    { 0 },
    &operand_data[7333],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5005 },
#else
    { 0, output_5005, 0 },
#endif
    { 0 },
    &operand_data[7337],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5006 },
#else
    { 0, output_5006, 0 },
#endif
    { 0 },
    &operand_data[7337],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5007 },
#else
    { 0, output_5007, 0 },
#endif
    { 0 },
    &operand_data[7337],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5008 },
#else
    { 0, output_5008, 0 },
#endif
    { 0 },
    &operand_data[7337],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5009 },
#else
    { 0, output_5009, 0 },
#endif
    { 0 },
    &operand_data[7337],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5010 },
#else
    { 0, output_5010, 0 },
#endif
    { 0 },
    &operand_data[7337],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5011 },
#else
    { 0, output_5011, 0 },
#endif
    { 0 },
    &operand_data[7337],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5012 },
#else
    { 0, output_5012, 0 },
#endif
    { 0 },
    &operand_data[7337],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5013 },
#else
    { 0, output_5013, 0 },
#endif
    { 0 },
    &operand_data[7341],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5014 },
#else
    { 0, output_5014, 0 },
#endif
    { 0 },
    &operand_data[7341],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5015 },
#else
    { 0, output_5015, 0 },
#endif
    { 0 },
    &operand_data[7341],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5016 },
#else
    { 0, output_5016, 0 },
#endif
    { 0 },
    &operand_data[7341],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5017 },
#else
    { 0, output_5017, 0 },
#endif
    { 0 },
    &operand_data[7341],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5018 },
#else
    { 0, output_5018, 0 },
#endif
    { 0 },
    &operand_data[7341],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5019 },
#else
    { 0, output_5019, 0 },
#endif
    { 0 },
    &operand_data[7341],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5020 },
#else
    { 0, output_5020, 0 },
#endif
    { 0 },
    &operand_data[7341],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_absvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5021 },
#else
    { 0, output_5021, 0 },
#endif
    { 0 },
    &operand_data[7345],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_negvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5022 },
#else
    { 0, output_5022, 0 },
#endif
    { 0 },
    &operand_data[7345],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_one_cmplvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5023 },
#else
    { 0, output_5023, 0 },
#endif
    { 0 },
    &operand_data[7345],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clrsbvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5024 },
#else
    { 0, output_5024, 0 },
#endif
    { 0 },
    &operand_data[7345],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_clzvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5025 },
#else
    { 0, output_5025, 0 },
#endif
    { 0 },
    &operand_data[7345],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_popcountvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5026 },
#else
    { 0, output_5026, 0 },
#endif
    { 0 },
    &operand_data[7345],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qabsvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5027 },
#else
    { 0, output_5027, 0 },
#endif
    { 0 },
    &operand_data[7345],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2976 */
  {
    "*cond_qnegvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5028 },
#else
    { 0, output_5028, 0 },
#endif
    { 0 },
    &operand_data[7345],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_rbitvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5029 },
#else
    { 0, output_5029, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx16qi },
    &operand_data[7279],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_rbitvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5030 },
#else
    { 0, output_5030, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx8hi },
    &operand_data[7291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5031 },
#else
    { 0, output_5031, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx8hi },
    &operand_data[7291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_rbitvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5032 },
#else
    { 0, output_5032, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx4si },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5033 },
#else
    { 0, output_5033, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx4si },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5034 },
#else
    { 0, output_5034, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx4si },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_rbitvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5035 },
#else
    { 0, output_5035, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx2di },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5036 },
#else
    { 0, output_5036, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx2di },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5037 },
#else
    { 0, output_5037, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx2di },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3003 */
  {
    "aarch64_pred_revwvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5038 },
#else
    { 0, output_5038, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revwvnx2di },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx16qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5039 },
#else
    { 0, output_5039, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx16qivnx8bi },
    &operand_data[7349],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx16qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5040 },
#else
    { 0, output_5040, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx16qivnx4bi },
    &operand_data[7352],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5041 },
#else
    { 0, output_5041, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8qivnx4bi },
    &operand_data[7355],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5042 },
#else
    { 0, output_5042, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hivnx4bi },
    &operand_data[7358],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5043 },
#else
    { 0, output_5043, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hfvnx4bi },
    &operand_data[7361],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5044 },
#else
    { 0, output_5044, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8bfvnx4bi },
    &operand_data[7364],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx16qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5045 },
#else
    { 0, output_5045, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx16qivnx2bi },
    &operand_data[7367],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5046 },
#else
    { 0, output_5046, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8qivnx2bi },
    &operand_data[7370],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx4qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5047 },
#else
    { 0, output_5047, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4qivnx2bi },
    &operand_data[7373],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5048 },
#else
    { 0, output_5048, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hivnx2bi },
    &operand_data[7376],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx4hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5049 },
#else
    { 0, output_5049, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hivnx2bi },
    &operand_data[7379],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5050 },
#else
    { 0, output_5050, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hfvnx2bi },
    &operand_data[7382],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx4hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5051 },
#else
    { 0, output_5051, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hfvnx2bi },
    &operand_data[7385],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx8bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5052 },
#else
    { 0, output_5052, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8bfvnx2bi },
    &operand_data[7388],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx4bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5053 },
#else
    { 0, output_5053, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4bfvnx2bi },
    &operand_data[7391],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx4sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5054 },
#else
    { 0, output_5054, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sivnx2bi },
    &operand_data[7394],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3022 */
  {
    "aarch64_sve_revbhw_vnx4sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5055 },
#else
    { 0, output_5055, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sfvnx2bi },
    &operand_data[7397],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_rbitvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5056 },
#else
    { 0, output_5056, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx16qi },
    &operand_data[7400],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_rbitvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5057 },
#else
    { 0, output_5057, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx8hi },
    &operand_data[7404],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_revbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5058 },
#else
    { 0, output_5058, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx8hi },
    &operand_data[7404],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_rbitvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5059 },
#else
    { 0, output_5059, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx4si },
    &operand_data[7408],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_revbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5060 },
#else
    { 0, output_5060, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx4si },
    &operand_data[7408],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_revhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5061 },
#else
    { 0, output_5061, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx4si },
    &operand_data[7408],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_rbitvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5062 },
#else
    { 0, output_5062, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx2di },
    &operand_data[7412],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_revbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5063 },
#else
    { 0, output_5063, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx2di },
    &operand_data[7412],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_revhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5064 },
#else
    { 0, output_5064, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx2di },
    &operand_data[7412],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3038 */
  {
    "cond_revwvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5065 },
#else
    { 0, output_5065, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revwvnx2di },
    &operand_data[7412],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5066 },
#else
    { 0, output_5066, 0 },
#endif
    { 0 },
    &operand_data[7416],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5067 },
#else
    { 0, output_5067, 0 },
#endif
    { 0 },
    &operand_data[7416],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5068 },
#else
    { 0, output_5068, 0 },
#endif
    { 0 },
    &operand_data[7419],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5069 },
#else
    { 0, output_5069, 0 },
#endif
    { 0 },
    &operand_data[7419],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5070 },
#else
    { 0, output_5070, 0 },
#endif
    { 0 },
    &operand_data[7422],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5071 },
#else
    { 0, output_5071, 0 },
#endif
    { 0 },
    &operand_data[7422],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5072 },
#else
    { 0, output_5072, 0 },
#endif
    { 0 },
    &operand_data[7425],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5073 },
#else
    { 0, output_5073, 0 },
#endif
    { 0 },
    &operand_data[7425],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5074 },
#else
    { 0, output_5074, 0 },
#endif
    { 0 },
    &operand_data[7428],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5075 },
#else
    { 0, output_5075, 0 },
#endif
    { 0 },
    &operand_data[7428],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5076 },
#else
    { 0, output_5076, 0 },
#endif
    { 0 },
    &operand_data[7431],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5077 },
#else
    { 0, output_5077, 0 },
#endif
    { 0 },
    &operand_data[7431],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5078 },
#else
    { 0, output_5078, 0 },
#endif
    { 0 },
    &operand_data[7434],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5079 },
#else
    { 0, output_5079, 0 },
#endif
    { 0 },
    &operand_data[7434],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5080 },
#else
    { 0, output_5080, 0 },
#endif
    { 0 },
    &operand_data[7437],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5081 },
#else
    { 0, output_5081, 0 },
#endif
    { 0 },
    &operand_data[7437],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5082 },
#else
    { 0, output_5082, 0 },
#endif
    { 0 },
    &operand_data[7440],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5083 },
#else
    { 0, output_5083, 0 },
#endif
    { 0 },
    &operand_data[7440],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5084 },
#else
    { 0, output_5084, 0 },
#endif
    { 0 },
    &operand_data[7443],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3082 */
  {
    "*zero_extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5085 },
#else
    { 0, output_5085, 0 },
#endif
    { 0 },
    &operand_data[7443],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3097 */
  {
    "aarch64_pred_sxtvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5086 },
#else
    { 0, output_5086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx8qi },
    &operand_data[7291],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3097 */
  {
    "aarch64_pred_sxtvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5087 },
#else
    { 0, output_5087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx4qi },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3097 */
  {
    "aarch64_pred_sxtvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5088 },
#else
    { 0, output_5088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx4hi },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3097 */
  {
    "aarch64_pred_sxtvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5089 },
#else
    { 0, output_5089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2qi },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3097 */
  {
    "aarch64_pred_sxtvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5090 },
#else
    { 0, output_5090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2hi },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3097 */
  {
    "aarch64_pred_sxtvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5091 },
#else
    { 0, output_5091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2si },
    &operand_data[7306],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3114 */
  {
    "aarch64_cond_sxtvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5092 },
#else
    { 0, output_5092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx8qi },
    &operand_data[7404],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3114 */
  {
    "aarch64_cond_sxtvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5093 },
#else
    { 0, output_5093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx4qi },
    &operand_data[7408],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3114 */
  {
    "aarch64_cond_sxtvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5094 },
#else
    { 0, output_5094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx4hi },
    &operand_data[7408],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3114 */
  {
    "aarch64_cond_sxtvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5095 },
#else
    { 0, output_5095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2qi },
    &operand_data[7412],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3114 */
  {
    "aarch64_cond_sxtvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5096 },
#else
    { 0, output_5096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2hi },
    &operand_data[7412],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3114 */
  {
    "aarch64_cond_sxtvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5097 },
#else
    { 0, output_5097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2si },
    &operand_data[7412],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5098 },
#else
    { 0, output_5098, 0 },
#endif
    { 0 },
    &operand_data[7446],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5099 },
#else
    { 0, output_5099, 0 },
#endif
    { 0 },
    &operand_data[7450],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5100 },
#else
    { 0, output_5100, 0 },
#endif
    { 0 },
    &operand_data[7454],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5101 },
#else
    { 0, output_5101, 0 },
#endif
    { 0 },
    &operand_data[7458],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5102 },
#else
    { 0, output_5102, 0 },
#endif
    { 0 },
    &operand_data[7462],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5103 },
#else
    { 0, output_5103, 0 },
#endif
    { 0 },
    &operand_data[7466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5104 },
#else
    { 0, output_5104, 0 },
#endif
    { 0 },
    &operand_data[7470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5105 },
#else
    { 0, output_5105, 0 },
#endif
    { 0 },
    &operand_data[7474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5106 },
#else
    { 0, output_5106, 0 },
#endif
    { 0 },
    &operand_data[7478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3137 */
  {
    "*cond_uxtvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5107 },
#else
    { 0, output_5107, 0 },
#endif
    { 0 },
    &operand_data[7482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5108 },
#else
    { 0, output_5108, 0 },
#endif
    { 0 },
    &operand_data[7486],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5109 },
#else
    { 0, output_5109, 0 },
#endif
    { 0 },
    &operand_data[7491],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5110 },
#else
    { 0, output_5110, 0 },
#endif
    { 0 },
    &operand_data[7496],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5111 },
#else
    { 0, output_5111, 0 },
#endif
    { 0 },
    &operand_data[7501],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5112 },
#else
    { 0, output_5112, 0 },
#endif
    { 0 },
    &operand_data[7506],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5113 },
#else
    { 0, output_5113, 0 },
#endif
    { 0 },
    &operand_data[7511],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5114 },
#else
    { 0, output_5114, 0 },
#endif
    { 0 },
    &operand_data[7516],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5115 },
#else
    { 0, output_5115, 0 },
#endif
    { 0 },
    &operand_data[7521],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5116 },
#else
    { 0, output_5116, 0 },
#endif
    { 0 },
    &operand_data[7526],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "*cond_uxtvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5117 },
#else
    { 0, output_5117, 0 },
#endif
    { 0 },
    &operand_data[7531],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx8hivnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx8qi2 },
    &operand_data[7536],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx4hivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx4qi2 },
    &operand_data[7538],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx2hivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx2qi2 },
    &operand_data[7540],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx4sivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx4qi2 },
    &operand_data[7542],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx4sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx4hi2 },
    &operand_data[7544],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx2sivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx2qi2 },
    &operand_data[7546],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx2sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx2hi2 },
    &operand_data[7548],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx2divnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2qi2 },
    &operand_data[7550],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx2divnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2hi2 },
    &operand_data[7552],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3187 */
  {
    "truncvnx2divnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2si2 },
    &operand_data[7554],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5128 },
#else
    { 0, output_5128, 0 },
#endif
    { 0 },
    &operand_data[7556],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5129 },
#else
    { 0, output_5129, 0 },
#endif
    { 0 },
    &operand_data[7562],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5130 },
#else
    { 0, output_5130, 0 },
#endif
    { 0 },
    &operand_data[7568],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5131 },
#else
    { 0, output_5131, 0 },
#endif
    { 0 },
    &operand_data[7574],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5132 },
#else
    { 0, output_5132, 0 },
#endif
    { 0 },
    &operand_data[7580],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5133 },
#else
    { 0, output_5133, 0 },
#endif
    { 0 },
    &operand_data[7586],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5134 },
#else
    { 0, output_5134, 0 },
#endif
    { 0 },
    &operand_data[7592],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5135 },
#else
    { 0, output_5135, 0 },
#endif
    { 0 },
    &operand_data[7598],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5136 },
#else
    { 0, output_5136, 0 },
#endif
    { 0 },
    &operand_data[7604],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3229 */
  {
    "*cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5137 },
#else
    { 0, output_5137, 0 },
#endif
    { 0 },
    &operand_data[7610],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5138 },
#else
    { 0, output_5138, 0 },
#endif
    { 0 },
    &operand_data[7616],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5139 },
#else
    { 0, output_5139, 0 },
#endif
    { 0 },
    &operand_data[7622],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5140 },
#else
    { 0, output_5140, 0 },
#endif
    { 0 },
    &operand_data[7628],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5141 },
#else
    { 0, output_5141, 0 },
#endif
    { 0 },
    &operand_data[7634],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5142 },
#else
    { 0, output_5142, 0 },
#endif
    { 0 },
    &operand_data[7640],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5143 },
#else
    { 0, output_5143, 0 },
#endif
    { 0 },
    &operand_data[7646],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5144 },
#else
    { 0, output_5144, 0 },
#endif
    { 0 },
    &operand_data[7652],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5145 },
#else
    { 0, output_5145, 0 },
#endif
    { 0 },
    &operand_data[7658],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5146 },
#else
    { 0, output_5146, 0 },
#endif
    { 0 },
    &operand_data[7664],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3276 */
  {
    "*cond_cnotvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5147 },
#else
    { 0, output_5147, 0 },
#endif
    { 0 },
    &operand_data[7670],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5148 },
#else
    { 0, output_5148, 0 },
#endif
    { 0 },
    &operand_data[7676],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5149 },
#else
    { 0, output_5149, 0 },
#endif
    { 0 },
    &operand_data[7683],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5150 },
#else
    { 0, output_5150, 0 },
#endif
    { 0 },
    &operand_data[7690],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5151 },
#else
    { 0, output_5151, 0 },
#endif
    { 0 },
    &operand_data[7697],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5152 },
#else
    { 0, output_5152, 0 },
#endif
    { 0 },
    &operand_data[7704],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5153 },
#else
    { 0, output_5153, 0 },
#endif
    { 0 },
    &operand_data[7711],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5154 },
#else
    { 0, output_5154, 0 },
#endif
    { 0 },
    &operand_data[7718],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5155 },
#else
    { 0, output_5155, 0 },
#endif
    { 0 },
    &operand_data[7725],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5156 },
#else
    { 0, output_5156, 0 },
#endif
    { 0 },
    &operand_data[7732],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3312 */
  {
    "*cond_cnotvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5157 },
#else
    { 0, output_5157, 0 },
#endif
    { 0 },
    &operand_data[7739],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3350 */
  {
    "aarch64_sve_fexpavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx8hf },
    &operand_data[7746],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3350 */
  {
    "aarch64_sve_fexpavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx4sf },
    &operand_data[7748],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3350 */
  {
    "aarch64_sve_fexpavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx2df },
    &operand_data[7750],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3379 */
  {
    "aarch64_sve_frecpevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx8hf },
    &operand_data[7752],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3379 */
  {
    "aarch64_sve_frsqrtevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx8hf },
    &operand_data[7752],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3379 */
  {
    "aarch64_sve_frecpevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx4sf },
    &operand_data[7754],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3379 */
  {
    "aarch64_sve_frsqrtevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx4sf },
    &operand_data[7754],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3379 */
  {
    "aarch64_sve_frecpevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx2df },
    &operand_data[7756],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3379 */
  {
    "aarch64_sve_frsqrtevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx2df },
    &operand_data[7756],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_absvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5167 },
#else
    { 0, output_5167, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8hf },
    &operand_data[7758],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_negvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5168 },
#else
    { 0, output_5168, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8hf },
    &operand_data[7758],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_frecpxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5169 },
#else
    { 0, output_5169, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx8hf },
    &operand_data[7758],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_roundvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5170 },
#else
    { 0, output_5170, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx8hf },
    &operand_data[7758],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_nearbyintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5171 },
#else
    { 0, output_5171, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx8hf },
    &operand_data[7758],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_floorvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5172 },
#else
    { 0, output_5172, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx8hf },
    &operand_data[7758],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_frintnvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5173 },
#else
    { 0, output_5173, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx8hf },
    &operand_data[7758],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_ceilvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5174 },
#else
    { 0, output_5174, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx8hf },
    &operand_data[7758],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_rintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5175 },
#else
    { 0, output_5175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx8hf },
    &operand_data[7758],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_btruncvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5176 },
#else
    { 0, output_5176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx8hf },
    &operand_data[7758],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_sqrtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5177 },
#else
    { 0, output_5177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx8hf },
    &operand_data[7758],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_absvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5178 },
#else
    { 0, output_5178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4sf },
    &operand_data[7762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_negvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5179 },
#else
    { 0, output_5179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4sf },
    &operand_data[7762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_frecpxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5180 },
#else
    { 0, output_5180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx4sf },
    &operand_data[7762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_roundvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5181 },
#else
    { 0, output_5181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx4sf },
    &operand_data[7762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_nearbyintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5182 },
#else
    { 0, output_5182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx4sf },
    &operand_data[7762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_floorvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5183 },
#else
    { 0, output_5183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx4sf },
    &operand_data[7762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_frintnvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5184 },
#else
    { 0, output_5184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx4sf },
    &operand_data[7762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_ceilvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5185 },
#else
    { 0, output_5185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx4sf },
    &operand_data[7762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_rintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5186 },
#else
    { 0, output_5186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx4sf },
    &operand_data[7762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_btruncvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5187 },
#else
    { 0, output_5187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx4sf },
    &operand_data[7762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_sqrtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5188 },
#else
    { 0, output_5188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx4sf },
    &operand_data[7762],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_absvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5189 },
#else
    { 0, output_5189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2df },
    &operand_data[7766],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_negvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5190 },
#else
    { 0, output_5190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2df },
    &operand_data[7766],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_frecpxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5191 },
#else
    { 0, output_5191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx2df },
    &operand_data[7766],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_roundvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5192 },
#else
    { 0, output_5192, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx2df },
    &operand_data[7766],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_nearbyintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5193 },
#else
    { 0, output_5193, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx2df },
    &operand_data[7766],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_floorvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5194 },
#else
    { 0, output_5194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx2df },
    &operand_data[7766],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_frintnvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5195 },
#else
    { 0, output_5195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx2df },
    &operand_data[7766],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_ceilvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5196 },
#else
    { 0, output_5196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx2df },
    &operand_data[7766],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_rintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5197 },
#else
    { 0, output_5197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx2df },
    &operand_data[7766],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_btruncvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5198 },
#else
    { 0, output_5198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx2df },
    &operand_data[7766],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "aarch64_pred_sqrtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5199 },
#else
    { 0, output_5199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx2df },
    &operand_data[7766],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_absvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5200 },
#else
    { 0, output_5200, 0 },
#endif
    { 0 },
    &operand_data[7770],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_negvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5201 },
#else
    { 0, output_5201, 0 },
#endif
    { 0 },
    &operand_data[7770],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_frecpxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5202 },
#else
    { 0, output_5202, 0 },
#endif
    { 0 },
    &operand_data[7770],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_roundvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5203 },
#else
    { 0, output_5203, 0 },
#endif
    { 0 },
    &operand_data[7770],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_nearbyintvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5204 },
#else
    { 0, output_5204, 0 },
#endif
    { 0 },
    &operand_data[7770],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_floorvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5205 },
#else
    { 0, output_5205, 0 },
#endif
    { 0 },
    &operand_data[7770],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_frintnvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5206 },
#else
    { 0, output_5206, 0 },
#endif
    { 0 },
    &operand_data[7770],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_ceilvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5207 },
#else
    { 0, output_5207, 0 },
#endif
    { 0 },
    &operand_data[7770],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_rintvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5208 },
#else
    { 0, output_5208, 0 },
#endif
    { 0 },
    &operand_data[7770],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_btruncvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5209 },
#else
    { 0, output_5209, 0 },
#endif
    { 0 },
    &operand_data[7770],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_sqrtvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5210 },
#else
    { 0, output_5210, 0 },
#endif
    { 0 },
    &operand_data[7770],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_absvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5211 },
#else
    { 0, output_5211, 0 },
#endif
    { 0 },
    &operand_data[7774],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_negvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5212 },
#else
    { 0, output_5212, 0 },
#endif
    { 0 },
    &operand_data[7774],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_frecpxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5213 },
#else
    { 0, output_5213, 0 },
#endif
    { 0 },
    &operand_data[7774],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_roundvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5214 },
#else
    { 0, output_5214, 0 },
#endif
    { 0 },
    &operand_data[7774],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_nearbyintvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5215 },
#else
    { 0, output_5215, 0 },
#endif
    { 0 },
    &operand_data[7774],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_floorvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5216 },
#else
    { 0, output_5216, 0 },
#endif
    { 0 },
    &operand_data[7774],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_frintnvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5217 },
#else
    { 0, output_5217, 0 },
#endif
    { 0 },
    &operand_data[7774],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_ceilvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5218 },
#else
    { 0, output_5218, 0 },
#endif
    { 0 },
    &operand_data[7774],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_rintvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5219 },
#else
    { 0, output_5219, 0 },
#endif
    { 0 },
    &operand_data[7774],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_btruncvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5220 },
#else
    { 0, output_5220, 0 },
#endif
    { 0 },
    &operand_data[7774],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_sqrtvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5221 },
#else
    { 0, output_5221, 0 },
#endif
    { 0 },
    &operand_data[7774],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_absvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5222 },
#else
    { 0, output_5222, 0 },
#endif
    { 0 },
    &operand_data[7778],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_negvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5223 },
#else
    { 0, output_5223, 0 },
#endif
    { 0 },
    &operand_data[7778],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_frecpxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5224 },
#else
    { 0, output_5224, 0 },
#endif
    { 0 },
    &operand_data[7778],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_roundvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5225 },
#else
    { 0, output_5225, 0 },
#endif
    { 0 },
    &operand_data[7778],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_nearbyintvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5226 },
#else
    { 0, output_5226, 0 },
#endif
    { 0 },
    &operand_data[7778],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_floorvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5227 },
#else
    { 0, output_5227, 0 },
#endif
    { 0 },
    &operand_data[7778],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_frintnvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5228 },
#else
    { 0, output_5228, 0 },
#endif
    { 0 },
    &operand_data[7778],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_ceilvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5229 },
#else
    { 0, output_5229, 0 },
#endif
    { 0 },
    &operand_data[7778],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_rintvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5230 },
#else
    { 0, output_5230, 0 },
#endif
    { 0 },
    &operand_data[7778],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_btruncvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5231 },
#else
    { 0, output_5231, 0 },
#endif
    { 0 },
    &operand_data[7778],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3433 */
  {
    "*cond_sqrtvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5232 },
#else
    { 0, output_5232, 0 },
#endif
    { 0 },
    &operand_data[7778],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_absvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5233 },
#else
    { 0, output_5233, 0 },
#endif
    { 0 },
    &operand_data[7758],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_negvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5234 },
#else
    { 0, output_5234, 0 },
#endif
    { 0 },
    &operand_data[7758],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_frecpxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5235 },
#else
    { 0, output_5235, 0 },
#endif
    { 0 },
    &operand_data[7758],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_roundvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5236 },
#else
    { 0, output_5236, 0 },
#endif
    { 0 },
    &operand_data[7758],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_nearbyintvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5237 },
#else
    { 0, output_5237, 0 },
#endif
    { 0 },
    &operand_data[7758],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_floorvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5238 },
#else
    { 0, output_5238, 0 },
#endif
    { 0 },
    &operand_data[7758],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_frintnvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5239 },
#else
    { 0, output_5239, 0 },
#endif
    { 0 },
    &operand_data[7758],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_ceilvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5240 },
#else
    { 0, output_5240, 0 },
#endif
    { 0 },
    &operand_data[7758],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_rintvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5241 },
#else
    { 0, output_5241, 0 },
#endif
    { 0 },
    &operand_data[7758],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_btruncvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5242 },
#else
    { 0, output_5242, 0 },
#endif
    { 0 },
    &operand_data[7758],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_sqrtvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5243 },
#else
    { 0, output_5243, 0 },
#endif
    { 0 },
    &operand_data[7758],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_absvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5244 },
#else
    { 0, output_5244, 0 },
#endif
    { 0 },
    &operand_data[7762],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_negvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5245 },
#else
    { 0, output_5245, 0 },
#endif
    { 0 },
    &operand_data[7762],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_frecpxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5246 },
#else
    { 0, output_5246, 0 },
#endif
    { 0 },
    &operand_data[7762],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_roundvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5247 },
#else
    { 0, output_5247, 0 },
#endif
    { 0 },
    &operand_data[7762],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_nearbyintvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5248 },
#else
    { 0, output_5248, 0 },
#endif
    { 0 },
    &operand_data[7762],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_floorvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5249 },
#else
    { 0, output_5249, 0 },
#endif
    { 0 },
    &operand_data[7762],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_frintnvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5250 },
#else
    { 0, output_5250, 0 },
#endif
    { 0 },
    &operand_data[7762],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_ceilvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5251 },
#else
    { 0, output_5251, 0 },
#endif
    { 0 },
    &operand_data[7762],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_rintvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5252 },
#else
    { 0, output_5252, 0 },
#endif
    { 0 },
    &operand_data[7762],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_btruncvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5253 },
#else
    { 0, output_5253, 0 },
#endif
    { 0 },
    &operand_data[7762],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_sqrtvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5254 },
#else
    { 0, output_5254, 0 },
#endif
    { 0 },
    &operand_data[7762],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_absvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5255 },
#else
    { 0, output_5255, 0 },
#endif
    { 0 },
    &operand_data[7766],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_negvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5256 },
#else
    { 0, output_5256, 0 },
#endif
    { 0 },
    &operand_data[7766],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_frecpxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5257 },
#else
    { 0, output_5257, 0 },
#endif
    { 0 },
    &operand_data[7766],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_roundvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5258 },
#else
    { 0, output_5258, 0 },
#endif
    { 0 },
    &operand_data[7766],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_nearbyintvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5259 },
#else
    { 0, output_5259, 0 },
#endif
    { 0 },
    &operand_data[7766],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_floorvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5260 },
#else
    { 0, output_5260, 0 },
#endif
    { 0 },
    &operand_data[7766],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_frintnvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5261 },
#else
    { 0, output_5261, 0 },
#endif
    { 0 },
    &operand_data[7766],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_ceilvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5262 },
#else
    { 0, output_5262, 0 },
#endif
    { 0 },
    &operand_data[7766],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_rintvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5263 },
#else
    { 0, output_5263, 0 },
#endif
    { 0 },
    &operand_data[7766],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_btruncvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5264 },
#else
    { 0, output_5264, 0 },
#endif
    { 0 },
    &operand_data[7766],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3455 */
  {
    "*cond_sqrtvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5265 },
#else
    { 0, output_5265, 0 },
#endif
    { 0 },
    &operand_data[7766],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_absvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5266 },
#else
    { 0, output_5266, 0 },
#endif
    { 0 },
    &operand_data[7782],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_negvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5267 },
#else
    { 0, output_5267, 0 },
#endif
    { 0 },
    &operand_data[7782],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_frecpxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5268 },
#else
    { 0, output_5268, 0 },
#endif
    { 0 },
    &operand_data[7782],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_roundvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5269 },
#else
    { 0, output_5269, 0 },
#endif
    { 0 },
    &operand_data[7782],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_nearbyintvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5270 },
#else
    { 0, output_5270, 0 },
#endif
    { 0 },
    &operand_data[7782],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_floorvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5271 },
#else
    { 0, output_5271, 0 },
#endif
    { 0 },
    &operand_data[7782],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_frintnvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5272 },
#else
    { 0, output_5272, 0 },
#endif
    { 0 },
    &operand_data[7782],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_ceilvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5273 },
#else
    { 0, output_5273, 0 },
#endif
    { 0 },
    &operand_data[7782],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_rintvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5274 },
#else
    { 0, output_5274, 0 },
#endif
    { 0 },
    &operand_data[7782],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_btruncvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5275 },
#else
    { 0, output_5275, 0 },
#endif
    { 0 },
    &operand_data[7782],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_sqrtvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5276 },
#else
    { 0, output_5276, 0 },
#endif
    { 0 },
    &operand_data[7782],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_absvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5277 },
#else
    { 0, output_5277, 0 },
#endif
    { 0 },
    &operand_data[7787],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_negvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5278 },
#else
    { 0, output_5278, 0 },
#endif
    { 0 },
    &operand_data[7787],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_frecpxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5279 },
#else
    { 0, output_5279, 0 },
#endif
    { 0 },
    &operand_data[7787],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_roundvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5280 },
#else
    { 0, output_5280, 0 },
#endif
    { 0 },
    &operand_data[7787],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_nearbyintvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5281 },
#else
    { 0, output_5281, 0 },
#endif
    { 0 },
    &operand_data[7787],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_floorvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5282 },
#else
    { 0, output_5282, 0 },
#endif
    { 0 },
    &operand_data[7787],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_frintnvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5283 },
#else
    { 0, output_5283, 0 },
#endif
    { 0 },
    &operand_data[7787],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_ceilvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5284 },
#else
    { 0, output_5284, 0 },
#endif
    { 0 },
    &operand_data[7787],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_rintvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5285 },
#else
    { 0, output_5285, 0 },
#endif
    { 0 },
    &operand_data[7787],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_btruncvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5286 },
#else
    { 0, output_5286, 0 },
#endif
    { 0 },
    &operand_data[7787],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_sqrtvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5287 },
#else
    { 0, output_5287, 0 },
#endif
    { 0 },
    &operand_data[7787],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_absvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5288 },
#else
    { 0, output_5288, 0 },
#endif
    { 0 },
    &operand_data[7792],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_negvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5289 },
#else
    { 0, output_5289, 0 },
#endif
    { 0 },
    &operand_data[7792],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_frecpxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5290 },
#else
    { 0, output_5290, 0 },
#endif
    { 0 },
    &operand_data[7792],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_roundvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5291 },
#else
    { 0, output_5291, 0 },
#endif
    { 0 },
    &operand_data[7792],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_nearbyintvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5292 },
#else
    { 0, output_5292, 0 },
#endif
    { 0 },
    &operand_data[7792],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_floorvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5293 },
#else
    { 0, output_5293, 0 },
#endif
    { 0 },
    &operand_data[7792],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_frintnvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5294 },
#else
    { 0, output_5294, 0 },
#endif
    { 0 },
    &operand_data[7792],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_ceilvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5295 },
#else
    { 0, output_5295, 0 },
#endif
    { 0 },
    &operand_data[7792],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_rintvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5296 },
#else
    { 0, output_5296, 0 },
#endif
    { 0 },
    &operand_data[7792],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_btruncvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5297 },
#else
    { 0, output_5297, 0 },
#endif
    { 0 },
    &operand_data[7792],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3481 */
  {
    "*cond_sqrtvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5298 },
#else
    { 0, output_5298, 0 },
#endif
    { 0 },
    &operand_data[7792],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_absvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5299 },
#else
    { 0, output_5299, 0 },
#endif
    { 0 },
    &operand_data[7782],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_negvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5300 },
#else
    { 0, output_5300, 0 },
#endif
    { 0 },
    &operand_data[7782],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_frecpxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5301 },
#else
    { 0, output_5301, 0 },
#endif
    { 0 },
    &operand_data[7782],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_roundvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5302 },
#else
    { 0, output_5302, 0 },
#endif
    { 0 },
    &operand_data[7782],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_nearbyintvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5303 },
#else
    { 0, output_5303, 0 },
#endif
    { 0 },
    &operand_data[7782],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_floorvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5304 },
#else
    { 0, output_5304, 0 },
#endif
    { 0 },
    &operand_data[7782],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_frintnvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5305 },
#else
    { 0, output_5305, 0 },
#endif
    { 0 },
    &operand_data[7782],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_ceilvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5306 },
#else
    { 0, output_5306, 0 },
#endif
    { 0 },
    &operand_data[7782],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_rintvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5307 },
#else
    { 0, output_5307, 0 },
#endif
    { 0 },
    &operand_data[7782],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_btruncvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5308 },
#else
    { 0, output_5308, 0 },
#endif
    { 0 },
    &operand_data[7782],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_sqrtvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5309 },
#else
    { 0, output_5309, 0 },
#endif
    { 0 },
    &operand_data[7782],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_absvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5310 },
#else
    { 0, output_5310, 0 },
#endif
    { 0 },
    &operand_data[7787],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_negvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5311 },
#else
    { 0, output_5311, 0 },
#endif
    { 0 },
    &operand_data[7787],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_frecpxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5312 },
#else
    { 0, output_5312, 0 },
#endif
    { 0 },
    &operand_data[7787],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_roundvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5313 },
#else
    { 0, output_5313, 0 },
#endif
    { 0 },
    &operand_data[7787],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_nearbyintvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5314 },
#else
    { 0, output_5314, 0 },
#endif
    { 0 },
    &operand_data[7787],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_floorvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5315 },
#else
    { 0, output_5315, 0 },
#endif
    { 0 },
    &operand_data[7787],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_frintnvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5316 },
#else
    { 0, output_5316, 0 },
#endif
    { 0 },
    &operand_data[7787],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_ceilvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5317 },
#else
    { 0, output_5317, 0 },
#endif
    { 0 },
    &operand_data[7787],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_rintvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5318 },
#else
    { 0, output_5318, 0 },
#endif
    { 0 },
    &operand_data[7787],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_btruncvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5319 },
#else
    { 0, output_5319, 0 },
#endif
    { 0 },
    &operand_data[7787],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_sqrtvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5320 },
#else
    { 0, output_5320, 0 },
#endif
    { 0 },
    &operand_data[7787],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_absvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5321 },
#else
    { 0, output_5321, 0 },
#endif
    { 0 },
    &operand_data[7792],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_negvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5322 },
#else
    { 0, output_5322, 0 },
#endif
    { 0 },
    &operand_data[7792],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_frecpxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5323 },
#else
    { 0, output_5323, 0 },
#endif
    { 0 },
    &operand_data[7792],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_roundvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5324 },
#else
    { 0, output_5324, 0 },
#endif
    { 0 },
    &operand_data[7792],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_nearbyintvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5325 },
#else
    { 0, output_5325, 0 },
#endif
    { 0 },
    &operand_data[7792],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_floorvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5326 },
#else
    { 0, output_5326, 0 },
#endif
    { 0 },
    &operand_data[7792],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_frintnvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5327 },
#else
    { 0, output_5327, 0 },
#endif
    { 0 },
    &operand_data[7792],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_ceilvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5328 },
#else
    { 0, output_5328, 0 },
#endif
    { 0 },
    &operand_data[7792],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_rintvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5329 },
#else
    { 0, output_5329, 0 },
#endif
    { 0 },
    &operand_data[7792],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_btruncvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5330 },
#else
    { 0, output_5330, 0 },
#endif
    { 0 },
    &operand_data[7792],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3504 */
  {
    "*cond_sqrtvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5331 },
#else
    { 0, output_5331, 0 },
#endif
    { 0 },
    &operand_data[7792],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3593 */
  {
    "*one_cmplvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7797],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3593 */
  {
    "*one_cmplvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3593 */
  {
    "*one_cmplvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3593 */
  {
    "*one_cmplvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5336 },
#else
    { 0, output_5336, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx16qi },
    &operand_data[7809],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5337 },
#else
    { 0, output_5337, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx16qi },
    &operand_data[7809],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5338 },
#else
    { 0, output_5338, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx16qi },
    &operand_data[7809],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5339 },
#else
    { 0, output_5339, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx16qi },
    &operand_data[7813],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5340 },
#else
    { 0, output_5340, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx16qi },
    &operand_data[7813],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5341 },
#else
    { 0, output_5341, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8qi },
    &operand_data[7817],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5342 },
#else
    { 0, output_5342, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8qi },
    &operand_data[7817],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5343 },
#else
    { 0, output_5343, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8qi },
    &operand_data[7817],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5344 },
#else
    { 0, output_5344, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx8qi },
    &operand_data[7821],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5345 },
#else
    { 0, output_5345, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx8qi },
    &operand_data[7821],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5346 },
#else
    { 0, output_5346, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4qi },
    &operand_data[7825],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5347 },
#else
    { 0, output_5347, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4qi },
    &operand_data[7825],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5348 },
#else
    { 0, output_5348, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4qi },
    &operand_data[7825],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5349 },
#else
    { 0, output_5349, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx4qi },
    &operand_data[7829],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5350 },
#else
    { 0, output_5350, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx4qi },
    &operand_data[7829],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5351 },
#else
    { 0, output_5351, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2qi },
    &operand_data[7833],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5352 },
#else
    { 0, output_5352, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2qi },
    &operand_data[7833],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5353 },
#else
    { 0, output_5353, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2qi },
    &operand_data[7833],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5354 },
#else
    { 0, output_5354, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2qi },
    &operand_data[7837],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5355 },
#else
    { 0, output_5355, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2qi },
    &operand_data[7837],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5356 },
#else
    { 0, output_5356, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8hi },
    &operand_data[7841],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5357 },
#else
    { 0, output_5357, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8hi },
    &operand_data[7841],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5358 },
#else
    { 0, output_5358, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8hi },
    &operand_data[7841],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5359 },
#else
    { 0, output_5359, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx8hi },
    &operand_data[7845],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5360 },
#else
    { 0, output_5360, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx8hi },
    &operand_data[7845],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5361 },
#else
    { 0, output_5361, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4hi },
    &operand_data[7849],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5362 },
#else
    { 0, output_5362, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4hi },
    &operand_data[7849],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5363 },
#else
    { 0, output_5363, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4hi },
    &operand_data[7849],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5364 },
#else
    { 0, output_5364, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx4hi },
    &operand_data[7853],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5365 },
#else
    { 0, output_5365, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx4hi },
    &operand_data[7853],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5366 },
#else
    { 0, output_5366, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2hi },
    &operand_data[7857],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5367 },
#else
    { 0, output_5367, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2hi },
    &operand_data[7857],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5368 },
#else
    { 0, output_5368, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2hi },
    &operand_data[7857],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5369 },
#else
    { 0, output_5369, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2hi },
    &operand_data[7861],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5370 },
#else
    { 0, output_5370, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2hi },
    &operand_data[7861],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5371 },
#else
    { 0, output_5371, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4si },
    &operand_data[7865],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5372 },
#else
    { 0, output_5372, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4si },
    &operand_data[7865],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5373 },
#else
    { 0, output_5373, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4si },
    &operand_data[7865],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5374 },
#else
    { 0, output_5374, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx4si },
    &operand_data[7869],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5375 },
#else
    { 0, output_5375, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx4si },
    &operand_data[7869],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5376 },
#else
    { 0, output_5376, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2si },
    &operand_data[7873],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5377 },
#else
    { 0, output_5377, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2si },
    &operand_data[7873],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5378 },
#else
    { 0, output_5378, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2si },
    &operand_data[7873],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5379 },
#else
    { 0, output_5379, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2si },
    &operand_data[7877],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5380 },
#else
    { 0, output_5380, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2si },
    &operand_data[7877],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_mulvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5381 },
#else
    { 0, output_5381, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2di },
    &operand_data[7881],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_smaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5382 },
#else
    { 0, output_5382, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2di },
    &operand_data[7881],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_sminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5383 },
#else
    { 0, output_5383, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2di },
    &operand_data[7881],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_umaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5384 },
#else
    { 0, output_5384, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2di },
    &operand_data[7885],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3649 */
  {
    "aarch64_pred_uminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5385 },
#else
    { 0, output_5385, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2di },
    &operand_data[7885],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5386 },
#else
    { 0, output_5386, 0 },
#endif
    { 0 },
    &operand_data[7889],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5387 },
#else
    { 0, output_5387, 0 },
#endif
    { 0 },
    &operand_data[7889],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5388 },
#else
    { 0, output_5388, 0 },
#endif
    { 0 },
    &operand_data[7889],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5389 },
#else
    { 0, output_5389, 0 },
#endif
    { 0 },
    &operand_data[7892],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5390 },
#else
    { 0, output_5390, 0 },
#endif
    { 0 },
    &operand_data[7892],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5391 },
#else
    { 0, output_5391, 0 },
#endif
    { 0 },
    &operand_data[7895],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5392 },
#else
    { 0, output_5392, 0 },
#endif
    { 0 },
    &operand_data[7895],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5393 },
#else
    { 0, output_5393, 0 },
#endif
    { 0 },
    &operand_data[7895],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5394 },
#else
    { 0, output_5394, 0 },
#endif
    { 0 },
    &operand_data[7898],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5395 },
#else
    { 0, output_5395, 0 },
#endif
    { 0 },
    &operand_data[7898],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5396 },
#else
    { 0, output_5396, 0 },
#endif
    { 0 },
    &operand_data[7901],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5397 },
#else
    { 0, output_5397, 0 },
#endif
    { 0 },
    &operand_data[7901],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5398 },
#else
    { 0, output_5398, 0 },
#endif
    { 0 },
    &operand_data[7901],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5399 },
#else
    { 0, output_5399, 0 },
#endif
    { 0 },
    &operand_data[7904],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5400 },
#else
    { 0, output_5400, 0 },
#endif
    { 0 },
    &operand_data[7904],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5401 },
#else
    { 0, output_5401, 0 },
#endif
    { 0 },
    &operand_data[7907],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5402 },
#else
    { 0, output_5402, 0 },
#endif
    { 0 },
    &operand_data[7907],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5403 },
#else
    { 0, output_5403, 0 },
#endif
    { 0 },
    &operand_data[7907],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5404 },
#else
    { 0, output_5404, 0 },
#endif
    { 0 },
    &operand_data[7910],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5405 },
#else
    { 0, output_5405, 0 },
#endif
    { 0 },
    &operand_data[7910],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5406 },
#else
    { 0, output_5406, 0 },
#endif
    { 0 },
    &operand_data[7913],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5407 },
#else
    { 0, output_5407, 0 },
#endif
    { 0 },
    &operand_data[7913],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5408 },
#else
    { 0, output_5408, 0 },
#endif
    { 0 },
    &operand_data[7913],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5409 },
#else
    { 0, output_5409, 0 },
#endif
    { 0 },
    &operand_data[7916],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5410 },
#else
    { 0, output_5410, 0 },
#endif
    { 0 },
    &operand_data[7916],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5411 },
#else
    { 0, output_5411, 0 },
#endif
    { 0 },
    &operand_data[7919],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5412 },
#else
    { 0, output_5412, 0 },
#endif
    { 0 },
    &operand_data[7919],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5413 },
#else
    { 0, output_5413, 0 },
#endif
    { 0 },
    &operand_data[7919],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5414 },
#else
    { 0, output_5414, 0 },
#endif
    { 0 },
    &operand_data[7922],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5415 },
#else
    { 0, output_5415, 0 },
#endif
    { 0 },
    &operand_data[7922],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5416 },
#else
    { 0, output_5416, 0 },
#endif
    { 0 },
    &operand_data[7925],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5417 },
#else
    { 0, output_5417, 0 },
#endif
    { 0 },
    &operand_data[7925],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5418 },
#else
    { 0, output_5418, 0 },
#endif
    { 0 },
    &operand_data[7925],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5419 },
#else
    { 0, output_5419, 0 },
#endif
    { 0 },
    &operand_data[7928],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5420 },
#else
    { 0, output_5420, 0 },
#endif
    { 0 },
    &operand_data[7928],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5421 },
#else
    { 0, output_5421, 0 },
#endif
    { 0 },
    &operand_data[7931],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5422 },
#else
    { 0, output_5422, 0 },
#endif
    { 0 },
    &operand_data[7931],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5423 },
#else
    { 0, output_5423, 0 },
#endif
    { 0 },
    &operand_data[7931],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5424 },
#else
    { 0, output_5424, 0 },
#endif
    { 0 },
    &operand_data[7934],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5425 },
#else
    { 0, output_5425, 0 },
#endif
    { 0 },
    &operand_data[7934],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5426 },
#else
    { 0, output_5426, 0 },
#endif
    { 0 },
    &operand_data[7937],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5427 },
#else
    { 0, output_5427, 0 },
#endif
    { 0 },
    &operand_data[7937],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5428 },
#else
    { 0, output_5428, 0 },
#endif
    { 0 },
    &operand_data[7937],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5429 },
#else
    { 0, output_5429, 0 },
#endif
    { 0 },
    &operand_data[7940],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5430 },
#else
    { 0, output_5430, 0 },
#endif
    { 0 },
    &operand_data[7940],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_mulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5431 },
#else
    { 0, output_5431, 0 },
#endif
    { 0 },
    &operand_data[7943],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_smaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5432 },
#else
    { 0, output_5432, 0 },
#endif
    { 0 },
    &operand_data[7943],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_sminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5433 },
#else
    { 0, output_5433, 0 },
#endif
    { 0 },
    &operand_data[7943],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_umaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5434 },
#else
    { 0, output_5434, 0 },
#endif
    { 0 },
    &operand_data[7946],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3676 */
  {
    "*post_ra_uminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5435 },
#else
    { 0, output_5435, 0 },
#endif
    { 0 },
    &operand_data[7946],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5436 },
#else
    { 0, output_5436, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5437 },
#else
    { 0, output_5437, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5438 },
#else
    { 0, output_5438, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5439 },
#else
    { 0, output_5439, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5440 },
#else
    { 0, output_5440, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5441 },
#else
    { 0, output_5441, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5442 },
#else
    { 0, output_5442, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5443 },
#else
    { 0, output_5443, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5444 },
#else
    { 0, output_5444, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5445 },
#else
    { 0, output_5445, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5446 },
#else
    { 0, output_5446, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5447 },
#else
    { 0, output_5447, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5448 },
#else
    { 0, output_5448, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5449 },
#else
    { 0, output_5449, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5450 },
#else
    { 0, output_5450, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5451 },
#else
    { 0, output_5451, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5452 },
#else
    { 0, output_5452, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5453 },
#else
    { 0, output_5453, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5454 },
#else
    { 0, output_5454, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5455 },
#else
    { 0, output_5455, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5456 },
#else
    { 0, output_5456, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5457 },
#else
    { 0, output_5457, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5458 },
#else
    { 0, output_5458, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5459 },
#else
    { 0, output_5459, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5460 },
#else
    { 0, output_5460, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5461 },
#else
    { 0, output_5461, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5462 },
#else
    { 0, output_5462, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5463 },
#else
    { 0, output_5463, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5464 },
#else
    { 0, output_5464, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5465 },
#else
    { 0, output_5465, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5466 },
#else
    { 0, output_5466, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5467 },
#else
    { 0, output_5467, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5468 },
#else
    { 0, output_5468, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5469 },
#else
    { 0, output_5469, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5470 },
#else
    { 0, output_5470, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5471 },
#else
    { 0, output_5471, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5472 },
#else
    { 0, output_5472, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5473 },
#else
    { 0, output_5473, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5474 },
#else
    { 0, output_5474, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5475 },
#else
    { 0, output_5475, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5476 },
#else
    { 0, output_5476, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5477 },
#else
    { 0, output_5477, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5478 },
#else
    { 0, output_5478, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5479 },
#else
    { 0, output_5479, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5480 },
#else
    { 0, output_5480, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5481 },
#else
    { 0, output_5481, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5482 },
#else
    { 0, output_5482, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5483 },
#else
    { 0, output_5483, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5484 },
#else
    { 0, output_5484, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5485 },
#else
    { 0, output_5485, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5486 },
#else
    { 0, output_5486, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5487 },
#else
    { 0, output_5487, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5488 },
#else
    { 0, output_5488, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5489 },
#else
    { 0, output_5489, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5490 },
#else
    { 0, output_5490, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5491 },
#else
    { 0, output_5491, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5492 },
#else
    { 0, output_5492, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5493 },
#else
    { 0, output_5493, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5494 },
#else
    { 0, output_5494, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5495 },
#else
    { 0, output_5495, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5496 },
#else
    { 0, output_5496, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5497 },
#else
    { 0, output_5497, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5498 },
#else
    { 0, output_5498, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5499 },
#else
    { 0, output_5499, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5500 },
#else
    { 0, output_5500, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5501 },
#else
    { 0, output_5501, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5502 },
#else
    { 0, output_5502, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5503 },
#else
    { 0, output_5503, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5504 },
#else
    { 0, output_5504, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5505 },
#else
    { 0, output_5505, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5506 },
#else
    { 0, output_5506, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5507 },
#else
    { 0, output_5507, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5508 },
#else
    { 0, output_5508, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5509 },
#else
    { 0, output_5509, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5510 },
#else
    { 0, output_5510, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5511 },
#else
    { 0, output_5511, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5512 },
#else
    { 0, output_5512, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5513 },
#else
    { 0, output_5513, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5514 },
#else
    { 0, output_5514, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5515 },
#else
    { 0, output_5515, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5516 },
#else
    { 0, output_5516, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5517 },
#else
    { 0, output_5517, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5518 },
#else
    { 0, output_5518, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5519 },
#else
    { 0, output_5519, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5520 },
#else
    { 0, output_5520, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5521 },
#else
    { 0, output_5521, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5522 },
#else
    { 0, output_5522, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5523 },
#else
    { 0, output_5523, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5524 },
#else
    { 0, output_5524, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5525 },
#else
    { 0, output_5525, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5526 },
#else
    { 0, output_5526, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5527 },
#else
    { 0, output_5527, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5528 },
#else
    { 0, output_5528, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5529 },
#else
    { 0, output_5529, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5530 },
#else
    { 0, output_5530, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5531 },
#else
    { 0, output_5531, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5532 },
#else
    { 0, output_5532, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5533 },
#else
    { 0, output_5533, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5534 },
#else
    { 0, output_5534, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5535 },
#else
    { 0, output_5535, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5536 },
#else
    { 0, output_5536, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5537 },
#else
    { 0, output_5537, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5538 },
#else
    { 0, output_5538, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5539 },
#else
    { 0, output_5539, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5540 },
#else
    { 0, output_5540, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5541 },
#else
    { 0, output_5541, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5542 },
#else
    { 0, output_5542, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5543 },
#else
    { 0, output_5543, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5544 },
#else
    { 0, output_5544, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5545 },
#else
    { 0, output_5545, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5546 },
#else
    { 0, output_5546, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5547 },
#else
    { 0, output_5547, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5548 },
#else
    { 0, output_5548, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5549 },
#else
    { 0, output_5549, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5550 },
#else
    { 0, output_5550, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5551 },
#else
    { 0, output_5551, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5552 },
#else
    { 0, output_5552, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5553 },
#else
    { 0, output_5553, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5554 },
#else
    { 0, output_5554, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5555 },
#else
    { 0, output_5555, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5556 },
#else
    { 0, output_5556, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5557 },
#else
    { 0, output_5557, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5558 },
#else
    { 0, output_5558, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5559 },
#else
    { 0, output_5559, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5560 },
#else
    { 0, output_5560, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5561 },
#else
    { 0, output_5561, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5562 },
#else
    { 0, output_5562, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5563 },
#else
    { 0, output_5563, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5564 },
#else
    { 0, output_5564, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5565 },
#else
    { 0, output_5565, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5566 },
#else
    { 0, output_5566, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5567 },
#else
    { 0, output_5567, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5568 },
#else
    { 0, output_5568, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5569 },
#else
    { 0, output_5569, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5570 },
#else
    { 0, output_5570, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5571 },
#else
    { 0, output_5571, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5572 },
#else
    { 0, output_5572, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5573 },
#else
    { 0, output_5573, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5574 },
#else
    { 0, output_5574, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5575 },
#else
    { 0, output_5575, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5576 },
#else
    { 0, output_5576, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5577 },
#else
    { 0, output_5577, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5578 },
#else
    { 0, output_5578, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5579 },
#else
    { 0, output_5579, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5580 },
#else
    { 0, output_5580, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5581 },
#else
    { 0, output_5581, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5582 },
#else
    { 0, output_5582, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5583 },
#else
    { 0, output_5583, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5584 },
#else
    { 0, output_5584, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5585 },
#else
    { 0, output_5585, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5586 },
#else
    { 0, output_5586, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5587 },
#else
    { 0, output_5587, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5588 },
#else
    { 0, output_5588, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_addvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5589 },
#else
    { 0, output_5589, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_subvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5590 },
#else
    { 0, output_5590, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_mulvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5591 },
#else
    { 0, output_5591, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_smaxvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5592 },
#else
    { 0, output_5592, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_umaxvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5593 },
#else
    { 0, output_5593, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sminvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5594 },
#else
    { 0, output_5594, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_uminvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5595 },
#else
    { 0, output_5595, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5596 },
#else
    { 0, output_5596, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ashrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5597 },
#else
    { 0, output_5597, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_lshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5598 },
#else
    { 0, output_5598, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_andvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5599 },
#else
    { 0, output_5599, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_iorvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5600 },
#else
    { 0, output_5600, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_xorvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5601 },
#else
    { 0, output_5601, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ssaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5602 },
#else
    { 0, output_5602, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_usaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5603 },
#else
    { 0, output_5603, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_sssubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5604 },
#else
    { 0, output_5604, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3702 */
  {
    "*cond_ussubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5605 },
#else
    { 0, output_5605, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5606 },
#else
    { 0, output_5606, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5607 },
#else
    { 0, output_5607, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5608 },
#else
    { 0, output_5608, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5609 },
#else
    { 0, output_5609, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5610 },
#else
    { 0, output_5610, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5611 },
#else
    { 0, output_5611, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5612 },
#else
    { 0, output_5612, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5613 },
#else
    { 0, output_5613, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5614 },
#else
    { 0, output_5614, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5615 },
#else
    { 0, output_5615, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5616 },
#else
    { 0, output_5616, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5617 },
#else
    { 0, output_5617, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5618 },
#else
    { 0, output_5618, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5619 },
#else
    { 0, output_5619, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5620 },
#else
    { 0, output_5620, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5621 },
#else
    { 0, output_5621, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5622 },
#else
    { 0, output_5622, 0 },
#endif
    { 0 },
    &operand_data[7989],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5623 },
#else
    { 0, output_5623, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5624 },
#else
    { 0, output_5624, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5625 },
#else
    { 0, output_5625, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5626 },
#else
    { 0, output_5626, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5627 },
#else
    { 0, output_5627, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5628 },
#else
    { 0, output_5628, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5629 },
#else
    { 0, output_5629, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5630 },
#else
    { 0, output_5630, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5631 },
#else
    { 0, output_5631, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5632 },
#else
    { 0, output_5632, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5633 },
#else
    { 0, output_5633, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5634 },
#else
    { 0, output_5634, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5635 },
#else
    { 0, output_5635, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5636 },
#else
    { 0, output_5636, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5637 },
#else
    { 0, output_5637, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5638 },
#else
    { 0, output_5638, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5639 },
#else
    { 0, output_5639, 0 },
#endif
    { 0 },
    &operand_data[7993],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5640 },
#else
    { 0, output_5640, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5641 },
#else
    { 0, output_5641, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5642 },
#else
    { 0, output_5642, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5643 },
#else
    { 0, output_5643, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5644 },
#else
    { 0, output_5644, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5645 },
#else
    { 0, output_5645, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5646 },
#else
    { 0, output_5646, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5647 },
#else
    { 0, output_5647, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5648 },
#else
    { 0, output_5648, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5649 },
#else
    { 0, output_5649, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5650 },
#else
    { 0, output_5650, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5651 },
#else
    { 0, output_5651, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5652 },
#else
    { 0, output_5652, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5653 },
#else
    { 0, output_5653, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5654 },
#else
    { 0, output_5654, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5655 },
#else
    { 0, output_5655, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5656 },
#else
    { 0, output_5656, 0 },
#endif
    { 0 },
    &operand_data[7997],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5657 },
#else
    { 0, output_5657, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5658 },
#else
    { 0, output_5658, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5659 },
#else
    { 0, output_5659, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5660 },
#else
    { 0, output_5660, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5661 },
#else
    { 0, output_5661, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5662 },
#else
    { 0, output_5662, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5663 },
#else
    { 0, output_5663, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5664 },
#else
    { 0, output_5664, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5665 },
#else
    { 0, output_5665, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5666 },
#else
    { 0, output_5666, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5667 },
#else
    { 0, output_5667, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5668 },
#else
    { 0, output_5668, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5669 },
#else
    { 0, output_5669, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5670 },
#else
    { 0, output_5670, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5671 },
#else
    { 0, output_5671, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5672 },
#else
    { 0, output_5672, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5673 },
#else
    { 0, output_5673, 0 },
#endif
    { 0 },
    &operand_data[8001],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5674 },
#else
    { 0, output_5674, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5675 },
#else
    { 0, output_5675, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5676 },
#else
    { 0, output_5676, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5677 },
#else
    { 0, output_5677, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5678 },
#else
    { 0, output_5678, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5679 },
#else
    { 0, output_5679, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5680 },
#else
    { 0, output_5680, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5681 },
#else
    { 0, output_5681, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5682 },
#else
    { 0, output_5682, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5683 },
#else
    { 0, output_5683, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5684 },
#else
    { 0, output_5684, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5685 },
#else
    { 0, output_5685, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5686 },
#else
    { 0, output_5686, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5687 },
#else
    { 0, output_5687, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5688 },
#else
    { 0, output_5688, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5689 },
#else
    { 0, output_5689, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5690 },
#else
    { 0, output_5690, 0 },
#endif
    { 0 },
    &operand_data[8005],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5691 },
#else
    { 0, output_5691, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5692 },
#else
    { 0, output_5692, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5693 },
#else
    { 0, output_5693, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5694 },
#else
    { 0, output_5694, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5695 },
#else
    { 0, output_5695, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5696 },
#else
    { 0, output_5696, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5697 },
#else
    { 0, output_5697, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5698 },
#else
    { 0, output_5698, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5699 },
#else
    { 0, output_5699, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5700 },
#else
    { 0, output_5700, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5701 },
#else
    { 0, output_5701, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5702 },
#else
    { 0, output_5702, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5703 },
#else
    { 0, output_5703, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5704 },
#else
    { 0, output_5704, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5705 },
#else
    { 0, output_5705, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5706 },
#else
    { 0, output_5706, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5707 },
#else
    { 0, output_5707, 0 },
#endif
    { 0 },
    &operand_data[8009],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5708 },
#else
    { 0, output_5708, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5709 },
#else
    { 0, output_5709, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5710 },
#else
    { 0, output_5710, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5711 },
#else
    { 0, output_5711, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5712 },
#else
    { 0, output_5712, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5713 },
#else
    { 0, output_5713, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5714 },
#else
    { 0, output_5714, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5715 },
#else
    { 0, output_5715, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5716 },
#else
    { 0, output_5716, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5717 },
#else
    { 0, output_5717, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5718 },
#else
    { 0, output_5718, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5719 },
#else
    { 0, output_5719, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5720 },
#else
    { 0, output_5720, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5721 },
#else
    { 0, output_5721, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5722 },
#else
    { 0, output_5722, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5723 },
#else
    { 0, output_5723, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5724 },
#else
    { 0, output_5724, 0 },
#endif
    { 0 },
    &operand_data[8013],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5725 },
#else
    { 0, output_5725, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5726 },
#else
    { 0, output_5726, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5727 },
#else
    { 0, output_5727, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5728 },
#else
    { 0, output_5728, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5729 },
#else
    { 0, output_5729, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5730 },
#else
    { 0, output_5730, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5731 },
#else
    { 0, output_5731, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5732 },
#else
    { 0, output_5732, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5733 },
#else
    { 0, output_5733, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5734 },
#else
    { 0, output_5734, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5735 },
#else
    { 0, output_5735, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5736 },
#else
    { 0, output_5736, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5737 },
#else
    { 0, output_5737, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5738 },
#else
    { 0, output_5738, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5739 },
#else
    { 0, output_5739, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5740 },
#else
    { 0, output_5740, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5741 },
#else
    { 0, output_5741, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5742 },
#else
    { 0, output_5742, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5743 },
#else
    { 0, output_5743, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5744 },
#else
    { 0, output_5744, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5745 },
#else
    { 0, output_5745, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5746 },
#else
    { 0, output_5746, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5747 },
#else
    { 0, output_5747, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5748 },
#else
    { 0, output_5748, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5749 },
#else
    { 0, output_5749, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5750 },
#else
    { 0, output_5750, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5751 },
#else
    { 0, output_5751, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5752 },
#else
    { 0, output_5752, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5753 },
#else
    { 0, output_5753, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5754 },
#else
    { 0, output_5754, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5755 },
#else
    { 0, output_5755, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5756 },
#else
    { 0, output_5756, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5757 },
#else
    { 0, output_5757, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5758 },
#else
    { 0, output_5758, 0 },
#endif
    { 0 },
    &operand_data[8021],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_addvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5759 },
#else
    { 0, output_5759, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_subvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5760 },
#else
    { 0, output_5760, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_mulvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5761 },
#else
    { 0, output_5761, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_smaxvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5762 },
#else
    { 0, output_5762, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_umaxvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5763 },
#else
    { 0, output_5763, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sminvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5764 },
#else
    { 0, output_5764, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_uminvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5765 },
#else
    { 0, output_5765, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5766 },
#else
    { 0, output_5766, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ashrvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5767 },
#else
    { 0, output_5767, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_lshrvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5768 },
#else
    { 0, output_5768, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_andvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5769 },
#else
    { 0, output_5769, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_iorvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5770 },
#else
    { 0, output_5770, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_xorvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5771 },
#else
    { 0, output_5771, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ssaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5772 },
#else
    { 0, output_5772, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_usaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5773 },
#else
    { 0, output_5773, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_sssubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5774 },
#else
    { 0, output_5774, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3719 */
  {
    "*cond_ussubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5775 },
#else
    { 0, output_5775, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5776 },
#else
    { 0, output_5776, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5777 },
#else
    { 0, output_5777, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5778 },
#else
    { 0, output_5778, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5779 },
#else
    { 0, output_5779, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5780 },
#else
    { 0, output_5780, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5781 },
#else
    { 0, output_5781, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5782 },
#else
    { 0, output_5782, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5783 },
#else
    { 0, output_5783, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5784 },
#else
    { 0, output_5784, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5785 },
#else
    { 0, output_5785, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5786 },
#else
    { 0, output_5786, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5787 },
#else
    { 0, output_5787, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5788 },
#else
    { 0, output_5788, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5789 },
#else
    { 0, output_5789, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5790 },
#else
    { 0, output_5790, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5791 },
#else
    { 0, output_5791, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5792 },
#else
    { 0, output_5792, 0 },
#endif
    { 0 },
    &operand_data[8029],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5793 },
#else
    { 0, output_5793, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5794 },
#else
    { 0, output_5794, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5795 },
#else
    { 0, output_5795, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5796 },
#else
    { 0, output_5796, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5797 },
#else
    { 0, output_5797, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5798 },
#else
    { 0, output_5798, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5799 },
#else
    { 0, output_5799, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5800 },
#else
    { 0, output_5800, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5801 },
#else
    { 0, output_5801, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5802 },
#else
    { 0, output_5802, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5803 },
#else
    { 0, output_5803, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5804 },
#else
    { 0, output_5804, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5805 },
#else
    { 0, output_5805, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5806 },
#else
    { 0, output_5806, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5807 },
#else
    { 0, output_5807, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5808 },
#else
    { 0, output_5808, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5809 },
#else
    { 0, output_5809, 0 },
#endif
    { 0 },
    &operand_data[8034],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5810 },
#else
    { 0, output_5810, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5811 },
#else
    { 0, output_5811, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5812 },
#else
    { 0, output_5812, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5813 },
#else
    { 0, output_5813, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5814 },
#else
    { 0, output_5814, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5815 },
#else
    { 0, output_5815, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5816 },
#else
    { 0, output_5816, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5817 },
#else
    { 0, output_5817, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5818 },
#else
    { 0, output_5818, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5819 },
#else
    { 0, output_5819, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5820 },
#else
    { 0, output_5820, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5821 },
#else
    { 0, output_5821, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5822 },
#else
    { 0, output_5822, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5823 },
#else
    { 0, output_5823, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5824 },
#else
    { 0, output_5824, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5825 },
#else
    { 0, output_5825, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5826 },
#else
    { 0, output_5826, 0 },
#endif
    { 0 },
    &operand_data[8039],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5827 },
#else
    { 0, output_5827, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5828 },
#else
    { 0, output_5828, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5829 },
#else
    { 0, output_5829, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5830 },
#else
    { 0, output_5830, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5831 },
#else
    { 0, output_5831, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5832 },
#else
    { 0, output_5832, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5833 },
#else
    { 0, output_5833, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5834 },
#else
    { 0, output_5834, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5835 },
#else
    { 0, output_5835, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5836 },
#else
    { 0, output_5836, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5837 },
#else
    { 0, output_5837, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5838 },
#else
    { 0, output_5838, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5839 },
#else
    { 0, output_5839, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5840 },
#else
    { 0, output_5840, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5841 },
#else
    { 0, output_5841, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5842 },
#else
    { 0, output_5842, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5843 },
#else
    { 0, output_5843, 0 },
#endif
    { 0 },
    &operand_data[8044],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5844 },
#else
    { 0, output_5844, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5845 },
#else
    { 0, output_5845, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5846 },
#else
    { 0, output_5846, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5847 },
#else
    { 0, output_5847, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5848 },
#else
    { 0, output_5848, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5849 },
#else
    { 0, output_5849, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5850 },
#else
    { 0, output_5850, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5851 },
#else
    { 0, output_5851, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5852 },
#else
    { 0, output_5852, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5853 },
#else
    { 0, output_5853, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5854 },
#else
    { 0, output_5854, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5855 },
#else
    { 0, output_5855, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5856 },
#else
    { 0, output_5856, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5857 },
#else
    { 0, output_5857, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5858 },
#else
    { 0, output_5858, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5859 },
#else
    { 0, output_5859, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5860 },
#else
    { 0, output_5860, 0 },
#endif
    { 0 },
    &operand_data[8049],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5861 },
#else
    { 0, output_5861, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5862 },
#else
    { 0, output_5862, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5863 },
#else
    { 0, output_5863, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5864 },
#else
    { 0, output_5864, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5865 },
#else
    { 0, output_5865, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5866 },
#else
    { 0, output_5866, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5867 },
#else
    { 0, output_5867, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5868 },
#else
    { 0, output_5868, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5869 },
#else
    { 0, output_5869, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5870 },
#else
    { 0, output_5870, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5871 },
#else
    { 0, output_5871, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5872 },
#else
    { 0, output_5872, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5873 },
#else
    { 0, output_5873, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5874 },
#else
    { 0, output_5874, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5875 },
#else
    { 0, output_5875, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5876 },
#else
    { 0, output_5876, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5877 },
#else
    { 0, output_5877, 0 },
#endif
    { 0 },
    &operand_data[8054],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5878 },
#else
    { 0, output_5878, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5879 },
#else
    { 0, output_5879, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5880 },
#else
    { 0, output_5880, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5881 },
#else
    { 0, output_5881, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5882 },
#else
    { 0, output_5882, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5883 },
#else
    { 0, output_5883, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5884 },
#else
    { 0, output_5884, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5885 },
#else
    { 0, output_5885, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5886 },
#else
    { 0, output_5886, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5887 },
#else
    { 0, output_5887, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5888 },
#else
    { 0, output_5888, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5889 },
#else
    { 0, output_5889, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5890 },
#else
    { 0, output_5890, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5891 },
#else
    { 0, output_5891, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5892 },
#else
    { 0, output_5892, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5893 },
#else
    { 0, output_5893, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5894 },
#else
    { 0, output_5894, 0 },
#endif
    { 0 },
    &operand_data[8059],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5895 },
#else
    { 0, output_5895, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5896 },
#else
    { 0, output_5896, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5897 },
#else
    { 0, output_5897, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5898 },
#else
    { 0, output_5898, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5899 },
#else
    { 0, output_5899, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5900 },
#else
    { 0, output_5900, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5901 },
#else
    { 0, output_5901, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5902 },
#else
    { 0, output_5902, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5903 },
#else
    { 0, output_5903, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5904 },
#else
    { 0, output_5904, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5905 },
#else
    { 0, output_5905, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5906 },
#else
    { 0, output_5906, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5907 },
#else
    { 0, output_5907, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5908 },
#else
    { 0, output_5908, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5909 },
#else
    { 0, output_5909, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5910 },
#else
    { 0, output_5910, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5911 },
#else
    { 0, output_5911, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5912 },
#else
    { 0, output_5912, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5913 },
#else
    { 0, output_5913, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5914 },
#else
    { 0, output_5914, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5915 },
#else
    { 0, output_5915, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5916 },
#else
    { 0, output_5916, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5917 },
#else
    { 0, output_5917, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5918 },
#else
    { 0, output_5918, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5919 },
#else
    { 0, output_5919, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5920 },
#else
    { 0, output_5920, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5921 },
#else
    { 0, output_5921, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5922 },
#else
    { 0, output_5922, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5923 },
#else
    { 0, output_5923, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5924 },
#else
    { 0, output_5924, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5925 },
#else
    { 0, output_5925, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5926 },
#else
    { 0, output_5926, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5927 },
#else
    { 0, output_5927, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5928 },
#else
    { 0, output_5928, 0 },
#endif
    { 0 },
    &operand_data[8069],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_addvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5929 },
#else
    { 0, output_5929, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_subvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5930 },
#else
    { 0, output_5930, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_mulvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5931 },
#else
    { 0, output_5931, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_smaxvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5932 },
#else
    { 0, output_5932, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_umaxvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5933 },
#else
    { 0, output_5933, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sminvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5934 },
#else
    { 0, output_5934, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_uminvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5935 },
#else
    { 0, output_5935, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5936 },
#else
    { 0, output_5936, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ashrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5937 },
#else
    { 0, output_5937, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_lshrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5938 },
#else
    { 0, output_5938, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_andvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5939 },
#else
    { 0, output_5939, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_iorvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5940 },
#else
    { 0, output_5940, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_xorvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5941 },
#else
    { 0, output_5941, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ssaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5942 },
#else
    { 0, output_5942, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_usaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5943 },
#else
    { 0, output_5943, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_sssubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5944 },
#else
    { 0, output_5944, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3736 */
  {
    "*cond_ussubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5945 },
#else
    { 0, output_5945, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5946 },
#else
    { 0, 0, output_5946 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx16qi3 },
    &operand_data[8079],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5947 },
#else
    { 0, 0, output_5947 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8qi3 },
    &operand_data[8082],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5948 },
#else
    { 0, 0, output_5948 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4qi3 },
    &operand_data[8085],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5949 },
#else
    { 0, 0, output_5949 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2qi3 },
    &operand_data[8088],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5950 },
#else
    { 0, 0, output_5950 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8hi3 },
    &operand_data[8091],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5951 },
#else
    { 0, 0, output_5951 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4hi3 },
    &operand_data[8094],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5952 },
#else
    { 0, 0, output_5952 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2hi3 },
    &operand_data[8097],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5953 },
#else
    { 0, 0, output_5953 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4si3 },
    &operand_data[8100],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5954 },
#else
    { 0, 0, output_5954 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2si3 },
    &operand_data[8103],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3781 */
  {
    "addvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5955 },
#else
    { 0, 0, output_5955 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2di3 },
    &operand_data[8106],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5956 },
#else
    { 0, output_5956, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx16qi3 },
    &operand_data[8109],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5957 },
#else
    { 0, output_5957, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8qi3 },
    &operand_data[8112],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5958 },
#else
    { 0, output_5958, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4qi3 },
    &operand_data[8115],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5959 },
#else
    { 0, output_5959, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2qi3 },
    &operand_data[8118],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5960 },
#else
    { 0, output_5960, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8hi3 },
    &operand_data[8121],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5961 },
#else
    { 0, output_5961, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4hi3 },
    &operand_data[8124],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5962 },
#else
    { 0, output_5962, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2hi3 },
    &operand_data[8127],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5963 },
#else
    { 0, output_5963, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4si3 },
    &operand_data[8130],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5964 },
#else
    { 0, output_5964, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2si3 },
    &operand_data[8133],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3807 */
  {
    "subvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5965 },
#else
    { 0, output_5965, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2di3 },
    &operand_data[8136],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3831 */
  {
    "aarch64_adrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3831 */
  {
    "aarch64_adrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3842 */
  {
    "*aarch64_adr_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, sxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8142],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3862 */
  {
    "*aarch64_adr_uxtw_unspec",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8146],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3875 */
  {
    "*aarch64_adr_uxtw_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8146],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx2qi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8150],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx2hi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8155],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx2si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8160],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx2di_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8165],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx4qi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8170],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx4hi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8175],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3903 */
  {
    "*aarch64_adrvnx4si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8180],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3922 */
  {
    "*aarch64_adr_shift_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, sxtw %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8185],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3946 */
  {
    "*aarch64_adr_shift_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8191],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5980 },
#else
    { 0, output_5980, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx16qi },
    &operand_data[8197],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5981 },
#else
    { 0, output_5981, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx16qi },
    &operand_data[8197],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5982 },
#else
    { 0, output_5982, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx8qi },
    &operand_data[8201],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5983 },
#else
    { 0, output_5983, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx8qi },
    &operand_data[8201],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5984 },
#else
    { 0, output_5984, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx4qi },
    &operand_data[8205],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5985 },
#else
    { 0, output_5985, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx4qi },
    &operand_data[8205],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5986 },
#else
    { 0, output_5986, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2qi },
    &operand_data[8209],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5987 },
#else
    { 0, output_5987, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2qi },
    &operand_data[8209],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5988 },
#else
    { 0, output_5988, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx8hi },
    &operand_data[8213],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5989 },
#else
    { 0, output_5989, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx8hi },
    &operand_data[8213],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5990 },
#else
    { 0, output_5990, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx4hi },
    &operand_data[8217],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5991 },
#else
    { 0, output_5991, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx4hi },
    &operand_data[8217],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5992 },
#else
    { 0, output_5992, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2hi },
    &operand_data[8221],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5993 },
#else
    { 0, output_5993, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2hi },
    &operand_data[8221],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5994 },
#else
    { 0, output_5994, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx4si },
    &operand_data[8225],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5995 },
#else
    { 0, output_5995, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx4si },
    &operand_data[8225],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5996 },
#else
    { 0, output_5996, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2si },
    &operand_data[8229],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5997 },
#else
    { 0, output_5997, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2si },
    &operand_data[8229],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_sabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5998 },
#else
    { 0, output_5998, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2di },
    &operand_data[8233],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3990 */
  {
    "aarch64_pred_uabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5999 },
#else
    { 0, output_5999, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2di },
    &operand_data[8233],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6000 },
#else
    { 0, output_6000, 0 },
#endif
    { 0 },
    &operand_data[8237],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6001 },
#else
    { 0, output_6001, 0 },
#endif
    { 0 },
    &operand_data[8237],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6002 },
#else
    { 0, output_6002, 0 },
#endif
    { 0 },
    &operand_data[8243],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6003 },
#else
    { 0, output_6003, 0 },
#endif
    { 0 },
    &operand_data[8243],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6004 },
#else
    { 0, output_6004, 0 },
#endif
    { 0 },
    &operand_data[8249],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6005 },
#else
    { 0, output_6005, 0 },
#endif
    { 0 },
    &operand_data[8249],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6006 },
#else
    { 0, output_6006, 0 },
#endif
    { 0 },
    &operand_data[8255],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6007 },
#else
    { 0, output_6007, 0 },
#endif
    { 0 },
    &operand_data[8255],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6008 },
#else
    { 0, output_6008, 0 },
#endif
    { 0 },
    &operand_data[8261],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6009 },
#else
    { 0, output_6009, 0 },
#endif
    { 0 },
    &operand_data[8261],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6010 },
#else
    { 0, output_6010, 0 },
#endif
    { 0 },
    &operand_data[8267],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6011 },
#else
    { 0, output_6011, 0 },
#endif
    { 0 },
    &operand_data[8267],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6012 },
#else
    { 0, output_6012, 0 },
#endif
    { 0 },
    &operand_data[8273],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6013 },
#else
    { 0, output_6013, 0 },
#endif
    { 0 },
    &operand_data[8273],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6014 },
#else
    { 0, output_6014, 0 },
#endif
    { 0 },
    &operand_data[8279],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6015 },
#else
    { 0, output_6015, 0 },
#endif
    { 0 },
    &operand_data[8279],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6016 },
#else
    { 0, output_6016, 0 },
#endif
    { 0 },
    &operand_data[8285],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6017 },
#else
    { 0, output_6017, 0 },
#endif
    { 0 },
    &operand_data[8285],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_sabdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6018 },
#else
    { 0, output_6018, 0 },
#endif
    { 0 },
    &operand_data[8291],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4038 */
  {
    "*aarch64_cond_uabdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6019 },
#else
    { 0, output_6019, 0 },
#endif
    { 0 },
    &operand_data[8291],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6020 },
#else
    { 0, output_6020, 0 },
#endif
    { 0 },
    &operand_data[8297],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6021 },
#else
    { 0, output_6021, 0 },
#endif
    { 0 },
    &operand_data[8297],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6022 },
#else
    { 0, output_6022, 0 },
#endif
    { 0 },
    &operand_data[8303],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6023 },
#else
    { 0, output_6023, 0 },
#endif
    { 0 },
    &operand_data[8303],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6024 },
#else
    { 0, output_6024, 0 },
#endif
    { 0 },
    &operand_data[8309],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6025 },
#else
    { 0, output_6025, 0 },
#endif
    { 0 },
    &operand_data[8309],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6026 },
#else
    { 0, output_6026, 0 },
#endif
    { 0 },
    &operand_data[8315],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6027 },
#else
    { 0, output_6027, 0 },
#endif
    { 0 },
    &operand_data[8315],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6028 },
#else
    { 0, output_6028, 0 },
#endif
    { 0 },
    &operand_data[8321],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6029 },
#else
    { 0, output_6029, 0 },
#endif
    { 0 },
    &operand_data[8321],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6030 },
#else
    { 0, output_6030, 0 },
#endif
    { 0 },
    &operand_data[8327],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6031 },
#else
    { 0, output_6031, 0 },
#endif
    { 0 },
    &operand_data[8327],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6032 },
#else
    { 0, output_6032, 0 },
#endif
    { 0 },
    &operand_data[8333],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6033 },
#else
    { 0, output_6033, 0 },
#endif
    { 0 },
    &operand_data[8333],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6034 },
#else
    { 0, output_6034, 0 },
#endif
    { 0 },
    &operand_data[8339],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6035 },
#else
    { 0, output_6035, 0 },
#endif
    { 0 },
    &operand_data[8339],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6036 },
#else
    { 0, output_6036, 0 },
#endif
    { 0 },
    &operand_data[8345],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6037 },
#else
    { 0, output_6037, 0 },
#endif
    { 0 },
    &operand_data[8345],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_sabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6038 },
#else
    { 0, output_6038, 0 },
#endif
    { 0 },
    &operand_data[8351],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4069 */
  {
    "*aarch64_cond_uabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6039 },
#else
    { 0, output_6039, 0 },
#endif
    { 0 },
    &operand_data[8351],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6040 },
#else
    { 0, output_6040, 0 },
#endif
    { 0 },
    &operand_data[8357],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6041 },
#else
    { 0, output_6041, 0 },
#endif
    { 0 },
    &operand_data[8357],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6042 },
#else
    { 0, output_6042, 0 },
#endif
    { 0 },
    &operand_data[8364],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6043 },
#else
    { 0, output_6043, 0 },
#endif
    { 0 },
    &operand_data[8364],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6044 },
#else
    { 0, output_6044, 0 },
#endif
    { 0 },
    &operand_data[8371],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6045 },
#else
    { 0, output_6045, 0 },
#endif
    { 0 },
    &operand_data[8371],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6046 },
#else
    { 0, output_6046, 0 },
#endif
    { 0 },
    &operand_data[8378],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6047 },
#else
    { 0, output_6047, 0 },
#endif
    { 0 },
    &operand_data[8378],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6048 },
#else
    { 0, output_6048, 0 },
#endif
    { 0 },
    &operand_data[8385],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6049 },
#else
    { 0, output_6049, 0 },
#endif
    { 0 },
    &operand_data[8385],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6050 },
#else
    { 0, output_6050, 0 },
#endif
    { 0 },
    &operand_data[8392],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6051 },
#else
    { 0, output_6051, 0 },
#endif
    { 0 },
    &operand_data[8392],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6052 },
#else
    { 0, output_6052, 0 },
#endif
    { 0 },
    &operand_data[8399],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6053 },
#else
    { 0, output_6053, 0 },
#endif
    { 0 },
    &operand_data[8399],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6054 },
#else
    { 0, output_6054, 0 },
#endif
    { 0 },
    &operand_data[8406],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6055 },
#else
    { 0, output_6055, 0 },
#endif
    { 0 },
    &operand_data[8406],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6056 },
#else
    { 0, output_6056, 0 },
#endif
    { 0 },
    &operand_data[8413],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6057 },
#else
    { 0, output_6057, 0 },
#endif
    { 0 },
    &operand_data[8413],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_sabdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6058 },
#else
    { 0, output_6058, 0 },
#endif
    { 0 },
    &operand_data[8420],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4100 */
  {
    "*aarch64_cond_uabdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6059 },
#else
    { 0, output_6059, 0 },
#endif
    { 0 },
    &operand_data[8420],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_ssaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6060 },
#else
    { 0, output_6060, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx16qi },
    &operand_data[8427],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_sssubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6061 },
#else
    { 0, output_6061, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx16qi },
    &operand_data[8427],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_ssaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6062 },
#else
    { 0, output_6062, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx8hi },
    &operand_data[8430],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_sssubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6063 },
#else
    { 0, output_6063, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx8hi },
    &operand_data[8430],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_ssaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6064 },
#else
    { 0, output_6064, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx4si },
    &operand_data[8433],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_sssubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6065 },
#else
    { 0, output_6065, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx4si },
    &operand_data[8433],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_ssaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6066 },
#else
    { 0, output_6066, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssaddvnx2di },
    &operand_data[8436],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4156 */
  {
    "aarch64_sve_sssubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6067 },
#else
    { 0, output_6067, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sssubvnx2di },
    &operand_data[8436],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_usaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6068 },
#else
    { 0, output_6068, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx16qi },
    &operand_data[8439],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_ussubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6069 },
#else
    { 0, output_6069, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx16qi },
    &operand_data[8439],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_usaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6070 },
#else
    { 0, output_6070, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx8hi },
    &operand_data[8442],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_ussubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6071 },
#else
    { 0, output_6071, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx8hi },
    &operand_data[8442],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_usaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6072 },
#else
    { 0, output_6072, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx4si },
    &operand_data[8445],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_ussubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6073 },
#else
    { 0, output_6073, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx4si },
    &operand_data[8445],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_usaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6074 },
#else
    { 0, output_6074, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usaddvnx2di },
    &operand_data[8448],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4172 */
  {
    "aarch64_sve_ussubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6075 },
#else
    { 0, output_6075, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ussubvnx2di },
    &operand_data[8448],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6076 },
#else
    { 0, output_6076, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx16qi },
    &operand_data[8197],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6077 },
#else
    { 0, output_6077, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx16qi },
    &operand_data[8197],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6078 },
#else
    { 0, output_6078, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx8qi },
    &operand_data[8201],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6079 },
#else
    { 0, output_6079, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx8qi },
    &operand_data[8201],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6080 },
#else
    { 0, output_6080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx4qi },
    &operand_data[8205],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6081 },
#else
    { 0, output_6081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx4qi },
    &operand_data[8205],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6082 },
#else
    { 0, output_6082, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2qi },
    &operand_data[8209],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6083 },
#else
    { 0, output_6083, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2qi },
    &operand_data[8209],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6084 },
#else
    { 0, output_6084, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx8hi },
    &operand_data[8213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6085 },
#else
    { 0, output_6085, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx8hi },
    &operand_data[8213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6086 },
#else
    { 0, output_6086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx4hi },
    &operand_data[8217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6087 },
#else
    { 0, output_6087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx4hi },
    &operand_data[8217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6088 },
#else
    { 0, output_6088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2hi },
    &operand_data[8221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6089 },
#else
    { 0, output_6089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2hi },
    &operand_data[8221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6090 },
#else
    { 0, output_6090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx4si },
    &operand_data[8225],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6091 },
#else
    { 0, output_6091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx4si },
    &operand_data[8225],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6092 },
#else
    { 0, output_6092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2si },
    &operand_data[8229],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6093 },
#else
    { 0, output_6093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2si },
    &operand_data[8229],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_smulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6094 },
#else
    { 0, output_6094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2di },
    &operand_data[8233],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4210 */
  {
    "aarch64_pred_umulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6095 },
#else
    { 0, output_6095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2di },
    &operand_data[8233],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_smulhvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6096 },
#else
    { 0, output_6096, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_umulhvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6097 },
#else
    { 0, output_6097, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_smulhvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6098 },
#else
    { 0, output_6098, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_umulhvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6099 },
#else
    { 0, output_6099, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_smulhvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6100 },
#else
    { 0, output_6100, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_umulhvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6101 },
#else
    { 0, output_6101, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_smulhvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6102 },
#else
    { 0, output_6102, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4246 */
  {
    "*cond_umulhvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6103 },
#else
    { 0, output_6103, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_smulhvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6104 },
#else
    { 0, output_6104, 0 },
#endif
    { 0 },
    &operand_data[8451],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_umulhvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6105 },
#else
    { 0, output_6105, 0 },
#endif
    { 0 },
    &operand_data[8451],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_smulhvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6106 },
#else
    { 0, output_6106, 0 },
#endif
    { 0 },
    &operand_data[8456],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_umulhvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6107 },
#else
    { 0, output_6107, 0 },
#endif
    { 0 },
    &operand_data[8456],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_smulhvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6108 },
#else
    { 0, output_6108, 0 },
#endif
    { 0 },
    &operand_data[8461],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_umulhvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6109 },
#else
    { 0, output_6109, 0 },
#endif
    { 0 },
    &operand_data[8461],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_smulhvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6110 },
#else
    { 0, output_6110, 0 },
#endif
    { 0 },
    &operand_data[8466],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4263 */
  {
    "*cond_umulhvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6111 },
#else
    { 0, output_6111, 0 },
#endif
    { 0 },
    &operand_data[8466],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4305 */
  {
    "aarch64_pred_divvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6112 },
#else
    { 0, output_6112, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx4si },
    &operand_data[8471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4305 */
  {
    "aarch64_pred_udivvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6113 },
#else
    { 0, output_6113, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivvnx4si },
    &operand_data[8471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4305 */
  {
    "aarch64_pred_divvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6114 },
#else
    { 0, output_6114, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx2di },
    &operand_data[8475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4305 */
  {
    "aarch64_pred_udivvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6115 },
#else
    { 0, output_6115, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivvnx2di },
    &operand_data[8475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4335 */
  {
    "*cond_divvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6116 },
#else
    { 0, output_6116, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4335 */
  {
    "*cond_udivvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6117 },
#else
    { 0, output_6117, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4335 */
  {
    "*cond_divvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6118 },
#else
    { 0, output_6118, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4335 */
  {
    "*cond_udivvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6119 },
#else
    { 0, output_6119, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4352 */
  {
    "*cond_divvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6120 },
#else
    { 0, output_6120, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4352 */
  {
    "*cond_udivvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6121 },
#else
    { 0, output_6121, 0 },
#endif
    { 0 },
    &operand_data[8017],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4352 */
  {
    "*cond_divvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6122 },
#else
    { 0, output_6122, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4352 */
  {
    "*cond_udivvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6123 },
#else
    { 0, output_6123, 0 },
#endif
    { 0 },
    &operand_data[8025],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4369 */
  {
    "*cond_divvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6124 },
#else
    { 0, output_6124, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4369 */
  {
    "*cond_udivvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6125 },
#else
    { 0, output_6125, 0 },
#endif
    { 0 },
    &operand_data[8064],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4369 */
  {
    "*cond_divvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6126 },
#else
    { 0, output_6126, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4369 */
  {
    "*cond_udivvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6127 },
#else
    { 0, output_6127, 0 },
#endif
    { 0 },
    &operand_data[8074],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6128 },
#else
    { 0, output_6128, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx16qi3 },
    &operand_data[8479],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6129 },
#else
    { 0, output_6129, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx16qi3 },
    &operand_data[8479],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6130 },
#else
    { 0, output_6130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx16qi3 },
    &operand_data[8479],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6131 },
#else
    { 0, output_6131, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8qi3 },
    &operand_data[8482],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6132 },
#else
    { 0, output_6132, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8qi3 },
    &operand_data[8482],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6133 },
#else
    { 0, output_6133, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8qi3 },
    &operand_data[8482],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6134 },
#else
    { 0, output_6134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4qi3 },
    &operand_data[8485],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6135 },
#else
    { 0, output_6135, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4qi3 },
    &operand_data[8485],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6136 },
#else
    { 0, output_6136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4qi3 },
    &operand_data[8485],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6137 },
#else
    { 0, output_6137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2qi3 },
    &operand_data[8488],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6138 },
#else
    { 0, output_6138, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2qi3 },
    &operand_data[8488],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6139 },
#else
    { 0, output_6139, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2qi3 },
    &operand_data[8488],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6140 },
#else
    { 0, output_6140, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8hi3 },
    &operand_data[8491],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6141 },
#else
    { 0, output_6141, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8hi3 },
    &operand_data[8491],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6142 },
#else
    { 0, output_6142, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8hi3 },
    &operand_data[8491],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6143 },
#else
    { 0, output_6143, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4hi3 },
    &operand_data[8494],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6144 },
#else
    { 0, output_6144, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4hi3 },
    &operand_data[8494],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6145 },
#else
    { 0, output_6145, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4hi3 },
    &operand_data[8494],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6146 },
#else
    { 0, output_6146, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2hi3 },
    &operand_data[8497],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6147 },
#else
    { 0, output_6147, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2hi3 },
    &operand_data[8497],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6148 },
#else
    { 0, output_6148, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2hi3 },
    &operand_data[8497],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6149 },
#else
    { 0, output_6149, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4si3 },
    &operand_data[8500],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6150 },
#else
    { 0, output_6150, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4si3 },
    &operand_data[8500],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6151 },
#else
    { 0, output_6151, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4si3 },
    &operand_data[8500],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6152 },
#else
    { 0, output_6152, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2si3 },
    &operand_data[8503],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6153 },
#else
    { 0, output_6153, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2si3 },
    &operand_data[8503],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6154 },
#else
    { 0, output_6154, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2si3 },
    &operand_data[8503],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "andvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6155 },
#else
    { 0, output_6155, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2di3 },
    &operand_data[8506],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "iorvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6156 },
#else
    { 0, output_6156, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2di3 },
    &operand_data[8506],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4408 */
  {
    "xorvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6157 },
#else
    { 0, output_6157, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2di3 },
    &operand_data[8506],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8509],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8513],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8517],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8521],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8525],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8529],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8533],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8537],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8541],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4446 */
  {
    "*bicvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8142],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6168 },
#else
    { 0, output_6168, 0 },
#endif
    { 0 },
    &operand_data[7949],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6169 },
#else
    { 0, output_6169, 0 },
#endif
    { 0 },
    &operand_data[7953],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6170 },
#else
    { 0, output_6170, 0 },
#endif
    { 0 },
    &operand_data[7957],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6171 },
#else
    { 0, output_6171, 0 },
#endif
    { 0 },
    &operand_data[7961],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6172 },
#else
    { 0, output_6172, 0 },
#endif
    { 0 },
    &operand_data[7965],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6173 },
#else
    { 0, output_6173, 0 },
#endif
    { 0 },
    &operand_data[7969],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6174 },
#else
    { 0, output_6174, 0 },
#endif
    { 0 },
    &operand_data[7973],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6175 },
#else
    { 0, output_6175, 0 },
#endif
    { 0 },
    &operand_data[7977],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6176 },
#else
    { 0, output_6176, 0 },
#endif
    { 0 },
    &operand_data[7981],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4477 */
  {
    "*cond_bicvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6177 },
#else
    { 0, output_6177, 0 },
#endif
    { 0 },
    &operand_data[7985],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6178 },
#else
    { 0, output_6178, 0 },
#endif
    { 0 },
    &operand_data[8545],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6179 },
#else
    { 0, output_6179, 0 },
#endif
    { 0 },
    &operand_data[8550],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6180 },
#else
    { 0, output_6180, 0 },
#endif
    { 0 },
    &operand_data[8555],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6181 },
#else
    { 0, output_6181, 0 },
#endif
    { 0 },
    &operand_data[8560],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6182 },
#else
    { 0, output_6182, 0 },
#endif
    { 0 },
    &operand_data[8565],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6183 },
#else
    { 0, output_6183, 0 },
#endif
    { 0 },
    &operand_data[8570],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6184 },
#else
    { 0, output_6184, 0 },
#endif
    { 0 },
    &operand_data[8575],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6185 },
#else
    { 0, output_6185, 0 },
#endif
    { 0 },
    &operand_data[8580],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6186 },
#else
    { 0, output_6186, 0 },
#endif
    { 0 },
    &operand_data[8585],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4495 */
  {
    "*cond_bicvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6187 },
#else
    { 0, output_6187, 0 },
#endif
    { 0 },
    &operand_data[8590],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6188 },
#else
    { 0, output_6188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx16qi },
    &operand_data[8595],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6189 },
#else
    { 0, output_6189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx16qi },
    &operand_data[8599],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_lshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6190 },
#else
    { 0, output_6190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx16qi },
    &operand_data[8599],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashlvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6191 },
#else
    { 0, output_6191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx8qi },
    &operand_data[8603],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6192 },
#else
    { 0, output_6192, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx8qi },
    &operand_data[8607],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_lshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6193 },
#else
    { 0, output_6193, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx8qi },
    &operand_data[8607],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashlvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6194 },
#else
    { 0, output_6194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx4qi },
    &operand_data[8611],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6195 },
#else
    { 0, output_6195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx4qi },
    &operand_data[8615],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_lshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6196 },
#else
    { 0, output_6196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx4qi },
    &operand_data[8615],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashlvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6197 },
#else
    { 0, output_6197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2qi },
    &operand_data[8619],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6198 },
#else
    { 0, output_6198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2qi },
    &operand_data[8623],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_lshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6199 },
#else
    { 0, output_6199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2qi },
    &operand_data[8623],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6200 },
#else
    { 0, output_6200, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx8hi },
    &operand_data[8627],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6201 },
#else
    { 0, output_6201, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx8hi },
    &operand_data[8631],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_lshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6202 },
#else
    { 0, output_6202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx8hi },
    &operand_data[8631],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashlvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6203 },
#else
    { 0, output_6203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx4hi },
    &operand_data[8635],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6204 },
#else
    { 0, output_6204, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx4hi },
    &operand_data[8639],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_lshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6205 },
#else
    { 0, output_6205, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx4hi },
    &operand_data[8639],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashlvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6206 },
#else
    { 0, output_6206, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2hi },
    &operand_data[8643],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6207 },
#else
    { 0, output_6207, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2hi },
    &operand_data[8647],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_lshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6208 },
#else
    { 0, output_6208, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2hi },
    &operand_data[8647],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6209 },
#else
    { 0, output_6209, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx4si },
    &operand_data[8651],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6210 },
#else
    { 0, output_6210, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx4si },
    &operand_data[8655],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_lshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6211 },
#else
    { 0, output_6211, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx4si },
    &operand_data[8655],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashlvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6212 },
#else
    { 0, output_6212, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2si },
    &operand_data[8659],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6213 },
#else
    { 0, output_6213, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2si },
    &operand_data[8663],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_lshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6214 },
#else
    { 0, output_6214, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2si },
    &operand_data[8663],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6215 },
#else
    { 0, output_6215, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2di },
    &operand_data[8667],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_ashrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6216 },
#else
    { 0, output_6216, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2di },
    &operand_data[8671],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4581 */
  {
    "aarch64_pred_lshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6217 },
#else
    { 0, output_6217, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2di },
    &operand_data[8671],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8675],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8678],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vlshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8678],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashlvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8681],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8684],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vlshrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8684],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashlvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8690],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vlshrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8690],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashlvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8693],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8696],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vlshrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8696],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vlshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashlvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vlshrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashlvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vlshrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8714],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8717],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vlshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8720],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashlvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8723],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vlshrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8726],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.d, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8729],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.d, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4605 */
  {
    "*post_ra_vlshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.d, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[8732],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashlvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6248 },
#else
    { 0, output_6248, 0 },
#endif
    { 0 },
    &operand_data[8735],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashrvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6249 },
#else
    { 0, output_6249, 0 },
#endif
    { 0 },
    &operand_data[8739],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_lshrvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6250 },
#else
    { 0, output_6250, 0 },
#endif
    { 0 },
    &operand_data[8739],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashlvnx8qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6251 },
#else
    { 0, output_6251, 0 },
#endif
    { 0 },
    &operand_data[8743],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashrvnx8qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6252 },
#else
    { 0, output_6252, 0 },
#endif
    { 0 },
    &operand_data[8747],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_lshrvnx8qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6253 },
#else
    { 0, output_6253, 0 },
#endif
    { 0 },
    &operand_data[8747],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashlvnx4qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6254 },
#else
    { 0, output_6254, 0 },
#endif
    { 0 },
    &operand_data[8751],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashrvnx4qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6255 },
#else
    { 0, output_6255, 0 },
#endif
    { 0 },
    &operand_data[8755],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_lshrvnx4qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6256 },
#else
    { 0, output_6256, 0 },
#endif
    { 0 },
    &operand_data[8755],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashlvnx2qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6257 },
#else
    { 0, output_6257, 0 },
#endif
    { 0 },
    &operand_data[8759],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashrvnx2qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6258 },
#else
    { 0, output_6258, 0 },
#endif
    { 0 },
    &operand_data[8763],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_lshrvnx2qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6259 },
#else
    { 0, output_6259, 0 },
#endif
    { 0 },
    &operand_data[8763],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashlvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6260 },
#else
    { 0, output_6260, 0 },
#endif
    { 0 },
    &operand_data[8767],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashrvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6261 },
#else
    { 0, output_6261, 0 },
#endif
    { 0 },
    &operand_data[8771],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_lshrvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6262 },
#else
    { 0, output_6262, 0 },
#endif
    { 0 },
    &operand_data[8771],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashlvnx4hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6263 },
#else
    { 0, output_6263, 0 },
#endif
    { 0 },
    &operand_data[8775],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashrvnx4hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6264 },
#else
    { 0, output_6264, 0 },
#endif
    { 0 },
    &operand_data[8779],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_lshrvnx4hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6265 },
#else
    { 0, output_6265, 0 },
#endif
    { 0 },
    &operand_data[8779],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashlvnx2hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6266 },
#else
    { 0, output_6266, 0 },
#endif
    { 0 },
    &operand_data[8783],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashrvnx2hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6267 },
#else
    { 0, output_6267, 0 },
#endif
    { 0 },
    &operand_data[8787],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_lshrvnx2hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6268 },
#else
    { 0, output_6268, 0 },
#endif
    { 0 },
    &operand_data[8787],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashlvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6269 },
#else
    { 0, output_6269, 0 },
#endif
    { 0 },
    &operand_data[8791],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashrvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6270 },
#else
    { 0, output_6270, 0 },
#endif
    { 0 },
    &operand_data[8795],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_lshrvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6271 },
#else
    { 0, output_6271, 0 },
#endif
    { 0 },
    &operand_data[8795],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashlvnx2si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6272 },
#else
    { 0, output_6272, 0 },
#endif
    { 0 },
    &operand_data[8799],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashrvnx2si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6273 },
#else
    { 0, output_6273, 0 },
#endif
    { 0 },
    &operand_data[8803],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_lshrvnx2si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6274 },
#else
    { 0, output_6274, 0 },
#endif
    { 0 },
    &operand_data[8803],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashlvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6275 },
#else
    { 0, output_6275, 0 },
#endif
    { 0 },
    &operand_data[8807],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_ashrvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6276 },
#else
    { 0, output_6276, 0 },
#endif
    { 0 },
    &operand_data[8811],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4615 */
  {
    "*cond_lshrvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6277 },
#else
    { 0, output_6277, 0 },
#endif
    { 0 },
    &operand_data[8811],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashlvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6278 },
#else
    { 0, output_6278, 0 },
#endif
    { 0 },
    &operand_data[8815],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashrvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6279 },
#else
    { 0, output_6279, 0 },
#endif
    { 0 },
    &operand_data[8820],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_lshrvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6280 },
#else
    { 0, output_6280, 0 },
#endif
    { 0 },
    &operand_data[8820],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashlvnx8qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6281 },
#else
    { 0, output_6281, 0 },
#endif
    { 0 },
    &operand_data[8825],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashrvnx8qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6282 },
#else
    { 0, output_6282, 0 },
#endif
    { 0 },
    &operand_data[8830],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_lshrvnx8qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6283 },
#else
    { 0, output_6283, 0 },
#endif
    { 0 },
    &operand_data[8830],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashlvnx4qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6284 },
#else
    { 0, output_6284, 0 },
#endif
    { 0 },
    &operand_data[8835],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashrvnx4qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6285 },
#else
    { 0, output_6285, 0 },
#endif
    { 0 },
    &operand_data[8840],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_lshrvnx4qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6286 },
#else
    { 0, output_6286, 0 },
#endif
    { 0 },
    &operand_data[8840],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashlvnx2qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6287 },
#else
    { 0, output_6287, 0 },
#endif
    { 0 },
    &operand_data[8845],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashrvnx2qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6288 },
#else
    { 0, output_6288, 0 },
#endif
    { 0 },
    &operand_data[8850],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_lshrvnx2qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6289 },
#else
    { 0, output_6289, 0 },
#endif
    { 0 },
    &operand_data[8850],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashlvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6290 },
#else
    { 0, output_6290, 0 },
#endif
    { 0 },
    &operand_data[8855],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashrvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6291 },
#else
    { 0, output_6291, 0 },
#endif
    { 0 },
    &operand_data[8860],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_lshrvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6292 },
#else
    { 0, output_6292, 0 },
#endif
    { 0 },
    &operand_data[8860],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashlvnx4hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6293 },
#else
    { 0, output_6293, 0 },
#endif
    { 0 },
    &operand_data[8865],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashrvnx4hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6294 },
#else
    { 0, output_6294, 0 },
#endif
    { 0 },
    &operand_data[8870],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_lshrvnx4hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6295 },
#else
    { 0, output_6295, 0 },
#endif
    { 0 },
    &operand_data[8870],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashlvnx2hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6296 },
#else
    { 0, output_6296, 0 },
#endif
    { 0 },
    &operand_data[8875],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashrvnx2hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6297 },
#else
    { 0, output_6297, 0 },
#endif
    { 0 },
    &operand_data[8880],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_lshrvnx2hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6298 },
#else
    { 0, output_6298, 0 },
#endif
    { 0 },
    &operand_data[8880],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashlvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6299 },
#else
    { 0, output_6299, 0 },
#endif
    { 0 },
    &operand_data[8885],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashrvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6300 },
#else
    { 0, output_6300, 0 },
#endif
    { 0 },
    &operand_data[8890],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_lshrvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6301 },
#else
    { 0, output_6301, 0 },
#endif
    { 0 },
    &operand_data[8890],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashlvnx2si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6302 },
#else
    { 0, output_6302, 0 },
#endif
    { 0 },
    &operand_data[8895],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashrvnx2si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6303 },
#else
    { 0, output_6303, 0 },
#endif
    { 0 },
    &operand_data[8900],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_lshrvnx2si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6304 },
#else
    { 0, output_6304, 0 },
#endif
    { 0 },
    &operand_data[8900],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashlvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6305 },
#else
    { 0, output_6305, 0 },
#endif
    { 0 },
    &operand_data[8905],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_ashrvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6306 },
#else
    { 0, output_6306, 0 },
#endif
    { 0 },
    &operand_data[8910],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4632 */
  {
    "*cond_lshrvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6307 },
#else
    { 0, output_6307, 0 },
#endif
    { 0 },
    &operand_data[8910],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4658 */
  {
    "aarch64_sve_lslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx16qi },
    &operand_data[8915],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4658 */
  {
    "aarch64_sve_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx16qi },
    &operand_data[8915],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4658 */
  {
    "aarch64_sve_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx16qi },
    &operand_data[8915],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4658 */
  {
    "aarch64_sve_lslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx8hi },
    &operand_data[8918],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4658 */
  {
    "aarch64_sve_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx8hi },
    &operand_data[8918],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4658 */
  {
    "aarch64_sve_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx8hi },
    &operand_data[8918],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4658 */
  {
    "aarch64_sve_lslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx4si },
    &operand_data[8921],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4658 */
  {
    "aarch64_sve_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx4si },
    &operand_data[8921],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4658 */
  {
    "aarch64_sve_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx4si },
    &operand_data[8921],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4684 */
  {
    "*cond_lslvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6317 },
#else
    { 0, output_6317, 0 },
#endif
    { 0 },
    &operand_data[8924],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4684 */
  {
    "*cond_asrvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6318 },
#else
    { 0, output_6318, 0 },
#endif
    { 0 },
    &operand_data[8924],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4684 */
  {
    "*cond_lsrvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6319 },
#else
    { 0, output_6319, 0 },
#endif
    { 0 },
    &operand_data[8924],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4684 */
  {
    "*cond_lslvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6320 },
#else
    { 0, output_6320, 0 },
#endif
    { 0 },
    &operand_data[8928],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4684 */
  {
    "*cond_asrvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6321 },
#else
    { 0, output_6321, 0 },
#endif
    { 0 },
    &operand_data[8928],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4684 */
  {
    "*cond_lsrvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6322 },
#else
    { 0, output_6322, 0 },
#endif
    { 0 },
    &operand_data[8928],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4684 */
  {
    "*cond_lslvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6323 },
#else
    { 0, output_6323, 0 },
#endif
    { 0 },
    &operand_data[8932],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4684 */
  {
    "*cond_asrvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6324 },
#else
    { 0, output_6324, 0 },
#endif
    { 0 },
    &operand_data[8932],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4684 */
  {
    "*cond_lsrvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6325 },
#else
    { 0, output_6325, 0 },
#endif
    { 0 },
    &operand_data[8932],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4701 */
  {
    "*cond_lslvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6326 },
#else
    { 0, output_6326, 0 },
#endif
    { 0 },
    &operand_data[8936],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4701 */
  {
    "*cond_asrvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6327 },
#else
    { 0, output_6327, 0 },
#endif
    { 0 },
    &operand_data[8936],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4701 */
  {
    "*cond_lsrvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6328 },
#else
    { 0, output_6328, 0 },
#endif
    { 0 },
    &operand_data[8936],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4701 */
  {
    "*cond_lslvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6329 },
#else
    { 0, output_6329, 0 },
#endif
    { 0 },
    &operand_data[8941],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4701 */
  {
    "*cond_asrvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6330 },
#else
    { 0, output_6330, 0 },
#endif
    { 0 },
    &operand_data[8941],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4701 */
  {
    "*cond_lsrvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6331 },
#else
    { 0, output_6331, 0 },
#endif
    { 0 },
    &operand_data[8941],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4701 */
  {
    "*cond_lslvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6332 },
#else
    { 0, output_6332, 0 },
#endif
    { 0 },
    &operand_data[8946],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4701 */
  {
    "*cond_asrvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6333 },
#else
    { 0, output_6333, 0 },
#endif
    { 0 },
    &operand_data[8946],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4701 */
  {
    "*cond_lsrvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6334 },
#else
    { 0, output_6334, 0 },
#endif
    { 0 },
    &operand_data[8946],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4744 */
  {
    "*sdiv_pow2vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6335 },
#else
    { 0, output_6335, 0 },
#endif
    { 0 },
    &operand_data[8739],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4744 */
  {
    "*sdiv_pow2vnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6336 },
#else
    { 0, output_6336, 0 },
#endif
    { 0 },
    &operand_data[8747],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4744 */
  {
    "*sdiv_pow2vnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6337 },
#else
    { 0, output_6337, 0 },
#endif
    { 0 },
    &operand_data[8755],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4744 */
  {
    "*sdiv_pow2vnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6338 },
#else
    { 0, output_6338, 0 },
#endif
    { 0 },
    &operand_data[8763],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4744 */
  {
    "*sdiv_pow2vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6339 },
#else
    { 0, output_6339, 0 },
#endif
    { 0 },
    &operand_data[8771],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4744 */
  {
    "*sdiv_pow2vnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6340 },
#else
    { 0, output_6340, 0 },
#endif
    { 0 },
    &operand_data[8779],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4744 */
  {
    "*sdiv_pow2vnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6341 },
#else
    { 0, output_6341, 0 },
#endif
    { 0 },
    &operand_data[8787],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4744 */
  {
    "*sdiv_pow2vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6342 },
#else
    { 0, output_6342, 0 },
#endif
    { 0 },
    &operand_data[8795],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4744 */
  {
    "*sdiv_pow2vnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6343 },
#else
    { 0, output_6343, 0 },
#endif
    { 0 },
    &operand_data[8803],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4744 */
  {
    "*sdiv_pow2vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6344 },
#else
    { 0, output_6344, 0 },
#endif
    { 0 },
    &operand_data[8811],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_asrdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6345 },
#else
    { 0, output_6345, 0 },
#endif
    { 0 },
    &operand_data[8951],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_sqshluvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6346 },
#else
    { 0, output_6346, 0 },
#endif
    { 0 },
    &operand_data[8956],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_srshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6347 },
#else
    { 0, output_6347, 0 },
#endif
    { 0 },
    &operand_data[8951],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_urshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6348 },
#else
    { 0, output_6348, 0 },
#endif
    { 0 },
    &operand_data[8951],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_asrdvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6349 },
#else
    { 0, output_6349, 0 },
#endif
    { 0 },
    &operand_data[8961],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_sqshluvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6350 },
#else
    { 0, output_6350, 0 },
#endif
    { 0 },
    &operand_data[8966],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_srshrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6351 },
#else
    { 0, output_6351, 0 },
#endif
    { 0 },
    &operand_data[8961],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_urshrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6352 },
#else
    { 0, output_6352, 0 },
#endif
    { 0 },
    &operand_data[8961],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_asrdvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6353 },
#else
    { 0, output_6353, 0 },
#endif
    { 0 },
    &operand_data[8971],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_sqshluvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6354 },
#else
    { 0, output_6354, 0 },
#endif
    { 0 },
    &operand_data[8976],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_srshrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6355 },
#else
    { 0, output_6355, 0 },
#endif
    { 0 },
    &operand_data[8971],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_urshrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6356 },
#else
    { 0, output_6356, 0 },
#endif
    { 0 },
    &operand_data[8971],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_asrdvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6357 },
#else
    { 0, output_6357, 0 },
#endif
    { 0 },
    &operand_data[8981],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_sqshluvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6358 },
#else
    { 0, output_6358, 0 },
#endif
    { 0 },
    &operand_data[8986],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_srshrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6359 },
#else
    { 0, output_6359, 0 },
#endif
    { 0 },
    &operand_data[8981],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_urshrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6360 },
#else
    { 0, output_6360, 0 },
#endif
    { 0 },
    &operand_data[8981],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_asrdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6361 },
#else
    { 0, output_6361, 0 },
#endif
    { 0 },
    &operand_data[8991],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_sqshluvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6362 },
#else
    { 0, output_6362, 0 },
#endif
    { 0 },
    &operand_data[8996],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_srshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6363 },
#else
    { 0, output_6363, 0 },
#endif
    { 0 },
    &operand_data[8991],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_urshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6364 },
#else
    { 0, output_6364, 0 },
#endif
    { 0 },
    &operand_data[8991],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_asrdvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6365 },
#else
    { 0, output_6365, 0 },
#endif
    { 0 },
    &operand_data[9001],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_sqshluvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6366 },
#else
    { 0, output_6366, 0 },
#endif
    { 0 },
    &operand_data[9006],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_srshrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6367 },
#else
    { 0, output_6367, 0 },
#endif
    { 0 },
    &operand_data[9001],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_urshrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6368 },
#else
    { 0, output_6368, 0 },
#endif
    { 0 },
    &operand_data[9001],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_asrdvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6369 },
#else
    { 0, output_6369, 0 },
#endif
    { 0 },
    &operand_data[9011],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_sqshluvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6370 },
#else
    { 0, output_6370, 0 },
#endif
    { 0 },
    &operand_data[9016],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_srshrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6371 },
#else
    { 0, output_6371, 0 },
#endif
    { 0 },
    &operand_data[9011],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_urshrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6372 },
#else
    { 0, output_6372, 0 },
#endif
    { 0 },
    &operand_data[9011],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_asrdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6373 },
#else
    { 0, output_6373, 0 },
#endif
    { 0 },
    &operand_data[9021],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_sqshluvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6374 },
#else
    { 0, output_6374, 0 },
#endif
    { 0 },
    &operand_data[9026],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_srshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6375 },
#else
    { 0, output_6375, 0 },
#endif
    { 0 },
    &operand_data[9021],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_urshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6376 },
#else
    { 0, output_6376, 0 },
#endif
    { 0 },
    &operand_data[9021],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_asrdvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6377 },
#else
    { 0, output_6377, 0 },
#endif
    { 0 },
    &operand_data[9031],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_sqshluvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6378 },
#else
    { 0, output_6378, 0 },
#endif
    { 0 },
    &operand_data[9036],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_srshrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6379 },
#else
    { 0, output_6379, 0 },
#endif
    { 0 },
    &operand_data[9031],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_urshrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6380 },
#else
    { 0, output_6380, 0 },
#endif
    { 0 },
    &operand_data[9031],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_asrdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6381 },
#else
    { 0, output_6381, 0 },
#endif
    { 0 },
    &operand_data[9041],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_sqshluvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6382 },
#else
    { 0, output_6382, 0 },
#endif
    { 0 },
    &operand_data[9046],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_srshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6383 },
#else
    { 0, output_6383, 0 },
#endif
    { 0 },
    &operand_data[9041],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4780 */
  {
    "*cond_urshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6384 },
#else
    { 0, output_6384, 0 },
#endif
    { 0 },
    &operand_data[9041],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_asrdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6385 },
#else
    { 0, output_6385, 0 },
#endif
    { 0 },
    &operand_data[9051],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_sqshluvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6386 },
#else
    { 0, output_6386, 0 },
#endif
    { 0 },
    &operand_data[9057],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_srshrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6387 },
#else
    { 0, output_6387, 0 },
#endif
    { 0 },
    &operand_data[9051],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_urshrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6388 },
#else
    { 0, output_6388, 0 },
#endif
    { 0 },
    &operand_data[9051],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_asrdvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6389 },
#else
    { 0, output_6389, 0 },
#endif
    { 0 },
    &operand_data[9063],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_sqshluvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6390 },
#else
    { 0, output_6390, 0 },
#endif
    { 0 },
    &operand_data[9069],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_srshrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6391 },
#else
    { 0, output_6391, 0 },
#endif
    { 0 },
    &operand_data[9063],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_urshrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6392 },
#else
    { 0, output_6392, 0 },
#endif
    { 0 },
    &operand_data[9063],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_asrdvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6393 },
#else
    { 0, output_6393, 0 },
#endif
    { 0 },
    &operand_data[9075],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_sqshluvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6394 },
#else
    { 0, output_6394, 0 },
#endif
    { 0 },
    &operand_data[9081],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_srshrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6395 },
#else
    { 0, output_6395, 0 },
#endif
    { 0 },
    &operand_data[9075],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_urshrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6396 },
#else
    { 0, output_6396, 0 },
#endif
    { 0 },
    &operand_data[9075],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_asrdvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6397 },
#else
    { 0, output_6397, 0 },
#endif
    { 0 },
    &operand_data[9087],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_sqshluvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6398 },
#else
    { 0, output_6398, 0 },
#endif
    { 0 },
    &operand_data[9093],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_srshrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6399 },
#else
    { 0, output_6399, 0 },
#endif
    { 0 },
    &operand_data[9087],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_urshrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6400 },
#else
    { 0, output_6400, 0 },
#endif
    { 0 },
    &operand_data[9087],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_asrdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6401 },
#else
    { 0, output_6401, 0 },
#endif
    { 0 },
    &operand_data[9099],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_sqshluvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6402 },
#else
    { 0, output_6402, 0 },
#endif
    { 0 },
    &operand_data[9105],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_srshrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6403 },
#else
    { 0, output_6403, 0 },
#endif
    { 0 },
    &operand_data[9099],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_urshrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6404 },
#else
    { 0, output_6404, 0 },
#endif
    { 0 },
    &operand_data[9099],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_asrdvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6405 },
#else
    { 0, output_6405, 0 },
#endif
    { 0 },
    &operand_data[9111],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_sqshluvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6406 },
#else
    { 0, output_6406, 0 },
#endif
    { 0 },
    &operand_data[9117],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_srshrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6407 },
#else
    { 0, output_6407, 0 },
#endif
    { 0 },
    &operand_data[9111],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_urshrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6408 },
#else
    { 0, output_6408, 0 },
#endif
    { 0 },
    &operand_data[9111],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_asrdvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6409 },
#else
    { 0, output_6409, 0 },
#endif
    { 0 },
    &operand_data[9123],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_sqshluvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6410 },
#else
    { 0, output_6410, 0 },
#endif
    { 0 },
    &operand_data[9129],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_srshrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6411 },
#else
    { 0, output_6411, 0 },
#endif
    { 0 },
    &operand_data[9123],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_urshrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6412 },
#else
    { 0, output_6412, 0 },
#endif
    { 0 },
    &operand_data[9123],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_asrdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6413 },
#else
    { 0, output_6413, 0 },
#endif
    { 0 },
    &operand_data[9135],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_sqshluvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6414 },
#else
    { 0, output_6414, 0 },
#endif
    { 0 },
    &operand_data[9141],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_srshrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6415 },
#else
    { 0, output_6415, 0 },
#endif
    { 0 },
    &operand_data[9135],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_urshrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6416 },
#else
    { 0, output_6416, 0 },
#endif
    { 0 },
    &operand_data[9135],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_asrdvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6417 },
#else
    { 0, output_6417, 0 },
#endif
    { 0 },
    &operand_data[9147],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_sqshluvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6418 },
#else
    { 0, output_6418, 0 },
#endif
    { 0 },
    &operand_data[9153],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_srshrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6419 },
#else
    { 0, output_6419, 0 },
#endif
    { 0 },
    &operand_data[9147],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_urshrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6420 },
#else
    { 0, output_6420, 0 },
#endif
    { 0 },
    &operand_data[9147],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_asrdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6421 },
#else
    { 0, output_6421, 0 },
#endif
    { 0 },
    &operand_data[9159],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_sqshluvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6422 },
#else
    { 0, output_6422, 0 },
#endif
    { 0 },
    &operand_data[9165],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_srshrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6423 },
#else
    { 0, output_6423, 0 },
#endif
    { 0 },
    &operand_data[9159],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4804 */
  {
    "*cond_urshrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6424 },
#else
    { 0, output_6424, 0 },
#endif
    { 0 },
    &operand_data[9159],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4844 */
  {
    "aarch64_sve_ftsmulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx8hf },
    &operand_data[9171],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4844 */
  {
    "aarch64_sve_ftsselvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx8hf },
    &operand_data[9171],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4844 */
  {
    "aarch64_sve_ftsmulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx4sf },
    &operand_data[9174],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4844 */
  {
    "aarch64_sve_ftsselvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx4sf },
    &operand_data[9174],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4844 */
  {
    "aarch64_sve_ftsmulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx2df },
    &operand_data[9177],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4844 */
  {
    "aarch64_sve_ftsselvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx2df },
    &operand_data[9177],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4856 */
  {
    "aarch64_pred_fscalevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6431 },
#else
    { 0, output_6431, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx8hf },
    &operand_data[9180],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4856 */
  {
    "aarch64_pred_fscalevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6432 },
#else
    { 0, output_6432, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx4sf },
    &operand_data[9185],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4856 */
  {
    "aarch64_pred_fscalevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6433 },
#else
    { 0, output_6433, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx2df },
    &operand_data[9190],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4890 */
  {
    "*cond_fscalevnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6434 },
#else
    { 0, output_6434, 0 },
#endif
    { 0 },
    &operand_data[9195],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4890 */
  {
    "*cond_fscalevnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6435 },
#else
    { 0, output_6435, 0 },
#endif
    { 0 },
    &operand_data[9200],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4890 */
  {
    "*cond_fscalevnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6436 },
#else
    { 0, output_6436, 0 },
#endif
    { 0 },
    &operand_data[9205],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4913 */
  {
    "*cond_fscalevnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6437 },
#else
    { 0, output_6437, 0 },
#endif
    { 0 },
    &operand_data[9180],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4913 */
  {
    "*cond_fscalevnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6438 },
#else
    { 0, output_6438, 0 },
#endif
    { 0 },
    &operand_data[9185],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4913 */
  {
    "*cond_fscalevnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6439 },
#else
    { 0, output_6439, 0 },
#endif
    { 0 },
    &operand_data[9190],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4935 */
  {
    "*cond_fscalevnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6440 },
#else
    { 0, output_6440, 0 },
#endif
    { 0 },
    &operand_data[9210],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4935 */
  {
    "*cond_fscalevnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6441 },
#else
    { 0, output_6441, 0 },
#endif
    { 0 },
    &operand_data[9216],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4935 */
  {
    "*cond_fscalevnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6442 },
#else
    { 0, output_6442, 0 },
#endif
    { 0 },
    &operand_data[9222],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4971 */
  {
    "*cond_fscalevnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6443 },
#else
    { 0, output_6443, 0 },
#endif
    { 0 },
    &operand_data[9210],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4971 */
  {
    "*cond_fscalevnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6444 },
#else
    { 0, output_6444, 0 },
#endif
    { 0 },
    &operand_data[9216],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4971 */
  {
    "*cond_fscalevnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6445 },
#else
    { 0, output_6445, 0 },
#endif
    { 0 },
    &operand_data[9222],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5012 */
  {
    "*post_ra_faddvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5012 */
  {
    "*post_ra_fsubvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5012 */
  {
    "*post_ra_fmulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5012 */
  {
    "*post_ra_faddvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5012 */
  {
    "*post_ra_fsubvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5012 */
  {
    "*post_ra_fmulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5012 */
  {
    "*post_ra_faddvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5012 */
  {
    "*post_ra_fsubvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5012 */
  {
    "*post_ra_fmulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5040 */
  {
    "aarch64_sve_frecpsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5040 */
  {
    "aarch64_sve_frsqrtsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5040 */
  {
    "aarch64_sve_frecpsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5040 */
  {
    "aarch64_sve_frsqrtsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5040 */
  {
    "aarch64_sve_frecpsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5040 */
  {
    "aarch64_sve_frsqrtsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5067 */
  {
    "aarch64_pred_divvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6461 },
#else
    { 0, output_6461, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx8hf },
    &operand_data[9237],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5067 */
  {
    "aarch64_pred_mulxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6462 },
#else
    { 0, output_6462, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx8hf },
    &operand_data[9237],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5067 */
  {
    "aarch64_pred_divvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6463 },
#else
    { 0, output_6463, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx4sf },
    &operand_data[9242],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5067 */
  {
    "aarch64_pred_mulxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6464 },
#else
    { 0, output_6464, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx4sf },
    &operand_data[9242],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5067 */
  {
    "aarch64_pred_divvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6465 },
#else
    { 0, output_6465, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx2df },
    &operand_data[9247],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5067 */
  {
    "aarch64_pred_mulxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6466 },
#else
    { 0, output_6466, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx2df },
    &operand_data[9247],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_addvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6467 },
#else
    { 0, output_6467, 0 },
#endif
    { 0 },
    &operand_data[9252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_divvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6468 },
#else
    { 0, output_6468, 0 },
#endif
    { 0 },
    &operand_data[9252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_smax_nanvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6469 },
#else
    { 0, output_6469, 0 },
#endif
    { 0 },
    &operand_data[9252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_smaxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6470 },
#else
    { 0, output_6470, 0 },
#endif
    { 0 },
    &operand_data[9252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_smin_nanvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6471 },
#else
    { 0, output_6471, 0 },
#endif
    { 0 },
    &operand_data[9252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_sminvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6472 },
#else
    { 0, output_6472, 0 },
#endif
    { 0 },
    &operand_data[9252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_mulvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6473 },
#else
    { 0, output_6473, 0 },
#endif
    { 0 },
    &operand_data[9252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_mulxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6474 },
#else
    { 0, output_6474, 0 },
#endif
    { 0 },
    &operand_data[9252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_subvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6475 },
#else
    { 0, output_6475, 0 },
#endif
    { 0 },
    &operand_data[9252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_addvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6476 },
#else
    { 0, output_6476, 0 },
#endif
    { 0 },
    &operand_data[9257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_divvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6477 },
#else
    { 0, output_6477, 0 },
#endif
    { 0 },
    &operand_data[9257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_smax_nanvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6478 },
#else
    { 0, output_6478, 0 },
#endif
    { 0 },
    &operand_data[9257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_smaxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6479 },
#else
    { 0, output_6479, 0 },
#endif
    { 0 },
    &operand_data[9257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_smin_nanvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6480 },
#else
    { 0, output_6480, 0 },
#endif
    { 0 },
    &operand_data[9257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_sminvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6481 },
#else
    { 0, output_6481, 0 },
#endif
    { 0 },
    &operand_data[9257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_mulvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6482 },
#else
    { 0, output_6482, 0 },
#endif
    { 0 },
    &operand_data[9257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_mulxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6483 },
#else
    { 0, output_6483, 0 },
#endif
    { 0 },
    &operand_data[9257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_subvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6484 },
#else
    { 0, output_6484, 0 },
#endif
    { 0 },
    &operand_data[9257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_addvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6485 },
#else
    { 0, output_6485, 0 },
#endif
    { 0 },
    &operand_data[9262],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_divvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6486 },
#else
    { 0, output_6486, 0 },
#endif
    { 0 },
    &operand_data[9262],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_smax_nanvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6487 },
#else
    { 0, output_6487, 0 },
#endif
    { 0 },
    &operand_data[9262],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_smaxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6488 },
#else
    { 0, output_6488, 0 },
#endif
    { 0 },
    &operand_data[9262],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_smin_nanvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6489 },
#else
    { 0, output_6489, 0 },
#endif
    { 0 },
    &operand_data[9262],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_sminvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6490 },
#else
    { 0, output_6490, 0 },
#endif
    { 0 },
    &operand_data[9262],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_mulvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6491 },
#else
    { 0, output_6491, 0 },
#endif
    { 0 },
    &operand_data[9262],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_mulxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6492 },
#else
    { 0, output_6492, 0 },
#endif
    { 0 },
    &operand_data[9262],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5100 */
  {
    "*cond_subvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6493 },
#else
    { 0, output_6493, 0 },
#endif
    { 0 },
    &operand_data[9262],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_addvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6494 },
#else
    { 0, output_6494, 0 },
#endif
    { 0 },
    &operand_data[9252],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_divvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6495 },
#else
    { 0, output_6495, 0 },
#endif
    { 0 },
    &operand_data[9252],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_smax_nanvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6496 },
#else
    { 0, output_6496, 0 },
#endif
    { 0 },
    &operand_data[9252],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_smaxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6497 },
#else
    { 0, output_6497, 0 },
#endif
    { 0 },
    &operand_data[9252],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_smin_nanvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6498 },
#else
    { 0, output_6498, 0 },
#endif
    { 0 },
    &operand_data[9252],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_sminvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6499 },
#else
    { 0, output_6499, 0 },
#endif
    { 0 },
    &operand_data[9252],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_mulvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6500 },
#else
    { 0, output_6500, 0 },
#endif
    { 0 },
    &operand_data[9252],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_mulxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6501 },
#else
    { 0, output_6501, 0 },
#endif
    { 0 },
    &operand_data[9252],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_subvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6502 },
#else
    { 0, output_6502, 0 },
#endif
    { 0 },
    &operand_data[9252],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_addvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6503 },
#else
    { 0, output_6503, 0 },
#endif
    { 0 },
    &operand_data[9257],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_divvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6504 },
#else
    { 0, output_6504, 0 },
#endif
    { 0 },
    &operand_data[9257],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_smax_nanvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6505 },
#else
    { 0, output_6505, 0 },
#endif
    { 0 },
    &operand_data[9257],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_smaxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6506 },
#else
    { 0, output_6506, 0 },
#endif
    { 0 },
    &operand_data[9257],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_smin_nanvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6507 },
#else
    { 0, output_6507, 0 },
#endif
    { 0 },
    &operand_data[9257],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_sminvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6508 },
#else
    { 0, output_6508, 0 },
#endif
    { 0 },
    &operand_data[9257],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_mulvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6509 },
#else
    { 0, output_6509, 0 },
#endif
    { 0 },
    &operand_data[9257],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_mulxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6510 },
#else
    { 0, output_6510, 0 },
#endif
    { 0 },
    &operand_data[9257],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_subvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6511 },
#else
    { 0, output_6511, 0 },
#endif
    { 0 },
    &operand_data[9257],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_addvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6512 },
#else
    { 0, output_6512, 0 },
#endif
    { 0 },
    &operand_data[9262],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_divvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6513 },
#else
    { 0, output_6513, 0 },
#endif
    { 0 },
    &operand_data[9262],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_smax_nanvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6514 },
#else
    { 0, output_6514, 0 },
#endif
    { 0 },
    &operand_data[9262],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_smaxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6515 },
#else
    { 0, output_6515, 0 },
#endif
    { 0 },
    &operand_data[9262],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_smin_nanvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6516 },
#else
    { 0, output_6516, 0 },
#endif
    { 0 },
    &operand_data[9262],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_sminvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6517 },
#else
    { 0, output_6517, 0 },
#endif
    { 0 },
    &operand_data[9262],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_mulvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6518 },
#else
    { 0, output_6518, 0 },
#endif
    { 0 },
    &operand_data[9262],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_mulxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6519 },
#else
    { 0, output_6519, 0 },
#endif
    { 0 },
    &operand_data[9262],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5123 */
  {
    "*cond_subvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6520 },
#else
    { 0, output_6520, 0 },
#endif
    { 0 },
    &operand_data[9262],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_smax_nanvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6521 },
#else
    { 0, output_6521, 0 },
#endif
    { 0 },
    &operand_data[9267],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_smaxvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6522 },
#else
    { 0, output_6522, 0 },
#endif
    { 0 },
    &operand_data[9267],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_smin_nanvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6523 },
#else
    { 0, output_6523, 0 },
#endif
    { 0 },
    &operand_data[9267],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_sminvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6524 },
#else
    { 0, output_6524, 0 },
#endif
    { 0 },
    &operand_data[9267],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_mulvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6525 },
#else
    { 0, output_6525, 0 },
#endif
    { 0 },
    &operand_data[9272],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_smax_nanvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6526 },
#else
    { 0, output_6526, 0 },
#endif
    { 0 },
    &operand_data[9277],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_smaxvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6527 },
#else
    { 0, output_6527, 0 },
#endif
    { 0 },
    &operand_data[9277],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_smin_nanvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6528 },
#else
    { 0, output_6528, 0 },
#endif
    { 0 },
    &operand_data[9277],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_sminvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6529 },
#else
    { 0, output_6529, 0 },
#endif
    { 0 },
    &operand_data[9277],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_mulvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6530 },
#else
    { 0, output_6530, 0 },
#endif
    { 0 },
    &operand_data[9282],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_smax_nanvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6531 },
#else
    { 0, output_6531, 0 },
#endif
    { 0 },
    &operand_data[9287],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_smaxvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6532 },
#else
    { 0, output_6532, 0 },
#endif
    { 0 },
    &operand_data[9287],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_smin_nanvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6533 },
#else
    { 0, output_6533, 0 },
#endif
    { 0 },
    &operand_data[9287],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_sminvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6534 },
#else
    { 0, output_6534, 0 },
#endif
    { 0 },
    &operand_data[9287],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5143 */
  {
    "*cond_mulvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6535 },
#else
    { 0, output_6535, 0 },
#endif
    { 0 },
    &operand_data[9292],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_smax_nanvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6536 },
#else
    { 0, output_6536, 0 },
#endif
    { 0 },
    &operand_data[9267],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_smaxvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6537 },
#else
    { 0, output_6537, 0 },
#endif
    { 0 },
    &operand_data[9267],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_smin_nanvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6538 },
#else
    { 0, output_6538, 0 },
#endif
    { 0 },
    &operand_data[9267],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_sminvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6539 },
#else
    { 0, output_6539, 0 },
#endif
    { 0 },
    &operand_data[9267],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_mulvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6540 },
#else
    { 0, output_6540, 0 },
#endif
    { 0 },
    &operand_data[9272],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_smax_nanvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6541 },
#else
    { 0, output_6541, 0 },
#endif
    { 0 },
    &operand_data[9277],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_smaxvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6542 },
#else
    { 0, output_6542, 0 },
#endif
    { 0 },
    &operand_data[9277],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_smin_nanvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6543 },
#else
    { 0, output_6543, 0 },
#endif
    { 0 },
    &operand_data[9277],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_sminvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6544 },
#else
    { 0, output_6544, 0 },
#endif
    { 0 },
    &operand_data[9277],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_mulvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6545 },
#else
    { 0, output_6545, 0 },
#endif
    { 0 },
    &operand_data[9282],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_smax_nanvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6546 },
#else
    { 0, output_6546, 0 },
#endif
    { 0 },
    &operand_data[9287],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_smaxvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6547 },
#else
    { 0, output_6547, 0 },
#endif
    { 0 },
    &operand_data[9287],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_smin_nanvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6548 },
#else
    { 0, output_6548, 0 },
#endif
    { 0 },
    &operand_data[9287],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_sminvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6549 },
#else
    { 0, output_6549, 0 },
#endif
    { 0 },
    &operand_data[9287],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5166 */
  {
    "*cond_mulvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6550 },
#else
    { 0, output_6550, 0 },
#endif
    { 0 },
    &operand_data[9292],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_addvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6551 },
#else
    { 0, output_6551, 0 },
#endif
    { 0 },
    &operand_data[9297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_divvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6552 },
#else
    { 0, output_6552, 0 },
#endif
    { 0 },
    &operand_data[9297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_smax_nanvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6553 },
#else
    { 0, output_6553, 0 },
#endif
    { 0 },
    &operand_data[9297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_smaxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6554 },
#else
    { 0, output_6554, 0 },
#endif
    { 0 },
    &operand_data[9297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_smin_nanvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6555 },
#else
    { 0, output_6555, 0 },
#endif
    { 0 },
    &operand_data[9297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_sminvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6556 },
#else
    { 0, output_6556, 0 },
#endif
    { 0 },
    &operand_data[9297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_mulvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6557 },
#else
    { 0, output_6557, 0 },
#endif
    { 0 },
    &operand_data[9297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_mulxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6558 },
#else
    { 0, output_6558, 0 },
#endif
    { 0 },
    &operand_data[9297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_subvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6559 },
#else
    { 0, output_6559, 0 },
#endif
    { 0 },
    &operand_data[9297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_addvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6560 },
#else
    { 0, output_6560, 0 },
#endif
    { 0 },
    &operand_data[9302],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_divvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6561 },
#else
    { 0, output_6561, 0 },
#endif
    { 0 },
    &operand_data[9302],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_smax_nanvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6562 },
#else
    { 0, output_6562, 0 },
#endif
    { 0 },
    &operand_data[9302],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_smaxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6563 },
#else
    { 0, output_6563, 0 },
#endif
    { 0 },
    &operand_data[9302],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_smin_nanvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6564 },
#else
    { 0, output_6564, 0 },
#endif
    { 0 },
    &operand_data[9302],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_sminvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6565 },
#else
    { 0, output_6565, 0 },
#endif
    { 0 },
    &operand_data[9302],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_mulvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6566 },
#else
    { 0, output_6566, 0 },
#endif
    { 0 },
    &operand_data[9302],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_mulxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6567 },
#else
    { 0, output_6567, 0 },
#endif
    { 0 },
    &operand_data[9302],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_subvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6568 },
#else
    { 0, output_6568, 0 },
#endif
    { 0 },
    &operand_data[9302],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_addvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6569 },
#else
    { 0, output_6569, 0 },
#endif
    { 0 },
    &operand_data[9307],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_divvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6570 },
#else
    { 0, output_6570, 0 },
#endif
    { 0 },
    &operand_data[9307],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_smax_nanvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6571 },
#else
    { 0, output_6571, 0 },
#endif
    { 0 },
    &operand_data[9307],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_smaxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6572 },
#else
    { 0, output_6572, 0 },
#endif
    { 0 },
    &operand_data[9307],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_smin_nanvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6573 },
#else
    { 0, output_6573, 0 },
#endif
    { 0 },
    &operand_data[9307],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_sminvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6574 },
#else
    { 0, output_6574, 0 },
#endif
    { 0 },
    &operand_data[9307],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_mulvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6575 },
#else
    { 0, output_6575, 0 },
#endif
    { 0 },
    &operand_data[9307],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_mulxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6576 },
#else
    { 0, output_6576, 0 },
#endif
    { 0 },
    &operand_data[9307],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5186 */
  {
    "*cond_subvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6577 },
#else
    { 0, output_6577, 0 },
#endif
    { 0 },
    &operand_data[9307],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_addvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6578 },
#else
    { 0, output_6578, 0 },
#endif
    { 0 },
    &operand_data[9297],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_divvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6579 },
#else
    { 0, output_6579, 0 },
#endif
    { 0 },
    &operand_data[9297],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_smax_nanvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6580 },
#else
    { 0, output_6580, 0 },
#endif
    { 0 },
    &operand_data[9297],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_smaxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6581 },
#else
    { 0, output_6581, 0 },
#endif
    { 0 },
    &operand_data[9297],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_smin_nanvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6582 },
#else
    { 0, output_6582, 0 },
#endif
    { 0 },
    &operand_data[9297],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_sminvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6583 },
#else
    { 0, output_6583, 0 },
#endif
    { 0 },
    &operand_data[9297],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_mulvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6584 },
#else
    { 0, output_6584, 0 },
#endif
    { 0 },
    &operand_data[9297],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_mulxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6585 },
#else
    { 0, output_6585, 0 },
#endif
    { 0 },
    &operand_data[9297],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_subvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6586 },
#else
    { 0, output_6586, 0 },
#endif
    { 0 },
    &operand_data[9297],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_addvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6587 },
#else
    { 0, output_6587, 0 },
#endif
    { 0 },
    &operand_data[9302],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_divvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6588 },
#else
    { 0, output_6588, 0 },
#endif
    { 0 },
    &operand_data[9302],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_smax_nanvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6589 },
#else
    { 0, output_6589, 0 },
#endif
    { 0 },
    &operand_data[9302],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_smaxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6590 },
#else
    { 0, output_6590, 0 },
#endif
    { 0 },
    &operand_data[9302],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_smin_nanvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6591 },
#else
    { 0, output_6591, 0 },
#endif
    { 0 },
    &operand_data[9302],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_sminvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6592 },
#else
    { 0, output_6592, 0 },
#endif
    { 0 },
    &operand_data[9302],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_mulvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6593 },
#else
    { 0, output_6593, 0 },
#endif
    { 0 },
    &operand_data[9302],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_mulxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6594 },
#else
    { 0, output_6594, 0 },
#endif
    { 0 },
    &operand_data[9302],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_subvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6595 },
#else
    { 0, output_6595, 0 },
#endif
    { 0 },
    &operand_data[9302],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_addvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6596 },
#else
    { 0, output_6596, 0 },
#endif
    { 0 },
    &operand_data[9307],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_divvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6597 },
#else
    { 0, output_6597, 0 },
#endif
    { 0 },
    &operand_data[9307],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_smax_nanvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6598 },
#else
    { 0, output_6598, 0 },
#endif
    { 0 },
    &operand_data[9307],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_smaxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6599 },
#else
    { 0, output_6599, 0 },
#endif
    { 0 },
    &operand_data[9307],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_smin_nanvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6600 },
#else
    { 0, output_6600, 0 },
#endif
    { 0 },
    &operand_data[9307],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_sminvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6601 },
#else
    { 0, output_6601, 0 },
#endif
    { 0 },
    &operand_data[9307],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_mulvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6602 },
#else
    { 0, output_6602, 0 },
#endif
    { 0 },
    &operand_data[9307],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_mulxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6603 },
#else
    { 0, output_6603, 0 },
#endif
    { 0 },
    &operand_data[9307],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5209 */
  {
    "*cond_subvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6604 },
#else
    { 0, output_6604, 0 },
#endif
    { 0 },
    &operand_data[9307],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_addvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6605 },
#else
    { 0, output_6605, 0 },
#endif
    { 0 },
    &operand_data[9312],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_divvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6606 },
#else
    { 0, output_6606, 0 },
#endif
    { 0 },
    &operand_data[9312],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_smax_nanvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6607 },
#else
    { 0, output_6607, 0 },
#endif
    { 0 },
    &operand_data[9312],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_smaxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6608 },
#else
    { 0, output_6608, 0 },
#endif
    { 0 },
    &operand_data[9312],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_smin_nanvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6609 },
#else
    { 0, output_6609, 0 },
#endif
    { 0 },
    &operand_data[9312],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_sminvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6610 },
#else
    { 0, output_6610, 0 },
#endif
    { 0 },
    &operand_data[9312],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_mulvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6611 },
#else
    { 0, output_6611, 0 },
#endif
    { 0 },
    &operand_data[9312],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_mulxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6612 },
#else
    { 0, output_6612, 0 },
#endif
    { 0 },
    &operand_data[9312],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_subvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6613 },
#else
    { 0, output_6613, 0 },
#endif
    { 0 },
    &operand_data[9312],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_addvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6614 },
#else
    { 0, output_6614, 0 },
#endif
    { 0 },
    &operand_data[9318],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_divvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6615 },
#else
    { 0, output_6615, 0 },
#endif
    { 0 },
    &operand_data[9318],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_smax_nanvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6616 },
#else
    { 0, output_6616, 0 },
#endif
    { 0 },
    &operand_data[9318],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_smaxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6617 },
#else
    { 0, output_6617, 0 },
#endif
    { 0 },
    &operand_data[9318],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_smin_nanvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6618 },
#else
    { 0, output_6618, 0 },
#endif
    { 0 },
    &operand_data[9318],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_sminvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6619 },
#else
    { 0, output_6619, 0 },
#endif
    { 0 },
    &operand_data[9318],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_mulvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6620 },
#else
    { 0, output_6620, 0 },
#endif
    { 0 },
    &operand_data[9318],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_mulxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6621 },
#else
    { 0, output_6621, 0 },
#endif
    { 0 },
    &operand_data[9318],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_subvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6622 },
#else
    { 0, output_6622, 0 },
#endif
    { 0 },
    &operand_data[9318],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_addvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6623 },
#else
    { 0, output_6623, 0 },
#endif
    { 0 },
    &operand_data[9324],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_divvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6624 },
#else
    { 0, output_6624, 0 },
#endif
    { 0 },
    &operand_data[9324],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_smax_nanvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6625 },
#else
    { 0, output_6625, 0 },
#endif
    { 0 },
    &operand_data[9324],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_smaxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6626 },
#else
    { 0, output_6626, 0 },
#endif
    { 0 },
    &operand_data[9324],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_smin_nanvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6627 },
#else
    { 0, output_6627, 0 },
#endif
    { 0 },
    &operand_data[9324],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_sminvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6628 },
#else
    { 0, output_6628, 0 },
#endif
    { 0 },
    &operand_data[9324],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_mulvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6629 },
#else
    { 0, output_6629, 0 },
#endif
    { 0 },
    &operand_data[9324],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_mulxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6630 },
#else
    { 0, output_6630, 0 },
#endif
    { 0 },
    &operand_data[9324],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5229 */
  {
    "*cond_subvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6631 },
#else
    { 0, output_6631, 0 },
#endif
    { 0 },
    &operand_data[9324],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_addvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6632 },
#else
    { 0, output_6632, 0 },
#endif
    { 0 },
    &operand_data[9312],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_divvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6633 },
#else
    { 0, output_6633, 0 },
#endif
    { 0 },
    &operand_data[9312],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_smax_nanvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6634 },
#else
    { 0, output_6634, 0 },
#endif
    { 0 },
    &operand_data[9312],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_smaxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6635 },
#else
    { 0, output_6635, 0 },
#endif
    { 0 },
    &operand_data[9312],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_smin_nanvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6636 },
#else
    { 0, output_6636, 0 },
#endif
    { 0 },
    &operand_data[9312],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_sminvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6637 },
#else
    { 0, output_6637, 0 },
#endif
    { 0 },
    &operand_data[9312],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_mulvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6638 },
#else
    { 0, output_6638, 0 },
#endif
    { 0 },
    &operand_data[9312],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_mulxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6639 },
#else
    { 0, output_6639, 0 },
#endif
    { 0 },
    &operand_data[9312],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_subvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6640 },
#else
    { 0, output_6640, 0 },
#endif
    { 0 },
    &operand_data[9312],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_addvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6641 },
#else
    { 0, output_6641, 0 },
#endif
    { 0 },
    &operand_data[9318],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_divvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6642 },
#else
    { 0, output_6642, 0 },
#endif
    { 0 },
    &operand_data[9318],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_smax_nanvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6643 },
#else
    { 0, output_6643, 0 },
#endif
    { 0 },
    &operand_data[9318],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_smaxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6644 },
#else
    { 0, output_6644, 0 },
#endif
    { 0 },
    &operand_data[9318],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_smin_nanvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6645 },
#else
    { 0, output_6645, 0 },
#endif
    { 0 },
    &operand_data[9318],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_sminvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6646 },
#else
    { 0, output_6646, 0 },
#endif
    { 0 },
    &operand_data[9318],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_mulvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6647 },
#else
    { 0, output_6647, 0 },
#endif
    { 0 },
    &operand_data[9318],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_mulxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6648 },
#else
    { 0, output_6648, 0 },
#endif
    { 0 },
    &operand_data[9318],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_subvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6649 },
#else
    { 0, output_6649, 0 },
#endif
    { 0 },
    &operand_data[9318],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_addvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6650 },
#else
    { 0, output_6650, 0 },
#endif
    { 0 },
    &operand_data[9324],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_divvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6651 },
#else
    { 0, output_6651, 0 },
#endif
    { 0 },
    &operand_data[9324],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_smax_nanvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6652 },
#else
    { 0, output_6652, 0 },
#endif
    { 0 },
    &operand_data[9324],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_smaxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6653 },
#else
    { 0, output_6653, 0 },
#endif
    { 0 },
    &operand_data[9324],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_smin_nanvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6654 },
#else
    { 0, output_6654, 0 },
#endif
    { 0 },
    &operand_data[9324],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_sminvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6655 },
#else
    { 0, output_6655, 0 },
#endif
    { 0 },
    &operand_data[9324],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_mulvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6656 },
#else
    { 0, output_6656, 0 },
#endif
    { 0 },
    &operand_data[9324],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_mulxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6657 },
#else
    { 0, output_6657, 0 },
#endif
    { 0 },
    &operand_data[9324],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5268 */
  {
    "*cond_subvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6658 },
#else
    { 0, output_6658, 0 },
#endif
    { 0 },
    &operand_data[9324],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_smax_nanvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6659 },
#else
    { 0, output_6659, 0 },
#endif
    { 0 },
    &operand_data[9330],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_smaxvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6660 },
#else
    { 0, output_6660, 0 },
#endif
    { 0 },
    &operand_data[9330],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_smin_nanvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6661 },
#else
    { 0, output_6661, 0 },
#endif
    { 0 },
    &operand_data[9330],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_sminvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6662 },
#else
    { 0, output_6662, 0 },
#endif
    { 0 },
    &operand_data[9330],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_mulvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6663 },
#else
    { 0, output_6663, 0 },
#endif
    { 0 },
    &operand_data[9336],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_smax_nanvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6664 },
#else
    { 0, output_6664, 0 },
#endif
    { 0 },
    &operand_data[9342],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_smaxvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6665 },
#else
    { 0, output_6665, 0 },
#endif
    { 0 },
    &operand_data[9342],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_smin_nanvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6666 },
#else
    { 0, output_6666, 0 },
#endif
    { 0 },
    &operand_data[9342],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_sminvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6667 },
#else
    { 0, output_6667, 0 },
#endif
    { 0 },
    &operand_data[9342],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_mulvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6668 },
#else
    { 0, output_6668, 0 },
#endif
    { 0 },
    &operand_data[9348],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_smax_nanvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6669 },
#else
    { 0, output_6669, 0 },
#endif
    { 0 },
    &operand_data[9354],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_smaxvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6670 },
#else
    { 0, output_6670, 0 },
#endif
    { 0 },
    &operand_data[9354],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_smin_nanvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6671 },
#else
    { 0, output_6671, 0 },
#endif
    { 0 },
    &operand_data[9354],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_sminvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6672 },
#else
    { 0, output_6672, 0 },
#endif
    { 0 },
    &operand_data[9354],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5301 */
  {
    "*cond_mulvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6673 },
#else
    { 0, output_6673, 0 },
#endif
    { 0 },
    &operand_data[9360],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_smax_nanvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6674 },
#else
    { 0, output_6674, 0 },
#endif
    { 0 },
    &operand_data[9330],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_smaxvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6675 },
#else
    { 0, output_6675, 0 },
#endif
    { 0 },
    &operand_data[9330],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_smin_nanvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6676 },
#else
    { 0, output_6676, 0 },
#endif
    { 0 },
    &operand_data[9330],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_sminvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6677 },
#else
    { 0, output_6677, 0 },
#endif
    { 0 },
    &operand_data[9330],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_mulvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6678 },
#else
    { 0, output_6678, 0 },
#endif
    { 0 },
    &operand_data[9336],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_smax_nanvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6679 },
#else
    { 0, output_6679, 0 },
#endif
    { 0 },
    &operand_data[9342],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_smaxvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6680 },
#else
    { 0, output_6680, 0 },
#endif
    { 0 },
    &operand_data[9342],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_smin_nanvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6681 },
#else
    { 0, output_6681, 0 },
#endif
    { 0 },
    &operand_data[9342],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_sminvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6682 },
#else
    { 0, output_6682, 0 },
#endif
    { 0 },
    &operand_data[9342],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_mulvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6683 },
#else
    { 0, output_6683, 0 },
#endif
    { 0 },
    &operand_data[9348],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_smax_nanvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6684 },
#else
    { 0, output_6684, 0 },
#endif
    { 0 },
    &operand_data[9354],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_smaxvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6685 },
#else
    { 0, output_6685, 0 },
#endif
    { 0 },
    &operand_data[9354],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_smin_nanvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6686 },
#else
    { 0, output_6686, 0 },
#endif
    { 0 },
    &operand_data[9354],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_sminvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6687 },
#else
    { 0, output_6687, 0 },
#endif
    { 0 },
    &operand_data[9354],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5336 */
  {
    "*cond_mulvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6688 },
#else
    { 0, output_6688, 0 },
#endif
    { 0 },
    &operand_data[9360],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5373 */
  {
    "aarch64_pred_addvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6689 },
#else
    { 0, output_6689, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx8hf },
    &operand_data[9366],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5373 */
  {
    "aarch64_pred_addvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6690 },
#else
    { 0, output_6690, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx4sf },
    &operand_data[9371],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5373 */
  {
    "aarch64_pred_addvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6691 },
#else
    { 0, output_6691, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx2df },
    &operand_data[9376],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5402 */
  {
    "*cond_addvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6692 },
#else
    { 0, output_6692, 0 },
#endif
    { 0 },
    &operand_data[9381],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5402 */
  {
    "*cond_addvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6693 },
#else
    { 0, output_6693, 0 },
#endif
    { 0 },
    &operand_data[9386],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5402 */
  {
    "*cond_addvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6694 },
#else
    { 0, output_6694, 0 },
#endif
    { 0 },
    &operand_data[9391],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5427 */
  {
    "*cond_addvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6695 },
#else
    { 0, output_6695, 0 },
#endif
    { 0 },
    &operand_data[9381],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5427 */
  {
    "*cond_addvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6696 },
#else
    { 0, output_6696, 0 },
#endif
    { 0 },
    &operand_data[9386],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5427 */
  {
    "*cond_addvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6697 },
#else
    { 0, output_6697, 0 },
#endif
    { 0 },
    &operand_data[9391],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5450 */
  {
    "*cond_addvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6698 },
#else
    { 0, output_6698, 0 },
#endif
    { 0 },
    &operand_data[9396],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5450 */
  {
    "*cond_addvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6699 },
#else
    { 0, output_6699, 0 },
#endif
    { 0 },
    &operand_data[9402],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5450 */
  {
    "*cond_addvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6700 },
#else
    { 0, output_6700, 0 },
#endif
    { 0 },
    &operand_data[9408],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5488 */
  {
    "*cond_addvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6701 },
#else
    { 0, output_6701, 0 },
#endif
    { 0 },
    &operand_data[9396],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5488 */
  {
    "*cond_addvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6702 },
#else
    { 0, output_6702, 0 },
#endif
    { 0 },
    &operand_data[9402],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5488 */
  {
    "*cond_addvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6703 },
#else
    { 0, output_6703, 0 },
#endif
    { 0 },
    &operand_data[9408],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5529 */
  {
    "aarch64_pred_cadd90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6704 },
#else
    { 0, output_6704, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx8hf },
    &operand_data[9414],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5529 */
  {
    "aarch64_pred_cadd270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6705 },
#else
    { 0, output_6705, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx8hf },
    &operand_data[9414],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5529 */
  {
    "aarch64_pred_cadd90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6706 },
#else
    { 0, output_6706, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx4sf },
    &operand_data[9419],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5529 */
  {
    "aarch64_pred_cadd270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6707 },
#else
    { 0, output_6707, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx4sf },
    &operand_data[9419],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5529 */
  {
    "aarch64_pred_cadd90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6708 },
#else
    { 0, output_6708, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx2df },
    &operand_data[9424],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5529 */
  {
    "aarch64_pred_cadd270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6709 },
#else
    { 0, output_6709, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx2df },
    &operand_data[9424],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5575 */
  {
    "*cond_cadd90vnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6710 },
#else
    { 0, output_6710, 0 },
#endif
    { 0 },
    &operand_data[9252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5575 */
  {
    "*cond_cadd270vnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6711 },
#else
    { 0, output_6711, 0 },
#endif
    { 0 },
    &operand_data[9252],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5575 */
  {
    "*cond_cadd90vnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6712 },
#else
    { 0, output_6712, 0 },
#endif
    { 0 },
    &operand_data[9257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5575 */
  {
    "*cond_cadd270vnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6713 },
#else
    { 0, output_6713, 0 },
#endif
    { 0 },
    &operand_data[9257],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5575 */
  {
    "*cond_cadd90vnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6714 },
#else
    { 0, output_6714, 0 },
#endif
    { 0 },
    &operand_data[9262],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5575 */
  {
    "*cond_cadd270vnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6715 },
#else
    { 0, output_6715, 0 },
#endif
    { 0 },
    &operand_data[9262],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5598 */
  {
    "*cond_cadd90vnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6716 },
#else
    { 0, output_6716, 0 },
#endif
    { 0 },
    &operand_data[9252],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5598 */
  {
    "*cond_cadd270vnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6717 },
#else
    { 0, output_6717, 0 },
#endif
    { 0 },
    &operand_data[9252],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5598 */
  {
    "*cond_cadd90vnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6718 },
#else
    { 0, output_6718, 0 },
#endif
    { 0 },
    &operand_data[9257],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5598 */
  {
    "*cond_cadd270vnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6719 },
#else
    { 0, output_6719, 0 },
#endif
    { 0 },
    &operand_data[9257],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5598 */
  {
    "*cond_cadd90vnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6720 },
#else
    { 0, output_6720, 0 },
#endif
    { 0 },
    &operand_data[9262],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5598 */
  {
    "*cond_cadd270vnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6721 },
#else
    { 0, output_6721, 0 },
#endif
    { 0 },
    &operand_data[9262],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5618 */
  {
    "*cond_cadd90vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6722 },
#else
    { 0, output_6722, 0 },
#endif
    { 0 },
    &operand_data[9429],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5618 */
  {
    "*cond_cadd270vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6723 },
#else
    { 0, output_6723, 0 },
#endif
    { 0 },
    &operand_data[9429],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5618 */
  {
    "*cond_cadd90vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6724 },
#else
    { 0, output_6724, 0 },
#endif
    { 0 },
    &operand_data[9435],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5618 */
  {
    "*cond_cadd270vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6725 },
#else
    { 0, output_6725, 0 },
#endif
    { 0 },
    &operand_data[9435],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5618 */
  {
    "*cond_cadd90vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6726 },
#else
    { 0, output_6726, 0 },
#endif
    { 0 },
    &operand_data[9441],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5618 */
  {
    "*cond_cadd270vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6727 },
#else
    { 0, output_6727, 0 },
#endif
    { 0 },
    &operand_data[9441],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5654 */
  {
    "*cond_cadd90vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6728 },
#else
    { 0, output_6728, 0 },
#endif
    { 0 },
    &operand_data[9429],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5654 */
  {
    "*cond_cadd270vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6729 },
#else
    { 0, output_6729, 0 },
#endif
    { 0 },
    &operand_data[9429],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5654 */
  {
    "*cond_cadd90vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6730 },
#else
    { 0, output_6730, 0 },
#endif
    { 0 },
    &operand_data[9435],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5654 */
  {
    "*cond_cadd270vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6731 },
#else
    { 0, output_6731, 0 },
#endif
    { 0 },
    &operand_data[9435],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5654 */
  {
    "*cond_cadd90vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6732 },
#else
    { 0, output_6732, 0 },
#endif
    { 0 },
    &operand_data[9441],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5654 */
  {
    "*cond_cadd270vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6733 },
#else
    { 0, output_6733, 0 },
#endif
    { 0 },
    &operand_data[9441],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5692 */
  {
    "aarch64_pred_subvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6734 },
#else
    { 0, output_6734, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx8hf },
    &operand_data[9447],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5692 */
  {
    "aarch64_pred_subvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6735 },
#else
    { 0, output_6735, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx4sf },
    &operand_data[9452],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5692 */
  {
    "aarch64_pred_subvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6736 },
#else
    { 0, output_6736, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx2df },
    &operand_data[9457],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5720 */
  {
    "*cond_subvnx8hf_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6737 },
#else
    { 0, output_6737, 0 },
#endif
    { 0 },
    &operand_data[9462],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5720 */
  {
    "*cond_subvnx4sf_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6738 },
#else
    { 0, output_6738, 0 },
#endif
    { 0 },
    &operand_data[9467],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5720 */
  {
    "*cond_subvnx2df_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6739 },
#else
    { 0, output_6739, 0 },
#endif
    { 0 },
    &operand_data[9472],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5743 */
  {
    "*cond_subvnx8hf_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6740 },
#else
    { 0, output_6740, 0 },
#endif
    { 0 },
    &operand_data[9462],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5743 */
  {
    "*cond_subvnx4sf_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6741 },
#else
    { 0, output_6741, 0 },
#endif
    { 0 },
    &operand_data[9467],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5743 */
  {
    "*cond_subvnx2df_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6742 },
#else
    { 0, output_6742, 0 },
#endif
    { 0 },
    &operand_data[9472],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5764 */
  {
    "*cond_subvnx8hf_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6743 },
#else
    { 0, output_6743, 0 },
#endif
    { 0 },
    &operand_data[9477],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5764 */
  {
    "*cond_subvnx4sf_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6744 },
#else
    { 0, output_6744, 0 },
#endif
    { 0 },
    &operand_data[9483],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5764 */
  {
    "*cond_subvnx2df_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6745 },
#else
    { 0, output_6745, 0 },
#endif
    { 0 },
    &operand_data[9489],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5799 */
  {
    "*cond_subvnx8hf_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6746 },
#else
    { 0, output_6746, 0 },
#endif
    { 0 },
    &operand_data[9477],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5799 */
  {
    "*cond_subvnx4sf_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6747 },
#else
    { 0, output_6747, 0 },
#endif
    { 0 },
    &operand_data[9483],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5799 */
  {
    "*cond_subvnx2df_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6748 },
#else
    { 0, output_6748, 0 },
#endif
    { 0 },
    &operand_data[9489],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5852 */
  {
    "*aarch64_pred_abdvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6749 },
#else
    { 0, output_6749, 0 },
#endif
    { 0 },
    &operand_data[9495],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5852 */
  {
    "*aarch64_pred_abdvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6750 },
#else
    { 0, output_6750, 0 },
#endif
    { 0 },
    &operand_data[9501],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5852 */
  {
    "*aarch64_pred_abdvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6751 },
#else
    { 0, output_6751, 0 },
#endif
    { 0 },
    &operand_data[9507],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5875 */
  {
    "*aarch64_pred_abdvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6752 },
#else
    { 0, output_6752, 0 },
#endif
    { 0 },
    &operand_data[9495],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5875 */
  {
    "*aarch64_pred_abdvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6753 },
#else
    { 0, output_6753, 0 },
#endif
    { 0 },
    &operand_data[9501],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5875 */
  {
    "*aarch64_pred_abdvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6754 },
#else
    { 0, output_6754, 0 },
#endif
    { 0 },
    &operand_data[9507],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5918 */
  {
    "*aarch64_cond_abdvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6755 },
#else
    { 0, output_6755, 0 },
#endif
    { 0 },
    &operand_data[9513],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5918 */
  {
    "*aarch64_cond_abdvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6756 },
#else
    { 0, output_6756, 0 },
#endif
    { 0 },
    &operand_data[9519],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5918 */
  {
    "*aarch64_cond_abdvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6757 },
#else
    { 0, output_6757, 0 },
#endif
    { 0 },
    &operand_data[9525],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5947 */
  {
    "*aarch64_cond_abdvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6758 },
#else
    { 0, output_6758, 0 },
#endif
    { 0 },
    &operand_data[9531],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5947 */
  {
    "*aarch64_cond_abdvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6759 },
#else
    { 0, output_6759, 0 },
#endif
    { 0 },
    &operand_data[9537],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5947 */
  {
    "*aarch64_cond_abdvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6760 },
#else
    { 0, output_6760, 0 },
#endif
    { 0 },
    &operand_data[9543],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5972 */
  {
    "*aarch64_cond_abdvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6761 },
#else
    { 0, output_6761, 0 },
#endif
    { 0 },
    &operand_data[9549],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5972 */
  {
    "*aarch64_cond_abdvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6762 },
#else
    { 0, output_6762, 0 },
#endif
    { 0 },
    &operand_data[9555],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5972 */
  {
    "*aarch64_cond_abdvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6763 },
#else
    { 0, output_6763, 0 },
#endif
    { 0 },
    &operand_data[9561],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6001 */
  {
    "*aarch64_cond_abdvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6764 },
#else
    { 0, output_6764, 0 },
#endif
    { 0 },
    &operand_data[9567],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6001 */
  {
    "*aarch64_cond_abdvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6765 },
#else
    { 0, output_6765, 0 },
#endif
    { 0 },
    &operand_data[9573],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6001 */
  {
    "*aarch64_cond_abdvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6766 },
#else
    { 0, output_6766, 0 },
#endif
    { 0 },
    &operand_data[9579],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6026 */
  {
    "*aarch64_cond_abdvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6767 },
#else
    { 0, output_6767, 0 },
#endif
    { 0 },
    &operand_data[9585],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6026 */
  {
    "*aarch64_cond_abdvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6768 },
#else
    { 0, output_6768, 0 },
#endif
    { 0 },
    &operand_data[9592],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6026 */
  {
    "*aarch64_cond_abdvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6769 },
#else
    { 0, output_6769, 0 },
#endif
    { 0 },
    &operand_data[9599],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6073 */
  {
    "*aarch64_cond_abdvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6770 },
#else
    { 0, output_6770, 0 },
#endif
    { 0 },
    &operand_data[9606],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6073 */
  {
    "*aarch64_cond_abdvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6771 },
#else
    { 0, output_6771, 0 },
#endif
    { 0 },
    &operand_data[9613],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6073 */
  {
    "*aarch64_cond_abdvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6772 },
#else
    { 0, output_6772, 0 },
#endif
    { 0 },
    &operand_data[9620],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6117 */
  {
    "aarch64_pred_mulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6773 },
#else
    { 0, output_6773, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8hf },
    &operand_data[9627],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6117 */
  {
    "aarch64_pred_mulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6774 },
#else
    { 0, output_6774, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4sf },
    &operand_data[9632],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6117 */
  {
    "aarch64_pred_mulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6775 },
#else
    { 0, output_6775, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2df },
    &operand_data[9637],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6146 */
  {
    "aarch64_mul_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx8hf },
    &operand_data[9642],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6146 */
  {
    "aarch64_mul_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx4sf },
    &operand_data[9646],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6146 */
  {
    "aarch64_mul_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx2df },
    &operand_data[9650],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6211 */
  {
    "*andvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6211 */
  {
    "*iorvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6211 */
  {
    "*xorvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6211 */
  {
    "*andvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6211 */
  {
    "*iorvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6211 */
  {
    "*xorvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6211 */
  {
    "*andvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6211 */
  {
    "*iorvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6211 */
  {
    "*xorvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6308 */
  {
    "aarch64_pred_smax_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6788 },
#else
    { 0, output_6788, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smax_nanvnx8hf },
    &operand_data[9654],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6308 */
  {
    "aarch64_pred_smaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6789 },
#else
    { 0, output_6789, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8hf },
    &operand_data[9654],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6308 */
  {
    "aarch64_pred_smin_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6790 },
#else
    { 0, output_6790, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smin_nanvnx8hf },
    &operand_data[9654],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6308 */
  {
    "aarch64_pred_sminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6791 },
#else
    { 0, output_6791, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8hf },
    &operand_data[9654],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6308 */
  {
    "aarch64_pred_smax_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6792 },
#else
    { 0, output_6792, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smax_nanvnx4sf },
    &operand_data[9659],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6308 */
  {
    "aarch64_pred_smaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6793 },
#else
    { 0, output_6793, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4sf },
    &operand_data[9659],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6308 */
  {
    "aarch64_pred_smin_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6794 },
#else
    { 0, output_6794, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smin_nanvnx4sf },
    &operand_data[9659],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6308 */
  {
    "aarch64_pred_sminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6795 },
#else
    { 0, output_6795, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4sf },
    &operand_data[9659],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6308 */
  {
    "aarch64_pred_smax_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6796 },
#else
    { 0, output_6796, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smax_nanvnx2df },
    &operand_data[9664],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6308 */
  {
    "aarch64_pred_smaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6797 },
#else
    { 0, output_6797, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2df },
    &operand_data[9664],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6308 */
  {
    "aarch64_pred_smin_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6798 },
#else
    { 0, output_6798, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smin_nanvnx2df },
    &operand_data[9664],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6308 */
  {
    "aarch64_pred_sminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6799 },
#else
    { 0, output_6799, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2df },
    &operand_data[9664],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6343 */
  {
    "andvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx16bi3 },
    &operand_data[7797],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6343 */
  {
    "andvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8bi3 },
    &operand_data[7800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6343 */
  {
    "andvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4bi3 },
    &operand_data[7803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6343 */
  {
    "andvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2bi3 },
    &operand_data[7806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6366 */
  {
    "aarch64_pred_andvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx16bi_z },
    &operand_data[9669],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6366 */
  {
    "aarch64_pred_iorvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx16bi_z },
    &operand_data[9669],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6366 */
  {
    "aarch64_pred_xorvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx16bi_z },
    &operand_data[9669],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6366 */
  {
    "aarch64_pred_andvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx8bi_z },
    &operand_data[9673],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6366 */
  {
    "aarch64_pred_iorvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx8bi_z },
    &operand_data[9673],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6366 */
  {
    "aarch64_pred_xorvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx8bi_z },
    &operand_data[9673],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6366 */
  {
    "aarch64_pred_andvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx4bi_z },
    &operand_data[9677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6366 */
  {
    "aarch64_pred_iorvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx4bi_z },
    &operand_data[9677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6366 */
  {
    "aarch64_pred_xorvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx4bi_z },
    &operand_data[9677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6366 */
  {
    "aarch64_pred_andvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx2bi_z },
    &operand_data[9681],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6366 */
  {
    "aarch64_pred_iorvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx2bi_z },
    &operand_data[9681],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6366 */
  {
    "aarch64_pred_xorvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx2bi_z },
    &operand_data[9681],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "*andvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9685],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "*iorvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9685],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "*xorvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9685],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "*andvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9691],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "*iorvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9691],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "*xorvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9691],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "*andvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9697],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "*iorvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9697],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "*xorvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9697],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "*andvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9703],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "*iorvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9703],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6380 */
  {
    "*xorvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9703],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6400 */
  {
    "*andvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9709],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6400 */
  {
    "*iorvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9709],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6400 */
  {
    "*xorvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9709],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6400 */
  {
    "*andvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9715],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6400 */
  {
    "*iorvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9715],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6400 */
  {
    "*xorvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9715],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6400 */
  {
    "*andvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9721],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6400 */
  {
    "*iorvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9721],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6400 */
  {
    "*xorvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9721],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6400 */
  {
    "*andvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9727],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6400 */
  {
    "*iorvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orrs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9727],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6400 */
  {
    "*xorvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9727],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6426 */
  {
    "aarch64_pred_bicvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx16bi_z },
    &operand_data[9669],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6426 */
  {
    "aarch64_pred_ornvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx16bi_z },
    &operand_data[9669],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6426 */
  {
    "aarch64_pred_bicvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx8bi_z },
    &operand_data[9673],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6426 */
  {
    "aarch64_pred_ornvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx8bi_z },
    &operand_data[9673],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6426 */
  {
    "aarch64_pred_bicvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx4bi_z },
    &operand_data[9677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6426 */
  {
    "aarch64_pred_ornvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx4bi_z },
    &operand_data[9677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6426 */
  {
    "aarch64_pred_bicvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx2bi_z },
    &operand_data[9681],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6426 */
  {
    "aarch64_pred_ornvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx2bi_z },
    &operand_data[9681],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6438 */
  {
    "*bicvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9685],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6438 */
  {
    "*ornvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9685],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6438 */
  {
    "*bicvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9691],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6438 */
  {
    "*ornvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9691],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6438 */
  {
    "*bicvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9697],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6438 */
  {
    "*ornvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9697],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6438 */
  {
    "*bicvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9703],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6438 */
  {
    "*ornvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9703],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6461 */
  {
    "*bicvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9709],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6461 */
  {
    "*ornvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9709],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6461 */
  {
    "*bicvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9715],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6461 */
  {
    "*ornvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9715],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6461 */
  {
    "*bicvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9721],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6461 */
  {
    "*ornvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9721],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6461 */
  {
    "*bicvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9727],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6461 */
  {
    "*ornvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orns\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9727],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6488 */
  {
    "aarch64_pred_norvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx16bi_z },
    &operand_data[9669],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6488 */
  {
    "aarch64_pred_nandvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx16bi_z },
    &operand_data[9669],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6488 */
  {
    "aarch64_pred_norvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx8bi_z },
    &operand_data[9673],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6488 */
  {
    "aarch64_pred_nandvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx8bi_z },
    &operand_data[9673],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6488 */
  {
    "aarch64_pred_norvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx4bi_z },
    &operand_data[9677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6488 */
  {
    "aarch64_pred_nandvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx4bi_z },
    &operand_data[9677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6488 */
  {
    "aarch64_pred_norvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nor\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx2bi_z },
    &operand_data[9681],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6488 */
  {
    "aarch64_pred_nandvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nand\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx2bi_z },
    &operand_data[9681],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6500 */
  {
    "*norvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9685],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6500 */
  {
    "*nandvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9685],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6500 */
  {
    "*norvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9691],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6500 */
  {
    "*nandvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9691],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6500 */
  {
    "*norvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9697],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6500 */
  {
    "*nandvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9697],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6500 */
  {
    "*norvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9703],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6500 */
  {
    "*nandvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9703],
    6,
    6,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6524 */
  {
    "*norvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9709],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6524 */
  {
    "*nandvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9709],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6524 */
  {
    "*norvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9715],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6524 */
  {
    "*nandvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9715],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6524 */
  {
    "*norvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9721],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6524 */
  {
    "*nandvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9721],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6524 */
  {
    "*norvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nors\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9727],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6524 */
  {
    "*nandvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nands\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[9727],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6575 */
  {
    "aarch64_pred_fmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6888 },
#else
    { 0, output_6888, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx16qi },
    &operand_data[9733],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6575 */
  {
    "aarch64_pred_fmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6889 },
#else
    { 0, output_6889, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8qi },
    &operand_data[9738],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6575 */
  {
    "aarch64_pred_fmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6890 },
#else
    { 0, output_6890, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4qi },
    &operand_data[9743],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6575 */
  {
    "aarch64_pred_fmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6891 },
#else
    { 0, output_6891, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2qi },
    &operand_data[9748],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6575 */
  {
    "aarch64_pred_fmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6892 },
#else
    { 0, output_6892, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8hi },
    &operand_data[9753],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6575 */
  {
    "aarch64_pred_fmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6893 },
#else
    { 0, output_6893, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4hi },
    &operand_data[9758],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6575 */
  {
    "aarch64_pred_fmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6894 },
#else
    { 0, output_6894, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2hi },
    &operand_data[9763],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6575 */
  {
    "aarch64_pred_fmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6895 },
#else
    { 0, output_6895, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4si },
    &operand_data[9768],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6575 */
  {
    "aarch64_pred_fmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6896 },
#else
    { 0, output_6896, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2si },
    &operand_data[9773],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6575 */
  {
    "aarch64_pred_fmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6897 },
#else
    { 0, output_6897, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2di },
    &operand_data[9778],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6617 */
  {
    "*cond_fmavnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6898 },
#else
    { 0, output_6898, 0 },
#endif
    { 0 },
    &operand_data[9783],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6617 */
  {
    "*cond_fmavnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6899 },
#else
    { 0, output_6899, 0 },
#endif
    { 0 },
    &operand_data[9788],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6617 */
  {
    "*cond_fmavnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6900 },
#else
    { 0, output_6900, 0 },
#endif
    { 0 },
    &operand_data[9793],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6617 */
  {
    "*cond_fmavnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6901 },
#else
    { 0, output_6901, 0 },
#endif
    { 0 },
    &operand_data[9798],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6617 */
  {
    "*cond_fmavnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6902 },
#else
    { 0, output_6902, 0 },
#endif
    { 0 },
    &operand_data[9803],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6617 */
  {
    "*cond_fmavnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6903 },
#else
    { 0, output_6903, 0 },
#endif
    { 0 },
    &operand_data[9808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6617 */
  {
    "*cond_fmavnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6904 },
#else
    { 0, output_6904, 0 },
#endif
    { 0 },
    &operand_data[9813],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6617 */
  {
    "*cond_fmavnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6905 },
#else
    { 0, output_6905, 0 },
#endif
    { 0 },
    &operand_data[9818],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6617 */
  {
    "*cond_fmavnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6906 },
#else
    { 0, output_6906, 0 },
#endif
    { 0 },
    &operand_data[9823],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6617 */
  {
    "*cond_fmavnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6907 },
#else
    { 0, output_6907, 0 },
#endif
    { 0 },
    &operand_data[9828],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6636 */
  {
    "*cond_fmavnx16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6908 },
#else
    { 0, output_6908, 0 },
#endif
    { 0 },
    &operand_data[9833],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6636 */
  {
    "*cond_fmavnx8qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6909 },
#else
    { 0, output_6909, 0 },
#endif
    { 0 },
    &operand_data[9838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6636 */
  {
    "*cond_fmavnx4qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6910 },
#else
    { 0, output_6910, 0 },
#endif
    { 0 },
    &operand_data[9843],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6636 */
  {
    "*cond_fmavnx2qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6911 },
#else
    { 0, output_6911, 0 },
#endif
    { 0 },
    &operand_data[9848],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6636 */
  {
    "*cond_fmavnx8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6912 },
#else
    { 0, output_6912, 0 },
#endif
    { 0 },
    &operand_data[9853],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6636 */
  {
    "*cond_fmavnx4hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6913 },
#else
    { 0, output_6913, 0 },
#endif
    { 0 },
    &operand_data[9858],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6636 */
  {
    "*cond_fmavnx2hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6914 },
#else
    { 0, output_6914, 0 },
#endif
    { 0 },
    &operand_data[9863],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6636 */
  {
    "*cond_fmavnx4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6915 },
#else
    { 0, output_6915, 0 },
#endif
    { 0 },
    &operand_data[9868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6636 */
  {
    "*cond_fmavnx2si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6916 },
#else
    { 0, output_6916, 0 },
#endif
    { 0 },
    &operand_data[9873],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6636 */
  {
    "*cond_fmavnx2di_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6917 },
#else
    { 0, output_6917, 0 },
#endif
    { 0 },
    &operand_data[9878],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6655 */
  {
    "*cond_fmavnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6918 },
#else
    { 0, output_6918, 0 },
#endif
    { 0 },
    &operand_data[9883],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6655 */
  {
    "*cond_fmavnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6919 },
#else
    { 0, output_6919, 0 },
#endif
    { 0 },
    &operand_data[9889],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6655 */
  {
    "*cond_fmavnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6920 },
#else
    { 0, output_6920, 0 },
#endif
    { 0 },
    &operand_data[9895],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6655 */
  {
    "*cond_fmavnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6921 },
#else
    { 0, output_6921, 0 },
#endif
    { 0 },
    &operand_data[9901],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6655 */
  {
    "*cond_fmavnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6922 },
#else
    { 0, output_6922, 0 },
#endif
    { 0 },
    &operand_data[9907],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6655 */
  {
    "*cond_fmavnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6923 },
#else
    { 0, output_6923, 0 },
#endif
    { 0 },
    &operand_data[9913],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6655 */
  {
    "*cond_fmavnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6924 },
#else
    { 0, output_6924, 0 },
#endif
    { 0 },
    &operand_data[9919],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6655 */
  {
    "*cond_fmavnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6925 },
#else
    { 0, output_6925, 0 },
#endif
    { 0 },
    &operand_data[9925],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6655 */
  {
    "*cond_fmavnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6926 },
#else
    { 0, output_6926, 0 },
#endif
    { 0 },
    &operand_data[9931],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6655 */
  {
    "*cond_fmavnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6927 },
#else
    { 0, output_6927, 0 },
#endif
    { 0 },
    &operand_data[9937],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6716 */
  {
    "aarch64_pred_fnmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6928 },
#else
    { 0, output_6928, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx16qi },
    &operand_data[9733],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6716 */
  {
    "aarch64_pred_fnmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6929 },
#else
    { 0, output_6929, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8qi },
    &operand_data[9738],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6716 */
  {
    "aarch64_pred_fnmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6930 },
#else
    { 0, output_6930, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4qi },
    &operand_data[9743],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6716 */
  {
    "aarch64_pred_fnmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6931 },
#else
    { 0, output_6931, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2qi },
    &operand_data[9748],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6716 */
  {
    "aarch64_pred_fnmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6932 },
#else
    { 0, output_6932, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8hi },
    &operand_data[9753],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6716 */
  {
    "aarch64_pred_fnmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6933 },
#else
    { 0, output_6933, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4hi },
    &operand_data[9758],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6716 */
  {
    "aarch64_pred_fnmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6934 },
#else
    { 0, output_6934, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2hi },
    &operand_data[9763],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6716 */
  {
    "aarch64_pred_fnmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6935 },
#else
    { 0, output_6935, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4si },
    &operand_data[9768],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6716 */
  {
    "aarch64_pred_fnmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6936 },
#else
    { 0, output_6936, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2si },
    &operand_data[9773],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6716 */
  {
    "aarch64_pred_fnmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6937 },
#else
    { 0, output_6937, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2di },
    &operand_data[9778],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6758 */
  {
    "*cond_fnmavnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6938 },
#else
    { 0, output_6938, 0 },
#endif
    { 0 },
    &operand_data[9783],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6758 */
  {
    "*cond_fnmavnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6939 },
#else
    { 0, output_6939, 0 },
#endif
    { 0 },
    &operand_data[9788],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6758 */
  {
    "*cond_fnmavnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6940 },
#else
    { 0, output_6940, 0 },
#endif
    { 0 },
    &operand_data[9793],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6758 */
  {
    "*cond_fnmavnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6941 },
#else
    { 0, output_6941, 0 },
#endif
    { 0 },
    &operand_data[9798],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6758 */
  {
    "*cond_fnmavnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6942 },
#else
    { 0, output_6942, 0 },
#endif
    { 0 },
    &operand_data[9803],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6758 */
  {
    "*cond_fnmavnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6943 },
#else
    { 0, output_6943, 0 },
#endif
    { 0 },
    &operand_data[9808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6758 */
  {
    "*cond_fnmavnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6944 },
#else
    { 0, output_6944, 0 },
#endif
    { 0 },
    &operand_data[9813],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6758 */
  {
    "*cond_fnmavnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6945 },
#else
    { 0, output_6945, 0 },
#endif
    { 0 },
    &operand_data[9818],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6758 */
  {
    "*cond_fnmavnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6946 },
#else
    { 0, output_6946, 0 },
#endif
    { 0 },
    &operand_data[9823],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6758 */
  {
    "*cond_fnmavnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6947 },
#else
    { 0, output_6947, 0 },
#endif
    { 0 },
    &operand_data[9828],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6777 */
  {
    "*cond_fnmavnx16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6948 },
#else
    { 0, output_6948, 0 },
#endif
    { 0 },
    &operand_data[9833],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6777 */
  {
    "*cond_fnmavnx8qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6949 },
#else
    { 0, output_6949, 0 },
#endif
    { 0 },
    &operand_data[9838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6777 */
  {
    "*cond_fnmavnx4qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6950 },
#else
    { 0, output_6950, 0 },
#endif
    { 0 },
    &operand_data[9843],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6777 */
  {
    "*cond_fnmavnx2qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6951 },
#else
    { 0, output_6951, 0 },
#endif
    { 0 },
    &operand_data[9848],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6777 */
  {
    "*cond_fnmavnx8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6952 },
#else
    { 0, output_6952, 0 },
#endif
    { 0 },
    &operand_data[9853],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6777 */
  {
    "*cond_fnmavnx4hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6953 },
#else
    { 0, output_6953, 0 },
#endif
    { 0 },
    &operand_data[9858],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6777 */
  {
    "*cond_fnmavnx2hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6954 },
#else
    { 0, output_6954, 0 },
#endif
    { 0 },
    &operand_data[9863],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6777 */
  {
    "*cond_fnmavnx4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6955 },
#else
    { 0, output_6955, 0 },
#endif
    { 0 },
    &operand_data[9868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6777 */
  {
    "*cond_fnmavnx2si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6956 },
#else
    { 0, output_6956, 0 },
#endif
    { 0 },
    &operand_data[9873],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6777 */
  {
    "*cond_fnmavnx2di_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6957 },
#else
    { 0, output_6957, 0 },
#endif
    { 0 },
    &operand_data[9878],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6797 */
  {
    "*cond_fnmavnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6958 },
#else
    { 0, output_6958, 0 },
#endif
    { 0 },
    &operand_data[9883],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6797 */
  {
    "*cond_fnmavnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6959 },
#else
    { 0, output_6959, 0 },
#endif
    { 0 },
    &operand_data[9889],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6797 */
  {
    "*cond_fnmavnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6960 },
#else
    { 0, output_6960, 0 },
#endif
    { 0 },
    &operand_data[9895],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6797 */
  {
    "*cond_fnmavnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6961 },
#else
    { 0, output_6961, 0 },
#endif
    { 0 },
    &operand_data[9901],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6797 */
  {
    "*cond_fnmavnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6962 },
#else
    { 0, output_6962, 0 },
#endif
    { 0 },
    &operand_data[9907],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6797 */
  {
    "*cond_fnmavnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6963 },
#else
    { 0, output_6963, 0 },
#endif
    { 0 },
    &operand_data[9913],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6797 */
  {
    "*cond_fnmavnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6964 },
#else
    { 0, output_6964, 0 },
#endif
    { 0 },
    &operand_data[9919],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6797 */
  {
    "*cond_fnmavnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6965 },
#else
    { 0, output_6965, 0 },
#endif
    { 0 },
    &operand_data[9925],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6797 */
  {
    "*cond_fnmavnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6966 },
#else
    { 0, output_6966, 0 },
#endif
    { 0 },
    &operand_data[9931],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6797 */
  {
    "*cond_fnmavnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6967 },
#else
    { 0, output_6967, 0 },
#endif
    { 0 },
    &operand_data[9937],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6841 */
  {
    "sdot_prodvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6968 },
#else
    { 0, output_6968, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodvnx16qi },
    &operand_data[9943],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6841 */
  {
    "udot_prodvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6969 },
#else
    { 0, output_6969, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodvnx16qi },
    &operand_data[9943],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6841 */
  {
    "sdot_prodvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6970 },
#else
    { 0, output_6970, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodvnx8hi },
    &operand_data[9947],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6841 */
  {
    "udot_prodvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6971 },
#else
    { 0, output_6971, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodvnx8hi },
    &operand_data[9947],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6857 */
  {
    "aarch64_sdot_prod_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6972 },
#else
    { 0, output_6972, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx16qi },
    &operand_data[9951],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6857 */
  {
    "aarch64_udot_prod_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6973 },
#else
    { 0, output_6973, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx16qi },
    &operand_data[9951],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6857 */
  {
    "aarch64_sdot_prod_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6974 },
#else
    { 0, output_6974, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx8hi },
    &operand_data[9956],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6857 */
  {
    "aarch64_udot_prod_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6975 },
#else
    { 0, output_6975, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx8hi },
    &operand_data[9956],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6875 */
  {
    "aarch64_usdot_prodvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6976 },
#else
    { 0, output_6976, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_prodvnx16qi },
    &operand_data[9943],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6890 */
  {
    "aarch64_usdot_prod_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6977 },
#else
    { 0, output_6977, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_prod_lanevnx16qi },
    &operand_data[9951],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6890 */
  {
    "aarch64_sudot_prod_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6978 },
#else
    { 0, output_6978, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_prod_lanevnx16qi },
    &operand_data[9951],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6947 */
  {
    "aarch64_sve_add_smatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6979 },
#else
    { 0, output_6979, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smatmulvnx16qi },
    &operand_data[9961],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6947 */
  {
    "aarch64_sve_add_umatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6980 },
#else
    { 0, output_6980, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umatmulvnx16qi },
    &operand_data[9961],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6947 */
  {
    "aarch64_sve_add_usmatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6981 },
#else
    { 0, output_6981, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_usmatmulvnx16qi },
    &operand_data[9961],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6993 */
  {
    "aarch64_pred_fmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6982 },
#else
    { 0, output_6982, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8hf },
    &operand_data[9965],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6993 */
  {
    "aarch64_pred_fnmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6983 },
#else
    { 0, output_6983, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8hf },
    &operand_data[9965],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6993 */
  {
    "aarch64_pred_fnmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6984 },
#else
    { 0, output_6984, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx8hf },
    &operand_data[9965],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6993 */
  {
    "aarch64_pred_fmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6985 },
#else
    { 0, output_6985, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx8hf },
    &operand_data[9965],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6993 */
  {
    "aarch64_pred_fmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6986 },
#else
    { 0, output_6986, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4sf },
    &operand_data[9971],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6993 */
  {
    "aarch64_pred_fnmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6987 },
#else
    { 0, output_6987, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4sf },
    &operand_data[9971],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6993 */
  {
    "aarch64_pred_fnmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6988 },
#else
    { 0, output_6988, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx4sf },
    &operand_data[9971],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6993 */
  {
    "aarch64_pred_fmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6989 },
#else
    { 0, output_6989, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx4sf },
    &operand_data[9971],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6993 */
  {
    "aarch64_pred_fmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6990 },
#else
    { 0, output_6990, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2df },
    &operand_data[9977],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6993 */
  {
    "aarch64_pred_fnmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6991 },
#else
    { 0, output_6991, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2df },
    &operand_data[9977],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6993 */
  {
    "aarch64_pred_fnmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6992 },
#else
    { 0, output_6992, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx2df },
    &operand_data[9977],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6993 */
  {
    "aarch64_pred_fmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6993 },
#else
    { 0, output_6993, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx2df },
    &operand_data[9977],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7034 */
  {
    "*cond_fmavnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6994 },
#else
    { 0, output_6994, 0 },
#endif
    { 0 },
    &operand_data[9983],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7034 */
  {
    "*cond_fnmavnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6995 },
#else
    { 0, output_6995, 0 },
#endif
    { 0 },
    &operand_data[9983],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7034 */
  {
    "*cond_fnmsvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6996 },
#else
    { 0, output_6996, 0 },
#endif
    { 0 },
    &operand_data[9983],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7034 */
  {
    "*cond_fmsvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6997 },
#else
    { 0, output_6997, 0 },
#endif
    { 0 },
    &operand_data[9983],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7034 */
  {
    "*cond_fmavnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6998 },
#else
    { 0, output_6998, 0 },
#endif
    { 0 },
    &operand_data[9989],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7034 */
  {
    "*cond_fnmavnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6999 },
#else
    { 0, output_6999, 0 },
#endif
    { 0 },
    &operand_data[9989],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7034 */
  {
    "*cond_fnmsvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7000 },
#else
    { 0, output_7000, 0 },
#endif
    { 0 },
    &operand_data[9989],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7034 */
  {
    "*cond_fmsvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7001 },
#else
    { 0, output_7001, 0 },
#endif
    { 0 },
    &operand_data[9989],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7034 */
  {
    "*cond_fmavnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7002 },
#else
    { 0, output_7002, 0 },
#endif
    { 0 },
    &operand_data[9995],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7034 */
  {
    "*cond_fnmavnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7003 },
#else
    { 0, output_7003, 0 },
#endif
    { 0 },
    &operand_data[9995],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7034 */
  {
    "*cond_fnmsvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7004 },
#else
    { 0, output_7004, 0 },
#endif
    { 0 },
    &operand_data[9995],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7034 */
  {
    "*cond_fmsvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7005 },
#else
    { 0, output_7005, 0 },
#endif
    { 0 },
    &operand_data[9995],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fmavnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7006 },
#else
    { 0, output_7006, 0 },
#endif
    { 0 },
    &operand_data[9983],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fnmavnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7007 },
#else
    { 0, output_7007, 0 },
#endif
    { 0 },
    &operand_data[9983],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fnmsvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7008 },
#else
    { 0, output_7008, 0 },
#endif
    { 0 },
    &operand_data[9983],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fmsvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7009 },
#else
    { 0, output_7009, 0 },
#endif
    { 0 },
    &operand_data[9983],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fmavnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7010 },
#else
    { 0, output_7010, 0 },
#endif
    { 0 },
    &operand_data[9989],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fnmavnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7011 },
#else
    { 0, output_7011, 0 },
#endif
    { 0 },
    &operand_data[9989],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fnmsvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7012 },
#else
    { 0, output_7012, 0 },
#endif
    { 0 },
    &operand_data[9989],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fmsvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7013 },
#else
    { 0, output_7013, 0 },
#endif
    { 0 },
    &operand_data[9989],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fmavnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7014 },
#else
    { 0, output_7014, 0 },
#endif
    { 0 },
    &operand_data[9995],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fnmavnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7015 },
#else
    { 0, output_7015, 0 },
#endif
    { 0 },
    &operand_data[9995],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fnmsvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7016 },
#else
    { 0, output_7016, 0 },
#endif
    { 0 },
    &operand_data[9995],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7058 */
  {
    "*cond_fmsvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7017 },
#else
    { 0, output_7017, 0 },
#endif
    { 0 },
    &operand_data[9995],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7080 */
  {
    "*cond_fmavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7018 },
#else
    { 0, output_7018, 0 },
#endif
    { 0 },
    &operand_data[10001],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7080 */
  {
    "*cond_fnmavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7019 },
#else
    { 0, output_7019, 0 },
#endif
    { 0 },
    &operand_data[10001],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7080 */
  {
    "*cond_fnmsvnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7020 },
#else
    { 0, output_7020, 0 },
#endif
    { 0 },
    &operand_data[10001],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7080 */
  {
    "*cond_fmsvnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7021 },
#else
    { 0, output_7021, 0 },
#endif
    { 0 },
    &operand_data[10001],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7080 */
  {
    "*cond_fmavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7022 },
#else
    { 0, output_7022, 0 },
#endif
    { 0 },
    &operand_data[10007],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7080 */
  {
    "*cond_fnmavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7023 },
#else
    { 0, output_7023, 0 },
#endif
    { 0 },
    &operand_data[10007],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7080 */
  {
    "*cond_fnmsvnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7024 },
#else
    { 0, output_7024, 0 },
#endif
    { 0 },
    &operand_data[10007],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7080 */
  {
    "*cond_fmsvnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7025 },
#else
    { 0, output_7025, 0 },
#endif
    { 0 },
    &operand_data[10007],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7080 */
  {
    "*cond_fmavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7026 },
#else
    { 0, output_7026, 0 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7080 */
  {
    "*cond_fnmavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7027 },
#else
    { 0, output_7027, 0 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7080 */
  {
    "*cond_fnmsvnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7028 },
#else
    { 0, output_7028, 0 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7080 */
  {
    "*cond_fmsvnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7029 },
#else
    { 0, output_7029, 0 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7104 */
  {
    "*cond_fmavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7030 },
#else
    { 0, output_7030, 0 },
#endif
    { 0 },
    &operand_data[10001],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7104 */
  {
    "*cond_fnmavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7031 },
#else
    { 0, output_7031, 0 },
#endif
    { 0 },
    &operand_data[10001],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7104 */
  {
    "*cond_fnmsvnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7032 },
#else
    { 0, output_7032, 0 },
#endif
    { 0 },
    &operand_data[10001],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7104 */
  {
    "*cond_fmsvnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7033 },
#else
    { 0, output_7033, 0 },
#endif
    { 0 },
    &operand_data[10001],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7104 */
  {
    "*cond_fmavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7034 },
#else
    { 0, output_7034, 0 },
#endif
    { 0 },
    &operand_data[10007],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7104 */
  {
    "*cond_fnmavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7035 },
#else
    { 0, output_7035, 0 },
#endif
    { 0 },
    &operand_data[10007],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7104 */
  {
    "*cond_fnmsvnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7036 },
#else
    { 0, output_7036, 0 },
#endif
    { 0 },
    &operand_data[10007],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7104 */
  {
    "*cond_fmsvnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7037 },
#else
    { 0, output_7037, 0 },
#endif
    { 0 },
    &operand_data[10007],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7104 */
  {
    "*cond_fmavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7038 },
#else
    { 0, output_7038, 0 },
#endif
    { 0 },
    &operand_data[10013],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7104 */
  {
    "*cond_fnmavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7039 },
#else
    { 0, output_7039, 0 },
#endif
    { 0 },
    &operand_data[10013],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7104 */
  {
    "*cond_fnmsvnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7040 },
#else
    { 0, output_7040, 0 },
#endif
    { 0 },
    &operand_data[10013],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7104 */
  {
    "*cond_fmsvnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7041 },
#else
    { 0, output_7041, 0 },
#endif
    { 0 },
    &operand_data[10013],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7126 */
  {
    "*cond_fmavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7042 },
#else
    { 0, output_7042, 0 },
#endif
    { 0 },
    &operand_data[10019],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7126 */
  {
    "*cond_fnmavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7043 },
#else
    { 0, output_7043, 0 },
#endif
    { 0 },
    &operand_data[10019],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7126 */
  {
    "*cond_fnmsvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7044 },
#else
    { 0, output_7044, 0 },
#endif
    { 0 },
    &operand_data[10019],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7126 */
  {
    "*cond_fmsvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7045 },
#else
    { 0, output_7045, 0 },
#endif
    { 0 },
    &operand_data[10019],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7126 */
  {
    "*cond_fmavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7046 },
#else
    { 0, output_7046, 0 },
#endif
    { 0 },
    &operand_data[10026],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7126 */
  {
    "*cond_fnmavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7047 },
#else
    { 0, output_7047, 0 },
#endif
    { 0 },
    &operand_data[10026],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7126 */
  {
    "*cond_fnmsvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7048 },
#else
    { 0, output_7048, 0 },
#endif
    { 0 },
    &operand_data[10026],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7126 */
  {
    "*cond_fmsvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7049 },
#else
    { 0, output_7049, 0 },
#endif
    { 0 },
    &operand_data[10026],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7126 */
  {
    "*cond_fmavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7050 },
#else
    { 0, output_7050, 0 },
#endif
    { 0 },
    &operand_data[10033],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7126 */
  {
    "*cond_fnmavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7051 },
#else
    { 0, output_7051, 0 },
#endif
    { 0 },
    &operand_data[10033],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7126 */
  {
    "*cond_fnmsvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7052 },
#else
    { 0, output_7052, 0 },
#endif
    { 0 },
    &operand_data[10033],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7126 */
  {
    "*cond_fmsvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7053 },
#else
    { 0, output_7053, 0 },
#endif
    { 0 },
    &operand_data[10033],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7168 */
  {
    "*cond_fmavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7054 },
#else
    { 0, output_7054, 0 },
#endif
    { 0 },
    &operand_data[10019],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7168 */
  {
    "*cond_fnmavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7055 },
#else
    { 0, output_7055, 0 },
#endif
    { 0 },
    &operand_data[10019],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7168 */
  {
    "*cond_fnmsvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7056 },
#else
    { 0, output_7056, 0 },
#endif
    { 0 },
    &operand_data[10019],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7168 */
  {
    "*cond_fmsvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7057 },
#else
    { 0, output_7057, 0 },
#endif
    { 0 },
    &operand_data[10019],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7168 */
  {
    "*cond_fmavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7058 },
#else
    { 0, output_7058, 0 },
#endif
    { 0 },
    &operand_data[10026],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7168 */
  {
    "*cond_fnmavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7059 },
#else
    { 0, output_7059, 0 },
#endif
    { 0 },
    &operand_data[10026],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7168 */
  {
    "*cond_fnmsvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7060 },
#else
    { 0, output_7060, 0 },
#endif
    { 0 },
    &operand_data[10026],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7168 */
  {
    "*cond_fmsvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7061 },
#else
    { 0, output_7061, 0 },
#endif
    { 0 },
    &operand_data[10026],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7168 */
  {
    "*cond_fmavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7062 },
#else
    { 0, output_7062, 0 },
#endif
    { 0 },
    &operand_data[10033],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7168 */
  {
    "*cond_fnmavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7063 },
#else
    { 0, output_7063, 0 },
#endif
    { 0 },
    &operand_data[10033],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7168 */
  {
    "*cond_fnmsvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7064 },
#else
    { 0, output_7064, 0 },
#endif
    { 0 },
    &operand_data[10033],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7168 */
  {
    "*cond_fmsvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7065 },
#else
    { 0, output_7065, 0 },
#endif
    { 0 },
    &operand_data[10033],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7205 */
  {
    "aarch64_fma_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7066 },
#else
    { 0, output_7066, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx8hf },
    &operand_data[10040],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7205 */
  {
    "aarch64_fnma_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7067 },
#else
    { 0, output_7067, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx8hf },
    &operand_data[10040],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7205 */
  {
    "aarch64_fma_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7068 },
#else
    { 0, output_7068, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx4sf },
    &operand_data[10045],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7205 */
  {
    "aarch64_fnma_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7069 },
#else
    { 0, output_7069, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx4sf },
    &operand_data[10045],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7205 */
  {
    "aarch64_fma_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7070 },
#else
    { 0, output_7070, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx2df },
    &operand_data[10050],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7205 */
  {
    "aarch64_fnma_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7071 },
#else
    { 0, output_7071, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx2df },
    &operand_data[10050],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "aarch64_pred_fcmlavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7072 },
#else
    { 0, output_7072, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx8hf },
    &operand_data[10055],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "aarch64_pred_fcmla90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7073 },
#else
    { 0, output_7073, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx8hf },
    &operand_data[10055],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "aarch64_pred_fcmla180vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7074 },
#else
    { 0, output_7074, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx8hf },
    &operand_data[10055],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "aarch64_pred_fcmla270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7075 },
#else
    { 0, output_7075, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx8hf },
    &operand_data[10055],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "aarch64_pred_fcmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7076 },
#else
    { 0, output_7076, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx4sf },
    &operand_data[10061],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "aarch64_pred_fcmla90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7077 },
#else
    { 0, output_7077, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx4sf },
    &operand_data[10061],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "aarch64_pred_fcmla180vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7078 },
#else
    { 0, output_7078, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx4sf },
    &operand_data[10061],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "aarch64_pred_fcmla270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7079 },
#else
    { 0, output_7079, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx4sf },
    &operand_data[10061],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "aarch64_pred_fcmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7080 },
#else
    { 0, output_7080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx2df },
    &operand_data[10067],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "aarch64_pred_fcmla90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7081 },
#else
    { 0, output_7081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx2df },
    &operand_data[10067],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "aarch64_pred_fcmla180vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7082 },
#else
    { 0, output_7082, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx2df },
    &operand_data[10067],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "aarch64_pred_fcmla270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7083 },
#else
    { 0, output_7083, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx2df },
    &operand_data[10067],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7320 */
  {
    "*cond_fcmlavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7084 },
#else
    { 0, output_7084, 0 },
#endif
    { 0 },
    &operand_data[10001],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7320 */
  {
    "*cond_fcmla90vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7085 },
#else
    { 0, output_7085, 0 },
#endif
    { 0 },
    &operand_data[10001],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7320 */
  {
    "*cond_fcmla180vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7086 },
#else
    { 0, output_7086, 0 },
#endif
    { 0 },
    &operand_data[10001],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7320 */
  {
    "*cond_fcmla270vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7087 },
#else
    { 0, output_7087, 0 },
#endif
    { 0 },
    &operand_data[10001],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7320 */
  {
    "*cond_fcmlavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7088 },
#else
    { 0, output_7088, 0 },
#endif
    { 0 },
    &operand_data[10007],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7320 */
  {
    "*cond_fcmla90vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7089 },
#else
    { 0, output_7089, 0 },
#endif
    { 0 },
    &operand_data[10007],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7320 */
  {
    "*cond_fcmla180vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7090 },
#else
    { 0, output_7090, 0 },
#endif
    { 0 },
    &operand_data[10007],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7320 */
  {
    "*cond_fcmla270vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7091 },
#else
    { 0, output_7091, 0 },
#endif
    { 0 },
    &operand_data[10007],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7320 */
  {
    "*cond_fcmlavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7092 },
#else
    { 0, output_7092, 0 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7320 */
  {
    "*cond_fcmla90vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7093 },
#else
    { 0, output_7093, 0 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7320 */
  {
    "*cond_fcmla180vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7094 },
#else
    { 0, output_7094, 0 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7320 */
  {
    "*cond_fcmla270vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7095 },
#else
    { 0, output_7095, 0 },
#endif
    { 0 },
    &operand_data[10013],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7344 */
  {
    "*cond_fcmlavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7096 },
#else
    { 0, output_7096, 0 },
#endif
    { 0 },
    &operand_data[10001],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7344 */
  {
    "*cond_fcmla90vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7097 },
#else
    { 0, output_7097, 0 },
#endif
    { 0 },
    &operand_data[10001],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7344 */
  {
    "*cond_fcmla180vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7098 },
#else
    { 0, output_7098, 0 },
#endif
    { 0 },
    &operand_data[10001],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7344 */
  {
    "*cond_fcmla270vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7099 },
#else
    { 0, output_7099, 0 },
#endif
    { 0 },
    &operand_data[10001],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7344 */
  {
    "*cond_fcmlavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7100 },
#else
    { 0, output_7100, 0 },
#endif
    { 0 },
    &operand_data[10007],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7344 */
  {
    "*cond_fcmla90vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7101 },
#else
    { 0, output_7101, 0 },
#endif
    { 0 },
    &operand_data[10007],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7344 */
  {
    "*cond_fcmla180vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7102 },
#else
    { 0, output_7102, 0 },
#endif
    { 0 },
    &operand_data[10007],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7344 */
  {
    "*cond_fcmla270vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7103 },
#else
    { 0, output_7103, 0 },
#endif
    { 0 },
    &operand_data[10007],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7344 */
  {
    "*cond_fcmlavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7104 },
#else
    { 0, output_7104, 0 },
#endif
    { 0 },
    &operand_data[10013],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7344 */
  {
    "*cond_fcmla90vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7105 },
#else
    { 0, output_7105, 0 },
#endif
    { 0 },
    &operand_data[10013],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7344 */
  {
    "*cond_fcmla180vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7106 },
#else
    { 0, output_7106, 0 },
#endif
    { 0 },
    &operand_data[10013],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7344 */
  {
    "*cond_fcmla270vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7107 },
#else
    { 0, output_7107, 0 },
#endif
    { 0 },
    &operand_data[10013],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7365 */
  {
    "*cond_fcmlavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7108 },
#else
    { 0, output_7108, 0 },
#endif
    { 0 },
    &operand_data[10073],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7365 */
  {
    "*cond_fcmla90vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7109 },
#else
    { 0, output_7109, 0 },
#endif
    { 0 },
    &operand_data[10073],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7365 */
  {
    "*cond_fcmla180vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7110 },
#else
    { 0, output_7110, 0 },
#endif
    { 0 },
    &operand_data[10073],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7365 */
  {
    "*cond_fcmla270vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7111 },
#else
    { 0, output_7111, 0 },
#endif
    { 0 },
    &operand_data[10073],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7365 */
  {
    "*cond_fcmlavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7112 },
#else
    { 0, output_7112, 0 },
#endif
    { 0 },
    &operand_data[10080],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7365 */
  {
    "*cond_fcmla90vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7113 },
#else
    { 0, output_7113, 0 },
#endif
    { 0 },
    &operand_data[10080],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7365 */
  {
    "*cond_fcmla180vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7114 },
#else
    { 0, output_7114, 0 },
#endif
    { 0 },
    &operand_data[10080],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7365 */
  {
    "*cond_fcmla270vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7115 },
#else
    { 0, output_7115, 0 },
#endif
    { 0 },
    &operand_data[10080],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7365 */
  {
    "*cond_fcmlavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7116 },
#else
    { 0, output_7116, 0 },
#endif
    { 0 },
    &operand_data[10087],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7365 */
  {
    "*cond_fcmla90vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7117 },
#else
    { 0, output_7117, 0 },
#endif
    { 0 },
    &operand_data[10087],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7365 */
  {
    "*cond_fcmla180vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7118 },
#else
    { 0, output_7118, 0 },
#endif
    { 0 },
    &operand_data[10087],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7365 */
  {
    "*cond_fcmla270vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7119 },
#else
    { 0, output_7119, 0 },
#endif
    { 0 },
    &operand_data[10087],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7402 */
  {
    "*cond_fcmlavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7120 },
#else
    { 0, output_7120, 0 },
#endif
    { 0 },
    &operand_data[10073],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7402 */
  {
    "*cond_fcmla90vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7121 },
#else
    { 0, output_7121, 0 },
#endif
    { 0 },
    &operand_data[10073],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7402 */
  {
    "*cond_fcmla180vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7122 },
#else
    { 0, output_7122, 0 },
#endif
    { 0 },
    &operand_data[10073],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7402 */
  {
    "*cond_fcmla270vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7123 },
#else
    { 0, output_7123, 0 },
#endif
    { 0 },
    &operand_data[10073],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7402 */
  {
    "*cond_fcmlavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7124 },
#else
    { 0, output_7124, 0 },
#endif
    { 0 },
    &operand_data[10080],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7402 */
  {
    "*cond_fcmla90vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7125 },
#else
    { 0, output_7125, 0 },
#endif
    { 0 },
    &operand_data[10080],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7402 */
  {
    "*cond_fcmla180vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7126 },
#else
    { 0, output_7126, 0 },
#endif
    { 0 },
    &operand_data[10080],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7402 */
  {
    "*cond_fcmla270vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7127 },
#else
    { 0, output_7127, 0 },
#endif
    { 0 },
    &operand_data[10080],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7402 */
  {
    "*cond_fcmlavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7128 },
#else
    { 0, output_7128, 0 },
#endif
    { 0 },
    &operand_data[10087],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7402 */
  {
    "*cond_fcmla90vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7129 },
#else
    { 0, output_7129, 0 },
#endif
    { 0 },
    &operand_data[10087],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7402 */
  {
    "*cond_fcmla180vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7130 },
#else
    { 0, output_7130, 0 },
#endif
    { 0 },
    &operand_data[10087],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7402 */
  {
    "*cond_fcmla270vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7131 },
#else
    { 0, output_7131, 0 },
#endif
    { 0 },
    &operand_data[10087],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7433 */
  {
    "aarch64_fcmla_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7132 },
#else
    { 0, output_7132, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane_vnx8hf },
    &operand_data[10040],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7433 */
  {
    "aarch64_fcmla90_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7133 },
#else
    { 0, output_7133, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90_lane_vnx8hf },
    &operand_data[10040],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7433 */
  {
    "aarch64_fcmla180_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7134 },
#else
    { 0, output_7134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180_lane_vnx8hf },
    &operand_data[10040],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7433 */
  {
    "aarch64_fcmla270_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7135 },
#else
    { 0, output_7135, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270_lane_vnx8hf },
    &operand_data[10040],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7433 */
  {
    "aarch64_fcmla_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7136 },
#else
    { 0, output_7136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane_vnx4sf },
    &operand_data[10094],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7433 */
  {
    "aarch64_fcmla90_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7137 },
#else
    { 0, output_7137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90_lane_vnx4sf },
    &operand_data[10094],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7433 */
  {
    "aarch64_fcmla180_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7138 },
#else
    { 0, output_7138, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180_lane_vnx4sf },
    &operand_data[10094],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7433 */
  {
    "aarch64_fcmla270_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7139 },
#else
    { 0, output_7139, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270_lane_vnx4sf },
    &operand_data[10094],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7457 */
  {
    "aarch64_sve_tmadvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7140 },
#else
    { 0, output_7140, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx8hf },
    &operand_data[10099],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7457 */
  {
    "aarch64_sve_tmadvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7141 },
#else
    { 0, output_7141, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx4sf },
    &operand_data[10103],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7457 */
  {
    "aarch64_sve_tmadvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7142 },
#else
    { 0, output_7142, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx2df },
    &operand_data[10107],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7481 */
  {
    "aarch64_sve_bfdotvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7143 },
#else
    { 0, output_7143, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfdotvnx4sf },
    &operand_data[10111],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7481 */
  {
    "aarch64_sve_bfmlalbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7144 },
#else
    { 0, output_7144, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalbvnx4sf },
    &operand_data[10111],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7481 */
  {
    "aarch64_sve_bfmlaltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7145 },
#else
    { 0, output_7145, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlaltvnx4sf },
    &operand_data[10111],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7481 */
  {
    "aarch64_sve_bfmmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7146 },
#else
    { 0, output_7146, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmmlavnx4sf },
    &operand_data[10111],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7496 */
  {
    "aarch64_sve_bfdot_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7147 },
#else
    { 0, output_7147, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfdot_lanevnx4sf },
    &operand_data[10115],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7496 */
  {
    "aarch64_sve_bfmlalb_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7148 },
#else
    { 0, output_7148, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalb_lanevnx4sf },
    &operand_data[10115],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7496 */
  {
    "aarch64_sve_bfmlalt_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7149 },
#else
    { 0, output_7149, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalt_lanevnx4sf },
    &operand_data[10115],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "aarch64_sve_fmmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7150 },
#else
    { 0, output_7150, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmmlavnx4sf },
    &operand_data[10120],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "aarch64_sve_fmmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7151 },
#else
    { 0, output_7151, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmmlavnx2df },
    &operand_data[10124],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7152 },
#else
    { 0, output_7152, 0 },
#endif
    { 0 },
    &operand_data[10128],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7153 },
#else
    { 0, output_7153, 0 },
#endif
    { 0 },
    &operand_data[10132],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7154 },
#else
    { 0, output_7154, 0 },
#endif
    { 0 },
    &operand_data[10136],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7155 },
#else
    { 0, output_7155, 0 },
#endif
    { 0 },
    &operand_data[10140],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7156 },
#else
    { 0, output_7156, 0 },
#endif
    { 0 },
    &operand_data[10144],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7157 },
#else
    { 0, output_7157, 0 },
#endif
    { 0 },
    &operand_data[10148],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7158 },
#else
    { 0, output_7158, 0 },
#endif
    { 0 },
    &operand_data[10152],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7159 },
#else
    { 0, output_7159, 0 },
#endif
    { 0 },
    &operand_data[10156],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7160 },
#else
    { 0, output_7160, 0 },
#endif
    { 0 },
    &operand_data[10160],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7161 },
#else
    { 0, output_7161, 0 },
#endif
    { 0 },
    &operand_data[10164],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7162 },
#else
    { 0, output_7162, 0 },
#endif
    { 0 },
    &operand_data[10168],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7163 },
#else
    { 0, output_7163, 0 },
#endif
    { 0 },
    &operand_data[10172],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7164 },
#else
    { 0, output_7164, 0 },
#endif
    { 0 },
    &operand_data[10176],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7165 },
#else
    { 0, output_7165, 0 },
#endif
    { 0 },
    &operand_data[10180],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7166 },
#else
    { 0, output_7166, 0 },
#endif
    { 0 },
    &operand_data[10184],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7167 },
#else
    { 0, output_7167, 0 },
#endif
    { 0 },
    &operand_data[10188],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7168 },
#else
    { 0, output_7168, 0 },
#endif
    { 0 },
    &operand_data[10192],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7169 },
#else
    { 0, output_7169, 0 },
#endif
    { 0 },
    &operand_data[10196],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7580 */
  {
    "*vcond_mask_vnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7170 },
#else
    { 0, output_7170, 0 },
#endif
    { 0 },
    &operand_data[10200],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7171 },
#else
    { 0, output_7171, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx16qi },
    &operand_data[10204],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7172 },
#else
    { 0, output_7172, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8qi },
    &operand_data[10208],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7173 },
#else
    { 0, output_7173, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4qi },
    &operand_data[10212],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7174 },
#else
    { 0, output_7174, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2qi },
    &operand_data[10216],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7175 },
#else
    { 0, output_7175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8hi },
    &operand_data[10220],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7176 },
#else
    { 0, output_7176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4hi },
    &operand_data[10224],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7177 },
#else
    { 0, output_7177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2hi },
    &operand_data[10228],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7178 },
#else
    { 0, output_7178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8hf },
    &operand_data[10232],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7179 },
#else
    { 0, output_7179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4hf },
    &operand_data[10236],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7180 },
#else
    { 0, output_7180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2hf },
    &operand_data[10240],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7181 },
#else
    { 0, output_7181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8bf },
    &operand_data[10244],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7182 },
#else
    { 0, output_7182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4bf },
    &operand_data[10248],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7183 },
#else
    { 0, output_7183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2bf },
    &operand_data[10252],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7184 },
#else
    { 0, output_7184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4si },
    &operand_data[10256],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7185 },
#else
    { 0, output_7185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2si },
    &operand_data[10260],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7186 },
#else
    { 0, output_7186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4sf },
    &operand_data[10264],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7187 },
#else
    { 0, output_7187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2sf },
    &operand_data[10268],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7188 },
#else
    { 0, output_7188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2di },
    &operand_data[10272],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7605 */
  {
    "aarch64_sel_dupvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7189 },
#else
    { 0, output_7189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2df },
    &operand_data[10276],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7190 },
#else
    { 0, output_7190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx16qi },
    &operand_data[10280],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7191 },
#else
    { 0, output_7191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx16qi },
    &operand_data[10280],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpeqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7192 },
#else
    { 0, output_7192, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx16qi },
    &operand_data[10280],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpnevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7193 },
#else
    { 0, output_7193, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx16qi },
    &operand_data[10280],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7194 },
#else
    { 0, output_7194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx16qi },
    &operand_data[10280],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgtvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7195 },
#else
    { 0, output_7195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx16qi },
    &operand_data[10280],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplovnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7196 },
#else
    { 0, output_7196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx16qi },
    &operand_data[10285],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7197 },
#else
    { 0, output_7197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx16qi },
    &operand_data[10285],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7198 },
#else
    { 0, output_7198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx16qi },
    &operand_data[10285],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7199 },
#else
    { 0, output_7199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx16qi },
    &operand_data[10285],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpltvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7200 },
#else
    { 0, output_7200, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8qi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7201 },
#else
    { 0, output_7201, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8qi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpeqvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7202 },
#else
    { 0, output_7202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8qi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpnevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7203 },
#else
    { 0, output_7203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8qi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7204 },
#else
    { 0, output_7204, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8qi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgtvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7205 },
#else
    { 0, output_7205, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8qi },
    &operand_data[10290],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplovnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7206 },
#else
    { 0, output_7206, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8qi },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7207 },
#else
    { 0, output_7207, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8qi },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7208 },
#else
    { 0, output_7208, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8qi },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7209 },
#else
    { 0, output_7209, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8qi },
    &operand_data[10295],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpltvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7210 },
#else
    { 0, output_7210, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4qi },
    &operand_data[10300],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7211 },
#else
    { 0, output_7211, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4qi },
    &operand_data[10300],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpeqvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7212 },
#else
    { 0, output_7212, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4qi },
    &operand_data[10300],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpnevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7213 },
#else
    { 0, output_7213, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4qi },
    &operand_data[10300],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7214 },
#else
    { 0, output_7214, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4qi },
    &operand_data[10300],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgtvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7215 },
#else
    { 0, output_7215, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4qi },
    &operand_data[10300],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplovnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7216 },
#else
    { 0, output_7216, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4qi },
    &operand_data[10305],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7217 },
#else
    { 0, output_7217, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4qi },
    &operand_data[10305],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7218 },
#else
    { 0, output_7218, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4qi },
    &operand_data[10305],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7219 },
#else
    { 0, output_7219, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4qi },
    &operand_data[10305],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpltvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7220 },
#else
    { 0, output_7220, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2qi },
    &operand_data[10310],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7221 },
#else
    { 0, output_7221, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2qi },
    &operand_data[10310],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpeqvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7222 },
#else
    { 0, output_7222, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2qi },
    &operand_data[10310],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpnevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7223 },
#else
    { 0, output_7223, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2qi },
    &operand_data[10310],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7224 },
#else
    { 0, output_7224, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2qi },
    &operand_data[10310],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgtvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7225 },
#else
    { 0, output_7225, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2qi },
    &operand_data[10310],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplovnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7226 },
#else
    { 0, output_7226, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2qi },
    &operand_data[10315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7227 },
#else
    { 0, output_7227, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2qi },
    &operand_data[10315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7228 },
#else
    { 0, output_7228, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2qi },
    &operand_data[10315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7229 },
#else
    { 0, output_7229, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2qi },
    &operand_data[10315],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7230 },
#else
    { 0, output_7230, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8hi },
    &operand_data[10320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7231 },
#else
    { 0, output_7231, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8hi },
    &operand_data[10320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpeqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7232 },
#else
    { 0, output_7232, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8hi },
    &operand_data[10320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpnevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7233 },
#else
    { 0, output_7233, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8hi },
    &operand_data[10320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7234 },
#else
    { 0, output_7234, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8hi },
    &operand_data[10320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7235 },
#else
    { 0, output_7235, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8hi },
    &operand_data[10320],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplovnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7236 },
#else
    { 0, output_7236, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8hi },
    &operand_data[10325],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7237 },
#else
    { 0, output_7237, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8hi },
    &operand_data[10325],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7238 },
#else
    { 0, output_7238, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8hi },
    &operand_data[10325],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7239 },
#else
    { 0, output_7239, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8hi },
    &operand_data[10325],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpltvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7240 },
#else
    { 0, output_7240, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4hi },
    &operand_data[10330],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7241 },
#else
    { 0, output_7241, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4hi },
    &operand_data[10330],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpeqvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7242 },
#else
    { 0, output_7242, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4hi },
    &operand_data[10330],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpnevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7243 },
#else
    { 0, output_7243, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4hi },
    &operand_data[10330],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7244 },
#else
    { 0, output_7244, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4hi },
    &operand_data[10330],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgtvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7245 },
#else
    { 0, output_7245, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4hi },
    &operand_data[10330],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplovnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7246 },
#else
    { 0, output_7246, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4hi },
    &operand_data[10335],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7247 },
#else
    { 0, output_7247, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4hi },
    &operand_data[10335],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7248 },
#else
    { 0, output_7248, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4hi },
    &operand_data[10335],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7249 },
#else
    { 0, output_7249, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4hi },
    &operand_data[10335],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpltvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7250 },
#else
    { 0, output_7250, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2hi },
    &operand_data[10340],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7251 },
#else
    { 0, output_7251, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2hi },
    &operand_data[10340],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpeqvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7252 },
#else
    { 0, output_7252, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2hi },
    &operand_data[10340],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpnevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7253 },
#else
    { 0, output_7253, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2hi },
    &operand_data[10340],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7254 },
#else
    { 0, output_7254, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2hi },
    &operand_data[10340],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgtvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7255 },
#else
    { 0, output_7255, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2hi },
    &operand_data[10340],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplovnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7256 },
#else
    { 0, output_7256, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2hi },
    &operand_data[10345],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7257 },
#else
    { 0, output_7257, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2hi },
    &operand_data[10345],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7258 },
#else
    { 0, output_7258, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2hi },
    &operand_data[10345],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7259 },
#else
    { 0, output_7259, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2hi },
    &operand_data[10345],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7260 },
#else
    { 0, output_7260, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4si },
    &operand_data[10350],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7261 },
#else
    { 0, output_7261, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4si },
    &operand_data[10350],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpeqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7262 },
#else
    { 0, output_7262, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4si },
    &operand_data[10350],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpnevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7263 },
#else
    { 0, output_7263, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4si },
    &operand_data[10350],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7264 },
#else
    { 0, output_7264, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4si },
    &operand_data[10350],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7265 },
#else
    { 0, output_7265, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4si },
    &operand_data[10350],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplovnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7266 },
#else
    { 0, output_7266, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4si },
    &operand_data[10355],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7267 },
#else
    { 0, output_7267, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4si },
    &operand_data[10355],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7268 },
#else
    { 0, output_7268, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4si },
    &operand_data[10355],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7269 },
#else
    { 0, output_7269, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4si },
    &operand_data[10355],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpltvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7270 },
#else
    { 0, output_7270, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2si },
    &operand_data[10360],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7271 },
#else
    { 0, output_7271, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2si },
    &operand_data[10360],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpeqvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7272 },
#else
    { 0, output_7272, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2si },
    &operand_data[10360],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpnevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7273 },
#else
    { 0, output_7273, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2si },
    &operand_data[10360],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7274 },
#else
    { 0, output_7274, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2si },
    &operand_data[10360],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgtvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7275 },
#else
    { 0, output_7275, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2si },
    &operand_data[10360],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplovnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7276 },
#else
    { 0, output_7276, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2si },
    &operand_data[10365],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7277 },
#else
    { 0, output_7277, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2si },
    &operand_data[10365],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7278 },
#else
    { 0, output_7278, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2si },
    &operand_data[10365],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7279 },
#else
    { 0, output_7279, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2si },
    &operand_data[10365],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7280 },
#else
    { 0, output_7280, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2di },
    &operand_data[10370],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7281 },
#else
    { 0, output_7281, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2di },
    &operand_data[10370],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpeqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7282 },
#else
    { 0, output_7282, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2di },
    &operand_data[10370],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpnevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7283 },
#else
    { 0, output_7283, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2di },
    &operand_data[10370],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7284 },
#else
    { 0, output_7284, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2di },
    &operand_data[10370],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmpgtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7285 },
#else
    { 0, output_7285, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2di },
    &operand_data[10370],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplovnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7286 },
#else
    { 0, output_7286, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2di },
    &operand_data[10375],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmplsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7287 },
#else
    { 0, output_7287, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2di },
    &operand_data[10375],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7288 },
#else
    { 0, output_7288, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2di },
    &operand_data[10375],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7758 */
  {
    "aarch64_pred_cmphivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7289 },
#else
    { 0, output_7289, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2di },
    &operand_data[10375],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpltvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7290 },
#else
    { 0, output_7290, 0 },
#endif
    { 0 },
    &operand_data[10380],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7291 },
#else
    { 0, output_7291, 0 },
#endif
    { 0 },
    &operand_data[10380],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpeqvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7292 },
#else
    { 0, output_7292, 0 },
#endif
    { 0 },
    &operand_data[10380],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpnevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7293 },
#else
    { 0, output_7293, 0 },
#endif
    { 0 },
    &operand_data[10380],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7294 },
#else
    { 0, output_7294, 0 },
#endif
    { 0 },
    &operand_data[10380],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgtvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7295 },
#else
    { 0, output_7295, 0 },
#endif
    { 0 },
    &operand_data[10380],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplovnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7296 },
#else
    { 0, output_7296, 0 },
#endif
    { 0 },
    &operand_data[10388],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplsvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7297 },
#else
    { 0, output_7297, 0 },
#endif
    { 0 },
    &operand_data[10388],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphsvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7298 },
#else
    { 0, output_7298, 0 },
#endif
    { 0 },
    &operand_data[10388],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphivnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7299 },
#else
    { 0, output_7299, 0 },
#endif
    { 0 },
    &operand_data[10388],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpltvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7300 },
#else
    { 0, output_7300, 0 },
#endif
    { 0 },
    &operand_data[10396],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplevnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7301 },
#else
    { 0, output_7301, 0 },
#endif
    { 0 },
    &operand_data[10396],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpeqvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7302 },
#else
    { 0, output_7302, 0 },
#endif
    { 0 },
    &operand_data[10396],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpnevnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7303 },
#else
    { 0, output_7303, 0 },
#endif
    { 0 },
    &operand_data[10396],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgevnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7304 },
#else
    { 0, output_7304, 0 },
#endif
    { 0 },
    &operand_data[10396],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgtvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7305 },
#else
    { 0, output_7305, 0 },
#endif
    { 0 },
    &operand_data[10396],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplovnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7306 },
#else
    { 0, output_7306, 0 },
#endif
    { 0 },
    &operand_data[10404],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplsvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7307 },
#else
    { 0, output_7307, 0 },
#endif
    { 0 },
    &operand_data[10404],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphsvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7308 },
#else
    { 0, output_7308, 0 },
#endif
    { 0 },
    &operand_data[10404],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphivnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7309 },
#else
    { 0, output_7309, 0 },
#endif
    { 0 },
    &operand_data[10404],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpltvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7310 },
#else
    { 0, output_7310, 0 },
#endif
    { 0 },
    &operand_data[10412],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplevnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7311 },
#else
    { 0, output_7311, 0 },
#endif
    { 0 },
    &operand_data[10412],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpeqvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7312 },
#else
    { 0, output_7312, 0 },
#endif
    { 0 },
    &operand_data[10412],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpnevnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7313 },
#else
    { 0, output_7313, 0 },
#endif
    { 0 },
    &operand_data[10412],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgevnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7314 },
#else
    { 0, output_7314, 0 },
#endif
    { 0 },
    &operand_data[10412],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgtvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7315 },
#else
    { 0, output_7315, 0 },
#endif
    { 0 },
    &operand_data[10412],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplovnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7316 },
#else
    { 0, output_7316, 0 },
#endif
    { 0 },
    &operand_data[10420],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplsvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7317 },
#else
    { 0, output_7317, 0 },
#endif
    { 0 },
    &operand_data[10420],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphsvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7318 },
#else
    { 0, output_7318, 0 },
#endif
    { 0 },
    &operand_data[10420],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphivnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7319 },
#else
    { 0, output_7319, 0 },
#endif
    { 0 },
    &operand_data[10420],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpltvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7320 },
#else
    { 0, output_7320, 0 },
#endif
    { 0 },
    &operand_data[10428],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplevnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7321 },
#else
    { 0, output_7321, 0 },
#endif
    { 0 },
    &operand_data[10428],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpeqvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7322 },
#else
    { 0, output_7322, 0 },
#endif
    { 0 },
    &operand_data[10428],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpnevnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7323 },
#else
    { 0, output_7323, 0 },
#endif
    { 0 },
    &operand_data[10428],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgevnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7324 },
#else
    { 0, output_7324, 0 },
#endif
    { 0 },
    &operand_data[10428],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgtvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7325 },
#else
    { 0, output_7325, 0 },
#endif
    { 0 },
    &operand_data[10428],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplovnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7326 },
#else
    { 0, output_7326, 0 },
#endif
    { 0 },
    &operand_data[10436],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplsvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7327 },
#else
    { 0, output_7327, 0 },
#endif
    { 0 },
    &operand_data[10436],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphsvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7328 },
#else
    { 0, output_7328, 0 },
#endif
    { 0 },
    &operand_data[10436],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphivnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7329 },
#else
    { 0, output_7329, 0 },
#endif
    { 0 },
    &operand_data[10436],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpltvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7330 },
#else
    { 0, output_7330, 0 },
#endif
    { 0 },
    &operand_data[10444],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7331 },
#else
    { 0, output_7331, 0 },
#endif
    { 0 },
    &operand_data[10444],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpeqvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7332 },
#else
    { 0, output_7332, 0 },
#endif
    { 0 },
    &operand_data[10444],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpnevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7333 },
#else
    { 0, output_7333, 0 },
#endif
    { 0 },
    &operand_data[10444],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7334 },
#else
    { 0, output_7334, 0 },
#endif
    { 0 },
    &operand_data[10444],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgtvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7335 },
#else
    { 0, output_7335, 0 },
#endif
    { 0 },
    &operand_data[10444],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplovnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7336 },
#else
    { 0, output_7336, 0 },
#endif
    { 0 },
    &operand_data[10452],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplsvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7337 },
#else
    { 0, output_7337, 0 },
#endif
    { 0 },
    &operand_data[10452],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphsvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7338 },
#else
    { 0, output_7338, 0 },
#endif
    { 0 },
    &operand_data[10452],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphivnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7339 },
#else
    { 0, output_7339, 0 },
#endif
    { 0 },
    &operand_data[10452],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpltvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7340 },
#else
    { 0, output_7340, 0 },
#endif
    { 0 },
    &operand_data[10460],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplevnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7341 },
#else
    { 0, output_7341, 0 },
#endif
    { 0 },
    &operand_data[10460],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpeqvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7342 },
#else
    { 0, output_7342, 0 },
#endif
    { 0 },
    &operand_data[10460],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpnevnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7343 },
#else
    { 0, output_7343, 0 },
#endif
    { 0 },
    &operand_data[10460],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgevnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7344 },
#else
    { 0, output_7344, 0 },
#endif
    { 0 },
    &operand_data[10460],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgtvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7345 },
#else
    { 0, output_7345, 0 },
#endif
    { 0 },
    &operand_data[10460],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplovnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7346 },
#else
    { 0, output_7346, 0 },
#endif
    { 0 },
    &operand_data[10468],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplsvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7347 },
#else
    { 0, output_7347, 0 },
#endif
    { 0 },
    &operand_data[10468],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphsvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7348 },
#else
    { 0, output_7348, 0 },
#endif
    { 0 },
    &operand_data[10468],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphivnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7349 },
#else
    { 0, output_7349, 0 },
#endif
    { 0 },
    &operand_data[10468],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpltvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7350 },
#else
    { 0, output_7350, 0 },
#endif
    { 0 },
    &operand_data[10476],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplevnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7351 },
#else
    { 0, output_7351, 0 },
#endif
    { 0 },
    &operand_data[10476],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpeqvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7352 },
#else
    { 0, output_7352, 0 },
#endif
    { 0 },
    &operand_data[10476],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpnevnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7353 },
#else
    { 0, output_7353, 0 },
#endif
    { 0 },
    &operand_data[10476],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgevnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7354 },
#else
    { 0, output_7354, 0 },
#endif
    { 0 },
    &operand_data[10476],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgtvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7355 },
#else
    { 0, output_7355, 0 },
#endif
    { 0 },
    &operand_data[10476],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplovnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7356 },
#else
    { 0, output_7356, 0 },
#endif
    { 0 },
    &operand_data[10484],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplsvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7357 },
#else
    { 0, output_7357, 0 },
#endif
    { 0 },
    &operand_data[10484],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphsvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7358 },
#else
    { 0, output_7358, 0 },
#endif
    { 0 },
    &operand_data[10484],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphivnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7359 },
#else
    { 0, output_7359, 0 },
#endif
    { 0 },
    &operand_data[10484],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpltvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7360 },
#else
    { 0, output_7360, 0 },
#endif
    { 0 },
    &operand_data[10492],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7361 },
#else
    { 0, output_7361, 0 },
#endif
    { 0 },
    &operand_data[10492],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpeqvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7362 },
#else
    { 0, output_7362, 0 },
#endif
    { 0 },
    &operand_data[10492],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpnevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7363 },
#else
    { 0, output_7363, 0 },
#endif
    { 0 },
    &operand_data[10492],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7364 },
#else
    { 0, output_7364, 0 },
#endif
    { 0 },
    &operand_data[10492],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgtvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7365 },
#else
    { 0, output_7365, 0 },
#endif
    { 0 },
    &operand_data[10492],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplovnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7366 },
#else
    { 0, output_7366, 0 },
#endif
    { 0 },
    &operand_data[10500],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplsvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7367 },
#else
    { 0, output_7367, 0 },
#endif
    { 0 },
    &operand_data[10500],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphsvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7368 },
#else
    { 0, output_7368, 0 },
#endif
    { 0 },
    &operand_data[10500],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphivnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7369 },
#else
    { 0, output_7369, 0 },
#endif
    { 0 },
    &operand_data[10500],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpltvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7370 },
#else
    { 0, output_7370, 0 },
#endif
    { 0 },
    &operand_data[10508],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplevnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7371 },
#else
    { 0, output_7371, 0 },
#endif
    { 0 },
    &operand_data[10508],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpeqvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7372 },
#else
    { 0, output_7372, 0 },
#endif
    { 0 },
    &operand_data[10508],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpnevnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7373 },
#else
    { 0, output_7373, 0 },
#endif
    { 0 },
    &operand_data[10508],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgevnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7374 },
#else
    { 0, output_7374, 0 },
#endif
    { 0 },
    &operand_data[10508],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgtvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7375 },
#else
    { 0, output_7375, 0 },
#endif
    { 0 },
    &operand_data[10508],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplovnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7376 },
#else
    { 0, output_7376, 0 },
#endif
    { 0 },
    &operand_data[10516],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplsvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7377 },
#else
    { 0, output_7377, 0 },
#endif
    { 0 },
    &operand_data[10516],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphsvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7378 },
#else
    { 0, output_7378, 0 },
#endif
    { 0 },
    &operand_data[10516],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphivnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7379 },
#else
    { 0, output_7379, 0 },
#endif
    { 0 },
    &operand_data[10516],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpltvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7380 },
#else
    { 0, output_7380, 0 },
#endif
    { 0 },
    &operand_data[10524],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7381 },
#else
    { 0, output_7381, 0 },
#endif
    { 0 },
    &operand_data[10524],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpeqvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7382 },
#else
    { 0, output_7382, 0 },
#endif
    { 0 },
    &operand_data[10524],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpnevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7383 },
#else
    { 0, output_7383, 0 },
#endif
    { 0 },
    &operand_data[10524],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7384 },
#else
    { 0, output_7384, 0 },
#endif
    { 0 },
    &operand_data[10524],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmpgtvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7385 },
#else
    { 0, output_7385, 0 },
#endif
    { 0 },
    &operand_data[10524],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplovnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7386 },
#else
    { 0, output_7386, 0 },
#endif
    { 0 },
    &operand_data[10532],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmplsvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7387 },
#else
    { 0, output_7387, 0 },
#endif
    { 0 },
    &operand_data[10532],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphsvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7388 },
#else
    { 0, output_7388, 0 },
#endif
    { 0 },
    &operand_data[10532],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7776 */
  {
    "*cmphivnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7389 },
#else
    { 0, output_7389, 0 },
#endif
    { 0 },
    &operand_data[10532],
    8,
    8,
    4,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpltvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7390 },
#else
    { 0, output_7390, 0 },
#endif
    { 0 },
    &operand_data[10540],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7391 },
#else
    { 0, output_7391, 0 },
#endif
    { 0 },
    &operand_data[10540],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpeqvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7392 },
#else
    { 0, output_7392, 0 },
#endif
    { 0 },
    &operand_data[10540],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpnevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7393 },
#else
    { 0, output_7393, 0 },
#endif
    { 0 },
    &operand_data[10540],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7394 },
#else
    { 0, output_7394, 0 },
#endif
    { 0 },
    &operand_data[10540],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgtvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7395 },
#else
    { 0, output_7395, 0 },
#endif
    { 0 },
    &operand_data[10540],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplovnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7396 },
#else
    { 0, output_7396, 0 },
#endif
    { 0 },
    &operand_data[10548],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplsvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7397 },
#else
    { 0, output_7397, 0 },
#endif
    { 0 },
    &operand_data[10548],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphsvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7398 },
#else
    { 0, output_7398, 0 },
#endif
    { 0 },
    &operand_data[10548],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphivnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7399 },
#else
    { 0, output_7399, 0 },
#endif
    { 0 },
    &operand_data[10548],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpltvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7400 },
#else
    { 0, output_7400, 0 },
#endif
    { 0 },
    &operand_data[10556],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplevnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7401 },
#else
    { 0, output_7401, 0 },
#endif
    { 0 },
    &operand_data[10556],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpeqvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7402 },
#else
    { 0, output_7402, 0 },
#endif
    { 0 },
    &operand_data[10556],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpnevnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7403 },
#else
    { 0, output_7403, 0 },
#endif
    { 0 },
    &operand_data[10556],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgevnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7404 },
#else
    { 0, output_7404, 0 },
#endif
    { 0 },
    &operand_data[10556],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgtvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7405 },
#else
    { 0, output_7405, 0 },
#endif
    { 0 },
    &operand_data[10556],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplovnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7406 },
#else
    { 0, output_7406, 0 },
#endif
    { 0 },
    &operand_data[10564],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplsvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7407 },
#else
    { 0, output_7407, 0 },
#endif
    { 0 },
    &operand_data[10564],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphsvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7408 },
#else
    { 0, output_7408, 0 },
#endif
    { 0 },
    &operand_data[10564],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphivnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7409 },
#else
    { 0, output_7409, 0 },
#endif
    { 0 },
    &operand_data[10564],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpltvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7410 },
#else
    { 0, output_7410, 0 },
#endif
    { 0 },
    &operand_data[10572],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplevnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7411 },
#else
    { 0, output_7411, 0 },
#endif
    { 0 },
    &operand_data[10572],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpeqvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7412 },
#else
    { 0, output_7412, 0 },
#endif
    { 0 },
    &operand_data[10572],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpnevnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7413 },
#else
    { 0, output_7413, 0 },
#endif
    { 0 },
    &operand_data[10572],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgevnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7414 },
#else
    { 0, output_7414, 0 },
#endif
    { 0 },
    &operand_data[10572],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgtvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7415 },
#else
    { 0, output_7415, 0 },
#endif
    { 0 },
    &operand_data[10572],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplovnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7416 },
#else
    { 0, output_7416, 0 },
#endif
    { 0 },
    &operand_data[10580],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplsvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7417 },
#else
    { 0, output_7417, 0 },
#endif
    { 0 },
    &operand_data[10580],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphsvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7418 },
#else
    { 0, output_7418, 0 },
#endif
    { 0 },
    &operand_data[10580],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphivnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7419 },
#else
    { 0, output_7419, 0 },
#endif
    { 0 },
    &operand_data[10580],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpltvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7420 },
#else
    { 0, output_7420, 0 },
#endif
    { 0 },
    &operand_data[10588],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplevnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7421 },
#else
    { 0, output_7421, 0 },
#endif
    { 0 },
    &operand_data[10588],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpeqvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7422 },
#else
    { 0, output_7422, 0 },
#endif
    { 0 },
    &operand_data[10588],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpnevnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7423 },
#else
    { 0, output_7423, 0 },
#endif
    { 0 },
    &operand_data[10588],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgevnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7424 },
#else
    { 0, output_7424, 0 },
#endif
    { 0 },
    &operand_data[10588],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgtvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7425 },
#else
    { 0, output_7425, 0 },
#endif
    { 0 },
    &operand_data[10588],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplovnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7426 },
#else
    { 0, output_7426, 0 },
#endif
    { 0 },
    &operand_data[10596],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplsvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7427 },
#else
    { 0, output_7427, 0 },
#endif
    { 0 },
    &operand_data[10596],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphsvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7428 },
#else
    { 0, output_7428, 0 },
#endif
    { 0 },
    &operand_data[10596],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphivnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7429 },
#else
    { 0, output_7429, 0 },
#endif
    { 0 },
    &operand_data[10596],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpltvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7430 },
#else
    { 0, output_7430, 0 },
#endif
    { 0 },
    &operand_data[10604],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7431 },
#else
    { 0, output_7431, 0 },
#endif
    { 0 },
    &operand_data[10604],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpeqvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7432 },
#else
    { 0, output_7432, 0 },
#endif
    { 0 },
    &operand_data[10604],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpnevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7433 },
#else
    { 0, output_7433, 0 },
#endif
    { 0 },
    &operand_data[10604],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7434 },
#else
    { 0, output_7434, 0 },
#endif
    { 0 },
    &operand_data[10604],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgtvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7435 },
#else
    { 0, output_7435, 0 },
#endif
    { 0 },
    &operand_data[10604],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplovnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7436 },
#else
    { 0, output_7436, 0 },
#endif
    { 0 },
    &operand_data[10612],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplsvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7437 },
#else
    { 0, output_7437, 0 },
#endif
    { 0 },
    &operand_data[10612],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphsvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7438 },
#else
    { 0, output_7438, 0 },
#endif
    { 0 },
    &operand_data[10612],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphivnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7439 },
#else
    { 0, output_7439, 0 },
#endif
    { 0 },
    &operand_data[10612],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpltvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7440 },
#else
    { 0, output_7440, 0 },
#endif
    { 0 },
    &operand_data[10620],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplevnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7441 },
#else
    { 0, output_7441, 0 },
#endif
    { 0 },
    &operand_data[10620],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpeqvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7442 },
#else
    { 0, output_7442, 0 },
#endif
    { 0 },
    &operand_data[10620],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpnevnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7443 },
#else
    { 0, output_7443, 0 },
#endif
    { 0 },
    &operand_data[10620],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgevnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7444 },
#else
    { 0, output_7444, 0 },
#endif
    { 0 },
    &operand_data[10620],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgtvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7445 },
#else
    { 0, output_7445, 0 },
#endif
    { 0 },
    &operand_data[10620],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplovnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7446 },
#else
    { 0, output_7446, 0 },
#endif
    { 0 },
    &operand_data[10628],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplsvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7447 },
#else
    { 0, output_7447, 0 },
#endif
    { 0 },
    &operand_data[10628],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphsvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7448 },
#else
    { 0, output_7448, 0 },
#endif
    { 0 },
    &operand_data[10628],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphivnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7449 },
#else
    { 0, output_7449, 0 },
#endif
    { 0 },
    &operand_data[10628],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpltvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7450 },
#else
    { 0, output_7450, 0 },
#endif
    { 0 },
    &operand_data[10636],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplevnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7451 },
#else
    { 0, output_7451, 0 },
#endif
    { 0 },
    &operand_data[10636],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpeqvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7452 },
#else
    { 0, output_7452, 0 },
#endif
    { 0 },
    &operand_data[10636],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpnevnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7453 },
#else
    { 0, output_7453, 0 },
#endif
    { 0 },
    &operand_data[10636],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgevnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7454 },
#else
    { 0, output_7454, 0 },
#endif
    { 0 },
    &operand_data[10636],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgtvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7455 },
#else
    { 0, output_7455, 0 },
#endif
    { 0 },
    &operand_data[10636],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplovnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7456 },
#else
    { 0, output_7456, 0 },
#endif
    { 0 },
    &operand_data[10644],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplsvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7457 },
#else
    { 0, output_7457, 0 },
#endif
    { 0 },
    &operand_data[10644],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphsvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7458 },
#else
    { 0, output_7458, 0 },
#endif
    { 0 },
    &operand_data[10644],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphivnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7459 },
#else
    { 0, output_7459, 0 },
#endif
    { 0 },
    &operand_data[10644],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpltvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7460 },
#else
    { 0, output_7460, 0 },
#endif
    { 0 },
    &operand_data[10652],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7461 },
#else
    { 0, output_7461, 0 },
#endif
    { 0 },
    &operand_data[10652],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpeqvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7462 },
#else
    { 0, output_7462, 0 },
#endif
    { 0 },
    &operand_data[10652],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpnevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7463 },
#else
    { 0, output_7463, 0 },
#endif
    { 0 },
    &operand_data[10652],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7464 },
#else
    { 0, output_7464, 0 },
#endif
    { 0 },
    &operand_data[10652],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgtvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7465 },
#else
    { 0, output_7465, 0 },
#endif
    { 0 },
    &operand_data[10652],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplovnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7466 },
#else
    { 0, output_7466, 0 },
#endif
    { 0 },
    &operand_data[10660],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplsvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7467 },
#else
    { 0, output_7467, 0 },
#endif
    { 0 },
    &operand_data[10660],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphsvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7468 },
#else
    { 0, output_7468, 0 },
#endif
    { 0 },
    &operand_data[10660],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphivnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7469 },
#else
    { 0, output_7469, 0 },
#endif
    { 0 },
    &operand_data[10660],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpltvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7470 },
#else
    { 0, output_7470, 0 },
#endif
    { 0 },
    &operand_data[10668],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplevnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7471 },
#else
    { 0, output_7471, 0 },
#endif
    { 0 },
    &operand_data[10668],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpeqvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7472 },
#else
    { 0, output_7472, 0 },
#endif
    { 0 },
    &operand_data[10668],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpnevnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7473 },
#else
    { 0, output_7473, 0 },
#endif
    { 0 },
    &operand_data[10668],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgevnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7474 },
#else
    { 0, output_7474, 0 },
#endif
    { 0 },
    &operand_data[10668],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgtvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7475 },
#else
    { 0, output_7475, 0 },
#endif
    { 0 },
    &operand_data[10668],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplovnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7476 },
#else
    { 0, output_7476, 0 },
#endif
    { 0 },
    &operand_data[10676],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplsvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7477 },
#else
    { 0, output_7477, 0 },
#endif
    { 0 },
    &operand_data[10676],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphsvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7478 },
#else
    { 0, output_7478, 0 },
#endif
    { 0 },
    &operand_data[10676],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphivnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7479 },
#else
    { 0, output_7479, 0 },
#endif
    { 0 },
    &operand_data[10676],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpltvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7480 },
#else
    { 0, output_7480, 0 },
#endif
    { 0 },
    &operand_data[10684],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7481 },
#else
    { 0, output_7481, 0 },
#endif
    { 0 },
    &operand_data[10684],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpeqvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7482 },
#else
    { 0, output_7482, 0 },
#endif
    { 0 },
    &operand_data[10684],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpnevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7483 },
#else
    { 0, output_7483, 0 },
#endif
    { 0 },
    &operand_data[10684],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7484 },
#else
    { 0, output_7484, 0 },
#endif
    { 0 },
    &operand_data[10684],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmpgtvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7485 },
#else
    { 0, output_7485, 0 },
#endif
    { 0 },
    &operand_data[10684],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplovnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7486 },
#else
    { 0, output_7486, 0 },
#endif
    { 0 },
    &operand_data[10692],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmplsvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7487 },
#else
    { 0, output_7487, 0 },
#endif
    { 0 },
    &operand_data[10692],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphsvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7488 },
#else
    { 0, output_7488, 0 },
#endif
    { 0 },
    &operand_data[10692],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7812 */
  {
    "*cmphivnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7489 },
#else
    { 0, output_7489, 0 },
#endif
    { 0 },
    &operand_data[10692],
    8,
    8,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpltvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10380],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10380],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpeqvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10380],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpnevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10380],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10380],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgtvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10380],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplovnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10388],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplsvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10388],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphsvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10388],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphivnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10388],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpltvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10700],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplevnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10700],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpeqvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10700],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpnevnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10700],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgevnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10700],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgtvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10700],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplovnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10705],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplsvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10705],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphsvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10705],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphivnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10705],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpltvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10710],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplevnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10710],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpeqvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10710],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpnevnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10710],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgevnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10710],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgtvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10710],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplovnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10715],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplsvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10715],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphsvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10715],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphivnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10715],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpltvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10720],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplevnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10720],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpeqvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10720],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpnevnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10720],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgevnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10720],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgtvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10720],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplovnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10725],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplsvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10725],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphsvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10725],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphivnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10725],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpltvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10730],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10730],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpeqvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10730],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpnevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10730],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10730],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgtvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10730],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplovnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10735],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplsvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10735],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphsvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10735],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphivnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10735],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpltvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10740],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplevnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10740],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpeqvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10740],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpnevnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10740],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgevnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10740],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgtvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10740],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplovnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10745],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplsvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10745],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphsvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10745],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphivnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10745],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpltvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10750],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplevnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10750],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpeqvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10750],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpnevnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10750],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgevnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10750],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgtvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10750],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplovnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10755],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplsvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10755],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphsvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10755],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphivnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10755],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpltvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10760],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10760],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpeqvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10760],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpnevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10760],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10760],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgtvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10760],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplovnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10765],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplsvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10765],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphsvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10765],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphivnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10765],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpltvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10770],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplevnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10770],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpeqvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10770],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpnevnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10770],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgevnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10770],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgtvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10770],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplovnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10775],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplsvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10775],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphsvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10775],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphivnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10775],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpltvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10780],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10780],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpeqvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10780],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpnevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10780],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10780],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmpgtvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10780],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplovnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10785],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmplsvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10785],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphsvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10785],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7843 */
  {
    "*cmphivnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10785],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpeqvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx16qi_wide },
    &operand_data[10790],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpgevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx16qi_wide },
    &operand_data[10790],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpgtvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx16qi_wide },
    &operand_data[10790],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmphivnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx16qi_wide },
    &operand_data[10790],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmphsvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx16qi_wide },
    &operand_data[10790],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmplevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx16qi_wide },
    &operand_data[10790],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmplovnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx16qi_wide },
    &operand_data[10790],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmplsvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx16qi_wide },
    &operand_data[10790],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpltvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx16qi_wide },
    &operand_data[10790],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpnevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.b, %1/z, %3.b, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx16qi_wide },
    &operand_data[10790],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpeqvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8hi_wide },
    &operand_data[10795],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpgevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8hi_wide },
    &operand_data[10795],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpgtvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8hi_wide },
    &operand_data[10795],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmphivnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8hi_wide },
    &operand_data[10795],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmphsvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8hi_wide },
    &operand_data[10795],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmplevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8hi_wide },
    &operand_data[10795],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmplovnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8hi_wide },
    &operand_data[10795],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmplsvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8hi_wide },
    &operand_data[10795],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpltvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8hi_wide },
    &operand_data[10795],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpnevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.h, %1/z, %3.h, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8hi_wide },
    &operand_data[10795],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpeqvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4si_wide },
    &operand_data[10800],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpgevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4si_wide },
    &operand_data[10800],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpgtvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4si_wide },
    &operand_data[10800],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmphivnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4si_wide },
    &operand_data[10800],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmphsvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4si_wide },
    &operand_data[10800],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmplevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4si_wide },
    &operand_data[10800],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmplovnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4si_wide },
    &operand_data[10800],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmplsvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4si_wide },
    &operand_data[10800],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpltvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4si_wide },
    &operand_data[10800],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7871 */
  {
    "aarch64_pred_cmpnevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.s, %1/z, %3.s, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4si_wide },
    &operand_data[10800],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpeqvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10805],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpgevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10805],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpgtvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10805],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmphivnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10805],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmphsvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10805],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmplevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10805],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmplovnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10805],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmplsvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10805],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpltvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10805],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpnevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10805],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpeqvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10813],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpgevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10813],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpgtvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10813],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmphivnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10813],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmphsvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10813],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmplevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10813],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmplovnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10813],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmplsvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10813],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpltvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10813],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpnevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10813],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpeqvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10821],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpgevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10821],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpgtvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10821],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmphivnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10821],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmphsvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10821],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmplevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10821],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmplovnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10821],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmplsvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10821],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpltvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10821],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7888 */
  {
    "*aarch64_pred_cmpnevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10821],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpeqvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10829],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpgevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10829],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpgtvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10829],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmphivnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10829],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmphsvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10829],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmplevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10829],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmplovnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10829],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmplsvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10829],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpltvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10829],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpnevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.b, %1/z, %2.b, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10829],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpeqvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10837],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpgevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10837],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpgtvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10837],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmphivnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10837],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmphsvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10837],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmplevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10837],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmplovnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10837],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmplsvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10837],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpltvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10837],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpnevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.h, %1/z, %2.h, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10837],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpeqvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpeq\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10845],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpgevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpge\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10845],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpgtvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpgt\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10845],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmphivnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphi\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10845],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmphsvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmphs\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10845],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmplevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmple\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10845],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmplovnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplo\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10845],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmplsvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpls\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10845],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpltvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmplt\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10845],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7919 */
  {
    "*aarch64_pred_cmpnevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmpne\t%0.s, %1/z, %2.s, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10845],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_lesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx16bi },
    &operand_data[10853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ultsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx16bi },
    &operand_data[10853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ulesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx16bi },
    &operand_data[10853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ltsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx16bi },
    &operand_data[10853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx16bi },
    &operand_data[10853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gtsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx16bi },
    &operand_data[10853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugtsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx16bi },
    &operand_data[10853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx16bi },
    &operand_data[10853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_rwsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx16bi },
    &operand_data[10853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_wrsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx16bi },
    &operand_data[10853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_lesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx8bi },
    &operand_data[10856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ultsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx8bi },
    &operand_data[10856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ulesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx8bi },
    &operand_data[10856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ltsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx8bi },
    &operand_data[10856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx8bi },
    &operand_data[10856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gtsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx8bi },
    &operand_data[10856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugtsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx8bi },
    &operand_data[10856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx8bi },
    &operand_data[10856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_rwsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx8bi },
    &operand_data[10856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_wrsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx8bi },
    &operand_data[10856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_lesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx4bi },
    &operand_data[10859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ultsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx4bi },
    &operand_data[10859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ulesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx4bi },
    &operand_data[10859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ltsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx4bi },
    &operand_data[10859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx4bi },
    &operand_data[10859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gtsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx4bi },
    &operand_data[10859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugtsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx4bi },
    &operand_data[10859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx4bi },
    &operand_data[10859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_rwsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx4bi },
    &operand_data[10859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_wrsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx4bi },
    &operand_data[10859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_lesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx2bi },
    &operand_data[10862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ultsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx2bi },
    &operand_data[10862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ulesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx2bi },
    &operand_data[10862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ltsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx2bi },
    &operand_data[10862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx2bi },
    &operand_data[10862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gtsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx2bi },
    &operand_data[10862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugtsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx2bi },
    &operand_data[10862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx2bi },
    &operand_data[10862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_rwsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx2bi },
    &operand_data[10862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_wrsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx2bi },
    &operand_data[10862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ledivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx16bi },
    &operand_data[10865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ultdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx16bi },
    &operand_data[10865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_uledivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx16bi },
    &operand_data[10865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ltdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx16bi },
    &operand_data[10865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gedivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx16bi },
    &operand_data[10865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gtdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx16bi },
    &operand_data[10865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugtdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx16bi },
    &operand_data[10865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugedivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx16bi },
    &operand_data[10865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_rwdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx16bi },
    &operand_data[10865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_wrdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx16bi },
    &operand_data[10865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ledivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx8bi },
    &operand_data[10868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ultdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx8bi },
    &operand_data[10868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_uledivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx8bi },
    &operand_data[10868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ltdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx8bi },
    &operand_data[10868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gedivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx8bi },
    &operand_data[10868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gtdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx8bi },
    &operand_data[10868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugtdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx8bi },
    &operand_data[10868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugedivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx8bi },
    &operand_data[10868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_rwdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx8bi },
    &operand_data[10868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_wrdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx8bi },
    &operand_data[10868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ledivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx4bi },
    &operand_data[10871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ultdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx4bi },
    &operand_data[10871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_uledivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx4bi },
    &operand_data[10871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ltdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx4bi },
    &operand_data[10871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gedivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx4bi },
    &operand_data[10871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gtdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx4bi },
    &operand_data[10871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugtdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx4bi },
    &operand_data[10871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugedivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx4bi },
    &operand_data[10871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_rwdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx4bi },
    &operand_data[10871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_wrdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx4bi },
    &operand_data[10871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ledivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx2bi },
    &operand_data[10874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ultdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx2bi },
    &operand_data[10874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_uledivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx2bi },
    &operand_data[10874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ltdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx2bi },
    &operand_data[10874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gedivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx2bi },
    &operand_data[10874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_gtdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx2bi },
    &operand_data[10874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugtdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx2bi },
    &operand_data[10874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_ugedivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx2bi },
    &operand_data[10874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_rwdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx2bi },
    &operand_data[10874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7958 */
  {
    "while_wrdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx2bi },
    &operand_data[10874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_lesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10877],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ultsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10877],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ulesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10877],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ltsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10877],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10877],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gtsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10877],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugtsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10877],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10877],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_rwsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10877],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_wrsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10877],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_lesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10882],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ultsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10882],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ulesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10882],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ltsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10882],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10882],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gtsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10882],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugtsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10882],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10882],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_rwsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10882],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_wrsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10882],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_lesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10887],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ultsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10887],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ulesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10887],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ltsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10887],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10887],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gtsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10887],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugtsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10887],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10887],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_rwsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10887],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_wrsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10887],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_lesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10892],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ultsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10892],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ulesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10892],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ltsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10892],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10892],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gtsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10892],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugtsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10892],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10892],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_rwsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10892],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_wrsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10892],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ledivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10897],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ultdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10897],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_uledivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10897],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ltdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10897],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gedivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10897],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gtdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10897],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugtdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10897],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugedivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10897],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_rwdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10897],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_wrdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10897],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ledivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10902],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ultdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10902],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_uledivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10902],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ltdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10902],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gedivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10902],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gtdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10902],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugtdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10902],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugedivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10902],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_rwdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10902],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_wrdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10902],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ledivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10907],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ultdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10907],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_uledivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10907],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ltdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10907],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gedivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10907],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gtdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10907],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugtdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10907],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugedivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10907],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_rwdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10907],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_wrdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10907],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ledivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10912],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ultdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10912],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_uledivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10912],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ltdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10912],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gedivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10912],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_gtdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10912],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugtdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10912],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_ugedivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10912],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_rwdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10912],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7971 */
  {
    "*while_wrdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10912],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_lesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx16bi_ptest },
    &operand_data[10917],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ultsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx16bi_ptest },
    &operand_data[10917],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ulesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx16bi_ptest },
    &operand_data[10917],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ltsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx16bi_ptest },
    &operand_data[10917],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx16bi_ptest },
    &operand_data[10917],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gtsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx16bi_ptest },
    &operand_data[10917],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugtsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx16bi_ptest },
    &operand_data[10917],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx16bi_ptest },
    &operand_data[10917],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_rwsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx16bi_ptest },
    &operand_data[10917],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_wrsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx16bi_ptest },
    &operand_data[10917],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_lesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx8bi_ptest },
    &operand_data[10922],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ultsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx8bi_ptest },
    &operand_data[10922],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ulesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx8bi_ptest },
    &operand_data[10922],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ltsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx8bi_ptest },
    &operand_data[10922],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx8bi_ptest },
    &operand_data[10922],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gtsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx8bi_ptest },
    &operand_data[10922],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugtsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx8bi_ptest },
    &operand_data[10922],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx8bi_ptest },
    &operand_data[10922],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_rwsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx8bi_ptest },
    &operand_data[10922],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_wrsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx8bi_ptest },
    &operand_data[10922],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_lesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx4bi_ptest },
    &operand_data[10927],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ultsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx4bi_ptest },
    &operand_data[10927],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ulesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx4bi_ptest },
    &operand_data[10927],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ltsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx4bi_ptest },
    &operand_data[10927],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx4bi_ptest },
    &operand_data[10927],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gtsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx4bi_ptest },
    &operand_data[10927],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugtsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx4bi_ptest },
    &operand_data[10927],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx4bi_ptest },
    &operand_data[10927],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_rwsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx4bi_ptest },
    &operand_data[10927],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_wrsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx4bi_ptest },
    &operand_data[10927],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_lesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx2bi_ptest },
    &operand_data[10932],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ultsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx2bi_ptest },
    &operand_data[10932],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ulesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx2bi_ptest },
    &operand_data[10932],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ltsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx2bi_ptest },
    &operand_data[10932],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx2bi_ptest },
    &operand_data[10932],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gtsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx2bi_ptest },
    &operand_data[10932],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugtsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx2bi_ptest },
    &operand_data[10932],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx2bi_ptest },
    &operand_data[10932],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_rwsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx2bi_ptest },
    &operand_data[10932],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_wrsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx2bi_ptest },
    &operand_data[10932],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ledivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx16bi_ptest },
    &operand_data[10937],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ultdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx16bi_ptest },
    &operand_data[10937],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_uledivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx16bi_ptest },
    &operand_data[10937],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ltdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx16bi_ptest },
    &operand_data[10937],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gedivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx16bi_ptest },
    &operand_data[10937],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gtdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx16bi_ptest },
    &operand_data[10937],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugtdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx16bi_ptest },
    &operand_data[10937],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugedivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx16bi_ptest },
    &operand_data[10937],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_rwdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx16bi_ptest },
    &operand_data[10937],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_wrdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx16bi_ptest },
    &operand_data[10937],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ledivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx8bi_ptest },
    &operand_data[10942],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ultdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx8bi_ptest },
    &operand_data[10942],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_uledivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx8bi_ptest },
    &operand_data[10942],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ltdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx8bi_ptest },
    &operand_data[10942],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gedivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx8bi_ptest },
    &operand_data[10942],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gtdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx8bi_ptest },
    &operand_data[10942],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugtdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx8bi_ptest },
    &operand_data[10942],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugedivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx8bi_ptest },
    &operand_data[10942],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_rwdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx8bi_ptest },
    &operand_data[10942],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_wrdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx8bi_ptest },
    &operand_data[10942],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ledivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx4bi_ptest },
    &operand_data[10947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ultdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx4bi_ptest },
    &operand_data[10947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_uledivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx4bi_ptest },
    &operand_data[10947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ltdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx4bi_ptest },
    &operand_data[10947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gedivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx4bi_ptest },
    &operand_data[10947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gtdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx4bi_ptest },
    &operand_data[10947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugtdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx4bi_ptest },
    &operand_data[10947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugedivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx4bi_ptest },
    &operand_data[10947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_rwdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx4bi_ptest },
    &operand_data[10947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_wrdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx4bi_ptest },
    &operand_data[10947],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ledivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx2bi_ptest },
    &operand_data[10952],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ultdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx2bi_ptest },
    &operand_data[10952],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_uledivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx2bi_ptest },
    &operand_data[10952],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ltdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx2bi_ptest },
    &operand_data[10952],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gedivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx2bi_ptest },
    &operand_data[10952],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_gtdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx2bi_ptest },
    &operand_data[10952],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugtdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx2bi_ptest },
    &operand_data[10952],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_ugedivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx2bi_ptest },
    &operand_data[10952],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_rwdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx2bi_ptest },
    &operand_data[10952],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7998 */
  {
    "while_wrdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx2bi_ptest },
    &operand_data[10952],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmeqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7920 },
#else
    { 0, output_7920, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx8hf },
    &operand_data[10957],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmgevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7921 },
#else
    { 0, output_7921, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx8hf },
    &operand_data[10957],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmgtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7922 },
#else
    { 0, output_7922, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx8hf },
    &operand_data[10957],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmlevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7923 },
#else
    { 0, output_7923, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx8hf },
    &operand_data[10957],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7924 },
#else
    { 0, output_7924, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx8hf },
    &operand_data[10957],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmnevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7925 },
#else
    { 0, output_7925, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx8hf },
    &operand_data[10957],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmeqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7926 },
#else
    { 0, output_7926, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx4sf },
    &operand_data[10962],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmgevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7927 },
#else
    { 0, output_7927, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx4sf },
    &operand_data[10962],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmgtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7928 },
#else
    { 0, output_7928, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx4sf },
    &operand_data[10962],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmlevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7929 },
#else
    { 0, output_7929, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx4sf },
    &operand_data[10962],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7930 },
#else
    { 0, output_7930, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx4sf },
    &operand_data[10962],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmnevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7931 },
#else
    { 0, output_7931, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx4sf },
    &operand_data[10962],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmeqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7932 },
#else
    { 0, output_7932, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx2df },
    &operand_data[10967],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmgevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7933 },
#else
    { 0, output_7933, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx2df },
    &operand_data[10967],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmgtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7934 },
#else
    { 0, output_7934, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx2df },
    &operand_data[10967],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmlevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7935 },
#else
    { 0, output_7935, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx2df },
    &operand_data[10967],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7936 },
#else
    { 0, output_7936, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx2df },
    &operand_data[10967],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8051 */
  {
    "aarch64_pred_fcmnevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7937 },
#else
    { 0, output_7937, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx2df },
    &operand_data[10967],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8066 */
  {
    "aarch64_pred_fcmuovnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.h, %1/z, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx8hf },
    &operand_data[10972],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8066 */
  {
    "aarch64_pred_fcmuovnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.s, %1/z, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx4sf },
    &operand_data[10977],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8066 */
  {
    "aarch64_pred_fcmuovnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.d, %1/z, %3.d, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx2df },
    &operand_data[10982],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmeqvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10987],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmgevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10987],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmgtvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10987],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmlevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10987],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmltvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10987],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmnevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10987],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmeqvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10992],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmgevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10992],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmgtvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10992],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmlevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10992],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmltvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10992],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmnevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10992],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmeqvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10997],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmgevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10997],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmgtvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10997],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmlevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10997],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmltvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10997],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8086 */
  {
    "*fcmnevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10997],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8109 */
  {
    "*fcmuovnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11002],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8109 */
  {
    "*fcmuovnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11007],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8109 */
  {
    "*fcmuovnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11012],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8161 */
  {
    "*aarch64_pred_facgevnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11017],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8161 */
  {
    "*aarch64_pred_facgtvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11017],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8161 */
  {
    "*aarch64_pred_faclevnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11017],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8161 */
  {
    "*aarch64_pred_facltvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11017],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8161 */
  {
    "*aarch64_pred_facgevnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11024],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8161 */
  {
    "*aarch64_pred_facgtvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11024],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8161 */
  {
    "*aarch64_pred_faclevnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11024],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8161 */
  {
    "*aarch64_pred_facltvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11024],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8161 */
  {
    "*aarch64_pred_facgevnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11031],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8161 */
  {
    "*aarch64_pred_facgtvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11031],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8161 */
  {
    "*aarch64_pred_faclevnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11031],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8161 */
  {
    "*aarch64_pred_facltvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11031],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8187 */
  {
    "*aarch64_pred_facgevnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11038],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8187 */
  {
    "*aarch64_pred_facgtvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11038],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8187 */
  {
    "*aarch64_pred_faclevnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11038],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8187 */
  {
    "*aarch64_pred_facltvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11038],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8187 */
  {
    "*aarch64_pred_facgevnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8187 */
  {
    "*aarch64_pred_facgtvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8187 */
  {
    "*aarch64_pred_faclevnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8187 */
  {
    "*aarch64_pred_facltvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11045],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8187 */
  {
    "*aarch64_pred_facgevnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11052],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8187 */
  {
    "*aarch64_pred_facgtvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11052],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8187 */
  {
    "*aarch64_pred_faclevnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11052],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8187 */
  {
    "*aarch64_pred_facltvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11052],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8214 */
  {
    "vcond_mask_vnx16bivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx16bivnx16bi },
    &operand_data[9669],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8214 */
  {
    "vcond_mask_vnx8bivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8bivnx8bi },
    &operand_data[9673],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8214 */
  {
    "vcond_mask_vnx4bivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4bivnx4bi },
    &operand_data[9677],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8214 */
  {
    "vcond_mask_vnx2bivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2bivnx2bi },
    &operand_data[9681],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8264 */
  {
    "aarch64_ptestvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx16bi },
    &operand_data[11059],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8264 */
  {
    "aarch64_ptestvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx8bi },
    &operand_data[11062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8264 */
  {
    "aarch64_ptestvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx4bi },
    &operand_data[11066],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8264 */
  {
    "aarch64_ptestvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx2bi },
    &operand_data[11070],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7994 },
#else
    { 0, output_7994, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx16qi },
    &operand_data[11074],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7995 },
#else
    { 0, output_7995, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx16qi },
    &operand_data[11074],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7996 },
#else
    { 0, output_7996, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8hi },
    &operand_data[11078],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7997 },
#else
    { 0, output_7997, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8hi },
    &operand_data[11078],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7998 },
#else
    { 0, output_7998, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx4si },
    &operand_data[11082],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7999 },
#else
    { 0, output_7999, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx4si },
    &operand_data[11082],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8000 },
#else
    { 0, output_8000, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx2di },
    &operand_data[11086],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8001 },
#else
    { 0, output_8001, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx2di },
    &operand_data[11086],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8002 },
#else
    { 0, output_8002, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8bf },
    &operand_data[11090],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8003 },
#else
    { 0, output_8003, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8bf },
    &operand_data[11090],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8004 },
#else
    { 0, output_8004, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8hf },
    &operand_data[11094],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8005 },
#else
    { 0, output_8005, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8hf },
    &operand_data[11094],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8006 },
#else
    { 0, output_8006, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx4sf },
    &operand_data[11098],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8007 },
#else
    { 0, output_8007, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx4sf },
    &operand_data[11098],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8008 },
#else
    { 0, output_8008, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx2df },
    &operand_data[11102],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8289 */
  {
    "fold_extract_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8009 },
#else
    { 0, output_8009, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx2df },
    &operand_data[11102],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8010 },
#else
    { 0, output_8010, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx16qi },
    &operand_data[11106],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8011 },
#else
    { 0, output_8011, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx16qi },
    &operand_data[11106],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8012 },
#else
    { 0, output_8012, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8hi },
    &operand_data[11110],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8013 },
#else
    { 0, output_8013, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8hi },
    &operand_data[11110],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8014 },
#else
    { 0, output_8014, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx4si },
    &operand_data[11114],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8015 },
#else
    { 0, output_8015, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx4si },
    &operand_data[11114],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8016 },
#else
    { 0, output_8016, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx2di },
    &operand_data[11118],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8017 },
#else
    { 0, output_8017, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx2di },
    &operand_data[11118],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8018 },
#else
    { 0, output_8018, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8bf },
    &operand_data[11122],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8019 },
#else
    { 0, output_8019, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8bf },
    &operand_data[11122],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8020 },
#else
    { 0, output_8020, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8hf },
    &operand_data[11126],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8021 },
#else
    { 0, output_8021, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8hf },
    &operand_data[11126],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8022 },
#else
    { 0, output_8022, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx4sf },
    &operand_data[11130],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8023 },
#else
    { 0, output_8023, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx4sf },
    &operand_data[11130],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8024 },
#else
    { 0, output_8024, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx2df },
    &operand_data[11134],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_fold_extract_vector_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8025 },
#else
    { 0, output_8025, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx2df },
    &operand_data[11134],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8346 */
  {
    "aarch64_pred_reduc_sadd_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx16qi },
    &operand_data[11138],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8346 */
  {
    "aarch64_pred_reduc_uadd_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx16qi },
    &operand_data[11138],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8346 */
  {
    "aarch64_pred_reduc_sadd_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx8hi },
    &operand_data[11141],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8346 */
  {
    "aarch64_pred_reduc_uadd_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx8hi },
    &operand_data[11141],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8346 */
  {
    "aarch64_pred_reduc_sadd_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx4si },
    &operand_data[11144],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8346 */
  {
    "aarch64_pred_reduc_uadd_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx4si },
    &operand_data[11144],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8346 */
  {
    "aarch64_pred_reduc_uadd_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx2di },
    &operand_data[11147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_and_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx16qi },
    &operand_data[11150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_ior_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx16qi },
    &operand_data[11150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_smax_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx16qi },
    &operand_data[11150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_smin_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx16qi },
    &operand_data[11150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_umax_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx16qi },
    &operand_data[11150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_umin_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx16qi },
    &operand_data[11150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_xor_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx16qi },
    &operand_data[11150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_and_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx8hi },
    &operand_data[11153],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_ior_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx8hi },
    &operand_data[11153],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_smax_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx8hi },
    &operand_data[11153],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_smin_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx8hi },
    &operand_data[11153],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_umax_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx8hi },
    &operand_data[11153],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_umin_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx8hi },
    &operand_data[11153],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_xor_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx8hi },
    &operand_data[11153],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_and_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx4si },
    &operand_data[11156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_ior_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx4si },
    &operand_data[11156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_smax_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx4si },
    &operand_data[11156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_smin_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx4si },
    &operand_data[11156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_umax_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx4si },
    &operand_data[11156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_umin_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx4si },
    &operand_data[11156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_xor_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx4si },
    &operand_data[11156],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_and_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx2di },
    &operand_data[11147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_ior_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx2di },
    &operand_data[11147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_smax_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx2di },
    &operand_data[11147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_smin_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx2di },
    &operand_data[11147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_umax_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx2di },
    &operand_data[11147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_umin_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx2di },
    &operand_data[11147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8368 */
  {
    "aarch64_pred_reduc_xor_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx2di },
    &operand_data[11147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx8hf },
    &operand_data[11159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_smax_nan_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx8hf },
    &operand_data[11159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_smax_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx8hf },
    &operand_data[11159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_smin_nan_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx8hf },
    &operand_data[11159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_smin_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx8hf },
    &operand_data[11159],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx4sf },
    &operand_data[11162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_smax_nan_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx4sf },
    &operand_data[11162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_smax_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx4sf },
    &operand_data[11162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_smin_nan_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx4sf },
    &operand_data[11162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_smin_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx4sf },
    &operand_data[11162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx2df },
    &operand_data[11165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_smax_nan_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx2df },
    &operand_data[11165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_smax_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx2df },
    &operand_data[11165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_smin_nan_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx2df },
    &operand_data[11165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8401 */
  {
    "aarch64_pred_reduc_smin_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx2df },
    &operand_data[11165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8431 */
  {
    "mask_fold_left_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%h0, %3, %h0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx8hf },
    &operand_data[11168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8431 */
  {
    "mask_fold_left_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%s0, %3, %s0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx4sf },
    &operand_data[11172],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8431 */
  {
    "mask_fold_left_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%d0, %3, %d0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx2df },
    &operand_data[11176],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8465 */
  {
    "aarch64_sve_tblvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8465 */
  {
    "aarch64_sve_tblvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8465 */
  {
    "aarch64_sve_tblvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8465 */
  {
    "aarch64_sve_tblvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8465 */
  {
    "aarch64_sve_tblvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8bf },
    &operand_data[11180],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8465 */
  {
    "aarch64_sve_tblvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8hf },
    &operand_data[9171],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8465 */
  {
    "aarch64_sve_tblvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx4sf },
    &operand_data[9174],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8465 */
  {
    "aarch64_sve_tblvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx2df },
    &operand_data[9177],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8485 */
  {
    "aarch64_sve_compactvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx4si },
    &operand_data[11183],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8485 */
  {
    "aarch64_sve_compactvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx2di },
    &operand_data[11186],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8485 */
  {
    "aarch64_sve_compactvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx4sf },
    &operand_data[11189],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8485 */
  {
    "aarch64_sve_compactvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx2df },
    &operand_data[11192],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.b, %1.b[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx16qi },
    &operand_data[11195],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8qi },
    &operand_data[11198],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4qi },
    &operand_data[11201],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2qi },
    &operand_data[11204],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8hi },
    &operand_data[11207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4hi },
    &operand_data[11210],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2hi },
    &operand_data[11213],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8hf },
    &operand_data[11216],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4hf },
    &operand_data[11219],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2hf },
    &operand_data[11222],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8bf },
    &operand_data[11225],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4bf },
    &operand_data[11228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2bf },
    &operand_data[11231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4si },
    &operand_data[11234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2si },
    &operand_data[11237],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4sf },
    &operand_data[11240],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2sf },
    &operand_data[11243],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2di },
    &operand_data[11246],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8496 */
  {
    "aarch64_sve_dup_lanevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2df },
    &operand_data[11249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8524 */
  {
    "aarch64_sve_dupq_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8110 },
#else
    { 0, 0, output_8110 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx16qi },
    &operand_data[11252],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8524 */
  {
    "aarch64_sve_dupq_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8111 },
#else
    { 0, 0, output_8111 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8hi },
    &operand_data[11255],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8524 */
  {
    "aarch64_sve_dupq_lanevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8112 },
#else
    { 0, 0, output_8112 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx4si },
    &operand_data[11258],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8524 */
  {
    "aarch64_sve_dupq_lanevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8113 },
#else
    { 0, 0, output_8113 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx2di },
    &operand_data[11261],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8524 */
  {
    "aarch64_sve_dupq_lanevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8114 },
#else
    { 0, 0, output_8114 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8bf },
    &operand_data[11264],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8524 */
  {
    "aarch64_sve_dupq_lanevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8115 },
#else
    { 0, 0, output_8115 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8hf },
    &operand_data[11267],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8524 */
  {
    "aarch64_sve_dupq_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8116 },
#else
    { 0, 0, output_8116 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx4sf },
    &operand_data[11270],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8524 */
  {
    "aarch64_sve_dupq_lanevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8117 },
#else
    { 0, 0, output_8117 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx2df },
    &operand_data[11273],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.b, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx16qi },
    &operand_data[8509],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8qi },
    &operand_data[8513],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4qi },
    &operand_data[8170],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2qi },
    &operand_data[8150],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8hi },
    &operand_data[8525],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4hi },
    &operand_data[8175],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2hi },
    &operand_data[8155],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8hf },
    &operand_data[7752],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4hf },
    &operand_data[11219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2hf },
    &operand_data[11222],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8bf },
    &operand_data[11180],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4bf },
    &operand_data[11228],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2bf },
    &operand_data[11231],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4si },
    &operand_data[8139],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2si },
    &operand_data[8160],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4sf },
    &operand_data[7754],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2sf },
    &operand_data[11243],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2di },
    &operand_data[8142],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8544 */
  {
    "aarch64_sve_revvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2df },
    &operand_data[7756],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8567 */
  {
    "aarch64_sve_splicevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8137 },
#else
    { 0, output_8137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx16qi },
    &operand_data[7949],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8567 */
  {
    "aarch64_sve_splicevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8138 },
#else
    { 0, output_8138, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8hi },
    &operand_data[7965],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8567 */
  {
    "aarch64_sve_splicevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8139 },
#else
    { 0, output_8139, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx4si },
    &operand_data[7977],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8567 */
  {
    "aarch64_sve_splicevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8140 },
#else
    { 0, output_8140, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx2di },
    &operand_data[7985],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8567 */
  {
    "aarch64_sve_splicevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8141 },
#else
    { 0, output_8141, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8bf },
    &operand_data[11276],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8567 */
  {
    "aarch64_sve_splicevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8142 },
#else
    { 0, output_8142, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8hf },
    &operand_data[9252],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8567 */
  {
    "aarch64_sve_splicevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8143 },
#else
    { 0, output_8143, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx4sf },
    &operand_data[9257],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8567 */
  {
    "aarch64_sve_splicevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8144 },
#else
    { 0, output_8144, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx2df },
    &operand_data[9262],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8qi },
    &operand_data[8513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8qi },
    &operand_data[8513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8qi },
    &operand_data[8513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8qi },
    &operand_data[8513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8qi },
    &operand_data[8513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8qi },
    &operand_data[8513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4qi },
    &operand_data[8170],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4qi },
    &operand_data[8170],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4qi },
    &operand_data[8170],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4qi },
    &operand_data[8170],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4qi },
    &operand_data[8170],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4qi },
    &operand_data[8170],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2qi },
    &operand_data[8150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2qi },
    &operand_data[8150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2qi },
    &operand_data[8150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2qi },
    &operand_data[8150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2qi },
    &operand_data[8150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2qi },
    &operand_data[8150],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4hi },
    &operand_data[8175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4hi },
    &operand_data[8175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4hi },
    &operand_data[8175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4hi },
    &operand_data[8175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4hi },
    &operand_data[8175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4hi },
    &operand_data[8175],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2hi },
    &operand_data[8155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2hi },
    &operand_data[8155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2hi },
    &operand_data[8155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2hi },
    &operand_data[8155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2hi },
    &operand_data[8155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2hi },
    &operand_data[8155],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4hf },
    &operand_data[11280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4hf },
    &operand_data[11280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4hf },
    &operand_data[11280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4hf },
    &operand_data[11280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4hf },
    &operand_data[11280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4hf },
    &operand_data[11280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2hf },
    &operand_data[11283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2hf },
    &operand_data[11283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2hf },
    &operand_data[11283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2hf },
    &operand_data[11283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2hf },
    &operand_data[11283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2hf },
    &operand_data[11283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8bf },
    &operand_data[11286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8bf },
    &operand_data[11286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8bf },
    &operand_data[11286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8bf },
    &operand_data[11286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8bf },
    &operand_data[11286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8bf },
    &operand_data[11286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4bf },
    &operand_data[11289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4bf },
    &operand_data[11289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4bf },
    &operand_data[11289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4bf },
    &operand_data[11289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4bf },
    &operand_data[11289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4bf },
    &operand_data[11289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2bf },
    &operand_data[11292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2bf },
    &operand_data[11292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2bf },
    &operand_data[11292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2bf },
    &operand_data[11292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2bf },
    &operand_data[11292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2bf },
    &operand_data[11292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2si },
    &operand_data[8160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2si },
    &operand_data[8160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2si },
    &operand_data[8160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2si },
    &operand_data[8160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2si },
    &operand_data[8160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2si },
    &operand_data[8160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2sf },
    &operand_data[11295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2sf },
    &operand_data[11295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2sf },
    &operand_data[11295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2sf },
    &operand_data[11295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2sf },
    &operand_data[11295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2sf },
    &operand_data[11295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_zip2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_trn2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8583 */
  {
    "aarch64_sve_uzp2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8bf },
    &operand_data[11286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8bf },
    &operand_data[11286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8bf },
    &operand_data[11286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8bf },
    &operand_data[11286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8bf },
    &operand_data[11286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8bf },
    &operand_data[11286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8hf },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx4sf },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_zip2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_trn2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8595 */
  {
    "aarch64_sve_uzp2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx2df },
    &operand_data[9234],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8307 },
#else
    { 0, 0, output_8307 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx16qi },
    &operand_data[11298],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8308 },
#else
    { 0, 0, output_8308 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8qi },
    &operand_data[11302],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8309 },
#else
    { 0, 0, output_8309 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4qi },
    &operand_data[11306],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8310 },
#else
    { 0, 0, output_8310 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2qi },
    &operand_data[11310],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8311 },
#else
    { 0, 0, output_8311 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8hi },
    &operand_data[11314],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8312 },
#else
    { 0, 0, output_8312 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4hi },
    &operand_data[11318],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8313 },
#else
    { 0, 0, output_8313 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2hi },
    &operand_data[11322],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8314 },
#else
    { 0, 0, output_8314 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8hf },
    &operand_data[11326],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8315 },
#else
    { 0, 0, output_8315 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4hf },
    &operand_data[11330],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8316 },
#else
    { 0, 0, output_8316 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2hf },
    &operand_data[11334],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8317 },
#else
    { 0, 0, output_8317 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8bf },
    &operand_data[11338],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8318 },
#else
    { 0, 0, output_8318 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4bf },
    &operand_data[11342],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8319 },
#else
    { 0, 0, output_8319 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2bf },
    &operand_data[11346],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8320 },
#else
    { 0, 0, output_8320 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4si },
    &operand_data[11350],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8321 },
#else
    { 0, 0, output_8321 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2si },
    &operand_data[11354],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8322 },
#else
    { 0, 0, output_8322 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4sf },
    &operand_data[11358],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8323 },
#else
    { 0, 0, output_8323 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2sf },
    &operand_data[11362],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8324 },
#else
    { 0, 0, output_8324 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2di },
    &operand_data[11366],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8607 */
  {
    "aarch64_sve_extvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8325 },
#else
    { 0, 0, output_8325 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2df },
    &operand_data[11370],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8632 */
  {
    "aarch64_sve_revvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.b, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx16bi },
    &operand_data[5429],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8632 */
  {
    "aarch64_sve_revvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8bi },
    &operand_data[7800],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8632 */
  {
    "aarch64_sve_revvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4bi },
    &operand_data[7803],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8632 */
  {
    "aarch64_sve_revvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2bi },
    &operand_data[7806],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_zip1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx16bi },
    &operand_data[7797],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_zip2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx16bi },
    &operand_data[7797],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_trn1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx16bi },
    &operand_data[7797],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_trn2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx16bi },
    &operand_data[7797],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_uzp1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx16bi },
    &operand_data[7797],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_uzp2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx16bi },
    &operand_data[7797],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_zip1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8bi },
    &operand_data[7800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_zip2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8bi },
    &operand_data[7800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_trn1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8bi },
    &operand_data[7800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_trn2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8bi },
    &operand_data[7800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_uzp1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8bi },
    &operand_data[7800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_uzp2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8bi },
    &operand_data[7800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_zip1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4bi },
    &operand_data[7803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_zip2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4bi },
    &operand_data[7803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_trn1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4bi },
    &operand_data[7803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_trn2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4bi },
    &operand_data[7803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_uzp1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4bi },
    &operand_data[7803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_uzp2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4bi },
    &operand_data[7803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_zip1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2bi },
    &operand_data[7806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_zip2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2bi },
    &operand_data[7806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_trn1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2bi },
    &operand_data[7806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_trn2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2bi },
    &operand_data[7806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_uzp1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2bi },
    &operand_data[7806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8653 */
  {
    "aarch64_sve_uzp2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2bi },
    &operand_data[7806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8675 */
  {
    "vec_pack_trunc_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx8hi },
    &operand_data[11374],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8675 */
  {
    "vec_pack_trunc_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4si },
    &operand_data[11377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8675 */
  {
    "vec_pack_trunc_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2di },
    &operand_data[11380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8712 */
  {
    "aarch64_sve_sunpkhi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx16qi },
    &operand_data[11383],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8712 */
  {
    "aarch64_sve_uunpkhi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx16qi },
    &operand_data[11383],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8712 */
  {
    "aarch64_sve_sunpklo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx16qi },
    &operand_data[11383],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8712 */
  {
    "aarch64_sve_uunpklo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx16qi },
    &operand_data[11383],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8712 */
  {
    "aarch64_sve_sunpkhi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx8hi },
    &operand_data[11385],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8712 */
  {
    "aarch64_sve_uunpkhi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx8hi },
    &operand_data[11385],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8712 */
  {
    "aarch64_sve_sunpklo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx8hi },
    &operand_data[11385],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8712 */
  {
    "aarch64_sve_uunpklo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx8hi },
    &operand_data[11385],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8712 */
  {
    "aarch64_sve_sunpkhi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx4si },
    &operand_data[11387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8712 */
  {
    "aarch64_sve_uunpkhi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx4si },
    &operand_data[11387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8712 */
  {
    "aarch64_sve_sunpklo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx4si },
    &operand_data[11387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8712 */
  {
    "aarch64_sve_uunpklo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx4si },
    &operand_data[11387],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8369 },
#else
    { 0, output_8369, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[11389],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8370 },
#else
    { 0, output_8370, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[11389],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8371 },
#else
    { 0, output_8371, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx4si },
    &operand_data[11393],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8372 },
#else
    { 0, output_8372, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx4si },
    &operand_data[11393],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8373 },
#else
    { 0, output_8373, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx4sfvnx4si },
    &operand_data[11397],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8374 },
#else
    { 0, output_8374, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx4si },
    &operand_data[11397],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8375 },
#else
    { 0, output_8375, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx2di },
    &operand_data[11401],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8376 },
#else
    { 0, output_8376, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx2di },
    &operand_data[11401],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8377 },
#else
    { 0, output_8377, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx4sfvnx2di },
    &operand_data[11405],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8378 },
#else
    { 0, output_8378, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx2di },
    &operand_data[11405],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8379 },
#else
    { 0, output_8379, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx2dfvnx2di },
    &operand_data[11409],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8745 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8380 },
#else
    { 0, output_8380, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx2di },
    &operand_data[11409],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8760 */
  {
    "aarch64_sve_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8381 },
#else
    { 0, output_8381, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_truncvnx2dfvnx4si },
    &operand_data[11413],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8760 */
  {
    "aarch64_sve_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8382 },
#else
    { 0, output_8382, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_truncvnx2dfvnx4si },
    &operand_data[11413],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8383 },
#else
    { 0, output_8383, 0 },
#endif
    { 0 },
    &operand_data[11417],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8384 },
#else
    { 0, output_8384, 0 },
#endif
    { 0 },
    &operand_data[11417],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8385 },
#else
    { 0, output_8385, 0 },
#endif
    { 0 },
    &operand_data[11422],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8386 },
#else
    { 0, output_8386, 0 },
#endif
    { 0 },
    &operand_data[11422],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8387 },
#else
    { 0, output_8387, 0 },
#endif
    { 0 },
    &operand_data[11427],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8388 },
#else
    { 0, output_8388, 0 },
#endif
    { 0 },
    &operand_data[11427],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8389 },
#else
    { 0, output_8389, 0 },
#endif
    { 0 },
    &operand_data[11432],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8390 },
#else
    { 0, output_8390, 0 },
#endif
    { 0 },
    &operand_data[11432],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8391 },
#else
    { 0, output_8391, 0 },
#endif
    { 0 },
    &operand_data[11437],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8392 },
#else
    { 0, output_8392, 0 },
#endif
    { 0 },
    &operand_data[11437],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8393 },
#else
    { 0, output_8393, 0 },
#endif
    { 0 },
    &operand_data[11442],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8394 },
#else
    { 0, output_8394, 0 },
#endif
    { 0 },
    &operand_data[11442],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8818 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8395 },
#else
    { 0, output_8395, 0 },
#endif
    { 0 },
    &operand_data[11417],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8818 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8396 },
#else
    { 0, output_8396, 0 },
#endif
    { 0 },
    &operand_data[11417],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8818 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8397 },
#else
    { 0, output_8397, 0 },
#endif
    { 0 },
    &operand_data[11422],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8818 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8398 },
#else
    { 0, output_8398, 0 },
#endif
    { 0 },
    &operand_data[11422],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8818 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8399 },
#else
    { 0, output_8399, 0 },
#endif
    { 0 },
    &operand_data[11427],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8818 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8400 },
#else
    { 0, output_8400, 0 },
#endif
    { 0 },
    &operand_data[11427],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8818 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8401 },
#else
    { 0, output_8401, 0 },
#endif
    { 0 },
    &operand_data[11432],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8818 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8402 },
#else
    { 0, output_8402, 0 },
#endif
    { 0 },
    &operand_data[11432],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8818 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8403 },
#else
    { 0, output_8403, 0 },
#endif
    { 0 },
    &operand_data[11437],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8818 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8404 },
#else
    { 0, output_8404, 0 },
#endif
    { 0 },
    &operand_data[11437],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8818 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8405 },
#else
    { 0, output_8405, 0 },
#endif
    { 0 },
    &operand_data[11442],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8818 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8406 },
#else
    { 0, output_8406, 0 },
#endif
    { 0 },
    &operand_data[11442],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8852 */
  {
    "*cond_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8407 },
#else
    { 0, output_8407, 0 },
#endif
    { 0 },
    &operand_data[11447],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8852 */
  {
    "*cond_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8408 },
#else
    { 0, output_8408, 0 },
#endif
    { 0 },
    &operand_data[11447],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8932 */
  {
    "aarch64_sve_float_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8409 },
#else
    { 0, output_8409, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx8hivnx8hf },
    &operand_data[11452],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8932 */
  {
    "aarch64_sve_floatuns_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8410 },
#else
    { 0, output_8410, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx8hivnx8hf },
    &operand_data[11452],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8932 */
  {
    "aarch64_sve_float_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8411 },
#else
    { 0, output_8411, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx4sivnx8hf },
    &operand_data[11456],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8932 */
  {
    "aarch64_sve_floatuns_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8412 },
#else
    { 0, output_8412, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx4sivnx8hf },
    &operand_data[11456],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8932 */
  {
    "aarch64_sve_float_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8413 },
#else
    { 0, output_8413, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx4sivnx4sf },
    &operand_data[11460],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8932 */
  {
    "aarch64_sve_floatuns_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8414 },
#else
    { 0, output_8414, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx4sivnx4sf },
    &operand_data[11460],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8932 */
  {
    "aarch64_sve_float_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8415 },
#else
    { 0, output_8415, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx8hf },
    &operand_data[11464],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8932 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8416 },
#else
    { 0, output_8416, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx8hf },
    &operand_data[11464],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8932 */
  {
    "aarch64_sve_float_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8417 },
#else
    { 0, output_8417, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx4sf },
    &operand_data[11468],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8932 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8418 },
#else
    { 0, output_8418, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx4sf },
    &operand_data[11468],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8932 */
  {
    "aarch64_sve_float_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8419 },
#else
    { 0, output_8419, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx2df },
    &operand_data[11472],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8932 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8420 },
#else
    { 0, output_8420, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx2df },
    &operand_data[11472],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8947 */
  {
    "aarch64_sve_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8421 },
#else
    { 0, output_8421, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_extendvnx4sivnx2df },
    &operand_data[11476],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8947 */
  {
    "aarch64_sve_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8422 },
#else
    { 0, output_8422, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_extendvnx4sivnx2df },
    &operand_data[11476],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8982 */
  {
    "*cond_float_nonextendvnx8hivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8423 },
#else
    { 0, output_8423, 0 },
#endif
    { 0 },
    &operand_data[11480],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8982 */
  {
    "*cond_floatuns_nonextendvnx8hivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8424 },
#else
    { 0, output_8424, 0 },
#endif
    { 0 },
    &operand_data[11480],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8982 */
  {
    "*cond_float_nonextendvnx4sivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8425 },
#else
    { 0, output_8425, 0 },
#endif
    { 0 },
    &operand_data[11485],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8982 */
  {
    "*cond_floatuns_nonextendvnx4sivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8426 },
#else
    { 0, output_8426, 0 },
#endif
    { 0 },
    &operand_data[11485],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8982 */
  {
    "*cond_float_nonextendvnx4sivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8427 },
#else
    { 0, output_8427, 0 },
#endif
    { 0 },
    &operand_data[11490],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8982 */
  {
    "*cond_floatuns_nonextendvnx4sivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8428 },
#else
    { 0, output_8428, 0 },
#endif
    { 0 },
    &operand_data[11490],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8982 */
  {
    "*cond_float_nonextendvnx2divnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8429 },
#else
    { 0, output_8429, 0 },
#endif
    { 0 },
    &operand_data[11495],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8982 */
  {
    "*cond_floatuns_nonextendvnx2divnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8430 },
#else
    { 0, output_8430, 0 },
#endif
    { 0 },
    &operand_data[11495],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8982 */
  {
    "*cond_float_nonextendvnx2divnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8431 },
#else
    { 0, output_8431, 0 },
#endif
    { 0 },
    &operand_data[11500],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8982 */
  {
    "*cond_floatuns_nonextendvnx2divnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8432 },
#else
    { 0, output_8432, 0 },
#endif
    { 0 },
    &operand_data[11500],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8982 */
  {
    "*cond_float_nonextendvnx2divnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8433 },
#else
    { 0, output_8433, 0 },
#endif
    { 0 },
    &operand_data[11505],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8982 */
  {
    "*cond_floatuns_nonextendvnx2divnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8434 },
#else
    { 0, output_8434, 0 },
#endif
    { 0 },
    &operand_data[11505],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9005 */
  {
    "*cond_float_nonextendvnx8hivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8435 },
#else
    { 0, output_8435, 0 },
#endif
    { 0 },
    &operand_data[11480],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9005 */
  {
    "*cond_floatuns_nonextendvnx8hivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8436 },
#else
    { 0, output_8436, 0 },
#endif
    { 0 },
    &operand_data[11480],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9005 */
  {
    "*cond_float_nonextendvnx4sivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8437 },
#else
    { 0, output_8437, 0 },
#endif
    { 0 },
    &operand_data[11485],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9005 */
  {
    "*cond_floatuns_nonextendvnx4sivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8438 },
#else
    { 0, output_8438, 0 },
#endif
    { 0 },
    &operand_data[11485],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9005 */
  {
    "*cond_float_nonextendvnx4sivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8439 },
#else
    { 0, output_8439, 0 },
#endif
    { 0 },
    &operand_data[11490],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9005 */
  {
    "*cond_floatuns_nonextendvnx4sivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8440 },
#else
    { 0, output_8440, 0 },
#endif
    { 0 },
    &operand_data[11490],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9005 */
  {
    "*cond_float_nonextendvnx2divnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8441 },
#else
    { 0, output_8441, 0 },
#endif
    { 0 },
    &operand_data[11495],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9005 */
  {
    "*cond_floatuns_nonextendvnx2divnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8442 },
#else
    { 0, output_8442, 0 },
#endif
    { 0 },
    &operand_data[11495],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9005 */
  {
    "*cond_float_nonextendvnx2divnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8443 },
#else
    { 0, output_8443, 0 },
#endif
    { 0 },
    &operand_data[11500],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9005 */
  {
    "*cond_floatuns_nonextendvnx2divnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8444 },
#else
    { 0, output_8444, 0 },
#endif
    { 0 },
    &operand_data[11500],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9005 */
  {
    "*cond_float_nonextendvnx2divnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8445 },
#else
    { 0, output_8445, 0 },
#endif
    { 0 },
    &operand_data[11505],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9005 */
  {
    "*cond_floatuns_nonextendvnx2divnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8446 },
#else
    { 0, output_8446, 0 },
#endif
    { 0 },
    &operand_data[11505],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9039 */
  {
    "*cond_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8447 },
#else
    { 0, output_8447, 0 },
#endif
    { 0 },
    &operand_data[11510],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9039 */
  {
    "*cond_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8448 },
#else
    { 0, output_8448, 0 },
#endif
    { 0 },
    &operand_data[11510],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9130 */
  {
    "aarch64_sve_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8449 },
#else
    { 0, output_8449, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx4sfvnx8hf },
    &operand_data[11515],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9130 */
  {
    "aarch64_sve_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8450 },
#else
    { 0, output_8450, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx2dfvnx8hf },
    &operand_data[11519],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9130 */
  {
    "aarch64_sve_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8451 },
#else
    { 0, output_8451, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx2dfvnx4sf },
    &operand_data[11523],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9159 */
  {
    "*cond_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8452 },
#else
    { 0, output_8452, 0 },
#endif
    { 0 },
    &operand_data[11527],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9159 */
  {
    "*cond_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8453 },
#else
    { 0, output_8453, 0 },
#endif
    { 0 },
    &operand_data[11532],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9159 */
  {
    "*cond_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8454 },
#else
    { 0, output_8454, 0 },
#endif
    { 0 },
    &operand_data[11537],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9187 */
  {
    "aarch64_sve_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8455 },
#else
    { 0, output_8455, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx4sfvnx8bf },
    &operand_data[11542],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9216 */
  {
    "*cond_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8456 },
#else
    { 0, output_8456, 0 },
#endif
    { 0 },
    &operand_data[11546],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9240 */
  {
    "aarch64_sve_cvtntvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtnt\t%0.h, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx8bf },
    &operand_data[11551],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9287 */
  {
    "aarch64_sve_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8458 },
#else
    { 0, output_8458, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx8hfvnx4sf },
    &operand_data[11555],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9287 */
  {
    "aarch64_sve_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8459 },
#else
    { 0, output_8459, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx8hfvnx2df },
    &operand_data[11559],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9287 */
  {
    "aarch64_sve_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8460 },
#else
    { 0, output_8460, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx4sfvnx2df },
    &operand_data[11563],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9316 */
  {
    "*cond_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8461 },
#else
    { 0, output_8461, 0 },
#endif
    { 0 },
    &operand_data[11567],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9316 */
  {
    "*cond_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8462 },
#else
    { 0, output_8462, 0 },
#endif
    { 0 },
    &operand_data[11572],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9316 */
  {
    "*cond_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8463 },
#else
    { 0, output_8463, 0 },
#endif
    { 0 },
    &operand_data[11577],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9344 */
  {
    "vec_pack_trunc_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx8bi },
    &operand_data[11582],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9344 */
  {
    "vec_pack_trunc_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4bi },
    &operand_data[11585],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9344 */
  {
    "vec_pack_trunc_vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2bi },
    &operand_data[11588],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9379 */
  {
    "aarch64_sve_punpklo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx16bi },
    &operand_data[9691],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9379 */
  {
    "aarch64_sve_punpkhi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx16bi },
    &operand_data[9691],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9379 */
  {
    "aarch64_sve_punpklo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx8bi },
    &operand_data[11591],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9379 */
  {
    "aarch64_sve_punpkhi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx8bi },
    &operand_data[11591],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9379 */
  {
    "aarch64_sve_punpklo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx4bi },
    &operand_data[11593],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9379 */
  {
    "aarch64_sve_punpkhi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx4bi },
    &operand_data[11593],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9404 */
  {
    "aarch64_brka",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8473 },
#else
    { 0, output_8473, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brka },
    &operand_data[11595],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9404 */
  {
    "aarch64_brkb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8474 },
#else
    { 0, output_8474, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkb },
    &operand_data[11595],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9418 */
  {
    "*aarch64_brka_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8475 },
#else
    { 0, output_8475, 0 },
#endif
    { 0 },
    &operand_data[11595],
    5,
    5,
    5,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9418 */
  {
    "*aarch64_brkb_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8476 },
#else
    { 0, output_8476, 0 },
#endif
    { 0 },
    &operand_data[11595],
    5,
    5,
    5,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9443 */
  {
    "*aarch64_brka_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8477 },
#else
    { 0, output_8477, 0 },
#endif
    { 0 },
    &operand_data[11600],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9443 */
  {
    "*aarch64_brkb_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8478 },
#else
    { 0, output_8478, 0 },
#endif
    { 0 },
    &operand_data[11600],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9475 */
  {
    "aarch64_brkn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkn\t%0.b, %1/z, %2.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkn },
    &operand_data[11605],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9475 */
  {
    "aarch64_brkpa",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpa\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkpa },
    &operand_data[9669],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9475 */
  {
    "aarch64_brkpb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpb\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkpb },
    &operand_data[9669],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9487 */
  {
    "*aarch64_brkn_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkns\t%0.b, %1/z, %2.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11605],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9487 */
  {
    "*aarch64_brkpa_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpas\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11610],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9487 */
  {
    "*aarch64_brkpb_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpbs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11610],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9510 */
  {
    "*aarch64_brkn_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkns\t%0.b, %1/z, %2.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11615],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9510 */
  {
    "*aarch64_brkpa_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpas\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11620],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9510 */
  {
    "*aarch64_brkpb_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkpbs\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11620],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9535 */
  {
    "aarch64_sve_pfirstvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pfirstvnx16bi },
    &operand_data[11625],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9535 */
  {
    "aarch64_sve_pnextvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx16bi },
    &operand_data[11625],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9535 */
  {
    "aarch64_sve_pnextvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx8bi },
    &operand_data[11629],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9535 */
  {
    "aarch64_sve_pnextvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx4bi },
    &operand_data[11633],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9535 */
  {
    "aarch64_sve_pnextvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx2bi },
    &operand_data[11637],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "*aarch64_sve_pfirstvnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11641],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "*aarch64_sve_pnextvnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11641],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "*aarch64_sve_pnextvnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11648],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "*aarch64_sve_pnextvnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11655],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9548 */
  {
    "*aarch64_sve_pnextvnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11662],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9578 */
  {
    "*aarch64_sve_pfirstvnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11669],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9578 */
  {
    "*aarch64_sve_pnextvnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11669],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9578 */
  {
    "*aarch64_sve_pnextvnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11676],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9578 */
  {
    "*aarch64_sve_pnextvnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11683],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9578 */
  {
    "*aarch64_sve_pnextvnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11690],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9621 */
  {
    "aarch64_sve_cnt_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8503 },
#else
    { 0, 0, output_8503 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cnt_pat },
    &operand_data[11697],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9645 */
  {
    "aarch64_sve_incdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8504 },
#else
    { 0, 0, output_8504 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdi_pat },
    &operand_data[11701],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9645 */
  {
    "aarch64_sve_sqincdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8505 },
#else
    { 0, 0, output_8505 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdi_pat },
    &operand_data[11701],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9645 */
  {
    "aarch64_sve_uqincdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8506 },
#else
    { 0, 0, output_8506 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdi_pat },
    &operand_data[11701],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9663 */
  {
    "*aarch64_sve_incsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8507 },
#else
    { 0, 0, output_8507 },
#endif
    { 0 },
    &operand_data[11706],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9680 */
  {
    "aarch64_sve_sqincsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8508 },
#else
    { 0, 0, output_8508 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsi_pat },
    &operand_data[11711],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9680 */
  {
    "aarch64_sve_uqincsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8509 },
#else
    { 0, 0, output_8509 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsi_pat },
    &operand_data[11711],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9708 */
  {
    "aarch64_sve_incvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8510 },
#else
    { 0, 0, output_8510 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx2di_pat },
    &operand_data[11716],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9708 */
  {
    "aarch64_sve_sqincvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8511 },
#else
    { 0, 0, output_8511 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx2di_pat },
    &operand_data[11716],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9708 */
  {
    "aarch64_sve_uqincvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8512 },
#else
    { 0, 0, output_8512 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx2di_pat },
    &operand_data[11716],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9730 */
  {
    "aarch64_sve_incvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8513 },
#else
    { 0, 0, output_8513 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx4si_pat },
    &operand_data[11721],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9730 */
  {
    "aarch64_sve_sqincvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8514 },
#else
    { 0, 0, output_8514 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx4si_pat },
    &operand_data[11721],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9730 */
  {
    "aarch64_sve_uqincvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8515 },
#else
    { 0, 0, output_8515 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx4si_pat },
    &operand_data[11721],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9764 */
  {
    "*aarch64_sve_incvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8516 },
#else
    { 0, 0, output_8516 },
#endif
    { 0 },
    &operand_data[11726],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9764 */
  {
    "*aarch64_sve_sqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8517 },
#else
    { 0, 0, output_8517 },
#endif
    { 0 },
    &operand_data[11726],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9764 */
  {
    "*aarch64_sve_uqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8518 },
#else
    { 0, 0, output_8518 },
#endif
    { 0 },
    &operand_data[11726],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9795 */
  {
    "aarch64_sve_decdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8519 },
#else
    { 0, 0, output_8519 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdi_pat },
    &operand_data[11701],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9795 */
  {
    "aarch64_sve_sqdecdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8520 },
#else
    { 0, 0, output_8520 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdi_pat },
    &operand_data[11701],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9795 */
  {
    "aarch64_sve_uqdecdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8521 },
#else
    { 0, 0, output_8521 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdi_pat },
    &operand_data[11701],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9813 */
  {
    "*aarch64_sve_decsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8522 },
#else
    { 0, 0, output_8522 },
#endif
    { 0 },
    &operand_data[11706],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9830 */
  {
    "aarch64_sve_sqdecsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8523 },
#else
    { 0, 0, output_8523 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsi_pat },
    &operand_data[11711],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9830 */
  {
    "aarch64_sve_uqdecsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8524 },
#else
    { 0, 0, output_8524 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsi_pat },
    &operand_data[11711],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9858 */
  {
    "aarch64_sve_decvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8525 },
#else
    { 0, 0, output_8525 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx2di_pat },
    &operand_data[11716],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9858 */
  {
    "aarch64_sve_sqdecvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8526 },
#else
    { 0, 0, output_8526 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx2di_pat },
    &operand_data[11716],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9858 */
  {
    "aarch64_sve_uqdecvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8527 },
#else
    { 0, 0, output_8527 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx2di_pat },
    &operand_data[11716],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9880 */
  {
    "aarch64_sve_decvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8528 },
#else
    { 0, 0, output_8528 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx4si_pat },
    &operand_data[11721],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9880 */
  {
    "aarch64_sve_sqdecvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8529 },
#else
    { 0, 0, output_8529 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx4si_pat },
    &operand_data[11721],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9880 */
  {
    "aarch64_sve_uqdecvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8530 },
#else
    { 0, 0, output_8530 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx4si_pat },
    &operand_data[11721],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9914 */
  {
    "*aarch64_sve_decvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8531 },
#else
    { 0, 0, output_8531 },
#endif
    { 0 },
    &operand_data[11726],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9914 */
  {
    "*aarch64_sve_sqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8532 },
#else
    { 0, 0, output_8532 },
#endif
    { 0 },
    &operand_data[11726],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9914 */
  {
    "*aarch64_sve_uqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8533 },
#else
    { 0, 0, output_8533 },
#endif
    { 0 },
    &operand_data[11726],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9943 */
  {
    "aarch64_pred_cntpvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx16bi },
    &operand_data[11732],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9943 */
  {
    "aarch64_pred_cntpvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx8bi },
    &operand_data[11736],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9943 */
  {
    "aarch64_pred_cntpvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx4bi },
    &operand_data[11740],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9943 */
  {
    "aarch64_pred_cntpvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx2bi },
    &operand_data[11744],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9979 */
  {
    "*aarch64_sve_incdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11748],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9979 */
  {
    "*aarch64_sve_sqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11748],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9979 */
  {
    "*aarch64_sve_uqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11748],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9979 */
  {
    "*aarch64_sve_incdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9979 */
  {
    "*aarch64_sve_sqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9979 */
  {
    "*aarch64_sve_uqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9979 */
  {
    "*aarch64_sve_incdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11756],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9979 */
  {
    "*aarch64_sve_sqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11756],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9979 */
  {
    "*aarch64_sve_uqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11756],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9979 */
  {
    "*aarch64_sve_incdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9979 */
  {
    "*aarch64_sve_sqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9979 */
  {
    "*aarch64_sve_uqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9999 */
  {
    "*aarch64_incsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11764],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9999 */
  {
    "*aarch64_incsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11768],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9999 */
  {
    "*aarch64_incsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11772],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9999 */
  {
    "*aarch64_incsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11776],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10034 */
  {
    "*aarch64_sve_sqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8554 },
#else
    { 0, 0, output_8554 },
#endif
    { 0 },
    &operand_data[11780],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10034 */
  {
    "*aarch64_sve_uqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8555 },
#else
    { 0, 0, output_8555 },
#endif
    { 0 },
    &operand_data[11780],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10034 */
  {
    "*aarch64_sve_sqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8556 },
#else
    { 0, 0, output_8556 },
#endif
    { 0 },
    &operand_data[11784],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10034 */
  {
    "*aarch64_sve_uqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8557 },
#else
    { 0, 0, output_8557 },
#endif
    { 0 },
    &operand_data[11784],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10034 */
  {
    "*aarch64_sve_sqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8558 },
#else
    { 0, 0, output_8558 },
#endif
    { 0 },
    &operand_data[11788],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10034 */
  {
    "*aarch64_sve_uqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8559 },
#else
    { 0, 0, output_8559 },
#endif
    { 0 },
    &operand_data[11788],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10034 */
  {
    "*aarch64_sve_sqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8560 },
#else
    { 0, 0, output_8560 },
#endif
    { 0 },
    &operand_data[11792],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10034 */
  {
    "*aarch64_sve_uqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8561 },
#else
    { 0, 0, output_8561 },
#endif
    { 0 },
    &operand_data[11792],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10084 */
  {
    "*aarch64_sve_incvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8562 },
#else
    { 0, output_8562, 0 },
#endif
    { 0 },
    &operand_data[11796],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10084 */
  {
    "*aarch64_sve_sqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8563 },
#else
    { 0, output_8563, 0 },
#endif
    { 0 },
    &operand_data[11796],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10084 */
  {
    "*aarch64_sve_uqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8564 },
#else
    { 0, output_8564, 0 },
#endif
    { 0 },
    &operand_data[11796],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10124 */
  {
    "*aarch64_sve_incvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8565 },
#else
    { 0, output_8565, 0 },
#endif
    { 0 },
    &operand_data[11800],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10124 */
  {
    "*aarch64_sve_sqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8566 },
#else
    { 0, output_8566, 0 },
#endif
    { 0 },
    &operand_data[11800],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10124 */
  {
    "*aarch64_sve_uqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8567 },
#else
    { 0, output_8567, 0 },
#endif
    { 0 },
    &operand_data[11800],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10164 */
  {
    "*aarch64_sve_incvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8568 },
#else
    { 0, output_8568, 0 },
#endif
    { 0 },
    &operand_data[11804],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10164 */
  {
    "*aarch64_sve_sqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8569 },
#else
    { 0, output_8569, 0 },
#endif
    { 0 },
    &operand_data[11804],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10164 */
  {
    "*aarch64_sve_uqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8570 },
#else
    { 0, output_8570, 0 },
#endif
    { 0 },
    &operand_data[11804],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10212 */
  {
    "*aarch64_sve_decdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11748],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10212 */
  {
    "*aarch64_sve_sqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11748],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10212 */
  {
    "*aarch64_sve_uqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11748],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10212 */
  {
    "*aarch64_sve_decdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10212 */
  {
    "*aarch64_sve_sqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10212 */
  {
    "*aarch64_sve_uqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10212 */
  {
    "*aarch64_sve_decdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11756],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10212 */
  {
    "*aarch64_sve_sqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11756],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10212 */
  {
    "*aarch64_sve_uqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11756],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10212 */
  {
    "*aarch64_sve_decdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10212 */
  {
    "*aarch64_sve_sqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10212 */
  {
    "*aarch64_sve_uqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11760],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10232 */
  {
    "*aarch64_decsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11764],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10232 */
  {
    "*aarch64_decsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11768],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10232 */
  {
    "*aarch64_decsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11772],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10232 */
  {
    "*aarch64_decsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11776],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10267 */
  {
    "*aarch64_sve_sqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8587 },
#else
    { 0, 0, output_8587 },
#endif
    { 0 },
    &operand_data[11780],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10267 */
  {
    "*aarch64_sve_uqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8588 },
#else
    { 0, 0, output_8588 },
#endif
    { 0 },
    &operand_data[11780],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10267 */
  {
    "*aarch64_sve_sqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8589 },
#else
    { 0, 0, output_8589 },
#endif
    { 0 },
    &operand_data[11784],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10267 */
  {
    "*aarch64_sve_uqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8590 },
#else
    { 0, 0, output_8590 },
#endif
    { 0 },
    &operand_data[11784],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10267 */
  {
    "*aarch64_sve_sqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8591 },
#else
    { 0, 0, output_8591 },
#endif
    { 0 },
    &operand_data[11788],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10267 */
  {
    "*aarch64_sve_uqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8592 },
#else
    { 0, 0, output_8592 },
#endif
    { 0 },
    &operand_data[11788],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10267 */
  {
    "*aarch64_sve_sqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8593 },
#else
    { 0, 0, output_8593 },
#endif
    { 0 },
    &operand_data[11792],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10267 */
  {
    "*aarch64_sve_uqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_8594 },
#else
    { 0, 0, output_8594 },
#endif
    { 0 },
    &operand_data[11792],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10317 */
  {
    "*aarch64_sve_decvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8595 },
#else
    { 0, output_8595, 0 },
#endif
    { 0 },
    &operand_data[11796],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10317 */
  {
    "*aarch64_sve_sqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8596 },
#else
    { 0, output_8596, 0 },
#endif
    { 0 },
    &operand_data[11796],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10317 */
  {
    "*aarch64_sve_uqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8597 },
#else
    { 0, output_8597, 0 },
#endif
    { 0 },
    &operand_data[11796],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10357 */
  {
    "*aarch64_sve_decvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8598 },
#else
    { 0, output_8598, 0 },
#endif
    { 0 },
    &operand_data[11800],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10357 */
  {
    "*aarch64_sve_sqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8599 },
#else
    { 0, output_8599, 0 },
#endif
    { 0 },
    &operand_data[11800],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10357 */
  {
    "*aarch64_sve_uqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8600 },
#else
    { 0, output_8600, 0 },
#endif
    { 0 },
    &operand_data[11800],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10397 */
  {
    "*aarch64_sve_decvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8601 },
#else
    { 0, output_8601, 0 },
#endif
    { 0 },
    &operand_data[11804],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10397 */
  {
    "*aarch64_sve_sqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8602 },
#else
    { 0, output_8602, 0 },
#endif
    { 0 },
    &operand_data[11804],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10397 */
  {
    "*aarch64_sve_uqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8603 },
#else
    { 0, output_8603, 0 },
#endif
    { 0 },
    &operand_data[11804],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:104 */
  {
    "aarch64_gather_ldntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8604 },
#else
    { 0, output_8604, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx4si },
    &operand_data[11809],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:104 */
  {
    "aarch64_gather_ldntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8605 },
#else
    { 0, output_8605, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx2di },
    &operand_data[11813],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:104 */
  {
    "aarch64_gather_ldntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8606 },
#else
    { 0, output_8606, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx4sf },
    &operand_data[11817],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:104 */
  {
    "aarch64_gather_ldntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8607 },
#else
    { 0, output_8607, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx2df },
    &operand_data[11821],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8608 },
#else
    { 0, output_8608, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx4qi },
    &operand_data[11825],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8609 },
#else
    { 0, output_8609, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx4qi },
    &operand_data[11825],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8610 },
#else
    { 0, output_8610, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2qi },
    &operand_data[11830],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8611 },
#else
    { 0, output_8611, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2qi },
    &operand_data[11830],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8612 },
#else
    { 0, output_8612, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx4hi },
    &operand_data[11825],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8613 },
#else
    { 0, output_8613, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx4hi },
    &operand_data[11825],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8614 },
#else
    { 0, output_8614, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2hi },
    &operand_data[11830],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8615 },
#else
    { 0, output_8615, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2hi },
    &operand_data[11830],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8616 },
#else
    { 0, output_8616, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2si },
    &operand_data[11830],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:119 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8617 },
#else
    { 0, output_8617, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2si },
    &operand_data[11830],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:153 */
  {
    "aarch64_scatter_stntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8618 },
#else
    { 0, output_8618, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx4si },
    &operand_data[11835],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:153 */
  {
    "aarch64_scatter_stntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8619 },
#else
    { 0, output_8619, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx2di },
    &operand_data[11839],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:153 */
  {
    "aarch64_scatter_stntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8620 },
#else
    { 0, output_8620, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx4sf },
    &operand_data[11843],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:153 */
  {
    "aarch64_scatter_stntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8621 },
#else
    { 0, output_8621, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx2df },
    &operand_data[11847],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8622 },
#else
    { 0, output_8622, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx4qi },
    &operand_data[11835],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8623 },
#else
    { 0, output_8623, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2qi },
    &operand_data[11839],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8624 },
#else
    { 0, output_8624, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx4hi },
    &operand_data[11835],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8625 },
#else
    { 0, output_8625, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2hi },
    &operand_data[11839],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:169 */
  {
    "aarch64_scatter_stnt_vnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8626 },
#else
    { 0, output_8626, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2si },
    &operand_data[11839],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:196 */
  {
    "aarch64_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx8hi },
    &operand_data[11851],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:196 */
  {
    "aarch64_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx4si },
    &operand_data[11855],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:196 */
  {
    "aarch64_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx2di },
    &operand_data[11859],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:315 */
  {
    "aarch64_sve_suqaddvnx16qi_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8630 },
#else
    { 0, output_8630, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx16qi_const },
    &operand_data[11863],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:315 */
  {
    "aarch64_sve_suqaddvnx8hi_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8631 },
#else
    { 0, output_8631, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx8hi_const },
    &operand_data[11866],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:315 */
  {
    "aarch64_sve_suqaddvnx4si_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8632 },
#else
    { 0, output_8632, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx4si_const },
    &operand_data[11869],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:315 */
  {
    "aarch64_sve_suqaddvnx2di_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8633 },
#else
    { 0, output_8633, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx2di_const },
    &operand_data[11872],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8634 },
#else
    { 0, output_8634, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx16qi },
    &operand_data[11875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8635 },
#else
    { 0, output_8635, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx16qi },
    &operand_data[11875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_sqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8636 },
#else
    { 0, output_8636, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx16qi },
    &operand_data[11875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8637 },
#else
    { 0, output_8637, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx16qi },
    &operand_data[11875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8638 },
#else
    { 0, output_8638, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx16qi },
    &operand_data[11875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8639 },
#else
    { 0, output_8639, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx16qi },
    &operand_data[11875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8640 },
#else
    { 0, output_8640, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx16qi },
    &operand_data[11875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8641 },
#else
    { 0, output_8641, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx16qi },
    &operand_data[11875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8642 },
#else
    { 0, output_8642, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx16qi },
    &operand_data[11875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8643 },
#else
    { 0, output_8643, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx16qi },
    &operand_data[11875],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8644 },
#else
    { 0, output_8644, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx8hi },
    &operand_data[11879],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8645 },
#else
    { 0, output_8645, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx8hi },
    &operand_data[11879],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_sqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8646 },
#else
    { 0, output_8646, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx8hi },
    &operand_data[11879],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8647 },
#else
    { 0, output_8647, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx8hi },
    &operand_data[11879],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8648 },
#else
    { 0, output_8648, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx8hi },
    &operand_data[11879],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8649 },
#else
    { 0, output_8649, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx8hi },
    &operand_data[11879],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8650 },
#else
    { 0, output_8650, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx8hi },
    &operand_data[11879],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8651 },
#else
    { 0, output_8651, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx8hi },
    &operand_data[11879],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8652 },
#else
    { 0, output_8652, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx8hi },
    &operand_data[11879],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8653 },
#else
    { 0, output_8653, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx8hi },
    &operand_data[11879],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8654 },
#else
    { 0, output_8654, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx4si },
    &operand_data[8471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8655 },
#else
    { 0, output_8655, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx4si },
    &operand_data[8471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_sqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8656 },
#else
    { 0, output_8656, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx4si },
    &operand_data[8471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8657 },
#else
    { 0, output_8657, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx4si },
    &operand_data[8471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8658 },
#else
    { 0, output_8658, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx4si },
    &operand_data[8471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8659 },
#else
    { 0, output_8659, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx4si },
    &operand_data[8471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8660 },
#else
    { 0, output_8660, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx4si },
    &operand_data[8471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8661 },
#else
    { 0, output_8661, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx4si },
    &operand_data[8471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8662 },
#else
    { 0, output_8662, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx4si },
    &operand_data[8471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8663 },
#else
    { 0, output_8663, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx4si },
    &operand_data[8471],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8664 },
#else
    { 0, output_8664, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx2di },
    &operand_data[8475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_shsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8665 },
#else
    { 0, output_8665, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx2di },
    &operand_data[8475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_sqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8666 },
#else
    { 0, output_8666, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx2di },
    &operand_data[8475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8667 },
#else
    { 0, output_8667, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx2di },
    &operand_data[8475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_srshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8668 },
#else
    { 0, output_8668, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx2di },
    &operand_data[8475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8669 },
#else
    { 0, output_8669, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx2di },
    &operand_data[8475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uhsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8670 },
#else
    { 0, output_8670, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx2di },
    &operand_data[8475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_uqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8671 },
#else
    { 0, output_8671, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx2di },
    &operand_data[8475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8672 },
#else
    { 0, output_8672, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx2di },
    &operand_data[8475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:330 */
  {
    "aarch64_pred_urshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8673 },
#else
    { 0, output_8673, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx2di },
    &operand_data[8475],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8674 },
#else
    { 0, output_8674, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shsubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8675 },
#else
    { 0, output_8675, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_sqrshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8676 },
#else
    { 0, output_8676, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8677 },
#else
    { 0, output_8677, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8678 },
#else
    { 0, output_8678, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_suqaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8679 },
#else
    { 0, output_8679, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8680 },
#else
    { 0, output_8680, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhsubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8681 },
#else
    { 0, output_8681, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uqrshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8682 },
#else
    { 0, output_8682, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8683 },
#else
    { 0, output_8683, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8684 },
#else
    { 0, output_8684, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_usqaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8685 },
#else
    { 0, output_8685, 0 },
#endif
    { 0 },
    &operand_data[8237],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8686 },
#else
    { 0, output_8686, 0 },
#endif
    { 0 },
    &operand_data[8261],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shsubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8687 },
#else
    { 0, output_8687, 0 },
#endif
    { 0 },
    &operand_data[8261],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_sqrshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8688 },
#else
    { 0, output_8688, 0 },
#endif
    { 0 },
    &operand_data[8261],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8689 },
#else
    { 0, output_8689, 0 },
#endif
    { 0 },
    &operand_data[8261],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8690 },
#else
    { 0, output_8690, 0 },
#endif
    { 0 },
    &operand_data[8261],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_suqaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8691 },
#else
    { 0, output_8691, 0 },
#endif
    { 0 },
    &operand_data[8261],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8692 },
#else
    { 0, output_8692, 0 },
#endif
    { 0 },
    &operand_data[8261],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhsubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8693 },
#else
    { 0, output_8693, 0 },
#endif
    { 0 },
    &operand_data[8261],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uqrshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8694 },
#else
    { 0, output_8694, 0 },
#endif
    { 0 },
    &operand_data[8261],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8695 },
#else
    { 0, output_8695, 0 },
#endif
    { 0 },
    &operand_data[8261],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8696 },
#else
    { 0, output_8696, 0 },
#endif
    { 0 },
    &operand_data[8261],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_usqaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8697 },
#else
    { 0, output_8697, 0 },
#endif
    { 0 },
    &operand_data[8261],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8698 },
#else
    { 0, output_8698, 0 },
#endif
    { 0 },
    &operand_data[8279],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shsubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8699 },
#else
    { 0, output_8699, 0 },
#endif
    { 0 },
    &operand_data[8279],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_sqrshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8700 },
#else
    { 0, output_8700, 0 },
#endif
    { 0 },
    &operand_data[8279],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8701 },
#else
    { 0, output_8701, 0 },
#endif
    { 0 },
    &operand_data[8279],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8702 },
#else
    { 0, output_8702, 0 },
#endif
    { 0 },
    &operand_data[8279],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_suqaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8703 },
#else
    { 0, output_8703, 0 },
#endif
    { 0 },
    &operand_data[8279],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8704 },
#else
    { 0, output_8704, 0 },
#endif
    { 0 },
    &operand_data[8279],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhsubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8705 },
#else
    { 0, output_8705, 0 },
#endif
    { 0 },
    &operand_data[8279],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uqrshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8706 },
#else
    { 0, output_8706, 0 },
#endif
    { 0 },
    &operand_data[8279],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8707 },
#else
    { 0, output_8707, 0 },
#endif
    { 0 },
    &operand_data[8279],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8708 },
#else
    { 0, output_8708, 0 },
#endif
    { 0 },
    &operand_data[8279],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_usqaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8709 },
#else
    { 0, output_8709, 0 },
#endif
    { 0 },
    &operand_data[8279],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8710 },
#else
    { 0, output_8710, 0 },
#endif
    { 0 },
    &operand_data[8291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_shsubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8711 },
#else
    { 0, output_8711, 0 },
#endif
    { 0 },
    &operand_data[8291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_sqrshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8712 },
#else
    { 0, output_8712, 0 },
#endif
    { 0 },
    &operand_data[8291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8713 },
#else
    { 0, output_8713, 0 },
#endif
    { 0 },
    &operand_data[8291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_srshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8714 },
#else
    { 0, output_8714, 0 },
#endif
    { 0 },
    &operand_data[8291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_suqaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8715 },
#else
    { 0, output_8715, 0 },
#endif
    { 0 },
    &operand_data[8291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8716 },
#else
    { 0, output_8716, 0 },
#endif
    { 0 },
    &operand_data[8291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uhsubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8717 },
#else
    { 0, output_8717, 0 },
#endif
    { 0 },
    &operand_data[8291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_uqrshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8718 },
#else
    { 0, output_8718, 0 },
#endif
    { 0 },
    &operand_data[8291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8719 },
#else
    { 0, output_8719, 0 },
#endif
    { 0 },
    &operand_data[8291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_urshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8720 },
#else
    { 0, output_8720, 0 },
#endif
    { 0 },
    &operand_data[8291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "*cond_usqaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8721 },
#else
    { 0, output_8721, 0 },
#endif
    { 0 },
    &operand_data[8291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8722 },
#else
    { 0, output_8722, 0 },
#endif
    { 0 },
    &operand_data[8297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shsubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8723 },
#else
    { 0, output_8723, 0 },
#endif
    { 0 },
    &operand_data[8297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_sqrshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8724 },
#else
    { 0, output_8724, 0 },
#endif
    { 0 },
    &operand_data[8297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8725 },
#else
    { 0, output_8725, 0 },
#endif
    { 0 },
    &operand_data[8297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8726 },
#else
    { 0, output_8726, 0 },
#endif
    { 0 },
    &operand_data[8297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8727 },
#else
    { 0, output_8727, 0 },
#endif
    { 0 },
    &operand_data[8297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhsubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8728 },
#else
    { 0, output_8728, 0 },
#endif
    { 0 },
    &operand_data[8297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uqrshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8729 },
#else
    { 0, output_8729, 0 },
#endif
    { 0 },
    &operand_data[8297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8730 },
#else
    { 0, output_8730, 0 },
#endif
    { 0 },
    &operand_data[8297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8731 },
#else
    { 0, output_8731, 0 },
#endif
    { 0 },
    &operand_data[8297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8732 },
#else
    { 0, output_8732, 0 },
#endif
    { 0 },
    &operand_data[8321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shsubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8733 },
#else
    { 0, output_8733, 0 },
#endif
    { 0 },
    &operand_data[8321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_sqrshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8734 },
#else
    { 0, output_8734, 0 },
#endif
    { 0 },
    &operand_data[8321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8735 },
#else
    { 0, output_8735, 0 },
#endif
    { 0 },
    &operand_data[8321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8736 },
#else
    { 0, output_8736, 0 },
#endif
    { 0 },
    &operand_data[8321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8737 },
#else
    { 0, output_8737, 0 },
#endif
    { 0 },
    &operand_data[8321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhsubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8738 },
#else
    { 0, output_8738, 0 },
#endif
    { 0 },
    &operand_data[8321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uqrshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8739 },
#else
    { 0, output_8739, 0 },
#endif
    { 0 },
    &operand_data[8321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8740 },
#else
    { 0, output_8740, 0 },
#endif
    { 0 },
    &operand_data[8321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8741 },
#else
    { 0, output_8741, 0 },
#endif
    { 0 },
    &operand_data[8321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8742 },
#else
    { 0, output_8742, 0 },
#endif
    { 0 },
    &operand_data[8339],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shsubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8743 },
#else
    { 0, output_8743, 0 },
#endif
    { 0 },
    &operand_data[8339],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_sqrshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8744 },
#else
    { 0, output_8744, 0 },
#endif
    { 0 },
    &operand_data[8339],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8745 },
#else
    { 0, output_8745, 0 },
#endif
    { 0 },
    &operand_data[8339],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8746 },
#else
    { 0, output_8746, 0 },
#endif
    { 0 },
    &operand_data[8339],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8747 },
#else
    { 0, output_8747, 0 },
#endif
    { 0 },
    &operand_data[8339],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhsubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8748 },
#else
    { 0, output_8748, 0 },
#endif
    { 0 },
    &operand_data[8339],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uqrshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8749 },
#else
    { 0, output_8749, 0 },
#endif
    { 0 },
    &operand_data[8339],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8750 },
#else
    { 0, output_8750, 0 },
#endif
    { 0 },
    &operand_data[8339],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8751 },
#else
    { 0, output_8751, 0 },
#endif
    { 0 },
    &operand_data[8339],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8752 },
#else
    { 0, output_8752, 0 },
#endif
    { 0 },
    &operand_data[8351],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_shsubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8753 },
#else
    { 0, output_8753, 0 },
#endif
    { 0 },
    &operand_data[8351],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_sqrshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8754 },
#else
    { 0, output_8754, 0 },
#endif
    { 0 },
    &operand_data[8351],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8755 },
#else
    { 0, output_8755, 0 },
#endif
    { 0 },
    &operand_data[8351],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_srshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8756 },
#else
    { 0, output_8756, 0 },
#endif
    { 0 },
    &operand_data[8351],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8757 },
#else
    { 0, output_8757, 0 },
#endif
    { 0 },
    &operand_data[8351],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uhsubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8758 },
#else
    { 0, output_8758, 0 },
#endif
    { 0 },
    &operand_data[8351],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_uqrshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8759 },
#else
    { 0, output_8759, 0 },
#endif
    { 0 },
    &operand_data[8351],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8760 },
#else
    { 0, output_8760, 0 },
#endif
    { 0 },
    &operand_data[8351],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:393 */
  {
    "*cond_urshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8761 },
#else
    { 0, output_8761, 0 },
#endif
    { 0 },
    &operand_data[8351],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8762 },
#else
    { 0, output_8762, 0 },
#endif
    { 0 },
    &operand_data[8357],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shsubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8763 },
#else
    { 0, output_8763, 0 },
#endif
    { 0 },
    &operand_data[8357],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_sqrshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8764 },
#else
    { 0, output_8764, 0 },
#endif
    { 0 },
    &operand_data[8357],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8765 },
#else
    { 0, output_8765, 0 },
#endif
    { 0 },
    &operand_data[8357],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8766 },
#else
    { 0, output_8766, 0 },
#endif
    { 0 },
    &operand_data[8357],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8767 },
#else
    { 0, output_8767, 0 },
#endif
    { 0 },
    &operand_data[8357],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhsubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8768 },
#else
    { 0, output_8768, 0 },
#endif
    { 0 },
    &operand_data[8357],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uqrshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8769 },
#else
    { 0, output_8769, 0 },
#endif
    { 0 },
    &operand_data[8357],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8770 },
#else
    { 0, output_8770, 0 },
#endif
    { 0 },
    &operand_data[8357],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8771 },
#else
    { 0, output_8771, 0 },
#endif
    { 0 },
    &operand_data[8357],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8772 },
#else
    { 0, output_8772, 0 },
#endif
    { 0 },
    &operand_data[8385],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shsubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8773 },
#else
    { 0, output_8773, 0 },
#endif
    { 0 },
    &operand_data[8385],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_sqrshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8774 },
#else
    { 0, output_8774, 0 },
#endif
    { 0 },
    &operand_data[8385],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8775 },
#else
    { 0, output_8775, 0 },
#endif
    { 0 },
    &operand_data[8385],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8776 },
#else
    { 0, output_8776, 0 },
#endif
    { 0 },
    &operand_data[8385],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8777 },
#else
    { 0, output_8777, 0 },
#endif
    { 0 },
    &operand_data[8385],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhsubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8778 },
#else
    { 0, output_8778, 0 },
#endif
    { 0 },
    &operand_data[8385],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uqrshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8779 },
#else
    { 0, output_8779, 0 },
#endif
    { 0 },
    &operand_data[8385],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8780 },
#else
    { 0, output_8780, 0 },
#endif
    { 0 },
    &operand_data[8385],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8781 },
#else
    { 0, output_8781, 0 },
#endif
    { 0 },
    &operand_data[8385],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8782 },
#else
    { 0, output_8782, 0 },
#endif
    { 0 },
    &operand_data[8406],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shsubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8783 },
#else
    { 0, output_8783, 0 },
#endif
    { 0 },
    &operand_data[8406],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_sqrshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8784 },
#else
    { 0, output_8784, 0 },
#endif
    { 0 },
    &operand_data[8406],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8785 },
#else
    { 0, output_8785, 0 },
#endif
    { 0 },
    &operand_data[8406],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8786 },
#else
    { 0, output_8786, 0 },
#endif
    { 0 },
    &operand_data[8406],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8787 },
#else
    { 0, output_8787, 0 },
#endif
    { 0 },
    &operand_data[8406],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhsubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8788 },
#else
    { 0, output_8788, 0 },
#endif
    { 0 },
    &operand_data[8406],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uqrshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8789 },
#else
    { 0, output_8789, 0 },
#endif
    { 0 },
    &operand_data[8406],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8790 },
#else
    { 0, output_8790, 0 },
#endif
    { 0 },
    &operand_data[8406],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8791 },
#else
    { 0, output_8791, 0 },
#endif
    { 0 },
    &operand_data[8406],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8792 },
#else
    { 0, output_8792, 0 },
#endif
    { 0 },
    &operand_data[8420],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_shsubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8793 },
#else
    { 0, output_8793, 0 },
#endif
    { 0 },
    &operand_data[8420],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_sqrshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8794 },
#else
    { 0, output_8794, 0 },
#endif
    { 0 },
    &operand_data[8420],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8795 },
#else
    { 0, output_8795, 0 },
#endif
    { 0 },
    &operand_data[8420],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_srshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8796 },
#else
    { 0, output_8796, 0 },
#endif
    { 0 },
    &operand_data[8420],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8797 },
#else
    { 0, output_8797, 0 },
#endif
    { 0 },
    &operand_data[8420],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uhsubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8798 },
#else
    { 0, output_8798, 0 },
#endif
    { 0 },
    &operand_data[8420],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_uqrshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8799 },
#else
    { 0, output_8799, 0 },
#endif
    { 0 },
    &operand_data[8420],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8800 },
#else
    { 0, output_8800, 0 },
#endif
    { 0 },
    &operand_data[8420],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:418 */
  {
    "*cond_urshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8801 },
#else
    { 0, output_8801, 0 },
#endif
    { 0 },
    &operand_data[8420],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_suqaddvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8802 },
#else
    { 0, output_8802, 0 },
#endif
    { 0 },
    &operand_data[11883],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_usqaddvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8803 },
#else
    { 0, output_8803, 0 },
#endif
    { 0 },
    &operand_data[11883],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_suqaddvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8804 },
#else
    { 0, output_8804, 0 },
#endif
    { 0 },
    &operand_data[11889],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_usqaddvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8805 },
#else
    { 0, output_8805, 0 },
#endif
    { 0 },
    &operand_data[11889],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_suqaddvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8806 },
#else
    { 0, output_8806, 0 },
#endif
    { 0 },
    &operand_data[11895],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_usqaddvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8807 },
#else
    { 0, output_8807, 0 },
#endif
    { 0 },
    &operand_data[11895],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_suqaddvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8808 },
#else
    { 0, output_8808, 0 },
#endif
    { 0 },
    &operand_data[11901],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:462 */
  {
    "*cond_usqaddvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8809 },
#else
    { 0, output_8809, 0 },
#endif
    { 0 },
    &operand_data[11901],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqdmulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqrdmulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqdmulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqrdmulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqdmulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqrdmulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqdmulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:494 */
  {
    "aarch64_sve_sqrdmulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqdmulh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx8hi },
    &operand_data[11851],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx8hi },
    &operand_data[11851],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqdmulh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx4si },
    &operand_data[11855],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx4si },
    &operand_data[11855],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqdmulh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx2di },
    &operand_data[11859],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:504 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx2di },
    &operand_data[11859],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_sqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8824 },
#else
    { 0, output_8824, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx16qi },
    &operand_data[11907],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_uqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8825 },
#else
    { 0, output_8825, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx16qi },
    &operand_data[11907],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_sqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8826 },
#else
    { 0, output_8826, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx8hi },
    &operand_data[11911],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_uqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8827 },
#else
    { 0, output_8827, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx8hi },
    &operand_data[11911],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_sqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8828 },
#else
    { 0, output_8828, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx4si },
    &operand_data[11915],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_uqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8829 },
#else
    { 0, output_8829, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx4si },
    &operand_data[11915],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_sqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8830 },
#else
    { 0, output_8830, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx2di },
    &operand_data[11919],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:528 */
  {
    "aarch64_pred_uqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8831 },
#else
    { 0, output_8831, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx2di },
    &operand_data[11919],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_sqshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8832 },
#else
    { 0, output_8832, 0 },
#endif
    { 0 },
    &operand_data[11923],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_uqshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8833 },
#else
    { 0, output_8833, 0 },
#endif
    { 0 },
    &operand_data[11923],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_sqshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8834 },
#else
    { 0, output_8834, 0 },
#endif
    { 0 },
    &operand_data[11928],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_uqshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8835 },
#else
    { 0, output_8835, 0 },
#endif
    { 0 },
    &operand_data[11928],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_sqshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8836 },
#else
    { 0, output_8836, 0 },
#endif
    { 0 },
    &operand_data[11933],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_uqshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8837 },
#else
    { 0, output_8837, 0 },
#endif
    { 0 },
    &operand_data[11933],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_sqshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8838 },
#else
    { 0, output_8838, 0 },
#endif
    { 0 },
    &operand_data[11938],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:568 */
  {
    "*cond_uqshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8839 },
#else
    { 0, output_8839, 0 },
#endif
    { 0 },
    &operand_data[11938],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_sqshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8840 },
#else
    { 0, output_8840, 0 },
#endif
    { 0 },
    &operand_data[8297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_uqshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8841 },
#else
    { 0, output_8841, 0 },
#endif
    { 0 },
    &operand_data[8297],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_sqshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8842 },
#else
    { 0, output_8842, 0 },
#endif
    { 0 },
    &operand_data[8321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_uqshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8843 },
#else
    { 0, output_8843, 0 },
#endif
    { 0 },
    &operand_data[8321],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_sqshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8844 },
#else
    { 0, output_8844, 0 },
#endif
    { 0 },
    &operand_data[8339],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_uqshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8845 },
#else
    { 0, output_8845, 0 },
#endif
    { 0 },
    &operand_data[8339],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_sqshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8846 },
#else
    { 0, output_8846, 0 },
#endif
    { 0 },
    &operand_data[8351],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:595 */
  {
    "*cond_uqshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8847 },
#else
    { 0, output_8847, 0 },
#endif
    { 0 },
    &operand_data[8351],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_sqshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8848 },
#else
    { 0, output_8848, 0 },
#endif
    { 0 },
    &operand_data[11943],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_uqshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8849 },
#else
    { 0, output_8849, 0 },
#endif
    { 0 },
    &operand_data[11943],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_sqshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8850 },
#else
    { 0, output_8850, 0 },
#endif
    { 0 },
    &operand_data[11949],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_uqshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8851 },
#else
    { 0, output_8851, 0 },
#endif
    { 0 },
    &operand_data[11949],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_sqshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8852 },
#else
    { 0, output_8852, 0 },
#endif
    { 0 },
    &operand_data[11955],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_uqshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8853 },
#else
    { 0, output_8853, 0 },
#endif
    { 0 },
    &operand_data[11955],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_sqshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8854 },
#else
    { 0, output_8854, 0 },
#endif
    { 0 },
    &operand_data[11961],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:620 */
  {
    "*cond_uqshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8855 },
#else
    { 0, output_8855, 0 },
#endif
    { 0 },
    &operand_data[11961],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adclbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8856 },
#else
    { 0, output_8856, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adcltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8857 },
#else
    { 0, output_8857, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eorbtvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8858 },
#else
    { 0, output_8858, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eortbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8859 },
#else
    { 0, output_8859, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbclbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8860 },
#else
    { 0, output_8860, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbcltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8861 },
#else
    { 0, output_8861, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlahvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8862 },
#else
    { 0, output_8862, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlshvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8863 },
#else
    { 0, output_8863, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adclbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8864 },
#else
    { 0, output_8864, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adcltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8865 },
#else
    { 0, output_8865, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eorbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8866 },
#else
    { 0, output_8866, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eortbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8867 },
#else
    { 0, output_8867, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbclbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8868 },
#else
    { 0, output_8868, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbcltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8869 },
#else
    { 0, output_8869, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlahvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8870 },
#else
    { 0, output_8870, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlshvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8871 },
#else
    { 0, output_8871, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adclbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8872 },
#else
    { 0, output_8872, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adcltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8873 },
#else
    { 0, output_8873, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eorbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8874 },
#else
    { 0, output_8874, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eortbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8875 },
#else
    { 0, output_8875, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbclbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8876 },
#else
    { 0, output_8876, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbcltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8877 },
#else
    { 0, output_8877, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlahvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8878 },
#else
    { 0, output_8878, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlshvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8879 },
#else
    { 0, output_8879, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adclbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8880 },
#else
    { 0, output_8880, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_adcltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8881 },
#else
    { 0, output_8881, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eorbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8882 },
#else
    { 0, output_8882, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_eortbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8883 },
#else
    { 0, output_8883, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbclbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8884 },
#else
    { 0, output_8884, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sbcltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8885 },
#else
    { 0, output_8885, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlahvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8886 },
#else
    { 0, output_8886, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:682 */
  {
    "aarch64_sve_sqrdmlshvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8887 },
#else
    { 0, output_8887, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8888 },
#else
    { 0, output_8888, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx8hi },
    &operand_data[11983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8889 },
#else
    { 0, output_8889, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx8hi },
    &operand_data[11983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8890 },
#else
    { 0, output_8890, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx4si },
    &operand_data[11988],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8891 },
#else
    { 0, output_8891, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx4si },
    &operand_data[11988],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8892 },
#else
    { 0, output_8892, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx2di },
    &operand_data[11993],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:696 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8893 },
#else
    { 0, output_8893, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx2di },
    &operand_data[11993],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "aarch64_sve_add_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8894 },
#else
    { 0, output_8894, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx8hi },
    &operand_data[11983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "aarch64_sve_add_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8895 },
#else
    { 0, output_8895, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx4si },
    &operand_data[11988],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:721 */
  {
    "aarch64_sve_add_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8896 },
#else
    { 0, output_8896, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx2di },
    &operand_data[11993],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:738 */
  {
    "aarch64_sve_sub_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8897 },
#else
    { 0, output_8897, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx8hi },
    &operand_data[11983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:738 */
  {
    "aarch64_sve_sub_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8898 },
#else
    { 0, output_8898, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx4si },
    &operand_data[11988],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:738 */
  {
    "aarch64_sve_sub_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8899 },
#else
    { 0, output_8899, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx2di },
    &operand_data[11993],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:762 */
  {
    "aarch64_sve2_xarvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8900 },
#else
    { 0, output_8900, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx16qi },
    &operand_data[11998],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:762 */
  {
    "aarch64_sve2_xarvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8901 },
#else
    { 0, output_8901, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx8hi },
    &operand_data[12002],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:762 */
  {
    "aarch64_sve2_xarvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8902 },
#else
    { 0, output_8902, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx4si },
    &operand_data[12006],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:762 */
  {
    "aarch64_sve2_xarvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8903 },
#else
    { 0, output_8903, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx2di },
    &operand_data[12010],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:806 */
  {
    "*aarch64_sve2_bcaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8904 },
#else
    { 0, output_8904, 0 },
#endif
    { 0 },
    &operand_data[12014],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:806 */
  {
    "*aarch64_sve2_bcaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8905 },
#else
    { 0, output_8905, 0 },
#endif
    { 0 },
    &operand_data[12019],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:806 */
  {
    "*aarch64_sve2_bcaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8906 },
#else
    { 0, output_8906, 0 },
#endif
    { 0 },
    &operand_data[12024],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:806 */
  {
    "*aarch64_sve2_bcaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8907 },
#else
    { 0, output_8907, 0 },
#endif
    { 0 },
    &operand_data[12029],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "aarch64_sve2_eor3vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8908 },
#else
    { 0, output_8908, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx16qi },
    &operand_data[12034],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "aarch64_sve2_eor3vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8909 },
#else
    { 0, output_8909, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx8hi },
    &operand_data[12038],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "aarch64_sve2_eor3vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8910 },
#else
    { 0, output_8910, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx4si },
    &operand_data[12042],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:829 */
  {
    "aarch64_sve2_eor3vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8911 },
#else
    { 0, output_8911, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx2di },
    &operand_data[12046],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:846 */
  {
    "*aarch64_sve2_norvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8912 },
#else
    { 0, output_8912, 0 },
#endif
    { 0 },
    &operand_data[12050],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:846 */
  {
    "*aarch64_sve2_norvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8913 },
#else
    { 0, output_8913, 0 },
#endif
    { 0 },
    &operand_data[12054],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:846 */
  {
    "*aarch64_sve2_norvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8914 },
#else
    { 0, output_8914, 0 },
#endif
    { 0 },
    &operand_data[12058],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:846 */
  {
    "*aarch64_sve2_norvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8915 },
#else
    { 0, output_8915, 0 },
#endif
    { 0 },
    &operand_data[12062],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:868 */
  {
    "*aarch64_sve2_nandvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8916 },
#else
    { 0, output_8916, 0 },
#endif
    { 0 },
    &operand_data[12050],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:868 */
  {
    "*aarch64_sve2_nandvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8917 },
#else
    { 0, output_8917, 0 },
#endif
    { 0 },
    &operand_data[12054],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:868 */
  {
    "*aarch64_sve2_nandvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8918 },
#else
    { 0, output_8918, 0 },
#endif
    { 0 },
    &operand_data[12058],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:868 */
  {
    "*aarch64_sve2_nandvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8919 },
#else
    { 0, output_8919, 0 },
#endif
    { 0 },
    &operand_data[12062],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8920 },
#else
    { 0, output_8920, 0 },
#endif
    { 0 },
    &operand_data[12066],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8921 },
#else
    { 0, output_8921, 0 },
#endif
    { 0 },
    &operand_data[11967],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8922 },
#else
    { 0, output_8922, 0 },
#endif
    { 0 },
    &operand_data[12070],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8923 },
#else
    { 0, output_8923, 0 },
#endif
    { 0 },
    &operand_data[11971],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8924 },
#else
    { 0, output_8924, 0 },
#endif
    { 0 },
    &operand_data[12074],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8925 },
#else
    { 0, output_8925, 0 },
#endif
    { 0 },
    &operand_data[11975],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8926 },
#else
    { 0, output_8926, 0 },
#endif
    { 0 },
    &operand_data[12078],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:903 */
  {
    "*aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8927 },
#else
    { 0, output_8927, 0 },
#endif
    { 0 },
    &operand_data[11979],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8928 },
#else
    { 0, output_8928, 0 },
#endif
    { 0 },
    &operand_data[12082],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8929 },
#else
    { 0, output_8929, 0 },
#endif
    { 0 },
    &operand_data[12014],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8930 },
#else
    { 0, output_8930, 0 },
#endif
    { 0 },
    &operand_data[12087],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8931 },
#else
    { 0, output_8931, 0 },
#endif
    { 0 },
    &operand_data[12019],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8932 },
#else
    { 0, output_8932, 0 },
#endif
    { 0 },
    &operand_data[12092],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8933 },
#else
    { 0, output_8933, 0 },
#endif
    { 0 },
    &operand_data[12024],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8934 },
#else
    { 0, output_8934, 0 },
#endif
    { 0 },
    &operand_data[12097],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:940 */
  {
    "*aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8935 },
#else
    { 0, output_8935, 0 },
#endif
    { 0 },
    &operand_data[12029],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8936 },
#else
    { 0, output_8936, 0 },
#endif
    { 0 },
    &operand_data[12082],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8937 },
#else
    { 0, output_8937, 0 },
#endif
    { 0 },
    &operand_data[12014],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8938 },
#else
    { 0, output_8938, 0 },
#endif
    { 0 },
    &operand_data[12087],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8939 },
#else
    { 0, output_8939, 0 },
#endif
    { 0 },
    &operand_data[12019],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8940 },
#else
    { 0, output_8940, 0 },
#endif
    { 0 },
    &operand_data[12092],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8941 },
#else
    { 0, output_8941, 0 },
#endif
    { 0 },
    &operand_data[12024],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8942 },
#else
    { 0, output_8942, 0 },
#endif
    { 0 },
    &operand_data[12097],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:985 */
  {
    "*aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8943 },
#else
    { 0, output_8943, 0 },
#endif
    { 0 },
    &operand_data[12029],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8944 },
#else
    { 0, output_8944, 0 },
#endif
    { 0 },
    &operand_data[12082],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8945 },
#else
    { 0, output_8945, 0 },
#endif
    { 0 },
    &operand_data[12014],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8946 },
#else
    { 0, output_8946, 0 },
#endif
    { 0 },
    &operand_data[12087],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8947 },
#else
    { 0, output_8947, 0 },
#endif
    { 0 },
    &operand_data[12019],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8948 },
#else
    { 0, output_8948, 0 },
#endif
    { 0 },
    &operand_data[12092],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8949 },
#else
    { 0, output_8949, 0 },
#endif
    { 0 },
    &operand_data[12024],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8950 },
#else
    { 0, output_8950, 0 },
#endif
    { 0 },
    &operand_data[12097],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1031 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8951 },
#else
    { 0, output_8951, 0 },
#endif
    { 0 },
    &operand_data[12029],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8952 },
#else
    { 0, output_8952, 0 },
#endif
    { 0 },
    &operand_data[12082],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8953 },
#else
    { 0, output_8953, 0 },
#endif
    { 0 },
    &operand_data[12014],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8954 },
#else
    { 0, output_8954, 0 },
#endif
    { 0 },
    &operand_data[12087],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8955 },
#else
    { 0, output_8955, 0 },
#endif
    { 0 },
    &operand_data[12019],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8956 },
#else
    { 0, output_8956, 0 },
#endif
    { 0 },
    &operand_data[12092],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8957 },
#else
    { 0, output_8957, 0 },
#endif
    { 0 },
    &operand_data[12024],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8958 },
#else
    { 0, output_8958, 0 },
#endif
    { 0 },
    &operand_data[12097],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1058 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8959 },
#else
    { 0, output_8959, 0 },
#endif
    { 0 },
    &operand_data[12029],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8960 },
#else
    { 0, output_8960, 0 },
#endif
    { 0 },
    &operand_data[12102],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8961 },
#else
    { 0, output_8961, 0 },
#endif
    { 0 },
    &operand_data[12102],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8962 },
#else
    { 0, output_8962, 0 },
#endif
    { 0 },
    &operand_data[12107],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8963 },
#else
    { 0, output_8963, 0 },
#endif
    { 0 },
    &operand_data[12107],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8964 },
#else
    { 0, output_8964, 0 },
#endif
    { 0 },
    &operand_data[12112],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8965 },
#else
    { 0, output_8965, 0 },
#endif
    { 0 },
    &operand_data[12112],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8966 },
#else
    { 0, output_8966, 0 },
#endif
    { 0 },
    &operand_data[12117],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1112 */
  {
    "*aarch64_sve2_sravnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8967 },
#else
    { 0, output_8967, 0 },
#endif
    { 0 },
    &operand_data[12117],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_srshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8968 },
#else
    { 0, output_8968, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx16qi },
    &operand_data[12102],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_urshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8969 },
#else
    { 0, output_8969, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx16qi },
    &operand_data[12102],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_srshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8970 },
#else
    { 0, output_8970, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx8hi },
    &operand_data[12107],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_urshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8971 },
#else
    { 0, output_8971, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx8hi },
    &operand_data[12107],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_srshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8972 },
#else
    { 0, output_8972, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx4si },
    &operand_data[12112],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_urshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8973 },
#else
    { 0, output_8973, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx4si },
    &operand_data[12112],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_srshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8974 },
#else
    { 0, output_8974, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx2di },
    &operand_data[12117],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1134 */
  {
    "aarch64_sve_add_urshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8975 },
#else
    { 0, output_8975, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx2di },
    &operand_data[12117],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_slivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.b, %2.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx16qi },
    &operand_data[12122],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_srivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.b, %2.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx16qi },
    &operand_data[12126],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_slivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.h, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx8hi },
    &operand_data[12130],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_srivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.h, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx8hi },
    &operand_data[12134],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_slivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.s, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx4si },
    &operand_data[12138],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_srivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.s, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx4si },
    &operand_data[12142],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_slivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.d, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx2di },
    &operand_data[12146],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1158 */
  {
    "aarch64_sve_srivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.d, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx2di },
    &operand_data[12150],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_sabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8984 },
#else
    { 0, output_8984, 0 },
#endif
    { 0 },
    &operand_data[12154],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_uabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8985 },
#else
    { 0, output_8985, 0 },
#endif
    { 0 },
    &operand_data[12154],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_sabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8986 },
#else
    { 0, output_8986, 0 },
#endif
    { 0 },
    &operand_data[12160],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_uabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8987 },
#else
    { 0, output_8987, 0 },
#endif
    { 0 },
    &operand_data[12160],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_sabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8988 },
#else
    { 0, output_8988, 0 },
#endif
    { 0 },
    &operand_data[12166],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_uabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8989 },
#else
    { 0, output_8989, 0 },
#endif
    { 0 },
    &operand_data[12166],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_sabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8990 },
#else
    { 0, output_8990, 0 },
#endif
    { 0 },
    &operand_data[12172],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1203 */
  {
    "*aarch64_sve2_uabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8991 },
#else
    { 0, output_8991, 0 },
#endif
    { 0 },
    &operand_data[12172],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx8hi },
    &operand_data[12178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx8hi },
    &operand_data[12178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx8hi },
    &operand_data[12178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx8hi },
    &operand_data[12178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx8hi },
    &operand_data[12178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx8hi },
    &operand_data[12178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx8hi },
    &operand_data[12178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx8hi },
    &operand_data[12178],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx4si },
    &operand_data[12181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx4si },
    &operand_data[12181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx4si },
    &operand_data[12181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx4si },
    &operand_data[12181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx4si },
    &operand_data[12181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx4si },
    &operand_data[12181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx4si },
    &operand_data[12181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx4si },
    &operand_data[12181],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx2di },
    &operand_data[12184],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_saddwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx2di },
    &operand_data[12184],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx2di },
    &operand_data[12184],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_ssubwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx2di },
    &operand_data[12184],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx2di },
    &operand_data[12184],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_uaddwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx2di },
    &operand_data[12184],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx2di },
    &operand_data[12184],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1245 */
  {
    "aarch64_sve_usubwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx2di },
    &operand_data[12184],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usublbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usubltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usublbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usubltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx4si },
    &operand_data[12190],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddlbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_saddltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssublbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_ssubltbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_uaddltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usublbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1282 */
  {
    "aarch64_sve_usubltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullb_lane_vnx4si },
    &operand_data[12196],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullt_lane_vnx4si },
    &operand_data[12196],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullb_lane_vnx4si },
    &operand_data[12196],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullt_lane_vnx4si },
    &operand_data[12196],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullb_lane_vnx4si },
    &operand_data[12196],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullt_lane_vnx4si },
    &operand_data[12196],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullb_lane_vnx2di },
    &operand_data[12200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullt_lane_vnx2di },
    &operand_data[12200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullb_lane_vnx2di },
    &operand_data[12200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullt_lane_vnx2di },
    &operand_data[12200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullb_lane_vnx2di },
    &operand_data[12200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1292 */
  {
    "aarch64_sve_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullt_lane_vnx2di },
    &operand_data[12200],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshllbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx8hi },
    &operand_data[12204],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshlltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx8hi },
    &operand_data[12204],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushllbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx8hi },
    &operand_data[12204],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushlltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx8hi },
    &operand_data[12204],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshllbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx4si },
    &operand_data[12207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshlltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx4si },
    &operand_data[12207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushllbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx4si },
    &operand_data[12207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushlltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx4si },
    &operand_data[12207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshllbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx2di },
    &operand_data[12210],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_sshlltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx2di },
    &operand_data[12210],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushllbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx2di },
    &operand_data[12210],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1316 */
  {
    "aarch64_sve_ushlltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx2di },
    &operand_data[12210],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9103 },
#else
    { 0, output_9103, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9104 },
#else
    { 0, output_9104, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9105 },
#else
    { 0, output_9105, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9106 },
#else
    { 0, output_9106, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9107 },
#else
    { 0, output_9107, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9108 },
#else
    { 0, output_9108, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9109 },
#else
    { 0, output_9109, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9110 },
#else
    { 0, output_9110, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9111 },
#else
    { 0, output_9111, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9112 },
#else
    { 0, output_9112, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9113 },
#else
    { 0, output_9113, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9114 },
#else
    { 0, output_9114, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9115 },
#else
    { 0, output_9115, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9116 },
#else
    { 0, output_9116, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9117 },
#else
    { 0, output_9117, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9118 },
#else
    { 0, output_9118, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9119 },
#else
    { 0, output_9119, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_sabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9120 },
#else
    { 0, output_9120, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9121 },
#else
    { 0, output_9121, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9122 },
#else
    { 0, output_9122, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9123 },
#else
    { 0, output_9123, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_uabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9124 },
#else
    { 0, output_9124, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9125 },
#else
    { 0, output_9125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1351 */
  {
    "aarch64_sve_add_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9126 },
#else
    { 0, output_9126, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9127 },
#else
    { 0, output_9127, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullb_lane_vnx4si },
    &operand_data[12225],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9128 },
#else
    { 0, output_9128, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullt_lane_vnx4si },
    &operand_data[12225],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9129 },
#else
    { 0, output_9129, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullb_lane_vnx4si },
    &operand_data[12225],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9130 },
#else
    { 0, output_9130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullt_lane_vnx4si },
    &operand_data[12225],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9131 },
#else
    { 0, output_9131, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullb_lane_vnx2di },
    &operand_data[12230],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9132 },
#else
    { 0, output_9132, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullt_lane_vnx2di },
    &operand_data[12230],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9133 },
#else
    { 0, output_9133, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullb_lane_vnx2di },
    &operand_data[12230],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1367 */
  {
    "aarch64_sve_add_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9134 },
#else
    { 0, output_9134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullt_lane_vnx2di },
    &operand_data[12230],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9135 },
#else
    { 0, output_9135, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9136 },
#else
    { 0, output_9136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9137 },
#else
    { 0, output_9137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9138 },
#else
    { 0, output_9138, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9139 },
#else
    { 0, output_9139, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9140 },
#else
    { 0, output_9140, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9141 },
#else
    { 0, output_9141, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9142 },
#else
    { 0, output_9142, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1386 */
  {
    "aarch64_sve_qadd_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9143 },
#else
    { 0, output_9143, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1402 */
  {
    "aarch64_sve_qadd_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9144 },
#else
    { 0, output_9144, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullb_lane_vnx4si },
    &operand_data[12225],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1402 */
  {
    "aarch64_sve_qadd_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9145 },
#else
    { 0, output_9145, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullt_lane_vnx4si },
    &operand_data[12225],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1402 */
  {
    "aarch64_sve_qadd_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9146 },
#else
    { 0, output_9146, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullb_lane_vnx2di },
    &operand_data[12230],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1402 */
  {
    "aarch64_sve_qadd_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9147 },
#else
    { 0, output_9147, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullt_lane_vnx2di },
    &operand_data[12230],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9148 },
#else
    { 0, output_9148, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9149 },
#else
    { 0, output_9149, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9150 },
#else
    { 0, output_9150, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9151 },
#else
    { 0, output_9151, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9152 },
#else
    { 0, output_9152, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9153 },
#else
    { 0, output_9153, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9154 },
#else
    { 0, output_9154, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9155 },
#else
    { 0, output_9155, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9156 },
#else
    { 0, output_9156, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9157 },
#else
    { 0, output_9157, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9158 },
#else
    { 0, output_9158, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1421 */
  {
    "aarch64_sve_sub_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9159 },
#else
    { 0, output_9159, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9160 },
#else
    { 0, output_9160, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullb_lane_vnx4si },
    &operand_data[12225],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9161 },
#else
    { 0, output_9161, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullt_lane_vnx4si },
    &operand_data[12225],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9162 },
#else
    { 0, output_9162, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullb_lane_vnx4si },
    &operand_data[12225],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9163 },
#else
    { 0, output_9163, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullt_lane_vnx4si },
    &operand_data[12225],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9164 },
#else
    { 0, output_9164, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullb_lane_vnx2di },
    &operand_data[12230],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9165 },
#else
    { 0, output_9165, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullt_lane_vnx2di },
    &operand_data[12230],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9166 },
#else
    { 0, output_9166, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullb_lane_vnx2di },
    &operand_data[12230],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1437 */
  {
    "aarch64_sve_sub_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9167 },
#else
    { 0, output_9167, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullt_lane_vnx2di },
    &operand_data[12230],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9168 },
#else
    { 0, output_9168, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9169 },
#else
    { 0, output_9169, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9170 },
#else
    { 0, output_9170, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx8hi },
    &operand_data[12213],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9171 },
#else
    { 0, output_9171, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9172 },
#else
    { 0, output_9172, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9173 },
#else
    { 0, output_9173, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx4si },
    &operand_data[12217],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9174 },
#else
    { 0, output_9174, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9175 },
#else
    { 0, output_9175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1456 */
  {
    "aarch64_sve_qsub_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9176 },
#else
    { 0, output_9176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx2di },
    &operand_data[12221],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1472 */
  {
    "aarch64_sve_qsub_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9177 },
#else
    { 0, output_9177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullb_lane_vnx4si },
    &operand_data[12225],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1472 */
  {
    "aarch64_sve_qsub_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9178 },
#else
    { 0, output_9178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullt_lane_vnx4si },
    &operand_data[12225],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1472 */
  {
    "aarch64_sve_qsub_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9179 },
#else
    { 0, output_9179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullb_lane_vnx2di },
    &operand_data[12230],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1472 */
  {
    "aarch64_sve_qsub_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9180 },
#else
    { 0, output_9180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullt_lane_vnx2di },
    &operand_data[12230],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1499 */
  {
    "aarch64_sve_fmlalbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9181 },
#else
    { 0, output_9181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlalbvnx4sf },
    &operand_data[12235],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1499 */
  {
    "aarch64_sve_fmlaltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9182 },
#else
    { 0, output_9182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlaltvnx4sf },
    &operand_data[12235],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1499 */
  {
    "aarch64_sve_fmlslbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9183 },
#else
    { 0, output_9183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlslbvnx4sf },
    &operand_data[12235],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1499 */
  {
    "aarch64_sve_fmlsltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9184 },
#else
    { 0, output_9184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlsltvnx4sf },
    &operand_data[12235],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1513 */
  {
    "aarch64_fmlalb_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9185 },
#else
    { 0, output_9185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalb_lane_vnx4sf },
    &operand_data[12239],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1513 */
  {
    "aarch64_fmlalt_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9186 },
#else
    { 0, output_9186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalt_lane_vnx4sf },
    &operand_data[12239],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1513 */
  {
    "aarch64_fmlslb_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9187 },
#else
    { 0, output_9187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslb_lane_vnx4sf },
    &operand_data[12239],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1513 */
  {
    "aarch64_fmlslt_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9188 },
#else
    { 0, output_9188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslt_lane_vnx4sf },
    &operand_data[12239],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx8hi },
    &operand_data[11374],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx8hi },
    &operand_data[11374],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_uqxtnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx8hi },
    &operand_data[11374],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx4si },
    &operand_data[11377],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx4si },
    &operand_data[11377],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_uqxtnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx4si },
    &operand_data[11377],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx2di },
    &operand_data[11380],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_sqxtunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx2di },
    &operand_data[11380],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1546 */
  {
    "aarch64_sve_uqxtnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx2di },
    &operand_data[11380],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx8hi },
    &operand_data[12244],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtuntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx8hi },
    &operand_data[12244],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_uqxtntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx8hi },
    &operand_data[12244],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx4si },
    &operand_data[12247],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtuntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx4si },
    &operand_data[12247],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_uqxtntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx4si },
    &operand_data[12247],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx2di },
    &operand_data[12250],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_sqxtuntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx2di },
    &operand_data[12250],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1556 */
  {
    "aarch64_sve_uqxtntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx2di },
    &operand_data[12250],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_addhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx8hi },
    &operand_data[11374],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_raddhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx8hi },
    &operand_data[11374],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_rsubhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx8hi },
    &operand_data[11374],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_subhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx8hi },
    &operand_data[11374],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_addhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx4si },
    &operand_data[11377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_raddhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx4si },
    &operand_data[11377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_rsubhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx4si },
    &operand_data[11377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_subhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx4si },
    &operand_data[11377],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_addhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx2di },
    &operand_data[11380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_raddhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx2di },
    &operand_data[11380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_rsubhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx2di },
    &operand_data[11380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1580 */
  {
    "aarch64_sve_subhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx2di },
    &operand_data[11380],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_addhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx8hi },
    &operand_data[12253],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_raddhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx8hi },
    &operand_data[12253],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_rsubhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx8hi },
    &operand_data[12253],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_subhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx8hi },
    &operand_data[12253],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_addhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx4si },
    &operand_data[12257],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_raddhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx4si },
    &operand_data[12257],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_rsubhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx4si },
    &operand_data[12257],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_subhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx4si },
    &operand_data[12257],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_addhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx2di },
    &operand_data[12261],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_raddhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx2di },
    &operand_data[12261],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_rsubhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx2di },
    &operand_data[12261],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1591 */
  {
    "aarch64_sve_subhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx2di },
    &operand_data[12261],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_rshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx8hi },
    &operand_data[12265],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_shrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx8hi },
    &operand_data[12265],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx8hi },
    &operand_data[12265],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx8hi },
    &operand_data[12265],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx8hi },
    &operand_data[12265],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx8hi },
    &operand_data[12265],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqrshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx8hi },
    &operand_data[12265],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx8hi },
    &operand_data[12265],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_rshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx4si },
    &operand_data[12268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_shrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx4si },
    &operand_data[12268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx4si },
    &operand_data[12268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx4si },
    &operand_data[12268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx4si },
    &operand_data[12268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx4si },
    &operand_data[12268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqrshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx4si },
    &operand_data[12268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx4si },
    &operand_data[12268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_rshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx2di },
    &operand_data[12271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_shrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx2di },
    &operand_data[12271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx2di },
    &operand_data[12271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqrshrunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx2di },
    &operand_data[12271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx2di },
    &operand_data[12271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_sqshrunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx2di },
    &operand_data[12271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqrshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx2di },
    &operand_data[12271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1625 */
  {
    "aarch64_sve_uqshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx2di },
    &operand_data[12271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_rshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx8hi },
    &operand_data[12274],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_shrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx8hi },
    &operand_data[12274],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx8hi },
    &operand_data[12274],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshruntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx8hi },
    &operand_data[12274],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx8hi },
    &operand_data[12274],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshruntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx8hi },
    &operand_data[12274],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqrshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx8hi },
    &operand_data[12274],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx8hi },
    &operand_data[12274],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_rshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx4si },
    &operand_data[12278],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_shrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx4si },
    &operand_data[12278],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx4si },
    &operand_data[12278],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshruntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx4si },
    &operand_data[12278],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx4si },
    &operand_data[12278],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshruntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx4si },
    &operand_data[12278],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqrshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx4si },
    &operand_data[12278],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx4si },
    &operand_data[12278],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_rshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx2di },
    &operand_data[12282],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_shrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx2di },
    &operand_data[12282],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx2di },
    &operand_data[12282],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqrshruntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx2di },
    &operand_data[12282],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx2di },
    &operand_data[12282],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_sqshruntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx2di },
    &operand_data[12282],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqrshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx2di },
    &operand_data[12282],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1637 */
  {
    "aarch64_sve_uqshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx2di },
    &operand_data[12282],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_addpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9279 },
#else
    { 0, output_9279, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx16qi },
    &operand_data[7949],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_smaxpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9280 },
#else
    { 0, output_9280, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx16qi },
    &operand_data[7949],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_sminpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9281 },
#else
    { 0, output_9281, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx16qi },
    &operand_data[7949],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_umaxpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9282 },
#else
    { 0, output_9282, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx16qi },
    &operand_data[7949],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_uminpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9283 },
#else
    { 0, output_9283, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx16qi },
    &operand_data[7949],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_addpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9284 },
#else
    { 0, output_9284, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx8hi },
    &operand_data[7965],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_smaxpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9285 },
#else
    { 0, output_9285, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx8hi },
    &operand_data[7965],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_sminpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9286 },
#else
    { 0, output_9286, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx8hi },
    &operand_data[7965],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_umaxpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9287 },
#else
    { 0, output_9287, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx8hi },
    &operand_data[7965],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_uminpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9288 },
#else
    { 0, output_9288, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx8hi },
    &operand_data[7965],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_addpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9289 },
#else
    { 0, output_9289, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx4si },
    &operand_data[7977],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_smaxpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9290 },
#else
    { 0, output_9290, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx4si },
    &operand_data[7977],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_sminpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9291 },
#else
    { 0, output_9291, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx4si },
    &operand_data[7977],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_umaxpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9292 },
#else
    { 0, output_9292, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx4si },
    &operand_data[7977],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_uminpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9293 },
#else
    { 0, output_9293, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx4si },
    &operand_data[7977],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_addpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9294 },
#else
    { 0, output_9294, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx2di },
    &operand_data[7985],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_smaxpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9295 },
#else
    { 0, output_9295, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx2di },
    &operand_data[7985],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_sminpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9296 },
#else
    { 0, output_9296, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx2di },
    &operand_data[7985],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_umaxpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9297 },
#else
    { 0, output_9297, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx2di },
    &operand_data[7985],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_pred_uminpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9298 },
#else
    { 0, output_9298, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx2di },
    &operand_data[7985],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_faddpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9299 },
#else
    { 0, output_9299, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx8hf },
    &operand_data[9252],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9300 },
#else
    { 0, output_9300, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx8hf },
    &operand_data[9252],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxnmpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9301 },
#else
    { 0, output_9301, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx8hf },
    &operand_data[9252],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9302 },
#else
    { 0, output_9302, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx8hf },
    &operand_data[9252],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminnmpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9303 },
#else
    { 0, output_9303, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx8hf },
    &operand_data[9252],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_faddpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9304 },
#else
    { 0, output_9304, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx4sf },
    &operand_data[9257],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9305 },
#else
    { 0, output_9305, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx4sf },
    &operand_data[9257],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxnmpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9306 },
#else
    { 0, output_9306, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx4sf },
    &operand_data[9257],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9307 },
#else
    { 0, output_9307, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx4sf },
    &operand_data[9257],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminnmpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9308 },
#else
    { 0, output_9308, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx4sf },
    &operand_data[9257],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_faddpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9309 },
#else
    { 0, output_9309, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx2df },
    &operand_data[9262],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9310 },
#else
    { 0, output_9310, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx2df },
    &operand_data[9262],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fmaxnmpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9311 },
#else
    { 0, output_9311, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx2df },
    &operand_data[9262],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9312 },
#else
    { 0, output_9312, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx2df },
    &operand_data[9262],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1688 */
  {
    "aarch64_pred_fminnmpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9313 },
#else
    { 0, output_9313, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx2df },
    &operand_data[9262],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_sadalpvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9314 },
#else
    { 0, output_9314, 0 },
#endif
    { 0 },
    &operand_data[12286],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_uadalpvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9315 },
#else
    { 0, output_9315, 0 },
#endif
    { 0 },
    &operand_data[12286],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_sadalpvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9316 },
#else
    { 0, output_9316, 0 },
#endif
    { 0 },
    &operand_data[12291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_uadalpvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9317 },
#else
    { 0, output_9317, 0 },
#endif
    { 0 },
    &operand_data[12291],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_sadalpvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9318 },
#else
    { 0, output_9318, 0 },
#endif
    { 0 },
    &operand_data[12296],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1732 */
  {
    "*cond_uadalpvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9319 },
#else
    { 0, output_9319, 0 },
#endif
    { 0 },
    &operand_data[12296],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_sadalpvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9320 },
#else
    { 0, output_9320, 0 },
#endif
    { 0 },
    &operand_data[12301],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_uadalpvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9321 },
#else
    { 0, output_9321, 0 },
#endif
    { 0 },
    &operand_data[12301],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_sadalpvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9322 },
#else
    { 0, output_9322, 0 },
#endif
    { 0 },
    &operand_data[12307],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_uadalpvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9323 },
#else
    { 0, output_9323, 0 },
#endif
    { 0 },
    &operand_data[12307],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_sadalpvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9324 },
#else
    { 0, output_9324, 0 },
#endif
    { 0 },
    &operand_data[12313],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "*cond_uadalpvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9325 },
#else
    { 0, output_9325, 0 },
#endif
    { 0 },
    &operand_data[12313],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9326 },
#else
    { 0, output_9326, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx16qi },
    &operand_data[11298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9327 },
#else
    { 0, output_9327, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx16qi },
    &operand_data[11298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9328 },
#else
    { 0, output_9328, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx16qi },
    &operand_data[11298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9329 },
#else
    { 0, output_9329, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx16qi },
    &operand_data[11298],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9330 },
#else
    { 0, output_9330, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx8hi },
    &operand_data[11314],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9331 },
#else
    { 0, output_9331, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx8hi },
    &operand_data[11314],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9332 },
#else
    { 0, output_9332, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx8hi },
    &operand_data[11314],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9333 },
#else
    { 0, output_9333, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx8hi },
    &operand_data[11314],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9334 },
#else
    { 0, output_9334, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx4si },
    &operand_data[11350],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9335 },
#else
    { 0, output_9335, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx4si },
    &operand_data[11350],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9336 },
#else
    { 0, output_9336, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx4si },
    &operand_data[11350],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9337 },
#else
    { 0, output_9337, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx4si },
    &operand_data[11350],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9338 },
#else
    { 0, output_9338, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx2di },
    &operand_data[11366],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_cadd270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9339 },
#else
    { 0, output_9339, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx2di },
    &operand_data[11366],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9340 },
#else
    { 0, output_9340, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx2di },
    &operand_data[11366],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1789 */
  {
    "aarch64_sve_sqcadd270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9341 },
#else
    { 0, output_9341, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx2di },
    &operand_data[11366],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmlavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9342 },
#else
    { 0, output_9342, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9343 },
#else
    { 0, output_9343, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla180vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9344 },
#else
    { 0, output_9344, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9345 },
#else
    { 0, output_9345, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlahvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9346 },
#else
    { 0, output_9346, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9347 },
#else
    { 0, output_9347, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah180vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9348 },
#else
    { 0, output_9348, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9349 },
#else
    { 0, output_9349, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx16qi },
    &operand_data[11967],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmlavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9350 },
#else
    { 0, output_9350, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9351 },
#else
    { 0, output_9351, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla180vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9352 },
#else
    { 0, output_9352, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9353 },
#else
    { 0, output_9353, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlahvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9354 },
#else
    { 0, output_9354, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9355 },
#else
    { 0, output_9355, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah180vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9356 },
#else
    { 0, output_9356, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9357 },
#else
    { 0, output_9357, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx8hi },
    &operand_data[11971],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmlavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9358 },
#else
    { 0, output_9358, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9359 },
#else
    { 0, output_9359, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9360 },
#else
    { 0, output_9360, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9361 },
#else
    { 0, output_9361, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlahvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9362 },
#else
    { 0, output_9362, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9363 },
#else
    { 0, output_9363, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9364 },
#else
    { 0, output_9364, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9365 },
#else
    { 0, output_9365, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx4si },
    &operand_data[11975],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmlavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9366 },
#else
    { 0, output_9366, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9367 },
#else
    { 0, output_9367, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9368 },
#else
    { 0, output_9368, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_cmla270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9369 },
#else
    { 0, output_9369, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlahvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9370 },
#else
    { 0, output_9370, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9371 },
#else
    { 0, output_9371, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9372 },
#else
    { 0, output_9372, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1820 */
  {
    "aarch64_sve_sqrdcmlah270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9373 },
#else
    { 0, output_9373, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx2di },
    &operand_data[11979],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9374 },
#else
    { 0, output_9374, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla_lane_vnx8hi },
    &operand_data[11983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla90_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9375 },
#else
    { 0, output_9375, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla90_lane_vnx8hi },
    &operand_data[11983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla180_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9376 },
#else
    { 0, output_9376, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla180_lane_vnx8hi },
    &operand_data[11983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla270_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9377 },
#else
    { 0, output_9377, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla270_lane_vnx8hi },
    &operand_data[11983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9378 },
#else
    { 0, output_9378, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah_lane_vnx8hi },
    &operand_data[11983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah90_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9379 },
#else
    { 0, output_9379, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah90_lane_vnx8hi },
    &operand_data[11983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah180_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9380 },
#else
    { 0, output_9380, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah180_lane_vnx8hi },
    &operand_data[11983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah270_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9381 },
#else
    { 0, output_9381, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah270_lane_vnx8hi },
    &operand_data[11983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9382 },
#else
    { 0, output_9382, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla_lane_vnx4si },
    &operand_data[11988],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9383 },
#else
    { 0, output_9383, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla90_lane_vnx4si },
    &operand_data[11988],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9384 },
#else
    { 0, output_9384, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla180_lane_vnx4si },
    &operand_data[11988],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_cmla270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9385 },
#else
    { 0, output_9385, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla270_lane_vnx4si },
    &operand_data[11988],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9386 },
#else
    { 0, output_9386, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah_lane_vnx4si },
    &operand_data[11988],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9387 },
#else
    { 0, output_9387, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah90_lane_vnx4si },
    &operand_data[11988],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9388 },
#else
    { 0, output_9388, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah180_lane_vnx4si },
    &operand_data[11988],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1834 */
  {
    "aarch64_sqrdcmlah270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9389 },
#else
    { 0, output_9389, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah270_lane_vnx4si },
    &operand_data[11988],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9390 },
#else
    { 0, output_9390, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdotvnx4si },
    &operand_data[9961],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdot90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9391 },
#else
    { 0, output_9391, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot90vnx4si },
    &operand_data[9961],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdot180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9392 },
#else
    { 0, output_9392, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot180vnx4si },
    &operand_data[9961],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdot270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9393 },
#else
    { 0, output_9393, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot270vnx4si },
    &operand_data[9961],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9394 },
#else
    { 0, output_9394, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdotvnx2di },
    &operand_data[12319],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdot90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9395 },
#else
    { 0, output_9395, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot90vnx2di },
    &operand_data[12319],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdot180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9396 },
#else
    { 0, output_9396, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot180vnx2di },
    &operand_data[12319],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1900 */
  {
    "aarch64_sve_cdot270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9397 },
#else
    { 0, output_9397, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot270vnx2di },
    &operand_data[12319],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9398 },
#else
    { 0, output_9398, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot_lane_vnx4si },
    &operand_data[12323],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9399 },
#else
    { 0, output_9399, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot90_lane_vnx4si },
    &operand_data[12323],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9400 },
#else
    { 0, output_9400, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot180_lane_vnx4si },
    &operand_data[12323],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9401 },
#else
    { 0, output_9401, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot270_lane_vnx4si },
    &operand_data[12323],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9402 },
#else
    { 0, output_9402, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot_lane_vnx2di },
    &operand_data[12328],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot90_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9403 },
#else
    { 0, output_9403, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot90_lane_vnx2di },
    &operand_data[12328],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot180_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9404 },
#else
    { 0, output_9404, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot180_lane_vnx2di },
    &operand_data[12328],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1914 */
  {
    "aarch64_cdot270_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9405 },
#else
    { 0, output_9405, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot270_lane_vnx2di },
    &operand_data[12328],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1943 */
  {
    "aarch64_pred_fcvtltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtltvnx4sf },
    &operand_data[12333],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1943 */
  {
    "aarch64_pred_fcvtltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtltvnx2df },
    &operand_data[12337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1970 */
  {
    "*cond_fcvtltvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12341],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1970 */
  {
    "*cond_fcvtltvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12346],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1989 */
  {
    "*cond_fcvtltvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12341],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1989 */
  {
    "*cond_fcvtltvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12346],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2018 */
  {
    "aarch64_sve_cvtntvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnt\t%0.h, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx8hf },
    &operand_data[12351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2018 */
  {
    "aarch64_sve_cvtntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnt\t%0.s, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx4sf },
    &operand_data[12355],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2032 */
  {
    "aarch64_pred_fcvtxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9414 },
#else
    { 0, output_9414, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtxvnx4sf },
    &operand_data[11523],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2061 */
  {
    "*cond_fcvtxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9415 },
#else
    { 0, output_9415, 0 },
#endif
    { 0 },
    &operand_data[12359],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2084 */
  {
    "*cond_fcvtxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9416 },
#else
    { 0, output_9416, 0 },
#endif
    { 0 },
    &operand_data[12359],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2108 */
  {
    "aarch64_sve2_cvtxntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtxnt\t%0.s, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_cvtxntvnx2df },
    &operand_data[12355],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2133 */
  {
    "aarch64_pred_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9418 },
#else
    { 0, output_9418, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urecpevnx4si },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2133 */
  {
    "aarch64_pred_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9419 },
#else
    { 0, output_9419, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ursqrtevnx4si },
    &operand_data[7300],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2167 */
  {
    "*cond_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9420 },
#else
    { 0, output_9420, 0 },
#endif
    { 0 },
    &operand_data[12364],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2167 */
  {
    "*cond_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9421 },
#else
    { 0, output_9421, 0 },
#endif
    { 0 },
    &operand_data[12364],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2199 */
  {
    "aarch64_pred_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9422 },
#else
    { 0, output_9422, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx8hf },
    &operand_data[11389],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2199 */
  {
    "aarch64_pred_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9423 },
#else
    { 0, output_9423, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx4sf },
    &operand_data[11397],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2199 */
  {
    "aarch64_pred_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9424 },
#else
    { 0, output_9424, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx2df },
    &operand_data[11409],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2228 */
  {
    "*cond_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9425 },
#else
    { 0, output_9425, 0 },
#endif
    { 0 },
    &operand_data[12369],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2228 */
  {
    "*cond_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9426 },
#else
    { 0, output_9426, 0 },
#endif
    { 0 },
    &operand_data[12374],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2228 */
  {
    "*cond_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9427 },
#else
    { 0, output_9427, 0 },
#endif
    { 0 },
    &operand_data[12379],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2251 */
  {
    "*cond_flogbvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9428 },
#else
    { 0, output_9428, 0 },
#endif
    { 0 },
    &operand_data[12369],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2251 */
  {
    "*cond_flogbvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9429 },
#else
    { 0, output_9429, 0 },
#endif
    { 0 },
    &operand_data[12374],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2251 */
  {
    "*cond_flogbvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9430 },
#else
    { 0, output_9430, 0 },
#endif
    { 0 },
    &operand_data[12379],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2280 */
  {
    "aarch64_sve2_pmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_pmulvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2292 */
  {
    "aarch64_sve_pmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullbvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2292 */
  {
    "aarch64_sve_pmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmulltvnx8hi },
    &operand_data[12187],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2292 */
  {
    "aarch64_sve_pmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullbvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2292 */
  {
    "aarch64_sve_pmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmulltvnx2di },
    &operand_data[12193],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2305 */
  {
    "aarch64_sve_pmullb_pairvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2305 */
  {
    "aarch64_sve_pmullt_pairvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2305 */
  {
    "aarch64_sve_pmullb_pairvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2305 */
  {
    "aarch64_sve_pmullt_pairvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2305 */
  {
    "aarch64_sve_pmullb_pairvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.q, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2305 */
  {
    "aarch64_sve_pmullt_pairvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.q, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.b, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx16qi },
    &operand_data[12384],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8hi },
    &operand_data[12387],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx4si },
    &operand_data[12390],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx2di },
    &operand_data[12393],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8bf },
    &operand_data[12396],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8hf },
    &operand_data[12399],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx4sf },
    &operand_data[12402],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2328 */
  {
    "aarch64_sve2_tbl2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx2df },
    &operand_data[12405],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.b, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx16qi },
    &operand_data[12408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx8hi },
    &operand_data[12412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.s, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx4si },
    &operand_data[12416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.d, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx2di },
    &operand_data[12420],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx8bf },
    &operand_data[12424],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx8hf },
    &operand_data[12428],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.s, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx4sf },
    &operand_data[12432],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2339 */
  {
    "aarch64_sve2_tbxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.d, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbxvnx2df },
    &operand_data[12436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bdepvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bextvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bgrpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bdepvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bextvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bgrpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx8hi },
    &operand_data[8525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bdepvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bextvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bgrpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx4si },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bdepvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bextvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2359 */
  {
    "aarch64_sve_bgrpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx2di },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2422 */
  {
    "aarch64_sve2_histcntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histcnt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histcntvnx4si },
    &operand_data[12440],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2422 */
  {
    "aarch64_sve2_histcntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histcnt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histcntvnx2di },
    &operand_data[12444],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2433 */
  {
    "aarch64_sve2_histsegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histseg\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histsegvnx16qi },
    &operand_data[8509],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2452 */
  {
    "aarch64_pred_matchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.b, %1/z, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_matchvnx16qi },
    &operand_data[12448],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2452 */
  {
    "aarch64_pred_nmatchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.b, %1/z, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nmatchvnx16qi },
    &operand_data[12448],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2452 */
  {
    "aarch64_pred_matchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.h, %1/z, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_matchvnx8hi },
    &operand_data[12453],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2452 */
  {
    "aarch64_pred_nmatchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.h, %1/z, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nmatchvnx8hi },
    &operand_data[12453],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2469 */
  {
    "*aarch64_pred_matchvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12458],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2469 */
  {
    "*aarch64_pred_nmatchvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12458],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2469 */
  {
    "*aarch64_pred_matchvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12466],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2469 */
  {
    "*aarch64_pred_nmatchvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12466],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2504 */
  {
    "*aarch64_pred_matchvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12474],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2504 */
  {
    "*aarch64_pred_nmatchvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12474],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2504 */
  {
    "*aarch64_pred_matchvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12482],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2504 */
  {
    "*aarch64_pred_nmatchvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12482],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2545 */
  {
    "aarch64_sve2_aese",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.b, %0.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aese },
    &operand_data[12490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2545 */
  {
    "aarch64_sve2_aesd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.b, %0.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesd },
    &operand_data[12490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2558 */
  {
    "aarch64_sve2_aesmc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesmc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesmc },
    &operand_data[12122],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2558 */
  {
    "aarch64_sve2_aesimc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesimc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesimc },
    &operand_data[12122],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2573 */
  {
    "*aarch64_sve2_aese_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.b, %0.b, %2.b\n\taesmc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2588 */
  {
    "*aarch64_sve2_aesd_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.b, %0.b, %2.b\n\taesimc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2610 */
  {
    "aarch64_sve2_rax1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rax1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_rax1 },
    &operand_data[8142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2631 */
  {
    "aarch64_sve2_sm4e",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4e\t%0.s, %0.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sm4e },
    &operand_data[12138],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2642 */
  {
    "aarch64_sve2_sm4ekey",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4ekey\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sm4ekey },
    &operand_data[8139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../../gcc/config/aarch64/aarch64.md:488 */
  {
    "cbranchsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchsi4 },
    &operand_data[12493],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:488 */
  {
    "cbranchdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchdi4 },
    &operand_data[12497],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:502 */
  {
    "cbranchsf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchsf4 },
    &operand_data[12501],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:502 */
  {
    "cbranchdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchdf4 },
    &operand_data[12505],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:516 */
  {
    "cbranchcc4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchcc4 },
    &operand_data[12509],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:607 */
  {
    "modsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_modsi3 },
    &operand_data[12513],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:607 */
  {
    "moddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_moddi3 },
    &operand_data[12516],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:721 */
  {
    "casesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_casesi },
    &operand_data[12519],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:772 */
  {
    "casesi_dispatch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_casesi_dispatch },
    &operand_data[12523],
    2,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:843 */
  {
    "prologue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_prologue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:852 */
  {
    "epilogue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_epilogue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:861 */
  {
    "sibcall_epilogue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall_epilogue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:893 */
  {
    "return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_return },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1018 */
  {
    "call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_call },
    &operand_data[12527],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1043 */
  {
    "call_value",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_call_value },
    &operand_data[12530],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1071 */
  {
    "sibcall",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall },
    &operand_data[12527],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1084 */
  {
    "sibcall_value",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall_value },
    &operand_data[12530],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1138 */
  {
    "untyped_call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_untyped_call },
    &operand_data[12534],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1169 */
  {
    "movqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movqi },
    &operand_data[12537],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1169 */
  {
    "movhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhi },
    &operand_data[12539],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1226 */
  {
    "movsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsi },
    &operand_data[12541],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1226 */
  {
    "movdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdi },
    &operand_data[12543],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1351 */
  {
    "movti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movti },
    &operand_data[12545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1407 */
  {
    "movhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhf },
    &operand_data[12547],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1407 */
  {
    "movbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movbf },
    &operand_data[12549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1407 */
  {
    "movsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsf },
    &operand_data[12551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1407 */
  {
    "movdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdf },
    &operand_data[12553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1407 */
  {
    "movtf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movtf },
    &operand_data[12555],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1561 */
  {
    "cpymemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cpymemdi },
    &operand_data[12557],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1579 */
  {
    "setmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_setmemdi },
    &operand_data[12561],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1795 */
  {
    "extendsidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendsidi2 },
    &operand_data[12565],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1795 */
  {
    "zero_extendsidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendsidi2 },
    &operand_data[12565],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1855 */
  {
    "extendqisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqisi2 },
    &operand_data[12567],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1855 */
  {
    "zero_extendqisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqisi2 },
    &operand_data[12567],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1855 */
  {
    "extendhisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhisi2 },
    &operand_data[12569],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1855 */
  {
    "zero_extendhisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendhisi2 },
    &operand_data[12569],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1855 */
  {
    "extendqidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqidi2 },
    &operand_data[12571],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1855 */
  {
    "zero_extendqidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqidi2 },
    &operand_data[12571],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1855 */
  {
    "extendhidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhidi2 },
    &operand_data[12573],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1855 */
  {
    "zero_extendhidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendhidi2 },
    &operand_data[12573],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1883 */
  {
    "extendqihi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqihi2 },
    &operand_data[12575],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1883 */
  {
    "zero_extendqihi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqihi2 },
    &operand_data[12575],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1913 */
  {
    "addsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3 },
    &operand_data[12577],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:1913 */
  {
    "adddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3 },
    &operand_data[12580],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2082 */
  {
    "addvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvsi4 },
    &operand_data[12583],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2082 */
  {
    "addvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvdi4 },
    &operand_data[12587],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2099 */
  {
    "uaddvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvsi4 },
    &operand_data[12591],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2099 */
  {
    "uaddvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvdi4 },
    &operand_data[12595],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2112 */
  {
    "addti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addti3 },
    &operand_data[12599],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2145 */
  {
    "addvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvti4 },
    &operand_data[12599],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2179 */
  {
    "uaddvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvti4 },
    &operand_data[12599],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2536 */
  {
    "addsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryin },
    &operand_data[12603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2536 */
  {
    "adddi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryin },
    &operand_data[12606],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2576 */
  {
    "addsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryinC },
    &operand_data[12591],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2576 */
  {
    "adddi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryinC },
    &operand_data[12595],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2639 */
  {
    "addsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryinV },
    &operand_data[12591],
    3,
    3,
    7,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2639 */
  {
    "adddi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryinV },
    &operand_data[12595],
    3,
    3,
    7,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2769 */
  {
    "subvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi4 },
    &operand_data[12583],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2769 */
  {
    "subvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi4 },
    &operand_data[12587],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2819 */
  {
    "negvsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi3 },
    &operand_data[12592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2819 */
  {
    "negvdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi3 },
    &operand_data[12596],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2872 */
  {
    "usubvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvsi4 },
    &operand_data[12609],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2872 */
  {
    "usubvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvdi4 },
    &operand_data[12613],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2885 */
  {
    "subti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subti3 },
    &operand_data[12617],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2905 */
  {
    "subvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvti4 },
    &operand_data[12599],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2924 */
  {
    "usubvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvti4 },
    &operand_data[12599],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:2943 */
  {
    "negvti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvti3 },
    &operand_data[12619],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3214 */
  {
    "subsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_carryin },
    &operand_data[12622],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3214 */
  {
    "subdi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_carryin },
    &operand_data[12625],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3279 */
  {
    "usubsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubsi3_carryinC },
    &operand_data[12622],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3279 */
  {
    "usubdi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubdi3_carryinC },
    &operand_data[12625],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3346 */
  {
    "subsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_carryinV },
    &operand_data[12622],
    3,
    3,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3346 */
  {
    "subdi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_carryinV },
    &operand_data[12625],
    3,
    3,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3441 */
  {
    "abssi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abssi2 },
    &operand_data[12513],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3441 */
  {
    "absdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absdi2 },
    &operand_data[12516],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "mulditi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulditi3 },
    &operand_data[12628],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "umulditi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulditi3 },
    &operand_data[12628],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3702 */
  {
    "multi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_multi3 },
    &operand_data[12631],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3833 */
  {
    "cstoresi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresi4 },
    &operand_data[12634],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3833 */
  {
    "cstoredi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredi4 },
    &operand_data[12638],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3846 */
  {
    "cstorecc4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstorecc4 },
    &operand_data[12642],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3858 */
  {
    "cstoresf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresf4 },
    &operand_data[12646],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3858 */
  {
    "cstoredf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredf4 },
    &operand_data[12650],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3946 */
  {
    "cmovsi6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovsi6 },
    &operand_data[12654],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3946 */
  {
    "cmovdi6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovdi6 },
    &operand_data[12660],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3962 */
  {
    "cmovsf6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovsf6 },
    &operand_data[12666],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:3962 */
  {
    "cmovdf6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovdf6 },
    &operand_data[12672],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4046 */
  {
    "movqicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movqicc },
    &operand_data[12678],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4046 */
  {
    "movhicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhicc },
    &operand_data[12682],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4046 */
  {
    "movsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsicc },
    &operand_data[12686],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4046 */
  {
    "movdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdicc },
    &operand_data[12690],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4065 */
  {
    "movsfsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfsicc },
    &operand_data[12694],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4065 */
  {
    "movdfsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfsicc },
    &operand_data[12698],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4065 */
  {
    "movsfdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfdicc },
    &operand_data[12702],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4065 */
  {
    "movdfdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfdicc },
    &operand_data[12706],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4084 */
  {
    "movsfcc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfcc },
    &operand_data[12710],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4084 */
  {
    "movdfcc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfcc },
    &operand_data[12714],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4103 */
  {
    "negsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsicc },
    &operand_data[12686],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4103 */
  {
    "notsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_notsicc },
    &operand_data[12686],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4103 */
  {
    "negdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdicc },
    &operand_data[12690],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4103 */
  {
    "notdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_notdicc },
    &operand_data[12690],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4257 */
  {
    "umaxsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxsi3 },
    &operand_data[12718],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4257 */
  {
    "umaxdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxdi3 },
    &operand_data[12721],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4669 */
  {
    "ffssi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ffssi2 },
    &operand_data[12513],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4669 */
  {
    "ffsdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ffsdi2 },
    &operand_data[12516],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4691 */
  {
    "popcountsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountsi2 },
    &operand_data[12513],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4691 */
  {
    "popcountdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountdi2 },
    &operand_data[12516],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4859 */
  {
    "ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlsi3 },
    &operand_data[12724],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4859 */
  {
    "ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrsi3 },
    &operand_data[12724],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4859 */
  {
    "lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrsi3 },
    &operand_data[12724],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4859 */
  {
    "ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashldi3 },
    &operand_data[12727],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4859 */
  {
    "ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrdi3 },
    &operand_data[12727],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4859 */
  {
    "lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrdi3 },
    &operand_data[12727],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4879 */
  {
    "ashlqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlqi3 },
    &operand_data[12730],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4879 */
  {
    "ashlhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlhi3 },
    &operand_data[12733],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4895 */
  {
    "rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotrsi3 },
    &operand_data[12724],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4895 */
  {
    "rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotrdi3 },
    &operand_data[12727],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4915 */
  {
    "rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotlsi3 },
    &operand_data[12724],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:4915 */
  {
    "rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotldi3 },
    &operand_data[12727],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5380 */
  {
    "extv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extv },
    &operand_data[12736],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5380 */
  {
    "extzv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extzv },
    &operand_data[12736],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5429 */
  {
    "insvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insvsi },
    &operand_data[12740],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5429 */
  {
    "insvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insvdi },
    &operand_data[12744],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5831 */
  {
    "fmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmahf4 },
    &operand_data[12748],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5831 */
  {
    "fmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmasf4 },
    &operand_data[12752],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5831 */
  {
    "fmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmadf4 },
    &operand_data[12756],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5849 */
  {
    "fnmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmahf4 },
    &operand_data[12748],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5849 */
  {
    "fnmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmasf4 },
    &operand_data[12752],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5849 */
  {
    "fnmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmadf4 },
    &operand_data[12756],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5870 */
  {
    "fmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmssf4 },
    &operand_data[12752],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5870 */
  {
    "fmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsdf4 },
    &operand_data[12756],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5888 */
  {
    "fnmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmssf4 },
    &operand_data[12752],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:5888 */
  {
    "fnmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsdf4 },
    &operand_data[12756],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6086 */
  {
    "floatsihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsihf2 },
    &operand_data[12760],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6086 */
  {
    "floatunssihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssihf2 },
    &operand_data[12760],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6115 */
  {
    "floatdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdihf2 },
    &operand_data[12762],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6115 */
  {
    "floatunsdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdihf2 },
    &operand_data[12762],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6255 */
  {
    "divhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divhf3 },
    &operand_data[12764],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6255 */
  {
    "divsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divsf3 },
    &operand_data[12767],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6255 */
  {
    "divdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divdf3 },
    &operand_data[12770],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6284 */
  {
    "sqrthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrthf2 },
    &operand_data[12748],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6284 */
  {
    "sqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtsf2 },
    &operand_data[12670],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6284 */
  {
    "sqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtdf2 },
    &operand_data[12676],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6344 */
  {
    "lrintsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintsfsi2 },
    &operand_data[12773],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6344 */
  {
    "lrintdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintdfsi2 },
    &operand_data[12775],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6344 */
  {
    "lrintsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintsfdi2 },
    &operand_data[12665],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6344 */
  {
    "lrintdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintdfdi2 },
    &operand_data[12777],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6373 */
  {
    "copysignsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignsf3 },
    &operand_data[12752],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6373 */
  {
    "copysigndf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysigndf3 },
    &operand_data[12756],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6411 */
  {
    "xorsignsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignsf3 },
    &operand_data[12752],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6411 */
  {
    "xorsigndf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsigndf3 },
    &operand_data[12756],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6446 */
  {
    "aarch64_reload_movcpsfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsfsi },
    &operand_data[12779],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6446 */
  {
    "aarch64_reload_movcpsfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsfdi },
    &operand_data[12782],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6446 */
  {
    "aarch64_reload_movcpdfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdfsi },
    &operand_data[12785],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6446 */
  {
    "aarch64_reload_movcpdfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdfdi },
    &operand_data[12788],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6446 */
  {
    "aarch64_reload_movcptfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptfsi },
    &operand_data[12791],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6446 */
  {
    "aarch64_reload_movcptfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptfdi },
    &operand_data[12794],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv8qisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8qisi },
    &operand_data[12797],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv8qidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8qidi },
    &operand_data[12800],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv16qisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv16qisi },
    &operand_data[12803],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv16qidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv16qidi },
    &operand_data[12806],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv4hisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4hisi },
    &operand_data[12809],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv4hidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4hidi },
    &operand_data[12812],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv8hisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8hisi },
    &operand_data[12815],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv8hidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8hidi },
    &operand_data[12818],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sisi },
    &operand_data[12821],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv2sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sidi },
    &operand_data[12824],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sisi },
    &operand_data[12827],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv4sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sidi },
    &operand_data[12830],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv2disi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2disi },
    &operand_data[12833],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2didi },
    &operand_data[12836],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv2sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sfsi },
    &operand_data[12839],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv2sfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sfdi },
    &operand_data[12842],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv4sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sfsi },
    &operand_data[12845],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv4sfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sfdi },
    &operand_data[12848],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv2dfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2dfsi },
    &operand_data[12851],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6459 */
  {
    "aarch64_reload_movcpv2dfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2dfdi },
    &operand_data[12854],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6471 */
  {
    "aarch64_reload_movti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movti },
    &operand_data[12857],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6471 */
  {
    "aarch64_reload_movtf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movtf },
    &operand_data[12860],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6545 */
  {
    "add_losym",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym },
    &operand_data[12863],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6646 */
  {
    "tlsgd_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsgd_small_si },
    &operand_data[12866],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6646 */
  {
    "tlsgd_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsgd_small_di },
    &operand_data[12868],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6756 */
  {
    "tlsdesc_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_si },
    &operand_data[1305],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6756 */
  {
    "tlsdesc_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_di },
    &operand_data[1305],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6901 */
  {
    "get_thread_pointerdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_get_thread_pointerdi },
    &operand_data[1280],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6914 */
  {
    "stack_protect_set",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set },
    &operand_data[12870],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6923 */
  {
    "stack_protect_combined_set",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_combined_set },
    &operand_data[12870],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6967 */
  {
    "stack_protect_test",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test },
    &operand_data[12870],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:6978 */
  {
    "stack_protect_combined_test",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_combined_test },
    &operand_data[12870],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7028 */
  {
    "doloop_end",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_doloop_end },
    &operand_data[5382],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7134 */
  {
    "despeculate_copyqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyqi },
    &operand_data[12873],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7134 */
  {
    "despeculate_copyhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyhi },
    &operand_data[12876],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7134 */
  {
    "despeculate_copysi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copysi },
    &operand_data[12879],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7134 */
  {
    "despeculate_copydi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copydi },
    &operand_data[12882],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64.md:7134 */
  {
    "despeculate_copyti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyti },
    &operand_data[12885],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8qi },
    &operand_data[12888],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv16qi },
    &operand_data[12890],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4hi },
    &operand_data[12892],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8hi },
    &operand_data[12894],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2si },
    &operand_data[12896],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4si },
    &operand_data[12898],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2di },
    &operand_data[12900],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4hf },
    &operand_data[12902],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8hf },
    &operand_data[12904],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4bf },
    &operand_data[12906],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8bf },
    &operand_data[12908],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2sf },
    &operand_data[12910],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4sf },
    &operand_data[12912],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:21 */
  {
    "movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2df },
    &operand_data[12914],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8qi },
    &operand_data[12888],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv16qi },
    &operand_data[12890],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4hi },
    &operand_data[12892],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8hi },
    &operand_data[12894],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2si },
    &operand_data[12896],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4si },
    &operand_data[12898],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2di },
    &operand_data[12900],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2sf },
    &operand_data[12910],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4sf },
    &operand_data[12912],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:41 */
  {
    "movmisalignv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2df },
    &operand_data[12914],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv16qi },
    &operand_data[12916],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8hi },
    &operand_data[12918],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv4si },
    &operand_data[12920],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv2di },
    &operand_data[12922],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8hf },
    &operand_data[12924],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8bf },
    &operand_data[12926],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv4sf },
    &operand_data[12928],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:260 */
  {
    "aarch64_split_simd_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv2df },
    &operand_data[12930],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv16qi },
    &operand_data[12932],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8hi },
    &operand_data[12935],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv4si },
    &operand_data[12938],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv2di },
    &operand_data[12941],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8hf },
    &operand_data[12944],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8bf },
    &operand_data[12947],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv4sf },
    &operand_data[12950],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:292 */
  {
    "aarch64_get_halfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv2df },
    &operand_data[12953],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:393 */
  {
    "ctzv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzv2si2 },
    &operand_data[12956],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:393 */
  {
    "ctzv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzv4si2 },
    &operand_data[12958],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:407 */
  {
    "xorsignv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv4hf3 },
    &operand_data[12960],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:407 */
  {
    "xorsignv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv8hf3 },
    &operand_data[12963],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:407 */
  {
    "xorsignv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv2sf3 },
    &operand_data[12966],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:407 */
  {
    "xorsignv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv4sf3 },
    &operand_data[12969],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:407 */
  {
    "xorsignv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv2df3 },
    &operand_data[12972],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "cadd90v4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v4hf3 },
    &operand_data[12960],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "cadd270v4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v4hf3 },
    &operand_data[12960],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "cadd90v8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v8hf3 },
    &operand_data[12963],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "cadd270v8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v8hf3 },
    &operand_data[12963],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "cadd90v2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v2sf3 },
    &operand_data[12966],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "cadd270v2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v2sf3 },
    &operand_data[12966],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "cadd90v4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v4sf3 },
    &operand_data[12969],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "cadd270v4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v4sf3 },
    &operand_data[12969],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "cadd90v2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v2df3 },
    &operand_data[12972],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "cadd270v2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v2df3 },
    &operand_data[12972],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmlav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav4hf4 },
    &operand_data[12975],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmlsv4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv4hf4 },
    &operand_data[12975],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmla_conjv4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv4hf4 },
    &operand_data[12975],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmls_conjv4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv4hf4 },
    &operand_data[12975],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmlav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav8hf4 },
    &operand_data[12979],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmlsv8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv8hf4 },
    &operand_data[12979],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmla_conjv8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv8hf4 },
    &operand_data[12979],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmls_conjv8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv8hf4 },
    &operand_data[12979],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmlav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav2sf4 },
    &operand_data[12983],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmlsv2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv2sf4 },
    &operand_data[12983],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmla_conjv2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv2sf4 },
    &operand_data[12983],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmls_conjv2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv2sf4 },
    &operand_data[12983],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmlav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav4sf4 },
    &operand_data[12987],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmlsv4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv4sf4 },
    &operand_data[12987],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmla_conjv4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv4sf4 },
    &operand_data[12987],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmls_conjv4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv4sf4 },
    &operand_data[12987],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmlav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav2df4 },
    &operand_data[12991],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmlsv2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv2df4 },
    &operand_data[12991],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmla_conjv2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv2df4 },
    &operand_data[12991],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:522 */
  {
    "cmls_conjv2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv2df4 },
    &operand_data[12991],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:541 */
  {
    "cmulv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv4hf3 },
    &operand_data[12960],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:541 */
  {
    "cmul_conjv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv4hf3 },
    &operand_data[12960],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:541 */
  {
    "cmulv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv8hf3 },
    &operand_data[12963],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:541 */
  {
    "cmul_conjv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv8hf3 },
    &operand_data[12963],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:541 */
  {
    "cmulv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv2sf3 },
    &operand_data[12966],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:541 */
  {
    "cmul_conjv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv2sf3 },
    &operand_data[12966],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:541 */
  {
    "cmulv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv4sf3 },
    &operand_data[12969],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:541 */
  {
    "cmul_conjv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv4sf3 },
    &operand_data[12969],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:541 */
  {
    "cmulv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv2df3 },
    &operand_data[12972],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:541 */
  {
    "cmul_conjv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv2df3 },
    &operand_data[12972],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:603 */
  {
    "sdot_prodv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv8qi },
    &operand_data[12995],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:603 */
  {
    "udot_prodv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv8qi },
    &operand_data[12995],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:603 */
  {
    "sdot_prodv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv16qi },
    &operand_data[12999],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:603 */
  {
    "udot_prodv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv16qi },
    &operand_data[12999],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:670 */
  {
    "copysignv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv4hf3 },
    &operand_data[12960],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:670 */
  {
    "copysignv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv8hf3 },
    &operand_data[12963],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:670 */
  {
    "copysignv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv2sf3 },
    &operand_data[12966],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:670 */
  {
    "copysignv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv4sf3 },
    &operand_data[12969],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:670 */
  {
    "copysignv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv2df3 },
    &operand_data[12972],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:748 */
  {
    "rsqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv2sf2 },
    &operand_data[12966],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:748 */
  {
    "rsqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv4sf2 },
    &operand_data[12969],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:748 */
  {
    "rsqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv2df2 },
    &operand_data[12972],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:748 */
  {
    "rsqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtsf2 },
    &operand_data[12670],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:748 */
  {
    "rsqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtdf2 },
    &operand_data[12676],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:872 */
  {
    "ssadv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadv16qi },
    &operand_data[12999],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:872 */
  {
    "usadv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadv16qi },
    &operand_data[12999],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1053 */
  {
    "signbitv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_signbitv2sf2 },
    &operand_data[13003],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1053 */
  {
    "signbitv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_signbitv4sf2 },
    &operand_data[13005],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1136 */
  {
    "ashlv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv8qi3 },
    &operand_data[13007],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1136 */
  {
    "ashlv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv16qi3 },
    &operand_data[13010],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1136 */
  {
    "ashlv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv4hi3 },
    &operand_data[13013],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1136 */
  {
    "ashlv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv8hi3 },
    &operand_data[13016],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1136 */
  {
    "ashlv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv2si3 },
    &operand_data[13019],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1136 */
  {
    "ashlv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv4si3 },
    &operand_data[13022],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1136 */
  {
    "ashlv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv2di3 },
    &operand_data[13025],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1169 */
  {
    "lshrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv8qi3 },
    &operand_data[13007],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1169 */
  {
    "lshrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv16qi3 },
    &operand_data[13010],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1169 */
  {
    "lshrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv4hi3 },
    &operand_data[13013],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1169 */
  {
    "lshrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv8hi3 },
    &operand_data[13016],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1169 */
  {
    "lshrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv2si3 },
    &operand_data[13019],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1169 */
  {
    "lshrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv4si3 },
    &operand_data[13022],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1169 */
  {
    "lshrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv2di3 },
    &operand_data[13025],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1204 */
  {
    "ashrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv8qi3 },
    &operand_data[13007],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1204 */
  {
    "ashrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv16qi3 },
    &operand_data[13010],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1204 */
  {
    "ashrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv4hi3 },
    &operand_data[13013],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1204 */
  {
    "ashrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv8hi3 },
    &operand_data[13016],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1204 */
  {
    "ashrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv2si3 },
    &operand_data[13019],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1204 */
  {
    "ashrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv4si3 },
    &operand_data[13022],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1204 */
  {
    "ashrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv2di3 },
    &operand_data[13025],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1239 */
  {
    "vashlv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv8qi3 },
    &operand_data[13028],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1239 */
  {
    "vashlv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv16qi3 },
    &operand_data[13031],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1239 */
  {
    "vashlv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv4hi3 },
    &operand_data[13034],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1239 */
  {
    "vashlv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv8hi3 },
    &operand_data[13037],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1239 */
  {
    "vashlv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv2si3 },
    &operand_data[13040],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1239 */
  {
    "vashlv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv4si3 },
    &operand_data[13043],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1239 */
  {
    "vashlv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv2di3 },
    &operand_data[13046],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1253 */
  {
    "vashrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv8qi3 },
    &operand_data[13028],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1253 */
  {
    "vashrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv16qi3 },
    &operand_data[13031],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1253 */
  {
    "vashrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv4hi3 },
    &operand_data[13034],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1253 */
  {
    "vashrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv8hi3 },
    &operand_data[13037],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1253 */
  {
    "vashrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv2si3 },
    &operand_data[13040],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1253 */
  {
    "vashrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv4si3 },
    &operand_data[13043],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1267 */
  {
    "aarch64_ashr_simddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ashr_simddi },
    &operand_data[13049],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1283 */
  {
    "vlshrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv8qi3 },
    &operand_data[13028],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1283 */
  {
    "vlshrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv16qi3 },
    &operand_data[13031],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1283 */
  {
    "vlshrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv4hi3 },
    &operand_data[13034],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1283 */
  {
    "vlshrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv8hi3 },
    &operand_data[13037],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1283 */
  {
    "vlshrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv2si3 },
    &operand_data[13040],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1283 */
  {
    "vlshrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv4si3 },
    &operand_data[13043],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1296 */
  {
    "aarch64_lshr_simddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lshr_simddi },
    &operand_data[13049],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8qi },
    &operand_data[13052],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv16qi },
    &operand_data[13055],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4hi },
    &operand_data[13058],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8hi },
    &operand_data[13061],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2si },
    &operand_data[13064],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4si },
    &operand_data[13067],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2di },
    &operand_data[13070],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4hf },
    &operand_data[13073],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8hf },
    &operand_data[13076],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4bf },
    &operand_data[13079],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8bf },
    &operand_data[13082],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2sf },
    &operand_data[13085],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4sf },
    &operand_data[13088],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1326 */
  {
    "vec_setv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2df },
    &operand_data[13091],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1467 */
  {
    "smaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2di3 },
    &operand_data[13046],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1467 */
  {
    "sminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2di3 },
    &operand_data[13046],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1467 */
  {
    "umaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2di3 },
    &operand_data[13046],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1467 */
  {
    "uminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2di3 },
    &operand_data[13046],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1592 */
  {
    "move_lo_quad_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v16qi },
    &operand_data[13000],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1592 */
  {
    "move_lo_quad_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v8hi },
    &operand_data[13016],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1592 */
  {
    "move_lo_quad_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v4si },
    &operand_data[12958],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1592 */
  {
    "move_lo_quad_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v2di },
    &operand_data[13025],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1592 */
  {
    "move_lo_quad_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v8hf },
    &operand_data[12963],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1592 */
  {
    "move_lo_quad_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v8bf },
    &operand_data[13094],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1592 */
  {
    "move_lo_quad_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v4sf },
    &operand_data[12969],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1592 */
  {
    "move_lo_quad_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_lo_quad_v2df },
    &operand_data[12972],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1638 */
  {
    "move_hi_quad_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v16qi },
    &operand_data[13096],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1638 */
  {
    "move_hi_quad_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v8hi },
    &operand_data[13098],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1638 */
  {
    "move_hi_quad_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v4si },
    &operand_data[13002],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1638 */
  {
    "move_hi_quad_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v2di },
    &operand_data[13048],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1638 */
  {
    "move_hi_quad_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v8hf },
    &operand_data[13100],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1638 */
  {
    "move_hi_quad_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v8bf },
    &operand_data[13102],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1638 */
  {
    "move_hi_quad_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v4sf },
    &operand_data[13104],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1638 */
  {
    "move_hi_quad_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_move_hi_quad_v2df },
    &operand_data[13091],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1664 */
  {
    "vec_pack_trunc_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v4hi },
    &operand_data[13106],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1664 */
  {
    "vec_pack_trunc_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2si },
    &operand_data[13108],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1664 */
  {
    "vec_pack_trunc_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_di },
    &operand_data[13110],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1722 */
  {
    "vec_unpacks_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v16qi },
    &operand_data[13113],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1722 */
  {
    "vec_unpacku_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v16qi },
    &operand_data[13113],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1722 */
  {
    "vec_unpacks_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v8hi },
    &operand_data[13115],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1722 */
  {
    "vec_unpacku_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v8hi },
    &operand_data[13115],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1722 */
  {
    "vec_unpacks_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v4si },
    &operand_data[13117],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1722 */
  {
    "vec_unpacku_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v4si },
    &operand_data[13117],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1734 */
  {
    "vec_unpacks_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v16qi },
    &operand_data[13113],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1734 */
  {
    "vec_unpacku_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v16qi },
    &operand_data[13113],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1734 */
  {
    "vec_unpacks_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v8hi },
    &operand_data[13115],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1734 */
  {
    "vec_unpacku_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v8hi },
    &operand_data[13115],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1734 */
  {
    "vec_unpacks_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v4si },
    &operand_data[13117],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1734 */
  {
    "vec_unpacku_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v4si },
    &operand_data[13117],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1812 */
  {
    "aarch64_smlsl_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv16qi },
    &operand_data[13119],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1812 */
  {
    "aarch64_umlsl_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv16qi },
    &operand_data[13119],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1812 */
  {
    "aarch64_smlsl_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv8hi },
    &operand_data[13123],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1812 */
  {
    "aarch64_umlsl_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv8hi },
    &operand_data[13123],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1812 */
  {
    "aarch64_smlsl_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv4si },
    &operand_data[13127],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1812 */
  {
    "aarch64_umlsl_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv4si },
    &operand_data[13127],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1878 */
  {
    "vec_widen_smult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1878 */
  {
    "vec_widen_umult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1878 */
  {
    "vec_widen_smult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1878 */
  {
    "vec_widen_umult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1878 */
  {
    "vec_widen_smult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1878 */
  {
    "vec_widen_umult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1905 */
  {
    "vec_widen_smult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1905 */
  {
    "vec_widen_umult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1905 */
  {
    "vec_widen_smult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1905 */
  {
    "vec_widen_umult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1905 */
  {
    "vec_widen_smult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:1905 */
  {
    "vec_widen_umult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2012 */
  {
    "divv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4hf3 },
    &operand_data[12960],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2012 */
  {
    "divv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv8hf3 },
    &operand_data[12963],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2012 */
  {
    "divv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2sf3 },
    &operand_data[12966],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2012 */
  {
    "divv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4sf3 },
    &operand_data[12969],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2012 */
  {
    "divv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2df3 },
    &operand_data[12972],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2267 */
  {
    "fixv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv4hfv4hi2 },
    &operand_data[13131],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2267 */
  {
    "fixunsv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv4hfv4hi2 },
    &operand_data[13131],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2267 */
  {
    "fixv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv8hfv8hi2 },
    &operand_data[13133],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2267 */
  {
    "fixunsv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv8hfv8hi2 },
    &operand_data[13133],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2267 */
  {
    "fixv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv2sfv2si2 },
    &operand_data[13003],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2267 */
  {
    "fixunsv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv2sfv2si2 },
    &operand_data[13003],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2267 */
  {
    "fixv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv4sfv4si2 },
    &operand_data[13005],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2267 */
  {
    "fixunsv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv4sfv4si2 },
    &operand_data[13005],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2267 */
  {
    "fixv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv2dfv2di2 },
    &operand_data[13135],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2267 */
  {
    "fixunsv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv2dfv2di2 },
    &operand_data[13135],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2275 */
  {
    "fix_truncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv4hfv4hi2 },
    &operand_data[13131],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2275 */
  {
    "fixuns_truncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv4hfv4hi2 },
    &operand_data[13131],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2275 */
  {
    "fix_truncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv8hfv8hi2 },
    &operand_data[13133],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2275 */
  {
    "fixuns_truncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv8hfv8hi2 },
    &operand_data[13133],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2275 */
  {
    "fix_truncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv2sfv2si2 },
    &operand_data[13003],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2275 */
  {
    "fixuns_truncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv2sfv2si2 },
    &operand_data[13003],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2275 */
  {
    "fix_truncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv4sfv4si2 },
    &operand_data[13005],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2275 */
  {
    "fixuns_truncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv4sfv4si2 },
    &operand_data[13005],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2275 */
  {
    "fix_truncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv2dfv2di2 },
    &operand_data[13135],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2275 */
  {
    "fixuns_truncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv2dfv2di2 },
    &operand_data[13135],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2283 */
  {
    "ftruncv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv4hf2 },
    &operand_data[12960],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2283 */
  {
    "ftruncv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv8hf2 },
    &operand_data[12963],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2283 */
  {
    "ftruncv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv2sf2 },
    &operand_data[12966],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2283 */
  {
    "ftruncv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv4sf2 },
    &operand_data[12969],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2283 */
  {
    "ftruncv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv2df2 },
    &operand_data[12972],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2349 */
  {
    "vec_unpacks_lo_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v8hf },
    &operand_data[13137],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2349 */
  {
    "vec_unpacks_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v4sf },
    &operand_data[13136],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2372 */
  {
    "vec_unpacks_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v8hf },
    &operand_data[13137],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2372 */
  {
    "vec_unpacks_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v4sf },
    &operand_data[13136],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2425 */
  {
    "aarch64_float_truncate_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf },
    &operand_data[13139],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2425 */
  {
    "aarch64_float_truncate_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf },
    &operand_data[13142],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2439 */
  {
    "vec_pack_trunc_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2df },
    &operand_data[12971],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2460 */
  {
    "vec_pack_trunc_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_df },
    &operand_data[13145],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2520 */
  {
    "reduc_plus_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v8qi },
    &operand_data[13148],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2520 */
  {
    "reduc_plus_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v16qi },
    &operand_data[13150],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2520 */
  {
    "reduc_plus_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4hi },
    &operand_data[13152],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2520 */
  {
    "reduc_plus_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v8hi },
    &operand_data[13154],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2520 */
  {
    "reduc_plus_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2si },
    &operand_data[13156],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2520 */
  {
    "reduc_plus_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4si },
    &operand_data[13158],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2520 */
  {
    "reduc_plus_scal_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2di },
    &operand_data[12941],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2582 */
  {
    "reduc_plus_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4sf },
    &operand_data[13160],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smax_nan_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v4hf },
    &operand_data[13162],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smin_nan_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v4hf },
    &operand_data[13162],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smax_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4hf },
    &operand_data[13162],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smin_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4hf },
    &operand_data[13162],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smax_nan_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v8hf },
    &operand_data[13164],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smin_nan_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v8hf },
    &operand_data[13164],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smax_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8hf },
    &operand_data[13164],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smin_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8hf },
    &operand_data[13164],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smax_nan_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v2sf },
    &operand_data[13166],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smin_nan_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v2sf },
    &operand_data[13166],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smax_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2sf },
    &operand_data[13166],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smin_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2sf },
    &operand_data[13166],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smax_nan_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v4sf },
    &operand_data[13160],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smin_nan_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v4sf },
    &operand_data[13160],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smax_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4sf },
    &operand_data[13160],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smin_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4sf },
    &operand_data[13160],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smax_nan_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v2df },
    &operand_data[12953],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smin_nan_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v2df },
    &operand_data[12953],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smax_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2df },
    &operand_data[12953],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2624 */
  {
    "reduc_smin_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2df },
    &operand_data[12953],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_umax_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v8qi },
    &operand_data[13148],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_umin_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v8qi },
    &operand_data[13148],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_smax_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8qi },
    &operand_data[13148],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_smin_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8qi },
    &operand_data[13148],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_umax_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v16qi },
    &operand_data[13150],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_umin_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v16qi },
    &operand_data[13150],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_smax_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v16qi },
    &operand_data[13150],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_smin_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v16qi },
    &operand_data[13150],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_umax_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v4hi },
    &operand_data[13152],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_umin_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v4hi },
    &operand_data[13152],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_smax_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4hi },
    &operand_data[13152],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_smin_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4hi },
    &operand_data[13152],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_umax_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v8hi },
    &operand_data[13154],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_umin_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v8hi },
    &operand_data[13154],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_smax_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8hi },
    &operand_data[13154],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_smin_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8hi },
    &operand_data[13154],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_umax_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v2si },
    &operand_data[13156],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_umin_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v2si },
    &operand_data[13156],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_smax_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2si },
    &operand_data[13156],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_smin_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2si },
    &operand_data[13156],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_umax_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v4si },
    &operand_data[13158],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_umin_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v4si },
    &operand_data[13158],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_smax_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4si },
    &operand_data[13158],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "reduc_smin_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4si },
    &operand_data[13158],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi },
    &operand_data[13168],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv16qi },
    &operand_data[13172],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi },
    &operand_data[13176],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hi },
    &operand_data[13180],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si },
    &operand_data[13184],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4si },
    &operand_data[13188],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4bf },
    &operand_data[13192],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8bf },
    &operand_data[13196],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2di },
    &operand_data[13200],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hf },
    &operand_data[13204],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hf },
    &operand_data[13208],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2sf },
    &operand_data[13212],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4sf },
    &operand_data[13216],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bslv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2df },
    &operand_data[13220],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bsldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi },
    &operand_data[13224],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2837 */
  {
    "aarch64_simd_bsldf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldf },
    &operand_data[13228],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2863 */
  {
    "vcond_mask_v8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v8qiv8qi },
    &operand_data[13232],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2863 */
  {
    "vcond_mask_v16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v16qiv16qi },
    &operand_data[13236],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2863 */
  {
    "vcond_mask_v4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4hiv4hi },
    &operand_data[13240],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2863 */
  {
    "vcond_mask_v8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v8hiv8hi },
    &operand_data[13244],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2863 */
  {
    "vcond_mask_v2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2siv2si },
    &operand_data[13248],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2863 */
  {
    "vcond_mask_v4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4siv4si },
    &operand_data[13252],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2863 */
  {
    "vcond_mask_v2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2div2di },
    &operand_data[13256],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2863 */
  {
    "vcond_mask_v2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2sfv2si },
    &operand_data[13260],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2863 */
  {
    "vcond_mask_v4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4sfv4si },
    &operand_data[13264],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2863 */
  {
    "vcond_mask_v2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2dfv2di },
    &operand_data[13268],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2863 */
  {
    "vcond_mask_didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_didi },
    &operand_data[13272],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "vec_cmpv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv8qiv8qi },
    &operand_data[13276],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "vec_cmpv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv16qiv16qi },
    &operand_data[13280],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "vec_cmpv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4hiv4hi },
    &operand_data[13284],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "vec_cmpv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv8hiv8hi },
    &operand_data[13288],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "vec_cmpv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2siv2si },
    &operand_data[13292],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "vec_cmpv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4siv4si },
    &operand_data[13296],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "vec_cmpv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2div2di },
    &operand_data[13300],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "vec_cmpdidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpdidi },
    &operand_data[13304],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2974 */
  {
    "vec_cmpv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2sfv2si },
    &operand_data[13308],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2974 */
  {
    "vec_cmpv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4sfv4si },
    &operand_data[13312],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:2974 */
  {
    "vec_cmpv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2dfv2di },
    &operand_data[13316],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3147 */
  {
    "vec_cmpuv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv8qiv8qi },
    &operand_data[13276],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3147 */
  {
    "vec_cmpuv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv16qiv16qi },
    &operand_data[13280],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3147 */
  {
    "vec_cmpuv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv4hiv4hi },
    &operand_data[13284],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3147 */
  {
    "vec_cmpuv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv8hiv8hi },
    &operand_data[13288],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3147 */
  {
    "vec_cmpuv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv2siv2si },
    &operand_data[13292],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3147 */
  {
    "vec_cmpuv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv4siv4si },
    &operand_data[13296],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3147 */
  {
    "vec_cmpuv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv2div2di },
    &operand_data[13300],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3147 */
  {
    "vec_cmpudidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpudidi },
    &operand_data[13304],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3159 */
  {
    "vcondv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv8qiv8qi },
    &operand_data[13320],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3159 */
  {
    "vcondv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv16qiv16qi },
    &operand_data[13326],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3159 */
  {
    "vcondv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4hiv4hi },
    &operand_data[13332],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3159 */
  {
    "vcondv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv8hiv8hi },
    &operand_data[13338],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3159 */
  {
    "vcondv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2siv2si },
    &operand_data[13344],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3159 */
  {
    "vcondv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4siv4si },
    &operand_data[13350],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3159 */
  {
    "vcondv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2div2di },
    &operand_data[13356],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3159 */
  {
    "vcondv2sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2sfv2sf },
    &operand_data[13362],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3159 */
  {
    "vcondv4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4sfv4sf },
    &operand_data[13368],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3159 */
  {
    "vcondv2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2dfv2df },
    &operand_data[13374],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3159 */
  {
    "vconddidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconddidi },
    &operand_data[13380],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3189 */
  {
    "vcondv2siv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2siv2sf },
    &operand_data[13386],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3189 */
  {
    "vcondv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2sfv2si },
    &operand_data[13390],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3189 */
  {
    "vcondv4siv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4siv4sf },
    &operand_data[13396],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3189 */
  {
    "vcondv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv4sfv4si },
    &operand_data[13400],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3189 */
  {
    "vcondv2div2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2div2df },
    &operand_data[13406],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3189 */
  {
    "vcondv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondv2dfv2di },
    &operand_data[13410],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "vconduv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv8qiv8qi },
    &operand_data[13320],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "vconduv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv16qiv16qi },
    &operand_data[13326],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "vconduv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4hiv4hi },
    &operand_data[13332],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "vconduv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv8hiv8hi },
    &operand_data[13338],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "vconduv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2siv2si },
    &operand_data[13344],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "vconduv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4siv4si },
    &operand_data[13350],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "vconduv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2div2di },
    &operand_data[13356],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3220 */
  {
    "vcondudidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondudidi },
    &operand_data[13380],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3249 */
  {
    "vconduv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2sfv2si },
    &operand_data[13390],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3249 */
  {
    "vconduv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv4sfv4si },
    &operand_data[13400],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3249 */
  {
    "vconduv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduv2dfv2di },
    &operand_data[13410],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3395 */
  {
    "aarch64_combinev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev8qi },
    &operand_data[13416],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3395 */
  {
    "aarch64_combinev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4hi },
    &operand_data[13419],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3395 */
  {
    "aarch64_combinev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4bf },
    &operand_data[13422],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3395 */
  {
    "aarch64_combinev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4hf },
    &operand_data[13425],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3395 */
  {
    "aarch64_combinev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev2si },
    &operand_data[13428],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3395 */
  {
    "aarch64_combinev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev2sf },
    &operand_data[13431],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3395 */
  {
    "aarch64_combinedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinedi },
    &operand_data[13434],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3395 */
  {
    "aarch64_combinedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinedf },
    &operand_data[13437],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3416 */
  {
    "aarch64_simd_combinev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev8qi },
    &operand_data[13440],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3416 */
  {
    "aarch64_simd_combinev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev4hi },
    &operand_data[13443],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3416 */
  {
    "aarch64_simd_combinev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev4bf },
    &operand_data[13446],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3416 */
  {
    "aarch64_simd_combinev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev4hf },
    &operand_data[13449],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3416 */
  {
    "aarch64_simd_combinev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev2si },
    &operand_data[13452],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3416 */
  {
    "aarch64_simd_combinev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinev2sf },
    &operand_data[13455],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3416 */
  {
    "aarch64_simd_combinedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinedi },
    &operand_data[13048],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3416 */
  {
    "aarch64_simd_combinedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_combinedf },
    &operand_data[13458],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3457 */
  {
    "vec_widen_saddl_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_saddl_lo_v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3457 */
  {
    "vec_widen_uaddl_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uaddl_lo_v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3457 */
  {
    "vec_widen_saddl_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_saddl_lo_v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3457 */
  {
    "vec_widen_uaddl_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uaddl_lo_v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3457 */
  {
    "vec_widen_saddl_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_saddl_lo_v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3457 */
  {
    "vec_widen_uaddl_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uaddl_lo_v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3469 */
  {
    "vec_widen_saddl_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_saddl_hi_v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3469 */
  {
    "vec_widen_uaddl_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uaddl_hi_v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3469 */
  {
    "vec_widen_saddl_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_saddl_hi_v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3469 */
  {
    "vec_widen_uaddl_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uaddl_hi_v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3469 */
  {
    "vec_widen_saddl_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_saddl_hi_v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3469 */
  {
    "vec_widen_uaddl_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uaddl_hi_v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3481 */
  {
    "vec_widen_ssubl_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssubl_lo_v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3481 */
  {
    "vec_widen_usubl_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usubl_lo_v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3481 */
  {
    "vec_widen_ssubl_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssubl_lo_v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3481 */
  {
    "vec_widen_usubl_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usubl_lo_v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3481 */
  {
    "vec_widen_ssubl_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssubl_lo_v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3481 */
  {
    "vec_widen_usubl_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usubl_lo_v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_widen_ssubl_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssubl_hi_v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_widen_usubl_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usubl_hi_v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_widen_ssubl_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssubl_hi_v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_widen_usubl_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usubl_hi_v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_widen_ssubl_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssubl_hi_v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3493 */
  {
    "vec_widen_usubl_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usubl_hi_v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_saddl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_saddl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3505 */
  {
    "aarch64_saddl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3517 */
  {
    "aarch64_uaddl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3517 */
  {
    "aarch64_uaddl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3517 */
  {
    "aarch64_uaddl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3529 */
  {
    "aarch64_ssubl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3529 */
  {
    "aarch64_ssubl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3529 */
  {
    "aarch64_ssubl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3541 */
  {
    "aarch64_usubl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v16qi },
    &operand_data[13120],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3541 */
  {
    "aarch64_usubl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3541 */
  {
    "aarch64_usubl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3566 */
  {
    "widen_ssumv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv16qi3 },
    &operand_data[13461],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3566 */
  {
    "widen_ssumv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv8hi3 },
    &operand_data[13464],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3566 */
  {
    "widen_ssumv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv4si3 },
    &operand_data[13467],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3583 */
  {
    "widen_ssumv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv8qi3 },
    &operand_data[13470],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3583 */
  {
    "widen_ssumv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv4hi3 },
    &operand_data[13473],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3583 */
  {
    "widen_ssumv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv2si3 },
    &operand_data[13476],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3594 */
  {
    "widen_usumv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv16qi3 },
    &operand_data[13461],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3594 */
  {
    "widen_usumv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv8hi3 },
    &operand_data[13464],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3594 */
  {
    "widen_usumv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv4si3 },
    &operand_data[13467],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3611 */
  {
    "widen_usumv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv8qi3 },
    &operand_data[13470],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3611 */
  {
    "widen_usumv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv4hi3 },
    &operand_data[13473],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3611 */
  {
    "widen_usumv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv2si3 },
    &operand_data[13476],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_saddw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v16qi },
    &operand_data[13119],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_saddw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v8hi },
    &operand_data[13123],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_saddw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v4si },
    &operand_data[13127],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3704 */
  {
    "aarch64_uaddw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v16qi },
    &operand_data[13119],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3704 */
  {
    "aarch64_uaddw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v8hi },
    &operand_data[13123],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3704 */
  {
    "aarch64_uaddw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v4si },
    &operand_data[13127],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3717 */
  {
    "aarch64_ssubw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v16qi },
    &operand_data[13119],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3717 */
  {
    "aarch64_ssubw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v8hi },
    &operand_data[13123],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3717 */
  {
    "aarch64_ssubw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v4si },
    &operand_data[13127],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3729 */
  {
    "aarch64_usubw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v16qi },
    &operand_data[13119],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3729 */
  {
    "aarch64_usubw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v8hi },
    &operand_data[13123],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3729 */
  {
    "aarch64_usubw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v4si },
    &operand_data[13127],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3743 */
  {
    "avgv8qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8qi3_floor },
    &operand_data[13028],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3743 */
  {
    "uavgv8qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8qi3_floor },
    &operand_data[13028],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3743 */
  {
    "avgv16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv16qi3_floor },
    &operand_data[13031],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3743 */
  {
    "uavgv16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv16qi3_floor },
    &operand_data[13031],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3743 */
  {
    "avgv4hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4hi3_floor },
    &operand_data[13034],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3743 */
  {
    "uavgv4hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4hi3_floor },
    &operand_data[13034],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3743 */
  {
    "avgv8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8hi3_floor },
    &operand_data[13037],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3743 */
  {
    "uavgv8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8hi3_floor },
    &operand_data[13037],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3743 */
  {
    "avgv2si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv2si3_floor },
    &operand_data[13040],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3743 */
  {
    "uavgv2si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv2si3_floor },
    &operand_data[13040],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3743 */
  {
    "avgv4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4si3_floor },
    &operand_data[13043],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3743 */
  {
    "uavgv4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4si3_floor },
    &operand_data[13043],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "avgv8qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8qi3_ceil },
    &operand_data[13028],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "uavgv8qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8qi3_ceil },
    &operand_data[13028],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "avgv16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv16qi3_ceil },
    &operand_data[13031],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "uavgv16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv16qi3_ceil },
    &operand_data[13031],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "avgv4hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4hi3_ceil },
    &operand_data[13034],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "uavgv4hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4hi3_ceil },
    &operand_data[13034],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "avgv8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8hi3_ceil },
    &operand_data[13037],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "uavgv8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8hi3_ceil },
    &operand_data[13037],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "avgv2si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv2si3_ceil },
    &operand_data[13040],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "uavgv2si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv2si3_ceil },
    &operand_data[13040],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "avgv4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4si3_ceil },
    &operand_data[13043],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3751 */
  {
    "uavgv4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4si3_ceil },
    &operand_data[13043],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "aarch64_sqxtn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v8hi },
    &operand_data[13096],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "aarch64_uqxtn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v8hi },
    &operand_data[13096],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "aarch64_sqxtn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v4si },
    &operand_data[13479],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "aarch64_uqxtn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v4si },
    &operand_data[13479],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "aarch64_sqxtn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v2di },
    &operand_data[13481],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "aarch64_uqxtn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v2di },
    &operand_data[13481],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4303 */
  {
    "aarch64_sqdmlal2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v8hi },
    &operand_data[13123],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4303 */
  {
    "aarch64_sqdmlal2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v4si },
    &operand_data[13127],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4316 */
  {
    "aarch64_sqdmlsl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v8hi },
    &operand_data[13123],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4316 */
  {
    "aarch64_sqdmlsl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v4si },
    &operand_data[13127],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4383 */
  {
    "aarch64_sqdmlal2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev8hi },
    &operand_data[13484],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4383 */
  {
    "aarch64_sqdmlal2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev4si },
    &operand_data[13489],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4398 */
  {
    "aarch64_sqdmlal2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv8hi },
    &operand_data[13494],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4398 */
  {
    "aarch64_sqdmlal2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv4si },
    &operand_data[13499],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4413 */
  {
    "aarch64_sqdmlsl2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev8hi },
    &operand_data[13484],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4413 */
  {
    "aarch64_sqdmlsl2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev4si },
    &operand_data[13489],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4428 */
  {
    "aarch64_sqdmlsl2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv8hi },
    &operand_data[13494],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4428 */
  {
    "aarch64_sqdmlsl2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv4si },
    &operand_data[13499],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_sqdmlal2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv8hi },
    &operand_data[13504],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4462 */
  {
    "aarch64_sqdmlal2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv4si },
    &operand_data[13508],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4476 */
  {
    "aarch64_sqdmlsl2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv8hi },
    &operand_data[13504],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4476 */
  {
    "aarch64_sqdmlsl2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv4si },
    &operand_data[13508],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqdmull2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v8hi },
    &operand_data[13118],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4631 */
  {
    "aarch64_sqdmull2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v4si },
    &operand_data[13128],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4691 */
  {
    "aarch64_sqdmull2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev8hi },
    &operand_data[13485],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4691 */
  {
    "aarch64_sqdmull2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev4si },
    &operand_data[13490],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4705 */
  {
    "aarch64_sqdmull2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv8hi },
    &operand_data[13495],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4705 */
  {
    "aarch64_sqdmull2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv4si },
    &operand_data[13500],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4739 */
  {
    "aarch64_sqdmull2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv8hi },
    &operand_data[13505],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4739 */
  {
    "aarch64_sqdmull2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv4si },
    &operand_data[13509],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4778 */
  {
    "vec_widen_sshiftl_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sshiftl_lo_v16qi },
    &operand_data[13512],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4778 */
  {
    "vec_widen_ushiftl_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ushiftl_lo_v16qi },
    &operand_data[13512],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4778 */
  {
    "vec_widen_sshiftl_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sshiftl_lo_v8hi },
    &operand_data[13515],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4778 */
  {
    "vec_widen_ushiftl_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ushiftl_lo_v8hi },
    &operand_data[13515],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4778 */
  {
    "vec_widen_sshiftl_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sshiftl_lo_v4si },
    &operand_data[13518],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4778 */
  {
    "vec_widen_ushiftl_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ushiftl_lo_v4si },
    &operand_data[13518],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "vec_widen_sshiftl_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sshiftl_hi_v16qi },
    &operand_data[13521],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "vec_widen_ushiftl_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ushiftl_hi_v16qi },
    &operand_data[13521],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "vec_widen_sshiftl_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sshiftl_hi_v8hi },
    &operand_data[13524],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "vec_widen_ushiftl_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ushiftl_hi_v8hi },
    &operand_data[13524],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "vec_widen_sshiftl_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sshiftl_hi_v4si },
    &operand_data[13527],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "vec_widen_ushiftl_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ushiftl_hi_v4si },
    &operand_data[13527],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5220 */
  {
    "sqrtv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv4hf2 },
    &operand_data[12960],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5220 */
  {
    "sqrtv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv8hf2 },
    &operand_data[12963],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5220 */
  {
    "sqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv2sf2 },
    &operand_data[12966],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5220 */
  {
    "sqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv4sf2 },
    &operand_data[12969],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5220 */
  {
    "sqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv2df2 },
    &operand_data[12972],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5274 */
  {
    "vec_load_lanesoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv16qi },
    &operand_data[13530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5274 */
  {
    "vec_load_lanesoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv8hi },
    &operand_data[13530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5274 */
  {
    "vec_load_lanesoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv4si },
    &operand_data[13530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5274 */
  {
    "vec_load_lanesoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv2di },
    &operand_data[13530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5274 */
  {
    "vec_load_lanesoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv8hf },
    &operand_data[13530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5274 */
  {
    "vec_load_lanesoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv4sf },
    &operand_data[13530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5274 */
  {
    "vec_load_lanesoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv2df },
    &operand_data[13530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5274 */
  {
    "vec_load_lanesoiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesoiv8bf },
    &operand_data[13530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "vec_store_lanesoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv16qi },
    &operand_data[13531],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "vec_store_lanesoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv8hi },
    &operand_data[13531],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "vec_store_lanesoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv4si },
    &operand_data[13531],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "vec_store_lanesoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv2di },
    &operand_data[13531],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "vec_store_lanesoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv8hf },
    &operand_data[13531],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "vec_store_lanesoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv4sf },
    &operand_data[13531],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "vec_store_lanesoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv2df },
    &operand_data[13531],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5318 */
  {
    "vec_store_lanesoiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesoiv8bf },
    &operand_data[13531],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "vec_load_lanesciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv16qi },
    &operand_data[13533],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "vec_load_lanesciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv8hi },
    &operand_data[13533],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "vec_load_lanesciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv4si },
    &operand_data[13533],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "vec_load_lanesciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv2di },
    &operand_data[13533],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "vec_load_lanesciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv8hf },
    &operand_data[13533],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "vec_load_lanesciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv4sf },
    &operand_data[13533],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "vec_load_lanesciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv2df },
    &operand_data[13533],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5372 */
  {
    "vec_load_lanesciv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesciv8bf },
    &operand_data[13533],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "vec_store_lanesciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv16qi },
    &operand_data[13534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "vec_store_lanesciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv8hi },
    &operand_data[13534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "vec_store_lanesciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv4si },
    &operand_data[13534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "vec_store_lanesciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv2di },
    &operand_data[13534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "vec_store_lanesciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv8hf },
    &operand_data[13534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "vec_store_lanesciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv4sf },
    &operand_data[13534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "vec_store_lanesciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv2df },
    &operand_data[13534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "vec_store_lanesciv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesciv8bf },
    &operand_data[13534],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5470 */
  {
    "vec_load_lanesxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv16qi },
    &operand_data[13536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5470 */
  {
    "vec_load_lanesxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv8hi },
    &operand_data[13536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5470 */
  {
    "vec_load_lanesxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv4si },
    &operand_data[13536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5470 */
  {
    "vec_load_lanesxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv2di },
    &operand_data[13536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5470 */
  {
    "vec_load_lanesxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv8hf },
    &operand_data[13536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5470 */
  {
    "vec_load_lanesxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv4sf },
    &operand_data[13536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5470 */
  {
    "vec_load_lanesxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv2df },
    &operand_data[13536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5470 */
  {
    "vec_load_lanesxiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesxiv8bf },
    &operand_data[13536],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "vec_store_lanesxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv16qi },
    &operand_data[13537],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "vec_store_lanesxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv8hi },
    &operand_data[13537],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "vec_store_lanesxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv4si },
    &operand_data[13537],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "vec_store_lanesxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv2di },
    &operand_data[13537],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "vec_store_lanesxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv8hf },
    &operand_data[13537],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "vec_store_lanesxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv4sf },
    &operand_data[13537],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "vec_store_lanesxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv2df },
    &operand_data[13537],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5514 */
  {
    "vec_store_lanesxiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesxiv8bf },
    &operand_data[13537],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movoi },
    &operand_data[13539],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movci },
    &operand_data[13541],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movxi },
    &operand_data[13543],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8qi },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v16qi },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4hi },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8hi },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2si },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4si },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4bf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8bf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2di },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4hf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8hf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2sf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4sf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2df },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3di },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5573 */
  {
    "aarch64_ld1x3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3df },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8qi },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v16qi },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4hi },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8hi },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2si },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4si },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4bf },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8bf },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2di },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4hf },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8hf },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2sf },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4sf },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2df },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4di },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5594 */
  {
    "aarch64_ld1x4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4df },
    &operand_data[13547],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8qi },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v16qi },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4hi },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8hi },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2si },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4si },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4bf },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8bf },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2di },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4hf },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8hf },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2sf },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4sf },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2df },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2di },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5616 */
  {
    "aarch64_st1x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2df },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8qi },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v16qi },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4hi },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8hi },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2si },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4si },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4bf },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8bf },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2di },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4hf },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8hf },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2sf },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4sf },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2df },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3di },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5637 */
  {
    "aarch64_st1x3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3df },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8qi },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v16qi },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4hi },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8hi },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2si },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4si },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4bf },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8bf },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2di },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4hf },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8hf },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2sf },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4sf },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2df },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4di },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5658 */
  {
    "aarch64_st1x4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4df },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8qi },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv16qi },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4hi },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8hi },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2si },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4si },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4bf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8bf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2di },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4hf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8hf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2sf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4sf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2df },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rdi },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld2rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rdf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8qi },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv16qi },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4hi },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8hi },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2si },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4si },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4bf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8bf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2di },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4hf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8hf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2sf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4sf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2df },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rdi },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld3rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rdf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8qi },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv16qi },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4hi },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8hi },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2si },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4si },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4bf },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8bf },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2di },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4hf },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8hf },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2sf },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4sf },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2df },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rdi },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5812 */
  {
    "aarch64_ld4rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rdf },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8qi },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hi },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4bf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2si },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2sf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2di },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2df },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8qi },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hi },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4bf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2si },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2sf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3di },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3df },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8qi },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hi },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4bf },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hf },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2si },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2sf },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4di },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5887 */
  {
    "aarch64_ld4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4df },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8qi },
    &operand_data[13556],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v16qi },
    &operand_data[13558],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4hi },
    &operand_data[13560],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8hi },
    &operand_data[13562],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2si },
    &operand_data[13110],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4si },
    &operand_data[13564],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2di },
    &operand_data[13048],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4hf },
    &operand_data[13566],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8hf },
    &operand_data[13568],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4bf },
    &operand_data[13570],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8bf },
    &operand_data[13572],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2sf },
    &operand_data[13574],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4sf },
    &operand_data[13576],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5900 */
  {
    "aarch64_ld1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2df },
    &operand_data[13223],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v16qi },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v16qi },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v16qi },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8hi },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8hi },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8hi },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4si },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4si },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4si },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2di },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2di },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2di },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8hf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8hf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8hf },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4sf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4sf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4sf },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2df },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2df },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2df },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8bf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8bf },
    &operand_data[13545],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5915 */
  {
    "aarch64_ld4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8bf },
    &operand_data[13554],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5928 */
  {
    "aarch64_ld1x2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v16qi },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5928 */
  {
    "aarch64_ld1x2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8hi },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5928 */
  {
    "aarch64_ld1x2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4si },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5928 */
  {
    "aarch64_ld1x2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2di },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5928 */
  {
    "aarch64_ld1x2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8hf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5928 */
  {
    "aarch64_ld1x2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4sf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5928 */
  {
    "aarch64_ld1x2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2df },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5928 */
  {
    "aarch64_ld1x2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8bf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_ld1x2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8qi },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_ld1x2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4hi },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_ld1x2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4bf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_ld1x2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4hf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_ld1x2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2si },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_ld1x2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2sf },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_ld1x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2di },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5941 */
  {
    "aarch64_ld1x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2df },
    &operand_data[13550],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8qi },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev16qi },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4hi },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8hi },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2si },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4si },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4bf },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8bf },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2di },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4hf },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8hf },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2sf },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4sf },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2df },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanedi },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld2_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanedf },
    &operand_data[13578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8qi },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev16qi },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4hi },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8hi },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2si },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4si },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4bf },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8bf },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2di },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4hf },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8hf },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2sf },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4sf },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2df },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanedi },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld3_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanedf },
    &operand_data[13582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8qi },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev16qi },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4hi },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8hi },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2si },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4si },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4bf },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8bf },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2di },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4hf },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8hf },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2sf },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4sf },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2df },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanedi },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5955 */
  {
    "aarch64_ld4_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanedf },
    &operand_data[13586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregoiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv8qi },
    &operand_data[13590],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregoiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv4hi },
    &operand_data[13593],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregoiv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv4bf },
    &operand_data[13596],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregoiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv4hf },
    &operand_data[13599],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregoiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv2si },
    &operand_data[13602],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregoiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoiv2sf },
    &operand_data[13605],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregoidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoidi },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregoidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregoidf },
    &operand_data[13608],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregciv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv8qi },
    &operand_data[13611],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregciv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv4hi },
    &operand_data[13614],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregciv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv4bf },
    &operand_data[13617],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregciv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv4hf },
    &operand_data[13620],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregciv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv2si },
    &operand_data[13623],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregciv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregciv2sf },
    &operand_data[13626],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregcidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregcidi },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregcidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregcidf },
    &operand_data[13629],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregxiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv8qi },
    &operand_data[13632],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregxiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv4hi },
    &operand_data[13635],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregxiv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv4bf },
    &operand_data[13638],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregxiv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv4hf },
    &operand_data[13641],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregxiv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv2si },
    &operand_data[13644],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregxiv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxiv2sf },
    &operand_data[13647],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregxidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxidi },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5978 */
  {
    "aarch64_get_dregxidf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_dregxidf },
    &operand_data[13650],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv16qi },
    &operand_data[13653],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv16qi },
    &operand_data[13656],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv16qi },
    &operand_data[13659],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv8hi },
    &operand_data[13662],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv8hi },
    &operand_data[13665],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv8hi },
    &operand_data[13668],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv4si },
    &operand_data[13671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv4si },
    &operand_data[13674],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv4si },
    &operand_data[13677],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv2di },
    &operand_data[13680],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv2di },
    &operand_data[13683],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv2di },
    &operand_data[13686],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv8hf },
    &operand_data[13689],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv8hf },
    &operand_data[13692],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv8hf },
    &operand_data[13695],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv4sf },
    &operand_data[13698],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv4sf },
    &operand_data[13701],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv4sf },
    &operand_data[13704],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv2df },
    &operand_data[13707],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv2df },
    &operand_data[13710],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv2df },
    &operand_data[13713],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregoiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregoiv8bf },
    &operand_data[13716],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregciv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregciv8bf },
    &operand_data[13719],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:5995 */
  {
    "aarch64_get_qregxiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_qregxiv8bf },
    &operand_data[13722],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6015 */
  {
    "vec_permv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permv8qi },
    &operand_data[13168],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6015 */
  {
    "vec_permv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permv16qi },
    &operand_data[13172],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8qi },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hi },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4bf },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hf },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2si },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2sf },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2di },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2df },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8qi },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hi },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4bf },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hf },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2si },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2sf },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3di },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3df },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8qi },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hi },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4bf },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hf },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2si },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2sf },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4di },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6236 */
  {
    "aarch64_st4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4df },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v16qi },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v16qi },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v16qi },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8hi },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8hi },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8hi },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4si },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4si },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4si },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2di },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2di },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2di },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8hf },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8hf },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8hf },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4sf },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4sf },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4sf },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2df },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2df },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2df },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8bf },
    &operand_data[13549],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8bf },
    &operand_data[13551],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6249 */
  {
    "aarch64_st4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8bf },
    &operand_data[13553],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8qi },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev16qi },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4hi },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8hi },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2si },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4si },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4bf },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8bf },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2di },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4hf },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8hf },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2sf },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4sf },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2df },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanedi },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st2_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanedf },
    &operand_data[13579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8qi },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev16qi },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4hi },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8hi },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2si },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4si },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4bf },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8bf },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2di },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4hf },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8hf },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2sf },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4sf },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2df },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanedi },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st3_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanedf },
    &operand_data[13583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8qi },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev16qi },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4hi },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8hi },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2si },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4si },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4bf },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8bf },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2di },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4hf },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8hf },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2sf },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4sf },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2df },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanedi },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6262 */
  {
    "aarch64_st4_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanedf },
    &operand_data[13587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8qi },
    &operand_data[13275],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v16qi },
    &operand_data[13557],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4hi },
    &operand_data[13559],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8hi },
    &operand_data[13112],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2si },
    &operand_data[13725],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4si },
    &operand_data[13563],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2di },
    &operand_data[12941],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4hf },
    &operand_data[13565],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8hf },
    &operand_data[13567],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4bf },
    &operand_data[13569],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8bf },
    &operand_data[13571],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2sf },
    &operand_data[13573],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4sf },
    &operand_data[13575],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6278 */
  {
    "aarch64_st1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2df },
    &operand_data[13727],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregoiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv16qi },
    &operand_data[13729],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregciv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv16qi },
    &operand_data[13733],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregxiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv16qi },
    &operand_data[13737],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregoiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv8hi },
    &operand_data[13741],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregciv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv8hi },
    &operand_data[13745],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregxiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv8hi },
    &operand_data[13749],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregoiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv4si },
    &operand_data[13753],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregciv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv4si },
    &operand_data[13757],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregxiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv4si },
    &operand_data[13761],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregoiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv2di },
    &operand_data[13765],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregciv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv2di },
    &operand_data[13769],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregxiv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv2di },
    &operand_data[13773],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregoiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv8hf },
    &operand_data[13777],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregciv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv8hf },
    &operand_data[13781],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregxiv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv8hf },
    &operand_data[13785],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregoiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv4sf },
    &operand_data[13789],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregciv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv4sf },
    &operand_data[13793],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregxiv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv4sf },
    &operand_data[13797],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregoiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv2df },
    &operand_data[13801],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregciv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv2df },
    &operand_data[13805],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregxiv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv2df },
    &operand_data[13809],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregoiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregoiv8bf },
    &operand_data[13813],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregciv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregciv8bf },
    &operand_data[13817],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6299 */
  {
    "aarch64_set_qregxiv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_qregxiv8bf },
    &operand_data[13821],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv8qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8qiqi },
    &operand_data[13825],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv16qiqi },
    &operand_data[13827],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv4hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4hihi },
    &operand_data[13829],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hihi },
    &operand_data[13831],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2sisi },
    &operand_data[13833],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sisi },
    &operand_data[13835],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2didi },
    &operand_data[13837],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv4hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4hfhf },
    &operand_data[13839],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hfhf },
    &operand_data[13841],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv4bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4bfbf },
    &operand_data[13843],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8bfbf },
    &operand_data[13845],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv2sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2sfsf },
    &operand_data[13847],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sfsf },
    &operand_data[13849],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6317 */
  {
    "vec_initv2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2dfdf },
    &operand_data[13851],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6326 */
  {
    "vec_initv16qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv16qiv8qi },
    &operand_data[13827],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6326 */
  {
    "vec_initv8hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hiv4hi },
    &operand_data[13831],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6326 */
  {
    "vec_initv4siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4siv2si },
    &operand_data[13835],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6326 */
  {
    "vec_initv8hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hfv4hf },
    &operand_data[13841],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6326 */
  {
    "vec_initv4sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sfv2sf },
    &operand_data[13849],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6326 */
  {
    "vec_initv8bfv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8bfv4bf },
    &operand_data[13845],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv8qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8qiqi },
    &operand_data[13853],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv16qiqi },
    &operand_data[13856],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv4hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4hihi },
    &operand_data[13859],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hihi },
    &operand_data[13862],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2sisi },
    &operand_data[13865],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sisi },
    &operand_data[13868],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2didi },
    &operand_data[13871],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv4hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4hfhf },
    &operand_data[13874],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hfhf },
    &operand_data[13877],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv4bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4bfbf },
    &operand_data[13880],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8bfbf },
    &operand_data[13883],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv2sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2sfsf },
    &operand_data[13886],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sfsf },
    &operand_data[13889],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6405 */
  {
    "vec_extractv2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2dfdf },
    &operand_data[13892],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6417 */
  {
    "vec_extractv16qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv16qiv8qi },
    &operand_data[13895],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6417 */
  {
    "vec_extractv8hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hiv4hi },
    &operand_data[13898],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6417 */
  {
    "vec_extractv4siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4siv2si },
    &operand_data[13901],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6417 */
  {
    "vec_extractv8hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hfv4hf },
    &operand_data[13904],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6417 */
  {
    "vec_extractv8bfv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8bfv4bf },
    &operand_data[13907],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6417 */
  {
    "vec_extractv4sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sfv2sf },
    &operand_data[13910],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6432 */
  {
    "vec_extractv2dfv1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2dfv1df },
    &operand_data[13913],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6753 */
  {
    "aarch64_fmlal_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lowv2sf },
    &operand_data[13916],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6753 */
  {
    "aarch64_fmlsl_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lowv2sf },
    &operand_data[13916],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6753 */
  {
    "aarch64_fmlalq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lowv4sf },
    &operand_data[13920],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6753 */
  {
    "aarch64_fmlslq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lowv4sf },
    &operand_data[13920],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6776 */
  {
    "aarch64_fmlal_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_highv2sf },
    &operand_data[13916],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6776 */
  {
    "aarch64_fmlsl_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_highv2sf },
    &operand_data[13916],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6776 */
  {
    "aarch64_fmlalq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_highv4sf },
    &operand_data[13920],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6776 */
  {
    "aarch64_fmlslq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_highv4sf },
    &operand_data[13920],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6866 */
  {
    "aarch64_fmlal_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lane_lowv2sf },
    &operand_data[13924],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6866 */
  {
    "aarch64_fmlsl_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lane_lowv2sf },
    &operand_data[13924],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6887 */
  {
    "aarch64_fmlal_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lane_highv2sf },
    &operand_data[13924],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6887 */
  {
    "aarch64_fmlsl_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lane_highv2sf },
    &operand_data[13924],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6981 */
  {
    "aarch64_fmlalq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_laneq_lowv4sf },
    &operand_data[13929],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:6981 */
  {
    "aarch64_fmlslq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_laneq_lowv4sf },
    &operand_data[13929],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7001 */
  {
    "aarch64_fmlalq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_laneq_highv4sf },
    &operand_data[13929],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7001 */
  {
    "aarch64_fmlslq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_laneq_highv4sf },
    &operand_data[13929],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7095 */
  {
    "aarch64_fmlal_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_laneq_lowv2sf },
    &operand_data[13934],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7095 */
  {
    "aarch64_fmlsl_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_laneq_lowv2sf },
    &operand_data[13934],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7116 */
  {
    "aarch64_fmlal_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_laneq_highv2sf },
    &operand_data[13934],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7116 */
  {
    "aarch64_fmlsl_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_laneq_highv2sf },
    &operand_data[13934],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7211 */
  {
    "aarch64_fmlalq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lane_lowv4sf },
    &operand_data[13939],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7211 */
  {
    "aarch64_fmlslq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lane_lowv4sf },
    &operand_data[13939],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7231 */
  {
    "aarch64_fmlalq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lane_highv4sf },
    &operand_data[13939],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7231 */
  {
    "aarch64_fmlslq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lane_highv4sf },
    &operand_data[13939],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7356 */
  {
    "aarch64_sxtlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sxtlv8hi },
    &operand_data[3151],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7356 */
  {
    "aarch64_uxtlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uxtlv8hi },
    &operand_data[3151],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7356 */
  {
    "aarch64_sxtlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sxtlv4si },
    &operand_data[3155],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7356 */
  {
    "aarch64_uxtlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uxtlv4si },
    &operand_data[3155],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7356 */
  {
    "aarch64_sxtlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sxtlv2di },
    &operand_data[3159],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7356 */
  {
    "aarch64_uxtlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uxtlv2di },
    &operand_data[3159],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7363 */
  {
    "aarch64_xtnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtnv8hi },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7363 */
  {
    "aarch64_xtnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtnv4si },
    &operand_data[3090],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7363 */
  {
    "aarch64_xtnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtnv2di },
    &operand_data[3092],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7399 */
  {
    "aarch64_xtn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v8hi },
    &operand_data[13096],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7399 */
  {
    "aarch64_xtn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v4si },
    &operand_data[13479],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7399 */
  {
    "aarch64_xtn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v2di },
    &operand_data[13481],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7448 */
  {
    "aarch64_vget_lo_halfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vget_lo_halfv8bf },
    &operand_data[12947],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-simd.md:7458 */
  {
    "aarch64_vget_hi_halfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vget_hi_halfv8bf },
    &operand_data[12947],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapqi },
    &operand_data[13944],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swaphi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swaphi },
    &operand_data[13952],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapsi },
    &operand_data[13960],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapdi },
    &operand_data[13968],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapti },
    &operand_data[13976],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangeqi },
    &operand_data[13984],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangehi },
    &operand_data[13988],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangesi },
    &operand_data[13992],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangedi },
    &operand_data[13996],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addqi },
    &operand_data[14000],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subqi },
    &operand_data[14000],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orqi },
    &operand_data[14003],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorqi },
    &operand_data[14003],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andqi },
    &operand_data[14003],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addhi },
    &operand_data[14006],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subhi },
    &operand_data[14006],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orhi },
    &operand_data[14009],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorhi },
    &operand_data[14009],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andhi },
    &operand_data[14009],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addsi },
    &operand_data[14012],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subsi },
    &operand_data[14012],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orsi },
    &operand_data[14015],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorsi },
    &operand_data[14015],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andsi },
    &operand_data[14015],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_adddi },
    &operand_data[14018],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subdi },
    &operand_data[14018],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_ordi },
    &operand_data[14021],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xordi },
    &operand_data[14021],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_anddi },
    &operand_data[14021],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addqi },
    &operand_data[14024],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subqi },
    &operand_data[14024],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orqi },
    &operand_data[14028],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorqi },
    &operand_data[14028],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andqi },
    &operand_data[14028],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addhi },
    &operand_data[14032],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subhi },
    &operand_data[14032],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orhi },
    &operand_data[14036],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorhi },
    &operand_data[14036],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andhi },
    &operand_data[14036],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addsi },
    &operand_data[14040],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subsi },
    &operand_data[14040],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orsi },
    &operand_data[14044],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorsi },
    &operand_data[14044],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andsi },
    &operand_data[14044],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_adddi },
    &operand_data[14048],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subdi },
    &operand_data[14048],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_ordi },
    &operand_data[14052],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xordi },
    &operand_data[14052],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_anddi },
    &operand_data[14052],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchqi },
    &operand_data[14024],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchqi },
    &operand_data[14024],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchqi },
    &operand_data[14028],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchqi },
    &operand_data[14028],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchqi },
    &operand_data[14028],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchhi },
    &operand_data[14032],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchhi },
    &operand_data[14032],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchhi },
    &operand_data[14036],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchhi },
    &operand_data[14036],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchhi },
    &operand_data[14036],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchsi },
    &operand_data[14040],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchsi },
    &operand_data[14040],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchsi },
    &operand_data[14044],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchsi },
    &operand_data[14044],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchsi },
    &operand_data[14044],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchdi },
    &operand_data[14048],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchdi },
    &operand_data[14048],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchdi },
    &operand_data[14052],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchdi },
    &operand_data[14052],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchdi },
    &operand_data[14052],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:766 */
  {
    "mem_thread_fence",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mem_thread_fence },
    &operand_data[92],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/atomics.md:777 */
  {
    "dmb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_dmb },
    &operand_data[92],
    1,
    1,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16qi },
    &operand_data[14056],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8qi },
    &operand_data[14058],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4qi },
    &operand_data[14060],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2qi },
    &operand_data[14062],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8hi },
    &operand_data[14064],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4hi },
    &operand_data[14066],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2hi },
    &operand_data[14068],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8hf },
    &operand_data[14070],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4hf },
    &operand_data[14072],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2hf },
    &operand_data[14074],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8bf },
    &operand_data[14076],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4bf },
    &operand_data[14078],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2bf },
    &operand_data[14080],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4si },
    &operand_data[14082],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2si },
    &operand_data[14084],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4sf },
    &operand_data[14086],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2sf },
    &operand_data[14088],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2di },
    &operand_data[14090],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2df },
    &operand_data[14092],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx16qi },
    &operand_data[14056],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8qi },
    &operand_data[14058],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4qi },
    &operand_data[14060],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2qi },
    &operand_data[14062],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8hi },
    &operand_data[14064],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4hi },
    &operand_data[14066],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2hi },
    &operand_data[14068],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8hf },
    &operand_data[14070],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4hf },
    &operand_data[14072],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2hf },
    &operand_data[14074],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8bf },
    &operand_data[14076],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4bf },
    &operand_data[14078],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2bf },
    &operand_data[14080],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4si },
    &operand_data[14082],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2si },
    &operand_data[14084],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4sf },
    &operand_data[14086],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2sf },
    &operand_data[14088],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2di },
    &operand_data[14090],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2df },
    &operand_data[14092],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:722 */
  {
    "aarch64_sve_reload_mem",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reload_mem },
    &operand_data[14094],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16qi },
    &operand_data[14097],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8qi },
    &operand_data[14099],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4qi },
    &operand_data[14101],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2qi },
    &operand_data[14103],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8hi },
    &operand_data[14105],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4hi },
    &operand_data[14107],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2hi },
    &operand_data[14109],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8hf },
    &operand_data[14111],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4hf },
    &operand_data[14113],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2hf },
    &operand_data[14115],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8bf },
    &operand_data[14117],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4bf },
    &operand_data[14119],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2bf },
    &operand_data[14121],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4si },
    &operand_data[14123],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2si },
    &operand_data[14125],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4sf },
    &operand_data[14127],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2sf },
    &operand_data[14129],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2di },
    &operand_data[14131],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:786 */
  {
    "aarch64_sve_reinterpretvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2df },
    &operand_data[14133],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32qi },
    &operand_data[14135],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16hi },
    &operand_data[14137],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8si },
    &operand_data[14139],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4di },
    &operand_data[14141],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16bf },
    &operand_data[14143],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16hf },
    &operand_data[14145],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8sf },
    &operand_data[14147],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4df },
    &operand_data[14149],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx48qi },
    &operand_data[14151],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24hi },
    &operand_data[14153],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx12si },
    &operand_data[14155],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx6di },
    &operand_data[14157],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24bf },
    &operand_data[14159],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24hf },
    &operand_data[14161],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx12sf },
    &operand_data[14163],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx6df },
    &operand_data[14165],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx64qi },
    &operand_data[14167],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32hi },
    &operand_data[14169],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16si },
    &operand_data[14171],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8di },
    &operand_data[14173],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32bf },
    &operand_data[14175],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32hf },
    &operand_data[14177],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16sf },
    &operand_data[14179],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:825 */
  {
    "movvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8df },
    &operand_data[14181],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:935 */
  {
    "movvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16bi },
    &operand_data[14183],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:935 */
  {
    "movvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8bi },
    &operand_data[14185],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:935 */
  {
    "movvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4bi },
    &operand_data[14187],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:935 */
  {
    "movvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2bi },
    &operand_data[14189],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32qivnx16qi },
    &operand_data[14191],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16hivnx8hi },
    &operand_data[14193],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8sivnx4si },
    &operand_data[14195],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx4divnx2di },
    &operand_data[14197],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16bfvnx8bf },
    &operand_data[14199],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16hfvnx8hf },
    &operand_data[14201],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8sfvnx4sf },
    &operand_data[14203],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx4dfvnx2df },
    &operand_data[14205],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx48qivnx16qi },
    &operand_data[14207],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24hivnx8hi },
    &operand_data[14209],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx12sivnx4si },
    &operand_data[14211],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx6divnx2di },
    &operand_data[14213],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24bfvnx8bf },
    &operand_data[14215],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24hfvnx8hf },
    &operand_data[14217],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx12sfvnx4sf },
    &operand_data[14219],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx6dfvnx2df },
    &operand_data[14221],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx64qivnx16qi },
    &operand_data[14223],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32hivnx8hi },
    &operand_data[14225],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16sivnx4si },
    &operand_data[14227],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8divnx2di },
    &operand_data[14229],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32bfvnx8bf },
    &operand_data[14231],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32hfvnx8hf },
    &operand_data[14233],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16sfvnx4sf },
    &operand_data[14235],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "vec_load_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8dfvnx2df },
    &operand_data[14237],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2qivnx2di },
    &operand_data[14239],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2hivnx2di },
    &operand_data[14244],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2hfvnx2di },
    &operand_data[14249],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2bfvnx2di },
    &operand_data[14254],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2sivnx2di },
    &operand_data[14259],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2sfvnx2di },
    &operand_data[14264],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2divnx2di },
    &operand_data[14269],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2dfvnx2di },
    &operand_data[14274],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4qivnx4si },
    &operand_data[14279],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4hivnx4si },
    &operand_data[14284],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4hfvnx4si },
    &operand_data[14289],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4bfvnx4si },
    &operand_data[14294],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4sivnx4si },
    &operand_data[14299],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:1402 */
  {
    "gather_loadvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4sfvnx4si },
    &operand_data[14304],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32qivnx16qi },
    &operand_data[14309],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16hivnx8hi },
    &operand_data[14311],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8sivnx4si },
    &operand_data[14313],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx4divnx2di },
    &operand_data[14315],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16bfvnx8bf },
    &operand_data[14317],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16hfvnx8hf },
    &operand_data[14319],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8sfvnx4sf },
    &operand_data[14321],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx4dfvnx2df },
    &operand_data[14323],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx48qivnx16qi },
    &operand_data[14325],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24hivnx8hi },
    &operand_data[14327],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx12sivnx4si },
    &operand_data[14329],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx6divnx2di },
    &operand_data[14331],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24bfvnx8bf },
    &operand_data[14333],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24hfvnx8hf },
    &operand_data[14335],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx12sfvnx4sf },
    &operand_data[14337],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx6dfvnx2df },
    &operand_data[14339],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx64qivnx16qi },
    &operand_data[14341],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32hivnx8hi },
    &operand_data[14343],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16sivnx4si },
    &operand_data[14345],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8divnx2di },
    &operand_data[14347],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32bfvnx8bf },
    &operand_data[14349],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32hfvnx8hf },
    &operand_data[14351],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16sfvnx4sf },
    &operand_data[14353],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2132 */
  {
    "vec_store_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8dfvnx2df },
    &operand_data[14355],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2qivnx2di },
    &operand_data[14357],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2hivnx2di },
    &operand_data[14362],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2hfvnx2di },
    &operand_data[14245],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2bfvnx2di },
    &operand_data[14250],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2sivnx2di },
    &operand_data[14367],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2sfvnx2di },
    &operand_data[14260],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2divnx2di },
    &operand_data[14372],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2dfvnx2di },
    &operand_data[14270],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4qivnx4si },
    &operand_data[14377],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4hivnx4si },
    &operand_data[14382],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4hfvnx4si },
    &operand_data[14285],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4bfvnx4si },
    &operand_data[14290],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4sivnx4si },
    &operand_data[14387],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2235 */
  {
    "scatter_storevnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4sfvnx4si },
    &operand_data[14300],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx16qi },
    &operand_data[14392],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8qi },
    &operand_data[14394],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4qi },
    &operand_data[14396],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2qi },
    &operand_data[14398],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8hi },
    &operand_data[14400],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4hi },
    &operand_data[14402],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2hi },
    &operand_data[14404],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8hf },
    &operand_data[14406],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4hf },
    &operand_data[14408],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2hf },
    &operand_data[14410],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8bf },
    &operand_data[14412],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4bf },
    &operand_data[14414],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2bf },
    &operand_data[14416],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4si },
    &operand_data[14418],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2si },
    &operand_data[14420],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4sf },
    &operand_data[14422],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2sf },
    &operand_data[14424],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2di },
    &operand_data[14426],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2489 */
  {
    "vec_duplicatevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2df },
    &operand_data[14428],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx16qiqi },
    &operand_data[14430],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hihi },
    &operand_data[14432],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4sisi },
    &operand_data[14434],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx2didi },
    &operand_data[14436],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8bfbf },
    &operand_data[14438],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hfhf },
    &operand_data[14440],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4sfsf },
    &operand_data[14442],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2619 */
  {
    "vec_initvnx2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx2dfdf },
    &operand_data[14444],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2688 */
  {
    "vec_duplicatevnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx16bi },
    &operand_data[14446],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2688 */
  {
    "vec_duplicatevnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8bi },
    &operand_data[14448],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2688 */
  {
    "vec_duplicatevnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4bi },
    &operand_data[14450],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2688 */
  {
    "vec_duplicatevnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2bi },
    &operand_data[14452],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx16qiqi },
    &operand_data[14453],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8hihi },
    &operand_data[14456],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4sisi },
    &operand_data[14459],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2didi },
    &operand_data[14462],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8bfbf },
    &operand_data[14465],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8hfhf },
    &operand_data[14468],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4sfsf },
    &operand_data[14471],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2716 */
  {
    "vec_extractvnx2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2dfdf },
    &operand_data[14474],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2879 */
  {
    "vec_extractvnx16biqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx16biqi },
    &operand_data[14477],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2879 */
  {
    "vec_extractvnx8bihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8bihi },
    &operand_data[14480],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2879 */
  {
    "vec_extractvnx4bisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4bisi },
    &operand_data[14483],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2879 */
  {
    "vec_extractvnx2bidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2bidi },
    &operand_data[14486],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx16qi2 },
    &operand_data[14489],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx16qi2 },
    &operand_data[14489],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx16qi2 },
    &operand_data[14489],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx16qi2 },
    &operand_data[14489],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx16qi2 },
    &operand_data[14489],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx16qi2 },
    &operand_data[14489],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx16qi2 },
    &operand_data[14489],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx16qi2 },
    &operand_data[14489],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8qi2 },
    &operand_data[14491],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8qi2 },
    &operand_data[14491],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8qi2 },
    &operand_data[14491],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx8qi2 },
    &operand_data[14491],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx8qi2 },
    &operand_data[14491],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx8qi2 },
    &operand_data[14491],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx8qi2 },
    &operand_data[14491],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx8qi2 },
    &operand_data[14491],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4qi2 },
    &operand_data[14493],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4qi2 },
    &operand_data[14493],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4qi2 },
    &operand_data[14493],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx4qi2 },
    &operand_data[14493],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx4qi2 },
    &operand_data[14493],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4qi2 },
    &operand_data[14493],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx4qi2 },
    &operand_data[14493],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx4qi2 },
    &operand_data[14493],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2qi2 },
    &operand_data[14495],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2qi2 },
    &operand_data[14495],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2qi2 },
    &operand_data[14495],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2qi2 },
    &operand_data[14495],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2qi2 },
    &operand_data[14495],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2qi2 },
    &operand_data[14495],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2qi2 },
    &operand_data[14495],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2qi2 },
    &operand_data[14495],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8hi2 },
    &operand_data[14497],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8hi2 },
    &operand_data[14497],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8hi2 },
    &operand_data[14497],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx8hi2 },
    &operand_data[14497],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx8hi2 },
    &operand_data[14497],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx8hi2 },
    &operand_data[14497],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx8hi2 },
    &operand_data[14497],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx8hi2 },
    &operand_data[14497],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4hi2 },
    &operand_data[14499],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4hi2 },
    &operand_data[14499],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4hi2 },
    &operand_data[14499],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx4hi2 },
    &operand_data[14499],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx4hi2 },
    &operand_data[14499],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4hi2 },
    &operand_data[14499],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx4hi2 },
    &operand_data[14499],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx4hi2 },
    &operand_data[14499],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2hi2 },
    &operand_data[14501],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2hi2 },
    &operand_data[14501],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2hi2 },
    &operand_data[14501],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2hi2 },
    &operand_data[14501],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2hi2 },
    &operand_data[14501],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2hi2 },
    &operand_data[14501],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2hi2 },
    &operand_data[14501],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2hi2 },
    &operand_data[14501],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4si2 },
    &operand_data[14503],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4si2 },
    &operand_data[14503],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4si2 },
    &operand_data[14503],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx4si2 },
    &operand_data[14503],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx4si2 },
    &operand_data[14503],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4si2 },
    &operand_data[14503],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx4si2 },
    &operand_data[14503],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx4si2 },
    &operand_data[14503],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2si2 },
    &operand_data[14505],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2si2 },
    &operand_data[14505],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2si2 },
    &operand_data[14505],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2si2 },
    &operand_data[14505],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2si2 },
    &operand_data[14505],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2si2 },
    &operand_data[14505],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2si2 },
    &operand_data[14505],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2si2 },
    &operand_data[14505],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "absvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2di2 },
    &operand_data[14507],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "negvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2di2 },
    &operand_data[14507],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "one_cmplvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2di2 },
    &operand_data[14507],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clrsbvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2di2 },
    &operand_data[14507],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "clzvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2di2 },
    &operand_data[14507],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "popcountvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2di2 },
    &operand_data[14507],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qabsvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2di2 },
    &operand_data[14507],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "qnegvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2di2 },
    &operand_data[14507],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx16qi },
    &operand_data[14509],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx16qi },
    &operand_data[14509],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx16qi },
    &operand_data[14509],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx16qi },
    &operand_data[14509],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx16qi },
    &operand_data[14509],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx16qi },
    &operand_data[14509],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx16qi },
    &operand_data[14509],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx16qi },
    &operand_data[14509],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8qi },
    &operand_data[14513],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8qi },
    &operand_data[14513],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx8qi },
    &operand_data[14513],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx8qi },
    &operand_data[14513],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx8qi },
    &operand_data[14513],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx8qi },
    &operand_data[14513],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx8qi },
    &operand_data[14513],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx8qi },
    &operand_data[14513],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4qi },
    &operand_data[14517],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4qi },
    &operand_data[14517],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx4qi },
    &operand_data[14517],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx4qi },
    &operand_data[14517],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx4qi },
    &operand_data[14517],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx4qi },
    &operand_data[14517],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx4qi },
    &operand_data[14517],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx4qi },
    &operand_data[14517],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2qi },
    &operand_data[14521],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2qi },
    &operand_data[14521],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2qi },
    &operand_data[14521],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2qi },
    &operand_data[14521],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2qi },
    &operand_data[14521],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2qi },
    &operand_data[14521],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2qi },
    &operand_data[14521],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2qi },
    &operand_data[14521],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8hi },
    &operand_data[14525],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8hi },
    &operand_data[14525],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx8hi },
    &operand_data[14525],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx8hi },
    &operand_data[14525],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx8hi },
    &operand_data[14525],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx8hi },
    &operand_data[14525],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx8hi },
    &operand_data[14525],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx8hi },
    &operand_data[14525],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4hi },
    &operand_data[14529],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4hi },
    &operand_data[14529],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx4hi },
    &operand_data[14529],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx4hi },
    &operand_data[14529],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx4hi },
    &operand_data[14529],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx4hi },
    &operand_data[14529],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx4hi },
    &operand_data[14529],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx4hi },
    &operand_data[14529],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2hi },
    &operand_data[14533],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2hi },
    &operand_data[14533],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2hi },
    &operand_data[14533],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2hi },
    &operand_data[14533],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2hi },
    &operand_data[14533],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2hi },
    &operand_data[14533],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2hi },
    &operand_data[14533],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2hi },
    &operand_data[14533],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4si },
    &operand_data[14537],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4si },
    &operand_data[14537],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx4si },
    &operand_data[14537],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx4si },
    &operand_data[14537],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx4si },
    &operand_data[14537],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx4si },
    &operand_data[14537],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx4si },
    &operand_data[14537],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx4si },
    &operand_data[14537],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2si },
    &operand_data[14541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2si },
    &operand_data[14541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2si },
    &operand_data[14541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2si },
    &operand_data[14541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2si },
    &operand_data[14541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2si },
    &operand_data[14541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2si },
    &operand_data[14541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2si },
    &operand_data[14541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_absvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2di },
    &operand_data[14545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_negvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2di },
    &operand_data[14545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_one_cmplvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2di },
    &operand_data[14545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clrsbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2di },
    &operand_data[14545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_clzvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2di },
    &operand_data[14545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_popcountvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2di },
    &operand_data[14545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qabsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2di },
    &operand_data[14545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:2942 */
  {
    "cond_qnegvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2di },
    &operand_data[14545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx8hi2 },
    &operand_data[14549],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx8hi2 },
    &operand_data[14549],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx4hi2 },
    &operand_data[14551],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx4hi2 },
    &operand_data[14551],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2hi2 },
    &operand_data[14553],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2hi2 },
    &operand_data[14553],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx4si2 },
    &operand_data[14555],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx4si2 },
    &operand_data[14555],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx4si2 },
    &operand_data[14557],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx4si2 },
    &operand_data[14557],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2si2 },
    &operand_data[14559],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2si2 },
    &operand_data[14559],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx2si2 },
    &operand_data[14561],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx2si2 },
    &operand_data[14561],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2di2 },
    &operand_data[14563],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2di2 },
    &operand_data[14563],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx2di2 },
    &operand_data[14565],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx2di2 },
    &operand_data[14565],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx2di2 },
    &operand_data[14567],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3068 */
  {
    "zero_extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx2di2 },
    &operand_data[14567],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3209 */
  {
    "aarch64_pred_cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cnotvnx16qi },
    &operand_data[14569],
    4,
    4,
    3,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3209 */
  {
    "aarch64_pred_cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cnotvnx8hi },
    &operand_data[14573],
    4,
    4,
    3,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3209 */
  {
    "aarch64_pred_cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cnotvnx4si },
    &operand_data[14577],
    4,
    4,
    3,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3209 */
  {
    "aarch64_pred_cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cnotvnx2di },
    &operand_data[14581],
    4,
    4,
    3,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3250 */
  {
    "cond_cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx16qi },
    &operand_data[14509],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3250 */
  {
    "cond_cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx8hi },
    &operand_data[14525],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3250 */
  {
    "cond_cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx4si },
    &operand_data[14537],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3250 */
  {
    "cond_cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx2di },
    &operand_data[14545],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "absvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8hf2 },
    &operand_data[14585],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "negvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8hf2 },
    &operand_data[14585],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "frecpxvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx8hf2 },
    &operand_data[14585],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "roundvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx8hf2 },
    &operand_data[14585],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "nearbyintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx8hf2 },
    &operand_data[14585],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "floorvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx8hf2 },
    &operand_data[14585],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "frintnvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx8hf2 },
    &operand_data[14585],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "ceilvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx8hf2 },
    &operand_data[14585],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "rintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx8hf2 },
    &operand_data[14585],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "btruncvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx8hf2 },
    &operand_data[14585],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "absvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4sf2 },
    &operand_data[14587],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "negvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4sf2 },
    &operand_data[14587],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "frecpxvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx4sf2 },
    &operand_data[14587],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "roundvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx4sf2 },
    &operand_data[14587],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "nearbyintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx4sf2 },
    &operand_data[14587],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "floorvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx4sf2 },
    &operand_data[14587],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "frintnvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx4sf2 },
    &operand_data[14587],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "ceilvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx4sf2 },
    &operand_data[14587],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "rintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx4sf2 },
    &operand_data[14587],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "btruncvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx4sf2 },
    &operand_data[14587],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "absvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2df2 },
    &operand_data[14589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "negvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2df2 },
    &operand_data[14589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "frecpxvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx2df2 },
    &operand_data[14589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "roundvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx2df2 },
    &operand_data[14589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "nearbyintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx2df2 },
    &operand_data[14589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "floorvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx2df2 },
    &operand_data[14589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "frintnvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx2df2 },
    &operand_data[14589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "ceilvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx2df2 },
    &operand_data[14589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "rintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx2df2 },
    &operand_data[14589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3389 */
  {
    "btruncvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx2df2 },
    &operand_data[14589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_absvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8hf },
    &operand_data[14591],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_negvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8hf },
    &operand_data[14591],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_frecpxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx8hf },
    &operand_data[14591],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_roundvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx8hf },
    &operand_data[14591],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_nearbyintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx8hf },
    &operand_data[14591],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_floorvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx8hf },
    &operand_data[14591],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_frintnvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx8hf },
    &operand_data[14591],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_ceilvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx8hf },
    &operand_data[14591],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_rintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx8hf },
    &operand_data[14591],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_btruncvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx8hf },
    &operand_data[14591],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_sqrtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx8hf },
    &operand_data[14591],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_absvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4sf },
    &operand_data[14595],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_negvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4sf },
    &operand_data[14595],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_frecpxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx4sf },
    &operand_data[14595],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_roundvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx4sf },
    &operand_data[14595],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_nearbyintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx4sf },
    &operand_data[14595],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_floorvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx4sf },
    &operand_data[14595],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_frintnvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx4sf },
    &operand_data[14595],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_ceilvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx4sf },
    &operand_data[14595],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_rintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx4sf },
    &operand_data[14595],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_btruncvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx4sf },
    &operand_data[14595],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_sqrtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx4sf },
    &operand_data[14595],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_absvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2df },
    &operand_data[14599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_negvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2df },
    &operand_data[14599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_frecpxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx2df },
    &operand_data[14599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_roundvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx2df },
    &operand_data[14599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_nearbyintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx2df },
    &operand_data[14599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_floorvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx2df },
    &operand_data[14599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_frintnvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx2df },
    &operand_data[14599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_ceilvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx2df },
    &operand_data[14599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_rintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx2df },
    &operand_data[14599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_btruncvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx2df },
    &operand_data[14599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3418 */
  {
    "cond_sqrtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx2df },
    &operand_data[14599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3527 */
  {
    "sqrtvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx8hf2 },
    &operand_data[14585],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3527 */
  {
    "sqrtvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx4sf2 },
    &operand_data[14587],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3527 */
  {
    "sqrtvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx2df2 },
    &operand_data[14589],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3545 */
  {
    "rsqrtvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtvnx4sf2 },
    &operand_data[14587],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3545 */
  {
    "rsqrtvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtvnx2df2 },
    &operand_data[14589],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3556 */
  {
    "aarch64_rsqrtevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtevnx4sf },
    &operand_data[14587],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3556 */
  {
    "aarch64_rsqrtevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtevnx2df },
    &operand_data[14589],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3564 */
  {
    "aarch64_rsqrtsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsvnx4sf },
    &operand_data[14603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3564 */
  {
    "aarch64_rsqrtsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsvnx2df },
    &operand_data[14606],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3581 */
  {
    "one_cmplvnx16bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx16bi2 },
    &operand_data[14609],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3581 */
  {
    "one_cmplvnx8bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8bi2 },
    &operand_data[14611],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3581 */
  {
    "one_cmplvnx4bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4bi2 },
    &operand_data[14613],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3581 */
  {
    "one_cmplvnx2bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2bi2 },
    &operand_data[14615],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx16qi3 },
    &operand_data[14617],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx16qi3 },
    &operand_data[14617],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx16qi3 },
    &operand_data[14617],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx16qi3 },
    &operand_data[14620],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx16qi3 },
    &operand_data[14620],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8qi3 },
    &operand_data[14623],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8qi3 },
    &operand_data[14623],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8qi3 },
    &operand_data[14623],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8qi3 },
    &operand_data[14626],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8qi3 },
    &operand_data[14626],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4qi3 },
    &operand_data[14629],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4qi3 },
    &operand_data[14629],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4qi3 },
    &operand_data[14629],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4qi3 },
    &operand_data[14632],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4qi3 },
    &operand_data[14632],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2qi3 },
    &operand_data[14635],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2qi3 },
    &operand_data[14635],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2qi3 },
    &operand_data[14635],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2qi3 },
    &operand_data[14638],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2qi3 },
    &operand_data[14638],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8hi3 },
    &operand_data[14641],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8hi3 },
    &operand_data[14641],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8hi3 },
    &operand_data[14641],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8hi3 },
    &operand_data[14644],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8hi3 },
    &operand_data[14644],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4hi3 },
    &operand_data[14647],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4hi3 },
    &operand_data[14647],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4hi3 },
    &operand_data[14647],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4hi3 },
    &operand_data[14650],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4hi3 },
    &operand_data[14650],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2hi3 },
    &operand_data[14653],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2hi3 },
    &operand_data[14653],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2hi3 },
    &operand_data[14653],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2hi3 },
    &operand_data[14656],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2hi3 },
    &operand_data[14656],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4si3 },
    &operand_data[14659],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4si3 },
    &operand_data[14659],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4si3 },
    &operand_data[14659],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4si3 },
    &operand_data[14662],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4si3 },
    &operand_data[14662],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2si3 },
    &operand_data[14665],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2si3 },
    &operand_data[14665],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2si3 },
    &operand_data[14665],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2si3 },
    &operand_data[14668],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2si3 },
    &operand_data[14668],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "mulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2di3 },
    &operand_data[14671],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "smaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2di3 },
    &operand_data[14671],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "sminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2di3 },
    &operand_data[14671],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "umaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2di3 },
    &operand_data[14674],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3630 */
  {
    "uminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2di3 },
    &operand_data[14674],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx16qi },
    &operand_data[14682],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx16qi },
    &operand_data[14687],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx16qi },
    &operand_data[14687],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx16qi },
    &operand_data[14692],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8qi },
    &operand_data[14697],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8qi },
    &operand_data[14697],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8qi },
    &operand_data[14697],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8qi },
    &operand_data[14697],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx8qi },
    &operand_data[14697],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8qi },
    &operand_data[14697],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx8qi },
    &operand_data[14697],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx8qi },
    &operand_data[14702],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx8qi },
    &operand_data[14707],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx8qi },
    &operand_data[14707],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx8qi },
    &operand_data[14712],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx8qi },
    &operand_data[14697],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx8qi },
    &operand_data[14697],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx8qi },
    &operand_data[14697],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx8qi },
    &operand_data[14697],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx8qi },
    &operand_data[14697],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx8qi },
    &operand_data[14697],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4qi },
    &operand_data[14717],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4qi },
    &operand_data[14717],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4qi },
    &operand_data[14717],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4qi },
    &operand_data[14717],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4qi },
    &operand_data[14717],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4qi },
    &operand_data[14717],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4qi },
    &operand_data[14717],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx4qi },
    &operand_data[14722],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx4qi },
    &operand_data[14727],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx4qi },
    &operand_data[14727],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4qi },
    &operand_data[14732],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4qi },
    &operand_data[14717],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4qi },
    &operand_data[14717],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx4qi },
    &operand_data[14717],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx4qi },
    &operand_data[14717],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx4qi },
    &operand_data[14717],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx4qi },
    &operand_data[14717],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2qi },
    &operand_data[14737],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2qi },
    &operand_data[14737],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2qi },
    &operand_data[14737],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2qi },
    &operand_data[14737],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2qi },
    &operand_data[14737],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2qi },
    &operand_data[14737],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2qi },
    &operand_data[14737],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2qi },
    &operand_data[14742],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2qi },
    &operand_data[14747],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2qi },
    &operand_data[14747],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2qi },
    &operand_data[14752],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2qi },
    &operand_data[14737],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2qi },
    &operand_data[14737],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2qi },
    &operand_data[14737],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2qi },
    &operand_data[14737],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2qi },
    &operand_data[14737],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2qi },
    &operand_data[14737],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx8hi },
    &operand_data[14762],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx8hi },
    &operand_data[14767],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx8hi },
    &operand_data[14767],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx8hi },
    &operand_data[14772],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4hi },
    &operand_data[14777],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4hi },
    &operand_data[14777],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4hi },
    &operand_data[14777],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4hi },
    &operand_data[14777],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4hi },
    &operand_data[14777],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4hi },
    &operand_data[14777],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4hi },
    &operand_data[14777],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx4hi },
    &operand_data[14782],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx4hi },
    &operand_data[14787],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx4hi },
    &operand_data[14787],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4hi },
    &operand_data[14792],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4hi },
    &operand_data[14777],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4hi },
    &operand_data[14777],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx4hi },
    &operand_data[14777],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx4hi },
    &operand_data[14777],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx4hi },
    &operand_data[14777],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx4hi },
    &operand_data[14777],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2hi },
    &operand_data[14797],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2hi },
    &operand_data[14797],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2hi },
    &operand_data[14797],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2hi },
    &operand_data[14797],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2hi },
    &operand_data[14797],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2hi },
    &operand_data[14797],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2hi },
    &operand_data[14797],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2hi },
    &operand_data[14802],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2hi },
    &operand_data[14807],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2hi },
    &operand_data[14807],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2hi },
    &operand_data[14812],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2hi },
    &operand_data[14797],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2hi },
    &operand_data[14797],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2hi },
    &operand_data[14797],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2hi },
    &operand_data[14797],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2hi },
    &operand_data[14797],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2hi },
    &operand_data[14797],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx4si },
    &operand_data[14822],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx4si },
    &operand_data[14827],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx4si },
    &operand_data[14827],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4si },
    &operand_data[14832],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2si },
    &operand_data[14837],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2si },
    &operand_data[14837],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2si },
    &operand_data[14837],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2si },
    &operand_data[14837],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2si },
    &operand_data[14837],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2si },
    &operand_data[14837],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2si },
    &operand_data[14837],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2si },
    &operand_data[14842],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2si },
    &operand_data[14847],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2si },
    &operand_data[14847],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2si },
    &operand_data[14852],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2si },
    &operand_data[14837],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2si },
    &operand_data[14837],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2si },
    &operand_data[14837],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2si },
    &operand_data[14837],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2si },
    &operand_data[14837],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2si },
    &operand_data[14837],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_addvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_subvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_mulvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_smaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_umaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_uminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2di },
    &operand_data[14862],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ashrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2di },
    &operand_data[14867],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_lshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2di },
    &operand_data[14867],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_andvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2di },
    &operand_data[14872],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_iorvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_xorvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ssaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_usaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_sssubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3689 */
  {
    "cond_ussubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3887 */
  {
    "aarch64_adrvnx4si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx4si_shift },
    &operand_data[14877],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3887 */
  {
    "aarch64_adrvnx2di_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx2di_shift },
    &operand_data[14881],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx16qi_3 },
    &operand_data[14885],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx16qi_3 },
    &operand_data[14885],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx8qi_3 },
    &operand_data[14888],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx8qi_3 },
    &operand_data[14888],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx4qi_3 },
    &operand_data[14891],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx4qi_3 },
    &operand_data[14891],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2qi_3 },
    &operand_data[14894],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2qi_3 },
    &operand_data[14894],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx8hi_3 },
    &operand_data[14897],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx8hi_3 },
    &operand_data[14897],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx4hi_3 },
    &operand_data[14900],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx4hi_3 },
    &operand_data[14900],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2hi_3 },
    &operand_data[14903],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2hi_3 },
    &operand_data[14903],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx4si_3 },
    &operand_data[14877],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx4si_3 },
    &operand_data[14877],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2si_3 },
    &operand_data[14906],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2si_3 },
    &operand_data[14906],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "sabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2di_3 },
    &operand_data[14881],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:3975 */
  {
    "uabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2di_3 },
    &operand_data[14881],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_sabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx16qi },
    &operand_data[14677],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_uabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx16qi },
    &operand_data[14677],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_sabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx8hi },
    &operand_data[14757],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_uabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx8hi },
    &operand_data[14757],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_sabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx4si },
    &operand_data[14817],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_uabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx4si },
    &operand_data[14817],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_sabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx2di },
    &operand_data[14857],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4012 */
  {
    "aarch64_cond_uabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx2di },
    &operand_data[14857],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx16qi3_highpart },
    &operand_data[14885],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx16qi3_highpart },
    &operand_data[14885],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx8qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx8qi3_highpart },
    &operand_data[14888],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx8qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx8qi3_highpart },
    &operand_data[14888],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx4qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4qi3_highpart },
    &operand_data[14891],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx4qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4qi3_highpart },
    &operand_data[14891],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx2qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2qi3_highpart },
    &operand_data[14894],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx2qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2qi3_highpart },
    &operand_data[14894],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx8hi3_highpart },
    &operand_data[14897],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx8hi3_highpart },
    &operand_data[14897],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx4hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4hi3_highpart },
    &operand_data[14900],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx4hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4hi3_highpart },
    &operand_data[14900],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx2hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2hi3_highpart },
    &operand_data[14903],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx2hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2hi3_highpart },
    &operand_data[14903],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4si3_highpart },
    &operand_data[14877],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4si3_highpart },
    &operand_data[14877],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx2si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2si3_highpart },
    &operand_data[14906],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx2si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2si3_highpart },
    &operand_data[14906],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "smulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2di3_highpart },
    &operand_data[14881],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4194 */
  {
    "umulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2di3_highpart },
    &operand_data[14881],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_smulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_umulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_smulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_umulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_smulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_umulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_smulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4227 */
  {
    "cond_umulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4290 */
  {
    "divvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx4si3 },
    &operand_data[14877],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4290 */
  {
    "udivvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivvnx4si3 },
    &operand_data[14877],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4290 */
  {
    "divvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx2di3 },
    &operand_data[14881],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4290 */
  {
    "udivvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivvnx2di3 },
    &operand_data[14881],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4322 */
  {
    "cond_divvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4322 */
  {
    "cond_udivvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_udivvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4322 */
  {
    "cond_divvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4322 */
  {
    "cond_udivvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_udivvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx16qi },
    &operand_data[14885],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx8qi },
    &operand_data[14888],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx4qi },
    &operand_data[14891],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx2qi },
    &operand_data[14894],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx8hi },
    &operand_data[14897],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx4hi },
    &operand_data[14900],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx2hi },
    &operand_data[14903],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx4si },
    &operand_data[14877],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx2si },
    &operand_data[14906],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4431 */
  {
    "aarch64_bicvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bicvnx2di },
    &operand_data[14881],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4464 */
  {
    "cond_bicvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx16qi },
    &operand_data[14677],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4464 */
  {
    "cond_bicvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx8hi },
    &operand_data[14757],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4464 */
  {
    "cond_bicvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx4si },
    &operand_data[14817],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4464 */
  {
    "cond_bicvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx2di },
    &operand_data[14857],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx16qi3 },
    &operand_data[14909],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx16qi3 },
    &operand_data[14909],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx16qi3 },
    &operand_data[14909],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx8qi3 },
    &operand_data[14912],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx8qi3 },
    &operand_data[14912],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx8qi3 },
    &operand_data[14912],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4qi3 },
    &operand_data[14915],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4qi3 },
    &operand_data[14915],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4qi3 },
    &operand_data[14915],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2qi3 },
    &operand_data[14918],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2qi3 },
    &operand_data[14918],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2qi3 },
    &operand_data[14918],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx8hi3 },
    &operand_data[14921],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx8hi3 },
    &operand_data[14921],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx8hi3 },
    &operand_data[14921],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4hi3 },
    &operand_data[14924],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4hi3 },
    &operand_data[14924],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4hi3 },
    &operand_data[14924],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2hi3 },
    &operand_data[14927],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2hi3 },
    &operand_data[14927],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2hi3 },
    &operand_data[14927],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4si3 },
    &operand_data[14930],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4si3 },
    &operand_data[14930],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4si3 },
    &operand_data[14930],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2si3 },
    &operand_data[14933],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2si3 },
    &operand_data[14933],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2si3 },
    &operand_data[14933],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2di3 },
    &operand_data[14936],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "ashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2di3 },
    &operand_data[14936],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4536 */
  {
    "lshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2di3 },
    &operand_data[14936],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx16qi3 },
    &operand_data[14939],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx16qi3 },
    &operand_data[14942],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vlshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx16qi3 },
    &operand_data[14942],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashlvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx8qi3 },
    &operand_data[14945],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx8qi3 },
    &operand_data[14948],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vlshrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx8qi3 },
    &operand_data[14948],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashlvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4qi3 },
    &operand_data[14951],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4qi3 },
    &operand_data[14954],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vlshrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4qi3 },
    &operand_data[14954],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashlvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2qi3 },
    &operand_data[14957],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2qi3 },
    &operand_data[14960],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vlshrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2qi3 },
    &operand_data[14960],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx8hi3 },
    &operand_data[14963],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx8hi3 },
    &operand_data[14966],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vlshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx8hi3 },
    &operand_data[14966],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashlvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4hi3 },
    &operand_data[14969],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4hi3 },
    &operand_data[14972],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vlshrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4hi3 },
    &operand_data[14972],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashlvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2hi3 },
    &operand_data[14975],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2hi3 },
    &operand_data[14978],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vlshrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2hi3 },
    &operand_data[14978],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4si3 },
    &operand_data[14981],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4si3 },
    &operand_data[14984],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vlshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4si3 },
    &operand_data[14984],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashlvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2si3 },
    &operand_data[14987],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2si3 },
    &operand_data[14990],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vlshrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2si3 },
    &operand_data[14990],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2di3 },
    &operand_data[14993],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2di3 },
    &operand_data[14996],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4563 */
  {
    "vlshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2di3 },
    &operand_data[14996],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4669 */
  {
    "cond_lslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx16qi },
    &operand_data[14999],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4669 */
  {
    "cond_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx16qi },
    &operand_data[14999],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4669 */
  {
    "cond_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx16qi },
    &operand_data[14999],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4669 */
  {
    "cond_lslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx8hi },
    &operand_data[15004],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4669 */
  {
    "cond_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx8hi },
    &operand_data[15004],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4669 */
  {
    "cond_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx8hi },
    &operand_data[15004],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4669 */
  {
    "cond_lslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx4si },
    &operand_data[15009],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4669 */
  {
    "cond_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx4si },
    &operand_data[15009],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4669 */
  {
    "cond_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx4si },
    &operand_data[15009],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4728 */
  {
    "sdiv_pow2vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx16qi3 },
    &operand_data[15014],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4728 */
  {
    "sdiv_pow2vnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx8qi3 },
    &operand_data[15017],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4728 */
  {
    "sdiv_pow2vnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx4qi3 },
    &operand_data[15020],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4728 */
  {
    "sdiv_pow2vnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2qi3 },
    &operand_data[15023],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4728 */
  {
    "sdiv_pow2vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx8hi3 },
    &operand_data[15026],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4728 */
  {
    "sdiv_pow2vnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx4hi3 },
    &operand_data[15029],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4728 */
  {
    "sdiv_pow2vnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2hi3 },
    &operand_data[15032],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4728 */
  {
    "sdiv_pow2vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx4si3 },
    &operand_data[15035],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4728 */
  {
    "sdiv_pow2vnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2si3 },
    &operand_data[15038],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4728 */
  {
    "sdiv_pow2vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2di3 },
    &operand_data[15041],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_asrdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx16qi },
    &operand_data[15044],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_sqshluvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx16qi },
    &operand_data[15049],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_srshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx16qi },
    &operand_data[15044],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_urshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx16qi },
    &operand_data[15044],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_asrdvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx8qi },
    &operand_data[15054],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_sqshluvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx8qi },
    &operand_data[15059],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_srshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx8qi },
    &operand_data[15054],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_urshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx8qi },
    &operand_data[15054],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_asrdvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx4qi },
    &operand_data[15064],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_sqshluvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx4qi },
    &operand_data[15069],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_srshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx4qi },
    &operand_data[15064],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_urshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx4qi },
    &operand_data[15064],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_asrdvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2qi },
    &operand_data[15074],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_sqshluvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2qi },
    &operand_data[15079],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_srshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2qi },
    &operand_data[15074],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_urshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2qi },
    &operand_data[15074],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_asrdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx8hi },
    &operand_data[15084],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_sqshluvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx8hi },
    &operand_data[15089],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_srshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx8hi },
    &operand_data[15084],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_urshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx8hi },
    &operand_data[15084],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_asrdvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx4hi },
    &operand_data[15094],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_sqshluvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx4hi },
    &operand_data[15099],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_srshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx4hi },
    &operand_data[15094],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_urshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx4hi },
    &operand_data[15094],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_asrdvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2hi },
    &operand_data[15104],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_sqshluvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2hi },
    &operand_data[15109],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_srshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2hi },
    &operand_data[15104],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_urshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2hi },
    &operand_data[15104],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_asrdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx4si },
    &operand_data[15114],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_sqshluvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx4si },
    &operand_data[15119],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_srshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx4si },
    &operand_data[15114],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_urshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx4si },
    &operand_data[15114],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_asrdvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2si },
    &operand_data[15124],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_sqshluvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2si },
    &operand_data[15129],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_srshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2si },
    &operand_data[15124],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_urshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2si },
    &operand_data[15124],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_asrdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2di },
    &operand_data[15134],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_sqshluvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2di },
    &operand_data[15139],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_srshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2di },
    &operand_data[15134],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4760 */
  {
    "cond_urshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2di },
    &operand_data[15134],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4873 */
  {
    "cond_fscalevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx8hf },
    &operand_data[15144],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4873 */
  {
    "cond_fscalevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx4sf },
    &operand_data[15149],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:4873 */
  {
    "cond_fscalevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx2df },
    &operand_data[15154],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "addvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8hf3 },
    &operand_data[15159],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "smax_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanvnx8hf3 },
    &operand_data[15162],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "smaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8hf3 },
    &operand_data[15162],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "smin_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanvnx8hf3 },
    &operand_data[15162],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "sminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8hf3 },
    &operand_data[15162],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "mulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8hf3 },
    &operand_data[15165],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "mulxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx8hf3 },
    &operand_data[15168],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "subvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8hf3 },
    &operand_data[15170],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "addvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4sf3 },
    &operand_data[15173],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "smax_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanvnx4sf3 },
    &operand_data[15176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "smaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4sf3 },
    &operand_data[15176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "smin_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanvnx4sf3 },
    &operand_data[15176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "sminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4sf3 },
    &operand_data[15176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "mulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4sf3 },
    &operand_data[15179],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "mulxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx4sf3 },
    &operand_data[14603],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "subvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4sf3 },
    &operand_data[15182],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "addvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2df3 },
    &operand_data[15185],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "smax_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smax_nanvnx2df3 },
    &operand_data[15188],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "smaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2df3 },
    &operand_data[15188],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "smin_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smin_nanvnx2df3 },
    &operand_data[15188],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "sminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2df3 },
    &operand_data[15188],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "mulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2df3 },
    &operand_data[15191],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "mulxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx2df3 },
    &operand_data[14606],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5052 */
  {
    "subvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2df3 },
    &operand_data[15194],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_addvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8hf },
    &operand_data[15197],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_divvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx8hf },
    &operand_data[15202],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_smax_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smax_nanvnx8hf },
    &operand_data[15207],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_smaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8hf },
    &operand_data[15207],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_smin_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smin_nanvnx8hf },
    &operand_data[15207],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_sminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8hf },
    &operand_data[15207],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_mulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8hf },
    &operand_data[15212],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_mulxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx8hf },
    &operand_data[15202],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_subvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8hf },
    &operand_data[15217],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_addvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4sf },
    &operand_data[15222],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_divvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx4sf },
    &operand_data[15227],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_smax_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smax_nanvnx4sf },
    &operand_data[15232],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_smaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4sf },
    &operand_data[15232],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_smin_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smin_nanvnx4sf },
    &operand_data[15232],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_sminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4sf },
    &operand_data[15232],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_mulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4sf },
    &operand_data[15237],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_mulxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx4sf },
    &operand_data[15227],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_subvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4sf },
    &operand_data[15242],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_addvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2df },
    &operand_data[15247],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_divvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx2df },
    &operand_data[15252],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_smax_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smax_nanvnx2df },
    &operand_data[15257],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_smaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2df },
    &operand_data[15257],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_smin_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smin_nanvnx2df },
    &operand_data[15257],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_sminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2df },
    &operand_data[15257],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_mulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2df },
    &operand_data[15262],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_mulxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx2df },
    &operand_data[15252],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5084 */
  {
    "cond_subvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2df },
    &operand_data[15267],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5545 */
  {
    "cond_cadd90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx8hf },
    &operand_data[15202],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5545 */
  {
    "cond_cadd270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx8hf },
    &operand_data[15202],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5545 */
  {
    "cond_cadd90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx4sf },
    &operand_data[15227],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5545 */
  {
    "cond_cadd270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx4sf },
    &operand_data[15227],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5545 */
  {
    "cond_cadd90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx2df },
    &operand_data[15252],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5545 */
  {
    "cond_cadd270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx2df },
    &operand_data[15252],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5561 */
  {
    "cadd90vnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx8hf3 },
    &operand_data[15168],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5561 */
  {
    "cadd270vnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx8hf3 },
    &operand_data[15168],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5561 */
  {
    "cadd90vnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx4sf3 },
    &operand_data[14603],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5561 */
  {
    "cadd270vnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx4sf3 },
    &operand_data[14603],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5561 */
  {
    "cadd90vnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx2df3 },
    &operand_data[14606],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5561 */
  {
    "cadd270vnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx2df3 },
    &operand_data[14606],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5836 */
  {
    "aarch64_pred_abdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx8hf },
    &operand_data[15272],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5836 */
  {
    "aarch64_pred_abdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx4sf },
    &operand_data[15277],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5836 */
  {
    "aarch64_pred_abdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx2df },
    &operand_data[15282],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5894 */
  {
    "aarch64_cond_abdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx8hf },
    &operand_data[15202],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5894 */
  {
    "aarch64_cond_abdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx4sf },
    &operand_data[15227],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:5894 */
  {
    "aarch64_cond_abdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx2df },
    &operand_data[15252],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6164 */
  {
    "divvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx8hf3 },
    &operand_data[15287],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6164 */
  {
    "divvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx4sf3 },
    &operand_data[15290],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6164 */
  {
    "divvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx2df3 },
    &operand_data[15293],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6182 */
  {
    "aarch64_frecpevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx8hf },
    &operand_data[14585],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6182 */
  {
    "aarch64_frecpevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx4sf },
    &operand_data[14587],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6182 */
  {
    "aarch64_frecpevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx2df },
    &operand_data[14589],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6190 */
  {
    "aarch64_frecpsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx8hf },
    &operand_data[15168],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6190 */
  {
    "aarch64_frecpsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx4sf },
    &operand_data[14603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6190 */
  {
    "aarch64_frecpsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx2df },
    &operand_data[14606],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6227 */
  {
    "copysignvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx8hf3 },
    &operand_data[15168],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6227 */
  {
    "copysignvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx4sf3 },
    &operand_data[14603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6227 */
  {
    "copysignvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx2df3 },
    &operand_data[14606],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6257 */
  {
    "xorsignvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx8hf3 },
    &operand_data[15168],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6257 */
  {
    "xorsignvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx4sf3 },
    &operand_data[14603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6257 */
  {
    "xorsignvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx2df3 },
    &operand_data[14606],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6293 */
  {
    "fmaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx8hf3 },
    &operand_data[15162],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6293 */
  {
    "fminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx8hf3 },
    &operand_data[15162],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6293 */
  {
    "fmaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx4sf3 },
    &operand_data[15176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6293 */
  {
    "fminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx4sf3 },
    &operand_data[15176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6293 */
  {
    "fmaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx2df3 },
    &operand_data[15188],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6293 */
  {
    "fminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx2df3 },
    &operand_data[15188],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6352 */
  {
    "iorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx16bi3 },
    &operand_data[15296],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6352 */
  {
    "xorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx16bi3 },
    &operand_data[15296],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6352 */
  {
    "iorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8bi3 },
    &operand_data[15299],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6352 */
  {
    "xorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8bi3 },
    &operand_data[15299],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6352 */
  {
    "iorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4bi3 },
    &operand_data[15302],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6352 */
  {
    "xorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4bi3 },
    &operand_data[15302],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6352 */
  {
    "iorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2bi3 },
    &operand_data[15305],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6352 */
  {
    "xorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2bi3 },
    &operand_data[15305],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6556 */
  {
    "fmavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx16qi4 },
    &operand_data[15308],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6556 */
  {
    "fmavnx8qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8qi4 },
    &operand_data[15312],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6556 */
  {
    "fmavnx4qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4qi4 },
    &operand_data[15316],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6556 */
  {
    "fmavnx2qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2qi4 },
    &operand_data[15320],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6556 */
  {
    "fmavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8hi4 },
    &operand_data[15324],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6556 */
  {
    "fmavnx4hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4hi4 },
    &operand_data[15328],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6556 */
  {
    "fmavnx2hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2hi4 },
    &operand_data[15332],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6556 */
  {
    "fmavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4si4 },
    &operand_data[15336],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6556 */
  {
    "fmavnx2si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2si4 },
    &operand_data[15340],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6556 */
  {
    "fmavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2di4 },
    &operand_data[15344],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6594 */
  {
    "cond_fmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx16qi },
    &operand_data[15348],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6594 */
  {
    "cond_fmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8qi },
    &operand_data[15354],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6594 */
  {
    "cond_fmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4qi },
    &operand_data[15360],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6594 */
  {
    "cond_fmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2qi },
    &operand_data[15366],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6594 */
  {
    "cond_fmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8hi },
    &operand_data[15372],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6594 */
  {
    "cond_fmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4hi },
    &operand_data[15378],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6594 */
  {
    "cond_fmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2hi },
    &operand_data[15384],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6594 */
  {
    "cond_fmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4si },
    &operand_data[15390],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6594 */
  {
    "cond_fmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2si },
    &operand_data[15396],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6594 */
  {
    "cond_fmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2di },
    &operand_data[15402],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6697 */
  {
    "fnmavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx16qi4 },
    &operand_data[15408],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6697 */
  {
    "fnmavnx8qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8qi4 },
    &operand_data[15412],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6697 */
  {
    "fnmavnx4qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4qi4 },
    &operand_data[15416],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6697 */
  {
    "fnmavnx2qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2qi4 },
    &operand_data[15420],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6697 */
  {
    "fnmavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8hi4 },
    &operand_data[15424],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6697 */
  {
    "fnmavnx4hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4hi4 },
    &operand_data[15428],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6697 */
  {
    "fnmavnx2hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2hi4 },
    &operand_data[15432],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6697 */
  {
    "fnmavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4si4 },
    &operand_data[15436],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6697 */
  {
    "fnmavnx2si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2si4 },
    &operand_data[15440],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6697 */
  {
    "fnmavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2di4 },
    &operand_data[15444],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6735 */
  {
    "cond_fnmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx16qi },
    &operand_data[15348],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6735 */
  {
    "cond_fnmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8qi },
    &operand_data[15354],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6735 */
  {
    "cond_fnmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4qi },
    &operand_data[15360],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6735 */
  {
    "cond_fnmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2qi },
    &operand_data[15366],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6735 */
  {
    "cond_fnmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8hi },
    &operand_data[15372],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6735 */
  {
    "cond_fnmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4hi },
    &operand_data[15378],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6735 */
  {
    "cond_fnmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2hi },
    &operand_data[15384],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6735 */
  {
    "cond_fnmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4si },
    &operand_data[15390],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6735 */
  {
    "cond_fnmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2si },
    &operand_data[15396],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6735 */
  {
    "cond_fnmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2di },
    &operand_data[15402],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6923 */
  {
    "ssadvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadvnx16qi },
    &operand_data[15448],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6923 */
  {
    "usadvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadvnx16qi },
    &operand_data[15448],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6923 */
  {
    "ssadvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadvnx8hi },
    &operand_data[15452],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6923 */
  {
    "usadvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadvnx8hi },
    &operand_data[15452],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6977 */
  {
    "fmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8hf4 },
    &operand_data[15456],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6977 */
  {
    "fnmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8hf4 },
    &operand_data[15456],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6977 */
  {
    "fnmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx8hf4 },
    &operand_data[15456],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6977 */
  {
    "fmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx8hf4 },
    &operand_data[15456],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6977 */
  {
    "fmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4sf4 },
    &operand_data[15460],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6977 */
  {
    "fnmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4sf4 },
    &operand_data[15460],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6977 */
  {
    "fnmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx4sf4 },
    &operand_data[15460],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6977 */
  {
    "fmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx4sf4 },
    &operand_data[15460],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6977 */
  {
    "fmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2df4 },
    &operand_data[15464],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6977 */
  {
    "fnmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2df4 },
    &operand_data[15464],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6977 */
  {
    "fnmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx2df4 },
    &operand_data[15464],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:6977 */
  {
    "fmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx2df4 },
    &operand_data[15464],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7011 */
  {
    "cond_fmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8hf },
    &operand_data[15468],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7011 */
  {
    "cond_fnmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8hf },
    &operand_data[15468],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7011 */
  {
    "cond_fnmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx8hf },
    &operand_data[15468],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7011 */
  {
    "cond_fmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx8hf },
    &operand_data[15468],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7011 */
  {
    "cond_fmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4sf },
    &operand_data[15474],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7011 */
  {
    "cond_fnmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4sf },
    &operand_data[15474],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7011 */
  {
    "cond_fnmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx4sf },
    &operand_data[15474],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7011 */
  {
    "cond_fmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx4sf },
    &operand_data[15474],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7011 */
  {
    "cond_fmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2df },
    &operand_data[15480],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7011 */
  {
    "cond_fnmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2df },
    &operand_data[15480],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7011 */
  {
    "cond_fnmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx2df },
    &operand_data[15480],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7011 */
  {
    "cond_fmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx2df },
    &operand_data[15480],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "cmlavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx8hf4 },
    &operand_data[15456],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "cmlsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx8hf4 },
    &operand_data[15456],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "cmla_conjvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx8hf4 },
    &operand_data[15456],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "cmls_conjvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx8hf4 },
    &operand_data[15456],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "cmlavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx4sf4 },
    &operand_data[15460],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "cmlsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx4sf4 },
    &operand_data[15460],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "cmla_conjvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx4sf4 },
    &operand_data[15460],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "cmls_conjvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx4sf4 },
    &operand_data[15460],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "cmlavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx2df4 },
    &operand_data[15464],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "cmlsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx2df4 },
    &operand_data[15464],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "cmla_conjvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx2df4 },
    &operand_data[15464],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "cmls_conjvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx2df4 },
    &operand_data[15464],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7279 */
  {
    "cmulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx8hf3 },
    &operand_data[15168],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7279 */
  {
    "cmul_conjvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx8hf3 },
    &operand_data[15168],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7279 */
  {
    "cmulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx4sf3 },
    &operand_data[14603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7279 */
  {
    "cmul_conjvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx4sf3 },
    &operand_data[14603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7279 */
  {
    "cmulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx2df3 },
    &operand_data[14606],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7279 */
  {
    "cmul_conjvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx2df3 },
    &operand_data[14606],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7303 */
  {
    "cond_fcmlavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx8hf },
    &operand_data[15468],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7303 */
  {
    "cond_fcmla90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx8hf },
    &operand_data[15468],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7303 */
  {
    "cond_fcmla180vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx8hf },
    &operand_data[15468],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7303 */
  {
    "cond_fcmla270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx8hf },
    &operand_data[15468],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7303 */
  {
    "cond_fcmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx4sf },
    &operand_data[15474],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7303 */
  {
    "cond_fcmla90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx4sf },
    &operand_data[15474],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7303 */
  {
    "cond_fcmla180vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx4sf },
    &operand_data[15474],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7303 */
  {
    "cond_fcmla270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx4sf },
    &operand_data[15474],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7303 */
  {
    "cond_fcmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx2df },
    &operand_data[15480],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7303 */
  {
    "cond_fcmla90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx2df },
    &operand_data[15480],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7303 */
  {
    "cond_fcmla180vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx2df },
    &operand_data[15480],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7303 */
  {
    "cond_fcmla270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx2df },
    &operand_data[15480],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx16qivnx16bi },
    &operand_data[15486],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8qivnx8bi },
    &operand_data[15490],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4qivnx4bi },
    &operand_data[15494],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2qivnx2bi },
    &operand_data[15498],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8hivnx8bi },
    &operand_data[15502],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4hivnx4bi },
    &operand_data[15506],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2hivnx2bi },
    &operand_data[15510],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8hfvnx8bi },
    &operand_data[15514],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4hfvnx4bi },
    &operand_data[15518],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2hfvnx2bi },
    &operand_data[15522],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8bfvnx8bi },
    &operand_data[15526],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4bfvnx4bi },
    &operand_data[15530],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2bfvnx2bi },
    &operand_data[15534],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4sivnx4bi },
    &operand_data[15538],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2sivnx2bi },
    &operand_data[15542],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4sfvnx4bi },
    &operand_data[15546],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2sfvnx2bi },
    &operand_data[15550],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2divnx2bi },
    &operand_data[15554],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7549 */
  {
    "vcond_mask_vnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2dfvnx2bi },
    &operand_data[15558],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx16qivnx16qi },
    &operand_data[15562],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx8qivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx8qi },
    &operand_data[15568],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx8qi },
    &operand_data[15574],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx8hfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx8qi },
    &operand_data[15580],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx8bfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx8qi },
    &operand_data[15586],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx4qi },
    &operand_data[15592],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx4qi },
    &operand_data[15598],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4hfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx4qi },
    &operand_data[15604],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4bfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx4qi },
    &operand_data[15610],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4qi },
    &operand_data[15616],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4sfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4qi },
    &operand_data[15622],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx2qi },
    &operand_data[15628],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx2qi },
    &operand_data[15634],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2hfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx2qi },
    &operand_data[15640],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2bfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx2qi },
    &operand_data[15646],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx2qi },
    &operand_data[15652],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2sfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx2qi },
    &operand_data[15658],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2qi },
    &operand_data[15664],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2dfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2qi },
    &operand_data[15670],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx8qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8qivnx8hi },
    &operand_data[15676],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx8hi },
    &operand_data[15680],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx8hi },
    &operand_data[15686],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx8bfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx8hi },
    &operand_data[15692],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4qivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx4hi },
    &operand_data[15698],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx4hi },
    &operand_data[15702],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4hfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx4hi },
    &operand_data[15708],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4bfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx4hi },
    &operand_data[15714],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4hi },
    &operand_data[15720],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4sfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4hi },
    &operand_data[15726],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2qivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx2hi },
    &operand_data[15732],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx2hi },
    &operand_data[15736],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2hfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx2hi },
    &operand_data[15742],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2bfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx2hi },
    &operand_data[15748],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx2hi },
    &operand_data[15754],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2sfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx2hi },
    &operand_data[15760],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2hi },
    &operand_data[15766],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2dfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2hi },
    &operand_data[15772],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4qivnx4si },
    &operand_data[15778],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hivnx4si },
    &operand_data[15784],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4hfvnx4si },
    &operand_data[15790],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4bfvnx4si },
    &operand_data[15796],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4si },
    &operand_data[15800],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4si },
    &operand_data[15806],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2qivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx2si },
    &operand_data[15812],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx2si },
    &operand_data[15818],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2hfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx2si },
    &operand_data[15824],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2bfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx2si },
    &operand_data[15830],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx2si },
    &operand_data[15834],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2sfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx2si },
    &operand_data[15840],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2si },
    &operand_data[15846],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2dfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2si },
    &operand_data[15852],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2qivnx2di },
    &operand_data[15858],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hivnx2di },
    &operand_data[15864],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2hfvnx2di },
    &operand_data[15870],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2bfvnx2di },
    &operand_data[15876],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sivnx2di },
    &operand_data[15882],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2sfvnx2di },
    &operand_data[15888],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2di },
    &operand_data[15892],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7632 */
  {
    "vcondvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2di },
    &operand_data[15898],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx16qivnx16qi },
    &operand_data[15562],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx8qivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx8qi },
    &operand_data[15568],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx8qi },
    &operand_data[15574],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx8hfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx8qi },
    &operand_data[15580],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx8bfvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx8qi },
    &operand_data[15586],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx4qi },
    &operand_data[15592],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx4qi },
    &operand_data[15598],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4hfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx4qi },
    &operand_data[15604],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4bfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx4qi },
    &operand_data[15610],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx4qi },
    &operand_data[15616],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4sfvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx4qi },
    &operand_data[15622],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx2qi },
    &operand_data[15628],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx2qi },
    &operand_data[15634],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2hfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx2qi },
    &operand_data[15640],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2bfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx2qi },
    &operand_data[15646],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx2qi },
    &operand_data[15652],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2sfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx2qi },
    &operand_data[15658],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2qi },
    &operand_data[15664],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2dfvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2qi },
    &operand_data[15670],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx8qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8qivnx8hi },
    &operand_data[15676],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hivnx8hi },
    &operand_data[15680],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8hfvnx8hi },
    &operand_data[15686],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx8bfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx8bfvnx8hi },
    &operand_data[15692],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4qivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx4hi },
    &operand_data[15698],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx4hi },
    &operand_data[15702],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4hfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx4hi },
    &operand_data[15708],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4bfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx4hi },
    &operand_data[15714],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx4hi },
    &operand_data[15720],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4sfvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx4hi },
    &operand_data[15726],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2qivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx2hi },
    &operand_data[15732],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx2hi },
    &operand_data[15736],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2hfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx2hi },
    &operand_data[15742],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2bfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx2hi },
    &operand_data[15748],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx2hi },
    &operand_data[15754],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2sfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx2hi },
    &operand_data[15760],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2hi },
    &operand_data[15766],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2dfvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2hi },
    &operand_data[15772],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4qivnx4si },
    &operand_data[15778],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hivnx4si },
    &operand_data[15784],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4hfvnx4si },
    &operand_data[15790],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4bfvnx4si },
    &operand_data[15796],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sivnx4si },
    &operand_data[15800],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx4sfvnx4si },
    &operand_data[15806],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2qivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx2si },
    &operand_data[15812],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx2si },
    &operand_data[15818],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2hfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx2si },
    &operand_data[15824],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2bfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx2si },
    &operand_data[15830],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx2si },
    &operand_data[15834],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2sfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx2si },
    &operand_data[15840],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2si },
    &operand_data[15846],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2dfvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2si },
    &operand_data[15852],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2qivnx2di },
    &operand_data[15858],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hivnx2di },
    &operand_data[15864],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2hfvnx2di },
    &operand_data[15870],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2bfvnx2di },
    &operand_data[15876],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sivnx2di },
    &operand_data[15882],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2sfvnx2di },
    &operand_data[15888],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2divnx2di },
    &operand_data[15892],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7649 */
  {
    "vconduvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vconduvnx2dfvnx2di },
    &operand_data[15898],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7666 */
  {
    "vcondvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hivnx8hf },
    &operand_data[15904],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7666 */
  {
    "vcondvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sivnx4sf },
    &operand_data[15910],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7666 */
  {
    "vcondvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2divnx2df },
    &operand_data[15916],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7666 */
  {
    "vcondvnx8bfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8bfvnx8hf },
    &operand_data[15922],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7666 */
  {
    "vcondvnx8hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx8hfvnx8hf },
    &operand_data[15928],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7666 */
  {
    "vcondvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx4sfvnx4sf },
    &operand_data[15934],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7666 */
  {
    "vcondvnx2dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcondvnx2dfvnx2df },
    &operand_data[15940],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7700 */
  {
    "vec_cmpvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx16qivnx16bi },
    &operand_data[15946],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7700 */
  {
    "vec_cmpvnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8qivnx8bi },
    &operand_data[15950],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7700 */
  {
    "vec_cmpvnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4qivnx4bi },
    &operand_data[15954],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7700 */
  {
    "vec_cmpvnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2qivnx2bi },
    &operand_data[15958],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7700 */
  {
    "vec_cmpvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8hivnx8bi },
    &operand_data[15962],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7700 */
  {
    "vec_cmpvnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4hivnx4bi },
    &operand_data[15966],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7700 */
  {
    "vec_cmpvnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2hivnx2bi },
    &operand_data[15970],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7700 */
  {
    "vec_cmpvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4sivnx4bi },
    &operand_data[15974],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7700 */
  {
    "vec_cmpvnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2sivnx2bi },
    &operand_data[15978],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7700 */
  {
    "vec_cmpvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2divnx2bi },
    &operand_data[15982],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7718 */
  {
    "vec_cmpuvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx16qivnx16bi },
    &operand_data[15946],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7718 */
  {
    "vec_cmpuvnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx8qivnx8bi },
    &operand_data[15950],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7718 */
  {
    "vec_cmpuvnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4qivnx4bi },
    &operand_data[15954],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7718 */
  {
    "vec_cmpuvnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2qivnx2bi },
    &operand_data[15958],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7718 */
  {
    "vec_cmpuvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx8hivnx8bi },
    &operand_data[15962],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7718 */
  {
    "vec_cmpuvnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4hivnx4bi },
    &operand_data[15966],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7718 */
  {
    "vec_cmpuvnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2hivnx2bi },
    &operand_data[15970],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7718 */
  {
    "vec_cmpuvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4sivnx4bi },
    &operand_data[15974],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7718 */
  {
    "vec_cmpuvnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2sivnx2bi },
    &operand_data[15978],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:7718 */
  {
    "vec_cmpuvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2divnx2bi },
    &operand_data[15982],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8037 */
  {
    "vec_cmpvnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8hfvnx8bi },
    &operand_data[15986],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8037 */
  {
    "vec_cmpvnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4sfvnx4bi },
    &operand_data[15990],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8037 */
  {
    "vec_cmpvnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2dfvnx2bi },
    &operand_data[15994],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8142 */
  {
    "aarch64_pred_facgevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx8hf },
    &operand_data[15998],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8142 */
  {
    "aarch64_pred_facgtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx8hf },
    &operand_data[15998],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8142 */
  {
    "aarch64_pred_faclevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx8hf },
    &operand_data[15998],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8142 */
  {
    "aarch64_pred_facltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx8hf },
    &operand_data[15998],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8142 */
  {
    "aarch64_pred_facgevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx4sf },
    &operand_data[16003],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8142 */
  {
    "aarch64_pred_facgtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx4sf },
    &operand_data[16003],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8142 */
  {
    "aarch64_pred_faclevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx4sf },
    &operand_data[16003],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8142 */
  {
    "aarch64_pred_facltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx4sf },
    &operand_data[16003],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8142 */
  {
    "aarch64_pred_facgevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx2df },
    &operand_data[16008],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8142 */
  {
    "aarch64_pred_facgtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx2df },
    &operand_data[16008],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8142 */
  {
    "aarch64_pred_faclevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx2df },
    &operand_data[16008],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8142 */
  {
    "aarch64_pred_facltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx2df },
    &operand_data[16008],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8235 */
  {
    "cbranchvnx16bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx16bi4 },
    &operand_data[16013],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8235 */
  {
    "cbranchvnx8bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx8bi4 },
    &operand_data[16017],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8235 */
  {
    "cbranchvnx4bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx4bi4 },
    &operand_data[16021],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8235 */
  {
    "cbranchvnx2bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx2bi4 },
    &operand_data[16025],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8331 */
  {
    "reduc_plus_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx16qi },
    &operand_data[14453],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8331 */
  {
    "reduc_plus_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx8hi },
    &operand_data[14456],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8331 */
  {
    "reduc_plus_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx4si },
    &operand_data[14459],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8331 */
  {
    "reduc_plus_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx2di },
    &operand_data[14462],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_and_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx16qi },
    &operand_data[14453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_ior_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx16qi },
    &operand_data[14453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_smax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx16qi },
    &operand_data[14453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_smin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx16qi },
    &operand_data[14453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_umax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx16qi },
    &operand_data[14453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_umin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx16qi },
    &operand_data[14453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_xor_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx16qi },
    &operand_data[14453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_and_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx8hi },
    &operand_data[14456],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_ior_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx8hi },
    &operand_data[14456],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_smax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx8hi },
    &operand_data[14456],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_smin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx8hi },
    &operand_data[14456],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_umax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx8hi },
    &operand_data[14456],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_umin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx8hi },
    &operand_data[14456],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_xor_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx8hi },
    &operand_data[14456],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_and_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx4si },
    &operand_data[14459],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_ior_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx4si },
    &operand_data[14459],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_smax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx4si },
    &operand_data[14459],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_smin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx4si },
    &operand_data[14459],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_umax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx4si },
    &operand_data[14459],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_umin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx4si },
    &operand_data[14459],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_xor_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx4si },
    &operand_data[14459],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_and_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx2di },
    &operand_data[14462],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_ior_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx2di },
    &operand_data[14462],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_smax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx2di },
    &operand_data[14462],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_smin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx2di },
    &operand_data[14462],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_umax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx2di },
    &operand_data[14462],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_umin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx2di },
    &operand_data[14462],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8356 */
  {
    "reduc_xor_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx2di },
    &operand_data[14462],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_plus_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx8hf },
    &operand_data[14468],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_smax_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx8hf },
    &operand_data[14468],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_smax_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx8hf },
    &operand_data[14468],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_smin_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx8hf },
    &operand_data[14468],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_smin_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx8hf },
    &operand_data[14468],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_plus_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx4sf },
    &operand_data[14471],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_smax_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx4sf },
    &operand_data[14471],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_smax_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx4sf },
    &operand_data[14471],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_smin_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx4sf },
    &operand_data[14471],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_smin_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx4sf },
    &operand_data[14471],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_plus_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx2df },
    &operand_data[14474],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_smax_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx2df },
    &operand_data[14474],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_smax_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx2df },
    &operand_data[14474],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_smin_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx2df },
    &operand_data[14474],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8389 */
  {
    "reduc_smin_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx2df },
    &operand_data[14474],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8418 */
  {
    "fold_left_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx8hf },
    &operand_data[16029],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8418 */
  {
    "fold_left_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx4sf },
    &operand_data[16032],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8418 */
  {
    "fold_left_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx2df },
    &operand_data[16035],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8452 */
  {
    "vec_permvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx16qi },
    &operand_data[16038],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8452 */
  {
    "vec_permvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8hi },
    &operand_data[16042],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8452 */
  {
    "vec_permvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx4si },
    &operand_data[16046],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8452 */
  {
    "vec_permvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx2di },
    &operand_data[16050],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8452 */
  {
    "vec_permvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8bf },
    &operand_data[16054],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8452 */
  {
    "vec_permvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8hf },
    &operand_data[16058],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8452 */
  {
    "vec_permvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx4sf },
    &operand_data[16062],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8452 */
  {
    "vec_permvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx2df },
    &operand_data[16066],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8698 */
  {
    "vec_unpacks_hi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx16qi },
    &operand_data[16070],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8698 */
  {
    "vec_unpacku_hi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx16qi },
    &operand_data[16070],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8698 */
  {
    "vec_unpacks_lo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx16qi },
    &operand_data[16070],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8698 */
  {
    "vec_unpacku_lo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx16qi },
    &operand_data[16070],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8698 */
  {
    "vec_unpacks_hi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8hi },
    &operand_data[16072],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8698 */
  {
    "vec_unpacku_hi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx8hi },
    &operand_data[16072],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8698 */
  {
    "vec_unpacks_lo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8hi },
    &operand_data[16072],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8698 */
  {
    "vec_unpacku_lo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx8hi },
    &operand_data[16072],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8698 */
  {
    "vec_unpacks_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4si },
    &operand_data[15447],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8698 */
  {
    "vec_unpacku_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx4si },
    &operand_data[15447],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8698 */
  {
    "vec_unpacks_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4si },
    &operand_data[15447],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8698 */
  {
    "vec_unpacku_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx4si },
    &operand_data[15447],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8731 */
  {
    "fix_truncvnx8hfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx8hfvnx8hi2 },
    &operand_data[16073],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8731 */
  {
    "fixuns_truncvnx8hfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx8hfvnx8hi2 },
    &operand_data[16073],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8731 */
  {
    "fix_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx4sfvnx4si2 },
    &operand_data[16075],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8731 */
  {
    "fixuns_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx4sfvnx4si2 },
    &operand_data[16075],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8731 */
  {
    "fix_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx2dfvnx2di2 },
    &operand_data[16077],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8731 */
  {
    "fixuns_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx2dfvnx2di2 },
    &operand_data[16077],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8776 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[16079],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8776 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[16079],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8776 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx4si },
    &operand_data[16083],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8776 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx4si },
    &operand_data[16083],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8776 */
  {
    "cond_fix_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx4sfvnx4si },
    &operand_data[16087],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8776 */
  {
    "cond_fixuns_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx4sfvnx4si },
    &operand_data[16087],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8776 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx2di },
    &operand_data[16091],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8776 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx2di },
    &operand_data[16091],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8776 */
  {
    "cond_fix_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx4sfvnx2di },
    &operand_data[16095],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8776 */
  {
    "cond_fixuns_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx4sfvnx2di },
    &operand_data[16095],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8776 */
  {
    "cond_fix_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx2dfvnx2di },
    &operand_data[16099],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8776 */
  {
    "cond_fixuns_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx2dfvnx2di },
    &operand_data[16099],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8838 */
  {
    "cond_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_truncvnx2dfvnx4si },
    &operand_data[16103],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8838 */
  {
    "cond_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_truncvnx2dfvnx4si },
    &operand_data[16103],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8878 */
  {
    "vec_pack_sfix_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_sfix_trunc_vnx2df },
    &operand_data[16107],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8878 */
  {
    "vec_pack_ufix_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_ufix_trunc_vnx2df },
    &operand_data[16107],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8917 */
  {
    "floatvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx8hivnx8hf2 },
    &operand_data[15146],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8917 */
  {
    "floatunsvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx8hivnx8hf2 },
    &operand_data[15146],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8917 */
  {
    "floatvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx4sivnx4sf2 },
    &operand_data[15151],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8917 */
  {
    "floatunsvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx4sivnx4sf2 },
    &operand_data[15151],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8917 */
  {
    "floatvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx2divnx2df2 },
    &operand_data[15156],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8917 */
  {
    "floatunsvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx2divnx2df2 },
    &operand_data[15156],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8963 */
  {
    "cond_float_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx8hivnx8hf },
    &operand_data[16110],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8963 */
  {
    "cond_floatuns_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx8hivnx8hf },
    &operand_data[16110],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8963 */
  {
    "cond_float_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx4sivnx8hf },
    &operand_data[16114],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8963 */
  {
    "cond_floatuns_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx4sivnx8hf },
    &operand_data[16114],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8963 */
  {
    "cond_float_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx4sivnx4sf },
    &operand_data[16118],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8963 */
  {
    "cond_floatuns_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx4sivnx4sf },
    &operand_data[16118],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8963 */
  {
    "cond_float_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx8hf },
    &operand_data[16122],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8963 */
  {
    "cond_floatuns_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx8hf },
    &operand_data[16122],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8963 */
  {
    "cond_float_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx4sf },
    &operand_data[16126],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8963 */
  {
    "cond_floatuns_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx4sf },
    &operand_data[16126],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8963 */
  {
    "cond_float_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx2df },
    &operand_data[16130],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:8963 */
  {
    "cond_floatuns_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx2df },
    &operand_data[16130],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9025 */
  {
    "cond_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_extendvnx4sivnx2df },
    &operand_data[16134],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9025 */
  {
    "cond_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_extendvnx4sivnx2df },
    &operand_data[16134],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9073 */
  {
    "vec_unpacks_float_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_float_lo_vnx4si },
    &operand_data[16138],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9073 */
  {
    "vec_unpacks_float_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_float_hi_vnx4si },
    &operand_data[16138],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9073 */
  {
    "vec_unpacku_float_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_float_lo_vnx4si },
    &operand_data[16138],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9073 */
  {
    "vec_unpacku_float_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_float_hi_vnx4si },
    &operand_data[16138],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9106 */
  {
    "vec_pack_trunc_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4sf },
    &operand_data[14586],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9106 */
  {
    "vec_pack_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2df },
    &operand_data[14588],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9145 */
  {
    "cond_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx4sfvnx8hf },
    &operand_data[16140],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9145 */
  {
    "cond_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx2dfvnx8hf },
    &operand_data[16144],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9145 */
  {
    "cond_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx2dfvnx4sf },
    &operand_data[16148],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9202 */
  {
    "cond_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx4sfvnx8bf },
    &operand_data[16152],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9262 */
  {
    "vec_unpacks_lo_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8hf },
    &operand_data[16156],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9262 */
  {
    "vec_unpacks_hi_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8hf },
    &operand_data[16156],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9262 */
  {
    "vec_unpacks_lo_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4sf },
    &operand_data[16158],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9262 */
  {
    "vec_unpacks_hi_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4sf },
    &operand_data[16158],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9302 */
  {
    "cond_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx8hfvnx4sf },
    &operand_data[16159],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9302 */
  {
    "cond_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx8hfvnx2df },
    &operand_data[16163],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9302 */
  {
    "cond_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx4sfvnx2df },
    &operand_data[16167],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "vec_unpacks_hi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx16bi },
    &operand_data[16171],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "vec_unpacku_hi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx16bi },
    &operand_data[16171],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "vec_unpacks_lo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx16bi },
    &operand_data[16171],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "vec_unpacku_lo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx16bi },
    &operand_data[16171],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "vec_unpacks_hi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8bi },
    &operand_data[16173],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "vec_unpacku_hi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx8bi },
    &operand_data[16173],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "vec_unpacks_lo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8bi },
    &operand_data[16173],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "vec_unpacku_lo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx8bi },
    &operand_data[16173],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "vec_unpacks_hi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4bi },
    &operand_data[16175],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "vec_unpacku_hi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx4bi },
    &operand_data[16175],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "vec_unpacks_lo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4bi },
    &operand_data[16175],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "vec_unpacku_lo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx4bi },
    &operand_data[16175],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9751 */
  {
    "aarch64_sve_incvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx8hi_pat },
    &operand_data[16177],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9751 */
  {
    "aarch64_sve_sqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx8hi_pat },
    &operand_data[16177],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9751 */
  {
    "aarch64_sve_uqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx8hi_pat },
    &operand_data[16177],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9901 */
  {
    "aarch64_sve_decvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx8hi_pat },
    &operand_data[16177],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9901 */
  {
    "aarch64_sve_sqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx8hi_pat },
    &operand_data[16177],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9901 */
  {
    "aarch64_sve_uqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx8hi_pat },
    &operand_data[16177],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_incdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx16bi_cntp },
    &operand_data[16182],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_sqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx16bi_cntp },
    &operand_data[16182],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_uqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx16bi_cntp },
    &operand_data[16182],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_incdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx8bi_cntp },
    &operand_data[16185],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_sqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx8bi_cntp },
    &operand_data[16185],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_uqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx8bi_cntp },
    &operand_data[16185],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_incdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx4bi_cntp },
    &operand_data[16188],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_sqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx4bi_cntp },
    &operand_data[16188],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_uqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx4bi_cntp },
    &operand_data[16188],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_incdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx2bi_cntp },
    &operand_data[16191],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_sqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx2bi_cntp },
    &operand_data[16191],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:9964 */
  {
    "aarch64_sve_uqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx2bi_cntp },
    &operand_data[16191],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10019 */
  {
    "aarch64_sve_sqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx16bi_cntp },
    &operand_data[16194],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10019 */
  {
    "aarch64_sve_uqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx16bi_cntp },
    &operand_data[16194],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10019 */
  {
    "aarch64_sve_sqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx8bi_cntp },
    &operand_data[16197],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10019 */
  {
    "aarch64_sve_uqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx8bi_cntp },
    &operand_data[16197],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10019 */
  {
    "aarch64_sve_sqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx4bi_cntp },
    &operand_data[16200],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10019 */
  {
    "aarch64_sve_uqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx4bi_cntp },
    &operand_data[16200],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10019 */
  {
    "aarch64_sve_sqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx2bi_cntp },
    &operand_data[16203],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10019 */
  {
    "aarch64_sve_uqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx2bi_cntp },
    &operand_data[16203],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10067 */
  {
    "aarch64_sve_incvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx2di_cntp },
    &operand_data[16206],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10067 */
  {
    "aarch64_sve_sqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx2di_cntp },
    &operand_data[16206],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10067 */
  {
    "aarch64_sve_uqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx2di_cntp },
    &operand_data[16206],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10108 */
  {
    "aarch64_sve_incvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx4si_cntp },
    &operand_data[16209],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10108 */
  {
    "aarch64_sve_sqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx4si_cntp },
    &operand_data[16209],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10108 */
  {
    "aarch64_sve_uqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx4si_cntp },
    &operand_data[16209],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10147 */
  {
    "aarch64_sve_incvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx8hi_cntp },
    &operand_data[16212],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10147 */
  {
    "aarch64_sve_sqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx8hi_cntp },
    &operand_data[16212],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10147 */
  {
    "aarch64_sve_uqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx8hi_cntp },
    &operand_data[16212],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10197 */
  {
    "aarch64_sve_decdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx16bi_cntp },
    &operand_data[16182],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10197 */
  {
    "aarch64_sve_sqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx16bi_cntp },
    &operand_data[16182],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10197 */
  {
    "aarch64_sve_uqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx16bi_cntp },
    &operand_data[16182],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10197 */
  {
    "aarch64_sve_decdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx8bi_cntp },
    &operand_data[16185],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10197 */
  {
    "aarch64_sve_sqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx8bi_cntp },
    &operand_data[16185],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10197 */
  {
    "aarch64_sve_uqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx8bi_cntp },
    &operand_data[16185],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10197 */
  {
    "aarch64_sve_decdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx4bi_cntp },
    &operand_data[16188],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10197 */
  {
    "aarch64_sve_sqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx4bi_cntp },
    &operand_data[16188],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10197 */
  {
    "aarch64_sve_uqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx4bi_cntp },
    &operand_data[16188],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10197 */
  {
    "aarch64_sve_decdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx2bi_cntp },
    &operand_data[16191],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10197 */
  {
    "aarch64_sve_sqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx2bi_cntp },
    &operand_data[16191],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10197 */
  {
    "aarch64_sve_uqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx2bi_cntp },
    &operand_data[16191],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10252 */
  {
    "aarch64_sve_sqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx16bi_cntp },
    &operand_data[16194],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10252 */
  {
    "aarch64_sve_uqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx16bi_cntp },
    &operand_data[16194],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10252 */
  {
    "aarch64_sve_sqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx8bi_cntp },
    &operand_data[16197],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10252 */
  {
    "aarch64_sve_uqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx8bi_cntp },
    &operand_data[16197],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10252 */
  {
    "aarch64_sve_sqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx4bi_cntp },
    &operand_data[16200],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10252 */
  {
    "aarch64_sve_uqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx4bi_cntp },
    &operand_data[16200],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10252 */
  {
    "aarch64_sve_sqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx2bi_cntp },
    &operand_data[16203],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10252 */
  {
    "aarch64_sve_uqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx2bi_cntp },
    &operand_data[16203],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10300 */
  {
    "aarch64_sve_decvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx2di_cntp },
    &operand_data[16206],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10300 */
  {
    "aarch64_sve_sqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx2di_cntp },
    &operand_data[16206],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10300 */
  {
    "aarch64_sve_uqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx2di_cntp },
    &operand_data[16206],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10341 */
  {
    "aarch64_sve_decvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx4si_cntp },
    &operand_data[16209],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10341 */
  {
    "aarch64_sve_sqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx4si_cntp },
    &operand_data[16209],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10341 */
  {
    "aarch64_sve_uqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx4si_cntp },
    &operand_data[16209],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10380 */
  {
    "aarch64_sve_decvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx8hi_cntp },
    &operand_data[16212],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10380 */
  {
    "aarch64_sve_sqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx8hi_cntp },
    &operand_data[16212],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve.md:10380 */
  {
    "aarch64_sve_uqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx8hi_cntp },
    &operand_data[16212],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx16qi3 },
    &operand_data[14885],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx16qi3 },
    &operand_data[14885],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhrsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx16qi3 },
    &operand_data[14885],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhrsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx16qi3 },
    &operand_data[14885],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx8hi3 },
    &operand_data[14897],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx8hi3 },
    &operand_data[14897],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhrsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx8hi3 },
    &operand_data[14897],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhrsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx8hi3 },
    &operand_data[14897],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx4si3 },
    &operand_data[14877],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx4si3 },
    &operand_data[14877],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "smulhrsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx4si3 },
    &operand_data[14877],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:215 */
  {
    "umulhrsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx4si3 },
    &operand_data[14877],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "avgvnx16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx16qi3_floor },
    &operand_data[14885],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "uavgvnx16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx16qi3_floor },
    &operand_data[14885],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "avgvnx8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx8hi3_floor },
    &operand_data[14897],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "uavgvnx8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx8hi3_floor },
    &operand_data[14897],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "avgvnx4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx4si3_floor },
    &operand_data[14877],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "uavgvnx4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx4si3_floor },
    &operand_data[14877],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "avgvnx2di3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx2di3_floor },
    &operand_data[14881],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:269 */
  {
    "uavgvnx2di3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx2di3_floor },
    &operand_data[14881],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "avgvnx16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx16qi3_ceil },
    &operand_data[14885],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "uavgvnx16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx16qi3_ceil },
    &operand_data[14885],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "avgvnx8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx8hi3_ceil },
    &operand_data[14897],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "uavgvnx8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx8hi3_ceil },
    &operand_data[14897],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "avgvnx4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx4si3_ceil },
    &operand_data[14877],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "uavgvnx4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx4si3_ceil },
    &operand_data[14877],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "avgvnx2di3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx2di3_ceil },
    &operand_data[14881],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:285 */
  {
    "uavgvnx2di3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx2di3_ceil },
    &operand_data[14881],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx16qi },
    &operand_data[14677],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx16qi },
    &operand_data[14677],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_sqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx16qi },
    &operand_data[14677],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx16qi },
    &operand_data[14677],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx16qi },
    &operand_data[14677],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_suqaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx16qi },
    &operand_data[14677],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx16qi },
    &operand_data[14677],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx16qi },
    &operand_data[14677],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx16qi },
    &operand_data[14677],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx16qi },
    &operand_data[14677],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx16qi },
    &operand_data[14677],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_usqaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx16qi },
    &operand_data[14677],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx8hi },
    &operand_data[14757],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx8hi },
    &operand_data[14757],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_sqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx8hi },
    &operand_data[14757],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx8hi },
    &operand_data[14757],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx8hi },
    &operand_data[14757],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_suqaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx8hi },
    &operand_data[14757],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx8hi },
    &operand_data[14757],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx8hi },
    &operand_data[14757],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx8hi },
    &operand_data[14757],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx8hi },
    &operand_data[14757],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx8hi },
    &operand_data[14757],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_usqaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx8hi },
    &operand_data[14757],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx4si },
    &operand_data[14817],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx4si },
    &operand_data[14817],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_sqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx4si },
    &operand_data[14817],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx4si },
    &operand_data[14817],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx4si },
    &operand_data[14817],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_suqaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx4si },
    &operand_data[14817],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx4si },
    &operand_data[14817],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx4si },
    &operand_data[14817],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx4si },
    &operand_data[14817],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx4si },
    &operand_data[14817],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx4si },
    &operand_data[14817],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_usqaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx4si },
    &operand_data[14817],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx2di },
    &operand_data[14857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_shsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx2di },
    &operand_data[14857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_sqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx2di },
    &operand_data[14857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx2di },
    &operand_data[14857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_srshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx2di },
    &operand_data[14857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_suqaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx2di },
    &operand_data[14857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx2di },
    &operand_data[14857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uhsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx2di },
    &operand_data[14857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_uqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx2di },
    &operand_data[14857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx2di },
    &operand_data[14857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_urshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx2di },
    &operand_data[14857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:348 */
  {
    "cond_usqaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx2di },
    &operand_data[14857],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_sqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx16qi },
    &operand_data[16215],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_uqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx16qi },
    &operand_data[16215],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_sqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx8hi },
    &operand_data[16220],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_uqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx8hi },
    &operand_data[16220],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_sqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx4si },
    &operand_data[16225],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_uqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx4si },
    &operand_data[16225],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_sqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx2di },
    &operand_data[16230],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "cond_uqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx2di },
    &operand_data[16230],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:789 */
  {
    "aarch64_sve2_bcaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx16qi },
    &operand_data[16235],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:789 */
  {
    "aarch64_sve2_bcaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx8hi },
    &operand_data[16239],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:789 */
  {
    "aarch64_sve2_bcaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx4si },
    &operand_data[16243],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:789 */
  {
    "aarch64_sve2_bcaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx2di },
    &operand_data[16247],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:891 */
  {
    "aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx16qi },
    &operand_data[16235],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:891 */
  {
    "aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx8hi },
    &operand_data[16239],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:891 */
  {
    "aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx4si },
    &operand_data[16243],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:891 */
  {
    "aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx2di },
    &operand_data[16247],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:921 */
  {
    "aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx16qi },
    &operand_data[16235],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:921 */
  {
    "aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx8hi },
    &operand_data[16239],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:921 */
  {
    "aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx4si },
    &operand_data[16243],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:921 */
  {
    "aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx2di },
    &operand_data[16247],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx16qi },
    &operand_data[16235],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx8hi },
    &operand_data[16239],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx4si },
    &operand_data[16243],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:966 */
  {
    "aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx2di },
    &operand_data[16247],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1011 */
  {
    "aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx16qi },
    &operand_data[16235],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1011 */
  {
    "aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx8hi },
    &operand_data[16239],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1011 */
  {
    "aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx4si },
    &operand_data[16243],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1011 */
  {
    "aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx2di },
    &operand_data[16247],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx16qi },
    &operand_data[16251],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx16qi },
    &operand_data[16251],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx8hi },
    &operand_data[16255],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx8hi },
    &operand_data[16255],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx4si },
    &operand_data[16259],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx4si },
    &operand_data[16259],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_asrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx2di },
    &operand_data[16263],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1094 */
  {
    "aarch64_sve_add_lsrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx2di },
    &operand_data[16263],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_sabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx16qi },
    &operand_data[11967],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_uabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx16qi },
    &operand_data[11967],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_sabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx8hi },
    &operand_data[11971],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_uabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx8hi },
    &operand_data[11971],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_sabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx4si },
    &operand_data[11975],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_uabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx4si },
    &operand_data[11975],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_sabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx2di },
    &operand_data[11979],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1178 */
  {
    "aarch64_sve2_uabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx2di },
    &operand_data[11979],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_sadalpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx8hi },
    &operand_data[16267],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_uadalpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx8hi },
    &operand_data[16267],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_sadalpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx4si },
    &operand_data[16272],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_uadalpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx4si },
    &operand_data[16272],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_sadalpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx2di },
    &operand_data[16277],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1711 */
  {
    "cond_uadalpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx2di },
    &operand_data[16277],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd90vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx16qi3 },
    &operand_data[14885],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd270vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx16qi3 },
    &operand_data[14885],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd90vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx8hi3 },
    &operand_data[14897],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd270vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx8hi3 },
    &operand_data[14897],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd90vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx4si3 },
    &operand_data[14877],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd270vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx4si3 },
    &operand_data[14877],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd90vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx2di3 },
    &operand_data[14881],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1803 */
  {
    "cadd270vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx2di3 },
    &operand_data[14881],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx16qi4 },
    &operand_data[16235],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmla_conjvnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx16qi4 },
    &operand_data[16235],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlsvnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx16qi4 },
    &operand_data[16235],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmls_conjvnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx16qi4 },
    &operand_data[16235],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx8hi4 },
    &operand_data[16239],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmla_conjvnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx8hi4 },
    &operand_data[16239],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlsvnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx8hi4 },
    &operand_data[16239],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmls_conjvnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx8hi4 },
    &operand_data[16239],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx4si4 },
    &operand_data[16243],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmla_conjvnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx4si4 },
    &operand_data[16243],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlsvnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx4si4 },
    &operand_data[16243],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmls_conjvnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx4si4 },
    &operand_data[16243],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx2di4 },
    &operand_data[16247],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmla_conjvnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx2di4 },
    &operand_data[16247],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmlsvnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx2di4 },
    &operand_data[16247],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1855 */
  {
    "cmls_conjvnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx2di4 },
    &operand_data[16247],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx16qi3 },
    &operand_data[14885],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmul_conjvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx16qi3 },
    &operand_data[14885],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx8hi3 },
    &operand_data[14897],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmul_conjvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx8hi3 },
    &operand_data[14897],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx4si3 },
    &operand_data[14877],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmul_conjvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx4si3 },
    &operand_data[14877],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx2di3 },
    &operand_data[14881],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1876 */
  {
    "cmul_conjvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx2di3 },
    &operand_data[14881],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1955 */
  {
    "cond_fcvtltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtltvnx4sf },
    &operand_data[16282],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:1955 */
  {
    "cond_fcvtltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtltvnx2df },
    &operand_data[16286],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2047 */
  {
    "cond_fcvtxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtxvnx4sf },
    &operand_data[16148],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2149 */
  {
    "cond_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urecpevnx4si },
    &operand_data[14537],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2149 */
  {
    "cond_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ursqrtevnx4si },
    &operand_data[14537],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2214 */
  {
    "cond_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx8hf },
    &operand_data[16079],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2214 */
  {
    "cond_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx4sf },
    &operand_data[16087],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2214 */
  {
    "cond_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx2df },
    &operand_data[16099],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2383 */
  {
    "check_raw_ptrssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_raw_ptrssi },
    &operand_data[16290],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2383 */
  {
    "check_war_ptrssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_war_ptrssi },
    &operand_data[16290],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2383 */
  {
    "check_raw_ptrsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_raw_ptrsdi },
    &operand_data[16295],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../../gcc/config/aarch64/aarch64-sve2.md:2383 */
  {
    "check_war_ptrsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_war_ptrsdi },
    &operand_data[16295],
    5,
    5,
    0,
    0,
    0
  },
};


const char *
get_insn_name (int code)
{
  if (code == NOOP_MOVE_INSN_CODE)
    return "NOOP_MOVE";
  else
    return insn_data[code].name;
}
